/*	Compiler: ECL 11.1.1                                          */
/*	Source: SRC:CMP;CMPC-INLINER.LSP                              */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpc-inliner.h"
/*	function definition for INLINED-ARG-LOC                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1inlined_arg_loc(cl_object V1)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_second(V1)                      /*  SECOND          */;
	return value0;
}}
/*	function definition for INLINED-ARG-TYPE                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2inlined_arg_type(cl_object V1)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_first(V1)                       /*  FIRST           */;
	return value0;
}}
/*	function definition for INLINED-ARG-REP-TYPE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3inlined_arg_rep_type(cl_object V1)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_second(V1)                         /*  SECOND          */;
	value0=ecl_function_dispatch(cl_env_copy,VV[27])(1,T0) /*  LOC-REPRESENTATION-TYPE */;
	return value0;
}}
/*	local function DEFINE-C-INLINER                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4define_c_inliner(cl_object V1, cl_object V2)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  FNAME           */
	cl_object V4;                             /*  LAMBDA-LIST     */
	cl_object V5;                             /*  BODY            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	T0= cl_list(2,ECL_SYM("QUOTE",677),V3)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("GETHASH",411),T0,VV[3]) /*  LIST       */;
	T2= cl_listX(3,ECL_SYM("BLOCK",135),Cnil,V5) /*  LIST*        */;
	T3= cl_list(3,ECL_SYM("LAMBDA",450),V4,T2) /*  LIST           */;
	T4= cl_list(2,ECL_SYM("FUNCTION",394),T3) /*  LIST            */;
	value0=cl_list(3,ECL_SYM("SETF",748),T1,T4) /*  LIST          */;
	return value0;
	}
}}
/*	function definition for APPLY-INLINER                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5apply_inliner(cl_object V1, cl_object V2, cl_object V3)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  FD              */
	V4= cl_gethash(2,V1,ecl_symbol_value(VV[3])) /*  GETHASH      */;
	if((V4)==Cnil){
	goto L3;}
	value0=cl_apply(3,V4,V2,V3)               /*  APPLY           */;
	return value0;
L3:;
	value0=L6default_c_inliner(V1,V2,V3)      /*  DEFAULT-C-INLINER */;
	return value0;
	}
}}
/*	function definition for DEFAULT-C-INLINER                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6default_c_inliner(cl_object V1, cl_object V2, cl_object V3)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  ARG-TYPES       */
	cl_object V5;                             /*  II              */
	{cl_object V6;
	cl_object V7;
	V6= Cnil;
	V7= V3;
	{cl_object V8;
	cl_object V9;
	V8= ecl_list1(Cnil);
	V9= V8;
L7:;
	if(!(ecl_endp(V7))){
	goto L11;}
	goto L8;
L11:;
	goto L9;
L9:;
	V6= CAR(V7);
	V7= CDR(V7);
	T0= V9;
	T1= cl_first(V6)                          /*  FIRST           */;
	V9= ecl_list1(T1);
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V9;
	goto L7;
L8:;
	V4= cl_cdr(V8)                            /*  CDR             */;
	goto L1;
	}
	}
L1:;
	V5= L7inline_function(3,V1,V4,V2)         /*  INLINE-FUNCTION */;
	if((V5)==Cnil){
	goto L23;}
	value0=L8apply_inline_info(V5,V3)         /*  APPLY-INLINE-INFO */;
	return value0;
L23:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for INLINE-FUNCTION                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7inline_function(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	va_list args; va_start(args,V3);
	{int i=3;
	if (i >= narg) {
	V4= VV[7];
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	if((ecl_function_dispatch(cl_env_copy,VV[32])(1,V1) /*  INLINE-POSSIBLE */)==Cnil){
	goto L3;}
	if((cl_gethash(2,V1,ecl_symbol_value(VV[8])) /*  GETHASH      */)!=Cnil){
	goto L3;}
	{cl_object V5;                            /*  DEST-REP-TYPE   */
	cl_object V6;                             /*  DEST-TYPE       */
	cl_object V7;                             /*  II              */
	V5= ecl_function_dispatch(cl_env_copy,VV[27])(1,ecl_symbol_value(VV[9])) /*  LOC-REPRESENTATION-TYPE */;
	V6= ecl_function_dispatch(cl_env_copy,VV[33])(1,V5) /*  REP-TYPE->LISP-TYPE */;
	V7= L10get_inline_info(V1,V2,V3,V4)       /*  GET-INLINE-INFO */;
	value0=V7; cl_env_copy->nvalues=1;
	return value0;
	}
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for APPLY-INLINE-INFO                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8apply_inline_info(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG-TYPES       */
	cl_object V4;                             /*  OUT-REP-TYPE    */
	cl_object V5;                             /*  OUT-TYPE        */
	cl_object V6;                             /*  SIDE-EFFECTS-P  */
	cl_object V7;                             /*  FUN             */
	cl_object V8;                             /*  ONE-LINER       */
	V3= ecl_function_dispatch(cl_env_copy,VV[35])(1,V1) /*  INLINE-INFO-ARG-TYPES */;
	V4= ecl_function_dispatch(cl_env_copy,VV[36])(1,V1) /*  INLINE-INFO-RETURN-REP-TYPE */;
	V5= ecl_function_dispatch(cl_env_copy,VV[37])(1,V1) /*  INLINE-INFO-RETURN-TYPE */;
	T0= ecl_function_dispatch(cl_env_copy,VV[38])(1,V1) /*  INLINE-INFO-NAME */;
	V6= ecl_function_dispatch(cl_env_copy,VV[39])(1,T0) /*  FUNCTION-MAY-HAVE-SIDE-EFFECTS */;
	V7= ecl_function_dispatch(cl_env_copy,VV[40])(1,V1) /*  INLINE-INFO-EXPANSION */;
	V8= ecl_function_dispatch(cl_env_copy,VV[41])(1,V1) /*  INLINE-INFO-ONE-LINER */;
	T0= ecl_list1(V4);
	value0=ecl_function_dispatch(cl_env_copy,VV[42])(6,V2,V3,T0,V7,V6,V8) /*  PRODUCE-INLINE-LOC */;
	return value0;
	}
}}
/*	function definition for CHOOSE-INLINE-INFO                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9choose_inline_info(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V4)==(VV[7])){
	goto L2;}
	if((V4)==(ECL_SYM("VOID",1350))){
	goto L2;}
	{cl_object V5;                            /*  INFO-TYPE       */
	V5= ecl_function_dispatch(cl_env_copy,VV[36])(1,V2) /*  INLINE-INFO-RETURN-REP-TYPE */;
	if((V4)==(V5)){
	goto L2;}
	if((V5)==(VV[12])){
	goto L2;}
	}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(V1==Cnil)){
	goto L9;}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L9:;
	T0= ecl_function_dispatch(cl_env_copy,VV[35])(1,V1) /*  INLINE-INFO-ARG-TYPES */;
	T1= ecl_function_dispatch(cl_env_copy,VV[35])(1,V2) /*  INLINE-INFO-ARG-TYPES */;
	if(!(ecl_equal(T0,T1))){
	goto L12;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L12:;
	T0= ecl_fdefinition(VV[44]);
	T1= ecl_function_dispatch(cl_env_copy,VV[35])(1,V1) /*  INLINE-INFO-ARG-TYPES */;
	T2= ecl_function_dispatch(cl_env_copy,VV[35])(1,V2) /*  INLINE-INFO-ARG-TYPES */;
	if((cl_every(3,T0,T1,T2)                  /*  EVERY           */)==Cnil){
	goto L15;}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L15:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for GET-INLINE-INFO                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10get_inline_info(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V5;                            /*  OUTPUT          */
	V5= Cnil;
	if((ecl_function_dispatch(cl_env_copy,VV[45])(0) /*  SAFE-COMPILE */)!=Cnil){
	goto L4;}
	{cl_object V6;                            /*  %DOLIST-VAR     */
	cl_object V7;                             /*  X               */
	V6= si_get_sysprop(V1,VV[14])             /*  GET-SYSPROP     */;
	V7= Cnil;
	goto L11;
L10:;
	V7= cl_first(V6)                          /*  FIRST           */;
	{cl_object V8;                            /*  OTHER           */
	V8= L13inline_type_matches(V7,V2,V3)      /*  INLINE-TYPE-MATCHES */;
	if((V8)==Cnil){
	goto L18;}
	V5= L9choose_inline_info(V5,V8,V3,V4)     /*  CHOOSE-INLINE-INFO */;
	goto L15;
L18:;
	goto L15;
	}
L15:;
	V6= CDR(V6);
L11:;
	if((V6)==Cnil){
	goto L25;}
	goto L10;
L25:;
	goto L23;
L23:;
	goto L8;
L8:;
	goto L2;
	}
L4:;
	goto L2;
L2:;
	{cl_object V6;                            /*  %DOLIST-VAR     */
	cl_object V7;                             /*  X               */
	V6= si_get_sysprop(V1,VV[15])             /*  GET-SYSPROP     */;
	V7= Cnil;
	goto L33;
L32:;
	V7= cl_first(V6)                          /*  FIRST           */;
	{cl_object V8;                            /*  OTHER           */
	V8= L13inline_type_matches(V7,V2,V3)      /*  INLINE-TYPE-MATCHES */;
	if((V8)==Cnil){
	goto L40;}
	V5= L9choose_inline_info(V5,V8,V3,V4)     /*  CHOOSE-INLINE-INFO */;
	goto L37;
L40:;
	goto L37;
	}
L37:;
	V6= CDR(V6);
L33:;
	if((V6)==Cnil){
	goto L47;}
	goto L32;
L47:;
	goto L45;
L45:;
	goto L30;
L30:;
	}
	{cl_object V6;                            /*  %DOLIST-VAR     */
	cl_object V7;                             /*  X               */
	V6= si_get_sysprop(V1,VV[16])             /*  GET-SYSPROP     */;
	V7= Cnil;
	goto L55;
L54:;
	V7= cl_first(V6)                          /*  FIRST           */;
	{cl_object V8;                            /*  OTHER           */
	V8= L13inline_type_matches(V7,V2,V3)      /*  INLINE-TYPE-MATCHES */;
	if((V8)==Cnil){
	goto L62;}
	V5= L9choose_inline_info(V5,V8,V3,V4)     /*  CHOOSE-INLINE-INFO */;
	goto L59;
L62:;
	goto L59;
	}
L59:;
	V6= CDR(V6);
L55:;
	if((V6)==Cnil){
	goto L69;}
	goto L54;
L69:;
	goto L67;
L67:;
	goto L52;
L52:;
	}
	if(!(V5==Cnil)){
	goto L73;}
	if((si_get_sysprop(V1,VV[17])             /*  GET-SYSPROP     */)==Cnil){
	goto L73;}
	T0= ecl_function_dispatch(cl_env_copy,VV[46])(1,ECL_SYM("SPEED",789)) /*  CMP-ENV-OPTIMIZATION */;
	if(!(ecl_number_compare(T0,MAKE_FIXNUM(1))>=0)){
	goto L73;}
	(void)ecl_function_dispatch(cl_env_copy,VV[47])(3,_ecl_static_1,V1,V2) /*  CMPWARN-STYLE */;
	goto L71;
L73:;
	goto L71;
L71:;
	value0=V5; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for TO-FIXNUM-FLOAT-TYPE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11to_fixnum_float_type(cl_object V1)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  %DOLIST-VAR     */
	cl_object V3;                             /*  I               */
	V2= VV[18];
	V3= Cnil;
	goto L6;
L5:;
	V3= cl_first(V2)                          /*  FIRST           */;
	if((ecl_function_dispatch(cl_env_copy,VV[44])(2,V3,V1) /*  TYPE>= */)==Cnil){
	goto L12;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L12:;
	goto L10;
L10:;
	V2= CDR(V2);
L6:;
	if((V2)==Cnil){
	goto L18;}
	goto L5;
L18:;
	goto L16;
L16:;
	goto L3;
L3:;
	V3= Cnil;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for MAXIMUM-FLOAT-TYPE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12maximum_float_type(cl_object V1, cl_object V2)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==Cnil)){
	goto L2;}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((V1)==(ECL_SYM("LONG-FLOAT",506))){
	goto L7;}
	if(!((V2)==(ECL_SYM("LONG-FLOAT",506)))){
	goto L5;}
	goto L6;
L7:;
L6:;
	value0=ECL_SYM("LONG-FLOAT",506); cl_env_copy->nvalues=1;
	return value0;
L5:;
	if((V1)==(ECL_SYM("DOUBLE-FLOAT",313))){
	goto L12;}
	if(!((V2)==(ECL_SYM("DOUBLE-FLOAT",313)))){
	goto L10;}
	goto L11;
L12:;
L11:;
	value0=ECL_SYM("DOUBLE-FLOAT",313); cl_env_copy->nvalues=1;
	return value0;
L10:;
	if((V1)==(ECL_SYM("SINGLE-FLOAT",776))){
	goto L17;}
	if(!((V2)==(ECL_SYM("SINGLE-FLOAT",776)))){
	goto L15;}
	goto L16;
L17:;
L16:;
	value0=ECL_SYM("SINGLE-FLOAT",776); cl_env_copy->nvalues=1;
	return value0;
L15:;
	value0=ECL_SYM("FIXNUM",370); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for INLINE-TYPE-MATCHES                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13inline_type_matches(cl_object V1, cl_object V2, cl_object V3)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  RTS             */
	cl_object V5;                             /*  NUMBER-MAX      */
	V4= Cnil;
	V5= Cnil;
	{cl_object V6;                            /*  ARG-TYPES       */
	cl_object V7;                             /*  TYPES           */
	V6= V2;
	V7= ecl_function_dispatch(cl_env_copy,VV[35])(1,V1) /*  INLINE-INFO-ARG-TYPES */;
	goto L9;
L8:;
	{cl_object V8;                            /*  ARG-TYPE        */
	cl_object V9;                             /*  TYPE            */
	V8= cl_first(V6)                          /*  FIRST           */;
	V9= cl_first(V7)                          /*  FIRST           */;
	if(!((V9)==(VV[21]))){
	goto L15;}
	{cl_object V10;                           /*  NEW-TYPE        */
	V10= L11to_fixnum_float_type(V8)          /*  TO-FIXNUM-FLOAT-TYPE */;
	if((V10)!=Cnil){
	goto L20;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L20:;
	goto L18;
L18:;
	V4= CONS(V10,V4);
	V5= L12maximum_float_type(V5,V10)         /*  MAXIMUM-FLOAT-TYPE */;
	goto L11;
	}
L15:;
	if((ecl_function_dispatch(cl_env_copy,VV[44])(2,V9,V8) /*  TYPE>= */)==Cnil){
	goto L26;}
	V4= CONS(V9,V4);
	goto L11;
L26:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L11:;
	V6= cl_cdr(V6)                            /*  CDR             */;
	V7= cl_cdr(V7)                            /*  CDR             */;
L9:;
	if(ecl_endp(V6)){
	goto L35;}
	if(ecl_endp(V7)){
	goto L35;}
	goto L8;
L35:;
	goto L33;
L33:;
	goto L6;
L6:;
	if((V6)!=Cnil){
	goto L41;}
	if((V7)==Cnil){
	goto L39;}
	goto L40;
L41:;
L40:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L39:;
	goto L3;
	}
L3:;
	T0= ecl_function_dispatch(cl_env_copy,VV[36])(1,V1) /*  INLINE-INFO-RETURN-REP-TYPE */;
	if((T0)==(VV[12])){
	goto L46;}
	T0= ecl_function_dispatch(cl_env_copy,VV[51])(1,V1) /*  INLINE-INFO-EXACT-RETURN-TYPE */;
	if(T0==Cnil){
	goto L46;}
	if((ecl_function_dispatch(cl_env_copy,VV[52])(0) /*  POLICY-ASSUME-RIGHT-TYPE */)==Cnil){
	goto L44;}
	{cl_object V6;                            /*  INLINE-RETURN-TYPE */
	V6= ecl_function_dispatch(cl_env_copy,VV[37])(1,V1) /*  INLINE-INFO-RETURN-TYPE */;
	if((V5)==Cnil){
	goto L52;}
	if(!((V5)==(ECL_SYM("FIXNUM",370)))){
	goto L57;}
	V5= ECL_SYM("INTEGER",435);
	goto L55;
L57:;
	goto L55;
L55:;
	if((V5)==Cnil){
	goto L44;}
	if((ecl_function_dispatch(cl_env_copy,VV[44])(2,V6,V5) /*  TYPE>= */)==Cnil){
	goto L44;}
	if((ecl_function_dispatch(cl_env_copy,VV[44])(2,V5,V3) /*  TYPE>= */)==Cnil){
	goto L44;}
	goto L45;
L52:;
	if((ecl_function_dispatch(cl_env_copy,VV[44])(2,V6,V3) /*  TYPE>= */)==Cnil){
	goto L44;}
	goto L45;
	}
L46:;
L45:;
	{cl_object V6;                            /*  INLINE-INFO     */
	V6= cl_copy_structure(V1)                 /*  COPY-STRUCTURE  */;
	{cl_object V7;
	V7= cl_nreverse(V4)                       /*  NREVERSE        */;
	(void)si_structure_set(V6,VV[22],MAKE_FIXNUM(3),V7) /*  STRUCTURE-SET */;
	}
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
	}
L44:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
	
#include "cmp/cmpc-inliner.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl9h7X4pa7_mZJqLD01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:CMP;CMPC-INLINER.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_ecl9h7X4pa7_mZJqLD01@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	ecl_cmp_defun(VV[24]);
	ecl_cmp_defun(VV[25]);
	ecl_cmp_defun(VV[26]);
	ecl_cmp_defmacro(VV[28]);
	ecl_cmp_defun(VV[29]);
	ecl_cmp_defun(VV[30]);
	ecl_cmp_defun(VV[31]);
	ecl_cmp_defun(VV[34]);
	ecl_cmp_defun(VV[43]);
	(void)0; /* No entry created for GET-INLINE-INFO */
	ecl_cmp_defun(VV[48]);
	ecl_cmp_defun(VV[49]);
	ecl_cmp_defun(VV[50]);
}
