/*	Compiler: ECL 11.1.1                                          */
/*	Source: SRC:CMP;CMPENV-API.LSP                                */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpenv-api.h"
/*	function definition for CMP-ENV-ROOT                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1cmp_env_root(cl_narg narg, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ecl_symbol_value(VV[0]);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V2;                            /*  ENV             */
	V2= L2cmp_env_copy(1,V1)                  /*  CMP-ENV-COPY    */;
	value0=ecl_function_dispatch(cl_env_copy,VV[40])(1,V2) /*  ADD-DEFAULT-OPTIMIZATIONS */;
	return value0;
	}
}}
/*	function definition for CMP-ENV-COPY                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2cmp_env_copy(cl_narg narg, ...)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	T0= cl_car(V1)                            /*  CAR             */;
	T1= cl_cdr(V1)                            /*  CDR             */;
	value0=CONS(T0,T1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function CMP-ENV-VARIABLES                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3cmp_env_variables(cl_object V1, cl_object V2)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ENV             */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= VV[2];
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(2,ECL_SYM("CAR",178),V3)   /*  LIST            */;
	return value0;
	}
}}
/*	local function CMP-ENV-FUNCTIONS                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4cmp_env_functions(cl_object V1, cl_object V2)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ENV             */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= VV[2];
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(2,ECL_SYM("CDR",196),V3)   /*  LIST            */;
	return value0;
	}
}}
/*	function definition for CMP-ENV-CLEANUPS                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5cmp_env_cleanups(cl_object V1)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  SPECIALS        */
	V2= Cnil;
	{cl_object V3;                            /*  END             */
	V3= cl_car(V1)                            /*  CAR             */;
	{cl_object V4;                            /*  CLEANUP-FORMS   */
	V4= Cnil;
	{cl_object V5;                            /*  RECORDS-LIST    */
	V5= cl_car(ecl_symbol_value(VV[2]))       /*  CAR             */;
L6:;
	if(!(ECL_ATOM(V5))){
	goto L10;}
	goto L7;
L10:;
	goto L8;
L8:;
	if(!((V5)==(V3))){
	goto L14;}
	goto L7;
L14:;
	goto L12;
L12:;
	{cl_object V6;                            /*  RECORD          */
	V6= cl_first(V5)                          /*  FIRST           */;
	{cl_object V7;
	V7= ecl_make_bool(ECL_ATOM(V6));
	if((V7)==Cnil){
	goto L20;}
	goto L16;
L20:;
	T0= cl_first(V6)                          /*  FIRST           */;
	if(!(ECL_SYMBOLP(T0))){
	goto L23;}
	T0= cl_second(V6)                         /*  SECOND          */;
	if(!((T0)==(ECL_SYM("SPECIAL",1279)))){
	goto L23;}
	T0= cl_fourth(V6)                         /*  FOURTH          */;
	V2= CONS(T0,V2);
	goto L16;
L23:;
	T0= cl_first(V6)                          /*  FIRST           */;
	if(!((T0)==(VV[6]))){
	goto L28;}
	T0= cl_second(V6)                         /*  SECOND          */;
	V4= CONS(T0,V4);
	goto L16;
L28:;
	goto L16;
	}
	}
L16:;
	V5= CDR(V5);
	goto L6;
L7:;
	if((V5)==(V3)){
	goto L37;}
	(void)cl_error(1,_ecl_static_1)           /*  ERROR           */;
	goto L35;
L37:;
	goto L35;
L35:;
	T0= (ECL_SYM("NCONC",579)->symbol.gfdef);
	{cl_object V6;
	cl_object V7;
	V6= Cnil;
	V7= V4;
	{cl_object V8;
	cl_object V9;
	V8= ecl_list1(Cnil);
	V9= V8;
L46:;
	if(!(ecl_endp(V7))){
	goto L50;}
	goto L47;
L50:;
	goto L48;
L48:;
	V6= CAR(V7);
	V7= CDR(V7);
	T2= V9;
	T3= cl_copy_list(V6)                      /*  COPY-LIST       */;
	V9= ecl_list1(T3);
	if (ecl_unlikely(ATOM(T2)))FEtype_error_cons(T2);
	ECL_CONS_CDR(T2) = V9;
	goto L46;
L47:;
	T1= cl_cdr(V8)                            /*  CDR             */;
	goto L40;
	}
	}
L40:;
	T2= cl_apply(2,T0,T1)                     /*  APPLY           */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=V2;
	return cl_env_copy->values[0];
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}
	}
}}
/*	function definition for CMP-ENV-REGISTER-VAR                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6cmp_env_register_var(cl_narg narg, cl_object V1, ...)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= Ct;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;
	cl_object V5;
	T0= ecl_function_dispatch(cl_env_copy,VV[46])(1,V1) /*  VAR-NAME */;
	{cl_object V6;
	V6= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  VAR-KIND */;
	if(!((V6)==(ECL_SYM("SPECIAL",787)))){
	goto L13;}
	goto L10;
	goto L11;
L13:;
	goto L11;
L11:;
	if(!((V6)==(VV[9]))){
	goto L7;}
	goto L8;
L10:;
	}
L8:;
	T1= ECL_SYM("SPECIAL",1279);
	goto L5;
L7:;
	T1= Ct;
	goto L5;
L5:;
	V4= cl_list(4,T0,T1,V3,V1)                /*  LIST            */;
	T0= cl_car(V2)                            /*  CAR             */;
	V5= CONS(V4,T0);
	if (ecl_unlikely(ATOM(V2))) FEtype_error_cons(V2);
	T0= V2;
	(ECL_CONS_CAR(T0)=V5,T0);
	}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMP-ENV-DECLARE-SPECIAL               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7cmp_env_declare_special(cl_narg narg, cl_object V1, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	T0= ecl_function_dispatch(cl_env_copy,VV[49])(5,V1,VV[12],Cnil,VV[13],ECL_SYM("SPECIAL",787)) /*  C1MAKE-GLOBAL-VARIABLE */;
	(void)L6cmp_env_register_var(3,T0,V2,Cnil) /*  CMP-ENV-REGISTER-VAR */;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMP-ENV-ADD-DECLARATION               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8cmp_env_add_declaration(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;
	cl_object V5;
	V4= cl_listX(3,ECL_SYM("DECLARE",982),V1,V2) /*  LIST*        */;
	T0= cl_car(V3)                            /*  CAR             */;
	V5= CONS(V4,T0);
	if (ecl_unlikely(ATOM(V3))) FEtype_error_cons(V3);
	T0= V3;
	(ECL_CONS_CAR(T0)=V5,T0);
	}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMP-ENV-EXTEND-DECLARATION            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9cmp_env_extend_declaration(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  X               */
	V4= L29cmp_env_search_declaration(1,V1)   /*  CMP-ENV-SEARCH-DECLARATION */;
	T0= ecl_append(V2,V4);
	(void)L8cmp_env_add_declaration(3,V1,T0,V3) /*  CMP-ENV-ADD-DECLARATION */;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CMP-ENV-REGISTER-FUNCTION             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10cmp_env_register_function(cl_narg narg, cl_object V1, ...)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;
	cl_object V4;
	T0= ecl_function_dispatch(cl_env_copy,VV[53])(1,V1) /*  FUN-NAME */;
	V3= cl_list(3,T0,ECL_SYM("FUNCTION",394),V1) /*  LIST         */;
	T0= cl_cdr(V2)                            /*  CDR             */;
	V4= CONS(V3,T0);
	if (ecl_unlikely(ATOM(V2)))FEtype_error_cons(V2);
	ECL_CONS_CDR(V2) = V4;
	}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMP-ENV-REGISTER-GLOBAL-MACRO         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11cmp_env_register_global_macro(cl_object V1, cl_object V2)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_cdr(ecl_symbol_value(VV[0]))       /*  CDR             */;
	if((cl_tailp(T0,ecl_symbol_value(VV[2]))  /*  TAILP           */)!=Cnil){
	goto L3;}
	(void)(cl_env_copy->function=(ECL_SYM("BREAK",156)->symbol.gfdef))->cfun.entry(0) /*  BREAK */;
	goto L1;
L3:;
	goto L1;
L1:;
	T0= cl_cdr(ecl_symbol_value(VV[0]))       /*  CDR             */;
	T1= cl_list(3,V1,ECL_SYM("MACRO",1080),V2) /*  LIST           */;
	T2= ecl_list1(T1);
	ecl_nconc(T0,T2);
	value0=Cnil; cl_env_copy->nvalues=0;
	return value0;
}}
/*	function definition for CMP-ENV-REGISTER-MACRO                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12cmp_env_register_macro(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;
	cl_object V5;
	V4= cl_list(3,V1,ECL_SYM("MACRO",1080),V2) /*  LIST           */;
	T0= cl_cdr(V3)                            /*  CDR             */;
	V5= CONS(V4,T0);
	if (ecl_unlikely(ATOM(V3)))FEtype_error_cons(V3);
	ECL_CONS_CDR(V3) = V5;
	}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMP-ENV-REGISTER-FTYPE                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13cmp_env_register_ftype(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;
	cl_object V5;
	V4= cl_listX(3,ECL_SYM("DECLARE",982),V1,V2) /*  LIST*        */;
	T0= cl_cdr(V3)                            /*  CDR             */;
	V5= CONS(V4,T0);
	if (ecl_unlikely(ATOM(V3)))FEtype_error_cons(V3);
	ECL_CONS_CDR(V3) = V5;
	}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMP-ENV-REGISTER-SYMBOL-MACRO         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15cmp_env_register_symbol_macro(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	env0 = Cnil;
	CLV0=env0=CONS(V2,env0);                  /*  FORM            */
	{int i=2;
	if (i >= narg) {
	V3= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;
	cl_object V5;
	T0= ecl_make_cclosure_va((cl_objectfn)LC14__g46,env0,Cblock);
	V4= cl_list(3,V1,ECL_SYM("SYMBOL-MACRO",1139),T0) /*  LIST    */;
	T0= cl_car(V3)                            /*  CAR             */;
	V5= CONS(V4,T0);
	if (ecl_unlikely(ATOM(V3))) FEtype_error_cons(V3);
	T0= V3;
	(ECL_CONS_CAR(T0)=V5,T0);
	}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	closure G46                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14__g46(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV0=env0;                                /*  FORM            */
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=ECL_CONS_CAR(CLV0); cl_env_copy->nvalues=1;
	return value0;
}}}
/*	function definition for CMP-ENV-REGISTER-BLOCK                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16cmp_env_register_block(cl_narg narg, cl_object V1, ...)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;
	cl_object V4;
	T0= ecl_function_dispatch(cl_env_copy,VV[59])(1,V1) /*  BLK-NAME */;
	V3= cl_list(3,ECL_SYM("BLOCK",1177),T0,V1) /*  LIST           */;
	T0= cl_car(V2)                            /*  CAR             */;
	V4= CONS(V3,T0);
	if (ecl_unlikely(ATOM(V2))) FEtype_error_cons(V2);
	T0= V2;
	(ECL_CONS_CAR(T0)=V4,T0);
	}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMP-ENV-REGISTER-TAG                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17cmp_env_register_tag(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;
	cl_object V5;
	T0= ecl_list1(V1);
	V4= cl_list(3,ECL_SYM("TAG",1285),T0,V2)  /*  LIST            */;
	T0= cl_car(V3)                            /*  CAR             */;
	V5= CONS(V4,T0);
	if (ecl_unlikely(ATOM(V3))) FEtype_error_cons(V3);
	T0= V3;
	(ECL_CONS_CAR(T0)=V5,T0);
	}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMP-ENV-REGISTER-CLEANUP              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18cmp_env_register_cleanup(cl_narg narg, cl_object V1, ...)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;
	cl_object V4;
	T0= cl_copy_list(V1)                      /*  COPY-LIST       */;
	V3= cl_list(2,VV[6],T0)                   /*  LIST            */;
	T0= cl_car(V2)                            /*  CAR             */;
	V4= CONS(V3,T0);
	if (ecl_unlikely(ATOM(V2))) FEtype_error_cons(V2);
	T0= V2;
	(ECL_CONS_CAR(T0)=V4,T0);
	}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMP-ENV-SEARCH-FUNCTION               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19cmp_env_search_function(cl_narg narg, cl_object V1, ...)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  CLB             */
	cl_object V4;                             /*  UNW             */
	cl_object V5;                             /*  FOUND           */
	V3= Cnil;
	V4= Cnil;
	V5= Cnil;
	{cl_object V6;                            /*  %DOLIST-VAR     */
	cl_object V7;                             /*  RECORD          */
	V6= cl_cdr(V2)                            /*  CDR             */;
	V7= Cnil;
	goto L11;
L10:;
	V7= cl_first(V6)                          /*  FIRST           */;
	if(!((V7)==(VV[25]))){
	goto L17;}
	cl_set(VV[26],Ct);
	goto L15;
L17:;
	if(!((V7)==(VV[27]))){
	goto L21;}
	V3= Ct;
	goto L15;
L21:;
	if(!((V7)==(ECL_SYM("UNWIND-PROTECT",886)))){
	goto L25;}
	V4= Ct;
	goto L15;
L25:;
	if(!(ECL_ATOM(V7))){
	goto L29;}
	T0= ecl_list1(V7);
	(void)ecl_function_dispatch(cl_env_copy,VV[63])(4,ECL_SYM("FORMAT-CONTROL",1214),_ecl_static_2,ECL_SYM("FORMAT-ARGUMENTS",1213),T0) /*  BABOON */;
	goto L15;
L29:;
	T0= cl_first(V7)                          /*  FIRST           */;
	if(!(ecl_equal(T0,V1))){
	goto L32;}
	T0= ecl_last(V7,1);
	V5= cl_first(T0)                          /*  FIRST           */;
	goto L5;
L32:;
	goto L15;
L15:;
	V6= CDR(V6);
L11:;
	if((V6)==Cnil){
	goto L40;}
	goto L10;
L40:;
	goto L38;
L38:;
	goto L8;
L8:;
	}
L5:;
	cl_env_copy->nvalues=4;
	cl_env_copy->values[3]=V4;
	cl_env_copy->values[2]=V3;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=V5;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for CMP-ENV-SEARCH-VARIABLES              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20cmp_env_search_variables(cl_object V1, cl_object V2, cl_object V3)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  CCB             */
	cl_object V5;                             /*  CLB             */
	cl_object V6;                             /*  UNW             */
	cl_object V7;                             /*  FOUND           */
	V4= Cnil;
	V5= Cnil;
	V6= Cnil;
	V7= Cnil;
	{cl_object V8;                            /*  %DOLIST-VAR     */
	cl_object V9;                             /*  RECORD          */
	V8= cl_car(V3)                            /*  CAR             */;
	V9= Cnil;
	goto L11;
L10:;
	V9= cl_first(V8)                          /*  FIRST           */;
	if(!((V9)==(VV[25]))){
	goto L17;}
	V4= Ct;
	goto L15;
L17:;
	if(!((V9)==(VV[27]))){
	goto L21;}
	V5= Ct;
	goto L15;
L21:;
	if(!((V9)==(ECL_SYM("UNWIND-PROTECT",886)))){
	goto L25;}
	V6= Ct;
	goto L15;
L25:;
	if(!(ECL_ATOM(V9))){
	goto L29;}
	T0= ecl_list1(V9);
	(void)ecl_function_dispatch(cl_env_copy,VV[63])(4,ECL_SYM("FORMAT-CONTROL",1214),_ecl_static_2,ECL_SYM("FORMAT-ARGUMENTS",1213),T0) /*  BABOON */;
	goto L15;
L29:;
	{cl_object V10;
	T0= cl_first(V9)                          /*  FIRST           */;
	{bool V11;
	V11= (T0)==(V1);
	V10= (V11)?Cnil:Ct;}
	if((V10)==Cnil){
	goto L33;}
	goto L15;
L33:;
	if(!((V1)==(ECL_SYM("BLOCK",1177)))){
	goto L36;}
	T0= cl_second(V9)                         /*  SECOND          */;
	if(!((V2)==(T0))){
	goto L39;}
	V7= V9;
	goto L5;
L39:;
	goto L15;
L36:;
	if(!((V1)==(ECL_SYM("TAG",1285)))){
	goto L44;}
	T0= cl_second(V9)                         /*  SECOND          */;
	if((ecl_memql(V2,T0))==Cnil){
	goto L47;}
	V7= V9;
	goto L5;
L47:;
	goto L15;
L44:;
	T0= cl_second(V9)                         /*  SECOND          */;
	if(!((T0)==(ECL_SYM("SYMBOL-MACRO",1139)))){
	goto L52;}
	if(!((V2)==(ECL_SYM("SYMBOL-MACRO",1139)))){
	goto L56;}
	V7= V9;
	goto L54;
L56:;
	goto L54;
L54:;
	goto L5;
L52:;
	V7= V9;
	goto L5;
	}
L15:;
	V8= CDR(V8);
L11:;
	if((V8)==Cnil){
	goto L65;}
	goto L10;
L65:;
	goto L63;
L63:;
	goto L8;
L8:;
	}
L5:;
	T0= ecl_last(V7,1);
	T1= cl_first(T0)                          /*  FIRST           */;
	cl_env_copy->nvalues=4;
	cl_env_copy->values[3]=V6;
	cl_env_copy->values[2]=V5;
	cl_env_copy->values[1]=V4;
	cl_env_copy->values[0]=T1;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for CMP-ENV-SEARCH-BLOCK                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L21cmp_env_search_block(cl_narg narg, cl_object V1, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=L20cmp_env_search_variables(ECL_SYM("BLOCK",1177),V1,V2) /*  CMP-ENV-SEARCH-VARIABLES */;
	return value0;
}}
/*	function definition for CMP-ENV-SEARCH-TAG                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22cmp_env_search_tag(cl_narg narg, cl_object V1, ...)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=L20cmp_env_search_variables(ECL_SYM("TAG",1285),V1,V2) /*  CMP-ENV-SEARCH-VARIABLES */;
	return value0;
}}
/*	function definition for CMP-ENV-SEARCH-SYMBOL-MACRO           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L23cmp_env_search_symbol_macro(cl_narg narg, cl_object V1, ...)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=L20cmp_env_search_variables(V1,ECL_SYM("SYMBOL-MACRO",1139),V2) /*  CMP-ENV-SEARCH-VARIABLES */;
	return value0;
}}
/*	function definition for CMP-ENV-SEARCH-VAR                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24cmp_env_search_var(cl_narg narg, cl_object V1, ...)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=L20cmp_env_search_variables(V1,Ct,V2) /*  CMP-ENV-SEARCH-VARIABLES */;
	return value0;
}}
/*	function definition for CMP-ENV-SEARCH-MACRO                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25cmp_env_search_macro(cl_narg narg, cl_object V1, ...)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  F               */
	V3= L19cmp_env_search_function(2,V1,V2)   /*  CMP-ENV-SEARCH-FUNCTION */;
	if((cl_functionp(V3)                      /*  FUNCTIONP       */)==Cnil){
	goto L4;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L4:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CMP-ENV-SEARCH-FTYPE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L26cmp_env_search_ftype(cl_narg narg, cl_object V1, ...)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  %DOLIST-VAR     */
	cl_object V4;                             /*  I               */
	V3= V2;
	V4= Cnil;
	goto L7;
L6:;
	V4= cl_first(V3)                          /*  FIRST           */;
	if(!(ECL_CONSP(V4))){
	goto L13;}
	{cl_object V5;
	V5= cl_car(V4)                            /*  CAR             */;
	V4= cl_cdr(V4)                            /*  CDR             */;
	T0= V5;
	}
	if(!((T0)==(ECL_SYM("DECLARE",982)))){
	goto L13;}
	{cl_object V5;
	V5= cl_car(V4)                            /*  CAR             */;
	V4= cl_cdr(V4)                            /*  CDR             */;
	T0= V5;
	}
	if((ecl_function_dispatch(cl_env_copy,VV[71])(2,T0,V1) /*  SAME-FNAME-P */)==Cnil){
	goto L13;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
L13:;
	goto L11;
L11:;
	V3= CDR(V3);
L7:;
	if((V3)==Cnil){
	goto L29;}
	goto L6;
L29:;
	goto L27;
L27:;
	goto L4;
L4:;
	V4= Cnil;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CMP-ENV-MARK                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27cmp_env_mark(cl_narg narg, cl_object V1, ...)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	T0= cl_car(V2)                            /*  CAR             */;
	T1= CONS(V1,T0);
	T2= cl_cdr(V2)                            /*  CDR             */;
	value0=cl_listX(3,T1,V1,T2)               /*  LIST*           */;
	return value0;
}}
/*	function definition for CMP-ENV-NEW-VARIABLES                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28cmp_env_new_variables(cl_object V1, cl_object V2)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LET1368         */
	cl_object V4;                             /*  I               */
	cl_object V5;
	T0= cl_car(ecl_symbol_value(VV[2]))       /*  CAR             */;
	T1= cl_car(V2)                            /*  CAR             */;
	V3= cl_ldiff(T0,T1)                       /*  LDIFF           */;
	V4= Cnil;
	V5= V3;
	{cl_object V6;
	cl_object V7;
	V6= ecl_list1(Cnil);
	V7= V6;
L7:;
	if(!(ecl_endp(V5))){
	goto L11;}
	goto L8;
L11:;
	goto L9;
L9:;
	V4= CAR(V5);
	V5= CDR(V5);
	if(!(ECL_CONSP(V4))){
	goto L19;}
	T0= cl_fourth(V4)                         /*  FOURTH          */;
	if((ecl_function_dispatch(cl_env_copy,VV[74])(1,T0) /*  VAR-P */)==Cnil){
	goto L19;}
	T0= V7;
	T1= cl_fourth(V4)                         /*  FOURTH          */;
	V7= ecl_list1(T1);
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V7;
	goto L17;
L19:;
	goto L17;
L17:;
	goto L7;
L8:;
	value0=cl_cdr(V6)                         /*  CDR             */;
	return value0;
	}
	}
}}
/*	function definition for CMP-ENV-SEARCH-DECLARATION            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29cmp_env_search_declaration(cl_narg narg, cl_object V1, ...)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(VV[2]);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  LET1370         */
	cl_object V4;                             /*  I               */
	cl_object V5;
	V3= cl_car(V2)                            /*  CAR             */;
	V4= Cnil;
	V5= V3;
L6:;
	if(!(ecl_endp(V5))){
	goto L10;}
	goto L7;
L10:;
	goto L8;
L8:;
	V4= CAR(V5);
	V5= CDR(V5);
	if(!(ECL_CONSP(V4))){
	goto L18;}
	T0= cl_first(V4)                          /*  FIRST           */;
	if(!((T0)==(ECL_SYM("DECLARE",982)))){
	goto L18;}
	T0= cl_second(V4)                         /*  SECOND          */;
	if(!((T0)==(V1))){
	goto L18;}
	value0=cl_cddr(V4)                        /*  CDDR            */;
	return value0;
L18:;
	goto L16;
L16:;
	goto L6;
L7:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
	
#include "cmp/cmpenv-api.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclQqxC8VZ7_DZOqLD01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:CMP;CMPENV-API.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclQqxC8VZ7_DZOqLD01@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	ecl_cmp_defun(VV[39]);
	ecl_cmp_defun(VV[41]);
	ecl_cmp_defmacro(VV[42]);
	ecl_cmp_defmacro(VV[43]);
	ecl_cmp_defun(VV[44]);
	ecl_cmp_defun(VV[45]);
	ecl_cmp_defun(VV[48]);
	ecl_cmp_defun(VV[50]);
	ecl_cmp_defun(VV[51]);
	ecl_cmp_defun(VV[52]);
	ecl_cmp_defun(VV[54]);
	ecl_cmp_defun(VV[55]);
	ecl_cmp_defun(VV[56]);
	ecl_cmp_defun(VV[57]);
	ecl_cmp_defun(VV[58]);
	ecl_cmp_defun(VV[60]);
	ecl_cmp_defun(VV[61]);
	ecl_cmp_defun(VV[62]);
	ecl_cmp_defun(VV[64]);
	ecl_cmp_defun(VV[65]);
	ecl_cmp_defun(VV[66]);
	ecl_cmp_defun(VV[67]);
	ecl_cmp_defun(VV[68]);
	ecl_cmp_defun(VV[69]);
	ecl_cmp_defun(VV[70]);
	ecl_cmp_defun(VV[72]);
	ecl_cmp_defun(VV[73]);
	ecl_cmp_defun(VV[75]);
}
