/*	Compiler: ECL 11.1.1                                          */
/*	Source: SRC:CMP;CMPUTIL.LSP                                   */
#include <ecl/ecl-cmp.h>
#include "cmp/cmputil.h"
/*	function definition for BRIEF-NAMESTRING                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1brief_namestring(cl_object V1)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= si_coerce_to_filename(V1)             /*  COERCE-TO-FILENAME */;
	value0=cl_enough_namestring(1,T0)         /*  ENOUGH-NAMESTRING */;
	return value0;
}}
/*	function definition for INNERMOST-NON-EXPANDED-FORM           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2innermost_non_expanded_form(cl_object V1)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_LISTP(V1))){
	goto L2;}
	{cl_object V2;                            /*  OUTPUT          */
	V2= Cnil;
	{cl_object V3;                            /*  F               */
	cl_object V4;
	V3= Cnil;
	V4= V1;
L8:;
	if(!(ecl_endp(V4))){
	goto L12;}
	goto L9;
L12:;
	goto L10;
L10:;
	V3= CAR(V4);
	V4= CDR(V4);
	if(!((V3)==(ECL_SYM("MACROEXPAND",517)))){
	goto L20;}
	V2= Cnil;
	goto L18;
L20:;
	if(!(V2==Cnil)){
	goto L24;}
	V2= V3;
	goto L18;
L24:;
	goto L18;
L18:;
	goto L8;
L9:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
	}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for COMPILER-MESSAGE-REPORT               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3compiler_message_report(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_va_list args; cl_va_start(args,V3,narg,3);
	V4=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V5;                            /*  LET1274         */
	cl_object V6;                             /*  LET1275         */
	cl_object V7;                             /*  LET1276         */
	cl_object V8;                             /*  LET1277         */
	V5= ecl_function_dispatch(cl_env_copy,VV[97])(1,V2) /*  COMPILER-MESSAGE-FILE-POSITION */;
	V6= ecl_function_dispatch(cl_env_copy,VV[98])(1,V2) /*  COMPILER-MESSAGE-PREFIX */;
	V7= ecl_function_dispatch(cl_env_copy,VV[99])(1,V2) /*  COMPILER-MESSAGE-FILE */;
	T0= ecl_function_dispatch(cl_env_copy,VV[100])(1,V2) /*  COMPILER-MESSAGE-TOPLEVEL-FORM */;
	V8= L2innermost_non_expanded_form(T0)     /*  INNERMOST-NON-EXPANDED-FORM */;
	if((V8)==Cnil){
	goto L7;}
	if((V5)==Cnil){
	goto L7;}
	if(ecl_minusp(V5)){
	goto L7;}
	if(ecl_equalp(V8,VV[6])){
	goto L7;}
	ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-LENGTH*",48),MAKE_FIXNUM(2)); /*  *PRINT-LENGTH* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-LEVEL*",49),MAKE_FIXNUM(2)); /*  *PRINT-LEVEL* */
	T0= cl_pathname_name(1,V7)                /*  PATHNAME-NAME   */;
	T1= cl_pathname_type(1,V7)                /*  PATHNAME-TYPE   */;
	T2= cl_pathname_version(V7)               /*  PATHNAME-VERSION */;
	T3= cl_make_pathname(6,ECL_SYM("NAME",1244),T0,ECL_SYM("TYPE",1288),T1,ECL_SYM("VERSION",1295),T2) /*  MAKE-PATHNAME */;
	(void)cl_format(6,V1,_ecl_static_5,V6,T3,V5,V8) /*  FORMAT    */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	goto L5;
L7:;
	(void)cl_format(3,V1,_ecl_static_6,V6)    /*  FORMAT          */;
	goto L5;
L5:;
	T0= ecl_function_dispatch(cl_env_copy,VV[101])(1,V2) /*  COMPILER-MESSAGE-FORMAT */;
	value0=cl_format(4,V1,T0,V3,V4)           /*  FORMAT          */;
	return value0;
	}
}}
/*	local function G3                                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4__g3()
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_symbol_value(ECL_SYM("*COMPILE-FILE-PATHNAME*",24)); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G4                                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5__g4()
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_symbol_value(VV[16]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G5                                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6__g5()
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_symbol_value(VV[17]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G6                                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7__g6()
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_symbol_value(VV[19]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function PRINT-OBJECT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8print_object(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(ECL_SYM("*PRINT-ESCAPE*",46)))==Cnil){
	goto L2;}
	if((ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1435)))==Cnil){
	goto L5;}
	T0= cl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1435))) /*  CAR */;
	T1= cl_rest(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1435))) /*  REST */;
	value0=ecl_function_dispatch(cl_env_copy,T0)(2,ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1433)),T1);
	return value0;
L5:;
	value0=cl_error(1,_ecl_static_8)          /*  ERROR           */;
	return value0;
L2:;
	T0= ecl_fdefinition(VV[7]);
	T1= (cl_env_copy->function=(ECL_SYM("SIMPLE-CONDITION-FORMAT-CONTROL",766)->symbol.gfdef))->cfun.entry(1,V1) /*  SIMPLE-CONDITION-FORMAT-CONTROL */;
	T2= (cl_env_copy->function=(ECL_SYM("SIMPLE-CONDITION-FORMAT-ARGUMENTS",767)->symbol.gfdef))->cfun.entry(1,V1) /*  SIMPLE-CONDITION-FORMAT-ARGUMENTS */;
	value0=cl_apply(5,T0,V2,V1,T1,T2)         /*  APPLY           */;
	return value0;
}}
/*	local function PRINT-OBJECT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9print_object(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(ECL_SYM("*PRINT-ESCAPE*",46)))==Cnil){
	goto L2;}
	if((ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1435)))==Cnil){
	goto L5;}
	T0= cl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1435))) /*  CAR */;
	T1= cl_rest(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1435))) /*  REST */;
	value0=ecl_function_dispatch(cl_env_copy,T0)(2,ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1433)),T1);
	return value0;
L5:;
	value0=cl_error(1,_ecl_static_8)          /*  ERROR           */;
	return value0;
L2:;
	T0= cl_slot_value(V1,ECL_SYM("VARIABLE",895)) /*  SLOT-VALUE  */;
	value0=L3compiler_message_report(4,V2,V1,_ecl_static_13,T0) /*  COMPILER-MESSAGE-REPORT */;
	return value0;
}}
/*	function definition for PRINT-COMPILER-MESSAGE                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10print_compiler_message(cl_object V1, cl_object V2)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_typep(2,V1,ecl_symbol_value(VV[29])) /*  TYPEP         */)!=Cnil){
	goto L2;}
	value0=cl_format(3,V2,_ecl_static_14,V1)  /*  FORMAT          */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for HANDLE-COMPILER-NOTE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11handle_compiler_note(cl_object V1)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for HANDLE-COMPILER-WARNING               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12handle_compiler_warning(cl_object V1)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_set(VV[32],CONS(V1,ecl_symbol_value(VV[32])));
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for HANDLE-COMPILER-ERROR                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13handle_compiler_error(cl_object V1)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)(cl_env_copy->function=(ECL_SYM("SIGNAL",758)->symbol.gfdef))->cfun.entry(1,V1) /*  SIGNAL */;
	cl_set(VV[32],CONS(V1,ecl_symbol_value(VV[32])));
	(void)L10print_compiler_message(V1,Ct)    /*  PRINT-COMPILER-MESSAGE */;
	value0=(cl_env_copy->function=(ECL_SYM("ABORT",75)->symbol.gfdef))->cfun.entry(0) /*  ABORT */;
	return value0;
}}
/*	function definition for HANDLE-COMPILER-INTERNAL-ERROR        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14handle_compiler_internal_error(cl_object V1)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[35]))==Cnil){
	goto L3;}
	(void)(cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",443)->symbol.gfdef))->cfun.entry(1,V1) /*  INVOKE-DEBUGGER */;
	goto L1;
L3:;
	goto L1;
L1:;
	T0= ecl_list1(V1);
	V1= (cl_env_copy->function=(ECL_SYM("MAKE-CONDITION",522)->symbol.gfdef))->cfun.entry(5,VV[26],ECL_SYM("FORMAT-CONTROL",1214),_ecl_static_15,ECL_SYM("FORMAT-ARGUMENTS",1213),T0) /*  MAKE-CONDITION */;
	(void)(cl_env_copy->function=(ECL_SYM("SIGNAL",758)->symbol.gfdef))->cfun.entry(1,V1) /*  SIGNAL */;
	(void)L10print_compiler_message(V1,Ct)    /*  PRINT-COMPILER-MESSAGE */;
	value0=(cl_env_copy->function=(ECL_SYM("ABORT",75)->symbol.gfdef))->cfun.entry(0) /*  ABORT */;
	return value0;
}}
/*	function definition for DO-COMPILATION-UNIT                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15do_compilation_unit(volatile cl_narg narg, cl_object volatile V1, ...)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,L15do_compilation_unitkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V2= keyvars[0];
	}
	if((V2)==Cnil){
	goto L2;}
	ecl_bds_bind(cl_env_copy,VV[37],Cnil);    /*  *ACTIVE-PROTECTION* */
	value0=L15do_compilation_unit(1,V1)       /*  DO-COMPILATION-UNIT */;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
L2:;
	if(!(ecl_symbol_value(VV[37])==Cnil)){
	goto L5;}
	ecl_bds_bind(cl_env_copy,VV[37],Ct);      /*  *ACTIVE-PROTECTION* */
	ecl_bds_bind(cl_env_copy,VV[38],Cnil);    /*  *PENDING-ACTIONS* */
	{
	volatile bool unwinding = FALSE;
	cl_index V3=ECL_STACK_INDEX(cl_env_copy),V4;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	cl_env_copy->values[0]=L15do_compilation_unit(1,V1) /*  DO-COMPILATION-UNIT */;
	}
	ecl_frs_pop(cl_env_copy);
	V4=ecl_stack_push_values(cl_env_copy);
	{cl_object V5;                            /*  LET1279         */
	cl_object V6;                             /*  ACTION          */
	cl_object V7;
	V5= ecl_symbol_value(VV[38]);
	V6= Cnil;
	V7= V5;
L13:;
	if(!(ecl_endp(V7))){
	goto L17;}
	goto L14;
L17:;
	goto L15;
L15:;
	V6= CAR(V7);
	V7= CDR(V7);
	(void)ecl_function_dispatch(cl_env_copy,V6)(0);
	goto L13;
L14:;
	goto L8;
	}
L8:;
	ecl_stack_pop_values(cl_env_copy,V4);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V3);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return cl_env_copy->values[0];}
L5:;
	value0=ecl_function_dispatch(cl_env_copy,V1)(0);
	return value0;
}}
/*	local function WITH-COMPILATION-UNIT                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16with_compilation_unit(cl_object V1, cl_object V2)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  BODY            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	T0= cl_listX(3,ECL_SYM("LAMBDA",450),Cnil,V4) /*  LIST*       */;
	T1= cl_list(2,ECL_SYM("FUNCTION",394),T0) /*  LIST            */;
	value0=cl_listX(3,VV[39],T1,V3)           /*  LIST*           */;
	return value0;
	}
}}
/*	local function WITH-COMPILER-ENV                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17with_compiler_env(cl_object V1, cl_object V2)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  COMPILER-CONDITIONS */
	cl_object V5;                             /*  BODY            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((V3)==Cnil){
	goto L7;}
	V4= cl_car(V3)                            /*  CAR             */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cddr(V1)                           /*  CDDR            */;
	(void)si_check_arg_length(2,V3,MAKE_FIXNUM(1)) /*  CHECK-ARG-LENGTH */;
	T0= cl_listX(3,VV[40],Cnil,V5)            /*  LIST*           */;
	T1= cl_list(3,ECL_SYM("LET",475),ecl_symbol_value(VV[45]),T0) /*  LIST */;
	T2= cl_list(3,ECL_SYM("WITH-LOCK",1412),VV[44],T1) /*  LIST   */;
	T3= cl_list(3,ECL_SYM("HANDLER-BIND",415),VV[43],T2) /*  LIST */;
	T4= cl_list(3,ECL_SYM("RESTART-CASE",720),T3,VV[46]) /*  LIST */;
	T5= cl_list(3,ECL_SYM("SETF",748),V4,VV[32]) /*  LIST         */;
	value0=cl_list(5,ECL_SYM("LET",475),VV[41],VV[42],T4,T5) /*  LIST */;
	return value0;
	}
}}
/*	function definition for PRINT-C1FORMS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18print_c1forms(cl_object V1)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_CONSP(V1))){
	goto L2;}
	T0= ecl_one_plus(ecl_symbol_value(VV[48]));
	ecl_bds_bind(cl_env_copy,VV[48],T0);      /*  *C1FORM-LEVEL*  */
	{cl_object V2;
	cl_object V3;
	V2= Cnil;
	V3= V1;
L7:;
	if(!(ecl_endp(V3))){
	goto L11;}
	goto L8;
L11:;
	goto L9;
L9:;
	V2= CAR(V3);
	V3= CDR(V3);
	(void)L18print_c1forms(V2)                /*  PRINT-C1FORMS   */;
	goto L7;
L8:;
	value0=V1; cl_env_copy->nvalues=1;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
L2:;
	if((ecl_function_dispatch(cl_env_copy,VV[112])(1,V1) /*  C1FORM-P */)==Cnil){
	goto L21;}
	T0= ecl_symbol_value(VV[48]);
	T1= ecl_function_dispatch(cl_env_copy,VV[113])(1,V1) /*  C1FORM-PARENT */;
	(void)cl_format(5,Ct,_ecl_static_16,T0,V1,T1) /*  FORMAT      */;
	T0= ecl_function_dispatch(cl_env_copy,VV[114])(1,V1) /*  C1FORM-ARGS */;
	(void)L18print_c1forms(T0)                /*  PRINT-C1FORMS   */;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L21:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PRINT-REF                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19print_ref(cl_object V1, cl_object V2)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NAME            */
	V3= ecl_function_dispatch(cl_env_copy,VV[116])(1,V1) /*  REF-NAME */;
	if((V3)==Cnil){
	goto L3;}
	T0= cl_type_of(V1)                        /*  TYPE-OF         */;
	value0=cl_format(4,V2,_ecl_static_17,T0,V3) /*  FORMAT        */;
	return value0;
L3:;
	T0= cl_type_of(V1)                        /*  TYPE-OF         */;
	value0=cl_format(3,V2,_ecl_static_18,T0)  /*  FORMAT          */;
	return value0;
	}
}}
/*	function definition for PRINT-VAR                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20print_var(cl_object V1, cl_object V2)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[118])(1,V1) /*  VAR-NAME */;
	T1= ecl_function_dispatch(cl_env_copy,VV[119])(1,V1) /*  VAR-KIND */;
	value0=cl_format(4,V2,_ecl_static_19,T0,T1) /*  FORMAT        */;
	return value0;
}}
/*	function definition for CMPPROGRESS                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L21cmpprogress(cl_narg narg, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	cl_va_end(args);
	if((ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",27)))==Cnil){
	goto L2;}
	T0= (ECL_SYM("FORMAT",385)->symbol.gfdef);
	value0=cl_apply(3,T0,Ct,V1)               /*  APPLY           */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function CMPCK                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22cmpck(cl_object V1, cl_object V2)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  CONDITION       */
	cl_object V4;                             /*  STRING          */
	cl_object V5;                             /*  ARGS            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	T0= cl_listX(3,VV[53],V4,V5)              /*  LIST*           */;
	value0=cl_list(3,ECL_SYM("IF",944),V3,T0) /*  LIST            */;
	return value0;
	}
}}
/*	local function CMPASSERT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23cmpassert(cl_object V1, cl_object V2)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  CONDITION       */
	cl_object V4;                             /*  STRING          */
	cl_object V5;                             /*  ARGS            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	T0= cl_listX(3,VV[53],V4,V5)              /*  LIST*           */;
	value0=cl_list(3,ECL_SYM("UNLESS",881),V3,T0) /*  LIST        */;
	return value0;
	}
}}
/*	function definition for CMPERR                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24cmperr(cl_narg narg, cl_object V1, ...)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V3;                            /*  C               */
	V3= (cl_env_copy->function=(ECL_SYM("MAKE-CONDITION",522)->symbol.gfdef))->cfun.entry(5,VV[24],ECL_SYM("FORMAT-CONTROL",1214),V1,ECL_SYM("FORMAT-ARGUMENTS",1213),V2) /*  MAKE-CONDITION */;
	(void)(cl_env_copy->function=(ECL_SYM("SIGNAL",758)->symbol.gfdef))->cfun.entry(1,V3) /*  SIGNAL */;
	(void)L10print_compiler_message(V3,Ct)    /*  PRINT-COMPILER-MESSAGE */;
	value0=(cl_env_copy->function=(ECL_SYM("ABORT",75)->symbol.gfdef))->cfun.entry(0) /*  ABORT */;
	return value0;
	}
}}
/*	function definition for SAFE-LIST-LENGTH                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L26safe_list_length(cl_object volatile V1)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==Cnil)){
	goto L2;}
	value0=MAKE_FIXNUM(0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ECL_ATOM(V1))){
	goto L5;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L5:;
	{volatile cl_object env1 = env0;
	env1 = Cnil;
	CLV0=env1=CONS(Cnil,env1);
	{ volatile cl_object env2 = env1;
	CLV1=env2=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
	if (cl_env_copy->values[0]==MAKE_FIXNUM(0))goto L8;
	ecl_internal_error("GO found an inexistent tag");
	}
	T0= ecl_make_cclosure_va((cl_objectfn)LC25__g41,env2,Cblock);
	T1= CONS(ECL_SYM("ERROR",335),T0);
	T2= ecl_list1(T1);
	T3= CONS(T2,ecl_symbol_value(VV[57]));
	ecl_bds_bind(cl_env_copy,VV[57],T3);      /*  *HANDLER-CLUSTERS* */
	value0=cl_list_length(V1)                 /*  LIST-LENGTH     */;
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
L8:;
	value0=Cnil; cl_env_copy->nvalues=1;
	ecl_frs_pop(cl_env_copy);
	return value0;}
	}
}}
/*	closure G41                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25__g41(cl_narg narg, cl_object V1, ...)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),MAKE_FIXNUM(0));
}}}
/*	function definition for CHECK-ARGS-NUMBER                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27check_args_number(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= MAKE_FIXNUM(536870911);
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V5;                            /*  L               */
	V5= L26safe_list_length(V2)               /*  SAFE-LIST-LENGTH */;
	if(!(V5==Cnil)){
	goto L6;}
	ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-CIRCLE*",45),Ct); /*  *PRINT-CIRCLE* */
	(void)L24cmperr(3,_ecl_static_20,V1,V2)   /*  CMPERR          */;
	ecl_bds_unwind1(cl_env_copy);
	goto L4;
L6:;
	goto L4;
L4:;
	if(!(ecl_number_compare(V5,V3)<0)){
	goto L10;}
	(void)L29too_few_args(V1,V3,V5)           /*  TOO-FEW-ARGS    */;
	goto L8;
L10:;
	goto L8;
L8:;
	if((V4)==Cnil){
	goto L13;}
	if(!(ecl_number_compare(V5,V4)>0)){
	goto L13;}
	value0=L28too_many_args(V1,V4,V5)         /*  TOO-MANY-ARGS   */;
	return value0;
L13:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for TOO-MANY-ARGS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28too_many_args(cl_object V1, cl_object V2, cl_object V3)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-CASE*",44),ECL_SYM("UPCASE",1291)); /*  *PRINT-CASE* */
	value0=L24cmperr(4,_ecl_static_21,V1,V2,V3) /*  CMPERR        */;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
}}
/*	function definition for TOO-FEW-ARGS                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29too_few_args(cl_object V1, cl_object V2, cl_object V3)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L24cmperr(4,_ecl_static_22,V1,V2,V3) /*  CMPERR        */;
	return value0;
}}
/*	function definition for DO-CMPWARN                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L32do_cmpwarn(volatile cl_narg narg, ...)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	volatile cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	cl_va_end(args);
	{volatile cl_object V2;                   /*  CONDITION       */
	T0= (ECL_SYM("MAKE-CONDITION",522)->symbol.gfdef);
	V2= cl_apply(2,T0,V1)                     /*  APPLY           */;
	{volatile cl_object env1 = env0;
	env1 = Cnil;
	CLV0=env1=CONS(Cnil,env1);
	{ volatile cl_object env2 = env1;
	CLV1=env2=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
	if (cl_env_copy->values[0]==MAKE_FIXNUM(0))goto L5;
	ecl_internal_error("GO found an inexistent tag");
	}
	T0= ecl_make_cclosure_va((cl_objectfn)LC30__g46,env2,Cblock);
	T1= ecl_make_cfun((cl_objectfn_fixed)LC31__g47,Cnil,Cblock,1);
	T2= ecl_function_dispatch(cl_env_copy,VV[128])(6,ECL_SYM("NAME",1244),ECL_SYM("MUFFLE-WARNING",569),ECL_SYM("FUNCTION",1215),T0,VV[63],T1) /*  MAKE-RESTART */;
	T3= ecl_list1(T2);
	T4= CONS(T3,ecl_symbol_value(VV[62]));
	ecl_bds_bind(cl_env_copy,VV[62],T4);      /*  *RESTART-CLUSTERS* */
	T0= cl_first(ecl_symbol_value(VV[62]))    /*  FIRST           */;
	T1= CONS(V2,T0);
	T2= CONS(T1,ecl_symbol_value(VV[64]));
	ecl_bds_bind(cl_env_copy,VV[64],T2);      /*  *CONDITION-RESTARTS* */
	(void)(cl_env_copy->function=(ECL_SYM("SIGNAL",758)->symbol.gfdef))->cfun.entry(1,V2) /*  SIGNAL */;
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	goto L3;
L5:;
	value0=Cnil; cl_env_copy->nvalues=1;
	ecl_frs_pop(cl_env_copy);
	return value0;}
	}
L3:;
	value0=L10print_compiler_message(V2,Ct)   /*  PRINT-COMPILER-MESSAGE */;
	return value0;
	}
}}
/*	closure G46                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30__g46(cl_narg narg, ...)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	cl_va_end(args);
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),MAKE_FIXNUM(0));
}}}
/*	local function G47                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31__g47(cl_object V1)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_write_string(2,_ecl_static_23,V1) /*  WRITE-STRING  */;
	return value0;
}}
/*	function definition for CMPWARN-STYLE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L33cmpwarn_style(cl_narg narg, cl_object V1, ...)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	value0=L32do_cmpwarn(5,VV[27],ECL_SYM("FORMAT-CONTROL",1214),V1,ECL_SYM("FORMAT-ARGUMENTS",1213),V2) /*  DO-CMPWARN */;
	return value0;
}}
/*	function definition for CMPWARN                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L34cmpwarn(cl_narg narg, cl_object V1, ...)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	value0=L32do_cmpwarn(5,VV[23],ECL_SYM("FORMAT-CONTROL",1214),V1,ECL_SYM("FORMAT-ARGUMENTS",1213),V2) /*  DO-CMPWARN */;
	return value0;
}}
/*	function definition for CMPNOTE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35cmpnote(cl_narg narg, cl_object V1, ...)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	value0=L32do_cmpwarn(5,VV[21],ECL_SYM("FORMAT-CONTROL",1214),V1,ECL_SYM("FORMAT-ARGUMENTS",1213),V2) /*  DO-CMPWARN */;
	return value0;
}}
/*	function definition for CMPDEBUG                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L36cmpdebug(cl_narg narg, cl_object V1, ...)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	value0=L32do_cmpwarn(5,VV[22],ECL_SYM("FORMAT-CONTROL",1214),V1,ECL_SYM("FORMAT-ARGUMENTS",1213),V2) /*  DO-CMPWARN */;
	return value0;
}}
/*	function definition for PRINT-CURRENT-FORM                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37print_current_form()
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(ECL_SYM("*COMPILE-PRINT*",26)))==Cnil){
	goto L3;}
	ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-LENGTH*",48),MAKE_FIXNUM(2)); /*  *PRINT-LENGTH* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-LEVEL*",49),MAKE_FIXNUM(2)); /*  *PRINT-LEVEL* */
	T0= L2innermost_non_expanded_form(ecl_symbol_value(VV[17])) /*  INNERMOST-NON-EXPANDED-FORM */;
	(void)cl_format(3,Ct,_ecl_static_24,T0)   /*  FORMAT          */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	goto L1;
L3:;
	goto L1;
L1:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PRINT-EMITTING                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L38print_emitting(cl_object V1)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(ECL_SYM("*COMPILE-PRINT*",26)))==Cnil){
	goto L2;}
	{cl_object V2;                            /*  NAME            */
	value0=ecl_function_dispatch(cl_env_copy,VV[135])(1,V1) /*  FUN-NAME */;
	if((value0)!=Cnil){
	goto L6;}
	V2= ecl_function_dispatch(cl_env_copy,VV[136])(1,V1) /*  FUN-DESCRIPTION */;
	goto L4;
L6:;
	V2= value0;
	goto L4;
L4:;
	if((V2)==Cnil){
	goto L9;}
	value0=cl_format(3,Ct,_ecl_static_25,V2)  /*  FORMAT          */;
	return value0;
L9:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNDEFINED-VARIABLE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L39undefined_variable(cl_object V1)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L32do_cmpwarn(3,VV[28],ECL_SYM("NAME",1244),V1) /*  DO-CMPWARN */;
	return value0;
}}
/*	function definition for BABOON                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L40baboon(cl_narg narg, ...)
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L40baboonkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[2]==Cnil){
	V1= _ecl_static_26;
	}else{
	V1= keyvars[0];}
	V2= keyvars[1];
	}
	value0=(cl_env_copy->function=(ECL_SYM("SIGNAL",758)->symbol.gfdef))->cfun.entry(5,VV[26],ECL_SYM("FORMAT-CONTROL",1214),V1,ECL_SYM("FORMAT-ARGUMENTS",1213),V2) /*  SIGNAL */;
	return value0;
}}
/*	local function WITH-CMP-PROTECTION                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41with_cmp_protection(cl_object V1, cl_object V2)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  MAIN-FORM       */
	cl_object V4;                             /*  ERROR-FORM      */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,ECL_SYM("HANDLER-BIND",415),VV[74],V3) /*  LIST */;
	T1= cl_list(4,ECL_SYM("IF",944),VV[35],T0,V3) /*  LIST        */;
	T2= cl_list(3,ECL_SYM("MULTIPLE-VALUE-PROG1",573),T1,VV[75]) /*  LIST */;
	T3= cl_list(3,ECL_SYM("WHEN",903),VV[76],V4) /*  LIST         */;
	T4= cl_list(3,ECL_SYM("UNWIND-PROTECT",886),T2,T3) /*  LIST   */;
	value0=cl_list(3,ECL_SYM("LET*",476),VV[73],T4) /*  LIST      */;
	return value0;
	}
}}
/*	function definition for CMP-EVAL                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L43cmp_eval(volatile cl_narg narg, cl_object volatile V1, ...)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(VV[78]);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{volatile cl_object env1 = env0;
	env1 = Cnil;
	CLV0=env1=CONS(Cnil,env1);
	CLV1=env1=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env1); /*  TAGBODY */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
	if (cl_env_copy->values[0]==MAKE_FIXNUM(0))goto L3;
	ecl_internal_error("GO found an inexistent tag");
	}
	T0= ecl_make_cclosure_va((cl_objectfn)LC42__g56,env1,Cblock);
	T1= CONS(ECL_SYM("SERIOUS-CONDITION",740),T0);
	T2= ecl_list1(T1);
	T3= CONS(T2,ecl_symbol_value(VV[57]));
	ecl_bds_bind(cl_env_copy,VV[57],T3);      /*  *HANDLER-CLUSTERS* */
	value0=si_eval_with_env(5,V1,V2,Cnil,Ct,Ct) /*  EVAL-WITH-ENV */;
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
L3:;
	{cl_object V3;                            /*  C               */
	V3= ECL_CONS_CAR(CLV0);
	if((ecl_symbol_value(VV[35]))==Cnil){
	goto L10;}
	(void)(cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",443)->symbol.gfdef))->cfun.entry(1,V3) /*  INVOKE-DEBUGGER */;
	goto L8;
L10:;
	goto L8;
L8:;
	(void)L24cmperr(3,_ecl_static_27,V1,V3)   /*  CMPERR          */;
	value0=Cnil; cl_env_copy->nvalues=1;
	ecl_frs_pop(cl_env_copy);
	return value0;
	}
	}
}}
/*	closure G56                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42__g56(cl_narg narg, cl_object V1, ...)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),MAKE_FIXNUM(0));
}}}
/*	function definition for CMP-MACRO-FUNCTION                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L44cmp_macro_function(cl_object V1)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_function_dispatch(cl_env_copy,VV[144])(1,V1) /*  CMP-ENV-SEARCH-MACRO */;
	if((value0)!=Cnil){
	goto L2;}
	value0=cl_macro_function(1,V1)            /*  MACRO-FUNCTION  */;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMP-EXPAND-MACRO                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L46cmp_expand_macro(volatile cl_narg narg, cl_object volatile V1, cl_object volatile V2, ...)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_symbol_value(VV[78]);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{volatile cl_object env1 = env0;
	env1 = Cnil;
	CLV0=env1=CONS(Cnil,env1);
	CLV1=env1=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env1); /*  TAGBODY */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
	if (cl_env_copy->values[0]==MAKE_FIXNUM(0))goto L3;
	ecl_internal_error("GO found an inexistent tag");
	}
	T0= ecl_make_cclosure_va((cl_objectfn)LC45__g60,env1,Cblock);
	T1= CONS(ECL_SYM("SERIOUS-CONDITION",740),T0);
	T2= ecl_list1(T1);
	T3= CONS(T2,ecl_symbol_value(VV[57]));
	ecl_bds_bind(cl_env_copy,VV[57],T3);      /*  *HANDLER-CLUSTERS* */
	{cl_object V4;                            /*  NEW-FORM        */
	V4= ecl_function_dispatch(cl_env_copy,ecl_symbol_value(ECL_SYM("*MACROEXPAND-HOOK*",38)))(3,V1,V2,V3);
	{bool V5;
	V5= ecl_eql(V4,V2);
	T0= (V5)?Cnil:Ct;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=T0;
	cl_env_copy->values[0]=V4;
	value0=cl_env_copy->values[0];
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
L3:;
	{cl_object V4;                            /*  C               */
	V4= ECL_CONS_CAR(CLV0);
	if((ecl_symbol_value(VV[35]))==Cnil){
	goto L12;}
	(void)(cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",443)->symbol.gfdef))->cfun.entry(1,V4) /*  INVOKE-DEBUGGER */;
	goto L10;
L12:;
	goto L10;
L10:;
	(void)L24cmperr(3,_ecl_static_28,V2,V4)   /*  CMPERR          */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=Cnil;
	value0=cl_env_copy->values[0];
	ecl_frs_pop(cl_env_copy);
	return value0;
	}
	}
}}
/*	closure G60                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45__g60(cl_narg narg, cl_object V1, ...)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),MAKE_FIXNUM(0));
}}}
/*	function definition for COMPILER-CLEAR-COMPILER-PROPERTIES    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L47si__compiler_clear_compiler_properties(cl_object V1)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)si_rem_sysprop(V1,VV[82])           /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(V1,VV[83])           /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(V1,VV[84])           /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(V1,VV[85])           /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(V1,VV[86])           /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(V1,VV[87])           /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(V1,VV[88])           /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(V1,VV[89])           /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(V1,VV[90])           /*  REM-SYSPROP     */;
	value0=si_rem_sysprop(V1,VV[91])          /*  REM-SYSPROP     */;
	return value0;
}}
/*	function definition for LISP-TO-C-NAME                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L49lisp_to_c_name(cl_object V1)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==Cnil){
	goto L2;}
	T0= ecl_make_cfun((cl_objectfn_fixed)LC48__g61,Cnil,Cblock,1);
	T1= cl_prin1_to_string(V1)                /*  PRIN1-TO-STRING */;
	T2= cl_string_downcase(1,T1)              /*  STRING-DOWNCASE */;
	value0=cl_map(3,ECL_SYM("STRING",803),T0,T2) /*  MAP          */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G61                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC48__g61(cl_object V1)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_fixnum V2;                            /*  CC              */
	V2= ecl_to_fixnum(cl_char_code(V1)        /*  CHAR-CODE       */);
	if(((97)<=(V2) && (V2)<=(122))){
	goto L5;}
	if(!(((48)<=(V2) && (V2)<=(57)))){
	goto L3;}
	goto L4;
L5:;
L4:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L3:;
	value0=CODE_CHAR('\137'); cl_env_copy->nvalues=1;
	return value0;
	}
}}
	
#include "cmp/cmputil.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclyJn85Bb7_eeBqLD01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:CMP;CMPUTIL.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclyJn85Bb7_eeBqLD01@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	(void)si_Xmake_constant(VV[0],_ecl_static_1) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[1],_ecl_static_2) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[2],_ecl_static_3) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[3],_ecl_static_4) /*  *MAKE-CONSTANT */;
	ecl_cmp_defun(VV[94]);
	ecl_cmp_defun(VV[95]);
	ecl_cmp_defun(VV[96]);
	T0= cl_constantly(_ecl_static_7)          /*  CONSTANTLY      */;
	T1= cl_list(10,VV[9],T0,VV[10],VVtemp[1],VV[11],VVtemp[2],VV[12],_ecl_static_7,ECL_SYM("NAME",1244),VV[13]) /*  LIST */;
	T2= cl_constantly(ecl_symbol_value(VV[0])) /*  CONSTANTLY     */;
	T3= cl_list(10,VV[9],T2,VV[10],VVtemp[3],VV[11],VVtemp[4],VV[12],VV[0],ECL_SYM("NAME",1244),ECL_SYM("FORMAT",385)) /*  LIST */;
	T4= ecl_make_cfun((cl_objectfn_fixed)LC4__g3,Cnil,Cblock,0);
	T5= cl_list(12,VV[9],T4,VV[10],VVtemp[5],VV[11],VVtemp[6],VV[12],ECL_SYM("*COMPILE-FILE-PATHNAME*",24),VV[14],VVtemp[7],ECL_SYM("NAME",1244),VV[15]) /*  LIST */;
	T6= ecl_make_cfun((cl_objectfn_fixed)LC5__g4,Cnil,Cblock,0);
	T7= cl_list(12,VV[9],T6,VV[10],VVtemp[8],VV[11],VVtemp[9],VV[12],VV[16],VV[14],VVtemp[7],ECL_SYM("NAME",1244),ECL_SYM("POSITION",642)) /*  LIST */;
	T8= ecl_make_cfun((cl_objectfn_fixed)LC6__g5,Cnil,Cblock,0);
	T9= cl_list(12,VV[9],T8,VV[10],VVtemp[10],VV[11],VVtemp[11],VV[12],VV[17],VV[14],VVtemp[12],ECL_SYM("NAME",1244),VV[18]) /*  LIST */;
	T10= ecl_make_cfun((cl_objectfn_fixed)LC7__g6,Cnil,Cblock,0);
	T11= cl_list(12,VV[9],T10,VV[10],VVtemp[13],VV[11],VVtemp[14],VV[12],VV[19],VV[14],VVtemp[12],ECL_SYM("NAME",1244),VV[20]) /*  LIST */;
	T12= cl_list(6,T1,T3,T5,T7,T9,T11)        /*  LIST            */;
	(void)clos_ensure_class(5,VV[8],ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[0],ECL_SYM("DIRECT-SLOTS",985),T12) /*  ENSURE-CLASS */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC8print_object,Cnil,Cblock,2);
	(void)clos_install_method(7,ECL_SYM("PRINT-OBJECT",959),Cnil,VVtemp[15],VVtemp[16],Cnil,VVtemp[17],T0) /*  INSTALL-METHOD */;
	(void)clos_ensure_class(5,VV[21],ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[18],ECL_SYM("DIRECT-SLOTS",985),Cnil) /*  ENSURE-CLASS */;
	(void)clos_ensure_class(5,VV[22],ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[19],ECL_SYM("DIRECT-SLOTS",985),Cnil) /*  ENSURE-CLASS */;
	T0= cl_constantly(_ecl_static_9)          /*  CONSTANTLY      */;
	T1= cl_list(6,VV[9],T0,VV[12],_ecl_static_9,ECL_SYM("NAME",1244),VV[13]) /*  LIST */;
	T2= cl_constantly(ecl_symbol_value(VV[1])) /*  CONSTANTLY     */;
	T3= cl_list(6,VV[9],T2,VV[12],VV[1],ECL_SYM("NAME",1244),ECL_SYM("FORMAT",385)) /*  LIST */;
	T4= cl_list(2,T1,T3)                      /*  LIST            */;
	(void)clos_ensure_class(5,VV[23],ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[20],ECL_SYM("DIRECT-SLOTS",985),T4) /*  ENSURE-CLASS */;
	T0= cl_constantly(_ecl_static_10)         /*  CONSTANTLY      */;
	T1= cl_list(6,VV[9],T0,VV[12],_ecl_static_10,ECL_SYM("NAME",1244),VV[13]) /*  LIST */;
	T2= cl_constantly(ecl_symbol_value(VV[2])) /*  CONSTANTLY     */;
	T3= cl_list(6,VV[9],T2,VV[12],VV[2],ECL_SYM("NAME",1244),ECL_SYM("FORMAT",385)) /*  LIST */;
	T4= cl_list(2,T1,T3)                      /*  LIST            */;
	(void)clos_ensure_class(5,VV[24],ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[18],ECL_SYM("DIRECT-SLOTS",985),T4) /*  ENSURE-CLASS */;
	T0= cl_constantly(ecl_symbol_value(VV[3])) /*  CONSTANTLY     */;
	T1= cl_list(6,VV[9],T0,VV[12],VV[3],ECL_SYM("NAME",1244),ECL_SYM("FORMAT",385)) /*  LIST */;
	T2= ecl_list1(T1);
	(void)clos_ensure_class(5,VV[25],ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[18],ECL_SYM("DIRECT-SLOTS",985),T2) /*  ENSURE-CLASS */;
	T0= cl_constantly(_ecl_static_11)         /*  CONSTANTLY      */;
	T1= cl_list(6,VV[9],T0,VV[12],_ecl_static_11,ECL_SYM("NAME",1244),VV[13]) /*  LIST */;
	T2= ecl_list1(T1);
	(void)clos_ensure_class(5,VV[26],ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[21],ECL_SYM("DIRECT-SLOTS",985),T2) /*  ENSURE-CLASS */;
	T0= cl_constantly(_ecl_static_12)         /*  CONSTANTLY      */;
	T1= cl_list(6,VV[9],T0,VV[12],_ecl_static_12,ECL_SYM("NAME",1244),VV[13]) /*  LIST */;
	T2= cl_constantly(ecl_symbol_value(VV[1])) /*  CONSTANTLY     */;
	T3= cl_list(6,VV[9],T2,VV[12],VV[1],ECL_SYM("NAME",1244),ECL_SYM("FORMAT",385)) /*  LIST */;
	T4= cl_list(2,T1,T3)                      /*  LIST            */;
	(void)clos_ensure_class(5,VV[27],ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[22],ECL_SYM("DIRECT-SLOTS",985),T4) /*  ENSURE-CLASS */;
	T0= ecl_fdefinition(ECL_SYM("CONSTANTLY-NIL",1624));
	T1= cl_list(8,VV[9],T0,VV[12],Cnil,VV[14],VVtemp[24],ECL_SYM("NAME",1244),ECL_SYM("VARIABLE",895)) /*  LIST */;
	T2= ecl_list1(T1);
	(void)clos_ensure_class(5,VV[28],ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[23],ECL_SYM("DIRECT-SLOTS",985),T2) /*  ENSURE-CLASS */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC9print_object,Cnil,Cblock,2);
	(void)clos_install_method(7,ECL_SYM("PRINT-OBJECT",959),Cnil,VVtemp[25],VVtemp[16],Cnil,VVtemp[17],T0) /*  INSTALL-METHOD */;
	ecl_cmp_defun(VV[102]);
	ecl_cmp_defun(VV[103]);
	ecl_cmp_defun(VV[104]);
	ecl_cmp_defun(VV[105]);
	ecl_cmp_defun(VV[106]);
	ecl_cmp_defun(VV[107]);
	ecl_cmp_defmacro(VV[109]);
	ecl_cmp_defmacro(VV[110]);
	(void)si_Xmake_special(VV[48])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[48])){
	goto L70;}
	cl_set(VV[48],MAKE_FIXNUM(0));
	goto L68;
L70:;
	goto L68;
L68:;
	ecl_cmp_defun(VV[111]);
	ecl_cmp_defun(VV[115]);
	ecl_cmp_defun(VV[117]);
	ecl_cmp_defun(VV[120]);
	ecl_cmp_defmacro(VV[121]);
	ecl_cmp_defmacro(VV[122]);
	ecl_cmp_defun(VV[123]);
	ecl_cmp_defun(VV[124]);
	ecl_cmp_defun(VV[125]);
	ecl_cmp_defun(VV[126]);
	ecl_cmp_defun(VV[127]);
	(void)0; /* No entry created for DO-CMPWARN */
	ecl_cmp_defun(VV[129]);
	ecl_cmp_defun(VV[130]);
	ecl_cmp_defun(VV[131]);
	ecl_cmp_defun(VV[132]);
	ecl_cmp_defun(VV[133]);
	ecl_cmp_defun(VV[134]);
	ecl_cmp_defun(VV[137]);
	ecl_cmp_defun(VV[138]);
	ecl_cmp_defmacro(VV[141]);
	ecl_cmp_defun(VV[142]);
	ecl_cmp_defun(VV[143]);
	ecl_cmp_defun(VV[145]);
	ecl_cmp_defun(VV[146]);
	ecl_cmp_defun(VV[147]);
}
