/*	Compiler: ECL 11.1.1                                          */
/*	Source: SRC:CMP;CMPWT.LSP                                     */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpwt.h"
/*	function definition for DATA-PERMANENT-STORAGE-SIZE           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1data_permanent_storage_size()
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=MAKE_FIXNUM(ecl_length(ecl_symbol_value(VV[0]))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DATA-TEMPORARY-STORAGE-SIZE           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2data_temporary_storage_size()
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=MAKE_FIXNUM(ecl_length(ecl_symbol_value(VV[2]))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DATA-SIZE                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3data_size()
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L1data_permanent_storage_size()       /*  DATA-PERMANENT-STORAGE-SIZE */;
	T1= L2data_temporary_storage_size()       /*  DATA-TEMPORARY-STORAGE-SIZE */;
	value0=ecl_plus(T0,T1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DATA-INIT                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4data_init(volatile cl_narg narg, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= Cnil;
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V1)==Cnil){
	goto L3;}
	if((cl_probe_file(V1)                     /*  PROBE-FILE      */)==Cnil){
	goto L3;}
	{volatile cl_object V2;                   /*  S               */
	V2= cl_open(3,V1,ECL_SYM("DIRECTION",1192),ECL_SYM("INPUT",1226)) /*  OPEN */;
	{
	volatile bool unwinding = FALSE;
	cl_index V3=ECL_STACK_INDEX(cl_env_copy),V4;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V5;
	V5= _ecl_inner_frame;
	cl_set(VV[0],cl_read(1,V2)                /*  READ            */);
	cl_set(VV[2],cl_read(1,V2)                /*  READ            */);
	cl_env_copy->values[0]=ecl_symbol_value(VV[2]); cl_env_copy->nvalues=1;
	ecl_stack_frame_push_values(V5);
	if((V2)==Cnil){
	goto L17;}
	(void)cl_close(1,V2)                      /*  CLOSE           */;
	goto L15;
L17:;
	goto L15;
L15:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V5);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	ecl_frs_pop(cl_env_copy);
	V4=ecl_stack_push_values(cl_env_copy);
	if((V2)==Cnil){
	goto L21;}
	(void)cl_close(3,V2,ECL_SYM("ABORT",1170),Ct) /*  CLOSE       */;
	goto L19;
L21:;
	goto L19;
L19:;
	ecl_stack_pop_values(cl_env_copy,V4);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V3);
	return cl_env_copy->values[0];}
	}
L3:;
	cl_set(VV[0],si_make_vector(Ct,MAKE_FIXNUM(128),Ct,MAKE_FIXNUM(0),Cnil,MAKE_FIXNUM(0)) /*  MAKE-VECTOR */);
	cl_set(VV[2],si_make_vector(Ct,MAKE_FIXNUM(128),Ct,MAKE_FIXNUM(0),Cnil,MAKE_FIXNUM(0)) /*  MAKE-VECTOR */);
	value0=ecl_symbol_value(VV[2]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DATA-GET-ALL-OBJECTS                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5data_get_all_objects()
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  LET1623         */
	cl_object V2;                             /*  ARRAY           */
	cl_object V3;
	V1= cl_list(2,ecl_symbol_value(VV[0]),ecl_symbol_value(VV[2])) /*  LIST */;
	V2= Cnil;
	V3= V1;
	{cl_object V4;
	cl_object V5;
	V4= ecl_list1(Cnil);
	V5= V4;
L7:;
	if(!(ecl_endp(V3))){
	goto L11;}
	goto L8;
L11:;
	goto L9;
L9:;
	V2= CAR(V3);
	V3= CDR(V3);
	{cl_object V6;
	{cl_object V7;                            /*  OBJECT          */
	cl_object V8;                             /*  VV-RECORD       */
	cl_object V9;                             /*  REST            */
	cl_fixnum V10;
	cl_fixnum V11;
	V7= Cnil;
	V8= Cnil;
	V9= Cnil;
	V10= 0;
	V11= 0;
	{cl_object V12;
	cl_object V13;
	V12= ecl_list1(Cnil);
	V13= V12;
	V11= ecl_length(V2);
L30:;
	if(!((V10)>=(V11))){
	goto L36;}
	goto L31;
L36:;
	goto L34;
L34:;
	{cl_object V14;
	{cl_fixnum V15;
	if (ecl_unlikely(!ECL_VECTORP(V2)))
           FEtype_error_vector(V2);
	if (ecl_unlikely((V10)>=(V2)->vector.dim))
           FEwrong_index(Cnil,V2,-1,MAKE_FIXNUM(V10),(V2)->vector.dim);
	V15= V10;
	V14= ecl_aref_unsafe(V2,V15);}
	V7= cl_car(V14)                           /*  CAR             */;
	V14= cl_cdr(V14)                          /*  CDR             */;
	V8= cl_car(V14)                           /*  CAR             */;
	V14= cl_cdr(V14)                          /*  CDR             */;
	V9= V14;
	}
	V10= ecl_to_fixnum(ecl_one_plus(MAKE_FIXNUM(V10)));
	T0= V13;
	if((cl_gethash(2,V7,ecl_symbol_value(VV[6])) /*  GETHASH      */)==Cnil){
	goto L58;}
	T1= MAKE_FIXNUM(0);
	goto L56;
L58:;
	if((ecl_function_dispatch(cl_env_copy,VV[54])(1,V8) /*  VV-USED-P */)==Cnil){
	goto L61;}
	T1= V7;
	goto L56;
L61:;
	(void)ecl_function_dispatch(cl_env_copy,VV[55])(2,_ecl_static_1,V7) /*  CMPNOTE */;
	T1= MAKE_FIXNUM(0);
	goto L56;
L56:;
	V13= ecl_list1(T1);
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V13;
	goto L30;
L31:;
	V6= cl_cdr(V12)                           /*  CDR             */;
	goto L21;
	}
	}
L21:;
	if (ecl_unlikely(ATOM(V5)))FEtype_error_cons(V5);
	ECL_CONS_CDR(V5) = V6;
	if((V6)==Cnil){
	goto L19;}
	}
	T0= cl_cdr(V5)                            /*  CDR             */;
	V5= ecl_last(T0,1);
	goto L17;
L19:;
	goto L17;
L17:;
	goto L7;
L8:;
	value0=cl_cdr(V4)                         /*  CDR             */;
	return value0;
	}
	}
}}
/*	function definition for DATA-DUMP                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6data_dump(cl_narg narg, cl_object V1, ...)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L6data_dumpkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V2= keyvars[0];
	V3= keyvars[1];
	}
	{cl_object V4;                            /*  MUST-CLOSE      */
	V4= Cnil;
	{cl_object V5;
	V5= V1;
	if(!(V5==Cnil)){
	goto L5;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L5:;
	if((cl_typep(2,V5,VV[8])                  /*  TYPEP           */)==Cnil){
	goto L8;}
	V1= cl_open(9,V1,ECL_SYM("DIRECTION",1192),ECL_SYM("OUTPUT",1253),ECL_SYM("IF-DOES-NOT-EXIST",1218),ECL_SYM("CREATE",1187),ECL_SYM("IF-EXISTS",1219),ECL_SYM("SUPERSEDE",1284),ECL_SYM("EXTERNAL-FORMAT",1210),ECL_SYM("DEFAULT",1189)) /*  OPEN */;
	V4= V1;
	goto L2;
L8:;
	if((cl_streamp(V5)                        /*  STREAMP         */)==Cnil){
	goto L14;}
	goto L2;
L14:;
	(void)si_etypecase_error(3,ECL_SYM("STREAM",797),V5,VV[9]) /*  ETYPECASE-ERROR */;
	goto L2;
	}
L2:;
	{cl_object V6,V7; cl_index V5;
	V6= cl_car(ecl_symbol_value(ECL_SYM("+ECL-SYNTAX-PROGV-LIST+",1660))) /*  CAR */;
	V7= cl_cdr(ecl_symbol_value(ECL_SYM("+ECL-SYNTAX-PROGV-LIST+",1660))) /*  CDR */;
	V5= ecl_progv(cl_env_copy,V6,V7);
	{cl_object V8;                            /*  OUTPUT          */
	V8= Cnil;
	if((V2)==Cnil){
	goto L21;}
	ecl_print(ecl_symbol_value(VV[0]),V1);
	ecl_print(ecl_symbol_value(VV[2]),V1);
	goto L19;
L21:;
	if((ecl_symbol_value(ECL_SYM("*COMPILER-CONSTANTS*",997)))==Cnil){
	goto L25;}
	(void)cl_format(2,V1,_ecl_static_2)       /*  FORMAT          */;
	T0= L5data_get_all_objects()              /*  DATA-GET-ALL-OBJECTS */;
	V8= cl_concatenate(2,ECL_SYM("VECTOR",896),T0) /*  CONCATENATE */;
	goto L19;
L25:;
	T0= L3data_size()                         /*  DATA-SIZE       */;
	if(!(ecl_plusp(T0))){
	goto L30;}
	ecl_bds_bind(cl_env_copy,VV[10],MAKE_FIXNUM(0)); /*  *WT-STRING-SIZE* */
	ecl_princ_str("static const char compiler_data_text[] = ",V1);
	T0= L5data_get_all_objects()              /*  DATA-GET-ALL-OBJECTS */;
	T1= cl_prin1_to_string(T0)                /*  PRIN1-TO-STRING */;
	T2= cl_subseq(2,T1,MAKE_FIXNUM(1))        /*  SUBSEQ          */;
	(void)ecl_function_dispatch(cl_env_copy,VV[59])(2,T2,V1) /*  WT-FILTERED-DATA */;
	ecl_princ_char(59,V1);
	(void)cl_format(3,V1,_ecl_static_3,ecl_symbol_value(VV[10])) /*  FORMAT */;
	ecl_bds_unwind1(cl_env_copy);
	goto L19;
L30:;
	goto L19;
L19:;
	if((V4)==Cnil){
	goto L37;}
	(void)cl_close(1,V4)                      /*  CLOSE           */;
	goto L35;
L37:;
	goto L35;
L35:;
	(void)L4data_init(0)                      /*  DATA-INIT       */;
	value0=V8; cl_env_copy->nvalues=1;
	ecl_bds_unwind(cl_env_copy,V5);
	return value0;
	}}
	}
}}
/*	function definition for WT-DATA-BEGIN                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7wt_data_begin(cl_object V1)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for WT-DATA-END                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8wt_data_end(cl_object V1)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	ecl_princ_char(59,V1);
	(void)cl_format(3,V1,_ecl_static_3,ecl_symbol_value(VV[10])) /*  FORMAT */;
	cl_set(VV[10],MAKE_FIXNUM(0));
	value0=MAKE_FIXNUM(0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DATA-EMPTY-LOC                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9data_empty_loc()
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L11add_object(5,MAKE_FIXNUM(0),VV[14],Ct,VV[15],Ct) /*  ADD-OBJECT */;
	return value0;
}}
/*	function definition for ADD-LOAD-FORM                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10add_load_form(cl_object V1, cl_object V2)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[64])(1,V1) /*  NEED-TO-MAKE-LOAD-FORM-P */)==Cnil){
	goto L2;}
	if((ecl_symbol_value(VV[17]))==(VV[18])){
	goto L5;}
	value0=ecl_function_dispatch(cl_env_copy,VV[65])(3,_ecl_static_4,V1,ecl_symbol_value(VV[17])) /*  CMPERR */;
	return value0;
L5:;
	cl_env_copy->values[0]=(cl_env_copy->function=(ECL_SYM("MAKE-LOAD-FORM",949)->symbol.gfdef))->cfun.entry(1,V1) /*  MAKE-LOAD-FORM */;
	{
	cl_object V4;                             /*  MAKE-FORM       */
	cl_object V5;                             /*  INIT-FORM       */
	{int V6=cl_env_copy->nvalues-0;
	if (V6--<=0) goto L8;
	V4= cl_env_copy->values[0];
	if (V6--<=0) goto L9;
	V5= cl_env_copy->values[1];
	goto L10;}
L8:;
	V4= Cnil;
L9:;
	V5= Cnil;
L10:;
	{cl_object V6;
	V6= ecl_symbol_value(VV[6]);
	(void)si_hash_set(V1,V6,V2)               /*  HASH-SET        */;
	}
	if((V4)==Cnil){
	goto L15;}
	T0= ecl_function_dispatch(cl_env_copy,VV[66])(1,V4) /*  C1EXPR */;
	T1= ecl_function_dispatch(cl_env_copy,VV[67])(4,VV[20],VV[21],V2,T0) /*  MAKE-C1FORM* */;
	cl_set(VV[19],CONS(T1,ecl_symbol_value(VV[19])));
	goto L13;
L15:;
	goto L13;
L13:;
	if((V5)==Cnil){
	goto L19;}
	T0= ecl_function_dispatch(cl_env_copy,VV[66])(1,V5) /*  C1EXPR */;
	T1= ecl_function_dispatch(cl_env_copy,VV[67])(4,VV[22],VV[21],V2,T0) /*  MAKE-C1FORM* */;
	cl_set(VV[19],CONS(T1,ecl_symbol_value(VV[19])));
	value0=ecl_symbol_value(VV[19]); cl_env_copy->nvalues=1;
	return value0;
L19:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-OBJECT                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11add_object(cl_narg narg, cl_object V1, ...)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L11add_objectkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V2= keyvars[0];
	if(keyvars[3]==Cnil){
	value0=ecl_make_bool(ECL_SYMBOLP(V1));
	if((value0)!=Cnil){
	goto L3;}
	V3= ecl_symbol_value(VV[24]);
	goto L1;
L3:;
	V3= value0;
	goto L1;
L1:;
	}else{
	V3= keyvars[1];}
	}
	{cl_object V4;                            /*  TEST            */
	cl_object V5;                             /*  ARRAY           */
	cl_object V6;                             /*  X               */
	cl_fixnum V7;                             /*  NEXT-NDX        */
	cl_object V8;                             /*  FOUND           */
	if((ecl_symbol_value(ECL_SYM("*COMPILER-CONSTANTS*",997)))==Cnil){
	goto L7;}
	V4= ECL_SYM("EQ",331);
	goto L5;
L7:;
	V4= ECL_SYM("EQUAL",333);
	goto L5;
L5:;
	if((V3)==Cnil){
	goto L11;}
	V5= ecl_symbol_value(VV[0]);
	goto L9;
L11:;
	V5= ecl_symbol_value(VV[2]);
	goto L9;
L9:;
	if((V3)!=Cnil){
	goto L18;}
	{cl_object V9;
	cl_object V10;
	V9= ecl_symbol_value(VV[0]);
	V10= si_make_seq_iterator(2,V9,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L23:;
	if((V10)!=Cnil){
	goto L27;}
	value0=Cnil;
	goto L16;
L27:;
	goto L25;
L25:;
	{cl_object V11;
	V11= si_seq_iterator_ref(V9,V10)          /*  SEQ-ITERATOR-REF */;
	T0= cl_first(V11)                         /*  FIRST           */;
	if((ecl_function_dispatch(cl_env_copy,V4)(2,V1,T0))==Cnil){
	goto L32;}
	value0=V11;
	goto L16;
L32:;
	goto L29;
	}
L29:;
	V10= si_seq_iterator_next(V9,V10)         /*  SEQ-ITERATOR-NEXT */;
	goto L23;
	}
L18:;
	value0=Cnil;
	goto L16;
L16:;
	if((value0)!=Cnil){
	goto L15;}
	{cl_object V9;
	V9= si_make_seq_iterator(2,V5,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L38:;
	if((V9)!=Cnil){
	goto L42;}
	V6= Cnil;
	goto L13;
L42:;
	goto L40;
L40:;
	{cl_object V10;
	V10= si_seq_iterator_ref(V5,V9)           /*  SEQ-ITERATOR-REF */;
	T0= cl_first(V10)                         /*  FIRST           */;
	if((ecl_function_dispatch(cl_env_copy,V4)(2,V1,T0))==Cnil){
	goto L47;}
	V6= V10;
	goto L13;
L47:;
	goto L44;
	}
L44:;
	V9= si_seq_iterator_next(V5,V9)           /*  SEQ-ITERATOR-NEXT */;
	goto L38;
	}
L15:;
	V6= value0;
	goto L13;
L13:;
	V7= ecl_length(V5);
	V8= Cnil;
	{cl_object V9;
	V9= L25add_static_constant(V1)            /*  ADD-STATIC-CONSTANT */;
	if((V9)==Cnil){
	goto L55;}
	value0=V9; cl_env_copy->nvalues=1;
	return value0;
L55:;
	if((V6)==Cnil){
	goto L58;}
	if((V2)==Cnil){
	goto L58;}
	V6= ecl_function_dispatch(cl_env_copy,VV[69])(8,VV[25],MAKE_FIXNUM(V7),VV[26],V2,VV[27],V3,VV[28],V1) /*  MAKE-VV */;
	{cl_object V10;
	V10= cl_list(3,V1,V6,MAKE_FIXNUM(V7))     /*  LIST            */;
	if (ecl_unlikely(!ECL_VECTORP(V5)))
           FEtype_error_vector(V5);
	{cl_fixnum V11;                           /*  LET1636         */
	cl_fixnum V12;                            /*  LET1637         */
	V11= ((V5)->vector.fillp);
	V12= ((V5)->array.dim);
	if(!((V11)<(V12))){
	goto L69;}
	{cl_fixnum V13;
	V13= (1)+(V11);
	((V5)->vector.fillp)=(V13);}
	ecl_aset_unsafe(V5,V11,V10);
	goto L63;
L69:;
	(void)cl_vector_push_extend(2,V10,V5)     /*  VECTOR-PUSH-EXTEND */;
	goto L63;
	}
	}
L63:;
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
L58:;
	if((V6)==Cnil){
	goto L74;}
	value0=cl_second(V6)                      /*  SECOND          */;
	return value0;
L74:;
	if((V2)!=Cnil){
	goto L77;}
	if(!(ECL_SYMBOLP(V1))){
	goto L77;}
	cl_env_copy->values[0]=si_mangle_name(1,V1) /*  MANGLE-NAME   */;
	{int V10=cl_env_copy->nvalues-0;
	if (V10--<=0) goto L82;
	V8= cl_env_copy->values[0];
	if (V10--<=0) goto L83;
	V6= cl_env_copy->values[1];
	goto L84;}
L82:;
	V8= Cnil;
L83:;
	V6= Cnil;
L84:;
	if((V8)==Cnil){
	goto L77;}
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
L77:;
	V6= ecl_function_dispatch(cl_env_copy,VV[69])(8,VV[25],MAKE_FIXNUM(V7),VV[26],V2,VV[27],V3,VV[28],V1) /*  MAKE-VV */;
	{cl_object V10;
	V10= cl_list(3,V1,V6,MAKE_FIXNUM(V7))     /*  LIST            */;
	if (ecl_unlikely(!ECL_VECTORP(V5)))
           FEtype_error_vector(V5);
	{cl_fixnum V11;                           /*  LET1638         */
	cl_fixnum V12;                            /*  LET1639         */
	V11= ((V5)->vector.fillp);
	V12= ((V5)->array.dim);
	if(!((V11)<(V12))){
	goto L93;}
	{cl_fixnum V13;
	V13= (1)+(V11);
	((V5)->vector.fillp)=(V13);}
	ecl_aset_unsafe(V5,V11,V10);
	goto L87;
L93:;
	(void)cl_vector_push_extend(2,V10,V5)     /*  VECTOR-PUSH-EXTEND */;
	goto L87;
	}
	}
L87:;
	if((ecl_symbol_value(ECL_SYM("*COMPILER-CONSTANTS*",997)))!=Cnil){
	goto L99;}
	(void)L10add_load_form(V1,V6)             /*  ADD-LOAD-FORM   */;
	goto L97;
L99:;
	goto L97;
L97:;
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for ADD-SYMBOL                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12add_symbol(cl_object V1)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L11add_object(5,V1,VV[14],Cnil,VV[15],Ct) /*  ADD-OBJECT */;
	return value0;
}}
/*	function definition for ADD-KEYWORDS                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14add_keywords(cl_object V1)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  X               */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC13__g46,Cnil,Cblock,2);
	V2= cl_search(4,V1,ecl_symbol_value(VV[0]),ECL_SYM("TEST",1286),T0) /*  SEARCH */;
	if((V2)==Cnil){
	goto L4;}
	T0= ecl_elt(ecl_symbol_value(VV[0]),fix(V2));
	value0=cl_second(T0)                      /*  SECOND          */;
	return value0;
L4:;
	{cl_object V3;
	{cl_object V4;
	V4= cl_car(V1)                            /*  CAR             */;
	V1= cl_cdr(V1)                            /*  CDR             */;
	T0= V4;
	}
	V3= L11add_object(5,T0,VV[14],Ct,VV[15],Ct) /*  ADD-OBJECT    */;
	{cl_object V4;                            /*  %DOLIST-VAR     */
	cl_object V5;                             /*  K               */
	V4= V1;
	V5= Cnil;
	goto L17;
L16:;
	V5= cl_first(V4)                          /*  FIRST           */;
	(void)L11add_object(5,V5,VV[14],Ct,VV[15],Ct) /*  ADD-OBJECT  */;
	V4= CDR(V4);
L17:;
	if((V4)==Cnil){
	goto L26;}
	goto L16;
L26:;
	goto L24;
L24:;
	goto L14;
L14:;
	}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	local function G46                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13__g46(cl_object V1, cl_object V2)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_first(V2)                          /*  FIRST           */;
	value0=ecl_make_bool((V1)==(T0)); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for STATIC-BASE-STRING-BUILDER            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15static_base_string_builder(cl_object V1, cl_object V2, cl_object V3)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)cl_format(3,V3,_ecl_static_5,V1)    /*  FORMAT          */;
	(void)ecl_function_dispatch(cl_env_copy,VV[59])(3,V2,V3,Ct) /*  WT-FILTERED-DATA */;
	{cl_fixnum V4;
	V4= ecl_length(V2);
	value0=cl_format(3,V3,_ecl_static_6,MAKE_FIXNUM(V4)) /*  FORMAT */;
	return value0;}
}}
/*	function definition for STATIC-SINGLE-FLOAT-BUILDER           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16static_single_float_builder(cl_object V1, cl_object V2, cl_object V3)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	ecl_bds_bind(cl_env_copy,ECL_SYM("*READ-DEFAULT-FLOAT-FORMAT*",60),ECL_SYM("SINGLE-FLOAT",776)); /*  *READ-DEFAULT-FLOAT-FORMAT* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-READABLY*",55),Ct); /*  *PRINT-READABLY* */
	value0=cl_format(5,V3,_ecl_static_7,V1,V2,V3) /*  FORMAT      */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
}}
/*	function definition for STATIC-DOUBLE-FLOAT-BUILDER           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17static_double_float_builder(cl_object V1, cl_object V2, cl_object V3)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	ecl_bds_bind(cl_env_copy,ECL_SYM("*READ-DEFAULT-FLOAT-FORMAT*",60),ECL_SYM("DOUBLE-FLOAT",313)); /*  *READ-DEFAULT-FLOAT-FORMAT* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-READABLY*",55),Ct); /*  *PRINT-READABLY* */
	value0=cl_format(5,V3,_ecl_static_8,V1,V2,V3) /*  FORMAT      */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
}}
/*	function definition for STATIC-LONG-FLOAT-BUILDER             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18static_long_float_builder(cl_object V1, cl_object V2, cl_object V3)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	ecl_bds_bind(cl_env_copy,ECL_SYM("*READ-DEFAULT-FLOAT-FORMAT*",60),ECL_SYM("LONG-FLOAT",506)); /*  *READ-DEFAULT-FLOAT-FORMAT* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-READABLY*",55),Ct); /*  *PRINT-READABLY* */
	value0=cl_format(5,V3,_ecl_static_9,V1,V2,V3) /*  FORMAT      */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
}}
/*	function definition for STATIC-RATIONAL-BUILDER               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19static_rational_builder(cl_object V1, cl_object V2, cl_object V3)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	ecl_bds_bind(cl_env_copy,ECL_SYM("*READ-DEFAULT-FLOAT-FORMAT*",60),ECL_SYM("DOUBLE-FLOAT",313)); /*  *READ-DEFAULT-FLOAT-FORMAT* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-READABLY*",55),Ct); /*  *PRINT-READABLY* */
	T0= cl_numerator(V2)                      /*  NUMERATOR       */;
	T1= cl_denominator(V2)                    /*  DENOMINATOR     */;
	value0=cl_format(5,V3,_ecl_static_10,V1,T0,T1) /*  FORMAT     */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
}}
/*	function definition for STATIC-CONSTANT-DELEGATE              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20static_constant_delegate(cl_object V1, cl_object V2, cl_object V3)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L24static_constant_expression(V2)     /*  STATIC-CONSTANT-EXPRESSION */;
	value0=ecl_function_dispatch(cl_env_copy,T0)(3,V1,V2,V3);
	return value0;
}}
/*	function definition for STATIC-COMPLEX-BUILDER                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L21static_complex_builder(cl_object V1, cl_object V2, cl_object V3)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  NAME-REAL       */
	cl_object V5;                             /*  NAME-IMAG       */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*READ-DEFAULT-FLOAT-FORMAT*",60),ECL_SYM("DOUBLE-FLOAT",313)); /*  *READ-DEFAULT-FLOAT-FORMAT* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-READABLY*",55),Ct); /*  *PRINT-READABLY* */
	V4= cl_concatenate(3,ECL_SYM("STRING",803),V1,_ecl_static_11) /*  CONCATENATE */;
	V5= cl_concatenate(3,ECL_SYM("STRING",803),V1,_ecl_static_12) /*  CONCATENATE */;
	T0= cl_realpart(V2)                       /*  REALPART        */;
	(void)L20static_constant_delegate(V4,T0,V3) /*  STATIC-CONSTANT-DELEGATE */;
	ecl_terpri(V3);
	T0= cl_imagpart(V2)                       /*  IMAGPART        */;
	(void)L20static_constant_delegate(V5,T0,V3) /*  STATIC-CONSTANT-DELEGATE */;
	ecl_terpri(V3);
	value0=cl_format(5,V3,_ecl_static_13,V1,V4,V5) /*  FORMAT     */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
}}
/*	function definition for STATIC-CONSTANT-BUILDER               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L23static_constant_builder(cl_object V1, cl_object V2)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = Cnil;
	CLV0=env0=CONS(V1,env0);                  /*  FORMAT          */
	CLV1=env0=CONS(V2,env0);                  /*  VALUE           */
	value0=ecl_make_cclosure_va((cl_objectfn)LC22__g52,env0,Cblock); cl_env_copy->nvalues=1;
	return value0;
}}
/*	closure G52                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22__g52(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  VALUE           */
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=cl_format(4,V2,ECL_CONS_CAR(CLV0),V1,ECL_CONS_CAR(CLV1)) /*  FORMAT */;
	return value0;
}}}
/*	function definition for STATIC-CONSTANT-EXPRESSION            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24static_constant_expression(cl_object V1)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((si_base_string_p(V1)                  /*  BASE-STRING-P   */)==Cnil){
	goto L2;}
	value0=ecl_fdefinition(VV[32]); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((si_of_class_p(2,V1,ECL_SYM("RATIO",684)) /*  OF-CLASS-P   */)==Cnil){
	goto L5;}
	T0= cl_numerator(V1)                      /*  NUMERATOR       */;
	if((L24static_constant_expression(T0)     /*  STATIC-CONSTANT-EXPRESSION */)==Cnil){
	goto L8;}
	T0= cl_denominator(V1)                    /*  DENOMINATOR     */;
	if((L24static_constant_expression(T0)     /*  STATIC-CONSTANT-EXPRESSION */)==Cnil){
	goto L8;}
	value0=ecl_fdefinition(VV[36]); cl_env_copy->nvalues=1;
	return value0;
L8:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L5:;
	if(!(ECL_SINGLE_FLOAT_P(V1))){
	goto L12;}
	if((si_float_nan_p(V1)                    /*  FLOAT-NAN-P     */)!=Cnil){
	goto L15;}
	if((si_float_infinity_p(V1)               /*  FLOAT-INFINITY-P */)!=Cnil){
	goto L15;}
	value0=ecl_fdefinition(VV[33]); cl_env_copy->nvalues=1;
	return value0;
L15:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L12:;
	if(!(ECL_DOUBLE_FLOAT_P(V1))){
	goto L19;}
	if((si_float_nan_p(V1)                    /*  FLOAT-NAN-P     */)!=Cnil){
	goto L22;}
	if((si_float_infinity_p(V1)               /*  FLOAT-INFINITY-P */)!=Cnil){
	goto L22;}
	value0=ecl_fdefinition(VV[34]); cl_env_copy->nvalues=1;
	return value0;
L22:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L19:;
	if(!(ECL_LONG_FLOAT_P(V1))){
	goto L26;}
	if((si_float_nan_p(V1)                    /*  FLOAT-NAN-P     */)!=Cnil){
	goto L29;}
	if((si_float_infinity_p(V1)               /*  FLOAT-INFINITY-P */)!=Cnil){
	goto L29;}
	value0=ecl_fdefinition(VV[35]); cl_env_copy->nvalues=1;
	return value0;
L29:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L26:;
	if((cl_complexp(V1)                       /*  COMPLEXP        */)==Cnil){
	goto L33;}
	T0= cl_realpart(V1)                       /*  REALPART        */;
	if((L24static_constant_expression(T0)     /*  STATIC-CONSTANT-EXPRESSION */)==Cnil){
	goto L36;}
	T0= cl_imagpart(V1)                       /*  IMAGPART        */;
	if((L24static_constant_expression(T0)     /*  STATIC-CONSTANT-EXPRESSION */)==Cnil){
	goto L36;}
	value0=ecl_fdefinition(VV[38]); cl_env_copy->nvalues=1;
	return value0;
L36:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L33:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-STATIC-CONSTANT                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25add_static_constant(cl_object V1)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(ECL_SYM("*COMPILER-CONSTANTS*",997)))!=Cnil){
	goto L2;}
	if(!(ECL_LISTP(ecl_symbol_value(VV[41])))){
	goto L2;}
	{cl_object V2;                            /*  RECORD          */
	{cl_object V3;
	V3= si_make_seq_iterator(2,ecl_symbol_value(VV[41]),MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L8:;
	if((V3)!=Cnil){
	goto L12;}
	V2= Cnil;
	goto L5;
L12:;
	goto L10;
L10:;
	{cl_object V4;
	V4= si_seq_iterator_ref(ecl_symbol_value(VV[41]),V3) /*  SEQ-ITERATOR-REF */;
	T0= cl_first(V4)                          /*  FIRST           */;
	if(!(ecl_equal(V1,T0))){
	goto L17;}
	V2= V4;
	goto L5;
L17:;
	goto L14;
	}
L14:;
	V3= si_seq_iterator_next(ecl_symbol_value(VV[41]),V3) /*  SEQ-ITERATOR-NEXT */;
	goto L8;
	}
L5:;
	if((V2)==Cnil){
	goto L22;}
	value0=cl_second(V2)                      /*  SECOND          */;
	return value0;
L22:;
	{cl_object V3;                            /*  BUILDER         */
	V3= L24static_constant_expression(V1)     /*  STATIC-CONSTANT-EXPRESSION */;
	if((V3)==Cnil){
	goto L26;}
	{cl_object V4;                            /*  C-NAME          */
	{cl_fixnum V5;
	V5= ecl_length(ecl_symbol_value(VV[41]));
	V4= cl_format(3,Cnil,_ecl_static_14,MAKE_FIXNUM(V5)) /*  FORMAT */;}
	T0= cl_list(3,V1,V4,V3)                   /*  LIST            */;
	cl_set(VV[41],CONS(T0,ecl_symbol_value(VV[41])));
	value0=ecl_function_dispatch(cl_env_copy,VV[69])(4,VV[25],V4,VV[28],V1) /*  MAKE-VV */;
	return value0;
	}
L26:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for WT-VV-INDEX                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L26wt_vv_index(cl_object V1, cl_object V2)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(ecl_numberp(V1)){
	goto L2;}
	value0=ecl_function_dispatch(cl_env_copy,VV[83])(1,V1) /*  WT */;
	return value0;
L2:;
	if((V2)==Cnil){
	goto L5;}
	value0=ecl_function_dispatch(cl_env_copy,VV[83])(3,_ecl_static_15,V1,_ecl_static_16) /*  WT */;
	return value0;
L5:;
	value0=ecl_function_dispatch(cl_env_copy,VV[83])(3,_ecl_static_17,V1,_ecl_static_16) /*  WT */;
	return value0;
}}
/*	function definition for SET-VV-INDEX                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27set_vv_index(cl_object V1, cl_object V2, cl_object V3)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)ecl_function_dispatch(cl_env_copy,VV[85])(0) /*  WT-NL  */;
	(void)L26wt_vv_index(V2,V3)               /*  WT-VV-INDEX     */;
	(void)ecl_function_dispatch(cl_env_copy,VV[83])(1,_ecl_static_18) /*  WT */;
	(void)ecl_function_dispatch(cl_env_copy,VV[86])(2,ECL_SYM("OBJECT",1249),V1) /*  WT-COERCE-LOC */;
	value0=ecl_function_dispatch(cl_env_copy,VV[83])(1,_ecl_static_19) /*  WT */;
	return value0;
}}
/*	function definition for WT-VV                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28wt_vv(cl_object V1)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)si_structure_set(V1,VV[45],MAKE_FIXNUM(1),Ct) /*  STRUCTURE-SET */;
	T0= ecl_function_dispatch(cl_env_copy,VV[88])(1,V1) /*  VV-LOCATION */;
	T1= ecl_function_dispatch(cl_env_copy,VV[89])(1,V1) /*  VV-PERMANENT-P */;
	value0=L26wt_vv_index(T0,T1)              /*  WT-VV-INDEX     */;
	return value0;
}}
/*	function definition for SET-VV                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29set_vv(cl_object V1, cl_object V2)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)si_structure_set(V2,VV[45],MAKE_FIXNUM(1),Ct) /*  STRUCTURE-SET */;
	T0= ecl_function_dispatch(cl_env_copy,VV[88])(1,V2) /*  VV-LOCATION */;
	T1= ecl_function_dispatch(cl_env_copy,VV[89])(1,V2) /*  VV-PERMANENT-P */;
	value0=L27set_vv_index(V1,T0,T1)          /*  SET-VV-INDEX    */;
	return value0;
}}
/*	function definition for VV-TYPE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30vv_type(cl_object V1)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  VALUE           */
	V2= ecl_function_dispatch(cl_env_copy,VV[92])(1,V1) /*  VV-VALUE */;
	if((V2)==Cnil){
	goto L3;}
	if(FIXNUMP(V2)){
	goto L3;}
	value0=cl_type_of(V2)                     /*  TYPE-OF         */;
	return value0;
L3:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
}}
	
#include "cmp/cmpwt.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclzgCNSHb7_Q5yqLD01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:CMP;CMPWT.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclzgCNSHb7_Q5yqLD01@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	ecl_cmp_defun(VV[49]);
	ecl_cmp_defun(VV[50]);
	ecl_cmp_defun(VV[51]);
	ecl_cmp_defun(VV[52]);
	ecl_cmp_defun(VV[53]);
	ecl_cmp_defun(VV[56]);
	ecl_cmp_defun(VV[60]);
	ecl_cmp_defun(VV[61]);
	ecl_cmp_defun(VV[62]);
	ecl_cmp_defun(VV[63]);
	ecl_cmp_defun(VV[68]);
	ecl_cmp_defun(VV[70]);
	ecl_cmp_defun(VV[71]);
	ecl_cmp_defun(VV[72]);
	ecl_cmp_defun(VV[73]);
	ecl_cmp_defun(VV[74]);
	ecl_cmp_defun(VV[75]);
	ecl_cmp_defun(VV[76]);
	ecl_cmp_defun(VV[77]);
	ecl_cmp_defun(VV[78]);
	ecl_cmp_defun(VV[79]);
	ecl_cmp_defun(VV[80]);
	ecl_cmp_defun(VV[81]);
	ecl_cmp_defun(VV[82]);
	ecl_cmp_defun(VV[84]);
	ecl_cmp_defun(VV[87]);
	ecl_cmp_defun(VV[90]);
	ecl_cmp_defun(VV[91]);
}
