/*	Compiler: ECL 11.1.1                                          */
/*	Source: EXT:PROFILE;PROFILE.LISP                              */
#include <ecl/ecl-cmp.h>
#include "ext/profile.h"
/*	function definition for GET-BYTES-CONSED                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1get_bytes_consed(cl_object V1)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  BYTES           */
	V2= ecl_make_unsigned_integer(GC_get_total_bytes());
	if(!(ecl_number_compare(V2,V1)<0)){
	goto L3;}
	T0= ecl_minus(ecl_symbol_value(VV[1]),V1);
	value0=ecl_plus(T0,V2); cl_env_copy->nvalues=1;
	return value0;
L3:;
	value0=ecl_minus(V2,V1); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for MAKE-PROFILE-INFO                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2make_profile_info(cl_narg narg, ...)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,L2make_profile_infokeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[5]==Cnil){
	V1= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V1= keyvars[0];}
	if(keyvars[6]==Cnil){
	V2= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V2= keyvars[1];}
	if(keyvars[7]==Cnil){
	V3= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V3= keyvars[2];}
	if(keyvars[8]==Cnil){
	V4= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V4= keyvars[3];}
	if(keyvars[9]==Cnil){
	V5= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V5= keyvars[4];}
	}
	if((cl_functionp(V5)                      /*  FUNCTIONP       */)!=Cnil){
	goto L8;}
	(void)si_structure_type_error(4,V5,ECL_SYM("FUNCTION",394),VV[5],VV[7]) /*  STRUCTURE-TYPE-ERROR */;
	goto L6;
L8:;
	goto L6;
L6:;
	if((cl_functionp(V4)                      /*  FUNCTIONP       */)!=Cnil){
	goto L12;}
	(void)si_structure_type_error(4,V4,ECL_SYM("FUNCTION",394),VV[5],VV[8]) /*  STRUCTURE-TYPE-ERROR */;
	goto L10;
L12:;
	goto L10;
L10:;
	if((cl_functionp(V3)                      /*  FUNCTIONP       */)!=Cnil){
	goto L16;}
	(void)si_structure_type_error(4,V3,ECL_SYM("FUNCTION",394),VV[5],VV[9]) /*  STRUCTURE-TYPE-ERROR */;
	goto L14;
L16:;
	goto L14;
L14:;
	if((cl_functionp(V2)                      /*  FUNCTIONP       */)!=Cnil){
	goto L20;}
	(void)si_structure_type_error(4,V2,ECL_SYM("FUNCTION",394),VV[5],VV[10]) /*  STRUCTURE-TYPE-ERROR */;
	goto L18;
L20:;
	goto L18;
L18:;
	value0=si_make_structure(6,VV[11],V1,V2,V3,V4,V5) /*  MAKE-STRUCTURE */;
	return value0;
}}
/*	function definition for MAKE-OVERHEAD                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3make_overhead(cl_narg narg, ...)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[6];
	cl_parse_key(args,3,L3make_overheadkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[3]==Cnil){
	V1= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V1= keyvars[0];}
	if(keyvars[4]==Cnil){
	V2= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V2= keyvars[1];}
	if(keyvars[5]==Cnil){
	V3= ecl_function_dispatch(cl_env_copy,VV[65])(0) /*  MISSING-ARG */;
	}else{
	V3= keyvars[2];}
	}
	if(ECL_SINGLE_FLOAT_P(V3)){
	goto L6;}
	(void)si_structure_type_error(4,V3,ECL_SYM("SINGLE-FLOAT",776),VV[17],VV[19]) /*  STRUCTURE-TYPE-ERROR */;
	goto L4;
L6:;
	goto L4;
L4:;
	if(ECL_SINGLE_FLOAT_P(V2)){
	goto L10;}
	(void)si_structure_type_error(4,V2,ECL_SYM("SINGLE-FLOAT",776),VV[17],VV[20]) /*  STRUCTURE-TYPE-ERROR */;
	goto L8;
L10:;
	goto L8;
L8:;
	if(ECL_SINGLE_FLOAT_P(V1)){
	goto L14;}
	(void)si_structure_type_error(4,V1,ECL_SYM("SINGLE-FLOAT",776),VV[17],VV[21]) /*  STRUCTURE-TYPE-ERROR */;
	goto L12;
L14:;
	goto L12;
L12:;
	value0=si_make_structure(4,VV[22],V1,V2,V3) /*  MAKE-STRUCTURE */;
	return value0;
}}
/*	function definition for PROFILE-ENCAPSULATION-LAMBDAS         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7profile_encapsulation_lambdas(cl_object volatile V1)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = Cnil;
	CLV0=env0=CONS(V1,env0);                  /*  ENCAPSULATED-FUN */
	{volatile cl_object env1 = env0;
	CLV1=env1=CONS(MAKE_FIXNUM(0),env1);      /*  COUNT           */
	CLV2=env1=CONS(MAKE_FIXNUM(0),env1);      /*  TICKS           */
	CLV3=env1=CONS(MAKE_FIXNUM(0),env1);      /*  CONSING         */
	CLV4=env1=CONS(MAKE_FIXNUM(0),env1);      /*  PROFILES        */
	T0= ecl_make_cclosure_va((cl_objectfn)LC4__g23,env1,Cblock);
	T1= ecl_make_cclosure_va((cl_objectfn)LC5__g41,env1,Cblock);
	T2= ecl_make_cclosure_va((cl_objectfn)LC6__g42,env1,Cblock);
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=T2;
	cl_env_copy->values[1]=T1;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	closure G23                                                   */
/*	optimize speed 3, debug 1, space 1, safety 3                  */
static cl_object LC4__g23(volatile cl_narg narg, ...)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object volatile env0 = cl_env_copy->function->cclosure.env;
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV4=env0;                                /*  PROFILES        */
	CLV3=CDR(CLV4);
	CLV2=CDR(CLV3);
	CLV1=CDR(CLV2);
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	{
	volatile cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	cl_va_end(args);
	if(!(ecl_boundp(cl_env_copy,VV[16]))){
	goto L3;}
	(void)L14unprofile_all()                  /*  UNPROFILE-ALL   */;
	(void)cl_error(4,_ecl_static_4,ecl_symbol_value(VV[16]),ECL_CONS_CAR(CLV0),ECL_CONS_CAR(CLV0)) /*  ERROR */;
	goto L1;
L3:;
	goto L1;
L1:;
	T0= ECL_CONS_CAR(CLV1);
	ECL_CONS_CAR(CLV1)= ecl_plus(T0,MAKE_FIXNUM(1));
	{volatile cl_object V2;                   /*  LET2480         */
	volatile cl_object V3;                    /*  LET2481         */
	volatile cl_object V4;                    /*  LET2482         */
	volatile cl_object V5;                    /*  LET2483         */
	volatile cl_object V6;                    /*  LET2484         */
	volatile cl_object V7;                    /*  DTICKS          */
	volatile cl_object V8;                    /*  DCONSING        */
	volatile cl_object V9;                    /*  INNER-ENCLOSED-PROFILES */
	V2= ecl_symbol_value(VV[13]);
	V3= ecl_symbol_value(VV[14]);
	V4= ecl_symbol_value(VV[15]);
	V5= cl_get_internal_run_time()            /*  GET-INTERNAL-RUN-TIME */;
	V6= L1get_bytes_consed(MAKE_FIXNUM(0))    /*  GET-BYTES-CONSED */;
	V7= MAKE_FIXNUM(0);
	V8= MAKE_FIXNUM(0);
	V9= MAKE_FIXNUM(0);
	{
	volatile bool unwinding = FALSE;
	cl_index V10=ECL_STACK_INDEX(cl_env_copy),V11;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	cl_set(VV[13],MAKE_FIXNUM(0));
	cl_set(VV[15],MAKE_FIXNUM(0));
	cl_set(VV[14],MAKE_FIXNUM(0));
	cl_env_copy->values[0]=cl_apply(2,ECL_CONS_CAR(CLV0),V1) /*  APPLY */;
	}
	ecl_frs_pop(cl_env_copy);
	V11=ecl_stack_push_values(cl_env_copy);
	T0= cl_get_internal_run_time()            /*  GET-INTERNAL-RUN-TIME */;
	V7= ecl_minus(T0,V5);
	V8= L1get_bytes_consed(V6)                /*  GET-BYTES-CONSED */;
	V9= ecl_symbol_value(VV[15]);
	{cl_object V12;                           /*  NET-DTICKS      */
	V12= ecl_minus(V7,ecl_symbol_value(VV[13]));
	T0= ECL_CONS_CAR(CLV2);
	ECL_CONS_CAR(CLV2)= ecl_plus(T0,V12);
	}
	{cl_object V12;                           /*  NET-DCONSING    */
	V12= ecl_minus(V8,ecl_symbol_value(VV[14]));
	T0= ECL_CONS_CAR(CLV3);
	ECL_CONS_CAR(CLV3)= ecl_plus(T0,V12);
	}
	T0= ECL_CONS_CAR(CLV4);
	ECL_CONS_CAR(CLV4)= ecl_plus(T0,V9);
	cl_set(VV[13],ecl_plus(V2,V7));
	cl_set(VV[14],ecl_plus(V3,V8));
	T0= ecl_plus(V4,V9);
	cl_set(VV[15],ecl_plus(T0,MAKE_FIXNUM(1)));
	ecl_stack_pop_values(cl_env_copy,V11);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V10);
	return cl_env_copy->values[0];}
	}
}}}
/*	closure G41                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5__g41(cl_narg narg, ...)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV4=env0;                                /*  PROFILES        */
	CLV3=CDR(CLV4);
	CLV2=CDR(CLV3);
	CLV1=CDR(CLV2);
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
	{
TTL:
	T0= ECL_CONS_CAR(CLV1);
	T1= ECL_CONS_CAR(CLV2);
	T2= ECL_CONS_CAR(CLV3);
	cl_env_copy->nvalues=4;
	cl_env_copy->values[3]=ECL_CONS_CAR(CLV4);
	cl_env_copy->values[2]=T2;
	cl_env_copy->values[1]=T1;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
}}}
/*	closure G42                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6__g42(cl_narg narg, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV4=env0;                                /*  PROFILES        */
	CLV3=CDR(CLV4);
	CLV2=CDR(CLV3);
	CLV1=CDR(CLV2);
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV1)= MAKE_FIXNUM(0);
	ECL_CONS_CAR(CLV2)= MAKE_FIXNUM(0);
	ECL_CONS_CAR(CLV3)= MAKE_FIXNUM(0);
	ECL_CONS_CAR(CLV4)= MAKE_FIXNUM(0);
	value0=MAKE_FIXNUM(0); cl_env_copy->nvalues=1;
	return value0;
}}}
/*	function definition for MAPC-ON-NAMED-FUNS                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8mapc_on_named_funs(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  %DOLIST-VAR     */
	cl_object V4;                             /*  NAME            */
	V3= V2;
	V4= Cnil;
	goto L7;
L6:;
	V4= cl_first(V3)                          /*  FIRST           */;
	if(!(ECL_SYMBOLP(V4))){
	goto L13;}
	(void)ecl_function_dispatch(cl_env_copy,V1)(1,V4);
	goto L11;
L13:;
	if(!(ECL_LISTP(V4))){
	goto L16;}
	(void)ecl_function_dispatch(cl_env_copy,VV[77])(1,V4) /*  LEGAL-FUN-NAME-OR-TYPE-ERROR */;
	(void)ecl_function_dispatch(cl_env_copy,V1)(1,V4);
	goto L11;
L16:;
	if(!(ECL_STRINGP(V4))){
	goto L20;}
	{cl_object V5;                            /*  PACKAGE         */
	V5= cl_find_package(V4)                   /*  FIND-PACKAGE    */;
	{cl_object V6;
	cl_object V7;
	cl_object V8;                             /*  SYMBOL          */
	V6= si_packages_iterator(3,V5,VV[26],Ct)  /*  PACKAGES-ITERATOR */;
	V7= Cnil;
	V8= Cnil;
	goto L29;
L28:;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V6)(0);
	{int V9=cl_env_copy->nvalues-0;
	if (V9--<=0) goto L33;
	V7= cl_env_copy->values[0];
	if (V9--<=0) goto L34;
	V8= cl_env_copy->values[1];
	goto L35;}
L33:;
	V7= Cnil;
L34:;
	V8= Cnil;
L35:;
	if((V7)!=Cnil){
	goto L38;}
	goto L11;
L38:;
	goto L36;
L36:;
	T0= cl_symbol_package(V8)                 /*  SYMBOL-PACKAGE  */;
	if(!((T0)==(V5))){
	goto L42;}
	if((cl_fboundp(V8)                        /*  FBOUNDP         */)==Cnil){
	goto L46;}
	if((cl_macro_function(1,V8)               /*  MACRO-FUNCTION  */)!=Cnil){
	goto L46;}
	if((cl_special_operator_p(V8)             /*  SPECIAL-OPERATOR-P */)!=Cnil){
	goto L46;}
	(void)ecl_function_dispatch(cl_env_copy,V1)(1,V8);
	goto L44;
L46:;
	goto L44;
L44:;
	{cl_object V9;                            /*  SETF-NAME       */
	V9= cl_list(2,ECL_SYM("SETF",748),V8)     /*  LIST            */;
	if((cl_fboundp(V9)                        /*  FBOUNDP         */)==Cnil){
	goto L52;}
	(void)ecl_function_dispatch(cl_env_copy,V1)(1,V9);
	goto L40;
L52:;
	goto L40;
	}
L42:;
	goto L40;
L40:;
L29:;
	goto L28;
	goto L11;
	}
	}
L20:;
	(void)si_etypecase_error(3,VV[27],V4,VV[28]) /*  ETYPECASE-ERROR */;
	goto L11;
L11:;
	V3= CDR(V3);
L7:;
	if((V3)==Cnil){
	goto L59;}
	goto L6;
L59:;
	goto L57;
L57:;
	goto L4;
L4:;
	}
	value0=Cnil; cl_env_copy->nvalues=0;
	return value0;
}}
/*	function definition for PROFILE-1-UNPROFILED-FUN              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9profile_1_unprofiled_fun(cl_object V1)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  ENCAPSULATED-FUN */
	V2= cl_fdefinition(V1)                    /*  FDEFINITION     */;
	cl_env_copy->values[0]=L7profile_encapsulation_lambdas(V2) /*  PROFILE-ENCAPSULATION-LAMBDAS */;
	{
	cl_object V4;                             /*  ENCAPSULATION-FUN */
	cl_object V5;                             /*  READ-STATS-FUN  */
	cl_object V6;                             /*  CLEAR-STATS-FUN */
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L3;
	V4= cl_env_copy->values[0];
	if (V7--<=0) goto L4;
	V5= cl_env_copy->values[1];
	if (V7--<=0) goto L5;
	V6= cl_env_copy->values[2];
	goto L6;}
L3:;
	V4= Cnil;
L4:;
	V5= Cnil;
L5:;
	V6= Cnil;
L6:;
	(void)si_fset(4,V1,V4,Cnil,Cnil)          /*  FSET            */;
	{cl_object V7;
	V7= ecl_symbol_value(VV[4]);
	{cl_object V8;
	V8= L2make_profile_info(10,ECL_SYM("NAME",1244),V1,VV[30],V2,VV[31],V4,VV[32],V5,VV[33],V6) /*  MAKE-PROFILE-INFO */;
	(void)si_hash_set(V1,V7,V8)               /*  HASH-SET        */;
	}
	}
	value0=Cnil; cl_env_copy->nvalues=0;
	return value0;}
	}
}}
/*	function definition for PROFILE-1-FUN                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10profile_1_fun(cl_object V1)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_fboundp(V1)                        /*  FBOUNDP         */)==Cnil){
	goto L3;}
	if((cl_gethash(2,V1,ecl_symbol_value(VV[4])) /*  GETHASH      */)==Cnil){
	goto L7;}
	(void)(cl_env_copy->function=(ECL_SYM("WARN",901)->symbol.gfdef))->cfun.entry(2,_ecl_static_5,V1) /*  WARN */;
	(void)L11unprofile_1_fun(V1)              /*  UNPROFILE-1-FUN */;
	goto L5;
L7:;
	goto L5;
L5:;
	(void)L9profile_1_unprofiled_fun(V1)      /*  PROFILE-1-UNPROFILED-FUN */;
	goto L1;
L3:;
	(void)(cl_env_copy->function=(ECL_SYM("WARN",901)->symbol.gfdef))->cfun.entry(2,_ecl_static_6,V1) /*  WARN */;
	goto L1;
L1:;
	value0=Cnil; cl_env_copy->nvalues=0;
	return value0;
}}
/*	function definition for UNPROFILE-1-FUN                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11unprofile_1_fun(cl_object V1)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  PINFO           */
	V2= cl_gethash(2,V1,ecl_symbol_value(VV[4])) /*  GETHASH      */;
	if((V2)==Cnil){
	goto L4;}
	(void)cl_remhash(V1,ecl_symbol_value(VV[4])) /*  REMHASH      */;
	T0= cl_fdefinition(V1)                    /*  FDEFINITION     */;
	T1= ecl_function_dispatch(cl_env_copy,VV[81])(1,V2) /*  PROFILE-INFO-ENCAPSULATION-FUN */;
	if(!((T0)==(T1))){
	goto L8;}
	T0= ecl_function_dispatch(cl_env_copy,VV[82])(1,V2) /*  PROFILE-INFO-ENCAPSULATED-FUN */;
	(void)si_fset(4,V1,T0,Cnil,Cnil)          /*  FSET            */;
	goto L1;
L8:;
	(void)(cl_env_copy->function=(ECL_SYM("WARN",901)->symbol.gfdef))->cfun.entry(2,_ecl_static_7,V1) /*  WARN */;
	goto L1;
L4:;
	(void)(cl_env_copy->function=(ECL_SYM("WARN",901)->symbol.gfdef))->cfun.entry(2,_ecl_static_8,V1) /*  WARN */;
	goto L1;
	}
L1:;
	value0=Cnil; cl_env_copy->nvalues=0;
	return value0;
}}
/*	local function PROFILE                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12profile(cl_object V1, cl_object V2)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NAMES           */
	V3= cl_cdr(V1)                            /*  CDR             */;
	if(!(V3==Cnil)){
	goto L3;}
	value0=VV[37]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= cl_list(2,ECL_SYM("QUOTE",677),V3)    /*  LIST            */;
	value0=cl_list(3,VV[29],VV[38],T0)        /*  LIST            */;
	return value0;
	}
}}
/*	local function UNPROFILE                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13unprofile(cl_object V1, cl_object V2)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NAMES           */
	V3= cl_cdr(V1)                            /*  CDR             */;
	if((V3)==Cnil){
	goto L3;}
	T0= cl_list(2,ECL_SYM("QUOTE",677),V3)    /*  LIST            */;
	value0=cl_list(3,VV[29],VV[40],T0)        /*  LIST            */;
	return value0;
L3:;
	value0=VV[41]; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for UNPROFILE-ALL                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14unprofile_all()
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;
	V1= si_hash_table_iterator(ecl_symbol_value(VV[4])) /*  HASH-TABLE-ITERATOR */;
L3:;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V1)(0);
	{
	cl_object V3;
	cl_object V4;                             /*  NAME            */
	cl_object V5;                             /*  PROFILE-INFO    */
	{int V6=cl_env_copy->nvalues-0;
	if (V6--<=0) goto L6;
	V3= cl_env_copy->values[0];
	if (V6--<=0) goto L7;
	V4= cl_env_copy->values[1];
	if (V6--<=0) goto L8;
	V5= cl_env_copy->values[2];
	goto L9;}
L6:;
	V3= Cnil;
L7:;
	V4= Cnil;
L8:;
	V5= Cnil;
L9:;
	if((V3)!=Cnil){
	goto L12;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L12:;
	goto L10;
L10:;
	(void)L11unprofile_1_fun(V4)              /*  UNPROFILE-1-FUN */;}
	goto L3;
	}
}}
/*	function definition for RESET                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15reset()
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;
	V1= si_hash_table_iterator(ecl_symbol_value(VV[4])) /*  HASH-TABLE-ITERATOR */;
L3:;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V1)(0);
	{
	cl_object V3;
	cl_object V4;                             /*  NAME            */
	cl_object V5;                             /*  PROFILE-INFO    */
	{int V6=cl_env_copy->nvalues-0;
	if (V6--<=0) goto L6;
	V3= cl_env_copy->values[0];
	if (V6--<=0) goto L7;
	V4= cl_env_copy->values[1];
	if (V6--<=0) goto L8;
	V5= cl_env_copy->values[2];
	goto L9;}
L6:;
	V3= Cnil;
L7:;
	V4= Cnil;
L8:;
	V5= Cnil;
L9:;
	if((V3)!=Cnil){
	goto L12;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L12:;
	goto L10;
L10:;
	T0= ecl_function_dispatch(cl_env_copy,VV[87])(1,V5) /*  PROFILE-INFO-CLEAR-STATS-FUN */;
	(void)ecl_function_dispatch(cl_env_copy,T0)(0);}
	goto L3;
	}
}}
/*	function definition for MAKE-TIME-INFO                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16make_time_info(cl_narg narg, ...)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[8];
	cl_parse_key(args,4,L16make_time_infokeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	}
	value0=si_make_structure(5,VV[47],V1,V2,V3,V4) /*  MAKE-STRUCTURE */;
	return value0;
}}
/*	function definition for COMPENSATE-TIME                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17compensate_time(cl_object V1, cl_object V2, cl_object V3)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  RAW-COMPENSATED */
	T0= cl_float(1,V2)                        /*  FLOAT           */;
	T1= cl_float(1,MAKE_FIXNUM(1000))         /*  FLOAT           */;
	T2= ecl_divide(T0,T1);
	T3= ecl_function_dispatch(cl_env_copy,VV[94])(1,ecl_symbol_value(VV[24])) /*  OVERHEAD-INTERNAL */;
	T4= cl_float(1,V1)                        /*  FLOAT           */;
	T5= ecl_times(T3,T4);
	T6= ecl_minus(T2,T5);
	T7= ecl_function_dispatch(cl_env_copy,VV[95])(1,ecl_symbol_value(VV[24])) /*  OVERHEAD-TOTAL */;
	T8= ecl_function_dispatch(cl_env_copy,VV[94])(1,ecl_symbol_value(VV[24])) /*  OVERHEAD-INTERNAL */;
	T9= ecl_minus(T7,T8);
	T10= cl_float(1,V3)                       /*  FLOAT           */;
	T11= ecl_times(T9,T10);
	V4= ecl_minus(T6,T11);
	value0=(ecl_number_compare(V4,cl_core.singlefloat_zero)>=0?V4:cl_core.singlefloat_zero); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for REPORT                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19report()
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(ecl_boundp(cl_env_copy,VV[24])){
	goto L3;}
	cl_set(VV[24],L24compute_overhead()       /*  COMPUTE-OVERHEAD */);
	goto L1;
L3:;
	goto L1;
L1:;
	{cl_object V1;                            /*  TIME-INFO-LIST  */
	cl_object V2;                             /*  NO-CALL-NAME-LIST */
	V1= Cnil;
	V2= Cnil;
	{cl_object V3;
	V3= si_hash_table_iterator(ecl_symbol_value(VV[4])) /*  HASH-TABLE-ITERATOR */;
L11:;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V3)(0);
	{
	cl_object V5;
	cl_object V6;                             /*  NAME            */
	cl_object V7;                             /*  PINFO           */
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L14;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L15;
	V6= cl_env_copy->values[1];
	if (V8--<=0) goto L16;
	V7= cl_env_copy->values[2];
	goto L17;}
L14:;
	V5= Cnil;
L15:;
	V6= Cnil;
L16:;
	V7= Cnil;
L17:;
	if((V5)!=Cnil){
	goto L20;}
	goto L8;
L20:;
	goto L18;
L18:;
	T0= cl_fdefinition(V6)                    /*  FDEFINITION     */;
	T1= ecl_function_dispatch(cl_env_copy,VV[81])(1,V7) /*  PROFILE-INFO-ENCAPSULATION-FUN */;
	if((T0)==(T1)){
	goto L24;}
	(void)(cl_env_copy->function=(ECL_SYM("WARN",901)->symbol.gfdef))->cfun.entry(2,_ecl_static_10,V6) /*  WARN */;
	goto L22;
L24:;
	goto L22;
L22:;
	T0= ecl_function_dispatch(cl_env_copy,VV[97])(1,V7) /*  PROFILE-INFO-READ-STATS-FUN */;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,T0)(0);
	{
	cl_object V9;                             /*  CALLS           */
	cl_object V10;                            /*  TICKS           */
	cl_object V11;                            /*  CONSING         */
	cl_object V12;                            /*  PROFILE         */
	{int V13=cl_env_copy->nvalues-0;
	if (V13--<=0) goto L28;
	V9= cl_env_copy->values[0];
	if (V13--<=0) goto L29;
	V10= cl_env_copy->values[1];
	if (V13--<=0) goto L30;
	V11= cl_env_copy->values[2];
	if (V13--<=0) goto L31;
	V12= cl_env_copy->values[3];
	goto L32;}
L28:;
	V9= Cnil;
L29:;
	V10= Cnil;
L30:;
	V11= Cnil;
L31:;
	V12= Cnil;
L32:;
	if(!(ecl_zerop(V9))){
	goto L34;}
	V2= CONS(V6,V2);
	goto L12;
L34:;
	T0= L17compensate_time(V9,V10,V12)        /*  COMPENSATE-TIME */;
	T1= L16make_time_info(8,ECL_SYM("NAME",1244),V6,VV[50],V9,VV[51],T0,VV[52],V11) /*  MAKE-TIME-INFO */;
	V1= CONS(T1,V1);
	goto L12;}}
L12:;
	goto L11;
	}
L8:;
	T0= (ECL_SYM(">=",74)->symbol.gfdef);
	T1= ecl_fdefinition(VV[98]);
	V1= cl_sort(4,V1,T0,ECL_SYM("KEY",1234),T1) /*  SORT          */;
	(void)L21print_profile_table(V1)          /*  PRINT-PROFILE-TABLE */;
	if((V2)==Cnil){
	goto L46;}
	T0= ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",67));
	T1= (ECL_SYM("STRING<",818)->symbol.gfdef);
	T2= ecl_make_cfun((cl_objectfn_fixed)LC18__g88,Cnil,Cblock,1);
	T3= cl_sort(4,V2,T1,ECL_SYM("KEY",1234),T2) /*  SORT          */;
	(void)cl_format(3,T0,_ecl_static_11,T3)   /*  FORMAT          */;
	goto L44;
L46:;
	goto L44;
L44:;
	value0=Cnil; cl_env_copy->nvalues=0;
	return value0;
	}
}}
/*	local function G88                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18__g88(cl_object V1)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_symbol_name(V1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PRINT-PROFILE-TABLE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L21print_profile_table(cl_object V1)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_fixnum V2;                            /*  LET2490         */
	cl_fixnum V3;                             /*  LET2491         */
	cl_fixnum V4;                             /*  LET2492         */
	cl_object V5;                             /*  TOTAL-SECONDS   */
	cl_object V6;                             /*  TOTAL-CONSED    */
	cl_object V7;                             /*  TOTAL-CALLS     */
	V2= ecl_length(_ecl_static_12);
	V3= ecl_length(_ecl_static_13);
	V4= ecl_length(_ecl_static_14);
	V5= cl_core.singlefloat_zero;
	V6= MAKE_FIXNUM(0);
	V7= MAKE_FIXNUM(0);
	lex0[0]= MAKE_FIXNUM(V2);                 /*  SECONDS-WIDTH   */
	lex0[1]= MAKE_FIXNUM(V3);                 /*  CONSED-WIDTH    */
	lex0[2]= MAKE_FIXNUM(V4);                 /*  CALLS-WIDTH     */
	lex0[3]= MAKE_FIXNUM(10);                 /*  SEC/CALL-WIDTH  */
	lex0[4]= MAKE_FIXNUM(6);                  /*  NAME-WIDTH      */
	{cl_object V8;                            /*  %DOLIST-VAR     */
	cl_object V9;                             /*  TIME-INFO       */
	V8= V1;
	V9= Cnil;
	goto L13;
L12:;
	V9= cl_first(V8)                          /*  FIRST           */;
	{cl_object V10;
	V10= ecl_function_dispatch(cl_env_copy,VV[98])(1,V9) /*  TIME-INFO-SECONDS */;
	V5= ecl_plus(V5,V10);
	}
	{cl_object V10;
	V10= ecl_function_dispatch(cl_env_copy,VV[100])(1,V9) /*  TIME-INFO-CONSING */;
	V6= ecl_plus(V6,V10);
	}
	{cl_object V10;
	V10= ecl_function_dispatch(cl_env_copy,VV[101])(1,V9) /*  TIME-INFO-CALLS */;
	V7= ecl_plus(V7,V10);
	}
	V8= CDR(V8);
L13:;
	if((V8)==Cnil){
	goto L30;}
	goto L12;
L30:;
	goto L28;
L28:;
	goto L10;
L10:;
	}
	T0= cl_format(3,Cnil,_ecl_static_15,V5)   /*  FORMAT          */;
	{cl_fixnum V8;
	V8= ecl_length(T0);
	lex0[0]= (ecl_number_compare(MAKE_FIXNUM(V8),lex0[0])>=0?MAKE_FIXNUM(V8):lex0[0]);}
	T0= cl_format(3,Cnil,_ecl_static_16,V7)   /*  FORMAT          */;
	{cl_fixnum V8;
	V8= ecl_length(T0);
	lex0[2]= (ecl_number_compare(MAKE_FIXNUM(V8),lex0[2])>=0?MAKE_FIXNUM(V8):lex0[2]);}
	T0= cl_format(3,Cnil,_ecl_static_16,V6)   /*  FORMAT          */;
	{cl_fixnum V8;
	V8= ecl_length(T0);
	lex0[1]= (ecl_number_compare(MAKE_FIXNUM(V8),lex0[1])>=0?MAKE_FIXNUM(V8):lex0[1]);}
	T0= ecl_one_plus(lex0[1]);
	T1= ecl_one_plus(lex0[2]);
	T2= ecl_one_plus(lex0[3]);
	T3= ecl_one_plus(lex0[4]);
	(void)cl_format(12,ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",67)),_ecl_static_17,lex0[0],_ecl_static_12,T0,_ecl_static_13,T1,_ecl_static_14,T2,_ecl_static_18,T3,_ecl_static_19) /*  FORMAT */;
	(void)LC20dashes(lex0)                    /*  DASHES          */;
	{cl_object V8;                            /*  %DOLIST-VAR     */
	cl_object V9;                             /*  TIME-INFO       */
	V8= V1;
	V9= Cnil;
	goto L46;
L45:;
	V9= cl_first(V8)                          /*  FIRST           */;
	T0= ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",67));
	T1= ecl_function_dispatch(cl_env_copy,VV[98])(1,V9) /*  TIME-INFO-SECONDS */;
	T2= ecl_function_dispatch(cl_env_copy,VV[100])(1,V9) /*  TIME-INFO-CONSING */;
	T3= ecl_function_dispatch(cl_env_copy,VV[101])(1,V9) /*  TIME-INFO-CALLS */;
	T4= ecl_function_dispatch(cl_env_copy,VV[98])(1,V9) /*  TIME-INFO-SECONDS */;
	T5= ecl_function_dispatch(cl_env_copy,VV[101])(1,V9) /*  TIME-INFO-CALLS */;
	T6= cl_float(1,T5)                        /*  FLOAT           */;
	T7= ecl_divide(T4,T6);
	T8= ecl_function_dispatch(cl_env_copy,VV[102])(1,V9) /*  TIME-INFO-NAME */;
	(void)cl_format(10,T0,_ecl_static_20,lex0[0],T1,lex0[1],T2,lex0[2],T3,T7,T8) /*  FORMAT */;
	V8= CDR(V8);
L46:;
	if((V8)==Cnil){
	goto L55;}
	goto L45;
L55:;
	goto L53;
L53:;
	goto L43;
L43:;
	}
	(void)LC20dashes(lex0)                    /*  DASHES          */;
	(void)cl_format(8,ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",67)),_ecl_static_21,lex0[0],V5,lex0[1],V6,lex0[2],V7) /*  FORMAT */;
	T0= ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",67));
	T1= ecl_function_dispatch(cl_env_copy,VV[95])(1,ecl_symbol_value(VV[24])) /*  OVERHEAD-TOTAL */;
	T2= cl_float(1,V7)                        /*  FLOAT           */;
	T3= ecl_times(T1,T2);
	(void)cl_format(3,T0,_ecl_static_22,T3)   /*  FORMAT          */;
	T0= ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",67));
	T1= ecl_function_dispatch(cl_env_copy,VV[103])(1,ecl_symbol_value(VV[24])) /*  OVERHEAD-CALL */;
	T2= ecl_function_dispatch(cl_env_copy,VV[95])(1,ecl_symbol_value(VV[24])) /*  OVERHEAD-TOTAL */;
	T3= ecl_function_dispatch(cl_env_copy,VV[94])(1,ecl_symbol_value(VV[24])) /*  OVERHEAD-INTERNAL */;
	value0=cl_format(5,T0,_ecl_static_23,T1,T2,T3) /*  FORMAT     */;
	return value0;
	}
}}
/*	local function DASHES                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20dashes(volatile cl_object *lex0)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;
	T0= ecl_plus(lex0[0],lex0[1]);
	T1= ecl_plus(T0,lex0[2]);
	T2= ecl_plus(T1,lex0[3]);
	T3= ecl_plus(T2,lex0[4]);
	V1= ecl_plus(T3,MAKE_FIXNUM(15));
	{cl_object V2;                            /*  I               */
	V2= MAKE_FIXNUM(0);
	goto L6;
L5:;
	(void)cl_write_char(2,CODE_CHAR('\55'),ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",67))) /*  WRITE-CHAR */;
	V2= ecl_one_plus(V2);
L6:;
	if(!(ecl_number_compare(V2,V1)<0)){
	goto L13;}
	goto L5;
L13:;
	goto L11;
L11:;
	goto L1;
	}
	}
L1:;
	value0=ecl_terpri(ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",67))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for COMPUTE-OVERHEAD-AUX                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22compute_overhead_aux(cl_object V1)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for COMPUTE-OVERHEAD                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24compute_overhead()
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)cl_format(2,ecl_symbol_value(ECL_SYM("*DEBUG-IO*",28)),_ecl_static_24) /*  FORMAT */;
	{volatile cl_object V1;                   /*  LET2501         */
	volatile cl_object V2;                    /*  TOTAL-OVERHEAD  */
	volatile cl_object V3;                    /*  INTERNAL-OVERHEAD */
	V1= LC23frob()                            /*  FROB            */;
	V2= Cnil;
	V3= Cnil;
	{
	volatile bool unwinding = FALSE;
	cl_index V4=ECL_STACK_INDEX(cl_env_copy),V5;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	T0= ecl_fdefinition(VV[35]);
	(void)L8mapc_on_named_funs(T0,VV[57])     /*  MAPC-ON-NAMED-FUNS */;
	T0= LC23frob()                            /*  FROB            */;
	V2= ecl_minus(T0,V1);
	cl_env_copy->values[0]=V2; cl_env_copy->nvalues=1;
	}
	ecl_frs_pop(cl_env_copy);
	V5=ecl_stack_push_values(cl_env_copy);
	{cl_object V6;                            /*  PINFO           */
	cl_object V7;                             /*  READ-STATS-FUN  */
	cl_object V8;                             /*  TIME            */
	V6= cl_gethash(2,VV[56],ecl_symbol_value(VV[4])) /*  GETHASH  */;
	V7= ecl_function_dispatch(cl_env_copy,VV[97])(1,V6) /*  PROFILE-INFO-READ-STATS-FUN */;
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V9;
	V9= _ecl_inner_frame;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V7)(0);
	ecl_stack_frame_push_values(V9);cl_env_copy->values[0]=ecl_apply_from_stack_frame(V9,ECL_SYM("LIST",479));
	value0=cl_env_copy->values[0];
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	T0= value0;
	V8= cl_cadr(T0)                           /*  CADR            */;
	T0= cl_float(1,V8)                        /*  FLOAT           */;
	T1= cl_float(1,MAKE_FIXNUM(1000))         /*  FLOAT           */;
	T2= ecl_divide(T0,T1);
	T3= cl_float(1,ecl_symbol_value(VV[55]))  /*  FLOAT           */;
	V3= ecl_divide(T2,T3);
	}
	T0= ecl_fdefinition(VV[36]);
	(void)L8mapc_on_named_funs(T0,VV[57])     /*  MAPC-ON-NAMED-FUNS */;
	ecl_stack_pop_values(cl_env_copy,V5);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V4);}
	{cl_object V4;
	V4= L3make_overhead(6,VV[58],V1,VV[59],V2,ECL_SYM("INTERNAL",1230),V3) /*  MAKE-OVERHEAD */;
	(void)cl_format(2,ecl_symbol_value(ECL_SYM("*DEBUG-IO*",28)),_ecl_static_25) /*  FORMAT */;
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	local function FROB                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23frob()
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  LET2499         */
	cl_object V2;                             /*  LET2500         */
	V1= cl_get_internal_run_time()            /*  GET-INTERNAL-RUN-TIME */;
	V2= cl_symbol_function(VV[56])            /*  SYMBOL-FUNCTION */;
	{cl_object V3;
	V3= ecl_symbol_value(VV[55]);
	{cl_object V4;                            /*  I               */
	V4= MAKE_FIXNUM(0);
	goto L8;
L7:;
	(void)ecl_function_dispatch(cl_env_copy,V2)(1,V2);
	V4= ecl_one_plus(V4);
L8:;
	if(!(ecl_number_compare(V4,V3)<0)){
	goto L15;}
	goto L7;
L15:;
	goto L13;
L13:;
	goto L3;
	}
	}
L3:;
	T0= cl_get_internal_run_time()            /*  GET-INTERNAL-RUN-TIME */;
	T1= ecl_minus(T0,V1);
	T2= cl_float(1,T1)                        /*  FLOAT           */;
	T3= cl_float(1,MAKE_FIXNUM(1000))         /*  FLOAT           */;
	T4= ecl_divide(T2,T3);
	T5= cl_float(1,ecl_symbol_value(VV[55]))  /*  FLOAT           */;
	value0=ecl_divide(T4,T5); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for PROFILE-DEINIT                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25profile_deinit()
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_makunbound(VV[24])              /*  MAKUNBOUND      */;
	return value0;
}}
	
#include "ext/profile.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclcVYX17a7_2gQsLD01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("EXT:PROFILE;PROFILE.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclcVYX17a7_2gQsLD01@";
	VVtemp = Cblock->cblock.temp_data;
	(void)ecl_function_dispatch(cl_env_copy,VV[62])(10,_ecl_static_0,VVtemp[0],Cnil,_ecl_static_1,Cnil,Cnil,VVtemp[1],Cnil,Cnil,Cnil) /*  DODEFPACKAGE */;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	(void)si_Xmake_constant(VV[0],MAKE_FIXNUM(1000)) /*  *MAKE-CONSTANT */;
	T0= ecl_make_unsigned_integer(~((size_t)0));
	(void)si_Xmake_constant(VV[1],T0)         /*  *MAKE-CONSTANT  */;
	ecl_cmp_defun(VV[63]);
	(void)si_do_deftype(3,VV[3],VVtemp[2],VVtemp[3]) /*  DO-DEFTYPE */;
	(void)si_Xmake_special(VV[4])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[4])){
	goto L20;}
	cl_set(VV[4],cl_make_hash_table(4,ECL_SYM("TEST",1286),ECL_SYM("EQUAL",333),ECL_SYM("LOCKABLE",1241),Ct) /*  MAKE-HASH-TABLE */);
	goto L18;
L20:;
	goto L18;
L18:;
	(void)si_define_structure(15,VV[5],_ecl_static_2,Cnil,Cnil,VVtemp[4],VVtemp[5],Cnil,Cnil,Cnil,Cnil,VVtemp[6],MAKE_FIXNUM(5),Cnil,Cnil,VV[6]) /*  DEFINE-STRUCTURE */;
	VV[11]= cl_find_class(1,VV[5])            /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[64]);
	(void)si_Xmake_special(VV[13])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[13])){
	goto L36;}
	cl_set(VV[13],MAKE_FIXNUM(0));
	goto L34;
L36:;
	goto L34;
L34:;
	(void)si_Xmake_special(VV[14])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[14])){
	goto L45;}
	cl_set(VV[14],MAKE_FIXNUM(0));
	goto L43;
L45:;
	goto L43;
L43:;
	{cl_object V1;
	cl_object V2;
	V1= Cnil;
	V2= VVtemp[7];
L56:;
	if(!(ecl_endp(V2))){
	goto L60;}
	goto L57;
L60:;
	goto L58;
L58:;
	V1= CAR(V2);
	V2= CDR(V2);
	(void)ecl_function_dispatch(cl_env_copy,ECL_SYM("PROCLAIM",664))(1,V1);
	goto L56;
L57:;
	goto L52;
	}
L52:;
	(void)si_Xmake_special(VV[15])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[15])){
	goto L72;}
	cl_set(VV[15],MAKE_FIXNUM(0));
	goto L70;
L72:;
	goto L70;
L70:;
	{cl_object V3;
	cl_object V4;
	V3= Cnil;
	V4= VVtemp[8];
L83:;
	if(!(ecl_endp(V4))){
	goto L87;}
	goto L84;
L87:;
	goto L85;
L85:;
	V3= CAR(V4);
	V4= CDR(V4);
	(void)ecl_function_dispatch(cl_env_copy,ECL_SYM("PROCLAIM",664))(1,V3);
	goto L83;
L84:;
	goto L79;
	}
L79:;
	(void)si_Xmake_special(VV[16])            /*  *MAKE-SPECIAL   */;
	(void)si_define_structure(15,VV[17],_ecl_static_3,Cnil,Cnil,VVtemp[9],VVtemp[10],Cnil,Cnil,Cnil,Cnil,VVtemp[11],MAKE_FIXNUM(3),Cnil,Cnil,VV[18]) /*  DEFINE-STRUCTURE */;
	VV[22]= cl_find_class(1,VV[17])           /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[71]);
	(void)si_Xmake_special(VV[24])            /*  *MAKE-SPECIAL   */;
	{cl_object V5;
	cl_object V6;
	V5= Cnil;
	V6= VVtemp[12];
L116:;
	if(!(ecl_endp(V6))){
	goto L120;}
	goto L117;
L120:;
	goto L118;
L118:;
	V5= CAR(V6);
	V6= CDR(V6);
	(void)ecl_function_dispatch(cl_env_copy,ECL_SYM("PROCLAIM",664))(1,V5);
	goto L116;
L117:;
	goto L112;
	}
L112:;
	(void)cl_makunbound(VV[24])               /*  MAKUNBOUND      */;
	ecl_cmp_defun(VV[75]);
	ecl_cmp_defun(VV[76]);
	ecl_cmp_defun(VV[78]);
	ecl_cmp_defun(VV[79]);
	ecl_cmp_defun(VV[80]);
	ecl_cmp_defmacro(VV[83]);
	ecl_cmp_defmacro(VV[84]);
	ecl_cmp_defun(VV[85]);
	ecl_cmp_defun(VV[86]);
	(void)si_define_structure(15,VV[45],_ecl_static_9,Cnil,Cnil,VVtemp[13],VVtemp[14],Cnil,Cnil,Cnil,Cnil,VVtemp[15],MAKE_FIXNUM(4),Cnil,Cnil,VV[46]) /*  DEFINE-STRUCTURE */;
	VV[47]= cl_find_class(1,VV[45])           /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[88]);
	ecl_cmp_defun(VV[93]);
	ecl_cmp_defun(VV[96]);
	ecl_cmp_defun(VV[99]);
	{cl_object V7;
	cl_object V8;
	V7= Cnil;
	V8= VVtemp[16];
L167:;
	if(!(ecl_endp(V8))){
	goto L171;}
	goto L168;
L171:;
	goto L169;
L169:;
	V7= CAR(V8);
	V8= CDR(V8);
	(void)ecl_function_dispatch(cl_env_copy,ECL_SYM("PROCLAIM",664))(1,V7);
	goto L167;
L168:;
	goto L163;
	}
L163:;
	(void)si_Xmake_special(VV[55])            /*  *MAKE-SPECIAL   */;
	cl_set(VV[55],MAKE_FIXNUM(500000));
	{cl_object V9;
	cl_object V10;
	V9= Cnil;
	V10= VVtemp[17];
L191:;
	if(!(ecl_endp(V10))){
	goto L195;}
	goto L192;
L195:;
	goto L193;
L193:;
	V9= CAR(V10);
	V10= CDR(V10);
	(void)ecl_function_dispatch(cl_env_copy,ECL_SYM("PROCLAIM",664))(1,V9);
	goto L191;
L192:;
	goto L187;
	}
L187:;
	ecl_cmp_defun(VV[104]);
	ecl_cmp_defun(VV[105]);
	ecl_cmp_defun(VV[106]);
}
