/*	Compiler: ECL 11.1.1                                          */
/*	Source: EXT:RT;RT.LISP                                        */
#include <ecl/ecl-cmp.h>
#include "ext/rt.h"
/*	function definition for MAKE-ENTRY                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1make_entry(cl_narg narg, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[6];
	cl_parse_key(args,3,L1make_entrykeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	}
	value0=cl_list(3,V1,V2,V3)                /*  LIST            */;
	return value0;
}}
/*	local function VALS                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2vals(cl_object V1, cl_object V2)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ENTRY           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(2,ECL_SYM("CDDDR",194),V3) /*  LIST            */;
	return value0;
	}
}}
/*	local function DEFN                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3defn(cl_object V1, cl_object V2)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ENTRY           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(2,ECL_SYM("CDR",196),V3)   /*  LIST            */;
	return value0;
	}
}}
/*	function definition for PENDING-TESTS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4pending_tests()
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  LET2521         */
	cl_object V2;                             /*  L               */
	cl_object V3;                             /*  R               */
	V1= cl_cdr(ecl_symbol_value(VV[2]))       /*  CDR             */;
	V2= V1;
	V3= Cnil;
	goto L7;
L6:;
	T0= cl_car(V2)                            /*  CAR             */;
	if((ecl_function_dispatch(cl_env_copy,VV[40])(1,T0) /*  PEND  */)==Cnil){
	goto L11;}
	T0= cl_car(V2)                            /*  CAR             */;
	T1= ecl_function_dispatch(cl_env_copy,VV[41])(1,T0) /*  NAME  */;
	V3= CONS(T1,V3);
	goto L9;
L11:;
	goto L9;
L9:;
	V2= cl_cdr(V2)                            /*  CDR             */;
L7:;
	if(V2==Cnil){
	goto L18;}
	goto L6;
L18:;
	goto L16;
L16:;
	goto L4;
L4:;
	value0=cl_nreverse(V3)                    /*  NREVERSE        */;
	return value0;
	}
}}
/*	function definition for REM-ALL-TESTS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5rem_all_tests()
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_set(VV[2],ecl_list1(Cnil));
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REM-TEST                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6rem_test(cl_narg narg, ...)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ecl_symbol_value(VV[0]);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V2;                            /*  L               */
	V2= ecl_symbol_value(VV[2]);
	goto L6;
L5:;
	T0= cl_cadr(V2)                           /*  CADR            */;
	T1= ecl_function_dispatch(cl_env_copy,VV[41])(1,T0) /*  NAME  */;
	if(!(ecl_equal(T1,V1))){
	goto L10;}
	{cl_object V3;
	V3= cl_cddr(V2)                           /*  CDDR            */;
	if (ecl_unlikely(ATOM(V2)))FEtype_error_cons(V2);
	ECL_CONS_CDR(V2) = V3;
	}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L10:;
	goto L8;
L8:;
	V2= cl_cdr(V2)                            /*  CDR             */;
L6:;
	T0= cl_cdr(V2)                            /*  CDR             */;
	if(T0==Cnil){
	goto L19;}
	goto L5;
L19:;
	goto L17;
L17:;
	goto L3;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for GET-TEST                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7get_test(cl_narg narg, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ecl_symbol_value(VV[0]);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	T0= L8get_entry(V1)                       /*  GET-ENTRY       */;
	value0=cl_cdr(T0)                         /*  CDR             */;
	return value0;
}}
/*	function definition for GET-ENTRY                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8get_entry(cl_object V1)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  ENTRY           */
	{cl_object V3;
	cl_object V4;
	V3= cl_cdr(ecl_symbol_value(VV[2]))       /*  CDR             */;
	V4= si_make_seq_iterator(2,V3,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L5:;
	if((V4)!=Cnil){
	goto L9;}
	V2= Cnil;
	goto L1;
L9:;
	goto L7;
L7:;
	{cl_object V5;
	V5= si_seq_iterator_ref(V3,V4)            /*  SEQ-ITERATOR-REF */;
	T0= ecl_function_dispatch(cl_env_copy,VV[41])(1,V5) /*  NAME  */;
	if(!(ecl_equal(V1,T0))){
	goto L14;}
	V2= V5;
	goto L1;
L14:;
	goto L11;
	}
L11:;
	V4= si_seq_iterator_next(V3,V4)           /*  SEQ-ITERATOR-NEXT */;
	goto L5;
	}
L1:;
	if(!(V2==Cnil)){
	goto L20;}
	(void)L11report_error(3,Ct,_ecl_static_2,V1) /*  REPORT-ERROR */;
	goto L18;
L20:;
	goto L18;
L18:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function DEFTEST                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9deftest(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NAME            */
	cl_object V4;                             /*  FORM            */
	cl_object V5;                             /*  VALUES          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	T0= cl_listX(4,Ct,V3,V4,V5)               /*  LIST*           */;
	T1= cl_list(2,ECL_SYM("QUOTE",677),T0)    /*  LIST            */;
	value0=cl_list(2,VV[20],T1)               /*  LIST            */;
	return value0;
	}
}}
/*	function definition for ADD-ENTRY                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10add_entry(cl_object V1)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	V1= cl_copy_list(V1)                      /*  COPY-LIST       */;
	{cl_object V2;                            /*  L               */
	V2= ecl_symbol_value(VV[2]);
	goto L8;
L7:;
	T0= cl_cdr(V2)                            /*  CDR             */;
	if(!(T0==Cnil)){
	goto L12;}
	{cl_object V3;
	V3= ecl_list1(V1);
	if (ecl_unlikely(ATOM(V2)))FEtype_error_cons(V2);
	ECL_CONS_CDR(V2) = V3;
	}
	goto L3;
L12:;
	goto L10;
L10:;
	T0= cl_cadr(V2)                           /*  CADR            */;
	T1= ecl_function_dispatch(cl_env_copy,VV[41])(1,T0) /*  NAME  */;
	T2= ecl_function_dispatch(cl_env_copy,VV[41])(1,V1) /*  NAME  */;
	if(!(ecl_equal(T1,T2))){
	goto L19;}
	{cl_object V3;
	V3= cl_cdr(V2)                            /*  CDR             */;
	if (ecl_unlikely(ATOM(V3))) FEtype_error_cons(V3);
	T0= V3;
	}
	(ECL_CONS_CAR(T0)=V1,T0);
	T0= ecl_function_dispatch(cl_env_copy,VV[41])(1,V1) /*  NAME  */;
	(void)L11report_error(3,Cnil,_ecl_static_3,T0) /*  REPORT-ERROR */;
	goto L3;
L19:;
	goto L17;
L17:;
	V2= cl_cdr(V2)                            /*  CDR             */;
L8:;
	goto L7;
	}
L3:;
	if((ecl_symbol_value(VV[1]))==Cnil){
	goto L32;}
	(void)L16do_entry(1,V1)                   /*  DO-ENTRY        */;
	goto L30;
L32:;
	goto L30;
L30:;
	cl_set(VV[0],ecl_function_dispatch(cl_env_copy,VV[41])(1,V1) /*  NAME */);
	value0=ecl_symbol_value(VV[0]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REPORT-ERROR                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11report_error(cl_narg narg, cl_object V1, ...)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	if((ecl_symbol_value(VV[4]))==Cnil){
	goto L2;}
	T0= (ECL_SYM("FORMAT",385)->symbol.gfdef);
	(void)cl_apply(3,T0,Ct,V2)                /*  APPLY           */;
	if((V1)==Cnil){
	goto L7;}
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	cl_throw(VV[4]);
L7:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((V1)==Cnil){
	goto L11;}
	T0= (ECL_SYM("ERROR",335)->symbol.gfdef);
	value0=cl_apply(2,T0,V2)                  /*  APPLY           */;
	return value0;
L11:;
	T0= (ECL_SYM("WARN",901)->symbol.gfdef);
	value0=cl_apply(2,T0,V2)                  /*  APPLY           */;
	return value0;
}}
/*	function definition for DO-TEST                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12do_test(cl_narg narg, ...)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ecl_symbol_value(VV[0]);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	T0= L8get_entry(V1)                       /*  GET-ENTRY       */;
	value0=L16do_entry(1,T0)                  /*  DO-ENTRY        */;
	return value0;
}}
/*	function definition for EQUALP-WITH-CASE                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13equalp_with_case(cl_object V1, cl_object V2)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(V2))){
	goto L2;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ECL_CONSP(V1))){
	goto L5;}
	if(!(ECL_CONSP(V2))){
	goto L8;}
	T0= cl_car(V1)                            /*  CAR             */;
	T1= cl_car(V2)                            /*  CAR             */;
	if((L13equalp_with_case(T0,T1)            /*  EQUALP-WITH-CASE */)==Cnil){
	goto L8;}
	V1= cl_cdr(V1)                            /*  CDR             */;
	V2= cl_cdr(V2)                            /*  CDR             */;
	goto TTL;
L8:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L5:;
	if(!(ECL_ARRAYP(V1))){
	goto L15;}
	T0= cl_array_rank(V1)                     /*  ARRAY-RANK      */;
	if(!((ecl_to_fixnum(T0))==(0))){
	goto L15;}
	V1= ecl_aref_unsafe(V1,0);
	V2= ecl_aref_unsafe(V2,0);
	goto TTL;
L15:;
	if(!(ECL_VECTORP(V1))){
	goto L22;}
	if(!(ECL_VECTORP(V2))){
	goto L25;}
	{cl_fixnum V3;                            /*  LET2523         */
	cl_fixnum V4;                             /*  LET2524         */
	V3= ecl_length(V1);
	V4= ecl_length(V2);
	if(!((V3)==(V4))){
	goto L30;}
	{cl_object V5;                            /*  E1              */
	cl_fixnum V6;
	cl_fixnum V7;
	V5= Cnil;
	V6= 0;
	V7= 0;
	{cl_object V8;                            /*  E2              */
	cl_fixnum V9;
	cl_fixnum V10;
	V8= Cnil;
	V9= 0;
	V10= 0;
	V7= ecl_length(V1);
	V10= ecl_length(V2);
L39:;
	if(!((V6)>=(V7))){
	goto L47;}
	goto L40;
L47:;
	goto L45;
L45:;
	{cl_fixnum V11;
	if (ecl_unlikely(!ECL_VECTORP(V1)))
           FEtype_error_vector(V1);
	if (ecl_unlikely((V6)>=(V1)->vector.dim))
           FEwrong_index(Cnil,V1,-1,MAKE_FIXNUM(V6),(V1)->vector.dim);
	V11= V6;
	V5= ecl_aref_unsafe(V1,V11);}
	V6= ecl_to_fixnum(ecl_one_plus(MAKE_FIXNUM(V6)));
	if(!((V9)>=(V10))){
	goto L58;}
	goto L40;
L58:;
	goto L56;
L56:;
	{cl_fixnum V11;
	if (ecl_unlikely(!ECL_VECTORP(V2)))
           FEtype_error_vector(V2);
	if (ecl_unlikely((V9)>=(V2)->vector.dim))
           FEwrong_index(Cnil,V2,-1,MAKE_FIXNUM(V9),(V2)->vector.dim);
	V11= V9;
	V8= ecl_aref_unsafe(V2,V11);}
	V9= ecl_to_fixnum(ecl_one_plus(MAKE_FIXNUM(V9)));
	if((L13equalp_with_case(V5,V8)            /*  EQUALP-WITH-CASE */)!=Cnil){
	goto L69;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L69:;
	goto L67;
L67:;
	goto L39;
L40:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
	}
L30:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L25:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L22:;
	if(!(ECL_ARRAYP(V1))){
	goto L74;}
	if(!(ECL_ARRAYP(V2))){
	goto L74;}
	T0= cl_array_dimensions(V1)               /*  ARRAY-DIMENSIONS */;
	T1= cl_array_dimensions(V2)               /*  ARRAY-DIMENSIONS */;
	if(ecl_equal(T0,T1)){
	goto L74;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L74:;
	if(!(ECL_ARRAYP(V1))){
	goto L79;}
	if(!(ECL_ARRAYP(V2))){
	goto L82;}
	{cl_fixnum V11;                           /*  SIZE            */
	V11= ecl_to_fixnum(cl_array_total_size(V1) /*  ARRAY-TOTAL-SIZE */);
	{cl_object V12;                           /*  I               */
	V12= MAKE_FIXNUM(0);
L87:;
	if(!(ecl_number_compare(V12,MAKE_FIXNUM(V11))>=0)){
	goto L91;}
	goto L88;
L91:;
	goto L89;
L89:;
	T0= ecl_aref(V1,fixint(V12));
	T1= ecl_aref(V2,fixint(V12));
	if((L13equalp_with_case(T0,T1)            /*  EQUALP-WITH-CASE */)!=Cnil){
	goto L95;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L95:;
	goto L93;
L93:;
	V12= ecl_one_plus(V12);
	goto L87;
L88:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
	}
L82:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L79:;
	value0=ecl_make_bool(ecl_eql(V1,V2)); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DO-ENTRY                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16do_entry(volatile cl_narg narg, cl_object volatile V1, ...)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V2;
	va_list args; va_start(args,V1);
	lex0[0]= V1;                              /*  ENTRY           */
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",65));
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=VV[3];
	if (ecl_frs_push(cl_env_copy,value0)==0) { /*  BEGIN CATCH 4  */
	cl_set(VV[0],ecl_function_dispatch(cl_env_copy,VV[41])(1,lex0[0]) /*  NAME */);
	ecl_elt_set(lex0[0],0,Ct);
	{volatile cl_object env1 = env0;
	ecl_bds_bind(cl_env_copy,VV[3],Ct);       /*  *IN-TEST*       */
	env1 = Cnil;
	CLV0=env1=CONS(Cnil,env1);                /*  ABORTED         */
	CLV1=env1=CONS(Cnil,env1);                /*  R               */{
	volatile cl_object env2 = env1;
	CLV2=env2=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  ABORTED */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV2))!=0) {
	ecl_frs_pop(cl_env_copy);
	} else {
	if((ecl_symbol_value(VV[5]))==Cnil){
	goto L12;}
	T0= (ECL_SYM("MUFFLE-WARNING",569)->symbol.gfdef);
	T1= CONS(ECL_SYM("STYLE-WARNING",825),T0);
	T2= ecl_make_cclosure_va((cl_objectfn)LC15__g47,env2,Cblock);
	T3= CONS(ECL_SYM("ERROR",335),T2);
	T4= cl_list(2,T1,T3)                      /*  LIST            */;
	T5= CONS(T4,ecl_symbol_value(VV[26]));
	ecl_bds_bind(cl_env_copy,VV[26],T5);      /*  *HANDLER-CLUSTERS* */
	ECL_CONS_CAR(CLV1)= LC14_do(lex0)         /*  %DO             */;
	ecl_bds_unwind1(cl_env_copy);
	goto L10;
L12:;
	ECL_CONS_CAR(CLV1)= LC14_do(lex0)         /*  %DO             */;
	goto L10;
L10:;
	ecl_frs_pop(cl_env_copy);}
	}
	{cl_object V3;
	value0=ECL_CONS_CAR(CLV0);
	if((value0)!=Cnil){
	goto L19;}
	T0= ECL_CONS_CAR(CLV1);
	T1= cl_cdddr(lex0[0])                     /*  CDDDR           */;
	T2= L13equalp_with_case(T0,T1)            /*  EQUALP-WITH-CASE */;
	V3= Null(T2)?Ct:Cnil;
	goto L17;
L19:;
	V3= value0;
	goto L17;
L17:;
	ecl_elt_set(lex0[0],0,V3);
	}
	if((ecl_function_dispatch(cl_env_copy,VV[40])(1,lex0[0]) /*  PEND */)==Cnil){
	goto L22;}
	ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-CIRCLE*",45),ecl_symbol_value(VV[6])); /*  *PRINT-CIRCLE* */
	T0= ecl_symbol_value(VV[0]);
	T1= ecl_function_dispatch(cl_env_copy,VV[52])(1,lex0[0]) /*  FORM */;
	T2= cl_cdddr(lex0[0])                     /*  CDDDR           */;
	{cl_fixnum V3;
	V3= ecl_length(T2);
	T3= cl_cdddr(lex0[0])                     /*  CDDDR           */;
	(void)cl_format(6,V2,_ecl_static_4,T0,T1,MAKE_FIXNUM(V3),T3) /*  FORMAT */;}
	{cl_fixnum V3;
	V3= ecl_length(ECL_CONS_CAR(CLV1));
	(void)cl_format(4,V2,_ecl_static_5,MAKE_FIXNUM(V3),ECL_CONS_CAR(CLV1)) /*  FORMAT */;}
	{cl_object V3;                            /*  X               */
	V3= cl_first(ECL_CONS_CAR(CLV1))          /*  FIRST           */;
	if((si_of_class_p(2,V3,ECL_SYM("CONDITION",246)) /*  OF-CLASS-P */)==Cnil){
	goto L28;}
	(void)cl_format(3,V2,_ecl_static_6,V3)    /*  FORMAT          */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	goto L5;
L28:;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	goto L5;
	}
L22:;
	ecl_bds_unwind1(cl_env_copy);
	goto L5;
	}
	}
L5:;
	ecl_frs_pop(cl_env_copy);                 /*  END CATCH 4     */
	if((ecl_function_dispatch(cl_env_copy,VV[40])(1,lex0[0]) /*  PEND */)!=Cnil){
	goto L31;}
	value0=ecl_symbol_value(VV[0]); cl_env_copy->nvalues=1;
	return value0;
L31:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function %DO                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14_do(volatile cl_object *lex0)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[7]))==Cnil){
	goto L2;}
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V1;
	V1= _ecl_inner_frame;
	T1= CONS(ECL_SYM("OPTIMIZE",611),ecl_symbol_value(VV[8]));
	T2= cl_list(2,ECL_SYM("DECLARE",272),T1)  /*  LIST            */;
	T3= ecl_function_dispatch(cl_env_copy,VV[52])(1,lex0[0]) /*  FORM */;
	T4= cl_list(4,ECL_SYM("LAMBDA",450),Cnil,T2,T3) /*  LIST      */;
	T0= (cl_env_copy->function=(ECL_SYM("COMPILE",231)->symbol.gfdef))->cfun.entry(2,Cnil,T4) /*  COMPILE */;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,T0)(0);
	ecl_stack_frame_push_values(V1);cl_env_copy->values[0]=ecl_apply_from_stack_frame(V1,ECL_SYM("LIST",479));
	value0=cl_env_copy->values[0];
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	return value0;
L2:;
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V1;
	V1= _ecl_inner_frame;
	T0= ecl_function_dispatch(cl_env_copy,VV[52])(1,lex0[0]) /*  FORM */;
	cl_env_copy->values[0]=cl_eval(T0)        /*  EVAL            */;
	ecl_stack_frame_push_values(V1);cl_env_copy->values[0]=ecl_apply_from_stack_frame(V1,ECL_SYM("LIST",479));
	value0=cl_env_copy->values[0];
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	return value0;
}}
/*	closure G47                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15__g47(cl_narg narg, cl_object V1, ...)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV2=env0;                                /*  ABORTED         */
	CLV1=CDR(CLV2);
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= Ct;
	ECL_CONS_CAR(CLV1)= ecl_list1(V1);
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	cl_return_from(ECL_CONS_CAR(CLV2),VV[53]);
}}}
/*	function definition for CONTINUE-TESTING                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17continue_testing()
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[3]))==Cnil){
	goto L2;}
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	cl_throw(VV[3]);
L2:;
	value0=L19do_entries(ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",65))) /*  DO-ENTRIES */;
	return value0;
}}
/*	function definition for DO-TESTS                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18do_tests(volatile cl_narg narg, ...)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",65));
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V2;                            /*  %DOLIST-VAR     */
	cl_object V3;                             /*  ENTRY           */
	V2= cl_cdr(ecl_symbol_value(VV[2]))       /*  CDR             */;
	V3= Cnil;
	goto L8;
L7:;
	V3= cl_first(V2)                          /*  FIRST           */;
	ecl_elt_set(V3,0,Ct);
	V2= CDR(V2);
L8:;
	if((V2)==Cnil){
	goto L17;}
	goto L7;
L17:;
	goto L15;
L15:;
	goto L5;
L5:;
	}
	if((cl_streamp(V1)                        /*  STREAMP         */)==Cnil){
	goto L20;}
	value0=L19do_entries(V1)                  /*  DO-ENTRIES      */;
	return value0;
L20:;
	{volatile cl_object V2;                   /*  STREAM          */
	V2= cl_open(3,V1,ECL_SYM("DIRECTION",1192),ECL_SYM("OUTPUT",1253)) /*  OPEN */;
	{
	volatile bool unwinding = FALSE;
	cl_index V3=ECL_STACK_INDEX(cl_env_copy),V4;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V5;
	V5= _ecl_inner_frame;
	cl_env_copy->values[0]=L19do_entries(V2)  /*  DO-ENTRIES      */;
	ecl_stack_frame_push_values(V5);
	if((V2)==Cnil){
	goto L30;}
	(void)cl_close(1,V2)                      /*  CLOSE           */;
	goto L28;
L30:;
	goto L28;
L28:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V5);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	ecl_frs_pop(cl_env_copy);
	V4=ecl_stack_push_values(cl_env_copy);
	if((V2)==Cnil){
	goto L34;}
	(void)cl_close(3,V2,ECL_SYM("ABORT",1170),Ct) /*  CLOSE       */;
	goto L32;
L34:;
	goto L32;
L32:;
	ecl_stack_pop_values(cl_env_copy,V4);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V3);
	return cl_env_copy->values[0];}
	}
}}
/*	function definition for DO-ENTRIES                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19do_entries(cl_object V1)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_cdr(ecl_symbol_value(VV[2]))       /*  CDR             */;
	T1= ecl_fdefinition(VV[40]);
	T2= cl_count(4,Ct,T0,ECL_SYM("KEY",1234),T1) /*  COUNT        */;
	T3= cl_cdr(ecl_symbol_value(VV[2]))       /*  CDR             */;
	{cl_fixnum V2;
	V2= ecl_length(T3);
	(void)cl_format(4,V1,_ecl_static_7,T2,MAKE_FIXNUM(V2)) /*  FORMAT */;}
	{cl_object V2;                            /*  %DOLIST-VAR     */
	cl_object V3;                             /*  ENTRY           */
	V2= cl_cdr(ecl_symbol_value(VV[2]))       /*  CDR             */;
	V3= Cnil;
	goto L9;
L8:;
	V3= cl_first(V2)                          /*  FIRST           */;
	if((ecl_function_dispatch(cl_env_copy,VV[40])(1,V3) /*  PEND  */)==Cnil){
	goto L15;}
	T0= L16do_entry(2,V3,V1)                  /*  DO-ENTRY        */;
	(void)cl_format(3,V1,_ecl_static_8,T0)    /*  FORMAT          */;
	goto L13;
L15:;
	goto L13;
L13:;
	V2= CDR(V2);
L9:;
	if((V2)==Cnil){
	goto L21;}
	goto L8;
L21:;
	goto L19;
L19:;
	goto L6;
L6:;
	}
	{cl_object V2;                            /*  LET2535         */
	cl_object V3;                             /*  LET2536         */
	V2= L4pending_tests()                     /*  PENDING-TESTS   */;
	T0= (ECL_SYM("EQUAL",333)->symbol.gfdef);
	V3= cl_make_hash_table(2,ECL_SYM("TEST",1286),T0) /*  MAKE-HASH-TABLE */;
	{cl_object V4;                            /*  %DOLIST-VAR     */
	cl_object V5;                             /*  EX              */
	V4= ecl_symbol_value(VV[9]);
	V5= Cnil;
	goto L32;
L31:;
	V5= cl_first(V4)                          /*  FIRST           */;
	(void)si_hash_set(V5,V3,Ct)               /*  HASH-SET        */;
	V4= CDR(V4);
L32:;
	if((V4)==Cnil){
	goto L41;}
	goto L31;
L41:;
	goto L39;
L39:;
	goto L29;
L29:;
	}
	{cl_object V4;                            /*  NEW-FAILURES    */
	{cl_object V5;                            /*  PEND            */
	cl_object V6;
	V5= Cnil;
	V6= V2;
	{cl_object V7;
	cl_object V8;
	V7= ecl_list1(Cnil);
	V8= V7;
L49:;
	if(!(ecl_endp(V6))){
	goto L53;}
	goto L50;
L53:;
	goto L51;
L51:;
	V5= CAR(V6);
	V6= CDR(V6);
	if((cl_gethash(2,V5,V3)                   /*  GETHASH         */)!=Cnil){
	goto L61;}
	T0= V8;
	V8= ecl_list1(V5);
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V8;
	goto L59;
L61:;
	goto L59;
L59:;
	goto L49;
L50:;
	V4= cl_cdr(V7)                            /*  CDR             */;
	goto L43;
	}
	}
L43:;
	if(!(V2==Cnil)){
	goto L68;}
	(void)cl_format(2,V1,_ecl_static_9)       /*  FORMAT          */;
	goto L66;
L68:;
	{cl_fixnum V5;
	V5= ecl_length(V2);
	T0= cl_cdr(ecl_symbol_value(VV[2]))       /*  CDR             */;
	{cl_fixnum V6;
	V6= ecl_length(T0);
	(void)cl_format(5,V1,_ecl_static_10,MAKE_FIXNUM(V5),MAKE_FIXNUM(V6),V2) /*  FORMAT */;}}
	if(!(V4==Cnil)){
	goto L72;}
	(void)cl_format(2,V1,_ecl_static_11)      /*  FORMAT          */;
	goto L66;
L72:;
	if((ecl_symbol_value(VV[9]))==Cnil){
	goto L75;}
	{cl_fixnum V5;
	V5= ecl_length(V4);
	(void)cl_format(4,V1,_ecl_static_12,MAKE_FIXNUM(V5),V4) /*  FORMAT */;
	goto L66;}
L75:;
	goto L66;
L66:;
	(void)cl_finish_output(1,V1)              /*  FINISH-OUTPUT   */;
	value0=ecl_make_bool(V2==Cnil); cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
	
#include "ext/rt.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclXHDJSAb7_NDcsLD01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("EXT:RT;RT.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclXHDJSAb7_NDcsLD01@";
	VVtemp = Cblock->cblock.temp_data;
	(void)ecl_function_dispatch(cl_env_copy,VV[32])(10,_ecl_static_0,VVtemp[0],_ecl_static_1,VVtemp[1],Cnil,Cnil,VVtemp[2],Cnil,Cnil,Cnil) /*  DODEFPACKAGE */;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	(void)si_Xmake_special(VV[0])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[0])){
	goto L6;}
	cl_set(VV[0],Cnil);
	goto L4;
L6:;
	goto L4;
L4:;
	(void)si_Xmake_special(VV[1])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[1])){
	goto L15;}
	cl_set(VV[1],Cnil);
	goto L13;
L15:;
	goto L13;
L13:;
	(void)si_Xmake_special(VV[2])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[2])){
	goto L24;}
	cl_set(VV[2],VVtemp[3]);
	goto L22;
L24:;
	goto L22;
L22:;
	(void)si_Xmake_special(VV[3])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[3])){
	goto L33;}
	cl_set(VV[3],Cnil);
	goto L31;
L33:;
	goto L31;
L31:;
	(void)si_Xmake_special(VV[4])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[4])){
	goto L42;}
	cl_set(VV[4],Cnil);
	goto L40;
L42:;
	goto L40;
L40:;
	(void)si_Xmake_special(VV[5])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[5])){
	goto L51;}
	cl_set(VV[5],Ct);
	goto L49;
L51:;
	goto L49;
L49:;
	(void)si_Xmake_special(VV[6])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[6])){
	goto L60;}
	cl_set(VV[6],Cnil);
	goto L58;
L60:;
	goto L58;
L58:;
	(void)si_Xmake_special(VV[7])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[7])){
	goto L69;}
	cl_set(VV[7],Cnil);
	goto L67;
L69:;
	goto L67;
L67:;
	(void)si_Xmake_special(VV[8])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[8])){
	goto L78;}
	cl_set(VV[8],VVtemp[4]);
	goto L76;
L78:;
	goto L76;
L76:;
	(void)si_Xmake_special(VV[9])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[9])){
	goto L87;}
	cl_set(VV[9],Cnil);
	goto L85;
L87:;
	goto L85;
L85:;
	(void)si_define_structure(15,VV[10],Cnil,ECL_SYM("LIST",479),Cnil,VVtemp[5],VVtemp[6],VV[11],Cnil,Cnil,Cnil,VVtemp[7],MAKE_FIXNUM(3),Cnil,Cnil,Cnil) /*  DEFINE-STRUCTURE */;
	ecl_cmp_defun(VV[33]);
	ecl_cmp_defmacro(VV[37]);
	ecl_cmp_defmacro(VV[38]);
	ecl_cmp_defun(VV[39]);
	ecl_cmp_defun(VV[42]);
	ecl_cmp_defun(VV[43]);
	ecl_cmp_defun(VV[44]);
	ecl_cmp_defun(VV[45]);
	ecl_cmp_defmacro(VV[46]);
	ecl_cmp_defun(VV[47]);
	ecl_cmp_defun(VV[48]);
	ecl_cmp_defun(VV[49]);
	ecl_cmp_defun(VV[50]);
	ecl_cmp_defun(VV[51]);
	ecl_cmp_defun(VV[54]);
	ecl_cmp_defun(VV[55]);
	ecl_cmp_defun(VV[56]);
	(void)cl_provide(VV[31])                  /*  PROVIDE         */;
}
