
#ifdef ECL_DYNAMIC_VV
static cl_object *VV;
#else
static cl_object VV[VM];
#endif
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <sys/time.h>
#include <netdb.h>
#include <string.h>
#include <unistd.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include <errno.h>
#include <fcntl.h>
#ifndef MSG_CONFIRM
#define MSG_CONFIRM 0
#endif
#ifndef MSG_NOSIGNAL
#define MSG_NOSIGNAL 0
#endif
#ifndef MSG_DONTWAIT
#define MSG_DONTWAIT 0
#endif
#ifndef MSG_EOR
#define MSG_EOR 0
#endif

static void *
safe_buffer_pointer(cl_object x, cl_index size)
{
	cl_type t = type_of(x);
	int ok = 0;
	if (t == t_base_string) {
		ok = (size <= x->base_string.dim);
	} else if (t == t_vector) {
		cl_elttype aet = (cl_elttype)x->vector.elttype;
		if (aet == aet_b8 || aet == aet_i8 || aet == aet_bc) {
			ok = (size <= x->vector.dim);
		} else if (aet == aet_fix || aet == aet_index) {
			cl_index divisor = sizeof(cl_index);
			size = (size + divisor - 1) / divisor;
			ok = (size <= x->vector.dim);
		}
	}
	if (!ok) {
		FEerror("Lisp object is not a valid socket buffer: ~A", 1, x);
	}
	return (void *)x->vector.self.t;
}


static void fill_inet_sockaddr(struct sockaddr_in *sockaddr, int port,
			       int a1, int a2, int a3, int a4)
{
#if defined(_MSC_VER) || defined(mingw32)
	memset(sockaddr,0,sizeof(struct sockaddr_in));
#else
	bzero(sockaddr,sizeof(struct sockaddr_in));
#endif
	sockaddr->sin_family = AF_INET;
	sockaddr->sin_port = htons(port);
	sockaddr->sin_addr.s_addr= htonl((uint32_t)a1<<24 | (uint32_t)a2<<16 | (uint32_t)a3<<8 | (uint32_t)a4) ;

}


#ifdef __cplusplus
extern "C" {
#endif
static cl_object L1ff_socket(cl_object , cl_object , cl_object );
#define VT2
#define VLEX2
#define CLSR2
#define STCK2
static cl_object L2ff_listen(cl_object , cl_object );
#define VT3
#define VLEX3
#define CLSR3
#define STCK3
static cl_object L3ff_close(cl_object );
#define VT4
#define VLEX4
#define CLSR4
#define STCK4
static cl_object L5split(cl_narg, cl_object , ...);
#define VT5 cl_object T0,T1;
#define VLEX5
#define CLSR5
#define STCK5 cl_object env0; cl_object CLV0;
static cl_object LC4is_ws(cl_narg, cl_object , ...);
#ifdef __cplusplus
extern cl_object si_make_seq_iterator(...);
#else
extern cl_object si_make_seq_iterator();
#endif
extern cl_object si_seq_iterator_ref(cl_object,cl_object);
extern cl_object si_seq_iterator_next(cl_object,cl_object);
#define VT6
#define VLEX6
#define CLSR6
#define STCK6 cl_object CLV0;
#ifdef __cplusplus
extern cl_object clos_ensure_class(...);
#else
extern cl_object clos_ensure_class();
#endif
#ifdef __cplusplus
extern cl_object clos_install_method(...);
#else
extern cl_object clos_install_method();
#endif
static cl_object LC6host_ent_address(cl_object );
#define VT7 cl_object T0;
#define VLEX7
#define CLSR7
#define STCK7
static cl_object L7get_host_by_name(cl_object );
#define VT8 cl_object T0,T1,T2,T3;
#define VLEX8
#define CLSR8
#define STCK8
static cl_object L8get_host_by_address(cl_object );
#ifdef __cplusplus
extern cl_object si_assert_failure(...);
#else
extern cl_object si_assert_failure();
#endif
#define VT9 cl_object T0,T1,T2,T3;
#define VLEX9
#define CLSR9
#define STCK9
static cl_object LC9__g29();
#define VT10
#define VLEX10
#define CLSR10
#define STCK10
static cl_object LC11print_object(cl_object , cl_object );
#define VT11
#define VLEX11
#define CLSR11
#define STCK11 cl_object env0; cl_object CLV0,CLV1;
static cl_object LC10si___print_unreadable_object_body_(cl_narg, ...);
#define VT12 cl_object T0;
#define VLEX12
#define CLSR12
#define STCK12 cl_object CLV0,CLV1;
static cl_object LC12shared_initialize(cl_narg, cl_object , cl_object , ...);
#define LC12shared_initializekeys (&VV[176])
#ifdef __cplusplus
extern cl_object si_ecase_error(...);
#else
extern cl_object si_ecase_error();
#endif
#define VT13 cl_object T0,T1;
#define VLEX13
#define CLSR13
#define STCK13
static cl_object LC13socket_listen(cl_object , cl_object );
#define VT14 cl_object T0;
#define VLEX14
#define CLSR14
#define STCK14
static cl_object LC14socket_close_low_level(cl_object );
#define VT15 cl_object T0;
#define VLEX15
#define CLSR15
#define STCK15
static cl_object LC15socket_close(cl_object );
#define VT16 cl_object T0;
#define VLEX16
#define CLSR16
#define STCK16
static cl_object LC16socket_receive(cl_narg, cl_object , cl_object , cl_object , ...);
#define LC16socket_receivekeys (&VV[182])
#define VT17 cl_object T0;
#define VLEX17
#define CLSR17
#define STCK17
static cl_object L17get_protocol_by_name(cl_object );
#define VT18
#define VLEX18
#define CLSR18
#define STCK18
static cl_object L18make_inet_address(cl_object );
#define VT19 cl_object T0,T1;
#define VLEX19
#define CLSR19
#define STCK19
static cl_object LC19__g64();
#define VT20
#define VLEX20
#define CLSR20
#define STCK20
static cl_object L20make_inet_socket(cl_object , cl_object );
#define VT21
#define VLEX21
#define CLSR21
#define STCK21
static cl_object LC21socket_bind(cl_narg, cl_object , ...);
#define VT22 cl_object T0,T1,T2,T3,T4;
#define VLEX22
#define CLSR22
#define STCK22
static cl_object LC22socket_accept(cl_object );
#define VT23 cl_object T0,T1,T2,T3;
#define VLEX23
#define CLSR23
#define STCK23
static cl_object LC23socket_connect(cl_narg, cl_object , ...);
#define VT24 cl_object T0,T1,T2,T3,T4;
#define VLEX24
#define CLSR24
#define STCK24
static cl_object LC24socket_peername(cl_object );
#define VT25
#define VLEX25
#define CLSR25
#define STCK25
static cl_object LC25socket_name(cl_object );
#define VT26
#define VLEX26
#define CLSR26
#define STCK26
static cl_object LC26socket_send(cl_narg, cl_object , cl_object , cl_object , ...);
#define LC26socket_sendkeys (&VV[190])
#define VT27 cl_object T0,T1,T2,T3,T4;
#define VLEX27
#define CLSR27
#define STCK27
static cl_object LC27__g74();
#define VT28
#define VLEX28
#define CLSR28
#define STCK28
static cl_object LC28socket_bind(cl_narg, cl_object , ...);
#define VT29 cl_object T0;
#define VLEX29
#define CLSR29
#define STCK29
static cl_object LC29socket_accept(cl_object );
#define VT30 cl_object T0,T1,T2,T3;
#define VLEX30
#define CLSR30
#define STCK30
static cl_object LC30socket_connect(cl_narg, cl_object , ...);
#define VT31 cl_object T0;
#define VLEX31
#define CLSR31
#define STCK31
static cl_object LC31socket_peername(cl_object );
#define VT32
#define VLEX32
#define CLSR32
#define STCK32
static cl_object LC32non_blocking_mode(cl_object );
#define VT33
#define VLEX33
#define CLSR33
#define STCK33
static cl_object LC33_setf_non_blocking_mode_(cl_object , cl_object );
#define VT34
#define VLEX34
#define CLSR34
#define STCK34
static cl_object L34dup(cl_object );
#define VT35
#define VLEX35
#define CLSR35
#define STCK35
static cl_object L35make_stream_from_fd(cl_narg, cl_object , cl_object , ...);
#define L35make_stream_from_fdkeys (&VV[201])
#define VT36 cl_object T0;
#define VLEX36
#define CLSR36
#define STCK36
static cl_object L36auto_close_two_way_stream(cl_object );
#define VT37
#define VLEX37
#define CLSR37
#define STCK37
static cl_object L37socket_make_stream_inner(cl_object , cl_object , cl_object , cl_object , cl_object );
#define VT38 cl_object T0;
#define VLEX38
#define CLSR38
#define STCK38
static cl_object LC38socket_make_stream(cl_narg, cl_object , ...);
#define LC38socket_make_streamkeys (&VV[205])
#define VT39 cl_object T0;
#define VLEX39
#define CLSR39
#define STCK39
static cl_object LC39si__stream_fd(cl_object );
#define VT40
#define VLEX40
#define CLSR40
#define STCK40
static cl_object LC40print_object(cl_object , cl_object );
#define VT41 cl_object T0,T1,T2;
#define VLEX41
#define CLSR41
#define STCK41
static cl_object LC41define_socket_condition(cl_object , cl_object );
#ifdef __cplusplus
extern cl_object si_dm_too_few_arguments(...);
#else
extern cl_object si_dm_too_few_arguments();
#endif
#ifdef __cplusplus
extern cl_object si_check_arg_length(...);
#else
extern cl_object si_check_arg_length();
#endif
#define VT42 cl_object T0,T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11;
#define VLEX42
#define CLSR42
#define STCK42
static cl_object L42condition_for_errno(cl_object );
#define VT43 cl_object T0;
#define VLEX43
#define CLSR43
#define STCK43
static cl_object L43socket_error(cl_object );
#define VT44
#define VLEX44
#define CLSR44
#define STCK44
static cl_object L44name_service_error(cl_object );
#define VT45
#define VLEX45
#define CLSR45
#define STCK45
static cl_object LC45print_object(cl_object , cl_object );
#define VT46 cl_object T0,T1,T2;
#define VLEX46
#define CLSR46
#define STCK46
static cl_object LC46define_name_service_condition(cl_object , cl_object );
#define VT47 cl_object T0,T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11;
#define VLEX47
#define CLSR47
#define STCK47
static cl_object L47condition_for_name_service_errno(cl_object );
#define VT48 cl_object T0;
#define VLEX48
#define CLSR48
#define STCK48
static cl_object L48get_name_service_errno();
#define VT49
#define VLEX49
#define CLSR49
#define STCK49
static cl_object L49get_name_service_error_message(cl_object );
#define VT50
#define VLEX50
#define CLSR50
#define STCK50
static cl_object L50get_sockopt_int(cl_object , cl_object , cl_object );
#define VT51 cl_object T0;
#define VLEX51
#define CLSR51
#define STCK51
static cl_object L51get_sockopt_bool(cl_object , cl_object , cl_object );
#define VT52 cl_object T0;
#define VLEX52
#define CLSR52
#define STCK52
static cl_object L52get_sockopt_timeval(cl_object , cl_object , cl_object );
#define VT53 cl_object T0;
#define VLEX53
#define CLSR53
#define STCK53
static cl_object L53get_sockopt_linger(cl_object , cl_object , cl_object );
#define VT54 cl_object T0;
#define VLEX54
#define CLSR54
#define STCK54
static cl_object L54set_sockopt_int(cl_object , cl_object , cl_object , cl_object );
#define VT55 cl_object T0;
#define VLEX55
#define CLSR55
#define STCK55
static cl_object L55set_sockopt_bool(cl_object , cl_object , cl_object , cl_object );
#define VT56 cl_object T0;
#define VLEX56
#define CLSR56
#define STCK56
static cl_object L56set_sockopt_timeval(cl_object , cl_object , cl_object , cl_object );
#define VT57 cl_object T0;
#define VLEX57
#define CLSR57
#define STCK57
static cl_object L57set_sockopt_linger(cl_object , cl_object , cl_object , cl_object );
#define VT58 cl_object T0;
#define VLEX58
#define CLSR58
#define STCK58
static cl_object LC58define_sockopt(cl_object , cl_object );
#define VT59 cl_object T0,T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15;
#define VLEX59
#define CLSR59
#define STCK59
static cl_object L59sockopt_type(cl_object );
#define VT60 cl_object T0;
#define VLEX60
#define CLSR60
#define STCK60
static cl_object L60sockopt_receive_buffer(cl_object );
#define VT61 cl_object T0;
#define VLEX61
#define CLSR61
#define STCK61
static cl_object L61_setf_sockopt_receive_buffer_(cl_object , cl_object );
#define VT62 cl_object T0;
#define VLEX62
#define CLSR62
#define STCK62
static cl_object L62sockopt_receive_timeout(cl_object );
#define VT63 cl_object T0;
#define VLEX63
#define CLSR63
#define STCK63
static cl_object L63_setf_sockopt_receive_timeout_(cl_object , cl_object );
#define VT64 cl_object T0;
#define VLEX64
#define CLSR64
#define STCK64
static cl_object L64sockopt_send_timeout(cl_object );
#define VT65 cl_object T0;
#define VLEX65
#define CLSR65
#define STCK65
static cl_object L65_setf_sockopt_send_timeout_(cl_object , cl_object );
#define VT66 cl_object T0;
#define VLEX66
#define CLSR66
#define STCK66
static cl_object L66sockopt_reuse_address(cl_object );
#define VT67 cl_object T0;
#define VLEX67
#define CLSR67
#define STCK67
static cl_object L67_setf_sockopt_reuse_address_(cl_object , cl_object );
#define VT68 cl_object T0;
#define VLEX68
#define CLSR68
#define STCK68
static cl_object L68sockopt_keep_alive(cl_object );
#define VT69 cl_object T0;
#define VLEX69
#define CLSR69
#define STCK69
static cl_object L69_setf_sockopt_keep_alive_(cl_object , cl_object );
#define VT70 cl_object T0;
#define VLEX70
#define CLSR70
#define STCK70
static cl_object L70sockopt_dont_route(cl_object );
#define VT71 cl_object T0;
#define VLEX71
#define CLSR71
#define STCK71
static cl_object L71_setf_sockopt_dont_route_(cl_object , cl_object );
#define VT72 cl_object T0;
#define VLEX72
#define CLSR72
#define STCK72
static cl_object L72sockopt_linger(cl_object );
#define VT73 cl_object T0;
#define VLEX73
#define CLSR73
#define STCK73
static cl_object L73_setf_sockopt_linger_(cl_object , cl_object );
#define VT74 cl_object T0;
#define VLEX74
#define CLSR74
#define STCK74
static cl_object L74sockopt_tcp_nodelay(cl_object );
#define VT75 cl_object T0;
#define VLEX75
#define CLSR75
#define STCK75
static cl_object L75_setf_sockopt_tcp_nodelay_(cl_object , cl_object );
#define VT76 cl_object T0;
#define VLEX76
#define CLSR76
#define STCK76
#define VT1 cl_object T0,T1,T2,T3,T4,T5,T6;
#define VLEX1
#define CLSR1
#define STCK1
static cl_object Cblock;
#define VM1 7
#define VM76 1
#define VM75 1
#define VM74 1
#define VM73 1
#define VM72 1
#define VM71 1
#define VM70 1
#define VM69 1
#define VM68 1
#define VM67 1
#define VM66 1
#define VM65 1
#define VM64 1
#define VM63 1
#define VM62 1
#define VM61 1
#define VM60 1
#define VM59 16
#define VM58 1
#define VM57 1
#define VM56 1
#define VM55 1
#define VM54 1
#define VM53 1
#define VM52 1
#define VM51 1
#define VM50 0
#define VM49 0
#define VM48 1
#define VM47 12
#define VM46 3
#define VM45 0
#define VM44 0
#define VM43 1
#define VM42 12
#define VM41 3
#define VM40 0
#define VM39 1
#define VM38 1
#define VM37 0
#define VM36 1
#define VM35 0
#define VM34 0
#define VM33 0
#define VM32 0
#define VM31 1
#define VM30 4
#define VM29 1
#define VM28 0
#define VM27 5
#define VM26 0
#define VM25 0
#define VM24 5
#define VM23 4
#define VM22 5
#define VM21 0
#define VM20 0
#define VM19 2
#define VM18 0
#define VM17 1
#define VM16 1
#define VM15 1
#define VM14 1
#define VM13 2
#define VM12 1
#define VM11 0
#define VM10 0
#define VM9 4
#define VM8 4
#define VM7 1
#define VM6 0
#define VM5 2
#define VM4 0
#define VM3 0
#define VM2 0
#define VM 247
#define VMtemp 43
#ifdef __cplusplus
}
#endif
/*
 * Statically defined constants
 */
ecl_def_ct_base_string(_ecl_static_47,"SET-SOCKOPT-~A",14,static,const);
ecl_def_ct_base_string(_ecl_static_46,"GET-SOCKOPT-~A",14,static,const);
ecl_def_ct_base_string(_ecl_static_45,"Sockopt error: ~A",17,static,const);
ecl_def_ct_base_string(_ecl_static_44,"Name service error in \"~A\": ~A (~A)",35,static,const);
ecl_def_ct_base_string(_ecl_static_43,"an unknown location",19,static,const);
ecl_def_ct_base_string(_ecl_static_42,"Common base class of socket related conditions.",47,static,const);
ecl_def_ct_base_string(_ecl_static_41,"Socket error in \"~A\": ~A (~A)",29,static,const);
ecl_def_ct_base_string(_ecl_static_40,"No next method.",15,static,const);
ecl_def_ct_base_string(_ecl_static_39,"outer space",11,static,const);
ecl_def_ct_base_string(_ecl_static_38,"SOCKET-MAKE-STREAM: at least one of :INPUT or :OUTPUT has to be true.",69,static,const);
ecl_def_ct_base_string(_ecl_static_37,"name must be a string.",22,static,const);
ecl_def_ct_base_string(_ecl_static_36,"FD-STREAM",9,static,const);
ecl_def_ct_base_string(_ecl_static_35,"fcntl",5,static,const);
ecl_def_ct_base_string(_ecl_static_34,"Socket-connect needs two parameters for local sockets.",54,static,const);
ecl_def_ct_base_string(_ecl_static_33,"Socket-bind needs two parameters for local sockets.",51,static,const);
ecl_def_ct_base_string(_ecl_static_32,"Class representing local domain (AF_LOCAL) sockets,\nalso known as unix-domain so"
 "ckets.",86,static,const);
ecl_def_ct_base_string(_ecl_static_31,"send",4,static,const);
ecl_def_ct_base_string(_ecl_static_30,"getsockname",11,static,const);
ecl_def_ct_base_string(_ecl_static_29,"getpeername",11,static,const);
ecl_def_ct_base_string(_ecl_static_28,"connect",7,static,const);
ecl_def_ct_base_string(_ecl_static_27,"accept",6,static,const);
ecl_def_ct_base_string(_ecl_static_26,"bind",4,static,const);
ecl_def_ct_base_string(_ecl_static_25,"Socket-bind needs three parameters for inet sockets.",52,static,const);
ecl_def_ct_base_string(_ecl_static_24,"Class representing TCP and UDP sockets.\n\nExamples:\n\n (make-instance 'inet-socket"
 " :type :stream :protocol :tcp)\n\n (make-instance 'inet-socket :type :datagram :pr"
 "otocol :udp)\n",173,static,const);
ecl_def_ct_base_string(_ecl_static_23,"receive",7,static,const);
ecl_def_ct_base_string(_ecl_static_22,"You have to supply either buffer or length!",43,static,const);
ecl_def_ct_base_string(_ecl_static_21,"close",5,static,const);
ecl_def_ct_base_string(_ecl_static_20,"listen",6,static,const);
ecl_def_ct_base_string(_ecl_static_19,"Close SOCKET at low level. Do not use directly.",47,static,const);
ecl_def_ct_base_string(_ecl_static_18,"Put SOCKET in non-blocking mode - or not, according to NON-BLOCKING-P",69,static,const);
ecl_def_ct_base_string(_ecl_static_17,"Is SOCKET in non-blocking mode?",31,static,const);
ecl_def_ct_base_string(_ecl_static_16,"Find or create a STREAM that can be used for IO\non SOCKET (which must be connect"
 "ed).  ARGS are passed onto\nSB-SYS:MAKE-FD-STREAM.",129,static,const);
ecl_def_ct_base_string(_ecl_static_15,"Close SOCKET.  May throw any kind of error that write(2) would have\nthrown.  If "
 "SOCKET-MAKE-STREAM has been called, calls CLOSE on that\nstream instead",150,static,const);
ecl_def_ct_base_string(_ecl_static_14,"Send length octets from buffer into socket, using sendto(2).\nIf buffer is a stri"
 "ng, it will converted to octets according to external-format&\nIf length is nil, "
 "the length of the octet buffer is used. The format of address\ndepends on the soc"
 "ket type (for example for inet domain sockets it would be a \nlist of an ip addre"
 "ss and a port). If no socket address is provided, send(2) \nwill be called instea"
 "d. Returns the number of octets written.",440,static,const);
ecl_def_ct_base_string(_ecl_static_13,"Read LENGTH octets from SOCKET into BUFFER (or a freshly-consed buffer if\nNIL), "
 "using recvfrom(2).  If LENGTH is NIL, the length of BUFFER is\nused, so at least "
 "one of these two arguments must be non-NIL.  If\nBUFFER is supplied, it had bette"
 "r be of an element type one octet wide.\nReturns the buffer, its length, and the "
 "address of the peer\nthat sent it, as multiple values.  On datagram sockets, sets"
 " MSG_TRUNC\nso that the actual packet length is returned even if the buffer was t"
 "oo\nsmall",488,static,const);
ecl_def_ct_base_string(_ecl_static_12,"Mark SOCKET as willing to accept incoming connections.  BACKLOG\ndefines the maxi"
 "mum length that the queue of pending connections may\ngrow to before new connecti"
 "on attempts are refused.  See also listen(2)",204,static,const);
ecl_def_ct_base_string(_ecl_static_11,"Return the address (as vector of bytes) and port\n  that the socket is bound to, "
 "as multiple values.",99,static,const);
ecl_def_ct_base_string(_ecl_static_10,"Return the socket's peer; depending on the address\n  family this may return mult"
 "iple values",91,static,const);
ecl_def_ct_base_string(_ecl_static_9,"Perform the connect(2) call to connect SOCKET to a\n  remote PEER.  No useful ret"
 "urn value.",90,static,const);
ecl_def_ct_base_string(_ecl_static_8,"Perform the accept(2) call, returning a\nnewly-created connected socket and the p"
 "eer address as multiple\nvalues",110,static,const);
ecl_def_ct_base_string(_ecl_static_7,"Bind SOCKET to ADDRESS, which may vary according to\nsocket family.  For the INET"
 " family, pass ADDRESS and PORT as two\narguments; for FILE address family sockets"
 ", pass the filename string.\nSee also bind(2)",204,static,const);
ecl_def_ct_base_string(_ecl_static_6,"socket",6,static,const);
ecl_def_ct_base_string(_ecl_static_5,"Common base class of all sockets, not ment to be\ndirectly instantiated.",71,static,const);
ecl_def_ct_base_string(_ecl_static_4,"No socket family",16,static,const);
ecl_def_ct_base_string(_ecl_static_3,"get-host-by-address",19,static,const);
ecl_def_ct_base_string(_ecl_static_2,"get-host-by-name",16,static,const);
ecl_def_ct_base_string(_ecl_static_1,"",0,static,const);
ecl_def_ct_base_string(_ecl_static_0,"SB-BSD-SOCKETS",14,static,const);
/*
 * Exported Lisp functions
 */
#define compiler_cfuns_size 46
static const struct ecl_cfun compiler_cfuns[] = {
 /*t,m,narg,padding,name,block,entry*/
{0,0,3,0,MAKE_FIXNUM(165),MAKE_FIXNUM(4),(cl_objectfn)L1ff_socket,Cnil,MAKE_FIXNUM(2630)},
{0,0,2,0,MAKE_FIXNUM(166),MAKE_FIXNUM(5),(cl_objectfn)L2ff_listen,Cnil,MAKE_FIXNUM(2701)},
{0,0,1,0,MAKE_FIXNUM(167),MAKE_FIXNUM(6),(cl_objectfn)L3ff_close,Cnil,MAKE_FIXNUM(2767)},
{0,0,-1,0,MAKE_FIXNUM(168),MAKE_FIXNUM(8),(cl_objectfn)L5split,Cnil,MAKE_FIXNUM(3050)},
{0,0,1,0,MAKE_FIXNUM(170),MAKE_FIXNUM(12),(cl_objectfn)L7get_host_by_name,Cnil,MAKE_FIXNUM(4541)},
{0,0,1,0,MAKE_FIXNUM(175),MAKE_FIXNUM(14),(cl_objectfn)L8get_host_by_address,Cnil,MAKE_FIXNUM(6313)},
{0,0,1,0,MAKE_FIXNUM(186),MAKE_FIXNUM(40),(cl_objectfn)L17get_protocol_by_name,Cnil,MAKE_FIXNUM(17385)},
{0,0,1,0,MAKE_FIXNUM(187),MAKE_FIXNUM(42),(cl_objectfn)L18make_inet_address,Cnil,MAKE_FIXNUM(17600)},
{0,0,2,0,MAKE_FIXNUM(188),MAKE_FIXNUM(45),(cl_objectfn)L20make_inet_socket,Cnil,MAKE_FIXNUM(18067)},
{0,0,1,0,MAKE_FIXNUM(199),MAKE_FIXNUM(52),(cl_objectfn)L34dup,Cnil,MAKE_FIXNUM(37849)},
{0,0,-1,0,MAKE_FIXNUM(200),MAKE_FIXNUM(58),(cl_objectfn)L35make_stream_from_fd,Cnil,MAKE_FIXNUM(37923)},
{0,0,5,0,MAKE_FIXNUM(204),MAKE_FIXNUM(60),(cl_objectfn)L37socket_make_stream_inner,Cnil,MAKE_FIXNUM(39148)},
{0,0,2,0,MAKE_FIXNUM(211),MAKE_FIXNUM(70),(cl_objectfn)LC41define_socket_condition,Cnil,MAKE_FIXNUM(43470)},
{0,0,1,0,MAKE_FIXNUM(212),MAKE_FIXNUM(98),(cl_objectfn)L42condition_for_errno,Cnil,MAKE_FIXNUM(45347)},
{0,0,1,0,MAKE_FIXNUM(213),MAKE_FIXNUM(101),(cl_objectfn)L43socket_error,Cnil,MAKE_FIXNUM(45457)},
{0,0,1,0,MAKE_FIXNUM(214),MAKE_FIXNUM(103),(cl_objectfn)L44name_service_error,Cnil,MAKE_FIXNUM(45825)},
{0,0,2,0,MAKE_FIXNUM(217),MAKE_FIXNUM(107),(cl_objectfn)LC46define_name_service_condition,Cnil,MAKE_FIXNUM(46867)},
{0,0,1,0,MAKE_FIXNUM(218),MAKE_FIXNUM(121),(cl_objectfn)L47condition_for_name_service_errno,Cnil,MAKE_FIXNUM(47764)},
{0,0,0,0,MAKE_FIXNUM(219),MAKE_FIXNUM(122),(cl_objectfn)L48get_name_service_errno,Cnil,MAKE_FIXNUM(47905)},
{0,0,1,0,MAKE_FIXNUM(220),MAKE_FIXNUM(123),(cl_objectfn)L49get_name_service_error_message,Cnil,MAKE_FIXNUM(48031)},
{0,0,3,0,MAKE_FIXNUM(221),MAKE_FIXNUM(124),(cl_objectfn)L50get_sockopt_int,Cnil,MAKE_FIXNUM(48379)},
{0,0,3,0,MAKE_FIXNUM(222),MAKE_FIXNUM(125),(cl_objectfn)L51get_sockopt_bool,Cnil,MAKE_FIXNUM(48829)},
{0,0,3,0,MAKE_FIXNUM(223),MAKE_FIXNUM(126),(cl_objectfn)L52get_sockopt_timeval,Cnil,MAKE_FIXNUM(49393)},
{0,0,3,0,MAKE_FIXNUM(224),MAKE_FIXNUM(127),(cl_objectfn)L53get_sockopt_linger,Cnil,MAKE_FIXNUM(49927)},
{0,0,4,0,MAKE_FIXNUM(225),MAKE_FIXNUM(128),(cl_objectfn)L54set_sockopt_int,Cnil,MAKE_FIXNUM(50423)},
{0,0,4,0,MAKE_FIXNUM(226),MAKE_FIXNUM(129),(cl_objectfn)L55set_sockopt_bool,Cnil,MAKE_FIXNUM(50849)},
{0,0,4,0,MAKE_FIXNUM(227),MAKE_FIXNUM(130),(cl_objectfn)L56set_sockopt_timeval,Cnil,MAKE_FIXNUM(51297)},
{0,0,4,0,MAKE_FIXNUM(228),MAKE_FIXNUM(131),(cl_objectfn)L57set_sockopt_linger,Cnil,MAKE_FIXNUM(51938)},
{0,0,2,0,MAKE_FIXNUM(229),MAKE_FIXNUM(136),(cl_objectfn)LC58define_sockopt,Cnil,MAKE_FIXNUM(52460)},
{0,0,1,0,MAKE_FIXNUM(230),MAKE_FIXNUM(138),(cl_objectfn)L59sockopt_type,Cnil,MAKE_FIXNUM(53013)},
{0,0,1,0,MAKE_FIXNUM(231),MAKE_FIXNUM(140),(cl_objectfn)L60sockopt_receive_buffer,Cnil,MAKE_FIXNUM(53073)},
{0,0,2,0,MAKE_FIXNUM(232),MAKE_FIXNUM(141),(cl_objectfn)L61_setf_sockopt_receive_buffer_,Cnil,MAKE_FIXNUM(53073)},
{0,0,1,0,MAKE_FIXNUM(233),MAKE_FIXNUM(143),(cl_objectfn)L62sockopt_receive_timeout,Cnil,MAKE_FIXNUM(53142)},
{0,0,2,0,MAKE_FIXNUM(234),MAKE_FIXNUM(144),(cl_objectfn)L63_setf_sockopt_receive_timeout_,Cnil,MAKE_FIXNUM(53142)},
{0,0,1,0,MAKE_FIXNUM(235),MAKE_FIXNUM(146),(cl_objectfn)L64sockopt_send_timeout,Cnil,MAKE_FIXNUM(53218)},
{0,0,2,0,MAKE_FIXNUM(236),MAKE_FIXNUM(147),(cl_objectfn)L65_setf_sockopt_send_timeout_,Cnil,MAKE_FIXNUM(53218)},
{0,0,1,0,MAKE_FIXNUM(237),MAKE_FIXNUM(149),(cl_objectfn)L66sockopt_reuse_address,Cnil,MAKE_FIXNUM(53291)},
{0,0,2,0,MAKE_FIXNUM(238),MAKE_FIXNUM(150),(cl_objectfn)L67_setf_sockopt_reuse_address_,Cnil,MAKE_FIXNUM(53291)},
{0,0,1,0,MAKE_FIXNUM(239),MAKE_FIXNUM(152),(cl_objectfn)L68sockopt_keep_alive,Cnil,MAKE_FIXNUM(53363)},
{0,0,2,0,MAKE_FIXNUM(240),MAKE_FIXNUM(153),(cl_objectfn)L69_setf_sockopt_keep_alive_,Cnil,MAKE_FIXNUM(53363)},
{0,0,1,0,MAKE_FIXNUM(241),MAKE_FIXNUM(155),(cl_objectfn)L70sockopt_dont_route,Cnil,MAKE_FIXNUM(53432)},
{0,0,2,0,MAKE_FIXNUM(242),MAKE_FIXNUM(156),(cl_objectfn)L71_setf_sockopt_dont_route_,Cnil,MAKE_FIXNUM(53432)},
{0,0,1,0,MAKE_FIXNUM(243),MAKE_FIXNUM(158),(cl_objectfn)L72sockopt_linger,Cnil,MAKE_FIXNUM(53501)},
{0,0,2,0,MAKE_FIXNUM(244),MAKE_FIXNUM(159),(cl_objectfn)L73_setf_sockopt_linger_,Cnil,MAKE_FIXNUM(53501)},
{0,0,1,0,MAKE_FIXNUM(245),MAKE_FIXNUM(161),(cl_objectfn)L74sockopt_tcp_nodelay,Cnil,MAKE_FIXNUM(53674)},
{0,0,2,0,MAKE_FIXNUM(246),MAKE_FIXNUM(162),(cl_objectfn)L75_setf_sockopt_tcp_nodelay_,Cnil,MAKE_FIXNUM(53674)},
};
