/*	Compiler: ECL 11.1.1                                          */
/*	Source: SRC:LSP;DEFMACRO.LSP                                  */
#include <ecl/ecl-cmp.h>
#include "lsp/defmacro.h"
/*	function definition for SEARCH-KEYWORD                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_search_keyword(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
	{
TTL:
	if(!(ECL_ATOM(V1))){
	goto L2;}
	value0=VV[3]; cl_env_copy->nvalues=1;
	return value0;
L2:;
	T0= cl_cdr(V1)                            /*  CDR             */;
	if(!(ECL_ATOM(T0))){
	goto L5;}
	value0=VV[3]; cl_env_copy->nvalues=1;
	return value0;
L5:;
	T0= cl_car(V1)                            /*  CAR             */;
	if(!((T0)==(V2))){
	goto L8;}
	value0=cl_cadr(V1)                        /*  CADR            */;
	return value0;
L8:;
	V1= cl_cddr(V1)                           /*  CDDR            */;
	goto TTL;
}}
/*	function definition for CHECK-KEYWORD                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_check_keyword(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= Cnil;
	V4= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	V4= Ct;
	}}
	va_end(args);
	{cl_object V5;                            /*  HEAD            */
	cl_object V6;                             /*  ARG             */
	cl_object V7;                             /*  ERR             */
	V5= Cnil;
	V6= Cnil;
	V7= Cnil;
	goto L8;
L7:;
	if(!(ECL_ATOM(V1))){
	goto L12;}
	(void)cl_error(1,_ecl_static_1)           /*  ERROR           */;
	goto L10;
L12:;
	V5= cl_car(V1)                            /*  CAR             */;
	V1= cl_cdr(V1)                            /*  CDR             */;
	goto L10;
L10:;
	if(!(ECL_ATOM(V1))){
	goto L19;}
	(void)cl_error(1,_ecl_static_1)           /*  ERROR           */;
	goto L17;
L19:;
	V6= cl_car(V1)                            /*  CAR             */;
	V1= cl_cdr(V1)                            /*  CDR             */;
	goto L17;
L17:;
	if(!((V5)==(ECL_SYM("ALLOW-OTHER-KEYS",1172)))){
	goto L26;}
	if((V4)!=Cnil){
	goto L29;}
	V3= V1;
	V4= Ct;
	goto L24;
L29:;
	goto L24;
L26:;
	if((ecl_memql(V5,V2))!=Cnil){
	goto L35;}
	V7= V5;
	goto L24;
L35:;
	goto L24;
L24:;
L8:;
	if(V1==Cnil){
	goto L40;}
	goto L7;
L40:;
	goto L38;
L38:;
	goto L5;
L5:;
	if((V7)==Cnil){
	goto L43;}
	if((V3)!=Cnil){
	goto L43;}
	value0=cl_error(2,_ecl_static_2,V7)       /*  ERROR           */;
	return value0;
L43:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CHECK-ARG-LENGTH                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_check_arg_length(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
	{
TTL:
	{cl_fixnum V3;
	V3= ecl_length(V1);
	if(!(ecl_number_compare(MAKE_FIXNUM(V3),V2)>0)){
	goto L2;}}
	value0=cl_error(1,_ecl_static_3)          /*  ERROR           */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DM-BAD-KEY                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_dm_bad_key(cl_narg narg, cl_object V1, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=cl_error(2,_ecl_static_4,V1)       /*  ERROR           */;
	return value0;
}}
/*	function definition for DM-TOO-FEW-ARGUMENTS                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_dm_too_few_arguments(cl_narg narg, ...)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=cl_error(1,_ecl_static_5)          /*  ERROR           */;
	return value0;
}}
/*	function definition for DESTRUCTURE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5destructure(cl_object V1, cl_object V2)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  WHOLE           */
	V3= cl_gensym(0)                          /*  GENSYM          */;
	ecl_bds_bind(cl_env_copy,VV[0],Cnil);     /*  *DL*            */
	ecl_bds_bind(cl_env_copy,VV[1],Cnil);     /*  *KEY-CHECK*     */
	ecl_bds_bind(cl_env_copy,VV[2],Cnil);     /*  *ARG-CHECK*     */
	if(!(ECL_LISTP(V1))){
	goto L4;}
	T0= cl_first(V1)                          /*  FIRST           */;
	if(!((T0)==(ECL_SYM("&WHOLE",11)))){
	goto L7;}
	{cl_object V4;                            /*  NAMED-WHOLE     */
	V4= cl_second(V1)                         /*  SECOND          */;
	V1= cl_cddr(V1)                           /*  CDDR            */;
	if(!(ECL_LISTP(V4))){
	goto L13;}
	(void)LC1dm_vl(V4,V3,Cnil)                /*  DM-VL           */;
	goto L2;
L13:;
	T0= cl_list(2,V4,V3)                      /*  LIST            */;
	cl_set(VV[0],ecl_list1(T0));
	goto L2;
	}
L7:;
	goto L2;
L4:;
	if(!(ECL_SYMBOLP(V1))){
	goto L17;}
	V1= cl_list(2,ECL_SYM("&REST",10),V1)     /*  LIST            */;
	goto L2;
L17:;
	(void)cl_error(2,_ecl_static_7,V1)        /*  ERROR           */;
	goto L2;
L2:;
	T0= LC1dm_vl(V1,V3,V2)                    /*  DM-VL           */;
	T1= cl_nreverse(ecl_symbol_value(VV[0]))  /*  NREVERSE        */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=ecl_symbol_value(VV[2]);
	cl_env_copy->values[3]=ecl_symbol_value(VV[1]);
	cl_env_copy->values[2]=T1;
	cl_env_copy->values[1]=V3;
	cl_env_copy->values[0]=T0;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return cl_env_copy->values[0];
	}
}}
/*	local function DM-NTH-CDR                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4dm_nth_cdr(cl_object V1, cl_object V2)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=ecl_floor2(V1,MAKE_FIXNUM(4));
	{
	cl_fixnum V4;                             /*  Q               */
	cl_fixnum V5;                             /*  R               */
	V4= ecl_to_fixnum(cl_env_copy->values[0]);
	V5= ecl_to_fixnum(cl_env_copy->values[1]);
	{cl_fixnum V6;                            /*  I               */
	V6= 0;
	goto L6;
L5:;
	V2= cl_list(2,ECL_SYM("CDDDDR",193),V2)   /*  LIST            */;
	V6= ecl_to_fixnum(ecl_one_plus(MAKE_FIXNUM(V6)));
L6:;
	if(!((V6)<(V4))){
	goto L14;}
	goto L5;
L14:;
	goto L12;
L12:;
	goto L2;
	}
L2:;
	if(!((V5)==(0))){
	goto L17;}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L17:;
	if(!((V5)==(1))){
	goto L20;}
	value0=cl_list(2,ECL_SYM("CDR",196),V2)   /*  LIST            */;
	return value0;
L20:;
	if(!((V5)==(2))){
	goto L23;}
	value0=cl_list(2,ECL_SYM("CDDR",195),V2)  /*  LIST            */;
	return value0;
L23:;
	if(!((V5)==(3))){
	goto L26;}
	value0=cl_list(2,ECL_SYM("CDDDR",194),V2) /*  LIST            */;
	return value0;
L26:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function DM-NTH                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3dm_nth(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=ecl_floor2(V1,MAKE_FIXNUM(4));
	{
	cl_fixnum V4;                             /*  Q               */
	cl_fixnum V5;                             /*  R               */
	V4= ecl_to_fixnum(cl_env_copy->values[0]);
	V5= ecl_to_fixnum(cl_env_copy->values[1]);
	{cl_fixnum V6;                            /*  I               */
	V6= 0;
	goto L6;
L5:;
	V2= cl_list(2,ECL_SYM("CDDDDR",193),V2)   /*  LIST            */;
	V6= ecl_to_fixnum(ecl_one_plus(MAKE_FIXNUM(V6)));
L6:;
	if(!((V6)<(V4))){
	goto L14;}
	goto L5;
L14:;
	goto L12;
L12:;
	goto L2;
	}
L2:;
	if(!((V5)==(0))){
	goto L17;}
	value0=cl_list(2,ECL_SYM("CAR",178),V2)   /*  LIST            */;
	return value0;
L17:;
	if(!((V5)==(1))){
	goto L20;}
	value0=cl_list(2,ECL_SYM("CADR",176),V2)  /*  LIST            */;
	return value0;
L20:;
	if(!((V5)==(2))){
	goto L23;}
	value0=cl_list(2,ECL_SYM("CADDR",175),V2) /*  LIST            */;
	return value0;
L23:;
	if(!((V5)==(3))){
	goto L26;}
	value0=cl_list(2,ECL_SYM("CADDDR",174),V2) /*  LIST           */;
	return value0;
L26:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function DM-V                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2dm_v(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==Cnil){
	goto L2;}
	if(!(ECL_SYMBOLP(V1))){
	goto L2;}
	if((V2)==Cnil){
	goto L8;}
	T0= cl_list(2,V1,V2)                      /*  LIST            */;
	goto L6;
L8:;
	T0= V1;
	goto L6;
L6:;
	cl_set(VV[0],CONS(T0,ecl_symbol_value(VV[0])));
	value0=ecl_symbol_value(VV[0]); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((V1)==Cnil){
	goto L11;}
	if(!(ECL_ATOM(V1))){
	goto L11;}
	value0=cl_error(2,_ecl_static_6,V1)       /*  ERROR           */;
	return value0;
L11:;
	T0= cl_first(V1)                          /*  FIRST           */;
	if(!((T0)==(ECL_SYM("&WHOLE",11)))){
	goto L15;}
	{cl_object V3;                            /*  WHOLE-VAR       */
	V3= cl_second(V1)                         /*  SECOND          */;
	if(!(ECL_LISTP(V3))){
	goto L20;}
	{cl_object V4;                            /*  NEW-WHOLE       */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	(void)LC2dm_v(V4,V2)                      /*  DM-V            */;
	(void)LC1dm_vl(V3,V4,Cnil)                /*  DM-VL           */;
	V3= V4;
	goto L18;
	}
L20:;
	(void)LC2dm_v(V3,V2)                      /*  DM-V            */;
	goto L18;
L18:;
	T0= cl_cddr(V1)                           /*  CDDR            */;
	value0=LC1dm_vl(T0,V3,Cnil)               /*  DM-VL           */;
	return value0;
	}
L15:;
	{cl_object V4;                            /*  TEMP            */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	if((V2)==Cnil){
	goto L31;}
	T0= cl_list(2,V4,V2)                      /*  LIST            */;
	goto L29;
L31:;
	T0= V4;
	goto L29;
L29:;
	cl_set(VV[0],CONS(T0,ecl_symbol_value(VV[0])));
	value0=LC1dm_vl(V1,V4,Cnil)               /*  DM-VL           */;
	return value0;
	}
}}
/*	local function DM-VL                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1dm_vl(cl_object V1, cl_object V2, cl_object V3)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  N               */
	cl_object V5;                             /*  PPN             */
	cl_object V6;                             /*  NO-CHECK        */
	cl_object V7;                             /*  ALL-KEYWORDS    */
	if((V3)==Cnil){
	goto L3;}
	V4= MAKE_FIXNUM(1);
	goto L1;
L3:;
	V4= MAKE_FIXNUM(0);
	goto L1;
L1:;
	V5= MAKE_FIXNUM(0);
	V6= Cnil;
	V7= Cnil;
	if((V3)==Cnil){
	goto L12;}
	T0= ECL_SYM("MACRO",1080);
	goto L10;
L12:;
	T0= ECL_SYM("DESTRUCTURING-BIND",298);
	goto L10;
L10:;
	cl_env_copy->values[0]=si_process_lambda_list(V1,T0) /*  PROCESS-LAMBDA-LIST */;
	{
	cl_object V9;                             /*  REQS            */
	cl_object V10;                            /*  OPTS            */
	cl_object V11;                            /*  REST            */
	cl_object V12;                            /*  KEY-FLAG        */
	cl_object V13;                            /*  KEYS            */
	cl_object V14;                            /*  ALLOW-OTHER-KEYS */
	cl_object V15;                            /*  AUXS            */
	{int V16=cl_env_copy->nvalues-0;
	if (V16--<=0) goto L14;
	V9= cl_env_copy->values[0];
	if (V16--<=0) goto L15;
	V10= cl_env_copy->values[1];
	if (V16--<=0) goto L16;
	V11= cl_env_copy->values[2];
	if (V16--<=0) goto L17;
	V12= cl_env_copy->values[3];
	if (V16--<=0) goto L18;
	V13= cl_env_copy->values[4];
	if (V16--<=0) goto L19;
	V14= cl_env_copy->values[5];
	if (V16--<=0) goto L20;
	V15= cl_env_copy->values[6];
	goto L21;}
L14:;
	V9= Cnil;
L15:;
	V10= Cnil;
L16:;
	V11= Cnil;
L17:;
	V12= Cnil;
L18:;
	V13= Cnil;
L19:;
	V14= Cnil;
L20:;
	V15= Cnil;
L21:;
	{cl_object V16;                           /*  %DOLIST-VAR     */
	cl_object V17;                            /*  V               */
	V16= cl_cdr(V9)                           /*  CDR             */;
	V17= Cnil;
	goto L28;
L27:;
	V17= cl_first(V16)                        /*  FIRST           */;
	T0= LC4dm_nth_cdr(V4,V2)                  /*  DM-NTH-CDR      */;
	T1= LC3dm_nth(V4,V2)                      /*  DM-NTH          */;
	T2= cl_list(4,ECL_SYM("IF",944),T0,T1,VV[9]) /*  LIST         */;
	(void)LC2dm_v(V17,T2)                     /*  DM-V            */;
	V4= ecl_plus(V4,MAKE_FIXNUM(1));
	V16= CDR(V16);
L28:;
	if((V16)==Cnil){
	goto L41;}
	goto L27;
L41:;
	goto L39;
L39:;
	goto L25;
L25:;
	}
	{cl_object V16;
	{cl_object V17;
	V17= cl_car(V10)                          /*  CAR             */;
	V10= cl_cdr(V10)                          /*  CDR             */;
	V16= V17;
	}
	{cl_object V17;                           /*  I               */
	V17= MAKE_FIXNUM(0);
	goto L51;
L50:;
	{cl_object V18;                           /*  X               */
	cl_object V19;                            /*  INIT            */
	cl_object V20;                            /*  SV              */
	V18= cl_first(V10)                        /*  FIRST           */;
	V19= cl_second(V10)                       /*  SECOND          */;
	V20= cl_third(V10)                        /*  THIRD           */;
	V10= cl_cdddr(V10)                        /*  CDDDR           */;
	T0= LC4dm_nth_cdr(V4,V2)                  /*  DM-NTH-CDR      */;
	T1= LC3dm_nth(V4,V2)                      /*  DM-NTH          */;
	T2= cl_list(4,ECL_SYM("IF",944),T0,T1,V19) /*  LIST           */;
	(void)LC2dm_v(V18,T2)                     /*  DM-V            */;
	if((V20)==Cnil){
	goto L64;}
	T0= LC4dm_nth_cdr(V4,V2)                  /*  DM-NTH-CDR      */;
	T1= cl_list(2,ECL_SYM("NULL",603),T0)     /*  LIST            */;
	T2= cl_list(2,ECL_SYM("NOT",582),T1)      /*  LIST            */;
	(void)LC2dm_v(V20,T2)                     /*  DM-V            */;
	goto L62;
L64:;
	goto L62;
L62:;
	V4= ecl_plus(V4,MAKE_FIXNUM(1));
	}
	V17= ecl_one_plus(V17);
L51:;
	if(!(ecl_number_compare(V17,V16)<0)){
	goto L72;}
	goto L50;
L72:;
	goto L70;
L70:;
	goto L43;
	}
	}
L43:;
	if((V11)==Cnil){
	goto L76;}
	T0= LC4dm_nth_cdr(V4,V2)                  /*  DM-NTH-CDR      */;
	(void)LC2dm_v(V11,T0)                     /*  DM-V            */;
	V6= Ct;
	V11= Cnil;
	T0= cl_last(2,V1,MAKE_FIXNUM(0))          /*  LAST            */;
	if(!(T0==Cnil)){
	goto L85;}
	if((ecl_memql(ECL_SYM("&BODY",6),V1))==Cnil){
	goto L85;}
	if((V3)==Cnil){
	goto L90;}
	V5= ecl_one_minus(V4);
	goto L88;
L90:;
	V5= V4;
	goto L88;
L88:;
	goto L74;
L85:;
	goto L74;
L76:;
	goto L74;
L74:;
	{cl_object V16;
	{cl_object V17;
	V17= cl_car(V13)                          /*  CAR             */;
	V13= cl_cdr(V13)                          /*  CDR             */;
	V16= V17;
	}
	{cl_object V17;                           /*  I               */
	V17= MAKE_FIXNUM(0);
	goto L100;
L99:;
	if(!(V11==Cnil)){
	goto L104;}
	V11= cl_gensym(0)                         /*  GENSYM          */;
	T0= LC4dm_nth_cdr(V4,V2)                  /*  DM-NTH-CDR      */;
	(void)LC2dm_v(V11,T0)                     /*  DM-V            */;
	V6= Ct;
	goto L102;
L104:;
	goto L102;
L102:;
	{cl_object V18;                           /*  TEMP            */
	cl_object V19;                            /*  K               */
	cl_object V20;                            /*  V               */
	cl_object V21;                            /*  INIT            */
	cl_object V22;                            /*  SV              */
	V18= cl_gensym(0)                         /*  GENSYM          */;
	V19= cl_first(V13)                        /*  FIRST           */;
	V20= cl_second(V13)                       /*  SECOND          */;
	V21= cl_third(V13)                        /*  THIRD           */;
	V22= cl_fourth(V13)                       /*  FOURTH          */;
	V13= cl_cddddr(V13)                       /*  CDDDDR          */;
	T0= cl_list(2,ECL_SYM("QUOTE",677),V19)   /*  LIST            */;
	T1= cl_list(3,VV[4],V11,T0)               /*  LIST            */;
	(void)LC2dm_v(V18,T1)                     /*  DM-V            */;
	T0= cl_list(3,ECL_SYM("EQ",331),V18,VV[10]) /*  LIST          */;
	T1= cl_list(4,ECL_SYM("IF",944),T0,V21,V18) /*  LIST          */;
	(void)LC2dm_v(V20,T1)                     /*  DM-V            */;
	if((V22)==Cnil){
	goto L123;}
	T0= cl_list(3,ECL_SYM("EQ",331),V18,VV[10]) /*  LIST          */;
	T1= cl_list(2,ECL_SYM("NOT",582),T0)      /*  LIST            */;
	(void)LC2dm_v(V22,T1)                     /*  DM-V            */;
	goto L121;
L123:;
	goto L121;
L121:;
	V7= CONS(V19,V7);
	}
	V17= ecl_one_plus(V17);
L100:;
	if(!(ecl_number_compare(V17,V16)<0)){
	goto L130;}
	goto L99;
L130:;
	goto L128;
L128:;
	goto L92;
	}
	}
L92:;
	{cl_object V16;                           /*  L               */
	V16= V15;
	goto L137;
L136:;
	{cl_object V17;                           /*  V               */
	cl_object V18;                            /*  INIT            */
	V17= cl_first(V16)                        /*  FIRST           */;
	V18= cl_second(V16)                       /*  SECOND          */;
	(void)LC2dm_v(V17,V18)                    /*  DM-V            */;
	}
	V16= cl_cddr(V16)                         /*  CDDR            */;
L137:;
	if(ecl_endp(V16)){
	goto L146;}
	goto L136;
L146:;
	goto L144;
L144:;
	goto L134;
L134:;
	}
	if((V12)==Cnil){
	goto L149;}
	T0= cl_list(2,ECL_SYM("QUOTE",677),V7)    /*  LIST            */;
	if((V14)==Cnil){
	goto L154;}
	T1= VV[11];
	goto L152;
L154:;
	T1= Cnil;
	goto L152;
L152:;
	T2= cl_listX(4,VV[5],V11,T0,T1)           /*  LIST*           */;
	cl_set(VV[1],CONS(T2,ecl_symbol_value(VV[1])));
	goto L8;
L149:;
	if((V6)!=Cnil){
	goto L157;}
	T0= cl_list(3,VV[6],V2,V4)                /*  LIST            */;
	cl_set(VV[2],CONS(T0,ecl_symbol_value(VV[2])));
	goto L8;
L157:;
	goto L8;}
L8:;
	value0=V5; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for FIND-DOCUMENTATION                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_find_documentation(cl_narg narg, cl_object V1, ...)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V2;
	V2= _ecl_inner_frame;
	cl_env_copy->values[0]=si_process_declarations(2,V1,Ct) /*  PROCESS-DECLARATIONS */;
	ecl_stack_frame_push_values(V2);cl_env_copy->values[0]=ecl_apply_from_stack_frame(V2,ECL_SYM("LIST",479));
	value0=cl_env_copy->values[0];
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	T0= value0;
	value0=cl_cadddr(T0)                      /*  CADDDR          */;
	return value0;
}}
/*	function definition for REMOVE-DOCUMENTATION                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_remove_documentation(cl_narg narg, cl_object V1, ...)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	cl_env_copy->values[0]=si_process_declarations(2,V1,Ct) /*  PROCESS-DECLARATIONS */;
	{
	cl_object V3;                             /*  DECLS           */
	cl_object V4;                             /*  BODY            */
	cl_object V5;                             /*  DOC             */
	{int V6=cl_env_copy->nvalues-0;
	if (V6--<=0) goto L2;
	V3= cl_env_copy->values[0];
	if (V6--<=0) goto L3;
	V4= cl_env_copy->values[1];
	if (V6--<=0) goto L4;
	V5= cl_env_copy->values[2];
	goto L5;}
L2:;
	V3= Cnil;
L3:;
	V4= Cnil;
L4:;
	V5= Cnil;
L5:;
	if((V3)==Cnil){
	goto L8;}
	T0= CONS(ECL_SYM("DECLARE",272),V3);
	V4= CONS(T0,V4);
	goto L6;
L8:;
	goto L6;
L6:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V5;
	cl_env_copy->values[0]=V4;
	return cl_env_copy->values[0];}
}}
/*	function definition for FIND-DECLARATIONS                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_find_declarations(cl_narg narg, cl_object V1, ...)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Ct;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	cl_env_copy->values[0]=si_process_declarations(2,V1,V2) /*  PROCESS-DECLARATIONS */;
	{
	cl_object V4;                             /*  DECLS           */
	cl_object V5;                             /*  BODY            */
	cl_object V6;                             /*  DOC             */
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L3;
	V4= cl_env_copy->values[0];
	if (V7--<=0) goto L4;
	V5= cl_env_copy->values[1];
	if (V7--<=0) goto L5;
	V6= cl_env_copy->values[2];
	goto L6;}
L3:;
	V4= Cnil;
L4:;
	V5= Cnil;
L5:;
	V6= Cnil;
L6:;
	if((V4)==Cnil){
	goto L9;}
	T1= CONS(ECL_SYM("DECLARE",272),V4);
	T0= ecl_list1(T1);
	goto L7;
L9:;
	T0= Cnil;
	goto L7;
L7:;
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=V6;
	cl_env_copy->values[1]=V5;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];}
}}
/*	function definition for EXPAND-DEFMACRO                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6expand_defmacro(cl_object V1, cl_object V2, cl_object V3)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	ecl_bds_bind(cl_env_copy,VV[0],Cnil);     /*  *DL*            */
	ecl_bds_bind(cl_env_copy,VV[1],Cnil);     /*  *KEY-CHECK*     */
	ecl_bds_bind(cl_env_copy,VV[2],Cnil);     /*  *ARG-CHECK*     */
	cl_env_copy->values[0]=si_find_declarations(1,V3) /*  FIND-DECLARATIONS */;
	{
	cl_object V5;                             /*  DECLS           */
	cl_object V6;                             /*  BODY            */
	cl_object V7;                             /*  DOC             */
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L2;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L3;
	V6= cl_env_copy->values[1];
	if (V8--<=0) goto L4;
	V7= cl_env_copy->values[2];
	goto L5;}
L2:;
	V5= Cnil;
L3:;
	V6= Cnil;
L4:;
	V7= Cnil;
L5:;
	{cl_object V8;                            /*  CELL            */
	V8= ecl_last(V2,1);
	if((cl_rest(V8)                           /*  REST            */)==Cnil){
	goto L9;}
	T0= cl_butlast(2,V2,MAKE_FIXNUM(0))       /*  BUTLAST         */;
	T1= cl_rest(V8)                           /*  REST            */;
	T2= cl_list(2,ECL_SYM("&REST",10),T1)     /*  LIST            */;
	V2= ecl_nconc(T0,T2);
	goto L6;
L9:;
	goto L6;
	}
L6:;
	{cl_object V8;                            /*  ENV             */
	V8= si_memq(ECL_SYM("&ENVIRONMENT",7),V2);
	if((V8)==Cnil){
	goto L15;}
	T0= cl_ldiff(V2,V8)                       /*  LDIFF           */;
	T1= cl_cddr(V8)                           /*  CDDR            */;
	V2= ecl_nconc(T0,T1);
	V8= cl_second(V8)                         /*  SECOND          */;
	goto L13;
L15:;
	V8= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,ECL_SYM("IGNORE",426),V8)   /*  LIST            */;
	T1= cl_list(2,ECL_SYM("DECLARE",272),T0)  /*  LIST            */;
	V5= CONS(T1,V5);
	goto L13;
L13:;
	cl_env_copy->values[0]=L5destructure(V2,Ct) /*  DESTRUCTURE   */;
	{
	cl_object V10;                            /*  PPN             */
	cl_object V11;                            /*  WHOLE           */
	{int V12=cl_env_copy->nvalues-0;
	if (V12--<=0) goto L24;
	V10= cl_env_copy->values[0];
	if (V12--<=0) goto L25;
	V11= cl_env_copy->values[1];
	if (V12--<=0) goto L26;
	ecl_bds_bind(cl_env_copy,VV[0],cl_env_copy->values[2]); /*  *DL* */
	if (V12--<=0) goto L27;
	ecl_bds_bind(cl_env_copy,VV[1],cl_env_copy->values[3]); /*  *KEY-CHECK* */
	if (V12--<=0) goto L28;
	ecl_bds_bind(cl_env_copy,VV[2],cl_env_copy->values[4]); /*  *ARG-CHECK* */
	goto L29;}
L24:;
	V10= Cnil;
L25:;
	V11= Cnil;
L26:;
	ecl_bds_bind(cl_env_copy,VV[0],Cnil);     /*  *DL*            */
L27:;
	ecl_bds_bind(cl_env_copy,VV[1],Cnil);     /*  *KEY-CHECK*     */
L28:;
	ecl_bds_bind(cl_env_copy,VV[2],Cnil);     /*  *ARG-CHECK*     */
L29:;
	T0= cl_listX(4,V11,V8,ECL_SYM("&AUX",5),ecl_symbol_value(VV[0])) /*  LIST* */;
	T1= cl_append(4,V5,ecl_symbol_value(VV[2]),ecl_symbol_value(VV[1]),V6) /*  APPEND */;
	T2= cl_listX(4,ECL_SYM("LAMBDA-BLOCK",1308),V1,T0,T1) /*  LIST* */;
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=V7;
	cl_env_copy->values[1]=V10;
	cl_env_copy->values[0]=T2;
	ecl_bds_unwind_n(cl_env_copy,6);
	return cl_env_copy->values[0];}
	}}
}}
/*	local function DEFMACRO                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7defmacro(cl_object V1, cl_object V2)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NAME            */
	cl_object V4;                             /*  VL              */
	cl_object V5;                             /*  BODY            */
	V3= cl_second(V1)                         /*  SECOND          */;
	V4= cl_third(V1)                          /*  THIRD           */;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	cl_env_copy->values[0]=L6expand_defmacro(V3,V4,V5) /*  EXPAND-DEFMACRO */;
	{
	cl_object V7;                             /*  FUNCTION        */
	cl_object V8;                             /*  PPRINT          */
	cl_object V9;                             /*  DOC             */
	{int V10=cl_env_copy->nvalues-0;
	if (V10--<=0) goto L5;
	V7= cl_env_copy->values[0];
	if (V10--<=0) goto L6;
	V8= cl_env_copy->values[1];
	if (V10--<=0) goto L7;
	V9= cl_env_copy->values[2];
	goto L8;}
L5:;
	V7= Cnil;
L6:;
	V8= Cnil;
L7:;
	V9= Cnil;
L8:;
	V7= cl_list(2,ECL_SYM("FUNCTION",394),V7) /*  LIST            */;
	if((ecl_symbol_value(VV[16]))==Cnil){
	goto L13;}
	ecl_print(V7,Cnil);
	V7= cl_list(2,ECL_SYM("BC-DISASSEMBLE",1024),V7) /*  LIST     */;
	goto L11;
L13:;
	goto L11;
L11:;
	if((ecl_symbol_value(ECL_SYM("*REGISTER-WITH-PDE-HOOK*",1162)))==Cnil){
	goto L18;}
	T0= cl_copy_tree(ecl_symbol_value(ECL_SYM("*SOURCE-LOCATION*",1161))) /*  COPY-TREE */;
	T1= cl_list(2,ECL_SYM("QUOTE",677),V3)    /*  LIST            */;
	T2= cl_list(5,ECL_SYM("FSET",1059),T1,V7,Ct,V8) /*  LIST      */;
	value0=ecl_function_dispatch(cl_env_copy,ecl_symbol_value(ECL_SYM("*REGISTER-WITH-PDE-HOOK*",1162)))(3,T0,V1,T2);
	return value0;
L18:;
	T0= cl_list(2,ECL_SYM("QUOTE",677),V3)    /*  LIST            */;
	value0=cl_list(5,ECL_SYM("FSET",1059),T0,V7,Ct,V8) /*  LIST   */;
	return value0;}
	}
}}
/*	local function DESTRUCTURING-BIND                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8destructuring_bind(cl_object V1, cl_object V2)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  VL              */
	cl_object V4;                             /*  LIST            */
	cl_object V5;                             /*  BODY            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	cl_env_copy->values[0]=si_find_declarations(1,V5) /*  FIND-DECLARATIONS */;
	{
	cl_object V7;                             /*  DECLS           */
	cl_object V8;                             /*  BODY            */
	{int V9=cl_env_copy->nvalues-0;
	if (V9--<=0) goto L11;
	V7= cl_env_copy->values[0];
	if (V9--<=0) goto L12;
	V8= cl_env_copy->values[1];
	goto L13;}
L11:;
	V7= Cnil;
L12:;
	V8= Cnil;
L13:;
	cl_env_copy->values[0]=L5destructure(V3,Cnil) /*  DESTRUCTURE */;
	{
	cl_object V10;                            /*  PPN             */
	cl_object V11;                            /*  WHOLE           */
	{int V12=cl_env_copy->nvalues-0;
	if (V12--<=0) goto L15;
	V10= cl_env_copy->values[0];
	if (V12--<=0) goto L16;
	V11= cl_env_copy->values[1];
	if (V12--<=0) goto L17;
	ecl_bds_bind(cl_env_copy,VV[0],cl_env_copy->values[2]); /*  *DL* */
	if (V12--<=0) goto L18;
	ecl_bds_bind(cl_env_copy,VV[1],cl_env_copy->values[3]); /*  *KEY-CHECK* */
	if (V12--<=0) goto L19;
	ecl_bds_bind(cl_env_copy,VV[2],cl_env_copy->values[4]); /*  *ARG-CHECK* */
	goto L20;}
L15:;
	V10= Cnil;
L16:;
	V11= Cnil;
L17:;
	ecl_bds_bind(cl_env_copy,VV[0],Cnil);     /*  *DL*            */
L18:;
	ecl_bds_bind(cl_env_copy,VV[1],Cnil);     /*  *KEY-CHECK*     */
L19:;
	ecl_bds_bind(cl_env_copy,VV[2],Cnil);     /*  *ARG-CHECK*     */
L20:;
	T0= cl_list(2,V11,V4)                     /*  LIST            */;
	T1= CONS(T0,ecl_symbol_value(VV[0]));
	T2= cl_append(4,V7,ecl_symbol_value(VV[2]),ecl_symbol_value(VV[1]),V8) /*  APPEND */;
	value0=cl_listX(3,ECL_SYM("LET*",476),T1,T2) /*  LIST*        */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;}}
	}
}}
/*	function definition for CMP-ENV-FOR-BYTECODES                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13cmp_env_for_bytecodes(cl_object V1)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  LET3            */
	cl_object V3;                             /*  ENV             */
	cl_object V4;                             /*  VARIABLES       */
	V2= cl_car(V1)                            /*  CAR             */;
	V3= V2;
	V4= Cnil;
	goto L8;
L7:;
	{cl_object V5;                            /*  I               */
	V5= cl_car(V3)                            /*  CAR             */;
	if(!(ECL_CONSP(V5))){
	goto L13;}
	{cl_object V6;                            /*  NAME            */
	V6= cl_first(V5)                          /*  FIRST           */;
	if((cl_keywordp(V6)                       /*  KEYWORDP        */)!=Cnil){
	goto L17;}
	if((cl_second(V5)                         /*  SECOND          */)==Cnil){
	goto L22;}
	T1= V5;
	goto L20;
L22:;
	T2= LC10local_var_error_function(V6)      /*  LOCAL-VAR-ERROR-FUNCTION */;
	T1= cl_list(3,V6,ECL_SYM("SYMBOL-MACRO",1139),T2) /*  LIST    */;
	goto L20;
L20:;
	V4= CONS(T1,V4);
	goto L10;
L17:;
	goto L10;
	}
L13:;
	goto L10;
	}
L10:;
	V3= cl_cdr(V3)                            /*  CDR             */;
L8:;
	if(ecl_endp(V3)){
	goto L29;}
	goto L7;
L29:;
	goto L27;
L27:;
	goto L5;
L5:;
	T0= cl_nreverse(V4)                       /*  NREVERSE        */;
	}
	{cl_object V2;                            /*  LET5            */
	cl_object V3;                             /*  ENV             */
	cl_object V4;                             /*  MACROS          */
	V2= cl_cdr(V1)                            /*  CDR             */;
	V3= V2;
	V4= Cnil;
	goto L38;
L37:;
	{cl_object V5;                            /*  I               */
	V5= cl_car(V3)                            /*  CAR             */;
	if(!(ECL_CONSP(V5))){
	goto L43;}
	T3= cl_second(V5)                         /*  SECOND          */;
	if(!((T3)==(ECL_SYM("MACRO",1080)))){
	goto L48;}
	T2= V5;
	goto L46;
L48:;
	T3= cl_first(V5)                          /*  FIRST           */;
	T5= cl_first(V5)                          /*  FIRST           */;
	T4= LC12local_fun_error_function(T5)      /*  LOCAL-FUN-ERROR-FUNCTION */;
	T2= cl_list(3,T3,ECL_SYM("MACRO",1080),T4) /*  LIST           */;
	goto L46;
L46:;
	V4= CONS(T2,V4);
	goto L40;
L43:;
	goto L40;
	}
L40:;
	V3= cl_cdr(V3)                            /*  CDR             */;
L38:;
	if(ecl_endp(V3)){
	goto L55;}
	goto L37;
L55:;
	goto L53;
L53:;
	goto L35;
L35:;
	T1= cl_nreverse(V4)                       /*  NREVERSE        */;
	}
	value0=CONS(T0,T1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function LOCAL-FUN-ERROR-FUNCTION                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12local_fun_error_function(cl_object V1)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = Cnil;
	CLV0=env0=CONS(V1,env0);                  /*  NAME            */
	value0=ecl_make_cclosure_va((cl_objectfn)LC11__g45,env0,Cblock); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function LOCAL-VAR-ERROR-FUNCTION                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10local_var_error_function(cl_object V1)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = Cnil;
	CLV0=env0=CONS(V1,env0);                  /*  NAME            */
	value0=ecl_make_cclosure_va((cl_objectfn)LC9__g44,env0,Cblock); cl_env_copy->nvalues=1;
	return value0;
}}
/*	closure G45                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11__g45(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV0=env0;                                /*  NAME            */
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=cl_error(2,_ecl_static_9,ECL_CONS_CAR(CLV0)) /*  ERROR */;
	return value0;
}}}
/*	closure G44                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9__g44(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV0=env0;                                /*  NAME            */
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=cl_error(2,_ecl_static_8,ECL_CONS_CAR(CLV0)) /*  ERROR */;
	return value0;
}}}
/*	function definition for MACROLET-FUNCTIONS                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14macrolet_functions(cl_object V1, cl_object V2)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ENV             */
	V3= L13cmp_env_for_bytecodes(V2)          /*  CMP-ENV-FOR-BYTECODES */;
	{cl_object V4;
	cl_object V5;
	V4= Cnil;
	V5= V1;
	{cl_object V6;
	cl_object V7;
	V6= ecl_list1(Cnil);
	V7= V6;
L8:;
	if(!(ecl_endp(V5))){
	goto L12;}
	goto L9;
L12:;
	goto L10;
L10:;
	V4= CAR(V5);
	V5= CDR(V5);
	T1= V7;
	{cl_object V8;                            /*  NAME            */
	cl_object V9;                             /*  LLIST           */
	cl_object V10;                            /*  DEF             */
	V8= cl_first(V4)                          /*  FIRST           */;
	V9= cl_second(V4)                         /*  SECOND          */;
	V10= cl_cddr(V4)                          /*  CDDR            */;
	T3= cl_list(2,ECL_SYM("QUOTE",677),V8)    /*  LIST            */;
	T4= L6expand_defmacro(V8,V9,V10)          /*  EXPAND-DEFMACRO */;
	T2= cl_list(3,ECL_SYM("LIST",479),T3,T4)  /*  LIST            */;
	}
	V7= ecl_list1(T2);
	if (ecl_unlikely(ATOM(T1)))FEtype_error_cons(T1);
	ECL_CONS_CDR(T1) = V7;
	goto L8;
L9:;
	T0= cl_cdr(V6)                            /*  CDR             */;
	goto L2;
	}
	}
L2:;
	T1= CONS(ECL_SYM("LIST",479),T0);
	value0=si_eval_with_env(4,T1,V3,Cnil,Ct)  /*  EVAL-WITH-ENV   */;
	return value0;
	}
}}
/*	function definition for CMP-ENV-REGISTER-MACROLET             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15cmp_env_register_macrolet(cl_object V1, cl_object V2)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  MACROS          */
	V3= cl_cdr(V2)                            /*  CDR             */;
	{cl_object V4;                            /*  %DOLIST-VAR     */
	cl_object V5;                             /*  RECORD          */
	V4= L14macrolet_functions(V1,V2)          /*  MACROLET-FUNCTIONS */;
	V5= Cnil;
	goto L8;
L7:;
	V5= cl_first(V4)                          /*  FIRST           */;
	T0= cl_first(V5)                          /*  FIRST           */;
	T1= cl_second(V5)                         /*  SECOND          */;
	T2= cl_list(3,T0,ECL_SYM("MACRO",1080),T1) /*  LIST           */;
	V3= CONS(T2,V3);
	V4= CDR(V4);
L8:;
	if((V4)==Cnil){
	goto L18;}
	goto L7;
L18:;
	goto L16;
L16:;
	goto L5;
L5:;
	}
	if (ecl_unlikely(ATOM(V2)))FEtype_error_cons(V2);
	ECL_CONS_CDR(V2) = V3;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
}}
	
#include "lsp/defmacro.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclLgMDhSZ7_7BqnLD01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:LSP;DEFMACRO.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclLgMDhSZ7_7BqnLD01@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	(void)si_Xmake_special(VV[0])             /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[1])             /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[2])             /*  *MAKE-SPECIAL   */;
	ecl_cmp_defun(VV[20]);
	ecl_cmp_defun(VV[21]);
	ecl_cmp_defun(VV[22]);
	ecl_cmp_defun(VV[23]);
	ecl_cmp_defun(VV[24]);
	(void)0; /* No entry created for DESTRUCTURE */
	ecl_cmp_defun(VV[25]);
	ecl_cmp_defun(VV[26]);
	ecl_cmp_defun(VV[27]);
	ecl_cmp_defun(VV[28]);
	ecl_cmp_defmacro(VV[29]);
	ecl_cmp_defmacro(VV[30]);
	(void)0; /* No entry created for CMP-ENV-FOR-BYTECODES */
	(void)0; /* No entry created for MACROLET-FUNCTIONS */
	ecl_cmp_defun(VV[31]);
}
