/*	Compiler: ECL 11.1.1                                          */
/*	Source: SRC:LSP;PREDLIB.LSP                                   */
#include <ecl/ecl-cmp.h>
#include "lsp/predlib.h"
/*	function definition for CONSTANTLY-T                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1constantly_t(cl_narg narg, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONSTANTLY-NIL                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2constantly_nil(cl_narg narg, ...)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONSTANTLY                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_constantly(cl_object V1)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = Cnil;
	CLV0=env0=CONS(V1,env0);                  /*  N               */
	if(!((ECL_CONS_CAR(CLV0))==(Cnil))){
	goto L2;}
	value0=ecl_fdefinition(VV[1]); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ecl_eql(ECL_CONS_CAR(CLV0),Ct))){
	goto L6;}
	value0=ecl_fdefinition(VV[0]); cl_env_copy->nvalues=1;
	return value0;
L6:;
	value0=ecl_make_cclosure_va((cl_objectfn)LC3__g3,env0,Cblock); cl_env_copy->nvalues=1;
	return value0;
}}
/*	closure G3                                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3__g3(cl_narg narg, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV0=env0;                                /*  N               */
	{ /* ... closure scanning finished */
	{
	value0=ECL_CONS_CAR(CLV0); cl_env_copy->nvalues=1;
	return value0;
}}}
/*	function definition for SUBTYPEP-CLEAR-CACHE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4subtypep_clear_cache()
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)si_fill_array_with_elt(ecl_symbol_value(VV[4]),Cnil,MAKE_FIXNUM(0),Cnil) /*  FILL-ARRAY-WITH-ELT */;
	value0=si_fill_array_with_elt(ecl_symbol_value(VV[5]),Cnil,MAKE_FIXNUM(0),Cnil) /*  FILL-ARRAY-WITH-ELT */;
	return value0;
}}
/*	function definition for CREATE-TYPE-NAME                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5create_type_name(cl_object V1)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_memql(V1,ecl_symbol_value(ECL_SYM("*ALIEN-DECLARATIONS*",1525))))==Cnil){
	goto L2;}
	value0=cl_error(2,_ecl_static_1,V1)       /*  ERROR           */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DO-DEFTYPE                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_do_deftype(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=3)) FEwrong_num_arguments_anonym();
	{
TTL:
	if(ECL_SYMBOLP(V1)){
	goto L3;}
	(void)cl_error(2,_ecl_static_2,V1)        /*  ERROR           */;
	goto L1;
L3:;
	goto L1;
L1:;
	(void)L5create_type_name(V1)              /*  CREATE-TYPE-NAME */;
	(void)si_put_sysprop(V1,VV[8],V2)         /*  PUT-SYSPROP     */;
	if((cl_functionp(V3)                      /*  FUNCTIONP       */)==Cnil){
	goto L10;}
	T0= V3;
	goto L8;
L10:;
	T0= cl_constantly(V3)                     /*  CONSTANTLY      */;
	goto L8;
L8:;
	(void)si_put_sysprop(V1,VV[9],T0)         /*  PUT-SYSPROP     */;
	(void)L4subtypep_clear_cache()            /*  SUBTYPEP-CLEAR-CACHE */;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function DEFTYPE                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6deftype(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NAME            */
	cl_object V4;                             /*  LAMBDA-LIST     */
	cl_object V5;                             /*  BODY            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	cl_env_copy->values[0]=si_remove_documentation(1,V5) /*  REMOVE-DOCUMENTATION */;
	{
	cl_object V7;                             /*  BODY            */
	cl_object V8;                             /*  DOC             */
	{int V9=cl_env_copy->nvalues-0;
	if (V9--<=0) goto L11;
	V7= cl_env_copy->values[0];
	if (V9--<=0) goto L12;
	V8= cl_env_copy->values[1];
	goto L13;}
L11:;
	V7= Cnil;
L12:;
	V8= Cnil;
L13:;
	V4= cl_copy_list(V4)                      /*  COPY-LIST       */;
	{cl_object V9;                            /*  %DOLIST-VAR     */
	cl_object V10;                            /*  X               */
	V9= VV[10];
	V10= Cnil;
	goto L22;
L21:;
	V10= cl_first(V9)                         /*  FIRST           */;
	{cl_object V11;                           /*  L               */
	T0= ecl_memql(V10,V4);
	V11= cl_rest(T0)                          /*  REST            */;
	goto L32;
L31:;
	{cl_object V12;                           /*  VARIABLE        */
	V12= cl_first(V11)                        /*  FIRST           */;
	if(!(ECL_SYMBOLP(V12))){
	goto L37;}
	if((ecl_memql(V12,VV[11]))!=Cnil){
	goto L37;}
	{cl_object V13;
	V13= cl_list(2,V12,VV[12])                /*  LIST            */;
	if (ecl_unlikely(ATOM(V11))) FEtype_error_cons(V11);
	T0= V11;
	(ECL_CONS_CAR(T0)=V13,T0);
	goto L34;
	}
L37:;
	goto L34;
	}
L34:;
	V11= cl_rest(V11)                         /*  REST            */;
L32:;
	if(V11==Cnil){
	goto L48;}
	goto L31;
L48:;
	goto L46;
L46:;
	goto L29;
L29:;
	}
	V9= CDR(V9);
L22:;
	if((V9)==Cnil){
	goto L54;}
	goto L21;
L54:;
	goto L52;
L52:;
	goto L19;
L19:;
	}
	{cl_object V9;                            /*  FUNCTION        */
	T0= cl_listX(4,ECL_SYM("LAMBDA-BLOCK",1308),V3,V4,V7) /*  LIST* */;
	V9= cl_list(2,ECL_SYM("FUNCTION",394),T0) /*  LIST            */;
	if(!(V4==Cnil)){
	goto L59;}
	if(!(ECL_CONSP(V7))){
	goto L59;}
	T0= cl_rest(V7)                           /*  REST            */;
	if(!(T0==Cnil)){
	goto L59;}
	{cl_object V10;                           /*  FORM            */
	V10= cl_first(V7)                         /*  FIRST           */;
	if(!(ECL_CONSP(V10))){
	goto L65;}
	T0= cl_first(V10)                         /*  FIRST           */;
	if(!((T0)==(ECL_SYM("QUOTE",677)))){
	goto L65;}
	V9= V10;
	goto L57;
L65:;
	goto L57;
	}
L59:;
	goto L57;
L57:;
	T0= si_expand_set_documentation(3,V3,ECL_SYM("TYPE",867),V8) /*  EXPAND-SET-DOCUMENTATION */;
	T1= cl_list(2,ECL_SYM("QUOTE",677),V3)    /*  LIST            */;
	T2= cl_listX(4,ECL_SYM("DEFTYPE",286),V3,V4,V7) /*  LIST*     */;
	T3= cl_list(2,ECL_SYM("QUOTE",677),T2)    /*  LIST            */;
	T4= cl_list(4,ECL_SYM("DO-DEFTYPE",1523),T1,T3,V9) /*  LIST   */;
	T5= ecl_list1(T4);
	T6= ecl_append(T0,T5);
	value0=cl_listX(3,ECL_SYM("EVAL-WHEN",338),VV[13],T6) /*  LIST* */;
	return value0;
	}}
	}
}}
/*	local function BOOLEAN                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7boolean()
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[15]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function INDEX                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8index()
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[17]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function FIXNUM                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9fixnum()
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[18]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function REAL                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10real(cl_narg narg, ...)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	V2= Cnil;
	} else {
	i++;
	V1= va_arg(args,cl_object);
	V2= Ct;
	}
	if (i >= narg) {
	V3= ECL_SYM("*",16);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V2)==Cnil){
	goto L4;}
	{cl_object V4;                            /*  RAT-START       */
	cl_object V5;                             /*  REAL-START      */
	cl_object V6;                             /*  RAT-END         */
	cl_object V7;                             /*  REAL-END        */
	V4= Cnil;
	V5= Cnil;
	V6= Cnil;
	V7= Cnil;
	if(!(ECL_CONSP(V1))){
	goto L12;}
	V1= cl_first(V1)                          /*  FIRST           */;
	T0= cl_rational(V1)                       /*  RATIONAL        */;
	V4= ecl_list1(T0);
	T0= cl_float(1,V1)                        /*  FLOAT           */;
	V5= ecl_list1(T0);
	goto L10;
L12:;
	if(!(ecl_numberp(V1))){
	goto L20;}
	V4= cl_rational(V1)                       /*  RATIONAL        */;
	V5= cl_float(1,V1)                        /*  FLOAT           */;
	goto L10;
L20:;
	V4= V1;
	V5= V1;
	goto L10;
L10:;
	if(!(ECL_CONSP(V3))){
	goto L30;}
	V3= cl_first(V3)                          /*  FIRST           */;
	T0= cl_rational(V3)                       /*  RATIONAL        */;
	V6= ecl_list1(T0);
	T0= cl_float(1,V3)                        /*  FLOAT           */;
	V7= ecl_list1(T0);
	goto L28;
L30:;
	if(!(ecl_numberp(V3))){
	goto L38;}
	V6= cl_rational(V3)                       /*  RATIONAL        */;
	V7= cl_float(1,V3)                        /*  FLOAT           */;
	goto L28;
L38:;
	V6= V3;
	V7= V3;
	goto L28;
L28:;
	T0= cl_list(3,ECL_SYM("RATIONAL",685),V4,V6) /*  LIST         */;
	T1= cl_list(3,ECL_SYM("FLOAT",372),V5,V7) /*  LIST            */;
	value0=cl_list(3,ECL_SYM("OR",612),T0,T1) /*  LIST            */;
	return value0;
	}
L4:;
	value0=VV[19]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SHORT-FLOAT                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11short_float(cl_narg narg, ...)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	cl_va_end(args);
	if((V1)==Cnil){
	goto L2;}
	value0=CONS(ECL_SYM("SINGLE-FLOAT",776),V1); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=ECL_SYM("SINGLE-FLOAT",776); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MOD                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12mod(cl_object V1)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_one_minus(V1);
	value0=cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(0),T0) /*  LIST */;
	return value0;
}}
/*	local function SIGNED-BYTE                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13signed_byte(cl_narg narg, ...)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if(V1==Cnil){
	goto L5;}
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L3;}
	goto L4;
L5:;
L4:;
	value0=VV[20]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_one_minus(V1);
	T1= ecl_expt(MAKE_FIXNUM(2),T0);
	T2= ecl_negate(T1);
	T3= ecl_one_minus(V1);
	T4= ecl_expt(MAKE_FIXNUM(2),T3);
	T5= ecl_one_minus(T4);
	value0=cl_list(3,ECL_SYM("INTEGER",435),T2,T5) /*  LIST       */;
	return value0;
}}
/*	local function UNSIGNED-BYTE                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14unsigned_byte(cl_narg narg, ...)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if(V1==Cnil){
	goto L5;}
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L3;}
	goto L4;
L5:;
L4:;
	value0=VV[21]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_expt(MAKE_FIXNUM(2),V1);
	T1= ecl_one_minus(T0);
	value0=cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(0),T1) /*  LIST */;
	return value0;
}}
/*	local function VECTOR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15vector(cl_narg narg, ...)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	cl_object V2;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V2= ECL_SYM("*",16);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	T0= ecl_list1(V2);
	value0=cl_list(3,ECL_SYM("ARRAY",94),V1,T0) /*  LIST          */;
	return value0;
}}
/*	local function STRING                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16string(cl_narg narg, ...)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L3;}
	value0=VV[23]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_list1(V1);
	T1= cl_list(3,ECL_SYM("ARRAY",94),ECL_SYM("BASE-CHAR",118),T0) /*  LIST */;
	T2= ecl_list1(V1);
	T3= cl_list(3,ECL_SYM("ARRAY",94),ECL_SYM("CHARACTER",220),T2) /*  LIST */;
	value0=cl_list(3,ECL_SYM("OR",612),T1,T3) /*  LIST            */;
	return value0;
}}
/*	local function BASE-STRING                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17base_string(cl_narg narg, ...)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L3;}
	value0=VV[24]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_list1(V1);
	value0=cl_list(3,ECL_SYM("ARRAY",94),ECL_SYM("BASE-CHAR",118),T0) /*  LIST */;
	return value0;
}}
/*	local function EXTENDED-STRING                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18extended_string(cl_narg narg, ...)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L3;}
	value0=VV[25]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_list1(V1);
	value0=cl_list(3,ECL_SYM("ARRAY",94),ECL_SYM("CHARACTER",220),T0) /*  LIST */;
	return value0;
}}
/*	local function BIT-VECTOR                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19bit_vector(cl_narg narg, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L3;}
	value0=VV[26]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_list1(V1);
	value0=cl_list(3,ECL_SYM("ARRAY",94),ECL_SYM("BIT",121),T0) /*  LIST */;
	return value0;
}}
/*	local function SIMPLE-VECTOR                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20simple_vector(cl_narg narg, ...)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L3;}
	value0=VV[27]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_list1(V1);
	value0=cl_list(3,ECL_SYM("SIMPLE-ARRAY",761),Ct,T0) /*  LIST  */;
	return value0;
}}
/*	local function SIMPLE-STRING                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21simple_string(cl_narg narg, ...)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V1)==Cnil){
	goto L3;}
	T0= ecl_list1(V1);
	T1= cl_list(3,ECL_SYM("SIMPLE-ARRAY",761),ECL_SYM("BASE-CHAR",118),T0) /*  LIST */;
	T2= ecl_list1(V1);
	T3= cl_list(3,ECL_SYM("SIMPLE-ARRAY",761),ECL_SYM("CHARACTER",220),T2) /*  LIST */;
	value0=cl_list(3,ECL_SYM("OR",612),T1,T3) /*  LIST            */;
	return value0;
L3:;
	value0=VV[28]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SIMPLE-BASE-STRING                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22simple_base_string(cl_narg narg, ...)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V1)==Cnil){
	goto L3;}
	T0= ecl_list1(V1);
	value0=cl_list(3,ECL_SYM("SIMPLE-ARRAY",761),ECL_SYM("BASE-CHAR",118),T0) /*  LIST */;
	return value0;
L3:;
	value0=VV[29]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SIMPLE-BIT-VECTOR                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23simple_bit_vector(cl_narg narg, ...)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V1)==Cnil){
	goto L3;}
	T0= ecl_list1(V1);
	value0=cl_list(3,ECL_SYM("SIMPLE-ARRAY",761),ECL_SYM("BIT",121),T0) /*  LIST */;
	return value0;
L3:;
	value0=VV[30]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SIMPLE-ARRAY-P                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24simple_array_p(cl_object V1)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_ARRAYP(V1))){
	goto L2;}
	if((ECL_ARRAYP(V1)? (void)0: FEtype_error_array(V1),ECL_ADJUSTABLE_ARRAY_P(V1))){
	goto L2;}
	if((ECL_ARRAYP(V1)?(void)0:FEtype_error_array(V1),ECL_ARRAY_HAS_FILL_POINTER_P(V1))){
	goto L2;}
	T0= cl_array_displacement(V1)             /*  ARRAY-DISPLACEMENT */;
	value0=Null(T0)?Ct:Cnil; cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for COMPLEX-ARRAY-P                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25complex_array_p(cl_object V1)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_ARRAYP(V1))){
	goto L2;}
	value0=ecl_make_bool((ECL_ARRAYP(V1)? (void)0: FEtype_error_array(V1),ECL_ADJUSTABLE_ARRAY_P(V1)));
	if((value0)!=Cnil){
	goto L5;}
	value0=ecl_make_bool((ECL_ARRAYP(V1)?(void)0:FEtype_error_array(V1),ECL_ARRAY_HAS_FILL_POINTER_P(V1)));
	if((value0)!=Cnil){
	goto L5;}
	value0=cl_array_displacement(V1)          /*  ARRAY-DISPLACEMENT */;
	return value0;
L5:;
	cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UPGRADED-ARRAY-ELEMENT-TYPE           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_upgraded_array_element_type(cl_narg narg, cl_object V1, ...)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{int8_t V3;                               /*  HASH            */
	cl_object V4;                             /*  RECORD          */
	T0= si_hash_eql(1,V1)                     /*  HASH-EQL        */;
	V3= ecl_to_int8_t(ecl_boole(ECL_BOOLAND,(MAKE_FIXNUM(127)),(T0)));
	{int8_t V5;
	if (ecl_unlikely(!ECL_VECTORP(ECL_SYM_VAL(cl_env_copy,VV[5]))))
           FEtype_error_vector(ECL_SYM_VAL(cl_env_copy,VV[5]));
	if (ecl_unlikely(((cl_fixnum)(V3))>=(ECL_SYM_VAL(cl_env_copy,VV[5]))->vector.dim))
           FEwrong_index(Cnil,ECL_SYM_VAL(cl_env_copy,VV[5]),-1,MAKE_FIXNUM((cl_fixnum)(V3)),(ECL_SYM_VAL(cl_env_copy,VV[5]))->vector.dim);
	V5= V3;
	V4= ecl_aref_unsafe(ECL_SYM_VAL(cl_env_copy,VV[5]),(cl_fixnum)(V5));}
	if((V4)==Cnil){
	goto L8;}
	T0= cl_car(V4)                            /*  CAR             */;
	if(!((T0)==(V1))){
	goto L8;}
	value0=cl_cdr(V4)                         /*  CDR             */;
	return value0;
L8:;
	{cl_object V5;                            /*  ANSWER          */
	if((si_memq(V1,VV[36]))==Cnil){
	goto L13;}
	V5= V1;
	goto L11;
L13:;
	{cl_object V6;                            /*  %DOLIST-VAR     */
	cl_object V7;                             /*  V               */
	V6= ecl_symbol_value(VV[35]);
	V7= Cnil;
	goto L20;
L19:;
	V7= cl_first(V6)                          /*  FIRST           */;
	if((cl_subtypep(2,V1,V7)                  /*  SUBTYPEP        */)==Cnil){
	goto L26;}
	V5= V7;
	goto L11;
L26:;
	goto L24;
L24:;
	V6= CDR(V6);
L20:;
	if((V6)==Cnil){
	goto L32;}
	goto L19;
L32:;
	goto L30;
L30:;
	goto L17;
L17:;
	V7= Cnil;
	V5= Ct;
	goto L11;
	}
L11:;
	{cl_object V6;
	V6= ecl_symbol_value(VV[5]);
	{int8_t V7;
	if (ecl_unlikely(!ECL_VECTORP(V6)))
           FEtype_error_vector(V6);
	if (ecl_unlikely(((cl_fixnum)(V3))>=(V6)->vector.dim))
           FEwrong_index(Cnil,V6,-1,MAKE_FIXNUM((cl_fixnum)(V3)),(V6)->vector.dim);
	V7= V3;
	T0= CONS(V1,V5);
	ecl_aset_unsafe(V6,(cl_fixnum)(V7),T0);}
	}
	value0=V5; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for UPGRADED-COMPLEX-PART-TYPE            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_upgraded_complex_part_type(cl_narg narg, cl_object V1, ...)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if((cl_subtypep(2,V1,ECL_SYM("REAL",701)) /*  SUBTYPEP        */)!=Cnil){
	goto L4;}
	(void)cl_error(2,_ecl_static_3,V1)        /*  ERROR           */;
	goto L2;
L4:;
	goto L2;
L2:;
	value0=ECL_SYM("REAL",701); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for IN-INTERVAL-P                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L26in_interval_p(cl_object V1, cl_object V2)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LOW             */
	cl_object V4;                             /*  HIGH            */
	V3= Cnil;
	V4= Cnil;
	if(!(ecl_endp(V2))){
	goto L5;}
	V3= ECL_SYM("*",16);
	V4= ECL_SYM("*",16);
	goto L3;
L5:;
	T0= cl_cdr(V2)                            /*  CDR             */;
	if(!(ecl_endp(T0))){
	goto L11;}
	V3= cl_car(V2)                            /*  CAR             */;
	V4= ECL_SYM("*",16);
	goto L3;
L11:;
	V3= cl_car(V2)                            /*  CAR             */;
	V4= cl_second(V2)                         /*  SECOND          */;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_make_bool((V3)==(ECL_SYM("*",16)));
	if((V5)==Cnil){
	goto L22;}
	goto L19;
L22:;
	if(!(ECL_CONSP(V3))){
	goto L25;}
	T0= cl_car(V3)                            /*  CAR             */;
	if(!(ecl_number_compare(V1,T0)<=0)){
	goto L28;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L28:;
	goto L19;
L25:;
	{cl_object V6;
	if(!(ecl_number_compare(V1,V3)<0)){
	goto L32;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L32:;
	V6= Cnil;
	goto L30;
L30:;
	if((V6)==Cnil){
	goto L35;}
	goto L19;
L35:;
	goto L19;
	}
	}
L19:;
	{cl_object V5;
	V5= ecl_make_bool((V4)==(ECL_SYM("*",16)));
	if((V5)==Cnil){
	goto L40;}
	goto L37;
L40:;
	if(!(ECL_CONSP(V4))){
	goto L43;}
	T0= cl_car(V4)                            /*  CAR             */;
	if(!(ecl_number_compare(V1,T0)>=0)){
	goto L46;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L46:;
	goto L37;
L43:;
	{cl_object V6;
	if(!(ecl_number_compare(V1,V4)>0)){
	goto L50;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L50:;
	V6= Cnil;
	goto L48;
L48:;
	if((V6)==Cnil){
	goto L53;}
	goto L37;
L53:;
	goto L37;
	}
	}
L37:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for ERROR-TYPE-SPECIFIER                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27error_type_specifier(cl_object V1)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	ecl_print(V1,Cnil);
	value0=cl_error(2,_ecl_static_4,V1)       /*  ERROR           */;
	return value0;
}}
/*	function definition for MATCH-DIMENSIONS                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28match_dimensions(cl_object V1, cl_object V2)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_bool((V2)==(ECL_SYM("*",16)));
	if((value0)!=Cnil){
	goto L2;}
	{int8_t V3;                               /*  RANK            */
	V3= ecl_to_int8_t(cl_array_rank(V1)       /*  ARRAY-RANK      */);
	if(!(ecl_numberp(V2))){
	goto L6;}
	value0=ecl_make_bool(ecl_number_equalp(ecl_make_int8_t(V3),V2)); cl_env_copy->nvalues=1;
	return value0;
L6:;
	if(!(ECL_LISTP(V2))){
	goto L9;}
	{cl_object V4;                            /*  I               */
	V4= MAKE_FIXNUM(0);
	goto L15;
L14:;
	if(!(ECL_CONSP(V2))){
	goto L22;}
	T0= cl_car(V2)                            /*  CAR             */;
	if((T0)==(ECL_SYM("*",16))){
	goto L19;}
	{cl_fixnum V5;
	V5= ecl_array_dimension(V1,fixint(V4));
	T0= cl_car(V2)                            /*  CAR             */;
	if((MAKE_FIXNUM(V5))==(T0)){
	goto L19;}
	goto L20;}
L22:;
	goto L20;
L20:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L19:;
	goto L17;
L17:;
	V2= cl_cdr(V2)                            /*  CDR             */;
	V4= ecl_one_plus(V4);
L15:;
	if(!(ecl_number_compare(V4,ecl_make_int8_t(V3))<0)){
	goto L31;}
	goto L14;
L31:;
	goto L29;
L29:;
	goto L11;
	}
L11:;
	value0=ecl_make_bool(V2==Cnil); cl_env_copy->nvalues=1;
	return value0;
L9:;
	if(!(ECL_ATOM(V2))){
	goto L34;}
	value0=cl_error(2,_ecl_static_5,V2)       /*  ERROR           */;
	return value0;
L34:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TYPEP                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_typep(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  TP              */
	cl_object V5;                             /*  I               */
	cl_object V6;                             /*  C               */
	V4= Cnil;
	V5= Cnil;
	V6= Cnil;
	if(!(ECL_SYMBOLP(V2))){
	goto L7;}
	{cl_object V7;                            /*  F               */
	V7= si_get_sysprop(V2,VV[34])             /*  GET-SYSPROP     */;
	if((V7)==Cnil){
	goto L11;}
	value0=ecl_function_dispatch(cl_env_copy,V7)(1,V1);
	return value0;
L11:;
	T0= cl_type_of(V1)                        /*  TYPE-OF         */;
	if(!((T0)==(V2))){
	goto L14;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L14:;
	V4= V2;
	V5= Cnil;
	goto L5;
	}
L7:;
	if(!(ECL_CONSP(V2))){
	goto L20;}
	V4= cl_car(V2)                            /*  CAR             */;
	V5= cl_cdr(V2)                            /*  CDR             */;
	goto L5;
L20:;
	if(!(ECL_INSTANCEP(V2))){
	goto L26;}
	T0= cl_class_of(V1)                       /*  CLASS-OF        */;
	value0=si_subclassp(2,T0,V2)              /*  SUBCLASSP       */;
	return value0;
L26:;
	(void)L27error_type_specifier(V2)         /*  ERROR-TYPE-SPECIFIER */;
	goto L5;
L5:;
	if(!((V4)==(ECL_SYM("EQL",332)))){
	goto L34;}
	goto L31;
	goto L32;
L34:;
	goto L32;
L32:;
	if(!((V4)==(ECL_SYM("MEMBER",550)))){
	goto L29;}
	goto L30;
L31:;
L30:;
	if((ecl_memql(V1,V5))==Cnil){
	goto L38;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L38:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L29:;
	if(!((V4)==(ECL_SYM("NOT",582)))){
	goto L41;}
	T0= cl_car(V5)                            /*  CAR             */;
	T1= cl_typep(2,V1,T0)                     /*  TYPEP           */;
	value0=Null(T1)?Ct:Cnil; cl_env_copy->nvalues=1;
	return value0;
L41:;
	if(!((V4)==(ECL_SYM("OR",612)))){
	goto L44;}
	{cl_object V7;                            /*  %DOLIST-VAR     */
	cl_object V8;                             /*  E               */
	V7= V5;
	V8= Cnil;
	goto L51;
L50:;
	V8= cl_first(V7)                          /*  FIRST           */;
	if((cl_typep(2,V1,V8)                     /*  TYPEP           */)==Cnil){
	goto L57;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L57:;
	goto L55;
L55:;
	V7= CDR(V7);
L51:;
	if((V7)==Cnil){
	goto L63;}
	goto L50;
L63:;
	goto L61;
L61:;
	goto L48;
L48:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L44:;
	if(!((V4)==(ECL_SYM("AND",85)))){
	goto L66;}
	{cl_object V9;                            /*  %DOLIST-VAR     */
	cl_object V10;                            /*  E               */
	V9= V5;
	V10= Cnil;
	goto L73;
L72:;
	V10= cl_first(V9)                         /*  FIRST           */;
	if((cl_typep(2,V1,V10)                    /*  TYPEP           */)!=Cnil){
	goto L79;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L79:;
	goto L77;
L77:;
	V9= CDR(V9);
L73:;
	if((V9)==Cnil){
	goto L85;}
	goto L72;
L85:;
	goto L83;
L83:;
	goto L70;
L70:;
	V10= Cnil;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
L66:;
	if(!((V4)==(ECL_SYM("SATISFIES",733)))){
	goto L90;}
	T0= cl_car(V5)                            /*  CAR             */;
	value0=ecl_function_dispatch(cl_env_copy,T0)(1,V1);
	return value0;
L90:;
	if(!(ecl_eql(V4,Ct))){
	goto L94;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L94:;
	if(!((V4)==(Cnil))){
	goto L98;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L98:;
	if(!((V4)==(ECL_SYM("BIGNUM",120)))){
	goto L102;}
	if(!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))){
	goto L105;}
	{bool V11;
	V11= FIXNUMP(V1);
	value0=(V11)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L105:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L102:;
	if(!((V4)==(ECL_SYM("RATIO",684)))){
	goto L108;}
	T0= cl_type_of(V1)                        /*  TYPE-OF         */;
	value0=ecl_make_bool((T0)==(ECL_SYM("RATIO",684))); cl_env_copy->nvalues=1;
	return value0;
L108:;
	if(!((V4)==(ECL_SYM("STANDARD-CHAR",792)))){
	goto L111;}
	if(!(CHARACTERP(V1))){
	goto L114;}
	value0=cl_standard_char_p(V1)             /*  STANDARD-CHAR-P */;
	return value0;
L114:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L111:;
	if(!((V4)==(ECL_SYM("INTEGER",435)))){
	goto L117;}
	if(!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))){
	goto L120;}
	value0=L26in_interval_p(V1,V5)            /*  IN-INTERVAL-P   */;
	return value0;
L120:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L117:;
	if(!((V4)==(ECL_SYM("RATIONAL",685)))){
	goto L123;}
	if((cl_rationalp(V1)                      /*  RATIONALP       */)==Cnil){
	goto L126;}
	value0=L26in_interval_p(V1,V5)            /*  IN-INTERVAL-P   */;
	return value0;
L126:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L123:;
	if(!((V4)==(ECL_SYM("FLOAT",372)))){
	goto L129;}
	if(!(floatp(V1))){
	goto L132;}
	value0=L26in_interval_p(V1,V5)            /*  IN-INTERVAL-P   */;
	return value0;
L132:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L129:;
	if(!((V4)==(ECL_SYM("REAL",701)))){
	goto L135;}
	if((cl_rationalp(V1)                      /*  RATIONALP       */)!=Cnil){
	goto L140;}
	if(!(floatp(V1))){
	goto L138;}
	goto L139;
L140:;
L139:;
	value0=L26in_interval_p(V1,V5)            /*  IN-INTERVAL-P   */;
	return value0;
L138:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L135:;
	if(!((V4)==(ECL_SYM("SINGLE-FLOAT",776)))){
	goto L148;}
	goto L145;
	goto L146;
L148:;
	goto L146;
L146:;
	if(!((V4)==(ECL_SYM("SHORT-FLOAT",754)))){
	goto L143;}
	goto L144;
L145:;
L144:;
	T0= cl_type_of(V1)                        /*  TYPE-OF         */;
	if(!((T0)==(ECL_SYM("SINGLE-FLOAT",776)))){
	goto L152;}
	value0=L26in_interval_p(V1,V5)            /*  IN-INTERVAL-P   */;
	return value0;
L152:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L143:;
	if(!((V4)==(ECL_SYM("DOUBLE-FLOAT",313)))){
	goto L155;}
	T0= cl_type_of(V1)                        /*  TYPE-OF         */;
	if(!((T0)==(ECL_SYM("DOUBLE-FLOAT",313)))){
	goto L159;}
	value0=L26in_interval_p(V1,V5)            /*  IN-INTERVAL-P   */;
	return value0;
L159:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L155:;
	if(!((V4)==(ECL_SYM("LONG-FLOAT",506)))){
	goto L162;}
	T0= cl_type_of(V1)                        /*  TYPE-OF         */;
	if(!((T0)==(ECL_SYM("LONG-FLOAT",506)))){
	goto L165;}
	value0=L26in_interval_p(V1,V5)            /*  IN-INTERVAL-P   */;
	return value0;
L165:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L162:;
	if(!((V4)==(ECL_SYM("COMPLEX",239)))){
	goto L168;}
	if((cl_complexp(V1)                       /*  COMPLEXP        */)==Cnil){
	goto L171;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L174;}
	T0= cl_realpart(V1)                       /*  REALPART        */;
	T1= cl_car(V5)                            /*  CAR             */;
	if((cl_typep(2,T0,T1)                     /*  TYPEP           */)==Cnil){
	goto L177;}
	T0= cl_imagpart(V1)                       /*  IMAGPART        */;
	T1= cl_car(V5)                            /*  CAR             */;
	value0=cl_typep(2,T0,T1)                  /*  TYPEP           */;
	return value0;
L177:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L174:;
	cl_env_copy->nvalues=1;
	return value0;
L171:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L168:;
	if(!((V4)==(ECL_SYM("SEQUENCE",739)))){
	goto L180;}
	value0=ecl_make_bool(ECL_LISTP(V1));
	if((value0)!=Cnil){
	goto L183;}
	value0=ecl_make_bool(ECL_VECTORP(V1)); cl_env_copy->nvalues=1;
	return value0;
L183:;
	cl_env_copy->nvalues=1;
	return value0;
L180:;
	if(!((V4)==(ECL_SYM("CONS",249)))){
	goto L186;}
	if(!(ECL_CONSP(V1))){
	goto L189;}
	if(ecl_endp(V5)){
	goto L192;}
	T0= cl_car(V1)                            /*  CAR             */;
	T1= cl_first(V5)                          /*  FIRST           */;
	if((cl_typep(2,T0,T1)                     /*  TYPEP           */)==Cnil){
	goto L189;}
	goto L191;
L192:;
L191:;
	T0= cl_cdr(V5)                            /*  CDR             */;
	value0=ecl_make_bool(ecl_endp(T0));
	if((value0)!=Cnil){
	goto L195;}
	T0= cl_cdr(V1)                            /*  CDR             */;
	T1= cl_second(V5)                         /*  SECOND          */;
	value0=cl_typep(2,T0,T1)                  /*  TYPEP           */;
	return value0;
L195:;
	cl_env_copy->nvalues=1;
	return value0;
L189:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L186:;
	if(!((V4)==(ECL_SYM("BASE-STRING",119)))){
	goto L198;}
	if((si_base_string_p(V1)                  /*  BASE-STRING-P   */)==Cnil){
	goto L201;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L204;}
	value0=L28match_dimensions(V1,V5)         /*  MATCH-DIMENSIONS */;
	return value0;
L204:;
	cl_env_copy->nvalues=1;
	return value0;
L201:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L198:;
	if(!((V4)==(ECL_SYM("STRING",803)))){
	goto L207;}
	if(!(ECL_STRINGP(V1))){
	goto L210;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L213;}
	value0=L28match_dimensions(V1,V5)         /*  MATCH-DIMENSIONS */;
	return value0;
L213:;
	cl_env_copy->nvalues=1;
	return value0;
L210:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L207:;
	if(!((V4)==(ECL_SYM("BIT-VECTOR",132)))){
	goto L216;}
	if(!(ECL_BIT_VECTOR_P(V1))){
	goto L219;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L222;}
	value0=L28match_dimensions(V1,V5)         /*  MATCH-DIMENSIONS */;
	return value0;
L222:;
	cl_env_copy->nvalues=1;
	return value0;
L219:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L216:;
	if(!((V4)==(ECL_SYM("SIMPLE-BASE-STRING",762)))){
	goto L225;}
	if((si_base_string_p(V1)                  /*  BASE-STRING-P   */)==Cnil){
	goto L228;}
	if((cl_simple_string_p(V1)                /*  SIMPLE-STRING-P */)==Cnil){
	goto L228;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L232;}
	value0=L28match_dimensions(V1,V5)         /*  MATCH-DIMENSIONS */;
	return value0;
L232:;
	cl_env_copy->nvalues=1;
	return value0;
L228:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L225:;
	if(!((V4)==(ECL_SYM("SIMPLE-STRING",769)))){
	goto L235;}
	if((cl_simple_string_p(V1)                /*  SIMPLE-STRING-P */)==Cnil){
	goto L238;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L241;}
	value0=L28match_dimensions(V1,V5)         /*  MATCH-DIMENSIONS */;
	return value0;
L241:;
	cl_env_copy->nvalues=1;
	return value0;
L238:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L235:;
	if(!((V4)==(ECL_SYM("SIMPLE-BIT-VECTOR",763)))){
	goto L244;}
	if((cl_simple_bit_vector_p(V1)            /*  SIMPLE-BIT-VECTOR-P */)==Cnil){
	goto L247;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L250;}
	value0=L28match_dimensions(V1,V5)         /*  MATCH-DIMENSIONS */;
	return value0;
L250:;
	cl_env_copy->nvalues=1;
	return value0;
L247:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L244:;
	if(!((V4)==(ECL_SYM("SIMPLE-VECTOR",772)))){
	goto L253;}
	if((cl_simple_vector_p(V1)                /*  SIMPLE-VECTOR-P */)==Cnil){
	goto L256;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L259;}
	value0=L28match_dimensions(V1,V5)         /*  MATCH-DIMENSIONS */;
	return value0;
L259:;
	cl_env_copy->nvalues=1;
	return value0;
L256:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L253:;
	if(!((V4)==(ECL_SYM("COMPLEX-ARRAY",1717)))){
	goto L262;}
	if((L25complex_array_p(V1)                /*  COMPLEX-ARRAY-P */)==Cnil){
	goto L265;}
	if(ecl_endp(V5)){
	goto L268;}
	T0= cl_car(V5)                            /*  CAR             */;
	if((T0)==(ECL_SYM("*",16))){
	goto L268;}
	T0= cl_array_element_type(V1)             /*  ARRAY-ELEMENT-TYPE */;
	T1= cl_car(V5)                            /*  CAR             */;
	T2= cl_upgraded_array_element_type(1,T1)  /*  UPGRADED-ARRAY-ELEMENT-TYPE */;
	if(!((T0)==(T2))){
	goto L265;}
	goto L267;
L268:;
L267:;
	T0= cl_cdr(V5)                            /*  CDR             */;
	value0=ecl_make_bool(ecl_endp(T0));
	if((value0)!=Cnil){
	goto L272;}
	T0= cl_second(V5)                         /*  SECOND          */;
	value0=L28match_dimensions(V1,T0)         /*  MATCH-DIMENSIONS */;
	return value0;
L272:;
	cl_env_copy->nvalues=1;
	return value0;
L265:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L262:;
	if(!((V4)==(ECL_SYM("SIMPLE-ARRAY",761)))){
	goto L275;}
	if((L24simple_array_p(V1)                 /*  SIMPLE-ARRAY-P  */)==Cnil){
	goto L278;}
	if(ecl_endp(V5)){
	goto L281;}
	T0= cl_car(V5)                            /*  CAR             */;
	if((T0)==(ECL_SYM("*",16))){
	goto L281;}
	T0= cl_array_element_type(V1)             /*  ARRAY-ELEMENT-TYPE */;
	T1= cl_car(V5)                            /*  CAR             */;
	T2= cl_upgraded_array_element_type(1,T1)  /*  UPGRADED-ARRAY-ELEMENT-TYPE */;
	if(!((T0)==(T2))){
	goto L278;}
	goto L280;
L281:;
L280:;
	T0= cl_cdr(V5)                            /*  CDR             */;
	value0=ecl_make_bool(ecl_endp(T0));
	if((value0)!=Cnil){
	goto L285;}
	T0= cl_second(V5)                         /*  SECOND          */;
	value0=L28match_dimensions(V1,T0)         /*  MATCH-DIMENSIONS */;
	return value0;
L285:;
	cl_env_copy->nvalues=1;
	return value0;
L278:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L275:;
	if(!((V4)==(ECL_SYM("ARRAY",94)))){
	goto L288;}
	if(!(ECL_ARRAYP(V1))){
	goto L291;}
	if(ecl_endp(V5)){
	goto L294;}
	T0= cl_car(V5)                            /*  CAR             */;
	if((T0)==(ECL_SYM("*",16))){
	goto L294;}
	T0= cl_array_element_type(V1)             /*  ARRAY-ELEMENT-TYPE */;
	T1= cl_car(V5)                            /*  CAR             */;
	T2= cl_upgraded_array_element_type(1,T1)  /*  UPGRADED-ARRAY-ELEMENT-TYPE */;
	if(!((T0)==(T2))){
	goto L291;}
	goto L293;
L294:;
L293:;
	T0= cl_cdr(V5)                            /*  CDR             */;
	value0=ecl_make_bool(ecl_endp(T0));
	if((value0)!=Cnil){
	goto L298;}
	T0= cl_second(V5)                         /*  SECOND          */;
	value0=L28match_dimensions(V1,T0)         /*  MATCH-DIMENSIONS */;
	return value0;
L298:;
	cl_env_copy->nvalues=1;
	return value0;
L291:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L288:;
	if((si_get_sysprop(V4,VV[9])              /*  GET-SYSPROP     */)==Cnil){
	goto L301;}
	T0= si_get_sysprop(V4,VV[9])              /*  GET-SYSPROP     */;
	T1= cl_apply(2,T0,V5)                     /*  APPLY           */;
	value0=cl_typep(2,V1,T1)                  /*  TYPEP           */;
	return value0;
L301:;
	if(!(ECL_CONSP(V5))){
	goto L304;}
	value0=L27error_type_specifier(V2)        /*  ERROR-TYPE-SPECIFIER */;
	return value0;
L304:;
	V6= cl_find_class(2,V2,Cnil)              /*  FIND-CLASS      */;
	if((V6)==Cnil){
	goto L307;}
	T0= cl_class_of(V1)                       /*  CLASS-OF        */;
	value0=si_subclassp(2,T0,V6)              /*  SUBCLASSP       */;
	return value0;
L307:;
	value0=L27error_type_specifier(V2)        /*  ERROR-TYPE-SPECIFIER */;
	return value0;
	}
}}
/*	function definition for SUBCLASSP                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_subclassp(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=ecl_make_bool((V1)==(V2));
	if((value0)!=Cnil){
	goto L2;}
	T0= ecl_instance_ref((V1),(4));
	value0=si_memq(V2,T0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for OF-CLASS-P                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
cl_object si_of_class_p(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	{cl_object V3;                            /*  X-CLASS         */
	V3= cl_class_of(V1)                       /*  CLASS-OF        */;
	if(!((V3)==(V2))){
	goto L3;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L3:;
	{cl_object V4;                            /*  X-CPL           */
	V4= (V3)->instance.slots[4];
	if(!(ECL_INSTANCEP(V2))){
	goto L7;}
	value0=si_memq(V2,V4); cl_env_copy->nvalues=1;
	return value0;
L7:;
	{cl_object V5;                            /*  %DOLIST-VAR     */
	cl_object V6;                             /*  C               */
	V5= V4;
	V6= Cnil;
	goto L14;
L13:;
	V6= CAR(V5);
	T0= (V6)->instance.slots[0];
	if(!((T0)==(V2))){
	goto L20;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L20:;
	goto L18;
L18:;
	V5= ECL_CONS_CDR(V5);
L14:;
	if((V5)==Cnil){
	goto L26;}
	goto L13;
L26:;
	goto L24;
L24:;
	goto L11;
L11:;
	V6= Cnil;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}
}
/*	function definition for NORMALIZE-TYPE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29normalize_type(cl_object V1)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  TP              */
	cl_object V3;                             /*  I               */
	cl_object V4;                             /*  FD              */
	V2= Cnil;
	V3= Cnil;
	V4= Cnil;
	if(!(ECL_SYMBOLP(V1))){
	goto L5;}
	V4= si_get_sysprop(V1,VV[9])              /*  GET-SYSPROP     */;
	if((V4)==Cnil){
	goto L8;}
	V1= ecl_function_dispatch(cl_env_copy,V4)(0);
	goto TTL;
L8:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=V1;
	return cl_env_copy->values[0];
L5:;
	if((ecl_function_dispatch(cl_env_copy,VV[85])(1,V1) /*  CLASSP */)==Cnil){
	goto L14;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=V1;
	return cl_env_copy->values[0];
L14:;
	if(!(ECL_ATOM(V1))){
	goto L17;}
	value0=L27error_type_specifier(V1)        /*  ERROR-TYPE-SPECIFIER */;
	return value0;
L17:;
	V2= cl_car(V1)                            /*  CAR             */;
	V3= cl_cdr(V1)                            /*  CDR             */;
	V4= si_get_sysprop(V2,VV[9])              /*  GET-SYSPROP     */;
	if((V4)==Cnil){
	goto L20;}
	V1= cl_apply(2,V4,V3)                     /*  APPLY           */;
	goto TTL;
L20:;
	if(!((V2)==(ECL_SYM("INTEGER",435)))){
	goto L30;}
	T0= cl_cadr(V3)                           /*  CADR            */;
	if(!(ECL_CONSP(T0))){
	goto L30;}
	T0= cl_car(V3)                            /*  CAR             */;
	T1= cl_caadr(V3)                          /*  CAADR           */;
	T2= ecl_one_minus(T1);
	T3= cl_list(2,T0,T2)                      /*  LIST            */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=T3;
	cl_env_copy->values[0]=V2;
	return cl_env_copy->values[0];
L30:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V3;
	cl_env_copy->values[0]=V2;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for EXPAND-DEFTYPE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30expand_deftype(cl_object V1)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_SYMBOLP(V1))){
	goto L2;}
	{cl_object V2;                            /*  FD              */
	V2= si_get_sysprop(V1,VV[9])              /*  GET-SYSPROP     */;
	if((V2)==Cnil){
	goto L6;}
	V1= ecl_function_dispatch(cl_env_copy,V2)(0);
	goto TTL;
L6:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	if(!(ECL_CONSP(V1))){
	goto L11;}
	if(!(ECL_SYMBOLP(V1))){
	goto L11;}
	{cl_object V3;                            /*  FD              */
	T0= cl_first(V1)                          /*  FIRST           */;
	V3= si_get_sysprop(T0,VV[9])              /*  GET-SYSPROP     */;
	if((V3)==Cnil){
	goto L16;}
	T0= cl_rest(V1)                           /*  REST            */;
	V1= ecl_function_dispatch(cl_env_copy,V3)(1,T0);
	goto TTL;
L16:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
L11:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ERROR-COERCE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L31error_coerce(cl_object V1, cl_object V2)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_error(3,_ecl_static_6,V1,V2)    /*  ERROR           */;
	return value0;
}}
/*	function definition for COERCE                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_coerce(cl_object V1, cl_object V2)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  AUX             */
	V3= Cnil;
	if((cl_typep(2,V1,V2)                     /*  TYPEP           */)==Cnil){
	goto L4;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L4:;
	goto L2;
L2:;
	V2= L30expand_deftype(V2)                 /*  EXPAND-DEFTYPE  */;
	if(!(ECL_ATOM(V2))){
	goto L9;}
	if(!((V2)==(Ct))){
	goto L12;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L12:;
	if(!((V2)==(ECL_SYM("LIST",479)))){
	goto L16;}
	{cl_object V4;                            /*  LET111          */
	cl_object V5;                             /*  IO              */
	cl_object V6;                             /*  L               */
	V4= si_make_seq_iterator(1,V1)            /*  MAKE-SEQ-ITERATOR */;
	V5= V4;
	V6= Cnil;
	goto L24;
L23:;
	{cl_object V7;
	V7= si_seq_iterator_next(V1,V5)           /*  SEQ-ITERATOR-NEXT */;
	T0= si_seq_iterator_ref(V1,V5)            /*  SEQ-ITERATOR-REF */;
	V6= CONS(T0,V6);
	V5= V7;}
L24:;
	if(V5==Cnil){
	goto L31;}
	goto L23;
L31:;
	goto L29;
L29:;
	goto L21;
L21:;
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
	}
L16:;
	if(!((V2)==(ECL_SYM("CHARACTER",220)))){
	goto L39;}
	goto L36;
	goto L37;
L39:;
	goto L37;
L37:;
	if(!((V2)==(ECL_SYM("BASE-CHAR",118)))){
	goto L34;}
	goto L35;
L36:;
L35:;
	value0=cl_character(V1)                   /*  CHARACTER       */;
	return value0;
L34:;
	if(!((V2)==(ECL_SYM("FLOAT",372)))){
	goto L43;}
	value0=cl_float(1,V1)                     /*  FLOAT           */;
	return value0;
L43:;
	if(!((V2)==(ECL_SYM("SINGLE-FLOAT",776)))){
	goto L46;}
	value0=ecl_make_singlefloat(ecl_to_float(V1)); cl_env_copy->nvalues=1;
	return value0;
L46:;
	if(!((V2)==(ECL_SYM("SHORT-FLOAT",754)))){
	goto L49;}
	value0=ecl_make_singlefloat(ecl_to_float(V1)); cl_env_copy->nvalues=1;
	return value0;
L49:;
	if(!((V2)==(ECL_SYM("DOUBLE-FLOAT",313)))){
	goto L52;}
	value0=ecl_make_doublefloat(ecl_to_double(V1)); cl_env_copy->nvalues=1;
	return value0;
L52:;
	if(!((V2)==(ECL_SYM("LONG-FLOAT",506)))){
	goto L55;}
	value0=cl_float(2,V1,cl_core.longfloat_zero) /*  FLOAT        */;
	return value0;
L55:;
	if(!((V2)==(ECL_SYM("COMPLEX",239)))){
	goto L58;}
	T0= cl_realpart(V1)                       /*  REALPART        */;
	T1= cl_imagpart(V1)                       /*  IMAGPART        */;
	value0=cl_complex(2,T0,T1)                /*  COMPLEX         */;
	return value0;
L58:;
	if(!((V2)==(ECL_SYM("FUNCTION",394)))){
	goto L61;}
	value0=si_coerce_to_function(V1)          /*  COERCE-TO-FUNCTION */;
	return value0;
L61:;
	if((ecl_memql(V2,VV[47]))==Cnil){
	goto L64;}
	value0=cl_concatenate(2,V2,V1)            /*  CONCATENATE     */;
	return value0;
L64:;
	if(ECL_LISTP(V1)){
	goto L69;}
	if((cl_vector(1,V1)                       /*  VECTOR          */)==Cnil){
	goto L67;}
	goto L68;
L69:;
L68:;
	value0=cl_concatenate(2,V2,V1)            /*  CONCATENATE     */;
	return value0;
L67:;
	value0=L31error_coerce(V1,V2)             /*  ERROR-COERCE    */;
	return value0;
L9:;
	V3= cl_first(V2)                          /*  FIRST           */;
	if(!((V3)==(ECL_SYM("COMPLEX",239)))){
	goto L72;}
	if((V2)==Cnil){
	goto L76;}
	T0= cl_realpart(V1)                       /*  REALPART        */;
	T1= cl_second(V2)                         /*  SECOND          */;
	T2= cl_coerce(T0,T1)                      /*  COERCE          */;
	T3= cl_imagpart(V1)                       /*  IMAGPART        */;
	T4= cl_second(V2)                         /*  SECOND          */;
	T5= cl_coerce(T3,T4)                      /*  COERCE          */;
	value0=cl_complex(2,T2,T5)                /*  COMPLEX         */;
	return value0;
L76:;
	T0= cl_realpart(V1)                       /*  REALPART        */;
	T1= cl_imagpart(V1)                       /*  IMAGPART        */;
	value0=cl_complex(2,T0,T1)                /*  COMPLEX         */;
	return value0;
L72:;
	if((ecl_memql(V3,VV[48]))==Cnil){
	goto L79;}
	V3= cl_coerce(V1,V3)                      /*  COERCE          */;
	if((cl_typep(2,V3,V2)                     /*  TYPEP           */)!=Cnil){
	goto L85;}
	(void)L31error_coerce(V1,V2)              /*  ERROR-COERCE    */;
	goto L83;
L85:;
	goto L83;
L83:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L79:;
	if(!((V3)==(ECL_SYM("AND",85)))){
	goto L88;}
	{cl_object V7;                            /*  %DOLIST-VAR     */
	cl_object V8;                             /*  TYPE            */
	V7= cl_rest(V2)                           /*  REST            */;
	V8= Cnil;
	goto L96;
L95:;
	V8= cl_first(V7)                          /*  FIRST           */;
	V3= cl_coerce(V3,V8)                      /*  COERCE          */;
	V7= CDR(V7);
L96:;
	if((V7)==Cnil){
	goto L106;}
	goto L95;
L106:;
	goto L104;
L104:;
	goto L93;
L93:;
	}
	if((cl_typep(2,V3,V2)                     /*  TYPEP           */)!=Cnil){
	goto L110;}
	(void)L31error_coerce(V1,V2)              /*  ERROR-COERCE    */;
	goto L108;
L110:;
	goto L108;
L108:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L88:;
	if(ECL_LISTP(V1)){
	goto L115;}
	if((cl_vector(1,V1)                       /*  VECTOR          */)==Cnil){
	goto L113;}
	goto L114;
L115:;
L114:;
	value0=cl_concatenate(2,V2,V1)            /*  CONCATENATE     */;
	return value0;
L113:;
	value0=L31error_coerce(V1,V2)             /*  ERROR-COERCE    */;
	return value0;
	}
}}
/*	function definition for NEW-TYPE-TAG                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L32new_type_tag()
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;
	V1= ecl_symbol_value(VV[50]);
	cl_set(VV[50],cl_ash(ecl_symbol_value(VV[50]),MAKE_FIXNUM(1)) /*  ASH */);
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for FIND-REGISTERED-TAG                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L33find_registered_tag(cl_narg narg, cl_object V1, ...)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= (ECL_SYM("EQUAL",333)->symbol.gfdef);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  POS             */
	{cl_object V4;
	V4= ecl_symbol_value(VV[53]);
	goto L7;
L6:;
	{cl_object V5;
	cl_object V6;
	if (ecl_unlikely(ATOM(V4))) FEtype_error_cons(V4);
	V5= V4;
	V6= ECL_CONS_CAR(V5);
	if((V6)==Cnil){
	goto L14;}
	{cl_object V7;
	if (ecl_unlikely(ATOM(V6))) FEtype_error_cons(V6);
	T0= V6;
	V7= ECL_CONS_CAR(T0);
	if((ecl_function_dispatch(cl_env_copy,V2)(2,V1,V7))==Cnil){
	goto L20;}
	V3= V6;
	goto L2;
L20:;
	goto L9;
	}
L14:;
	goto L9;
	}
L9:;
	V4= ECL_CONS_CDR(V4);
L7:;
	if(V4==Cnil){
	goto L26;}
	goto L6;
L26:;
	goto L24;
L24:;
	goto L4;
L4:;
	V3= Cnil;
	}
L2:;
	if((V3)==Cnil){
	goto L29;}
	value0=cl_cdr(V3)                         /*  CDR             */;
	return value0;
L29:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for MAYBE-SAVE-TYPES                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L34maybe_save_types()
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[49]))==Cnil){
	goto L2;}
	cl_set(VV[49],Cnil);
	cl_set(VV[53],cl_copy_tree(ecl_symbol_value(VV[53])) /*  COPY-TREE */);
	cl_set(VV[51],cl_copy_tree(ecl_symbol_value(VV[51])) /*  COPY-TREE */);
	value0=ecl_symbol_value(VV[51]); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UPDATE-TYPES                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35update_types(cl_object V1, cl_object V2)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)L34maybe_save_types()               /*  MAYBE-SAVE-TYPES */;
	{cl_object V3;                            /*  %DOLIST-VAR     */
	cl_object V4;                             /*  I               */
	V3= ecl_symbol_value(VV[53]);
	V4= Cnil;
	goto L7;
L6:;
	V4= cl_first(V3)                          /*  FIRST           */;
	T0= cl_cdr(V4)                            /*  CDR             */;
	T1= ecl_boole(ECL_BOOLAND,(T0),(V1));
	if(ecl_zerop(T1)){
	goto L13;}
	{cl_object V5;
	T0= cl_cdr(V4)                            /*  CDR             */;
	V5= ecl_boole(ECL_BOOLIOR,(V2),(T0));
	if (ecl_unlikely(ATOM(V4)))FEtype_error_cons(V4);
	ECL_CONS_CDR(V4) = V5;
	goto L11;
	}
L13:;
	goto L11;
L11:;
	V3= CDR(V3);
L7:;
	if((V3)==Cnil){
	goto L21;}
	goto L6;
L21:;
	goto L19;
L19:;
	goto L4;
L4:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for FIND-TYPE-BOUNDS                      */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object L36find_type_bounds(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	{cl_object V5;                            /*  SUBTYPE-TAG     */
	cl_object V6;                             /*  DISJOINT-TAG    */
	cl_object V7;                             /*  SUPERTYPE-TAG   */
	V5= MAKE_FIXNUM(0);
	V6= MAKE_FIXNUM(0);
	if((V4)==Cnil){
	goto L5;}
	V7= MAKE_FIXNUM(-1);
	goto L3;
L5:;
	V7= MAKE_FIXNUM(0);
	goto L3;
L3:;
	{cl_object V8;                            /*  %DOLIST-VAR     */
	cl_object V9;                             /*  I               */
	V8= ECL_SYM_VAL(cl_env_copy,VV[53]);
	V9= Cnil;
	goto L13;
L12:;
	V9= CAR(V8);
	{cl_object V10;                           /*  LET115          */
	cl_object V11;                            /*  LET116          */
	V10= ECL_CONS_CAR(V9);
	V11= ECL_CONS_CDR(V9);
	if(((cl_env_copy->function=V2)->cfun.entry(1,V10))==Cnil){
	goto L21;}
	if(((cl_env_copy->function=V3)->cfun.entry(2,V1,V10))==Cnil){
	goto L24;}
	if((V4)==Cnil){
	goto L27;}
	T0= ecl_boole(ECL_BOOLANDC2,(V11),(V7));
	if(!(ecl_zerop(T0))){
	goto L30;}
	V7= V11;
	goto L17;
L30:;
	goto L17;
L27:;
	V7= ecl_boole(ECL_BOOLIOR,(V11),(V7));
	goto L17;
L24:;
	if(((cl_env_copy->function=V3)->cfun.entry(2,V10,V1))==Cnil){
	goto L35;}
	V5= ecl_boole(ECL_BOOLIOR,(V11),(V5));
	goto L17;
L35:;
	V6= ecl_boole(ECL_BOOLIOR,(V6),(V11));
	goto L17;
L21:;
	goto L17;
	}
L17:;
	V8= ECL_CONS_CDR(V8);
L13:;
	if((V8)==Cnil){
	goto L43;}
	goto L12;
L43:;
	goto L41;
L41:;
	goto L10;
L10:;
	}
	if(!(ecl_number_equalp(V7,MAKE_FIXNUM(-1)))){
	goto L47;}
	T0= MAKE_FIXNUM(0);
	goto L45;
L47:;
	T1= ecl_boole(ECL_BOOLIOR,(V6),(V5));
	T0= ecl_boole(ECL_BOOLANDC2,(V7),(T1));
	goto L45;
L45:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V5;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}
/*	function definition for REGISTER-TYPE                         */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object L37register_type(cl_object V1, cl_object V2, cl_object V3)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	value0=L33find_registered_tag(1,V1)       /*  FIND-REGISTERED-TAG */;
	if((value0)!=Cnil){
	goto L2;}
	cl_env_copy->values[0]=L36find_type_bounds(V1,V2,V3,Cnil) /*  FIND-TYPE-BOUNDS */;
	{
	cl_object V5;                             /*  TAG-SUPER       */
	cl_object V6;                             /*  TAG-SUB         */
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L5;
	V5= cl_env_copy->values[0];
	if (V7--<=0) goto L6;
	V6= cl_env_copy->values[1];
	goto L7;}
L5:;
	V5= Cnil;
L6:;
	V6= Cnil;
L7:;
	{cl_object V7;                            /*  TAG             */
	V7= L32new_type_tag()                     /*  NEW-TYPE-TAG    */;
	T0= ecl_boole(ECL_BOOLANDC2,(V5),(V6));
	(void)L35update_types(T0,V7)              /*  UPDATE-TYPES    */;
	V7= ecl_boole(ECL_BOOLIOR,(V7),(V6));
	(void)L41push_type(V1,V7)                 /*  PUSH-TYPE       */;
	value0=V7; cl_env_copy->nvalues=1;
	return value0;
	}}
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}
/*	function definition for REGISTER-MEMBER-TYPE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L38register_member_type(cl_object V1)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  POS             */
	V2= ecl_assql(V1,ecl_symbol_value(VV[51]));
	{cl_object V3;
	if((V2)==Cnil){
	goto L4;}
	V3= cl_cdr(V2)                            /*  CDR             */;
	goto L2;
L4:;
	V3= Cnil;
	goto L2;
L2:;
	if((V3)==Cnil){
	goto L7;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L7:;
	if((cl_realp(V1)                          /*  REALP           */)!=Cnil){
	goto L10;}
	value0=L39simple_member_type(V1)          /*  SIMPLE-MEMBER-TYPE */;
	return value0;
L10:;
	if(!(floatp(V1))){
	goto L13;}
	if(!(ecl_zerop(V1))){
	goto L13;}
	T0= cl_float_sign(1,V1)                   /*  FLOAT-SIGN      */;
	if(!(ecl_minusp(T0))){
	goto L17;}
	value0=L39simple_member_type(V1)          /*  SIMPLE-MEMBER-TYPE */;
	return value0;
L17:;
	T0= L40number_member_type(V1)             /*  NUMBER-MEMBER-TYPE */;
	T1= ecl_negate(V1);
	T2= L38register_member_type(T1)           /*  REGISTER-MEMBER-TYPE */;
	value0=ecl_boole(ECL_BOOLANDC2,(T0),(T2)); cl_env_copy->nvalues=1;
	return value0;
L13:;
	value0=L40number_member_type(V1)          /*  NUMBER-MEMBER-TYPE */;
	return value0;
	}
	}
}}
/*	function definition for SIMPLE-MEMBER-TYPE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L39simple_member_type(cl_object V1)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  TAG             */
	V2= L32new_type_tag()                     /*  NEW-TYPE-TAG    */;
	(void)L34maybe_save_types()               /*  MAYBE-SAVE-TYPES */;
	cl_set(VV[51],cl_acons(V1,V2,ecl_symbol_value(VV[51])) /*  ACONS */);
	{cl_object V3;                            /*  %DOLIST-VAR     */
	cl_object V4;                             /*  I               */
	V3= ecl_symbol_value(VV[53]);
	V4= Cnil;
	goto L11;
L10:;
	V4= cl_first(V3)                          /*  FIRST           */;
	{cl_object V5;                            /*  TYPE            */
	V5= cl_car(V4)                            /*  CAR             */;
	if((cl_typep(2,V1,V5)                     /*  TYPEP           */)==Cnil){
	goto L18;}
	{cl_object V6;
	T0= cl_cdr(V4)                            /*  CDR             */;
	V6= ecl_boole(ECL_BOOLIOR,(V2),(T0));
	if (ecl_unlikely(ATOM(V4)))FEtype_error_cons(V4);
	ECL_CONS_CDR(V4) = V6;
	goto L15;
	}
L18:;
	goto L15;
	}
L15:;
	V3= CDR(V3);
L11:;
	if((V3)==Cnil){
	goto L26;}
	goto L10;
L26:;
	goto L24;
L24:;
	goto L8;
L8:;
	}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for NUMBER-MEMBER-TYPE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L40number_member_type(cl_object V1)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  BASE-TYPE       */
	cl_object V3;                             /*  TYPE            */
	if(!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))){
	goto L3;}
	V2= ECL_SYM("INTEGER",435);
	goto L1;
L3:;
	V2= cl_type_of(V1)                        /*  TYPE-OF         */;
	goto L1;
L1:;
	V3= cl_list(3,V2,V1,V1)                   /*  LIST            */;
	value0=L33find_registered_tag(1,V3)       /*  FIND-REGISTERED-TAG */;
	if((value0)!=Cnil){
	goto L7;}
	value0=L54register_interval_type(V3)      /*  REGISTER-INTERVAL-TYPE */;
	return value0;
L7:;
	cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for PUSH-TYPE                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L41push_type(cl_object V1, cl_object V2)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  %DOLIST-VAR     */
	cl_object V4;                             /*  I               */
	V3= ecl_symbol_value(VV[51]);
	V4= Cnil;
	goto L7;
L6:;
	V4= cl_first(V3)                          /*  FIRST           */;
	T0= cl_car(V4)                            /*  CAR             */;
	if((cl_typep(2,T0,V1)                     /*  TYPEP           */)==Cnil){
	goto L13;}
	T0= cl_cdr(V4)                            /*  CDR             */;
	V2= ecl_boole(ECL_BOOLIOR,(V2),(T0));
	goto L11;
L13:;
	goto L11;
L11:;
	V3= CDR(V3);
L7:;
	if((V3)==Cnil){
	goto L20;}
	goto L6;
L20:;
	goto L18;
L18:;
	goto L4;
L4:;
	}
	T0= CONS(V1,V2);
	cl_set(VV[53],CONS(T0,ecl_symbol_value(VV[53])));
	value0=ecl_symbol_value(VV[53]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REGISTER-SATISFIES-TYPE               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L42register_satisfies_type(cl_object V1)
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=ECL_SYM("SATISFIES",733); cl_env_copy->nvalues=1;
	cl_throw(VV[57]);
}}
/*	function definition for REGISTER-CLASS                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L45register_class(cl_object V1)
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L33find_registered_tag(1,V1)       /*  FIND-REGISTERED-TAG */;
	if((value0)!=Cnil){
	goto L2;}
	{cl_object V2;                            /*  NAME            */
	V2= (cl_env_copy->function=(ECL_SYM("CLASS-NAME",932)->symbol.gfdef))->cfun.entry(1,V1) /*  CLASS-NAME */;
	if((V2)==Cnil){
	goto L7;}
	T0= cl_find_class(2,V2,Cnil)              /*  FIND-CLASS      */;
	if(!((V1)==(T0))){
	goto L7;}
	value0=L33find_registered_tag(1,V2)       /*  FIND-REGISTERED-TAG */;
	if((value0)!=Cnil){
	goto L11;}
	value0=L59find_built_in_tag(V2)           /*  FIND-BUILT-IN-TAG */;
	goto L4;
L11:;
	goto L4;
L7:;
	value0=Cnil;
	goto L4;
	}
L4:;
	if((value0)!=Cnil){
	goto L2;}
	if((ecl_function_dispatch(cl_env_copy,ECL_SYM("CLASS-FINALIZED-P",1446))(1,V1) /*  CLASS-FINALIZED-P */)!=Cnil){
	goto L15;}
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	cl_throw(VV[57]);
L15:;
	value0=Cnil;
	goto L13;
L13:;
	if((value0)!=Cnil){
	goto L2;}
	T0= ecl_make_cfun((cl_objectfn_fixed)LC43__g142,Cnil,Cblock,1);
	T1= ecl_make_cfun((cl_objectfn_fixed)LC44__g143,Cnil,Cblock,2);
	value0=L37register_type(V1,T0,T1)         /*  REGISTER-TYPE   */;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G142                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43__g142(cl_object V1)
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_bool(ECL_INSTANCEP(V1));
	if((value0)!=Cnil){
	goto L2;}
	value0=ecl_make_bool(ECL_SYMBOLP(V1)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G143                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44__g143(cl_object V1, cl_object V2)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_SYMBOLP(V1))){
	goto L3;}
	V1= cl_find_class(2,V1,Cnil)              /*  FIND-CLASS      */;
	goto L1;
L3:;
	goto L1;
L1:;
	if(!(ECL_SYMBOLP(V2))){
	goto L8;}
	V2= cl_find_class(2,V2,Cnil)              /*  FIND-CLASS      */;
	goto L6;
L8:;
	goto L6;
L6:;
	if((V1)==Cnil){
	goto L12;}
	if((V2)==Cnil){
	goto L12;}
	value0=si_subclassp(2,V1,V2)              /*  SUBCLASSP       */;
	return value0;
L12:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REGISTER-ARRAY-TYPE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L46register_array_type(cl_object V1)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L48parse_array_type(V1) /*  PARSE-ARRAY-TYPE */;
	{
	cl_object V3;                             /*  ARRAY-CLASS     */
	cl_object V4;                             /*  ELT-TYPE        */
	cl_object V5;                             /*  DIMENSIONS      */
	{int V6=cl_env_copy->nvalues-0;
	if (V6--<=0) goto L2;
	V3= cl_env_copy->values[0];
	if (V6--<=0) goto L3;
	V4= cl_env_copy->values[1];
	if (V6--<=0) goto L4;
	V5= cl_env_copy->values[2];
	goto L5;}
L2:;
	V3= Cnil;
L3:;
	V4= Cnil;
L4:;
	V5= Cnil;
L5:;
	if(!((V4)==(ECL_SYM("*",16)))){
	goto L7;}
	{cl_object V6;
	cl_object V7;
	V6= Cnil;
	V7= ecl_symbol_value(VV[35]);
	{cl_object V8;
	cl_object V9;
	V8= ecl_list1(Cnil);
	V9= V8;
L15:;
	V6= CAR(V7);
	V7= CDR(V7);
	T1= V9;
	T2= cl_list(3,V3,V6,V5)                   /*  LIST            */;
	V9= ecl_list1(T2);
	if (ecl_unlikely(ATOM(T1)))FEtype_error_cons(T1);
	ECL_CONS_CDR(T1) = V9;
	if(!(ecl_endp(V7))){
	goto L26;}
	goto L16;
L26:;
	goto L24;
L24:;
	goto L15;
L16:;
	T0= cl_cdr(V8)                            /*  CDR             */;
	goto L9;
	}
	}
L9:;
	T1= CONS(ECL_SYM("OR",612),T0);
	value0=L61canonical_type(T1)              /*  CANONICAL-TYPE  */;
	return value0;
L7:;
	{cl_object V6;
	V1= cl_list(3,V3,V4,V5)                   /*  LIST            */;
	V6= L33find_registered_tag(1,V1)          /*  FIND-REGISTERED-TAG */;
	if((V6)==Cnil){
	goto L33;}
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
L33:;
	T0= ecl_fdefinition(VV[62]);
	T1= ecl_fdefinition(VV[59]);
	value0=L37register_type(V1,T0,T1)         /*  REGISTER-TYPE   */;
	return value0;
	}}
}}
/*	function definition for FAST-UPGRADED-ARRAY-ELEMENT-TYPE      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L47fast_upgraded_array_element_type(cl_object V1)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L2;}
	value0=ECL_SYM("*",16); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((si_memq(V1,VV[36]))==Cnil){
	goto L5;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L5:;
	{cl_object V2;                            /*  %DOLIST-VAR     */
	cl_object V3;                             /*  OTHER-TYPE      */
	V2= ecl_symbol_value(VV[35]);
	V3= Cnil;
	goto L12;
L11:;
	V3= cl_first(V2)                          /*  FIRST           */;
	if((L63fast_subtypep(V1,V3)               /*  FAST-SUBTYPEP   */)==Cnil){
	goto L18;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L18:;
	goto L16;
L16:;
	V2= CDR(V2);
L12:;
	if((V2)==Cnil){
	goto L24;}
	goto L11;
L24:;
	goto L22;
L22:;
	goto L9;
L9:;
	V3= Cnil;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for PARSE-ARRAY-TYPE                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L48parse_array_type(cl_object V1)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  TYPE            */
	cl_object V3;                             /*  NAME            */
	cl_object V4;                             /*  ELT-TYPE        */
	cl_object V5;                             /*  DIMS            */
	V2= V1;
	{cl_object V6;
	V6= cl_car(V2)                            /*  CAR             */;
	V2= cl_cdr(V2)                            /*  CDR             */;
	V3= V6;
	}
	if((V2)==Cnil){
	goto L9;}
	{cl_object V6;
	V6= cl_car(V2)                            /*  CAR             */;
	V2= cl_cdr(V2)                            /*  CDR             */;
	T0= V6;
	goto L7;
	}
L9:;
	T0= ECL_SYM("*",16);
	goto L7;
L7:;
	V4= L47fast_upgraded_array_element_type(T0) /*  FAST-UPGRADED-ARRAY-ELEMENT-TYPE */;
	if((V2)==Cnil){
	goto L16;}
	{cl_object V6;
	V6= cl_car(V2)                            /*  CAR             */;
	V2= cl_cdr(V2)                            /*  CDR             */;
	V5= V6;
	goto L14;
	}
L16:;
	V5= ECL_SYM("*",16);
	goto L14;
L14:;
	if((V2)==Cnil){
	goto L23;}
	(void)cl_error(2,_ecl_static_7,V1)        /*  ERROR           */;
	goto L21;
L23:;
	goto L21;
L21:;
	if(!(ecl_numberp(V5))){
	goto L27;}
	if((cl_L(3,MAKE_FIXNUM(-1),V5,MAKE_FIXNUM(64)) /*  <          */)!=Cnil){
	goto L31;}
	(void)cl_error(2,_ecl_static_8,V1)        /*  ERROR           */;
	goto L29;
L31:;
	goto L29;
L29:;
	T0= ecl_minus(MAKE_FIXNUM(64),V5);
	V5= ecl_nthcdr(fixint(T0),VV[58]);
	goto L25;
L27:;
	if(!(ECL_CONSP(V5))){
	goto L35;}
	{cl_object V6;                            /*  %DOLIST-VAR     */
	cl_object V7;                             /*  I               */
	V6= V5;
	V7= Cnil;
	goto L42;
L41:;
	V7= cl_first(V6)                          /*  FIRST           */;
	if((V7)==(ECL_SYM("*",16))){
	goto L48;}
	if(!(ECL_FIXNUMP(V7)||ECL_BIGNUMP(V7))){
	goto L52;}
	if((cl_L(3,MAKE_FIXNUM(-1),V7,MAKE_FIXNUM(536870911)) /*  <   */)!=Cnil){
	goto L48;}
	goto L49;
L52:;
	goto L49;
L49:;
	(void)cl_error(2,_ecl_static_9,V1)        /*  ERROR           */;
	goto L46;
L48:;
	goto L46;
L46:;
	V6= CDR(V6);
L42:;
	if((V6)==Cnil){
	goto L58;}
	goto L41;
L58:;
	goto L56;
L56:;
	goto L39;
L39:;
	goto L25;
	}
L35:;
	goto L25;
L25:;
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=V5;
	cl_env_copy->values[1]=V4;
	cl_env_copy->values[0]=V3;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ARRAY-TYPE-<=                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L49array_type___(cl_object V1, cl_object V2)
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_first(V1)                          /*  FIRST           */;
	T1= cl_first(V2)                          /*  FIRST           */;
	if(!((T0)==(T1))){
	goto L6;}
	T0= cl_second(V1)                         /*  SECOND          */;
	T1= cl_second(V2)                         /*  SECOND          */;
	if((T0)==(T1)){
	goto L3;}
	goto L4;
L6:;
	goto L4;
L4:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L3:;
	goto L1;
L1:;
	{cl_object V3;                            /*  LET119          */
	cl_object V4;                             /*  LET120          */
	V3= cl_third(V1)                          /*  THIRD           */;
	V4= cl_third(V2)                          /*  THIRD           */;
	if(!((V4)==(ECL_SYM("*",16)))){
	goto L11;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L11:;
	if(!((V3)==(ECL_SYM("*",16)))){
	goto L14;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L14:;
	{cl_object V5;                            /*  A               */
	cl_object V6;                             /*  B               */
	V5= V3;
	V6= V4;
	goto L21;
L20:;
	V5= cl_cdr(V5)                            /*  CDR             */;
	V6= cl_cdr(V6)                            /*  CDR             */;
L21:;
	if(ecl_endp(V5)){
	goto L28;}
	if(ecl_endp(V6)){
	goto L28;}
	T0= cl_car(V6)                            /*  CAR             */;
	if((T0)==(ECL_SYM("*",16))){
	goto L32;}
	T0= cl_car(V6)                            /*  CAR             */;
	T1= cl_car(V5)                            /*  CAR             */;
	if(!(ecl_eql(T0,T1))){
	goto L28;}
	goto L29;
L32:;
L29:;
	goto L20;
L28:;
	goto L26;
L26:;
	goto L18;
L18:;
	if(!(V5==Cnil)){
	goto L35;}
	value0=ecl_make_bool(V6==Cnil); cl_env_copy->nvalues=1;
	return value0;
L35:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for ARRAY-TYPE-P                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L50array_type_p(cl_object V1)
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_CONSP(V1))){
	goto L2;}
	{cl_object V2;
	V2= cl_first(V1)                          /*  FIRST           */;
	if(!((V2)==(ECL_SYM("COMPLEX-ARRAY",1717)))){
	goto L9;}
	value0=VV[60];
	goto L7;
L9:;
	value0=Cnil;
	goto L7;
L7:;
	if((value0)!=Cnil){
	goto L6;}
	if(!((V2)==(ECL_SYM("SIMPLE-ARRAY",761)))){
	goto L12;}
	value0=VV[61]; cl_env_copy->nvalues=1;
	return value0;
L12:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L6:;
	cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REGISTER-ELEMENTARY-INTERVAL          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L53register_elementary_interval(cl_object V1, cl_object V2)
{ VT60 VLEX60 CLSR60 STCK60
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	V1= cl_list(2,V1,V2)                      /*  LIST            */;
	T0= (ECL_SYM("EQUALP",334)->symbol.gfdef);
	value0=L33find_registered_tag(2,V1,T0)    /*  FIND-REGISTERED-TAG */;
	if((value0)!=Cnil){
	goto L4;}
	T0= ecl_make_cfun((cl_objectfn_fixed)LC51__g163,Cnil,Cblock,1);
	T1= ecl_make_cfun((cl_objectfn_fixed)LC52__g164,Cnil,Cblock,2);
	cl_env_copy->values[0]=L36find_type_bounds(V1,T0,T1,Ct) /*  FIND-TYPE-BOUNDS */;
	{
	cl_object V4;                             /*  TAG-SUPER       */
	cl_object V5;                             /*  TAG-SUB         */
	{int V6=cl_env_copy->nvalues-0;
	if (V6--<=0) goto L10;
	V4= cl_env_copy->values[0];
	if (V6--<=0) goto L11;
	V5= cl_env_copy->values[1];
	goto L12;}
L10:;
	V4= Cnil;
L11:;
	V5= Cnil;
L12:;
	{cl_object V6;                            /*  TAG             */
	V6= L32new_type_tag()                     /*  NEW-TYPE-TAG    */;
	T0= ecl_boole(ECL_BOOLANDC2,(V4),(V5));
	(void)L35update_types(T0,V6)              /*  UPDATE-TYPES    */;
	V6= ecl_boole(ECL_BOOLIOR,(V6),(V5));
	(void)L41push_type(V1,V6)                 /*  PUSH-TYPE       */;
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
	}}
L4:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G163                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51__g163(cl_object V1)
{ VT61 VLEX61 CLSR61 STCK61
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_CONSP(V1))){
	goto L2;}
	T0= cl_cddr(V1)                           /*  CDDR            */;
	value0=ecl_make_bool(T0==Cnil); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G164                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC52__g164(cl_object V1, cl_object V2)
{ VT62 VLEX62 CLSR62 STCK62
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_first(V1)                          /*  FIRST           */;
	T1= cl_first(V2)                          /*  FIRST           */;
	if(!((T0)==(T1))){
	goto L2;}
	T0= cl_second(V2)                         /*  SECOND          */;
	T1= cl_second(V1)                         /*  SECOND          */;
	value0=L55bounds___(T0,T1)                /*  BOUNDS-<=       */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REGISTER-INTERVAL-TYPE                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L54register_interval_type(cl_object V1)
{ VT63 VLEX63 CLSR63 STCK63
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  I               */
	cl_object V3;                             /*  TYPE            */
	cl_object V4;                             /*  LOW             */
	cl_object V5;                             /*  HIGH            */
	cl_object V6;                             /*  TAG-HIGH        */
	cl_object V7;                             /*  TAG-LOW         */
	cl_object V8;                             /*  TAG             */
	V2= V1;
	{cl_object V9;
	V9= cl_car(V2)                            /*  CAR             */;
	V2= cl_cdr(V2)                            /*  CDR             */;
	V3= V9;
	}
	if((V2)==Cnil){
	goto L8;}
	{cl_object V9;
	V9= cl_car(V2)                            /*  CAR             */;
	V2= cl_cdr(V2)                            /*  CDR             */;
	V4= V9;
	goto L6;
	}
L8:;
	V4= ECL_SYM("*",16);
	goto L6;
L6:;
	if((V2)==Cnil){
	goto L15;}
	{cl_object V9;
	V9= cl_car(V2)                            /*  CAR             */;
	V2= cl_cdr(V2)                            /*  CDR             */;
	V5= V9;
	goto L13;
	}
L15:;
	V5= ECL_SYM("*",16);
	goto L13;
L13:;
	if(!((V5)==(ECL_SYM("*",16)))){
	goto L22;}
	V6= MAKE_FIXNUM(0);
	goto L20;
L22:;
	if(!((V3)==(ECL_SYM("INTEGER",435)))){
	goto L25;}
	if(!(ECL_CONSP(V5))){
	goto L30;}
	T0= cl_first(V5)                          /*  FIRST           */;
	V5= ecl_ceiling1(T0);
	goto L28;
L30:;
	T0= ecl_one_plus(V5);
	V5= ecl_floor1(T0);
	goto L28;
L28:;
	V6= L53register_elementary_interval(V3,V5) /*  REGISTER-ELEMENTARY-INTERVAL */;
	goto L20;
L25:;
	if(!(ECL_CONSP(V5))){
	goto L33;}
	T0= cl_first(V5)                          /*  FIRST           */;
	V6= L53register_elementary_interval(V3,T0) /*  REGISTER-ELEMENTARY-INTERVAL */;
	goto L20;
L33:;
	T0= ecl_list1(V5);
	V6= L53register_elementary_interval(V3,T0) /*  REGISTER-ELEMENTARY-INTERVAL */;
	goto L20;
L20:;
	if((ECL_SYM("*",16))==(V4)){
	goto L40;}
	if(!((V3)==(ECL_SYM("INTEGER",435)))){
	goto L40;}
	if(!(ECL_FIXNUMP(V4)||ECL_BIGNUMP(V4))){
	goto L38;}
	goto L39;
L40:;
L39:;
	T0= V4;
	goto L36;
L38:;
	if(!(ECL_CONSP(V4))){
	goto L44;}
	T1= cl_first(V4)                          /*  FIRST           */;
	T2= ecl_one_plus(T1);
	T0= ecl_floor1(T2);
	goto L36;
L44:;
	T0= ecl_ceiling1(V4);
	goto L36;
L36:;
	V7= L53register_elementary_interval(V3,T0) /*  REGISTER-ELEMENTARY-INTERVAL */;
	V8= ecl_boole(ECL_BOOLANDC2,(V7),(V6));
	if((V5)==(ECL_SYM("*",16))){
	goto L49;}
	(void)L41push_type(V1,V8)                 /*  PUSH-TYPE       */;
	goto L47;
L49:;
	goto L47;
L47:;
	value0=V8; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for BOUNDS-<=                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L55bounds___(cl_object V1, cl_object V2)
{ VT64 VLEX64 CLSR64 STCK64
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L2;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!((V2)==(ECL_SYM("*",16)))){
	goto L5;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L5:;
	if(!(ECL_CONSP(V1))){
	goto L8;}
	if(!(ECL_CONSP(V2))){
	goto L11;}
	T0= cl_first(V1)                          /*  FIRST           */;
	T1= cl_first(V2)                          /*  FIRST           */;
	value0=ecl_make_bool(ecl_number_compare(T0,T1)<=0); cl_env_copy->nvalues=1;
	return value0;
L11:;
	T0= cl_first(V1)                          /*  FIRST           */;
	value0=ecl_make_bool(ecl_number_compare(T0,V2)<0); cl_env_copy->nvalues=1;
	return value0;
L8:;
	if(!(ECL_CONSP(V2))){
	goto L14;}
	T0= cl_first(V2)                          /*  FIRST           */;
	value0=ecl_make_bool(ecl_number_compare(V1,T0)<=0); cl_env_copy->nvalues=1;
	return value0;
L14:;
	value0=ecl_make_bool(ecl_number_compare(V1,V2)<=0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for BOUNDS-<                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L56bounds__(cl_object V1, cl_object V2)
{ VT65 VLEX65 CLSR65 STCK65
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L2;}
	{bool V3;
	V3= (V2)==(ECL_SYM("*",16));
	value0=(V3)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	if(!((V2)==(ECL_SYM("*",16)))){
	goto L5;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L5:;
	if(!(ECL_CONSP(V1))){
	goto L8;}
	if(!(ECL_CONSP(V2))){
	goto L11;}
	T0= cl_first(V1)                          /*  FIRST           */;
	T1= cl_first(V2)                          /*  FIRST           */;
	value0=ecl_make_bool(ecl_number_compare(T0,T1)<0); cl_env_copy->nvalues=1;
	return value0;
L11:;
	T0= cl_first(V1)                          /*  FIRST           */;
	value0=ecl_make_bool(ecl_number_compare(T0,V2)<0); cl_env_copy->nvalues=1;
	return value0;
L8:;
	if(!(ECL_CONSP(V2))){
	goto L14;}
	T0= cl_first(V2)                          /*  FIRST           */;
	value0=ecl_make_bool(ecl_number_compare(V1,T0)<=0); cl_env_copy->nvalues=1;
	return value0;
L14:;
	value0=ecl_make_bool(ecl_number_compare(V1,V2)<0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CANONICAL-COMPLEX-TYPE                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L57canonical_complex_type(cl_object V1)
{ VT66 VLEX66 CLSR66 STCK66
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==(ECL_SYM("*",16))){
	goto L3;}
	(void)cl_upgraded_complex_part_type(1,V1) /*  UPGRADED-COMPLEX-PART-TYPE */;
	goto L1;
L3:;
	goto L1;
L1:;
	value0=L33find_registered_tag(1,VV[65])   /*  FIND-REGISTERED-TAG */;
	if((value0)!=Cnil){
	goto L6;}
	{cl_object V2;                            /*  TAG             */
	V2= L32new_type_tag()                     /*  NEW-TYPE-TAG    */;
	(void)L41push_type(VV[65],V2)             /*  PUSH-TYPE       */;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
L6:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REGISTER-CONS-TYPE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L58register_cons_type(cl_narg narg, ...)
{ VT67 VLEX67 CLSR67 STCK67
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	cl_object V2;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V2= ECL_SYM("*",16);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  LET123          */
	cl_object V4;                             /*  LET124          */
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L5;}
	V3= MAKE_FIXNUM(-1);
	goto L3;
L5:;
	V3= L61canonical_type(V1)                 /*  CANONICAL-TYPE  */;
	goto L3;
L3:;
	if(!((V2)==(ECL_SYM("*",16)))){
	goto L9;}
	V4= MAKE_FIXNUM(-1);
	goto L7;
L9:;
	V4= L61canonical_type(V2)                 /*  CANONICAL-TYPE  */;
	goto L7;
L7:;
	if(ecl_zerop(V3)){
	goto L14;}
	if(!(ecl_zerop(V4))){
	goto L12;}
	goto L13;
L14:;
L13:;
	value0=MAKE_FIXNUM(0); cl_env_copy->nvalues=1;
	return value0;
L12:;
	if(!(ecl_number_equalp(V3,MAKE_FIXNUM(-1)))){
	goto L17;}
	if(!(ecl_number_equalp(V4,MAKE_FIXNUM(-1)))){
	goto L17;}
	value0=L61canonical_type(ECL_SYM("CONS",249)) /*  CANONICAL-TYPE */;
	return value0;
L17:;
	cl_env_copy->values[0]=ECL_SYM("CONS",249); cl_env_copy->nvalues=1;
	cl_throw(VV[57]);
	}
}}
/*	function definition for FIND-BUILT-IN-TAG                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L59find_built_in_tag(cl_object V1)
{ VT68 VLEX68 CLSR68 STCK68
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(Ct))){
	goto L3;}
	value0=MAKE_FIXNUM(-1); cl_env_copy->nvalues=1;
	return value0;
L3:;
	goto L1;
L1:;
	{cl_object V2;                            /*  %DOLIST-VAR     */
	cl_object V3;                             /*  I               */
	V2= VV[67];
	V3= Cnil;
	goto L11;
L10:;
	V3= cl_first(V2)                          /*  FIRST           */;
	T0= cl_first(V3)                          /*  FIRST           */;
	if(!((V1)==(T0))){
	goto L17;}
	{cl_object V4;                            /*  ALIAS           */
	cl_object V5;                             /*  STRICT-SUPERTYPE */
	cl_object V6;                             /*  TAG             */
	V4= cl_second(V3)                         /*  SECOND          */;
	value0=cl_third(V3)                       /*  THIRD           */;
	if((value0)!=Cnil){
	goto L22;}
	V5= Ct;
	goto L20;
L22:;
	V5= value0;
	goto L20;
L20:;
	V6= Cnil;
	if((V4)==Cnil){
	goto L27;}
	V6= L61canonical_type(V4)                 /*  CANONICAL-TYPE  */;
	goto L25;
L27:;
	{cl_object V7;                            /*  STRICT-SUPERTYPE-TAG */
	V7= L61canonical_type(V5)                 /*  CANONICAL-TYPE  */;
	V6= L32new_type_tag()                     /*  NEW-TYPE-TAG    */;
	if((V5)==(Ct)){
	goto L34;}
	(void)L60extend_type_tag(V6,V7)           /*  EXTEND-TYPE-TAG */;
	goto L25;
L34:;
	goto L25;
	}
L25:;
	(void)L41push_type(V1,V6)                 /*  PUSH-TYPE       */;
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
	}
L17:;
	goto L15;
L15:;
	V2= CDR(V2);
L11:;
	if((V2)==Cnil){
	goto L41;}
	goto L10;
L41:;
	goto L39;
L39:;
	goto L8;
L8:;
	}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for EXTEND-TYPE-TAG                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L60extend_type_tag(cl_object V1, cl_object V2)
{ VT69 VLEX69 CLSR69 STCK69
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  %DOLIST-VAR     */
	cl_object V4;                             /*  TYPE            */
	V3= ecl_symbol_value(VV[53]);
	V4= Cnil;
	goto L6;
L5:;
	V4= cl_first(V3)                          /*  FIRST           */;
	{cl_object V5;                            /*  OTHER-TAG       */
	V5= cl_cdr(V4)                            /*  CDR             */;
	T0= ecl_boole(ECL_BOOLANDC2,(V2),(V5));
	if(!(ecl_zerop(T0))){
	goto L13;}
	{cl_object V6;
	V6= ecl_boole(ECL_BOOLIOR,(V1),(V5));
	if (ecl_unlikely(ATOM(V4)))FEtype_error_cons(V4);
	ECL_CONS_CDR(V4) = V6;
	goto L10;
	}
L13:;
	goto L10;
	}
L10:;
	V3= CDR(V3);
L6:;
	if((V3)==Cnil){
	goto L21;}
	goto L5;
L21:;
	goto L19;
L19:;
	goto L3;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CANONICAL-TYPE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L61canonical_type(cl_object V1)
{ VT70 VLEX70 CLSR70 STCK70
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;
	V2= L33find_registered_tag(1,V1)          /*  FIND-REGISTERED-TAG */;
	if((V2)==Cnil){
	goto L3;}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L3:;
	if(!((V1)==(Ct))){
	goto L6;}
	value0=MAKE_FIXNUM(-1); cl_env_copy->nvalues=1;
	return value0;
L6:;
	if(!((V1)==(Cnil))){
	goto L9;}
	value0=MAKE_FIXNUM(0); cl_env_copy->nvalues=1;
	return value0;
L9:;
	if(!(ECL_SYMBOLP(V1))){
	goto L12;}
	{cl_object V3;                            /*  EXPANDER        */
	V3= si_get_sysprop(V1,VV[9])              /*  GET-SYSPROP     */;
	if((V3)==Cnil){
	goto L16;}
	V1= ecl_function_dispatch(cl_env_copy,V3)(0);
	goto TTL;
L16:;
	{cl_object V4;
	V4= L59find_built_in_tag(V1)              /*  FIND-BUILT-IN-TAG */;
	if((V4)==Cnil){
	goto L22;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
L22:;
	{cl_object V5;                            /*  CLASS           */
	V5= cl_find_class(2,V1,Cnil)              /*  FIND-CLASS      */;
	if((V5)==Cnil){
	goto L26;}
	value0=L45register_class(V5)              /*  REGISTER-CLASS  */;
	return value0;
L26:;
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	cl_throw(VV[57]);
	}
	}
	}
L12:;
	if(!(ECL_CONSP(V1))){
	goto L30;}
	{cl_object V6;
	V6= cl_first(V1)                          /*  FIRST           */;
	if(!((V6)==(ECL_SYM("AND",85)))){
	goto L34;}
	T0= (ECL_SYM("LOGAND",490)->symbol.gfdef);
	{cl_object V7;                            /*  LET126          */
	cl_object V8;
	cl_object V9;
	V7= cl_rest(V1)                           /*  REST            */;
	V8= Cnil;
	V9= V7;
	{cl_object V10;
	cl_object V11;
	V10= ecl_list1(Cnil);
	V11= V10;
L44:;
	if(!(ecl_endp(V9))){
	goto L48;}
	goto L45;
L48:;
	goto L46;
L46:;
	V8= CAR(V9);
	V9= CDR(V9);
	T2= V11;
	T3= L61canonical_type(V8)                 /*  CANONICAL-TYPE  */;
	V11= ecl_list1(T3);
	if (ecl_unlikely(ATOM(T2)))FEtype_error_cons(T2);
	ECL_CONS_CDR(T2) = V11;
	goto L44;
L45:;
	T1= cl_cdr(V10)                           /*  CDR             */;
	goto L37;
	}
	}
L37:;
	value0=cl_apply(2,T0,T1)                  /*  APPLY           */;
	return value0;
L34:;
	if(!((V6)==(ECL_SYM("OR",612)))){
	goto L59;}
	T0= (ECL_SYM("LOGIOR",498)->symbol.gfdef);
	{cl_object V7;                            /*  LET128          */
	cl_object V8;
	cl_object V9;
	V7= cl_rest(V1)                           /*  REST            */;
	V8= Cnil;
	V9= V7;
	{cl_object V10;
	cl_object V11;
	V10= ecl_list1(Cnil);
	V11= V10;
L69:;
	if(!(ecl_endp(V9))){
	goto L73;}
	goto L70;
L73:;
	goto L71;
L71:;
	V8= CAR(V9);
	V9= CDR(V9);
	T2= V11;
	T3= L61canonical_type(V8)                 /*  CANONICAL-TYPE  */;
	V11= ecl_list1(T3);
	if (ecl_unlikely(ATOM(T2)))FEtype_error_cons(T2);
	ECL_CONS_CDR(T2) = V11;
	goto L69;
L70:;
	T1= cl_cdr(V10)                           /*  CDR             */;
	goto L62;
	}
	}
L62:;
	value0=cl_apply(2,T0,T1)                  /*  APPLY           */;
	return value0;
L59:;
	if(!((V6)==(ECL_SYM("NOT",582)))){
	goto L84;}
	T0= cl_second(V1)                         /*  SECOND          */;
	T1= L61canonical_type(T0)                 /*  CANONICAL-TYPE  */;
	value0=ecl_boole(ECL_BOOLXOR,(T1),MAKE_FIXNUM(-1)); cl_env_copy->nvalues=1;
	return value0;
L84:;
	if(!((V6)==(ECL_SYM("EQL",332)))){
	goto L92;}
	goto L89;
	goto L90;
L92:;
	goto L90;
L90:;
	if(!((V6)==(ECL_SYM("MEMBER",550)))){
	goto L87;}
	goto L88;
L89:;
L88:;
	T0= (ECL_SYM("LOGIOR",498)->symbol.gfdef);
	{cl_object V7;                            /*  LET130          */
	cl_object V8;
	cl_object V9;
	V7= cl_rest(V1)                           /*  REST            */;
	V8= Cnil;
	V9= V7;
	{cl_object V10;
	cl_object V11;
	V10= ecl_list1(Cnil);
	V11= V10;
L103:;
	if(!(ecl_endp(V9))){
	goto L107;}
	goto L104;
L107:;
	goto L105;
L105:;
	V8= CAR(V9);
	V9= CDR(V9);
	T2= V11;
	T3= L38register_member_type(V8)           /*  REGISTER-MEMBER-TYPE */;
	V11= ecl_list1(T3);
	if (ecl_unlikely(ATOM(T2)))FEtype_error_cons(T2);
	ECL_CONS_CDR(T2) = V11;
	goto L103;
L104:;
	T1= cl_cdr(V10)                           /*  CDR             */;
	goto L96;
	}
	}
L96:;
	value0=cl_apply(2,T0,T1)                  /*  APPLY           */;
	return value0;
L87:;
	if(!((V6)==(ECL_SYM("SATISFIES",733)))){
	goto L118;}
	value0=L42register_satisfies_type(V1)     /*  REGISTER-SATISFIES-TYPE */;
	return value0;
L118:;
	if((ecl_memql(V6,VV[68]))==Cnil){
	goto L121;}
	value0=L54register_interval_type(V1)      /*  REGISTER-INTERVAL-TYPE */;
	return value0;
L121:;
	if(!((V6)==(ECL_SYM("FLOAT",372)))){
	goto L124;}
	T0= cl_rest(V1)                           /*  REST            */;
	T1= CONS(ECL_SYM("SINGLE-FLOAT",776),T0);
	T2= cl_rest(V1)                           /*  REST            */;
	T3= CONS(ECL_SYM("DOUBLE-FLOAT",313),T2);
	T4= cl_rest(V1)                           /*  REST            */;
	T5= CONS(ECL_SYM("LONG-FLOAT",506),T4);
	V1= cl_list(4,ECL_SYM("OR",612),T1,T3,T5) /*  LIST            */;
	goto TTL;
L124:;
	if(!((V6)==(ECL_SYM("REAL",701)))){
	goto L130;}
	T0= cl_rest(V1)                           /*  REST            */;
	T1= CONS(ECL_SYM("INTEGER",435),T0);
	T2= cl_rest(V1)                           /*  REST            */;
	T3= CONS(ECL_SYM("RATIO",684),T2);
	T4= cl_rest(V1)                           /*  REST            */;
	T5= CONS(ECL_SYM("SINGLE-FLOAT",776),T4);
	T6= cl_rest(V1)                           /*  REST            */;
	T7= CONS(ECL_SYM("DOUBLE-FLOAT",313),T6);
	T8= cl_rest(V1)                           /*  REST            */;
	T9= CONS(ECL_SYM("LONG-FLOAT",506),T8);
	V1= cl_list(6,ECL_SYM("OR",612),T1,T3,T5,T7,T9) /*  LIST      */;
	goto TTL;
L130:;
	if(!((V6)==(ECL_SYM("RATIONAL",685)))){
	goto L136;}
	T0= cl_rest(V1)                           /*  REST            */;
	T1= CONS(ECL_SYM("INTEGER",435),T0);
	T2= cl_rest(V1)                           /*  REST            */;
	T3= CONS(ECL_SYM("RATIO",684),T2);
	V1= cl_list(3,ECL_SYM("OR",612),T1,T3)    /*  LIST            */;
	goto TTL;
L136:;
	if(!((V6)==(ECL_SYM("COMPLEX",239)))){
	goto L142;}
	value0=L59find_built_in_tag(V1)           /*  FIND-BUILT-IN-TAG */;
	if((value0)!=Cnil){
	goto L145;}
	T0= cl_second(V1)                         /*  SECOND          */;
	value0=L57canonical_complex_type(T0)      /*  CANONICAL-COMPLEX-TYPE */;
	return value0;
L145:;
	cl_env_copy->nvalues=1;
	return value0;
L142:;
	if(!((V6)==(ECL_SYM("CONS",249)))){
	goto L148;}
	T0= ecl_fdefinition(VV[66]);
	T1= cl_rest(V1)                           /*  REST            */;
	value0=cl_apply(2,T0,T1)                  /*  APPLY           */;
	return value0;
L148:;
	if(!((V6)==(ECL_SYM("ARRAY",94)))){
	goto L152;}
	T0= cl_rest(V1)                           /*  REST            */;
	T1= CONS(ECL_SYM("COMPLEX-ARRAY",1717),T0);
	T2= L46register_array_type(T1)            /*  REGISTER-ARRAY-TYPE */;
	T3= cl_rest(V1)                           /*  REST            */;
	T4= CONS(ECL_SYM("SIMPLE-ARRAY",761),T3);
	T5= L46register_array_type(T4)            /*  REGISTER-ARRAY-TYPE */;
	value0=ecl_boole(ECL_BOOLIOR,(T2),(T5)); cl_env_copy->nvalues=1;
	return value0;
L152:;
	if(!((V6)==(ECL_SYM("COMPLEX-ARRAY",1717)))){
	goto L160;}
	goto L157;
	goto L158;
L160:;
	goto L158;
L158:;
	if(!((V6)==(ECL_SYM("SIMPLE-ARRAY",761)))){
	goto L155;}
	goto L156;
L157:;
L156:;
	value0=L46register_array_type(V1)         /*  REGISTER-ARRAY-TYPE */;
	return value0;
L155:;
	if(!((V6)==(ECL_SYM("FUNCTION",394)))){
	goto L164;}
	V1= ECL_SYM("FUNCTION",394);
	goto TTL;
L164:;
	{cl_object V7;                            /*  EXPANDER        */
	T0= cl_first(V1)                          /*  FIRST           */;
	V7= si_get_sysprop(T0,VV[9])              /*  GET-SYSPROP     */;
	if((V7)==Cnil){
	goto L170;}
	T0= cl_rest(V1)                           /*  REST            */;
	V1= cl_apply(2,V7,T0)                     /*  APPLY           */;
	goto TTL;
L170:;
	T0= cl_first(V1)                          /*  FIRST           */;
	if((ecl_assql(T0,ecl_symbol_value(VV[53])))!=Cnil){
	goto L175;}
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	cl_throw(VV[57]);
L175:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
L30:;
	if((ecl_function_dispatch(cl_env_copy,VV[85])(1,V1) /*  CLASSP */)==Cnil){
	goto L179;}
	value0=L45register_class(V1)              /*  REGISTER-CLASS  */;
	return value0;
L179:;
	if((cl_fboundp(VV[72])                    /*  FBOUNDP         */)==Cnil){
	goto L182;}
	if((ecl_function_dispatch(cl_env_copy,VV[72])(1,V1) /*  FUNCTION-TYPE-P */)==Cnil){
	goto L182;}
	value0=ecl_function_dispatch(cl_env_copy,VV[97])(1,V1) /*  REGISTER-FUNCTION-TYPE */;
	return value0;
L182:;
	if((cl_fboundp(VV[73])                    /*  FBOUNDP         */)==Cnil){
	goto L186;}
	if((ecl_function_dispatch(cl_env_copy,VV[73])(1,V1) /*  VALUES-TYPE-P */)==Cnil){
	goto L186;}
	value0=ecl_function_dispatch(cl_env_copy,VV[98])(1,V1) /*  REGISTER-VALUES-TYPE */;
	return value0;
L186:;
	value0=L27error_type_specifier(V1)        /*  ERROR-TYPE-SPECIFIER */;
	return value0;
	}
}}
/*	function definition for SAFE-CANONICAL-TYPE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L62safe_canonical_type(cl_object volatile V1)
{ VT71 VLEX71 CLSR71 STCK71
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[57];
	if (ecl_frs_push(cl_env_copy,value0)) {   /*  BEGIN CATCH 2   */
	value0=cl_env_copy->values[0];
	goto L3;
	}
	value0=L61canonical_type(V1)              /*  CANONICAL-TYPE  */;
L3:;
	ecl_frs_pop(cl_env_copy);                 /*  END CATCH 2     */
	return value0;
}}
/*	function definition for FAST-SUBTYPEP                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63fast_subtypep(cl_object V1, cl_object V2)
{ VT72 VLEX72 CLSR72 STCK72
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(V2))){
	goto L3;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=Ct;
	return cl_env_copy->values[0];
L3:;
	goto L1;
L1:;
	{cl_object V3;                            /*  TAG1            */
	cl_object V4;                             /*  TAG2            */
	V3= L62safe_canonical_type(V1)            /*  SAFE-CANONICAL-TYPE */;
	V4= L62safe_canonical_type(V2)            /*  SAFE-CANONICAL-TYPE */;
	if(!(ecl_numberp(V3))){
	goto L8;}
	if(!(ecl_numberp(V4))){
	goto L8;}
	T0= L62safe_canonical_type(V1)            /*  SAFE-CANONICAL-TYPE */;
	T1= L62safe_canonical_type(V2)            /*  SAFE-CANONICAL-TYPE */;
	T2= ecl_boole(ECL_BOOLANDC2,(T0),(T1));
	{bool V5;
	V5= ecl_zerop(T2);
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=ecl_make_bool(V5);
	return cl_env_copy->values[0];}
L8:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=Cnil;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for SUBTYPEP                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_subtypep(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT73 VLEX73 CLSR73 STCK73
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!((V1)==(V2))){
	goto L4;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=Ct;
	return cl_env_copy->values[0];
L4:;
	goto L2;
L2:;
	if(!(ECL_INSTANCEP(V1))){
	goto L8;}
	if(!(ECL_INSTANCEP(V2))){
	goto L8;}
	if((ecl_function_dispatch(cl_env_copy,VV[85])(1,V1) /*  CLASSP */)==Cnil){
	goto L8;}
	if((ecl_function_dispatch(cl_env_copy,VV[85])(1,V2) /*  CLASSP */)==Cnil){
	goto L8;}
	T0= si_subclassp(2,V1,V2)                 /*  SUBCLASSP       */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
L8:;
	goto L6;
L6:;
	{cl_object V4;                            /*  CACHE           */
	uint8_t V5;                               /*  HASH            */
	cl_object V6;                             /*  ELT             */
	V4= ecl_symbol_value(VV[4]);
	T0= si_hash_eql(2,V1,V2)                  /*  HASH-EQL        */;
	V5= ecl_to_uint8_t(ecl_boole(ECL_BOOLAND,(T0),(MAKE_FIXNUM(255))));
	{uint8_t V7;
	if (ecl_unlikely(!ECL_VECTORP(V4)))
           FEtype_error_vector(V4);
	if (ecl_unlikely(((cl_fixnum)(V5))>=(V4)->vector.dim))
           FEwrong_index(Cnil,V4,-1,MAKE_FIXNUM((cl_fixnum)(V5)),(V4)->vector.dim);
	V7= V5;
	V6= ecl_aref_unsafe(V4,(cl_fixnum)(V7));}
	if((V6)==Cnil){
	goto L21;}
	T0= cl_caar(V6)                           /*  CAAR            */;
	if(!((T0)==(V1))){
	goto L21;}
	T0= cl_cdar(V6)                           /*  CDAR            */;
	if(!((T0)==(V2))){
	goto L21;}
	V6= cl_cdr(V6)                            /*  CDR             */;
	T0= cl_car(V6)                            /*  CAR             */;
	T1= cl_cdr(V6)                            /*  CDR             */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=T1;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
L21:;
	goto L19;
L19:;
	ecl_bds_push(cl_env_copy,VV[50]);         /*  *HIGHEST-TYPE-TAG* */
	ecl_bds_bind(cl_env_copy,VV[49],Ct);      /*  *SAVE-TYPES-DATABASE* */
	ecl_bds_push(cl_env_copy,VV[51]);         /*  *MEMBER-TYPES*  */
	ecl_bds_push(cl_env_copy,VV[53]);         /*  *ELEMENTARY-TYPES* */
	cl_env_copy->values[0]=L63fast_subtypep(V1,V2) /*  FAST-SUBTYPEP */;
	{
	cl_object V8;                             /*  TEST            */
	cl_object V9;                             /*  CONFIDENT       */
	{int V10=cl_env_copy->nvalues-0;
	if (V10--<=0) goto L28;
	V8= cl_env_copy->values[0];
	if (V10--<=0) goto L29;
	V9= cl_env_copy->values[1];
	goto L30;}
L28:;
	V8= Cnil;
L29:;
	V9= Cnil;
L30:;
	{uint8_t V10;
	if (ecl_unlikely(!ECL_VECTORP(V4)))
           FEtype_error_vector(V4);
	if (ecl_unlikely(((cl_fixnum)(V5))>=(V4)->vector.dim))
           FEwrong_index(Cnil,V4,-1,MAKE_FIXNUM((cl_fixnum)(V5)),(V4)->vector.dim);
	V10= V5;
	T0= CONS(V1,V2);
	T1= cl_listX(3,T0,V8,V9)                  /*  LIST*           */;
	ecl_aset_unsafe(V4,(cl_fixnum)(V10),T1);}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V9;
	cl_env_copy->values[0]=V8;
	ecl_bds_unwind_n(cl_env_copy,4);
	return cl_env_copy->values[0];}
	}
}}
/*	function definition for FAST-TYPE=                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L64fast_type_(cl_object V1, cl_object V2)
{ VT74 VLEX74 CLSR74 STCK74
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(V2))){
	goto L3;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=Ct;
	return cl_env_copy->values[0];
L3:;
	goto L1;
L1:;
	{cl_object V3;                            /*  TAG1            */
	cl_object V4;                             /*  TAG2            */
	V3= L62safe_canonical_type(V1)            /*  SAFE-CANONICAL-TYPE */;
	V4= L62safe_canonical_type(V2)            /*  SAFE-CANONICAL-TYPE */;
	if(!(ecl_numberp(V3))){
	goto L8;}
	if(!(ecl_numberp(V4))){
	goto L8;}
	T0= L62safe_canonical_type(V1)            /*  SAFE-CANONICAL-TYPE */;
	T1= L62safe_canonical_type(V2)            /*  SAFE-CANONICAL-TYPE */;
	{bool V5;
	V5= ecl_number_equalp(T0,T1);
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=ecl_make_bool(V5);
	return cl_env_copy->values[0];}
L8:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=Cnil;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for TYPE=                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L65type_(cl_object V1, cl_object V2)
{ VT75 VLEX75 CLSR75 STCK75
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LET131          */
	cl_object V4;                             /*  LET133          */
	cl_object V5;                             /*  LET134          */
	V3= ecl_symbol_value(VV[50]);
	V4= ecl_symbol_value(VV[51]);
	V5= ecl_symbol_value(VV[53]);
	ecl_bds_bind(cl_env_copy,VV[50],V3);      /*  *HIGHEST-TYPE-TAG* */
	ecl_bds_bind(cl_env_copy,VV[49],Ct);      /*  *SAVE-TYPES-DATABASE* */
	ecl_bds_bind(cl_env_copy,VV[51],V4);      /*  *MEMBER-TYPES*  */
	ecl_bds_bind(cl_env_copy,VV[53],V5);      /*  *ELEMENTARY-TYPES* */
	value0=L64fast_type_(V1,V2)               /*  FAST-TYPE=      */;
	ecl_bds_unwind_n(cl_env_copy,4);
	return value0;
	}
}}
	
#include "lsp/predlib.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclyAfyXkZ7_m82oLD01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:LSP;PREDLIB.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclyAfyXkZ7_m82oLD01@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	ecl_cmp_defun(VV[77]);
	ecl_cmp_defun(VV[78]);
	(void)0; /* No entry created for CONSTANTLY */
	(void)si_Xmake_special(VV[4])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[4])){
	goto L11;}
	cl_set(VV[4],si_make_vector(Ct,MAKE_FIXNUM(256),Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-VECTOR */);
	goto L9;
L11:;
	goto L9;
L9:;
	(void)si_Xmake_special(VV[5])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[5])){
	goto L20;}
	cl_set(VV[5],si_make_vector(Ct,MAKE_FIXNUM(128),Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-VECTOR */);
	goto L18;
L20:;
	goto L18;
L18:;
	ecl_cmp_defun(VV[79]);
	ecl_cmp_defun(VV[80]);
	(void)0; /* No entry created for DO-DEFTYPE */
	ecl_cmp_defmacro(VV[81]);
	T0= ecl_make_cfun((cl_objectfn_fixed)LC7boolean,Cnil,Cblock,0);
	(void)si_do_deftype(3,ECL_SYM("BOOLEAN",153),VVtemp[0],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC8index,Cnil,Cblock,0);
	(void)si_do_deftype(3,VV[16],VVtemp[1],T0) /*  DO-DEFTYPE     */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC9fixnum,Cnil,Cblock,0);
	(void)si_do_deftype(3,ECL_SYM("FIXNUM",370),VVtemp[2],T0) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("BIGNUM",120),VVtemp[3],VVtemp[4]) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("BYTE8",1299),VVtemp[5],VVtemp[6]) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("INTEGER8",1304),VVtemp[7],VVtemp[8]) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("BYTE16",1300),VVtemp[9],VVtemp[10]) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("INTEGER16",1305),VVtemp[11],VVtemp[12]) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("BYTE32",1301),VVtemp[13],VVtemp[14]) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("INTEGER32",1306),VVtemp[15],VVtemp[16]) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("BYTE64",1302),VVtemp[17],VVtemp[18]) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("INTEGER64",1307),VVtemp[19],VVtemp[20]) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("CL-FIXNUM",1521),VVtemp[21],VVtemp[22]) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("CL-INDEX",1522),VVtemp[23],VVtemp[24]) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC10real,Cnil,Cblock);
	(void)si_do_deftype(3,ECL_SYM("REAL",701),VVtemp[25],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC11short_float,Cnil,Cblock);
	(void)si_do_deftype(3,ECL_SYM("SHORT-FLOAT",754),VVtemp[26],T0) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("BIT",121),VVtemp[27],VVtemp[28]) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC12mod,Cnil,Cblock,1);
	(void)si_do_deftype(3,ECL_SYM("MOD",558),VVtemp[29],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC13signed_byte,Cnil,Cblock);
	(void)si_do_deftype(3,ECL_SYM("SIGNED-BYTE",759),VVtemp[30],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC14unsigned_byte,Cnil,Cblock);
	(void)si_do_deftype(3,ECL_SYM("UNSIGNED-BYTE",883),VVtemp[31],T0) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("NULL",603),VVtemp[32],VVtemp[33]) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("SEQUENCE",739),VVtemp[34],VVtemp[35]) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("LIST",479),VVtemp[36],VVtemp[37]) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,VV[22],VVtemp[38],VVtemp[39]) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("PROPERTY-LIST",1598),VVtemp[40],VVtemp[41]) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("ATOM",117),VVtemp[42],VVtemp[43]) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC15vector,Cnil,Cblock);
	(void)si_do_deftype(3,ECL_SYM("VECTOR",896),VVtemp[44],T0) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("EXTENDED-CHAR",344),VVtemp[45],VVtemp[46]) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC16string,Cnil,Cblock);
	(void)si_do_deftype(3,ECL_SYM("STRING",803),VVtemp[47],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC17base_string,Cnil,Cblock);
	(void)si_do_deftype(3,ECL_SYM("BASE-STRING",119),VVtemp[48],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC18extended_string,Cnil,Cblock);
	(void)si_do_deftype(3,ECL_SYM("EXTENDED-STRING",1616),VVtemp[49],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC19bit_vector,Cnil,Cblock);
	(void)si_do_deftype(3,ECL_SYM("BIT-VECTOR",132),VVtemp[50],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC20simple_vector,Cnil,Cblock);
	(void)si_do_deftype(3,ECL_SYM("SIMPLE-VECTOR",772),VVtemp[51],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC21simple_string,Cnil,Cblock);
	(void)si_do_deftype(3,ECL_SYM("SIMPLE-STRING",769),VVtemp[52],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC22simple_base_string,Cnil,Cblock);
	(void)si_do_deftype(3,ECL_SYM("SIMPLE-BASE-STRING",762),VVtemp[53],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC23simple_bit_vector,Cnil,Cblock);
	(void)si_do_deftype(3,ECL_SYM("SIMPLE-BIT-VECTOR",763),VVtemp[54],T0) /*  DO-DEFTYPE */;
	(void)si_do_deftype(3,ECL_SYM("ARRAY-INDEX",1715),VVtemp[55],VVtemp[56]) /*  DO-DEFTYPE */;
	ecl_cmp_defun(VV[82]);
	ecl_cmp_defun(VV[83]);
	(void)si_Xmake_constant(VV[33],VVtemp[57]) /*  *MAKE-CONSTANT */;
	{cl_object V1;                            /*  %DOLIST-VAR     */
	cl_object V2;                             /*  L               */
	V1= ecl_symbol_value(VV[33]);
	V2= Cnil;
	goto L102;
L101:;
	V2= cl_first(V1)                          /*  FIRST           */;
	T0= cl_car(V2)                            /*  CAR             */;
	T1= cl_cdr(V2)                            /*  CDR             */;
	(void)si_put_sysprop(T0,VV[34],T1)        /*  PUT-SYSPROP     */;
	V1= CDR(V1);
L102:;
	if((V1)==Cnil){
	goto L111;}
	goto L101;
L111:;
	goto L109;
L109:;
	goto L99;
L99:;
	}
	(void)si_Xmake_constant(VV[35],VVtemp[58]) /*  *MAKE-CONSTANT */;
	(void)0; /* No entry created for UPGRADED-ARRAY-ELEMENT-TYPE */
	(void)0; /* No entry created for UPGRADED-COMPLEX-PART-TYPE */
	(void)0; /* No entry created for IN-INTERVAL-P */
	(void)0; /* No entry created for ERROR-TYPE-SPECIFIER */
	(void)0; /* No entry created for MATCH-DIMENSIONS */
	(void)0; /* No entry created for TYPEP */
	(void)0; /* No entry created for SUBCLASSP */
	(void)0; /* No entry created for OF-CLASS-P */
	ecl_cmp_defun(VV[84]);
	ecl_cmp_defun(VV[86]);
	ecl_cmp_defun(VV[87]);
	(void)0; /* No entry created for COERCE */
	(void)si_Xmake_special(VV[49])            /*  *MAKE-SPECIAL   */;
	cl_set(VV[49],Cnil);
	(void)si_Xmake_special(VV[50])            /*  *MAKE-SPECIAL   */;
	cl_set(VV[50],MAKE_FIXNUM(1));
	(void)si_Xmake_special(VV[51])            /*  *MAKE-SPECIAL   */;
	cl_set(VV[51],Cnil);
	(void)si_Xmake_special(VV[52])            /*  *MAKE-SPECIAL   */;
	cl_set(VV[52],MAKE_FIXNUM(1));
	(void)si_Xmake_special(VV[53])            /*  *MAKE-SPECIAL   */;
	cl_set(VV[53],Cnil);
	(void)0; /* No entry created for NEW-TYPE-TAG */
	(void)0; /* No entry created for FIND-REGISTERED-TAG */
	(void)0; /* No entry created for MAYBE-SAVE-TYPES */
	ecl_cmp_defun(VV[88]);
	(void)0; /* No entry created for FIND-TYPE-BOUNDS */
	(void)0; /* No entry created for REGISTER-TYPE */
	ecl_cmp_defun(VV[89]);
	(void)0; /* No entry created for SIMPLE-MEMBER-TYPE */
	ecl_cmp_defun(VV[90]);
	(void)0; /* No entry created for PUSH-TYPE */
	(void)0; /* No entry created for REGISTER-SATISFIES-TYPE */
	(void)0; /* No entry created for REGISTER-CLASS */
	(void)0; /* No entry created for REGISTER-ARRAY-TYPE */
	(void)0; /* No entry created for FAST-UPGRADED-ARRAY-ELEMENT-TYPE */
	(void)0; /* No entry created for PARSE-ARRAY-TYPE */
	ecl_cmp_defun(VV[91]);
	ecl_cmp_defun(VV[92]);
	(void)0; /* No entry created for REGISTER-ELEMENTARY-INTERVAL */
	(void)0; /* No entry created for REGISTER-INTERVAL-TYPE */
	ecl_cmp_defun(VV[93]);
	ecl_cmp_defun(VV[94]);
	(void)0; /* No entry created for CANONICAL-COMPLEX-TYPE */
	ecl_cmp_defun(VV[95]);
	(void)0; /* No entry created for FIND-BUILT-IN-TAG */
	(void)0; /* No entry created for EXTEND-TYPE-TAG */
	ecl_cmp_defun(VV[96]);
	ecl_cmp_defun(VV[99]);
	(void)0; /* No entry created for FAST-SUBTYPEP */
	(void)0; /* No entry created for SUBTYPEP */
	(void)0; /* No entry created for FAST-TYPE= */
	ecl_cmp_defun(VV[100]);
}
