/*	Compiler: ECL 11.1.1                                          */
/*	Source: SRC:LSP;SEQ.LSP                                       */
#include <ecl/ecl-cmp.h>
#include "lsp/seq.h"
/*	function definition for ERROR-NOT-A-SEQUENCE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1error_not_a_sequence(cl_object V1)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=si_signal_type_error(V1,ECL_SYM("SEQUENCE",739)) /*  SIGNAL-TYPE-ERROR */;
	return value0;
}}
/*	function definition for ERROR-SEQUENCE-INDEX                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2error_sequence_index(cl_object V1, cl_object V2)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,V2,V1)                      /*  LIST            */;
	value0=cl_error(9,ECL_SYM("SIMPLE-TYPE-ERROR",771),ECL_SYM("DATUM",1188),V2,ECL_SYM("EXPECTED-TYPE",1206),ECL_SYM("UNSIGNED-BYTE",883),ECL_SYM("FORMAT-CONTROL",1214),_ecl_static_1,ECL_SYM("FORMAT-ARGUMENTS",1213),T0) /*  ERROR */;
	return value0;
}}
/*	function definition for ERROR-SEQUENCE-TYPE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3error_sequence_type(cl_object V1)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_vector(0)                          /*  VECTOR          */;
	T1= ecl_list1(V1);
	value0=cl_error(9,ECL_SYM("SIMPLE-TYPE-ERROR",771),ECL_SYM("DATUM",1188),T0,ECL_SYM("EXPECTED-TYPE",1206),V1,ECL_SYM("FORMAT-CONTROL",1214),_ecl_static_2,ECL_SYM("FORMAT-ARGUMENTS",1213),T1) /*  ERROR */;
	return value0;
}}
/*	function definition for ERROR-SEQUENCE-LENGTH                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4error_sequence_length(cl_object V1, cl_object V2, cl_object V3)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,V3,V2)                      /*  LIST            */;
	value0=cl_error(9,ECL_SYM("SIMPLE-TYPE-ERROR",771),ECL_SYM("FORMAT-CONTROL",1214),_ecl_static_3,ECL_SYM("FORMAT-ARGUMENTS",1213),T0,ECL_SYM("EXPECTED-TYPE",1206),V2,ECL_SYM("DATUM",1188),V1) /*  ERROR */;
	return value0;
}}
/*	function definition for CLOSEST-SEQUENCE-TYPE                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5closest_sequence_type(cl_object V1)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  ELT-TYPE        */
	cl_object V3;                             /*  LENGTH          */
	cl_object V4;                             /*  NAME            */
	cl_object V5;                             /*  ARGS            */
	V2= Cnil;
	V3= Cnil;
	V4= Cnil;
	V5= Cnil;
	if(!(ECL_CONSP(V1))){
	goto L7;}
	V4= cl_first(V1)                          /*  FIRST           */;
	V5= cl_cdr(V1)                            /*  CDR             */;
	goto L5;
L7:;
	if(!(ECL_INSTANCEP(V1))){
	goto L13;}
	V4= (cl_env_copy->function=(ECL_SYM("CLASS-NAME",932)->symbol.gfdef))->cfun.entry(1,V1) /*  CLASS-NAME */;
	V5= Cnil;
	goto L5;
L13:;
	V4= V1;
	V5= Cnil;
	goto L5;
L5:;
	if(!((V4)==(ECL_SYM("LIST",479)))){
	goto L23;}
	V2= ECL_SYM("LIST",479);
	V3= ECL_SYM("*",16);
	goto L21;
L23:;
	if(!((V4)==(ECL_SYM("VECTOR",896)))){
	goto L30;}
	if(!(ecl_endp(V5))){
	goto L36;}
	V2= Ct;
	goto L34;
L36:;
	V2= cl_first(V5)                          /*  FIRST           */;
	goto L34;
L34:;
	T0= cl_rest(V5)                           /*  REST            */;
	if(!(ecl_endp(T0))){
	goto L40;}
	V3= ECL_SYM("*",16);
	goto L38;
L40:;
	V3= cl_second(V5)                         /*  SECOND          */;
	goto L38;
L38:;
	goto L21;
L30:;
	if(!((V4)==(ECL_SYM("SIMPLE-VECTOR",772)))){
	goto L43;}
	V2= Ct;
	if(!(ecl_endp(V5))){
	goto L50;}
	V3= ECL_SYM("*",16);
	goto L48;
L50:;
	V3= cl_first(V5)                          /*  FIRST           */;
	goto L48;
L48:;
	goto L21;
L43:;
	if(!((V4)==(ECL_SYM("BASE-STRING",119)))){
	goto L58;}
	goto L55;
	goto L56;
L58:;
	goto L56;
L56:;
	if(!((V4)==(VV[4]))){
	goto L53;}
	goto L54;
L55:;
L54:;
	V2= ECL_SYM("BASE-CHAR",118);
	if(!(ecl_endp(V5))){
	goto L65;}
	V3= ECL_SYM("*",16);
	goto L63;
L65:;
	V3= cl_first(V5)                          /*  FIRST           */;
	goto L63;
L63:;
	goto L21;
L53:;
	if(!((V4)==(ECL_SYM("STRING",803)))){
	goto L73;}
	goto L70;
	goto L71;
L73:;
	goto L71;
L71:;
	if(!((V4)==(ECL_SYM("SIMPLE-STRING",769)))){
	goto L68;}
	goto L69;
L70:;
L69:;
	V2= ECL_SYM("CHARACTER",220);
	if(!(ecl_endp(V5))){
	goto L80;}
	V3= ECL_SYM("*",16);
	goto L78;
L80:;
	V3= cl_first(V5)                          /*  FIRST           */;
	goto L78;
L78:;
	goto L21;
L68:;
	if(!((V4)==(ECL_SYM("BIT-VECTOR",132)))){
	goto L88;}
	goto L85;
	goto L86;
L88:;
	goto L86;
L86:;
	if(!((V4)==(ECL_SYM("SIMPLE-BIT-VECTOR",763)))){
	goto L83;}
	goto L84;
L85:;
L84:;
	V2= ECL_SYM("BIT",121);
	if(!(ecl_endp(V5))){
	goto L95;}
	V3= ECL_SYM("*",16);
	goto L93;
L95:;
	V3= cl_first(V5)                          /*  FIRST           */;
	goto L93;
L93:;
	goto L21;
L83:;
	if(!((V4)==(ECL_SYM("ARRAY",94)))){
	goto L103;}
	goto L100;
	goto L101;
L103:;
	goto L101;
L101:;
	if(!((V4)==(ECL_SYM("SIMPLE-ARRAY",761)))){
	goto L98;}
	goto L99;
L100:;
L99:;
	T0= cl_rest(V5)                           /*  REST            */;
	if(ecl_endp(T0)){
	goto L110;}
	V3= cl_second(V5)                         /*  SECOND          */;
	if(ECL_ATOM(V3)){
	goto L110;}
	if(ecl_endp(V3)){
	goto L110;}
	T0= cl_rest(V3)                           /*  REST            */;
	if(ecl_endp(T0)){
	goto L108;}
	goto L109;
L110:;
L109:;
	(void)L3error_sequence_type(V1)           /*  ERROR-SEQUENCE-TYPE */;
	goto L106;
L108:;
	goto L106;
L106:;
	T0= cl_first(V5)                          /*  FIRST           */;
	V2= cl_upgraded_array_element_type(1,T0)  /*  UPGRADED-ARRAY-ELEMENT-TYPE */;
	T0= cl_second(V5)                         /*  SECOND          */;
	V3= cl_first(T0)                          /*  FIRST           */;
	goto L21;
L98:;
	{cl_object V6;                            /*  %DOLIST-VAR     */
	cl_object V7;                             /*  I               */
	V6= VV[12];
	V7= Cnil;
	goto L123;
L122:;
	V7= cl_first(V6)                          /*  FIRST           */;
	T0= cl_car(V7)                            /*  CAR             */;
	if((cl_subtypep(2,V1,T0)                  /*  SUBTYPEP        */)==Cnil){
	goto L129;}
	V2= cl_cdr(V7)                            /*  CDR             */;
	V3= ECL_SYM("*",16);
	if((V2)!=Cnil){
	goto L137;}
	(void)L3error_sequence_type(V1)           /*  ERROR-SEQUENCE-TYPE */;
	goto L135;
L137:;
	goto L135;
L135:;
	goto L21;
L129:;
	goto L127;
L127:;
	V6= CDR(V6);
L123:;
	if((V6)==Cnil){
	goto L143;}
	goto L122;
L143:;
	goto L141;
L141:;
	goto L120;
L120:;
	V7= Cnil;
	if((cl_subtypep(2,V1,ECL_SYM("VECTOR",896)) /*  SUBTYPEP      */)==Cnil){
	goto L148;}
	(void)cl_error(2,_ecl_static_4,V1)        /*  ERROR           */;
	goto L21;
L148:;
	(void)L3error_sequence_type(V1)           /*  ERROR-SEQUENCE-TYPE */;
	goto L21;
	}
L21:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V3;
	cl_env_copy->values[0]=V2;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for MAKE-SEQUENCE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_make_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_fixnum V3;
	cl_object V4;
	cl_object V5;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3= ecl_to_fixnum(V2);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,cl_make_sequencekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V4= keyvars[0];
	V5= keyvars[1];
	}
	{cl_object V6;                            /*  SEQUENCE        */
	V6= Cnil;
	cl_env_copy->values[0]=L5closest_sequence_type(V1) /*  CLOSEST-SEQUENCE-TYPE */;
	{
	cl_object V8;                             /*  ELEMENT-TYPE    */
	cl_object V9;                             /*  LENGTH          */
	{int V10=cl_env_copy->nvalues-0;
	if (V10--<=0) goto L3;
	V8= cl_env_copy->values[0];
	if (V10--<=0) goto L4;
	V9= cl_env_copy->values[1];
	goto L5;}
L3:;
	V8= Cnil;
L4:;
	V9= Cnil;
L5:;
	if(!((V8)==(ECL_SYM("LIST",479)))){
	goto L8;}
	V6= cl_make_list(3,MAKE_FIXNUM(V3),ECL_SYM("INITIAL-ELEMENT",1223),V4) /*  MAKE-LIST */;
	if((cl_subtypep(2,ECL_SYM("LIST",479),V1) /*  SUBTYPEP        */)!=Cnil){
	goto L13;}
	if((cl_subtypep(2,V1,ECL_SYM("NULL",603)) /*  SUBTYPEP        */)==Cnil){
	goto L21;}
	if((V3)>0){
	goto L18;}
	goto L19;
L21:;
	goto L19;
L19:;
	if((cl_subtypep(2,V1,ECL_SYM("CONS",249)) /*  SUBTYPEP        */)==Cnil){
	goto L16;}
	if(!((V3)==0)){
	goto L16;}
	goto L17;
L18:;
L17:;
	T0= cl_make_list(3,MAKE_FIXNUM(V3),ECL_SYM("INITIAL-ELEMENT",1223),V4) /*  MAKE-LIST */;
	(void)L4error_sequence_length(T0,V1,MAKE_FIXNUM(0)) /*  ERROR-SEQUENCE-LENGTH */;
	goto L6;
L16:;
	goto L6;
L13:;
	goto L6;
L8:;
	if(!((V8)==(ECL_SYM("*",16)))){
	goto L28;}
	T0= Ct;
	goto L26;
L28:;
	T0= V8;
	goto L26;
L26:;
	V6= si_make_vector(T0,MAKE_FIXNUM(V3),Cnil,Cnil,Cnil,Cnil) /*  MAKE-VECTOR */;
	if((V5)==Cnil){
	goto L32;}
	{cl_fixnum V10;                           /*  I               */
	V10= 0;
	goto L38;
L37:;
	ecl_elt_set(V6,V10,V4);
	V10= ecl_to_fixnum(ecl_one_plus(MAKE_FIXNUM(V10)));
L38:;
	if((V10)>=(V3)){
	goto L45;}
	goto L37;
L45:;
	goto L43;
L43:;
	goto L35;
L35:;
	goto L30;
	}
L32:;
	goto L30;
L30:;
	if((V9)==(ECL_SYM("*",16))){
	goto L48;}
	if((V9)==(MAKE_FIXNUM(V3))){
	goto L48;}
	(void)L4error_sequence_length(V6,V1,MAKE_FIXNUM(V3)) /*  ERROR-SEQUENCE-LENGTH */;
	goto L6;
L48:;
	goto L6;
L6:;
	value0=V6; cl_env_copy->nvalues=1;
	return value0;}
	}
}}
/*	function definition for MAKE-SEQ-ITERATOR                     */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
cl_object si_make_seq_iterator(cl_narg narg, cl_object V1, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_fixnum V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= 0;
	} else {
	i++;
	V2= fix(va_arg(args,cl_object));
	}}
	va_end(args);
	if(!(1)){
	goto L3;}
	if(!((V2)<0)){
	goto L6;}
	value0=L2error_sequence_index(V1,MAKE_FIXNUM(V2)) /*  ERROR-SEQUENCE-INDEX */;
	return value0;
L6:;
	if(!(ECL_LISTP(V1))){
	goto L9;}
	value0=ecl_nthcdr(V2,V1); cl_env_copy->nvalues=1;
	return value0;
L9:;
	if(!(ECL_VECTORP(V1))){
	goto L12;}
	{cl_fixnum V3;
	V3= (V1)->vector.fillp;
	if(!((V2)<(V3))){
	goto L15;}}
	value0=MAKE_FIXNUM(V2); cl_env_copy->nvalues=1;
	return value0;
L15:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L12:;
	value0=L1error_not_a_sequence(V1)         /*  ERROR-NOT-A-SEQUENCE */;
	return value0;
L3:;
	if(ECL_LISTP(V1)){
	goto L18;}
	if(ECL_VECTORP(V1)){
	goto L18;}
	value0=L1error_not_a_sequence(V1)         /*  ERROR-NOT-A-SEQUENCE */;
	return value0;
L18:;
	if(!(ECL_FIXNUMP(MAKE_FIXNUM(V2))||ECL_BIGNUMP(MAKE_FIXNUM(V2)))){
	goto L22;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L22:;
	value0=L2error_sequence_index(V1,MAKE_FIXNUM(V2)) /*  ERROR-SEQUENCE-INDEX */;
	return value0;
}
/*	function definition for SEQ-ITERATOR-REF                      */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
cl_object si_seq_iterator_ref(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	if(!(FIXNUMP(V2))){
	goto L2;}
	value0=ecl_aref_unsafe(V1,fix(V2)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=ECL_CONS_CAR(V2); cl_env_copy->nvalues=1;
	return value0;
}
/*	function definition for SEQ-ITERATOR-SET                      */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
cl_object si_seq_iterator_set(cl_object V1, cl_object V2, cl_object V3)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	if(!(FIXNUMP(V2))){
	goto L2;}
	value0=ecl_aset_unsafe(V1,fix(V2),V3); cl_env_copy->nvalues=1;
	return value0;
L2:;
	(ECL_CONS_CAR(V2)=V3,V2);
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}
/*	function definition for SEQ-ITERATOR-NEXT                     */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
cl_object si_seq_iterator_next(cl_object V1, cl_object V2)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	if(!(FIXNUMP(V2))){
	goto L2;}
	{cl_fixnum V3;                            /*  AUX             */
	V3= fix(ecl_one_plus(V2));
	{cl_fixnum V4;
	V4= (V1)->vector.fillp;
	if(!((V3)<(V4))){
	goto L6;}}
	value0=MAKE_FIXNUM(V3); cl_env_copy->nvalues=1;
	return value0;
L6:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	if(!(ECL_ATOM(V2))){
	goto L9;}
	value0=L1error_not_a_sequence(V2)         /*  ERROR-NOT-A-SEQUENCE */;
	return value0;
L9:;
	V2= ECL_CONS_CDR(V2);
	if(ECL_LISTP(V2)){
	goto L15;}
	(void)L1error_not_a_sequence(V2)          /*  ERROR-NOT-A-SEQUENCE */;
	goto L13;
L15:;
	goto L13;
L13:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}
/*	function definition for SEQ-ITERATOR-LIST-POP                 */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object L6seq_iterator_list_pop(cl_object V1, cl_object V2, cl_object V3)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	{cl_object V4;                            /*  IT-LIST         */
	cl_object V5;                             /*  V-LIST          */
	V4= V3;
	V5= V1;
	goto L6;
L5:;
	{cl_object V6;                            /*  IT              */
	cl_object V7;                             /*  SEQUENCE        */
	V6= ECL_CONS_CAR(V4);
	V7= ECL_CONS_CAR(V2);
	if(!(V6==Cnil)){
	goto L13;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L13:;
	if(!(FIXNUMP(V6))){
	goto L16;}
	{cl_fixnum V8;                            /*  N               */
	V8= fix(V6);
	T0= ecl_aref_unsafe(V7,V8);
	(ECL_CONS_CAR(V5)=T0,V5);
	{cl_fixnum V9;
	V8= (V8)+(1);
	V9= V8;
	{cl_fixnum V10;
	V10= (V7)->vector.fillp;
	if(!((V9)<(V10))){
	goto L23;}}}
	T0= MAKE_FIXNUM(V8);
	goto L21;
L23:;
	T0= Cnil;
	goto L21;
L21:;
	(ECL_CONS_CAR(V4)=T0,V4);
	goto L11;
	}
L16:;
	if(!(ECL_ATOM(V6))){
	goto L28;}
	(void)L1error_not_a_sequence(V6)          /*  ERROR-NOT-A-SEQUENCE */;
	goto L11;
L28:;
	T0= ECL_CONS_CAR(V6);
	(ECL_CONS_CAR(V5)=T0,V5);
	V6= ECL_CONS_CDR(V6);
	if(ECL_LISTP(V6)){
	goto L33;}
	(void)L1error_not_a_sequence(V6)          /*  ERROR-NOT-A-SEQUENCE */;
	goto L31;
L33:;
	goto L31;
L31:;
	(ECL_CONS_CAR(V4)=V6,V4);
	goto L11;
L11:;
	V5= ECL_CONS_CDR(V5);
	V4= ECL_CONS_CDR(V4);
	V2= ECL_CONS_CDR(V2);
	}
L6:;
	if(V5==Cnil){
	goto L43;}
	goto L5;
L43:;
	goto L41;
L41:;
	goto L3;
L3:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}
/*	function definition for COERCE-TO-LIST                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_coerce_to_list(cl_narg narg, cl_object V1, ...)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	if(!(ECL_LISTP(V1))){
	goto L2;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L2:;
	{cl_object V2;                            /*  LET137          */
	cl_object V3;                             /*  IT              */
	cl_object V4;                             /*  OUTPUT          */
	V2= si_make_seq_iterator(1,V1)            /*  MAKE-SEQ-ITERATOR */;
	V3= V2;
	V4= Cnil;
	goto L10;
L9:;
	T0= si_seq_iterator_ref(V1,V3)            /*  SEQ-ITERATOR-REF */;
	V4= CONS(T0,V4);
	V3= si_seq_iterator_next(V1,V3)           /*  SEQ-ITERATOR-NEXT */;
L10:;
	if(V3==Cnil){
	goto L18;}
	goto L9;
L18:;
	goto L16;
L16:;
	goto L7;
L7:;
	value0=cl_nreverse(V4)                    /*  NREVERSE        */;
	return value0;
	}
}}
/*	function definition for COERCE-TO-VECTOR                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_coerce_to_vector(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V5;                            /*  OUTPUT          */
	V5= V1;
	if(!(ECL_VECTORP(V1))){
	goto L7;}
	if(V4==Cnil){
	goto L10;}
	if((ecl_function_dispatch(cl_env_copy,VV[34])(1,V1) /*  SIMPLE-ARRAY-P */)==Cnil){
	goto L7;}
	goto L9;
L10:;
L9:;
	T0= cl_array_element_type(V1)             /*  ARRAY-ELEMENT-TYPE */;
	if((T0)==(V2)){
	goto L4;}
	goto L5;
L7:;
	goto L5;
L5:;
	{cl_object V6;                            /*  FINAL-LENGTH    */
	if(!((V3)==(ECL_SYM("*",16)))){
	goto L14;}
	V6= MAKE_FIXNUM(ecl_length(V1));
	goto L12;
L14:;
	V6= V3;
	goto L12;
L12:;
	V5= si_make_vector(V2,V6,Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-VECTOR */;
	{cl_object V7;                            /*  LET139          */
	cl_object V8;                             /*  I               */
	cl_fixnum V9;                             /*  J               */
	V7= si_make_seq_iterator(1,V1)            /*  MAKE-SEQ-ITERATOR */;
	V8= V7;
	V9= 0;
	goto L24;
L23:;
	{cl_fixnum V10;
	if (ecl_unlikely(!ECL_VECTORP(V5)))
           FEtype_error_vector(V5);
	if (ecl_unlikely((V9)>=(V5)->vector.dim))
           FEwrong_index(Cnil,V5,-1,MAKE_FIXNUM(V9),(V5)->vector.dim);
	V10= V9;
	T0= si_seq_iterator_ref(V1,V8)            /*  SEQ-ITERATOR-REF */;
	ecl_aset_unsafe(V5,V10,T0);}
	V8= si_seq_iterator_next(V5,V8)           /*  SEQ-ITERATOR-NEXT */;
	V9= ecl_to_fixnum(ecl_one_plus(MAKE_FIXNUM(V9)));
L24:;
	if(ecl_number_equalp(MAKE_FIXNUM(V9),V6)){
	goto L35;}
	goto L23;
L35:;
	goto L33;
L33:;
	goto L21;
L21:;
	V1= V5;
	goto L2;
	}
	}
L4:;
	goto L2;
L2:;
	if((V3)==(ECL_SYM("*",16))){
	goto L40;}
	{cl_fixnum V6;
	V6= ecl_length(V5);
	if(ecl_number_equalp(V3,MAKE_FIXNUM(V6))){
	goto L43;}}
	{cl_object V6;
	V6= V5;
	if((cl_typep(2,V6,VV[20])                 /*  TYPEP           */)!=Cnil){
	goto L48;}
	V5= si_do_check_type(4,V6,VV[20],_ecl_static_5,VV[21]) /*  DO-CHECK-TYPE */;
	goto L46;
L48:;
	goto L46;
L46:;
	goto L38;
	}
L43:;
	goto L38;
L40:;
	goto L38;
L38:;
	value0=V5; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CONCATENATE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_concatenate(cl_narg narg, cl_object V1, ...)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V3;                            /*  LENGTH-LIST     */
	cl_object V4;                             /*  OUTPUT          */
	cl_object V5;                             /*  SEQUENCES       */
	cl_object V6;                             /*  I               */
	{cl_object V7;
	cl_object V8;
	V7= Cnil;
	V8= V2;
	{cl_object V9;
	cl_object V10;
	V9= ecl_list1(Cnil);
	V10= V9;
L7:;
	if(!(ecl_endp(V8))){
	goto L11;}
	goto L8;
L11:;
	goto L9;
L9:;
	V7= CAR(V8);
	V8= CDR(V8);
	T0= V10;
	{cl_fixnum V11;
	V11= ecl_length(V7);
	V10= ecl_list1(MAKE_FIXNUM(V11));}
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V10;
	goto L7;
L8:;
	V3= cl_cdr(V9)                            /*  CDR             */;
	goto L1;
	}
	}
L1:;
	T0= (ECL_SYM("+",12)->symbol.gfdef);
	T1= cl_apply(2,T0,V3)                     /*  APPLY           */;
	V4= cl_make_sequence(2,V1,T1)             /*  MAKE-SEQUENCE   */;
	V5= V2;
	V6= si_make_seq_iterator(1,V4)            /*  MAKE-SEQ-ITERATOR */;
	goto L28;
L27:;
	{cl_object V7;                            /*  S               */
	cl_object V8;                             /*  J               */
	V7= cl_first(V5)                          /*  FIRST           */;
	V8= si_make_seq_iterator(1,V7)            /*  MAKE-SEQ-ITERATOR */;
	goto L36;
L35:;
	T0= si_seq_iterator_ref(V7,V8)            /*  SEQ-ITERATOR-REF */;
	(void)si_seq_iterator_set(V4,V6,T0)       /*  SEQ-ITERATOR-SET */;
	V6= si_seq_iterator_next(V4,V6)           /*  SEQ-ITERATOR-NEXT */;
	V8= si_seq_iterator_next(V7,V8)           /*  SEQ-ITERATOR-NEXT */;
L36:;
	if(V8==Cnil){
	goto L45;}
	goto L35;
L45:;
	goto L43;
L43:;
	goto L33;
L33:;
	}
	V3= cl_rest(V3)                           /*  REST            */;
	V5= cl_rest(V5)                           /*  REST            */;
L28:;
	if(V5==Cnil){
	goto L53;}
	goto L27;
L53:;
	goto L51;
L51:;
	goto L25;
L25:;
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for MAP                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_map(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_va_list args; cl_va_start(args,V3,narg,3);
	V4=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V5;                            /*  SEQUENCES       */
	cl_object V6;                             /*  FUNCTION        */
	cl_object V7;                             /*  OUTPUT          */
	cl_object V8;                             /*  IT              */
	V5= CONS(V3,V4);
	V6= si_coerce_to_function(V2)             /*  COERCE-TO-FUNCTION */;
	V7= Cnil;
	V8= Cnil;
	if((V1)==Cnil){
	goto L7;}
	{cl_object V9;                            /*  L               */
	V9= MAKE_FIXNUM(ecl_length(V3));
	if((V4)==Cnil){
	goto L12;}
	T0= (ECL_SYM("MIN",555)->symbol.gfdef);
	T1= (ECL_SYM("LENGTH",474)->symbol.gfdef);
	V9= cl_reduce(6,T0,V4,VV[23],V9,ECL_SYM("KEY",1234),T1) /*  REDUCE */;
	goto L10;
L12:;
	goto L10;
L10:;
	V7= cl_make_sequence(2,V1,V9)             /*  MAKE-SEQUENCE   */;
	V8= si_make_seq_iterator(1,V7)            /*  MAKE-SEQ-ITERATOR */;
	goto L5;
	}
L7:;
	goto L5;
L5:;
	{cl_object V9;
	cl_object V10;                            /*  ELT-LIST        */
	{cl_object V11;
	cl_object V12;
	V11= Cnil;
	V12= V5;
	{cl_object V13;
	cl_object V14;
	V13= ecl_list1(Cnil);
	V14= V13;
L26:;
	if(!(ecl_endp(V12))){
	goto L30;}
	goto L27;
L30:;
	goto L28;
L28:;
	V11= CAR(V12);
	V12= CDR(V12);
	T0= V14;
	T1= si_make_seq_iterator(1,V11)           /*  MAKE-SEQ-ITERATOR */;
	V14= ecl_list1(T1);
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V14;
	goto L26;
L27:;
	V9= cl_cdr(V13)                           /*  CDR             */;
	goto L20;
	}
	}
L20:;
	V10= cl_copy_list(V5)                     /*  COPY-LIST       */;
	goto L44;
L43:;
	{cl_object V11;                           /*  VALUE           */
	V11= cl_apply(2,V6,V10)                   /*  APPLY           */;
	if((V1)==Cnil){
	goto L49;}
	(void)si_seq_iterator_set(V7,V8,V11)      /*  SEQ-ITERATOR-SET */;
	V8= si_seq_iterator_next(V7,V8)           /*  SEQ-ITERATOR-NEXT */;
	goto L46;
L49:;
	goto L46;
	}
L46:;
L44:;
	V10= L6seq_iterator_list_pop(V10,V5,V9)   /*  SEQ-ITERATOR-LIST-POP */;
	if(V10==Cnil){
	goto L55;}
	goto L43;
L55:;
	goto L53;
L53:;
	goto L41;
L41:;
	value0=V7; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for SOME                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_some(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;
	cl_object V5;
	cl_object V6;                             /*  ELT-LIST        */
	V4= CONS(V2,V3);
	{cl_object V7;
	cl_object V8;
	V7= Cnil;
	V8= V4;
	{cl_object V9;
	cl_object V10;
	V9= ecl_list1(Cnil);
	V10= V9;
L8:;
	if(!(V8==Cnil)){
	goto L12;}
	goto L9;
L12:;
	goto L10;
L10:;
	V7= ECL_CONS_CAR(V8);
	V8= ECL_CONS_CDR(V8);
	T0= V10;
	T1= si_make_seq_iterator(1,V7)            /*  MAKE-SEQ-ITERATOR */;
	V10= ecl_list1(T1);
	ECL_CONS_CDR(T0) = V10;
	goto L8;
L9:;
	V5= CDR(V9);
	goto L2;
	}
	}
L2:;
	V6= cl_copy_list(V4)                      /*  COPY-LIST       */;
	goto L26;
L25:;
	{cl_object V7;                            /*  X               */
	V7= cl_apply(2,V1,V6)                     /*  APPLY           */;
	if((V7)==Cnil){
	goto L31;}
	value0=V7; cl_env_copy->nvalues=1;
	return value0;
L31:;
	goto L28;
	}
L28:;
L26:;
	V6= L6seq_iterator_list_pop(V6,V4,V5)     /*  SEQ-ITERATOR-LIST-POP */;
	if(V6==Cnil){
	goto L35;}
	goto L25;
L35:;
	goto L33;
L33:;
	goto L23;
L23:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for EVERY                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_every(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;
	cl_object V5;
	cl_object V6;                             /*  ELT-LIST        */
	V4= CONS(V2,V3);
	{cl_object V7;
	cl_object V8;
	V7= Cnil;
	V8= V4;
	{cl_object V9;
	cl_object V10;
	V9= ecl_list1(Cnil);
	V10= V9;
L8:;
	if(!(V8==Cnil)){
	goto L12;}
	goto L9;
L12:;
	goto L10;
L10:;
	V7= ECL_CONS_CAR(V8);
	V8= ECL_CONS_CDR(V8);
	T0= V10;
	T1= si_make_seq_iterator(1,V7)            /*  MAKE-SEQ-ITERATOR */;
	V10= ecl_list1(T1);
	ECL_CONS_CDR(T0) = V10;
	goto L8;
L9:;
	V5= CDR(V9);
	goto L2;
	}
	}
L2:;
	V6= cl_copy_list(V4)                      /*  COPY-LIST       */;
	goto L26;
L25:;
	if((cl_apply(2,V1,V6)                     /*  APPLY           */)!=Cnil){
	goto L30;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L30:;
	goto L28;
L28:;
L26:;
	V6= L6seq_iterator_list_pop(V6,V4,V5)     /*  SEQ-ITERATOR-LIST-POP */;
	if(V6==Cnil){
	goto L34;}
	goto L25;
L34:;
	goto L32;
L32:;
	goto L23;
L23:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for EVERY*                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7every_(cl_narg narg, cl_object V1, ...)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= (ECL_SYM("=",72)->symbol.gfdef);
	{cl_object V3;
	cl_object V4;
	V3= Cnil;
	V4= V2;
	{cl_object V5;
	cl_object V6;
	V5= ecl_list1(Cnil);
	V6= V5;
L11:;
	if(!(ecl_endp(V4))){
	goto L15;}
	goto L12;
L15:;
	goto L13;
L13:;
	V3= CAR(V4);
	V4= CDR(V4);
	T2= V6;
	{cl_fixnum V7;
	V7= ecl_length(V3);
	V6= ecl_list1(MAKE_FIXNUM(V7));}
	if (ecl_unlikely(ATOM(T2)))FEtype_error_cons(T2);
	ECL_CONS_CDR(T2) = V6;
	goto L11;
L12:;
	T1= cl_cdr(V5)                            /*  CDR             */;
	goto L5;
	}
	}
L5:;
	if((cl_apply(2,T0,T1)                     /*  APPLY           */)==Cnil){
	goto L2;}
	T0= (ECL_SYM("EVERY",340)->symbol.gfdef);
	value0=cl_apply(3,T0,V1,V2)               /*  APPLY           */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NOTANY                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_notany(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= (ECL_SYM("SOME",784)->symbol.gfdef);
	T1= cl_apply(4,T0,V1,V2,V3)               /*  APPLY           */;
	value0=Null(T1)?Ct:Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NOTEVERY                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_notevery(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= (ECL_SYM("EVERY",340)->symbol.gfdef);
	T1= cl_apply(4,T0,V1,V2,V3)               /*  APPLY           */;
	value0=Null(T1)?Ct:Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAP-INTO                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_map_into(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_fixnum V4;                            /*  NEL             */
	T0= (ECL_SYM("MIN",555)->symbol.gfdef);
	{cl_fixnum V5;
	if(!(ECL_VECTORP(V1))){
	goto L5;}
	V5= ecl_array_dimension(V1,0);
	goto L3;
L5:;
	V5= ecl_length(V1);
	goto L3;
L3:;
	{cl_object V6;
	cl_object V7;
	V6= Cnil;
	V7= V3;
	{cl_object V8;
	cl_object V9;
	V8= ecl_list1(Cnil);
	V9= V8;
L13:;
	if(!(ecl_endp(V7))){
	goto L17;}
	goto L14;
L17:;
	goto L15;
L15:;
	V6= CAR(V7);
	V7= CDR(V7);
	T2= V9;
	{cl_fixnum V10;
	V10= ecl_length(V6);
	V9= ecl_list1(MAKE_FIXNUM(V10));}
	if (ecl_unlikely(ATOM(T2)))FEtype_error_cons(T2);
	ECL_CONS_CDR(T2) = V9;
	goto L13;
L14:;
	T1= cl_cdr(V8)                            /*  CDR             */;
	goto L7;
	}
	}
L7:;
	V4= ecl_to_fixnum(cl_apply(3,T0,MAKE_FIXNUM(V5),T1) /*  APPLY */);}
	if(!(ECL_VECTORP(V1))){
	goto L29;}
	if(!((ECL_ARRAYP(V1)?(void)0:FEtype_error_array(V1),ECL_ARRAY_HAS_FILL_POINTER_P(V1)))){
	goto L29;}
	(void)si_fill_pointer_set(V1,MAKE_FIXNUM(V4)) /*  FILL-POINTER-SET */;
	goto L27;
L29:;
	goto L27;
L27:;
	{cl_object V5;                            /*  LET153          */
	cl_object V6;                             /*  LET154          */
	cl_object V7;                             /*  LET155          */
	cl_object V8;                             /*  IR              */
	V5= si_make_seq_iterator(1,V1)            /*  MAKE-SEQ-ITERATOR */;
	{cl_object V9;
	cl_object V10;
	V9= Cnil;
	V10= V3;
	{cl_object V11;
	cl_object V12;
	V11= ecl_list1(Cnil);
	V12= V11;
L39:;
	if(!(ecl_endp(V10))){
	goto L43;}
	goto L40;
L43:;
	goto L41;
L41:;
	V9= CAR(V10);
	V10= CDR(V10);
	T0= V12;
	T1= si_make_seq_iterator(1,V9)            /*  MAKE-SEQ-ITERATOR */;
	V12= ecl_list1(T1);
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V12;
	goto L39;
L40:;
	V6= cl_cdr(V11)                           /*  CDR             */;
	goto L33;
	}
	}
L33:;
	{cl_fixnum V9;
	V9= ecl_length(V3);
	V7= cl_make_sequence(2,ECL_SYM("LIST",479),MAKE_FIXNUM(V9)) /*  MAKE-SEQUENCE */;}
	V8= V5;
	goto L58;
L57:;
	{cl_object V9;                            /*  I               */
	cl_object V10;                            /*  V               */
	cl_object V11;                            /*  S               */
	V9= V6;
	V10= V7;
	V11= V3;
	goto L67;
L66:;
	if((cl_car(V9)                            /*  CAR             */)!=Cnil){
	goto L71;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L71:;
	goto L69;
L69:;
	if (ecl_unlikely(ATOM(V10))) FEtype_error_cons(V10);
	T0= V10;
	T1= cl_car(V11)                           /*  CAR             */;
	T2= cl_car(V9)                            /*  CAR             */;
	T3= si_seq_iterator_ref(T1,T2)            /*  SEQ-ITERATOR-REF */;
	(ECL_CONS_CAR(T0)=T3,T0);
	if (ecl_unlikely(ATOM(V9))) FEtype_error_cons(V9);
	T0= V9;
	T1= cl_car(V11)                           /*  CAR             */;
	T2= cl_car(V9)                            /*  CAR             */;
	T3= si_seq_iterator_next(T1,T2)           /*  SEQ-ITERATOR-NEXT */;
	(ECL_CONS_CAR(T0)=T3,T0);
	V9= cl_cdr(V9)                            /*  CDR             */;
	V10= cl_cdr(V10)                          /*  CDR             */;
	V11= cl_cdr(V11)                          /*  CDR             */;
L67:;
	if(V9==Cnil){
	goto L85;}
	goto L66;
L85:;
	goto L83;
L83:;
	goto L64;
L64:;
	}
	T0= cl_apply(2,V2,V7)                     /*  APPLY           */;
	(void)si_seq_iterator_set(V1,V8,T0)       /*  SEQ-ITERATOR-SET */;
	V8= si_seq_iterator_next(V1,V8)           /*  SEQ-ITERATOR-NEXT */;
L58:;
	if(V8==Cnil){
	goto L92;}
	goto L57;
L92:;
	goto L90;
L90:;
	goto L55;
L55:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
	
#include "lsp/seq.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecll97UBza7_hV7oLD01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:LSP;SEQ.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_ecll97UBza7_hV7oLD01@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	(void)0; /* No entry created for ERROR-NOT-A-SEQUENCE */
	(void)0; /* No entry created for ERROR-SEQUENCE-INDEX */
	(void)0; /* No entry created for ERROR-SEQUENCE-TYPE */
	(void)0; /* No entry created for ERROR-SEQUENCE-LENGTH */
	ecl_cmp_defun(VV[25]);
	(void)0; /* No entry created for MAKE-SEQUENCE */
	ecl_cmp_defun(VV[27]);
	ecl_cmp_defun(VV[28]);
	ecl_cmp_defun(VV[29]);
	ecl_cmp_defun(VV[30]);
	ecl_cmp_defun(VV[31]);
	ecl_cmp_defun(VV[32]);
	ecl_cmp_defun(VV[33]);
	(void)0; /* No entry created for CONCATENATE */
	(void)0; /* No entry created for MAP */
	(void)0; /* No entry created for SOME */
	(void)0; /* No entry created for EVERY */
	ecl_cmp_defun(VV[35]);
	(void)0; /* No entry created for NOTANY */
	(void)0; /* No entry created for NOTEVERY */
	(void)0; /* No entry created for MAP-INTO */
}
