/*	Compiler: ECL 11.1.1                                          */
/*	Source: SRC:CLX;MACROS.LISP                                   */
#include <ecl/ecl-cmp.h>
#include "clx/macros.h"
/*	local function TYPE-CHECK                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1type_check(cl_object V1, cl_object V2)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  VALUE           */
	cl_object V4;                             /*  TYPE            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,VV[0],V3,V4)                /*  LIST            */;
	T1= cl_list(3,VV[1],V3,V4)                /*  LIST            */;
	value0=cl_list(3,ECL_SYM("UNLESS",881),T0,T1) /*  LIST        */;
	return value0;
	}
}}
/*	local function REQUIRED-ARG                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2required_arg(cl_object V1, cl_object V2)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NAME            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,ECL_SYM("QUOTE",677),V3)    /*  LIST            */;
	T1= cl_list(4,VV[4],VV[5],VV[6],T0)       /*  LIST            */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,VV[3]) /*  LIST      */;
	return value0;
	}
}}
/*	local function LROUND                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3lround(cl_object V1, cl_object V2)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,VV[9],V3,MAKE_FIXNUM(3))    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("LOGAND",490),T0,MAKE_FIXNUM(-4)) /*  LIST */;
	value0=cl_list(3,ECL_SYM("THE",854),VV[8],T1) /*  LIST        */;
	return value0;
	}
}}
/*	local function WROUND                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4wround(cl_object V1, cl_object V2)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,VV[9],V3,MAKE_FIXNUM(1))    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("LOGAND",490),T0,MAKE_FIXNUM(-2)) /*  LIST */;
	value0=cl_list(3,ECL_SYM("THE",854),VV[8],T1) /*  LIST        */;
	return value0;
	}
}}
/*	function definition for INDEX-INCREMENT                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5index_increment(cl_object V1)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  NAME            */
	cl_object V3;                             /*  INCREMENT       */
	if(!(ECL_CONSP(V1))){
	goto L3;}
	V2= cl_car(V1)                            /*  CAR             */;
	goto L1;
L3:;
	V2= V1;
	goto L1;
L1:;
	V3= ecl_get(V2,VV[12],VV[13]);
	if(!((V3)==(VV[13]))){
	goto L8;}
	T0= cl_symbol_package(V2)                 /*  SYMBOL-PACKAGE  */;
	if((T0)==(ecl_symbol_value(VV[14]))){
	goto L12;}
	V2= ecl_function_dispatch(cl_env_copy,VV[467])(1,V2) /*  XINTERN */;
	V3= ecl_get(V2,VV[12],VV[13]);
	goto L10;
L12:;
	goto L10;
L10:;
	if(!((V3)==(VV[13]))){
	goto L18;}
	(void)cl_error(2,_ecl_static_1,V2)        /*  ERROR           */;
	goto L6;
L18:;
	goto L6;
L8:;
	goto L6;
L6:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for GETIFY                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6getify(cl_object V1)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_function_dispatch(cl_env_copy,VV[467])(2,V1,VV[16]) /*  XINTERN */;
	return value0;
}}
/*	function definition for PUTIFY                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7putify(cl_narg narg, cl_object V1, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V2)==Cnil){
	goto L4;}
	T0= VV[19];
	goto L2;
L4:;
	T0= _ecl_static_2;
	goto L2;
L2:;
	value0=ecl_function_dispatch(cl_env_copy,VV[467])(3,V1,VV[18],T0) /*  XINTERN */;
	return value0;
}}
/*	local function DEFINE-ACCESSOR                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8define_accessor(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NAME            */
	cl_object V4;
	cl_object V5;                             /*  WIDTH           */
	cl_object V6;                             /*  GET-PUT-MACROS  */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((V4)==Cnil){
	goto L11;}
	V5= cl_car(V4)                            /*  CAR             */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	V6= cl_cdddr(V1)                          /*  CDDDR           */;
	(void)si_check_arg_length(2,V4,MAKE_FIXNUM(1)) /*  CHECK-ARG-LENGTH */;
	if((cl_cdddr(V6)                          /*  CDDDR           */)==Cnil){
	goto L17;}
	T0= cl_cdddr(V6)                          /*  CDDDR           */;
	(void)cl_error(2,_ecl_static_3,T0)        /*  ERROR           */;
	goto L15;
L17:;
	goto L15;
L15:;
	{cl_object V7;                            /*  LET2595         */
	cl_object V8;                             /*  LET2596         */
	value0=cl_first(V6)                       /*  FIRST           */;
	if((value0)!=Cnil){
	goto L21;}
	V7= cl_error(2,_ecl_static_4,V3)          /*  ERROR           */;
	goto L19;
L21:;
	V7= value0;
	goto L19;
L19:;
	value0=cl_second(V6)                      /*  SECOND          */;
	if((value0)!=Cnil){
	goto L25;}
	V8= cl_error(2,_ecl_static_5,V3)          /*  ERROR           */;
	goto L23;
L25:;
	V8= value0;
	goto L23;
L23:;
	T0= cl_list(2,V3,VV[22])                  /*  LIST            */;
	T1= cl_list(2,ECL_SYM("QUOTE",677),V3)    /*  LIST            */;
	T2= cl_list(3,ECL_SYM("GET",400),T1,VV[23]) /*  LIST          */;
	if((V5)==Cnil){
	goto L29;}
	T3= ecl_floor2(V5,MAKE_FIXNUM(8));
	goto L27;
L29:;
	T3= Cnil;
	goto L27;
L27:;
	T4= cl_list(3,ECL_SYM("SETF",748),T2,T3)  /*  LIST            */;
	T5= L6getify(V3)                          /*  GETIFY          */;
	T6= cl_car(V7)                            /*  CAR             */;
	T7= cl_cdr(V7)                            /*  CDR             */;
	T8= cl_listX(4,ECL_SYM("DEFMACRO",281),T5,T6,T7) /*  LIST*    */;
	T9= L7putify(1,V3)                        /*  PUTIFY          */;
	T10= cl_car(V8)                           /*  CAR             */;
	T11= cl_cdr(V8)                           /*  CDR             */;
	T12= cl_listX(4,ECL_SYM("DEFMACRO",281),T9,T10,T11) /*  LIST* */;
	{cl_object V9;                            /*  PREDICATING-PUT */
	V9= cl_third(V6)                          /*  THIRD           */;
	if((V9)==Cnil){
	goto L34;}
	T14= cl_list(2,ECL_SYM("QUOTE",677),V3)   /*  LIST            */;
	T15= cl_list(3,ECL_SYM("GET",400),T14,VV[24]) /*  LIST        */;
	T16= cl_list(3,ECL_SYM("SETF",748),T15,Ct) /*  LIST           */;
	T17= L7putify(2,V3,Ct)                    /*  PUTIFY          */;
	T18= cl_car(V9)                           /*  CAR             */;
	T19= cl_cdr(V9)                           /*  CDR             */;
	T20= cl_listX(4,ECL_SYM("DEFMACRO",281),T17,T18,T19) /*  LIST* */;
	T13= cl_list(2,T16,T20)                   /*  LIST            */;
	goto L31;
L34:;
	T13= Cnil;
	goto L31;
	}
L31:;
	value0=cl_listX(6,VV[21],T0,T4,T8,T12,T13) /*  LIST*          */;
	return value0;
	}
	}
}}
/*	local function CARD32-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9card32_get(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(2,VV[27],V3)               /*  LIST            */;
	return value0;
	}
}}
/*	local function CARD32-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10card32_put(cl_object V1, cl_object V2)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[29],V3,V4)            /*  LIST            */;
	return value0;
	}
}}
/*	local function CARD29-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11card29_get(cl_object V1, cl_object V2)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(2,VV[32],V3)               /*  LIST            */;
	return value0;
	}
}}
/*	local function CARD29-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12card29_put(cl_object V1, cl_object V2)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[34],V3,V4)            /*  LIST            */;
	return value0;
	}
}}
/*	local function CARD16-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13card16_get(cl_object V1, cl_object V2)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(2,VV[37],V3)               /*  LIST            */;
	return value0;
	}
}}
/*	local function CARD16-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14card16_put(cl_object V1, cl_object V2)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[39],V3,V4)            /*  LIST            */;
	return value0;
	}
}}
/*	local function CARD8-GET                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15card8_get(cl_object V1, cl_object V2)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(2,VV[42],V3)               /*  LIST            */;
	return value0;
	}
}}
/*	local function CARD8-PUT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16card8_put(cl_object V1, cl_object V2)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[44],V3,V4)            /*  LIST            */;
	return value0;
	}
}}
/*	local function INTEGER-GET                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17integer_get(cl_object V1, cl_object V2)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(2,VV[46],V3)               /*  LIST            */;
	return value0;
	}
}}
/*	local function INTEGER-PUT                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18integer_put(cl_object V1, cl_object V2)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[48],V3,V4)            /*  LIST            */;
	return value0;
	}
}}
/*	local function INT16-GET                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19int16_get(cl_object V1, cl_object V2)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(2,VV[51],V3)               /*  LIST            */;
	return value0;
	}
}}
/*	local function INT16-PUT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20int16_put(cl_object V1, cl_object V2)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[53],V3,V4)            /*  LIST            */;
	return value0;
	}
}}
/*	local function RGB-VAL-GET                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21rgb_val_get(cl_object V1, cl_object V2)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[37],V3)                  /*  LIST            */;
	value0=cl_list(2,VV[56],T0)               /*  LIST            */;
	return value0;
	}
}}
/*	local function RGB-VAL-PUT                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22rgb_val_put(cl_object V1, cl_object V2)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[58],V4)                  /*  LIST            */;
	value0=cl_list(3,VV[39],V3,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function ANGLE-GET                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23angle_get(cl_object V1, cl_object V2)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[51],V3)                  /*  LIST            */;
	value0=cl_list(2,VV[61],T0)               /*  LIST            */;
	return value0;
	}
}}
/*	local function ANGLE-PUT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24angle_put(cl_object V1, cl_object V2)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[63],V4)                  /*  LIST            */;
	value0=cl_list(3,VV[53],V3,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function BIT-GET                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25bit_get(cl_object V1, cl_object V2)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  BIT             */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[42],V3)                  /*  LIST            */;
	value0=cl_list(3,ECL_SYM("LOGBITP",493),V4,T0) /*  LIST       */;
	return value0;
	}
}}
/*	local function BIT-PUT                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26bit_put(cl_object V1, cl_object V2)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;                             /*  BIT             */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	if(!(ecl_zerop(V5))){
	goto L15;}
	T0= cl_listX(3,ECL_SYM("IF",944),V4,VV[66]) /*  LIST*         */;
	value0=cl_list(3,VV[44],V3,T0)            /*  LIST            */;
	return value0;
L15:;
	T0= cl_listX(3,ECL_SYM("IF",944),V4,VV[66]) /*  LIST*         */;
	T1= cl_list(3,ECL_SYM("BYTE",160),MAKE_FIXNUM(1),V5) /*  LIST */;
	T2= cl_list(2,VV[42],V3)                  /*  LIST            */;
	T3= cl_list(4,ECL_SYM("DPB",316),T0,T1,T2) /*  LIST           */;
	value0=cl_list(3,VV[44],V3,T3)            /*  LIST            */;
	return value0;
	}
}}
/*	local function BOOLEAN-GET                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27boolean_get(cl_object V1, cl_object V2)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[42],V3)                  /*  LIST            */;
	value0=cl_list(2,ECL_SYM("PLUSP",640),T0) /*  LIST            */;
	return value0;
	}
}}
/*	local function BOOLEAN-PUT                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28boolean_put(cl_object V1, cl_object V2)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_listX(3,ECL_SYM("IF",944),V4,VV[66]) /*  LIST*         */;
	value0=cl_list(3,VV[44],V3,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function DRAWABLE-GET                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29drawable_get(cl_object V1, cl_object V2)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  BUFFER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= VV[71];
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[32],V3)                  /*  LIST            */;
	value0=cl_list(3,VV[72],V4,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function DRAWABLE-PUT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30drawable_put(cl_object V1, cl_object V2)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[74],V4)                  /*  LIST            */;
	value0=cl_list(3,VV[34],V3,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function WINDOW-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31window_get(cl_object V1, cl_object V2)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  BUFFER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= VV[71];
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[32],V3)                  /*  LIST            */;
	value0=cl_list(3,VV[77],V4,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function WINDOW-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32window_put(cl_object V1, cl_object V2)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[79],V4)                  /*  LIST            */;
	value0=cl_list(3,VV[34],V3,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function PIXMAP-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33pixmap_get(cl_object V1, cl_object V2)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  BUFFER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= VV[71];
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[32],V3)                  /*  LIST            */;
	value0=cl_list(3,VV[82],V4,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function PIXMAP-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34pixmap_put(cl_object V1, cl_object V2)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[84],V4)                  /*  LIST            */;
	value0=cl_list(3,VV[34],V3,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function GCONTEXT-GET                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC35gcontext_get(cl_object V1, cl_object V2)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  BUFFER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= VV[71];
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[32],V3)                  /*  LIST            */;
	value0=cl_list(3,VV[87],V4,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function GCONTEXT-PUT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC36gcontext_put(cl_object V1, cl_object V2)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[89],V4)                  /*  LIST            */;
	value0=cl_list(3,VV[34],V3,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function CURSOR-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC37cursor_get(cl_object V1, cl_object V2)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  BUFFER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= VV[71];
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[32],V3)                  /*  LIST            */;
	value0=cl_list(3,VV[92],V4,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function CURSOR-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38cursor_put(cl_object V1, cl_object V2)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[94],V4)                  /*  LIST            */;
	value0=cl_list(3,VV[34],V3,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function COLORMAP-GET                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39colormap_get(cl_object V1, cl_object V2)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  BUFFER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= VV[71];
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[32],V3)                  /*  LIST            */;
	value0=cl_list(3,VV[97],V4,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function COLORMAP-PUT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC40colormap_put(cl_object V1, cl_object V2)
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[99],V4)                  /*  LIST            */;
	value0=cl_list(3,VV[34],V3,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function FONT-GET                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41font_get(cl_object V1, cl_object V2)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  BUFFER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= VV[71];
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[32],V3)                  /*  LIST            */;
	value0=cl_list(3,VV[102],V4,T0)           /*  LIST            */;
	return value0;
	}
}}
/*	local function FONT-PUT                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42font_put(cl_object V1, cl_object V2)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=cl_error(1,_ecl_static_6)          /*  ERROR           */;
	return value0;
	}
}}
/*	local function KEYWORD-GET                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43keyword_get(cl_object V1, cl_object V2)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  BUFFER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= VV[71];
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[32],V3)                  /*  LIST            */;
	value0=cl_list(3,VV[105],V4,T0)           /*  LIST            */;
	return value0;
	}
}}
/*	local function KEYWORD-PUT                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44keyword_put(cl_object V1, cl_object V2)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;
	cl_object V6;
	cl_object V7;                             /*  BUFFER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	V6= si_search_keyword(2,V5,VV[107])       /*  SEARCH-KEYWORD  */;
	if(!((V6)==(VV[108]))){
	goto L13;}
	V7= VV[71];
	goto L11;
L13:;
	V7= V6;
	goto L11;
L11:;
	(void)si_check_keyword(2,V5,VV[109])      /*  CHECK-KEYWORD   */;
	T0= cl_list(3,VV[110],V4,V7)              /*  LIST            */;
	T1= cl_list(3,ECL_SYM("OR",612),T0,VV[111]) /*  LIST          */;
	value0=cl_list(3,VV[34],V3,T1)            /*  LIST            */;
	return value0;
	}
}}
/*	local function RESOURCE-ID-GET                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45resource_id_get(cl_object V1, cl_object V2)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(2,VV[32],V3)               /*  LIST            */;
	return value0;
	}
}}
/*	local function RESOURCE-ID-PUT                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC46resource_id_put(cl_object V1, cl_object V2)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[34],V3,V4)            /*  LIST            */;
	return value0;
	}
}}
/*	local function RESOURCE-ID-OR-NIL-GET                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47resource_id_or_nil_get(cl_object V1, cl_object V2)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	{cl_object V4;                            /*  ID              */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,VV[32],V3)                  /*  LIST            */;
	T1= cl_list(2,V4,T0)                      /*  LIST            */;
	T2= ecl_list1(T1);
	T3= cl_list(2,ECL_SYM("PLUSP",640),V4)    /*  LIST            */;
	T4= cl_list(3,ECL_SYM("AND",85),T3,V4)    /*  LIST            */;
	value0=cl_list(3,ECL_SYM("LET",475),T2,T4) /*  LIST           */;
	return value0;
	}
	}
}}
/*	local function RESOURCE-ID-OR-NIL-PUT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC48resource_id_or_nil_put(cl_object V1, cl_object V2)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,ECL_SYM("OR",612),V4,MAKE_FIXNUM(0)) /*  LIST   */;
	value0=cl_list(3,VV[34],V3,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function CHAR-INFO-GET                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49char_info_get(cl_object V1, cl_object V2)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[52],V3)                  /*  LIST            */;
	T1= ecl_plus(V3,MAKE_FIXNUM(2));
	T2= cl_list(2,VV[52],T1)                  /*  LIST            */;
	T3= ecl_plus(V3,MAKE_FIXNUM(4));
	T4= cl_list(2,VV[52],T3)                  /*  LIST            */;
	T5= ecl_plus(V3,MAKE_FIXNUM(6));
	T6= cl_list(2,VV[52],T5)                  /*  LIST            */;
	T7= ecl_plus(V3,MAKE_FIXNUM(8));
	T8= cl_list(2,VV[52],T7)                  /*  LIST            */;
	T9= ecl_plus(V3,MAKE_FIXNUM(10));
	T10= cl_list(2,VV[38],T9)                 /*  LIST            */;
	value0=cl_list(13,VV[119],VV[120],T0,VV[121],T2,VV[122],T4,VV[123],T6,VV[124],T8,VV[125],T10) /*  LIST */;
	return value0;
	}
}}
/*	local function MEMBER8-GET                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC50member8_get(cl_object V1, cl_object V2)
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  KEYWORDS        */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VALUE           */
	V5= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,VV[42],V3)                  /*  LIST            */;
	T1= cl_list(2,V5,T0)                      /*  LIST            */;
	T2= ecl_list1(T1);
	{cl_fixnum V6;
	V6= ecl_length(V4);
	T3= ecl_list1(MAKE_FIXNUM(V6));
	T4= cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(0),T3) /*  LIST */;
	T5= cl_list(3,ECL_SYM("TYPE",867),T4,V5)  /*  LIST            */;
	T6= cl_list(2,ECL_SYM("DECLARE",272),T5)  /*  LIST            */;
	{cl_fixnum V7;
	V7= ecl_length(V4);
	T7= ecl_list1(MAKE_FIXNUM(V7));
	T8= cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(0),T7) /*  LIST */;
	T9= cl_list(2,ECL_SYM("QUOTE",677),T8)    /*  LIST            */;
	T10= cl_list(3,VV[2],V5,T9)               /*  LIST            */;
	T11= (ECL_SYM("VECTOR",896)->symbol.gfdef);
	T12= cl_apply(2,T11,V4)                   /*  APPLY           */;
	T13= cl_list(2,ECL_SYM("QUOTE",677),T12)  /*  LIST            */;
	T14= cl_list(3,ECL_SYM("SVREF",836),T13,V5) /*  LIST          */;
	value0=cl_list(5,ECL_SYM("LET",475),T2,T6,T10,T14) /*  LIST   */;
	return value0;}}
	}
	}
}}
/*	local function MEMBER8-PUT                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51member8_put(cl_object V1, cl_object V2)
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;                             /*  KEYWORDS        */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	T0= (ECL_SYM("VECTOR",896)->symbol.gfdef);
	T1= cl_apply(2,T0,V5)                     /*  APPLY           */;
	T2= cl_list(2,ECL_SYM("QUOTE",677),T1)    /*  LIST            */;
	T3= cl_list(3,ECL_SYM("THE",854),ECL_SYM("SIMPLE-VECTOR",772),T2) /*  LIST */;
	T4= cl_listX(4,ECL_SYM("POSITION",642),V4,T3,VV[129]) /*  LIST* */;
	value0=cl_list(3,VV[44],V3,T4)            /*  LIST            */;
	return value0;
	}
}}
/*	local function MEMBER8-PUT-PREDICATING                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC52member8_put_predicating(cl_object V1, cl_object V2)
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;                             /*  KEYWORDS        */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	{cl_object V6;                            /*  VALUE           */
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= (ECL_SYM("VECTOR",896)->symbol.gfdef);
	T1= cl_apply(2,T0,V5)                     /*  APPLY           */;
	T2= cl_list(2,ECL_SYM("QUOTE",677),T1)    /*  LIST            */;
	T3= cl_list(3,ECL_SYM("THE",854),ECL_SYM("SIMPLE-VECTOR",772),T2) /*  LIST */;
	T4= cl_listX(4,ECL_SYM("POSITION",642),V4,T3,VV[129]) /*  LIST* */;
	T5= cl_list(2,V6,T4)                      /*  LIST            */;
	T6= ecl_list1(T5);
	T7= cl_list(3,VV[44],V3,V6)               /*  LIST            */;
	T8= cl_list(3,ECL_SYM("AND",85),V6,T7)    /*  LIST            */;
	value0=cl_list(3,ECL_SYM("LET",475),T6,T8) /*  LIST           */;
	return value0;
	}
	}
}}
/*	local function MEMBER16-GET                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53member16_get(cl_object V1, cl_object V2)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  KEYWORDS        */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VALUE           */
	V5= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,VV[37],V3)                  /*  LIST            */;
	T1= cl_list(2,V5,T0)                      /*  LIST            */;
	T2= ecl_list1(T1);
	{cl_fixnum V6;
	V6= ecl_length(V4);
	T3= ecl_list1(MAKE_FIXNUM(V6));
	T4= cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(0),T3) /*  LIST */;
	T5= cl_list(3,ECL_SYM("TYPE",867),T4,V5)  /*  LIST            */;
	T6= cl_list(2,ECL_SYM("DECLARE",272),T5)  /*  LIST            */;
	{cl_fixnum V7;
	V7= ecl_length(V4);
	T7= ecl_list1(MAKE_FIXNUM(V7));
	T8= cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(0),T7) /*  LIST */;
	T9= cl_list(2,ECL_SYM("QUOTE",677),T8)    /*  LIST            */;
	T10= cl_list(3,VV[2],V5,T9)               /*  LIST            */;
	T11= (ECL_SYM("VECTOR",896)->symbol.gfdef);
	T12= cl_apply(2,T11,V4)                   /*  APPLY           */;
	T13= cl_list(2,ECL_SYM("QUOTE",677),T12)  /*  LIST            */;
	T14= cl_list(3,ECL_SYM("SVREF",836),T13,V5) /*  LIST          */;
	value0=cl_list(5,ECL_SYM("LET",475),T2,T6,T10,T14) /*  LIST   */;
	return value0;}}
	}
	}
}}
/*	local function MEMBER16-PUT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC54member16_put(cl_object V1, cl_object V2)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;                             /*  KEYWORDS        */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	T0= (ECL_SYM("VECTOR",896)->symbol.gfdef);
	T1= cl_apply(2,T0,V5)                     /*  APPLY           */;
	T2= cl_list(2,ECL_SYM("QUOTE",677),T1)    /*  LIST            */;
	T3= cl_list(3,ECL_SYM("THE",854),ECL_SYM("SIMPLE-VECTOR",772),T2) /*  LIST */;
	T4= cl_listX(4,ECL_SYM("POSITION",642),V4,T3,VV[129]) /*  LIST* */;
	value0=cl_list(3,VV[39],V3,T4)            /*  LIST            */;
	return value0;
	}
}}
/*	local function MEMBER16-PUT-PREDICATING                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55member16_put_predicating(cl_object V1, cl_object V2)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;                             /*  KEYWORDS        */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	{cl_object V6;                            /*  VALUE           */
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= (ECL_SYM("VECTOR",896)->symbol.gfdef);
	T1= cl_apply(2,T0,V5)                     /*  APPLY           */;
	T2= cl_list(2,ECL_SYM("QUOTE",677),T1)    /*  LIST            */;
	T3= cl_list(3,ECL_SYM("THE",854),ECL_SYM("SIMPLE-VECTOR",772),T2) /*  LIST */;
	T4= cl_listX(4,ECL_SYM("POSITION",642),V4,T3,VV[129]) /*  LIST* */;
	T5= cl_list(2,V6,T4)                      /*  LIST            */;
	T6= ecl_list1(T5);
	T7= cl_list(3,VV[39],V3,V6)               /*  LIST            */;
	T8= cl_list(3,ECL_SYM("AND",85),V6,T7)    /*  LIST            */;
	value0=cl_list(3,ECL_SYM("LET",475),T6,T8) /*  LIST           */;
	return value0;
	}
	}
}}
/*	local function MEMBER-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC56member_get(cl_object V1, cl_object V2)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  KEYWORDS        */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VALUE           */
	V5= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,VV[32],V3)                  /*  LIST            */;
	T1= cl_list(2,V5,T0)                      /*  LIST            */;
	T2= ecl_list1(T1);
	{cl_fixnum V6;
	V6= ecl_length(V4);
	T3= ecl_list1(MAKE_FIXNUM(V6));
	T4= cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(0),T3) /*  LIST */;
	T5= cl_list(3,ECL_SYM("TYPE",867),T4,V5)  /*  LIST            */;
	T6= cl_list(2,ECL_SYM("DECLARE",272),T5)  /*  LIST            */;
	{cl_fixnum V7;
	V7= ecl_length(V4);
	T7= ecl_list1(MAKE_FIXNUM(V7));
	T8= cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(0),T7) /*  LIST */;
	T9= cl_list(2,ECL_SYM("QUOTE",677),T8)    /*  LIST            */;
	T10= cl_list(3,VV[2],V5,T9)               /*  LIST            */;
	T11= (ECL_SYM("VECTOR",896)->symbol.gfdef);
	T12= cl_apply(2,T11,V4)                   /*  APPLY           */;
	T13= cl_list(2,ECL_SYM("QUOTE",677),T12)  /*  LIST            */;
	T14= cl_list(3,ECL_SYM("SVREF",836),T13,V5) /*  LIST          */;
	value0=cl_list(5,ECL_SYM("LET",475),T2,T6,T10,T14) /*  LIST   */;
	return value0;}}
	}
	}
}}
/*	local function MEMBER-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57member_put(cl_object V1, cl_object V2)
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;                             /*  KEYWORDS        */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	T0= (ECL_SYM("VECTOR",896)->symbol.gfdef);
	T1= cl_apply(2,T0,V5)                     /*  APPLY           */;
	T2= cl_list(2,ECL_SYM("QUOTE",677),T1)    /*  LIST            */;
	T3= cl_list(3,ECL_SYM("THE",854),ECL_SYM("SIMPLE-VECTOR",772),T2) /*  LIST */;
	T4= cl_listX(4,ECL_SYM("POSITION",642),V4,T3,VV[129]) /*  LIST* */;
	value0=cl_list(3,VV[34],V3,T4)            /*  LIST            */;
	return value0;
	}
}}
/*	local function MEMBER-PUT-PREDICATING                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC58member_put_predicating(cl_object V1, cl_object V2)
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;                             /*  KEYWORDS        */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	if((cl_cdr(V5)                            /*  CDR             */)==Cnil){
	goto L11;}
	{cl_object V6;                            /*  VALUE           */
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= (ECL_SYM("VECTOR",896)->symbol.gfdef);
	T1= cl_apply(2,T0,V5)                     /*  APPLY           */;
	T2= cl_list(2,ECL_SYM("QUOTE",677),T1)    /*  LIST            */;
	T3= cl_list(3,ECL_SYM("THE",854),ECL_SYM("SIMPLE-VECTOR",772),T2) /*  LIST */;
	T4= cl_listX(4,ECL_SYM("POSITION",642),V4,T3,VV[129]) /*  LIST* */;
	T5= cl_list(2,V6,T4)                      /*  LIST            */;
	T6= ecl_list1(T5);
	T7= cl_list(3,VV[34],V3,V6)               /*  LIST            */;
	T8= cl_list(3,ECL_SYM("AND",85),V6,T7)    /*  LIST            */;
	value0=cl_list(3,ECL_SYM("LET",475),T6,T8) /*  LIST           */;
	return value0;
	}
L11:;
	T0= cl_car(V5)                            /*  CAR             */;
	T1= cl_list(3,ECL_SYM("EQ",331),V4,T0)    /*  LIST            */;
	T2= cl_list(3,VV[34],V3,MAKE_FIXNUM(0))   /*  LIST            */;
	value0=cl_list(3,ECL_SYM("AND",85),T1,T2) /*  LIST            */;
	return value0;
	}
}}
/*	local function MEMBER-VECTOR                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC59member_vector(cl_object V1)
{ VT60 VLEX60 CLSR60 STCK60
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_symbol_value(V1)                   /*  SYMBOL-VALUE    */;
	T1= si_coerce_to_list(1,T0)               /*  COERCE-TO-LIST  */;
	value0=CONS(ECL_SYM("MEMBER",550),T1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEMBER-VECTOR-GET                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC60member_vector_get(cl_object V1, cl_object V2)
{ VT61 VLEX61 CLSR61 STCK61
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  MEMBERSHIP-VECTOR */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_eval(V4)                           /*  EVAL            */;
	T1= si_coerce_to_list(1,T0)               /*  COERCE-TO-LIST  */;
	value0=cl_listX(3,VV[137],V3,T1)          /*  LIST*           */;
	return value0;
	}
}}
/*	local function MEMBER-VECTOR-PUT                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC61member_vector_put(cl_object V1, cl_object V2)
{ VT62 VLEX62 CLSR62 STCK62
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;                             /*  MEMBERSHIP-VECTOR */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	T0= cl_eval(V5)                           /*  EVAL            */;
	T1= si_coerce_to_list(1,T0)               /*  COERCE-TO-LIST  */;
	value0=cl_listX(4,VV[138],V3,V4,T1)       /*  LIST*           */;
	return value0;
	}
}}
/*	local function MEMBER-VECTOR-PUT-PREDICATING                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC62member_vector_put_predicating(cl_object V1, cl_object V2)
{ VT63 VLEX63 CLSR63 STCK63
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;                             /*  MEMBERSHIP-VECTOR */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	T0= cl_eval(V5)                           /*  EVAL            */;
	T1= si_coerce_to_list(1,T0)               /*  COERCE-TO-LIST  */;
	value0=cl_listX(4,VV[138],V3,V4,T1)       /*  LIST*           */;
	return value0;
	}
}}
/*	local function MEMBER16-VECTOR-GET                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC63member16_vector_get(cl_object V1, cl_object V2)
{ VT64 VLEX64 CLSR64 STCK64
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  MEMBERSHIP-VECTOR */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_eval(V4)                           /*  EVAL            */;
	T1= si_coerce_to_list(1,T0)               /*  COERCE-TO-LIST  */;
	value0=cl_listX(3,VV[134],V3,T1)          /*  LIST*           */;
	return value0;
	}
}}
/*	local function MEMBER16-VECTOR-PUT                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC64member16_vector_put(cl_object V1, cl_object V2)
{ VT65 VLEX65 CLSR65 STCK65
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;                             /*  MEMBERSHIP-VECTOR */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	T0= cl_eval(V5)                           /*  EVAL            */;
	T1= si_coerce_to_list(1,T0)               /*  COERCE-TO-LIST  */;
	value0=cl_listX(4,VV[135],V3,V4,T1)       /*  LIST*           */;
	return value0;
	}
}}
/*	local function MEMBER16-VECTOR-PUT-PREDICATING                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65member16_vector_put_predicating(cl_object V1, cl_object V2)
{ VT66 VLEX66 CLSR66 STCK66
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;                             /*  MEMBERSHIP-VECTOR */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	T0= cl_eval(V5)                           /*  EVAL            */;
	T1= si_coerce_to_list(1,T0)               /*  COERCE-TO-LIST  */;
	value0=cl_listX(4,VV[135],V3,V4,T1)       /*  LIST*           */;
	return value0;
	}
}}
/*	local function MEMBER8-VECTOR-GET                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC66member8_vector_get(cl_object V1, cl_object V2)
{ VT67 VLEX67 CLSR67 STCK67
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  MEMBERSHIP-VECTOR */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_eval(V4)                           /*  EVAL            */;
	T1= si_coerce_to_list(1,T0)               /*  COERCE-TO-LIST  */;
	value0=cl_listX(3,VV[128],V3,T1)          /*  LIST*           */;
	return value0;
	}
}}
/*	local function MEMBER8-VECTOR-PUT                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67member8_vector_put(cl_object V1, cl_object V2)
{ VT68 VLEX68 CLSR68 STCK68
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;                             /*  MEMBERSHIP-VECTOR */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	T0= cl_eval(V5)                           /*  EVAL            */;
	T1= si_coerce_to_list(1,T0)               /*  COERCE-TO-LIST  */;
	value0=cl_listX(4,VV[130],V3,V4,T1)       /*  LIST*           */;
	return value0;
	}
}}
/*	local function MEMBER8-VECTOR-PUT-PREDICATING                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC68member8_vector_put_predicating(cl_object V1, cl_object V2)
{ VT69 VLEX69 CLSR69 STCK69
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;                             /*  MEMBERSHIP-VECTOR */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	T0= cl_eval(V5)                           /*  EVAL            */;
	T1= si_coerce_to_list(1,T0)               /*  COERCE-TO-LIST  */;
	value0=cl_listX(4,VV[130],V3,V4,T1)       /*  LIST*           */;
	return value0;
	}
}}
/*	local function BOOLE-CONSTANT-GET                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC69boole_constant_get(cl_object V1, cl_object V2)
{ VT70 VLEX70 CLSR70 STCK70
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	{cl_object V4;                            /*  VALUE           */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,VV[32],V3)                  /*  LIST            */;
	T1= cl_list(2,V4,T0)                      /*  LIST            */;
	T2= ecl_list1(T1);
	{cl_fixnum V5;
	V5= ecl_length(ecl_symbol_value(VV[153]));
	T3= ecl_list1(MAKE_FIXNUM(V5));
	T4= cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(0),T3) /*  LIST */;
	T5= cl_list(3,ECL_SYM("TYPE",867),T4,V4)  /*  LIST            */;
	T6= cl_list(2,ECL_SYM("DECLARE",272),T5)  /*  LIST            */;
	{cl_fixnum V6;
	V6= ecl_length(ecl_symbol_value(VV[153]));
	T7= ecl_list1(MAKE_FIXNUM(V6));
	T8= cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(0),T7) /*  LIST */;
	T9= cl_list(2,ECL_SYM("QUOTE",677),T8)    /*  LIST            */;
	T10= cl_list(3,VV[2],V4,T9)               /*  LIST            */;
	T11= cl_list(3,ECL_SYM("SVREF",836),VV[153],V4) /*  LIST      */;
	value0=cl_list(5,ECL_SYM("LET",475),T2,T6,T10,T11) /*  LIST   */;
	return value0;}}
	}
	}
}}
/*	local function BOOLE-CONSTANT-PUT                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC70boole_constant_put(cl_object V1, cl_object V2)
{ VT71 VLEX71 CLSR71 STCK71
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,ECL_SYM("POSITION",642),V4,VV[155]) /*  LIST    */;
	value0=cl_list(3,VV[34],V3,T0)            /*  LIST            */;
	return value0;
	}
}}
/*	local function BOOLE-CONSTANT-PUT-PREDICATING                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC71boole_constant_put_predicating(cl_object V1, cl_object V2)
{ VT72 VLEX72 CLSR72 STCK72
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	{cl_object V5;                            /*  VALUE           */
	V5= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(3,ECL_SYM("POSITION",642),V4,VV[155]) /*  LIST    */;
	T1= cl_list(2,V5,T0)                      /*  LIST            */;
	T2= ecl_list1(T1);
	T3= cl_list(3,VV[34],V3,V5)               /*  LIST            */;
	T4= cl_list(3,ECL_SYM("AND",85),V5,T3)    /*  LIST            */;
	value0=cl_list(3,ECL_SYM("LET",475),T2,T4) /*  LIST           */;
	return value0;
	}
	}
}}
/*	local function NULL-GET                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC72null_get(cl_object V1, cl_object V2)
{ VT73 VLEX73 CLSR73 STCK73
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[27],V3)                  /*  LIST            */;
	T1= cl_list(2,ECL_SYM("ZEROP",924),T0)    /*  LIST            */;
	T2= cl_list(2,VV[27],V3)                  /*  LIST            */;
	value0=cl_list(4,ECL_SYM("IF",944),T1,Cnil,T2) /*  LIST       */;
	return value0;
	}
}}
/*	local function NULL-PUT                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC73null_put(cl_object V1, cl_object V2)
{ VT74 VLEX74 CLSR74 STCK74
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  VALUE           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[29],V3,MAKE_FIXNUM(0)) /*  LIST           */;
	return value0;
	}
}}
/*	local function PAD8-GET                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC74pad8_get(cl_object V1, cl_object V2)
{ VT75 VLEX75 CLSR75 STCK75
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function PAD8-PUT                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC75pad8_put(cl_object V1, cl_object V2)
{ VT76 VLEX76 CLSR76 STCK76
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  VALUE           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function PAD16-GET                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC76pad16_get(cl_object V1, cl_object V2)
{ VT77 VLEX77 CLSR77 STCK77
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function PAD16-PUT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC77pad16_put(cl_object V1, cl_object V2)
{ VT78 VLEX78 CLSR78 STCK78
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  VALUE           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function PAD32-GET                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC78pad32_get(cl_object V1, cl_object V2)
{ VT79 VLEX79 CLSR79 STCK79
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function PAD32-PUT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC79pad32_put(cl_object V1, cl_object V2)
{ VT80 VLEX80 CLSR80 STCK80
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  VALUE           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function BIT-VECTOR256-GET                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC80bit_vector256_get(cl_object V1, cl_object V2)
{ VT81 VLEX81 CLSR81 STCK81
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  REAL-INDEX      */
	cl_object V5;                             /*  DATA            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= V3;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= Cnil;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(4,VV[170],VV[171],V4,V5)   /*  LIST            */;
	return value0;
	}
}}
/*	local function BIT-VECTOR256-PUT                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC81bit_vector256_put(cl_object V1, cl_object V2)
{ VT82 VLEX82 CLSR82 STCK82
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  MAP             */
	cl_object V5;                             /*  REAL-INDEX      */
	cl_object V6;                             /*  BUFFER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= V3;
	goto L9;
L9:;
	if((cl_cddddr(V1)                         /*  CDDDDR          */)==Cnil){
	goto L15;}
	T0= cl_cddddr(V1)                         /*  CDDDDR          */;
	V6= cl_car(T0)                            /*  CAR             */;
	goto L13;
L15:;
	V6= VV[71];
	goto L13;
L13:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(5)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,VV[9],VV[174],V5)           /*  LIST            */;
	value0=cl_list(4,VV[173],V6,T0,V4)        /*  LIST            */;
	return value0;
	}
}}
/*	local function STRING-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC82string_get(cl_object V1, cl_object V2)
{ VT83 VLEX83 CLSR83 STCK83
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LENGTH          */
	cl_object V4;                             /*  INDEX           */
	cl_object V5;
	cl_object V6;
	cl_object V7;                             /*  REPLY-BUFFER    */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	V6= si_search_keyword(2,V5,VV[176])       /*  SEARCH-KEYWORD  */;
	if(!((V6)==(VV[108]))){
	goto L13;}
	V7= Cnil;
	goto L11;
L13:;
	V7= V6;
	goto L11;
L11:;
	(void)si_check_keyword(2,V5,VV[177])      /*  CHECK-KEYWORD   */;
	value0=V7;
	if((value0)!=Cnil){
	goto L18;}
	T0= VV[179];
	goto L16;
L18:;
	T0= value0;
	goto L16;
L16:;
	value0=cl_list(8,VV[178],T0,VV[180],V3,Cnil,Cnil,MAKE_FIXNUM(0),V4) /*  LIST */;
	return value0;
	}
}}
/*	local function STRING-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC83string_put(cl_object V1, cl_object V2)
{ VT84 VLEX84 CLSR84 STCK84
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  STRING          */
	cl_object V5;
	cl_object V6;
	cl_object V7;                             /*  BUFFER          */
	cl_object V8;
	cl_object V9;                             /*  START           */
	cl_object V10;
	cl_object V11;                            /*  END             */
	cl_object V12;
	cl_object V13;                            /*  HEADER-LENGTH   */
	cl_object V14;
	cl_object V15;                            /*  APPENDING       */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	V6= si_search_keyword(2,V5,VV[107])       /*  SEARCH-KEYWORD  */;
	if(!((V6)==(VV[108]))){
	goto L13;}
	V7= Cnil;
	goto L11;
L13:;
	V7= V6;
	goto L11;
L11:;
	V8= si_search_keyword(2,V5,ECL_SYM("START",1280)) /*  SEARCH-KEYWORD */;
	if(!((V8)==(VV[108]))){
	goto L18;}
	V9= MAKE_FIXNUM(0);
	goto L16;
L18:;
	V9= V8;
	goto L16;
L16:;
	V10= si_search_keyword(2,V5,ECL_SYM("END",1199)) /*  SEARCH-KEYWORD */;
	if(!((V10)==(VV[108]))){
	goto L23;}
	V11= Cnil;
	goto L21;
L23:;
	V11= V10;
	goto L21;
L21:;
	V12= si_search_keyword(2,V5,VV[182])      /*  SEARCH-KEYWORD  */;
	if(!((V12)==(VV[108]))){
	goto L28;}
	V13= Cnil;
	goto L26;
L28:;
	V13= V12;
	goto L26;
L26:;
	V14= si_search_keyword(2,V5,VV[183])      /*  SEARCH-KEYWORD  */;
	if(!((V14)==(VV[108]))){
	goto L33;}
	V15= Cnil;
	goto L31;
L33:;
	V15= V14;
	goto L31;
L31:;
	(void)si_check_keyword(2,V5,VV[184])      /*  CHECK-KEYWORD   */;
	if((V7)!=Cnil){
	goto L38;}
	V7= VV[71];
	goto L36;
L38:;
	goto L36;
L36:;
	if((V13)!=Cnil){
	goto L43;}
	T0= ecl_plus(V3,MAKE_FIXNUM(3));
	V13= ecl_boole(ECL_BOOLAND,(T0),(MAKE_FIXNUM(-4)));
	goto L41;
L43:;
	goto L41;
L41:;
	{cl_object V16;                           /*  REAL-END        */
	cl_object V17;                            /*  FORM            */
	if((V15)==Cnil){
	goto L48;}
	value0=V11;
	if((value0)!=Cnil){
	goto L51;}
	V16= cl_list(2,ECL_SYM("LENGTH",474),V4)  /*  LIST            */;
	goto L46;
L51:;
	V16= value0;
	goto L46;
L48:;
	V16= cl_gensym(0)                         /*  GENSYM          */;
	goto L46;
L46:;
	T0= cl_list(3,VV[9],VV[174],V13)          /*  LIST            */;
	V17= cl_list(6,VV[185],V7,T0,V4,V9,V16)   /*  LIST            */;
	if((V15)==Cnil){
	goto L55;}
	value0=V17; cl_env_copy->nvalues=1;
	return value0;
L55:;
	value0=V11;
	if((value0)!=Cnil){
	goto L59;}
	T0= cl_list(2,ECL_SYM("LENGTH",474),V4)   /*  LIST            */;
	goto L57;
L59:;
	T0= value0;
	goto L57;
L57:;
	T1= cl_list(2,V16,T0)                     /*  LIST            */;
	T2= ecl_list1(T1);
	T3= cl_list(3,VV[187],V16,V9)             /*  LIST            */;
	T4= cl_list(3,VV[9],T3,V13)               /*  LIST            */;
	T5= cl_list(3,VV[186],T4,MAKE_FIXNUM(4))  /*  LIST            */;
	T6= cl_list(3,VV[39],MAKE_FIXNUM(2),T5)   /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T2,T6,V17) /*  LIST       */;
	return value0;
	}
	}
}}
/*	local function SEQUENCE-GET                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC84sequence_get(cl_object V1, cl_object V2)
{ VT85 VLEX85 CLSR85 STCK85
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;
	cl_object V5;                             /*  LENGTH          */
	cl_object V6;
	cl_object V7;                             /*  FORMAT          */
	cl_object V8;
	cl_object V9;                             /*  RESULT-TYPE     */
	cl_object V10;
	cl_object V11;                            /*  TRANSFORM       */
	cl_object V12;
	cl_object V13;                            /*  REPLY-BUFFER    */
	cl_object V14;
	cl_object V15;                            /*  DATA            */
	cl_object V16;
	cl_object V17;                            /*  INDEX           */
	cl_object V18;
	cl_object V19;                            /*  START           */
	V3= cl_cdr(V1)                            /*  CDR             */;
	V4= si_search_keyword(2,V3,ECL_SYM("LENGTH",1235)) /*  SEARCH-KEYWORD */;
	if(!((V4)==(VV[108]))){
	goto L5;}
	V5= Cnil;
	goto L3;
L5:;
	V5= V4;
	goto L3;
L3:;
	V6= si_search_keyword(2,V3,VV[189])       /*  SEARCH-KEYWORD  */;
	if(!((V6)==(VV[108]))){
	goto L10;}
	V7= VV[26];
	goto L8;
L10:;
	V7= V6;
	goto L8;
L8:;
	V8= si_search_keyword(2,V3,VV[190])       /*  SEARCH-KEYWORD  */;
	if(!((V8)==(VV[108]))){
	goto L15;}
	V9= Cnil;
	goto L13;
L15:;
	V9= V8;
	goto L13;
L13:;
	V10= si_search_keyword(2,V3,VV[191])      /*  SEARCH-KEYWORD  */;
	if(!((V10)==(VV[108]))){
	goto L20;}
	V11= Cnil;
	goto L18;
L20:;
	V11= V10;
	goto L18;
L18:;
	V12= si_search_keyword(2,V3,VV[176])      /*  SEARCH-KEYWORD  */;
	if(!((V12)==(VV[108]))){
	goto L25;}
	V13= Cnil;
	goto L23;
L25:;
	V13= V12;
	goto L23;
L23:;
	V14= si_search_keyword(2,V3,VV[192])      /*  SEARCH-KEYWORD  */;
	if(!((V14)==(VV[108]))){
	goto L30;}
	V15= Cnil;
	goto L28;
L30:;
	V15= V14;
	goto L28;
L28:;
	V16= si_search_keyword(2,V3,VV[193])      /*  SEARCH-KEYWORD  */;
	if(!((V16)==(VV[108]))){
	goto L35;}
	V17= Cnil;
	goto L33;
L35:;
	V17= V16;
	goto L33;
L33:;
	V18= si_search_keyword(2,V3,ECL_SYM("START",1280)) /*  SEARCH-KEYWORD */;
	if(!((V18)==(VV[108]))){
	goto L40;}
	V19= Cnil;
	goto L38;
L40:;
	V19= V18;
	goto L38;
L38:;
	(void)si_check_keyword(2,V3,VV[194])      /*  CHECK-KEYWORD   */;
	if(!((V7)==(VV[41]))){
	goto L45;}
	T0= VV[195];
	goto L43;
L45:;
	if(!((V7)==(VV[196]))){
	goto L48;}
	T0= VV[197];
	goto L43;
L48:;
	if(!((V7)==(VV[36]))){
	goto L51;}
	T0= VV[198];
	goto L43;
L51:;
	if(!((V7)==(VV[50]))){
	goto L54;}
	T0= VV[199];
	goto L43;
L54:;
	if(!((V7)==(VV[26]))){
	goto L57;}
	T0= VV[200];
	goto L43;
L57:;
	if(!((V7)==(VV[201]))){
	goto L60;}
	T0= VV[202];
	goto L43;
L60:;
	T0= si_ecase_error(3,ECL_SYM("FORMAT",385),V7,VV[203]) /*  ECASE-ERROR */;
	goto L43;
L43:;
	value0=V13;
	if((value0)!=Cnil){
	goto L64;}
	T1= VV[179];
	goto L62;
L64:;
	T1= value0;
	goto L62;
L62:;
	if((V19)!=Cnil){
	goto L70;}
	if((V17)==Cnil){
	goto L68;}
	goto L69;
L70:;
L69:;
	value0=V19;
	if((value0)!=Cnil){
	goto L74;}
	T3= MAKE_FIXNUM(0);
	goto L72;
L74:;
	T3= value0;
	goto L72;
L72:;
	T2= ecl_list1(T3);
	goto L66;
L68:;
	T2= Cnil;
	goto L66;
L66:;
	if((V17)==Cnil){
	goto L78;}
	T3= ecl_list1(V17);
	goto L76;
L78:;
	T3= Cnil;
	goto L76;
L76:;
	T4= ecl_append(T2,T3);
	value0=cl_listX(7,T0,T1,V9,V5,V11,V15,T4) /*  LIST*           */;
	return value0;
	}
}}
/*	local function SEQUENCE-PUT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC86sequence_put(cl_object V1, cl_object V2)
{ VT86 VLEX86 CLSR86 STCK86
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;
	cl_object V5;                             /*  FORMAT          */
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;                             /*  TRANSFORM       */
	cl_object V10;
	cl_object V11;                            /*  BUFFER          */
	cl_object V12;
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	T0= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	T0= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	lex0[0]= T0;                              /*  INDEX           */
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	T0= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	T0= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	lex0[1]= T0;                              /*  DATA            */
	V3= cl_cdddr(V1)                          /*  CDDDR           */;
	V4= si_search_keyword(2,V3,VV[189])       /*  SEARCH-KEYWORD  */;
	if(!((V4)==(VV[108]))){
	goto L13;}
	V5= VV[26];
	goto L11;
L13:;
	V5= V4;
	goto L11;
L11:;
	V6= si_search_keyword(2,V3,ECL_SYM("START",1280)) /*  SEARCH-KEYWORD */;
	if(!((V6)==(VV[108]))){
	goto L18;}
	T0= MAKE_FIXNUM(0);
	goto L16;
L18:;
	T0= V6;
	goto L16;
L16:;
	lex0[2]= T0;                              /*  START           */
	V7= si_search_keyword(2,V3,ECL_SYM("END",1199)) /*  SEARCH-KEYWORD */;
	if(!((V7)==(VV[108]))){
	goto L23;}
	T0= Cnil;
	goto L21;
L23:;
	T0= V7;
	goto L21;
L21:;
	lex0[3]= T0;                              /*  END             */
	V8= si_search_keyword(2,V3,VV[191])       /*  SEARCH-KEYWORD  */;
	if(!((V8)==(VV[108]))){
	goto L28;}
	V9= Cnil;
	goto L26;
L28:;
	V9= V8;
	goto L26;
L26:;
	V10= si_search_keyword(2,V3,VV[107])      /*  SEARCH-KEYWORD  */;
	if(!((V10)==(VV[108]))){
	goto L33;}
	V11= Cnil;
	goto L31;
L33:;
	V11= V10;
	goto L31;
L31:;
	V12= si_search_keyword(2,V3,VV[183])      /*  SEARCH-KEYWORD  */;
	if(!((V12)==(VV[108]))){
	goto L38;}
	T0= Cnil;
	goto L36;
L38:;
	T0= V12;
	goto L36;
L36:;
	lex0[4]= T0;                              /*  APPENDING       */
	(void)si_check_keyword(2,V3,VV[205])      /*  CHECK-KEYWORD   */;
	if((V11)!=Cnil){
	goto L43;}
	V11= VV[71];
	goto L41;
L43:;
	goto L41;
L41:;
	{cl_object V13;                           /*  WRITER          */
	if((lex0[4])==Cnil){
	goto L48;}
	value0=lex0[3];
	if((value0)!=Cnil){
	goto L51;}
	T0= cl_list(2,ECL_SYM("LENGTH",474),lex0[1]) /*  LIST         */;
	goto L46;
L51:;
	T0= value0;
	goto L46;
L48:;
	T0= cl_gensym(0)                          /*  GENSYM          */;
	goto L46;
L46:;
	lex0[5]= T0;                              /*  REAL-END        */
	V13= ecl_function_dispatch(cl_env_copy,VV[467])(2,VV[206],V5) /*  XINTERN */;
	T0= ecl_plus(lex0[0],MAKE_FIXNUM(3));
	T1= ecl_boole(ECL_BOOLAND,(T0),(MAKE_FIXNUM(-4)));
	T2= cl_list(3,VV[9],VV[174],T1)           /*  LIST            */;
	T3= cl_list(7,V13,V11,T2,lex0[1],lex0[2],lex0[5],V9) /*  LIST */;
	lex0[6]= T3;                              /*  FORM            */
	if(!((V5)==(VV[41]))){
	goto L60;}
	goto L57;
	goto L58;
L60:;
	goto L58;
L58:;
	if(!((V5)==(VV[196]))){
	goto L55;}
	goto L56;
L57:;
L56:;
	value0=LC85maker(lex0,MAKE_FIXNUM(4))     /*  MAKER           */;
	return value0;
L55:;
	if(!((V5)==(VV[36]))){
	goto L69;}
	goto L66;
	goto L67;
L69:;
	goto L67;
L67:;
	if(!((V5)==(VV[50]))){
	goto L73;}
	goto L66;
	goto L71;
L73:;
	goto L71;
L71:;
	if(!((V5)==(VV[211]))){
	goto L64;}
	goto L65;
L66:;
L65:;
	value0=LC85maker(lex0,MAKE_FIXNUM(2))     /*  MAKER           */;
	return value0;
L64:;
	if(!((V5)==(VV[26]))){
	goto L82;}
	goto L79;
	goto L80;
L82:;
	goto L80;
L80:;
	if(!((V5)==(VV[201]))){
	goto L77;}
	goto L78;
L79:;
L78:;
	value0=LC85maker(lex0,MAKE_FIXNUM(1))     /*  MAKER           */;
	return value0;
L77:;
	value0=si_ecase_error(3,ECL_SYM("FORMAT",385),V5,VV[215]) /*  ECASE-ERROR */;
	return value0;
	}
	}
}}
/*	local function MAKER                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC85maker(volatile cl_object *lex0, cl_object V1)
{ VT87 VLEX87 CLSR87 STCK87
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((lex0[4])==Cnil){
	goto L2;}
	value0=lex0[6]; cl_env_copy->nvalues=1;
	return value0;
L2:;
	{cl_object V2;                            /*  IDX             */
	V2= cl_list(3,VV[187],lex0[5],lex0[2])    /*  LIST            */;
	if(ecl_number_equalp(V1,MAKE_FIXNUM(1))){
	goto L7;}
	V2= cl_list(3,VV[186],V2,V1)              /*  LIST            */;
	goto L5;
L7:;
	goto L5;
L5:;
	value0=lex0[3];
	if((value0)!=Cnil){
	goto L12;}
	T0= cl_list(2,ECL_SYM("LENGTH",474),lex0[1]) /*  LIST         */;
	goto L10;
L12:;
	T0= value0;
	goto L10;
L10:;
	T1= cl_list(2,lex0[5],T0)                 /*  LIST            */;
	T2= ecl_list1(T1);
	T3= ecl_ceiling2(lex0[0],MAKE_FIXNUM(4));
	T4= cl_list(3,VV[9],V2,T3)                /*  LIST            */;
	T5= cl_list(3,VV[39],MAKE_FIXNUM(2),T4)   /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T2,T5,lex0[6]) /*  LIST   */;
	return value0;
	}
}}
/*	local function CLIENT-MESSAGE-EVENT-GET-SEQUENCE              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC87client_message_event_get_sequence(cl_object V1, cl_object V2)
{ VT88 VLEX88 CLSR88 STCK88
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(1)) /*  CHECK-ARG-LENGTH */;
	value0=VV[217]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function CLIENT-MESSAGE-EVENT-PUT-SEQUENCE              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC88client_message_event_put_sequence(cl_object V1, cl_object V2)
{ VT89 VLEX89 CLSR89 STCK89
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  FORMAT          */
	cl_object V4;                             /*  SEQUENCE        */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,ECL_SYM("LENGTH",474),V4)   /*  LIST            */;
	T1= cl_list(3,ECL_SYM("MIN",555),T0,MAKE_FIXNUM(20)) /*  LIST */;
	T2= cl_listX(8,VV[216],MAKE_FIXNUM(12),V4,VV[189],VV[41],ECL_SYM("END",1199),T1,VV[219]) /*  LIST* */;
	T3= cl_list(2,MAKE_FIXNUM(8),T2)          /*  LIST            */;
	T4= cl_list(2,ECL_SYM("LENGTH",474),V4)   /*  LIST            */;
	T5= cl_list(3,ECL_SYM("MIN",555),T4,MAKE_FIXNUM(10)) /*  LIST */;
	T6= cl_listX(8,VV[216],MAKE_FIXNUM(12),V4,VV[189],VV[36],ECL_SYM("END",1199),T5,VV[219]) /*  LIST* */;
	T7= cl_list(2,MAKE_FIXNUM(16),T6)         /*  LIST            */;
	T8= cl_list(2,ECL_SYM("LENGTH",474),V4)   /*  LIST            */;
	T9= cl_list(3,ECL_SYM("MIN",555),T8,MAKE_FIXNUM(5)) /*  LIST  */;
	T10= cl_listX(8,VV[216],MAKE_FIXNUM(12),V4,VV[189],VV[26],ECL_SYM("END",1199),T9,VV[219]) /*  LIST* */;
	T11= cl_list(2,MAKE_FIXNUM(32),T10)       /*  LIST            */;
	value0=cl_list(5,ECL_SYM("ECASE",319),V3,T3,T7,T11) /*  LIST  */;
	return value0;
	}
}}
/*	local function CLIENT-MESSAGE-SEQUENCE-GET                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC89client_message_sequence_get(cl_object V1, cl_object V2)
{ VT90 VLEX90 CLSR90 STCK90
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  FORMAT          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=VV[222]; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function CLIENT-MESSAGE-SEQUENCE-PUT                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC90client_message_sequence_put(cl_object V1, cl_object V2)
{ VT91 VLEX91 CLSR91 STCK91
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  VALUE           */
	cl_object V5;                             /*  FORMAT          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[220],V5,V4)           /*  LIST            */;
	return value0;
	}
}}
/*	local function CODE-GET                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC91code_get(cl_object V1, cl_object V2)
{ VT92 VLEX92 CLSR92 STCK92
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=VV[226]; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function CODE-PUT                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC92code_put(cl_object V1, cl_object V2)
{ VT93 VLEX93 CLSR93 STCK93
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  VALUE           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[44],MAKE_FIXNUM(0),V4) /*  LIST           */;
	return value0;
	}
}}
/*	local function CODE-PUT-PREDICATING                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC93code_put_predicating(cl_object V1, cl_object V2)
{ VT94 VLEX94 CLSR94 STCK94
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  VALUE           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[44],MAKE_FIXNUM(0),V4) /*  LIST           */;
	return value0;
	}
}}
/*	local function LENGTH-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC94length_get(cl_object V1, cl_object V2)
{ VT95 VLEX95 CLSR95 STCK95
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=VV[230]; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function LENGTH-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC95length_put(cl_object V1, cl_object V2)
{ VT96 VLEX96 CLSR96 STCK96
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  VALUE           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[39],MAKE_FIXNUM(2),V4) /*  LIST           */;
	return value0;
	}
}}
/*	local function LENGTH-PUT-PREDICATING                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC96length_put_predicating(cl_object V1, cl_object V2)
{ VT97 VLEX97 CLSR97 STCK97
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  VALUE           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[39],MAKE_FIXNUM(2),V4) /*  LIST           */;
	return value0;
	}
}}
/*	local function DATA-GET                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC97data_get(cl_object V1, cl_object V2)
{ VT98 VLEX98 CLSR98 STCK98
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  STUFF           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= Cnil;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	if((V4)==Cnil){
	goto L11;}
	if(!(ECL_CONSP(V4))){
	goto L14;}
	T0= cl_car(V4)                            /*  CAR             */;
	T1= L6getify(T0)                          /*  GETIFY          */;
	T2= cl_cdr(V4)                            /*  CDR             */;
	value0=cl_listX(3,T1,MAKE_FIXNUM(1),T2)   /*  LIST*           */;
	return value0;
L14:;
	T0= L6getify(V4)                          /*  GETIFY          */;
	value0=cl_list(2,T0,MAKE_FIXNUM(1))       /*  LIST            */;
	return value0;
L11:;
	value0=VV[235]; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function DATA-PUT                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC98data_put(cl_object V1, cl_object V2)
{ VT99 VLEX99 CLSR99 STCK99
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;                             /*  STUFF           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= Cnil;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	if((V5)==Cnil){
	goto L15;}
	if(!(ECL_CONSP(V5))){
	goto L18;}
	T0= cl_car(V5)                            /*  CAR             */;
	T1= L7putify(1,T0)                        /*  PUTIFY          */;
	T2= cl_cdr(V5)                            /*  CDR             */;
	T3= cl_listX(4,T1,V3,V4,T2)               /*  LIST*           */;
	T4= cl_list(3,VV[44],MAKE_FIXNUM(1),T3)   /*  LIST            */;
	value0=cl_list(3,ECL_SYM("MACROLET",519),VV[237],T4) /*  LIST */;
	return value0;
L18:;
	T0= L7putify(1,V5)                        /*  PUTIFY          */;
	value0=cl_list(3,T0,MAKE_FIXNUM(1),V4)    /*  LIST            */;
	return value0;
L15:;
	value0=cl_list(3,VV[44],MAKE_FIXNUM(1),V4) /*  LIST           */;
	return value0;
	}
}}
/*	local function DATA-PUT-PREDICATING                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC99data_put_predicating(cl_object V1, cl_object V2)
{ VT100 VLEX100 CLSR100 STCK100
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  THING           */
	cl_object V5;                             /*  STUFF           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= Cnil;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	if((V5)==Cnil){
	goto L15;}
	T0= cl_list(2,ECL_SYM("QUOTE",677),V5)    /*  LIST            */;
	T1= cl_list(3,VV[0],V4,T0)                /*  LIST            */;
	if(!(ECL_CONSP(V5))){
	goto L19;}
	T3= cl_car(V5)                            /*  CAR             */;
	T4= L7putify(1,T3)                        /*  PUTIFY          */;
	T5= cl_cdr(V5)                            /*  CDR             */;
	T6= cl_listX(4,T4,V3,V4,T5)               /*  LIST*           */;
	T7= cl_list(3,VV[44],MAKE_FIXNUM(1),T6)   /*  LIST            */;
	T2= cl_list(3,ECL_SYM("MACROLET",519),VV[237],T7) /*  LIST    */;
	goto L17;
L19:;
	T3= L7putify(1,V5)                        /*  PUTIFY          */;
	T2= cl_list(3,T3,MAKE_FIXNUM(1),V4)       /*  LIST            */;
	goto L17;
L17:;
	value0=cl_list(3,ECL_SYM("AND",85),T1,T2) /*  LIST            */;
	return value0;
L15:;
	T0= cl_list(3,VV[0],V4,VV[239])           /*  LIST            */;
	T1= cl_list(3,VV[44],MAKE_FIXNUM(1),V4)   /*  LIST            */;
	value0=cl_list(3,ECL_SYM("AND",85),T0,T1) /*  LIST            */;
	return value0;
	}
}}
/*	local function OR-EXPAND                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC100or_expand(cl_object V1, cl_object V2)
{ VT101 VLEX101 CLSR101 STCK101
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  FORMS           */
	V3= cl_cdr(V1)                            /*  CDR             */;
	{cl_object V4;
	cl_object V5;
	V4= Cnil;
	V5= V3;
	{cl_object V6;
	cl_object V7;
	V6= ecl_list1(Cnil);
	V7= V6;
L8:;
	if(!(ecl_endp(V5))){
	goto L12;}
	goto L9;
L12:;
	goto L10;
L10:;
	V4= CAR(V5);
	V5= CDR(V5);
	T1= V7;
	{cl_object V8;
	cl_object V9;
	V8= Cnil;
	V9= V4;
	{cl_object V10;
	cl_object V11;
	V10= ecl_list1(Cnil);
	V11= V10;
L26:;
	if(!(ecl_endp(V9))){
	goto L30;}
	goto L27;
L30:;
	goto L28;
L28:;
	V8= CAR(V9);
	V9= CDR(V9);
	T3= V11;
	T4= ecl_function_dispatch(cl_env_copy,VV[561])(2,V8,V2) /*  CLX-MACROEXPAND */;
	V11= ecl_list1(T4);
	if (ecl_unlikely(ATOM(T3)))FEtype_error_cons(T3);
	ECL_CONS_CDR(T3) = V11;
	goto L26;
L27:;
	T2= cl_cdr(V10)                           /*  CDR             */;
	goto L20;
	}
	}
L20:;
	V7= ecl_list1(T2);
	if (ecl_unlikely(ATOM(T1)))FEtype_error_cons(T1);
	ECL_CONS_CDR(T1) = V7;
	goto L8;
L9:;
	T0= cl_cdr(V6)                            /*  CDR             */;
	goto L2;
	}
	}
L2:;
	value0=CONS(ECL_SYM("COND",245),T0); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function OR-GET                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC101or_get(cl_object V1, cl_object V2)
{ VT102 VLEX102 CLSR102 STCK102
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  TYPE-LIST       */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  LET2602         */
	cl_object V6;                             /*  TYPES           */
	cl_object V7;                             /*  RESULT          */
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= V4;
	V7= Cnil;
	goto L12;
L11:;
	{cl_object V8;                            /*  LET2604         */
	cl_object V9;                             /*  ITEM            */
	cl_object V10;                            /*  ARGS            */
	V8= cl_car(V6)                            /*  CAR             */;
	V9= V8;
	V10= Cnil;
	if(!(ECL_CONSP(V9))){
	goto L20;}
	V10= cl_cdr(V9)                           /*  CDR             */;
	V9= cl_car(V9)                            /*  CAR             */;
	goto L18;
L20:;
	goto L18;
L18:;
	if(!((V9)==(ECL_SYM("NULL",603)))){
	goto L26;}
	T0= cl_list(2,ECL_SYM("ZEROP",924),V5)    /*  LIST            */;
	T1= cl_list(2,T0,Cnil)                    /*  LIST            */;
	V7= CONS(T1,V7);
	goto L14;
L26:;
	T0= L6getify(V9)                          /*  GETIFY          */;
	T1= cl_listX(3,T0,V3,V10)                 /*  LIST*           */;
	T2= ecl_list1(T1);
	V7= CONS(T2,V7);
	goto L14;
	}
L14:;
	V6= cl_cdr(V6)                            /*  CDR             */;
L12:;
	if(ecl_endp(V6)){
	goto L34;}
	goto L11;
L34:;
	goto L32;
L32:;
	goto L9;
L9:;
	T0= cl_list(2,VV[27],V3)                  /*  LIST            */;
	T1= cl_list(2,V5,T0)                      /*  LIST            */;
	T2= ecl_list1(T1);
	T3= cl_list(2,ECL_SYM("QUOTE",677),V5)    /*  LIST            */;
	T4= cl_list(4,VV[27],VV[242],VV[243],T3)  /*  LIST            */;
	T5= cl_list(2,ECL_SYM("QUOTE",677),V5)    /*  LIST            */;
	T6= cl_list(4,VV[32],VV[242],VV[243],T5)  /*  LIST            */;
	T7= cl_list(2,T4,T6)                      /*  LIST            */;
	T8= cl_nreverse(V7)                       /*  NREVERSE        */;
	T9= CONS(VV[241],T8);
	T10= ecl_function_dispatch(cl_env_copy,VV[561])(2,T9,V2) /*  CLX-MACROEXPAND */;
	T11= cl_list(3,ECL_SYM("MACROLET",519),T7,T10) /*  LIST       */;
	value0=cl_list(3,ECL_SYM("LET",475),T2,T11) /*  LIST          */;
	return value0;
	}
	}
}}
/*	local function OR-PUT                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC102or_put(cl_object V1, cl_object V2)
{ VT103 VLEX103 CLSR103 STCK103
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  VALUE           */
	cl_object V5;                             /*  TYPE-LIST       */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cdddr(V1)                          /*  CDDDR           */;
	{cl_object V6;                            /*  TYPES           */
	cl_object V7;                             /*  RESULT          */
	V6= V5;
	V7= Cnil;
	goto L15;
L14:;
	{cl_object V8;                            /*  TYPE            */
	cl_object V9;                             /*  TYPE-NAME       */
	cl_object V10;                            /*  ARGS            */
	V8= cl_car(V6)                            /*  CAR             */;
	V9= V8;
	V10= Cnil;
	if(!(ECL_CONSP(V8))){
	goto L23;}
	V10= cl_cdr(V8)                           /*  CDR             */;
	V9= cl_car(V8)                            /*  CAR             */;
	goto L21;
L23:;
	goto L21;
L21:;
	if((ecl_get(V9,VV[131],Cnil))==Cnil){
	goto L31;}
	T0= Cnil;
	goto L29;
L31:;
	goto L36;
	if((cl_cdr(V6)                            /*  CDR             */)==Cnil){
	goto L34;}
	goto L35;
L36:;
L35:;
	T1= cl_list(2,ECL_SYM("QUOTE",677),V8)    /*  LIST            */;
	T2= cl_list(3,VV[0],V4,T1)                /*  LIST            */;
	T0= ecl_list1(T2);
	goto L29;
L34:;
	T0= VV[245];
	goto L29;
L29:;
	T1= ecl_get(V9,VV[131],Cnil);
	T2= L7putify(2,V9,T1)                     /*  PUTIFY          */;
	T3= cl_listX(4,T2,V3,V4,V10)              /*  LIST*           */;
	T4= ecl_list1(T3);
	T5= ecl_append(T0,T4);
	V7= CONS(T5,V7);
	}
	V6= cl_cdr(V6)                            /*  CDR             */;
L15:;
	if(ecl_endp(V6)){
	goto L42;}
	goto L14;
L42:;
	goto L40;
L40:;
	goto L12;
L12:;
	T0= cl_nreverse(V7)                       /*  NREVERSE        */;
	T1= CONS(ECL_SYM("OR",612),V5);
	T2= cl_list(2,ECL_SYM("QUOTE",677),T1)    /*  LIST            */;
	T3= cl_list(3,VV[1],V4,T2)                /*  LIST            */;
	T4= cl_list(2,Ct,T3)                      /*  LIST            */;
	T5= ecl_list1(T4);
	T6= ecl_append(T0,T5);
	value0=CONS(ECL_SYM("COND",245),T6); cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for MASK-GET                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L104mask_get(cl_object V1, cl_object V2, cl_object V3)
{ VT104 VLEX104 CLSR104 STCK104
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = Cnil;
	CLV0=env0=CONS(V3,env0);                  /*  BODY-FUNCTION   */
	{cl_object V4;                            /*  BIT             */
	cl_object V5;                             /*  RESULT          */
	V4= MAKE_FIXNUM(0);
	{cl_object V6;                            /*  LET2609         */
	cl_object V7;
	cl_object V8;
	T0= ecl_plus(V1,MAKE_FIXNUM(4));
	T1= ecl_make_cclosure_va((cl_objectfn)LC103__g632,env0,Cblock);
	V6= L111get_put_items(4,T0,V2,Cnil,T1)    /*  GET-PUT-ITEMS   */;
	V7= Cnil;
	V8= V6;
	{cl_object V9;
	cl_object V10;
	V9= ecl_list1(Cnil);
	V10= V9;
L10:;
	if(!(ecl_endp(V8))){
	goto L14;}
	goto L11;
L14:;
	goto L12;
L12:;
	V7= CAR(V8);
	V8= CDR(V8);
	T0= V10;
	if(!(ECL_ATOM(V7))){
	goto L24;}
	T1= V7;
	goto L22;
L24:;
	{cl_object V11;
	T2= cl_list(3,ECL_SYM("LOGBITP",493),V4,VV[249]) /*  LIST     */;
	V11= cl_list(3,ECL_SYM("WHEN",903),T2,V7) /*  LIST            */;
	V4= ecl_plus(V4,MAKE_FIXNUM(1));
	T1= V11;
	goto L22;
	}
L22:;
	V10= ecl_list1(T1);
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V10;
	goto L10;
L11:;
	V5= cl_cdr(V9)                            /*  CDR             */;
	goto L2;
	}
	}
L2:;
	T1= cl_car(V5)                            /*  CAR             */;
	if(!(ECL_ATOM(T1))){
	goto L33;}
	{cl_object V6;
	V6= cl_car(V5)                            /*  CAR             */;
	V5= cl_cdr(V5)                            /*  CDR             */;
	T1= V6;
	}
	T0= ecl_list1(T1);
	goto L31;
L33:;
	T0= Cnil;
	goto L31;
L31:;
	T1= cl_list(2,VV[27],V1)                  /*  LIST            */;
	T2= cl_list(3,ECL_SYM("SETQ",749),VV[249],T1) /*  LIST        */;
	T3= ecl_ceiling2(V1,MAKE_FIXNUM(4));
	T4= cl_list(3,ECL_SYM("SETQ",749),VV[250],T3) /*  LIST        */;
	T5= cl_car(V5)                            /*  CAR             */;
	T6= cl_list(4,ECL_SYM("PROGN",669),T2,T4,T5) /*  LIST         */;
	T7= cl_cdr(V5)                            /*  CDR             */;
	T8= CONS(T6,T7);
	value0=ecl_append(T0,T8); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	closure G632                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC103__g632(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, cl_object V4, ...)
{ VT105 VLEX105 CLSR105 STCK105
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV0=env0;                                /*  BODY-FUNCTION   */
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=4)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=ecl_function_dispatch(cl_env_copy,ECL_CONS_CAR(CLV0))(4,V1,VV[248],V3,V4);
	return value0;
}}}
/*	function definition for MASK-PUT                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L106mask_put(cl_object V1, cl_object V2, cl_object V3)
{ VT106 VLEX106 CLSR106 STCK106
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = Cnil;
	CLV0=env0=CONS(V3,env0);                  /*  BODY-FUNCTION   */
	T0= cl_list(2,VV[250],V1)                 /*  LIST            */;
	T1= cl_list(2,VV[252],T0)                 /*  LIST            */;
	{cl_object env1 = env0;
	CLV1=env1=CONS(MAKE_FIXNUM(1),env1);      /*  BIT             */
	T3= ecl_make_cclosure_va((cl_objectfn)LC105__g639,env1,Cblock);
	T2= L111get_put_items(4,V1,V2,Ct,T3)      /*  GET-PUT-ITEMS   */;
	}
	T3= cl_list(3,VV[29],V1,VV[249])          /*  LIST            */;
	T4= CONS(T3,VV[256]);
	T5= ecl_append(T2,T4);
	T6= cl_listX(3,ECL_SYM("LET",475),T1,T5)  /*  LIST*           */;
	value0=ecl_list1(T6); cl_env_copy->nvalues=1;
	return value0;
}}
/*	closure G639                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC105__g639(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, cl_object V4, ...)
{ VT107 VLEX107 CLSR107 STCK107
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  BIT             */
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=4)) FEwrong_num_arguments_anonym();
	{
TTL:
	if(ECL_SYMBOLP(V3)){
	goto L4;}
	if((cl_constantp(1,V3)                    /*  CONSTANTP       */)==Cnil){
	goto L2;}
	goto L3;
L4:;
L3:;
	T0= cl_list(2,ECL_SYM("NULL",603),V3)     /*  LIST            */;
	{cl_object V5;
	cl_object V6;
	V5= ECL_CONS_CAR(CLV1);
	T2= ECL_CONS_CAR(CLV1);
	V6= cl_ash(T2,MAKE_FIXNUM(1))             /*  ASH             */;
	ECL_CONS_CAR(CLV1)= V6;
	T1= V5;
	}
	T2= cl_list(3,ECL_SYM("LOGIOR",498),VV[249],T1) /*  LIST      */;
	T3= cl_list(3,ECL_SYM("SETQ",749),VV[249],T2) /*  LIST        */;
	T4= ecl_function_dispatch(cl_env_copy,ECL_CONS_CAR(CLV0))(4,V1,VV[253],V3,V4);
	T5= cl_listX(4,ECL_SYM("UNLESS",881),T0,T3,T4) /*  LIST*      */;
	value0=ecl_list1(T5); cl_env_copy->nvalues=1;
	return value0;
L2:;
	T0= cl_list(2,VV[254],V3)                 /*  LIST            */;
	T1= ecl_list1(T0);
	{cl_object V5;
	cl_object V6;
	V5= ECL_CONS_CAR(CLV1);
	T3= ECL_CONS_CAR(CLV1);
	V6= cl_ash(T3,MAKE_FIXNUM(1))             /*  ASH             */;
	ECL_CONS_CAR(CLV1)= V6;
	T2= V5;
	}
	T3= cl_list(3,ECL_SYM("LOGIOR",498),VV[249],T2) /*  LIST      */;
	T4= cl_list(3,ECL_SYM("SETQ",749),VV[249],T3) /*  LIST        */;
	T5= ecl_function_dispatch(cl_env_copy,ECL_CONS_CAR(CLV0))(4,V1,VV[253],VV[254],V4);
	T6= cl_listX(4,ECL_SYM("UNLESS",881),VV[255],T4,T5) /*  LIST* */;
	T7= cl_list(3,ECL_SYM("LET",475),T1,T6)   /*  LIST            */;
	value0=ecl_list1(T7); cl_env_copy->nvalues=1;
	return value0;
}}}
/*	local function PROGN-GET                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC107progn_get(cl_object V1, cl_object V2)
{ VT108 VLEX108 CLSR108 STCK108
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  STATEMENT       */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function PROGN-PUT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC108progn_put(cl_object V1, cl_object V2)
{ VT109 VLEX109 CLSR109 STCK109
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  STATEMENT       */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function CHECK-PUT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC109check_put(cl_object V1, cl_object V2)
{ VT110 VLEX110 CLSR110 STCK110
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INDEX           */
	cl_object V4;                             /*  VALUE           */
	cl_object V5;                             /*  TYPE            */
	cl_object V6;                             /*  ARGS            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	V6= cl_cddddr(V1)                         /*  CDDDDR          */;
	{cl_object V7;                            /*  VAR             */
	cl_object V8;                             /*  BODY            */
	if(ECL_SYMBOLP(V4)){
	goto L18;}
	if((cl_constantp(1,V4)                    /*  CONSTANTP       */)==Cnil){
	goto L16;}
	goto L17;
L18:;
L17:;
	V7= V4;
	goto L14;
L16:;
	V7= VV[260];
	goto L14;
L14:;
	T0= cl_list(2,ECL_SYM("QUOTE",677),V5)    /*  LIST            */;
	T1= cl_list(3,VV[2],V7,T0)                /*  LIST            */;
	T2= cl_macroexpand(2,T1,V2)               /*  MACROEXPAND     */;
	if(T2==Cnil){
	goto L24;}
	if(!((V5)==(ECL_SYM("OR",612)))){
	goto L29;}
	goto L24;
	goto L27;
L29:;
	goto L27;
L27:;
	if(!((V5)==(ECL_SYM("PROGN",669)))){
	goto L33;}
	goto L24;
	goto L31;
L33:;
	goto L31;
L31:;
	if(!((V5)==(VV[160]))){
	goto L37;}
	goto L24;
	goto L35;
L37:;
	goto L35;
L35:;
	if(!((V5)==(VV[163]))){
	goto L40;}
	goto L24;
	goto L26;
L40:;
	goto L26;
L26:;
	if((cl_constantp(1,V4)                    /*  CONSTANTP       */)==Cnil){
	goto L22;}
	goto L23;
L24:;
L23:;
	T0= L7putify(1,V5)                        /*  PUTIFY          */;
	V8= cl_listX(4,T0,V3,V7,V6)               /*  LIST*           */;
	goto L20;
L22:;
	if((ecl_get(V5,VV[131],Cnil))==Cnil){
	goto L43;}
	T0= L7putify(2,V5,Ct)                     /*  PUTIFY          */;
	T1= cl_listX(4,T0,V3,V7,V6)               /*  LIST*           */;
	if((V6)==Cnil){
	goto L47;}
	T2= CONS(V5,V6);
	goto L45;
L47:;
	T2= V5;
	goto L45;
L45:;
	T3= cl_list(2,ECL_SYM("QUOTE",677),T2)    /*  LIST            */;
	T4= cl_list(3,VV[1],V7,T3)                /*  LIST            */;
	V8= cl_list(3,ECL_SYM("OR",612),T1,T4)    /*  LIST            */;
	goto L20;
L43:;
	T0= cl_list(2,ECL_SYM("QUOTE",677),V5)    /*  LIST            */;
	T1= cl_list(3,VV[0],V7,T0)                /*  LIST            */;
	T2= L7putify(1,V5)                        /*  PUTIFY          */;
	T3= cl_listX(4,T2,V3,V7,V6)               /*  LIST*           */;
	if((V6)==Cnil){
	goto L51;}
	T4= CONS(V5,V6);
	goto L49;
L51:;
	T4= V5;
	goto L49;
L49:;
	T5= cl_list(2,ECL_SYM("QUOTE",677),T4)    /*  LIST            */;
	T6= cl_list(3,VV[1],V7,T5)                /*  LIST            */;
	V8= cl_list(4,ECL_SYM("IF",944),T1,T3,T6) /*  LIST            */;
	goto L20;
L20:;
	if(!((V7)==(V4))){
	goto L54;}
	value0=V8; cl_env_copy->nvalues=1;
	return value0;
L54:;
	T0= cl_list(2,V7,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	value0=cl_list(3,ECL_SYM("LET",475),T1,V8) /*  LIST           */;
	return value0;
	}
	}
}}
/*	function definition for GET-PUT-ITEMS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L111get_put_items(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT111 VLEX111 CLSR111 STCK111
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	va_list args; va_start(args,V3);
	{int i=3;
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V4)!=Cnil){
	goto L4;}
	V4= ecl_make_cfun((cl_objectfn_fixed)LC110__g658,Cnil,Cblock,4);
	goto L2;
L4:;
	goto L2;
L2:;
	{cl_object V5;                            /*  ITEMS           */
	cl_object V6;                             /*  TYPE            */
	cl_object V7;                             /*  ARGS            */
	cl_object V8;                             /*  RESULT          */
	cl_object V9;                             /*  SIZES           */
	V5= V2;
	V6= cl_caar(V5)                           /*  CAAR            */;
	V7= Cnil;
	V8= Cnil;
	V9= Cnil;
	goto L15;
L14:;
	if(!(ECL_CONSP(V6))){
	goto L19;}
	V7= cl_cdr(V6)                            /*  CDR             */;
	V6= cl_car(V6)                            /*  CAR             */;
	goto L17;
L19:;
	goto L17;
L17:;
	{cl_object V10;
	if(!((V6)==(ECL_SYM("RETURN",722)))){
	goto L30;}
	value0=VV[266];
	goto L28;
L30:;
	value0=Cnil;
	goto L28;
L28:;
	if((value0)!=Cnil){
	goto L27;}
	if(!((V6)==(VV[267]))){
	goto L33;}
	V10= VV[268];
	goto L25;
L33:;
	V10= Cnil;
	goto L25;
L27:;
	V10= value0;
	goto L25;
L25:;
	if((V10)==Cnil){
	goto L36;}
	goto L24;
L36:;
	if(!((V6)==(VV[247]))){
	goto L39;}
	if((V3)==Cnil){
	goto L45;}
	T1= cl_cdar(V5)                           /*  CDAR            */;
	T0= L106mask_put(V1,T1,V4)                /*  MASK-PUT        */;
	goto L43;
L45:;
	T1= cl_cdar(V5)                           /*  CDAR            */;
	T0= L104mask_get(V1,T1,V4)                /*  MASK-GET        */;
	goto L43;
L43:;
	V8= ecl_append(V8,T0);
	V1= Cnil;
	goto L24;
L39:;
	{cl_object V11;                           /*  ITEM            */
	cl_object V12;                            /*  INCREMENT       */
	V11= cl_cdar(V5)                          /*  CDAR            */;
	V12= L5index_increment(V6)                /*  INDEX-INCREMENT */;
	goto L53;
L52:;
	if((cl_constantp(1,V1)                    /*  CONSTANTP       */)==Cnil){
	goto L57;}
	if(!((V12)==(MAKE_FIXNUM(2)))){
	goto L60;}
	T0= ecl_plus(V1,MAKE_FIXNUM(1));
	V1= ecl_boole(ECL_BOOLAND,(T0),(MAKE_FIXNUM(-2)));
	goto L55;
L60:;
	if(!((V12)==(MAKE_FIXNUM(4)))){
	goto L64;}
	T0= ecl_plus(V1,MAKE_FIXNUM(3));
	V1= ecl_boole(ECL_BOOLAND,(T0),(MAKE_FIXNUM(-4)));
	goto L55;
L64:;
	goto L55;
L57:;
	goto L55;
L55:;
	T1= cl_car(V11)                           /*  CAR             */;
	T0= ecl_function_dispatch(cl_env_copy,V4)(4,V6,V1,T1,V7);
	V8= ecl_append(V8,T0);
	if((cl_constantp(1,V1)                    /*  CONSTANTP       */)==Cnil){
	goto L72;}
	if(!(V12==Cnil)){
	goto L75;}
	V1= Cnil;
	goto L70;
L75:;
	V1= ecl_plus(V1,V12);
	if((V12)==Cnil){
	goto L82;}
	if(!(ecl_zerop(V12))){
	goto L82;}
	V12= MAKE_FIXNUM(1);
	goto L80;
L82:;
	goto L80;
L80:;
	T0= ecl_times(V12,MAKE_FIXNUM(8));
	V9= cl_adjoin(2,T0,V9)                    /*  ADJOIN          */;
	goto L70;
L72:;
	goto L70;
L70:;
	V11= cl_cdr(V11)                          /*  CDR             */;
L53:;
	if(ecl_endp(V11)){
	goto L91;}
	goto L52;
L91:;
	goto L89;
L89:;
	goto L50;
L50:;
	goto L24;
	}
	}
L24:;
	V5= cl_cdr(V5)                            /*  CDR             */;
	V6= cl_caar(V5)                           /*  CAAR            */;
	V7= Cnil;
L15:;
	if(ecl_endp(V5)){
	goto L101;}
	goto L14;
L101:;
	goto L99;
L99:;
	goto L12;
L12:;
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=V9;
	cl_env_copy->values[1]=V1;
	cl_env_copy->values[0]=V8;
	return cl_env_copy->values[0];
	}
}}
/*	local function G658                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC110__g658(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT112 VLEX112 CLSR112 STCK112
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_listX(5,VV[265],V2,V3,V1,V4)       /*  LIST*           */;
	value0=ecl_list1(T0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function WITH-BUFFER-REQUEST-INTERNAL                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC112with_buffer_request_internal(cl_object V1, cl_object V2)
{ VT113 VLEX113 CLSR113 STCK113
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  BUFFER          */
	cl_object V5;                             /*  OPCODE          */
	cl_object V6;
	cl_object V7;
	cl_object V8;                             /*  LENGTH          */
	cl_object V9;
	cl_object V10;                            /*  SIZES           */
	cl_object V11;                            /*  TYPE-ARGS       */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((V3)==Cnil){
	goto L7;}
	V4= cl_car(V3)                            /*  CAR             */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdr(V3)                            /*  CDR             */)==Cnil){
	goto L11;}
	V5= cl_cadr(V3)                           /*  CADR            */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	V6= cl_cddr(V3)                           /*  CDDR            */;
	V7= si_search_keyword(2,V6,ECL_SYM("LENGTH",1235)) /*  SEARCH-KEYWORD */;
	if(!((V7)==(VV[108]))){
	goto L17;}
	V8= Cnil;
	goto L15;
L17:;
	V8= V7;
	goto L15;
L15:;
	V9= si_search_keyword(2,V6,VV[270])       /*  SEARCH-KEYWORD  */;
	if(!((V9)==(VV[108]))){
	goto L22;}
	V10= Cnil;
	goto L20;
L22:;
	V10= V9;
	goto L20;
L20:;
	V11= cl_cddr(V1)                          /*  CDDR            */;
	(void)si_check_keyword(3,V6,VV[271],Ct)   /*  CHECK-KEYWORD   */;
	cl_env_copy->values[0]=L111get_put_items(3,MAKE_FIXNUM(4),V11,Ct) /*  GET-PUT-ITEMS */;
	{
	cl_object V13;                            /*  CODE            */
	cl_object V14;                            /*  INDEX           */
	cl_object V15;                            /*  ITEM-SIZES      */
	{int V16=cl_env_copy->nvalues-0;
	if (V16--<=0) goto L27;
	V13= cl_env_copy->values[0];
	if (V16--<=0) goto L28;
	V14= cl_env_copy->values[1];
	if (V16--<=0) goto L29;
	V15= cl_env_copy->values[2];
	goto L30;}
L27:;
	V13= Cnil;
L28:;
	V14= Cnil;
L29:;
	V15= Cnil;
L30:;
	{cl_object V16;                           /*  LET2610         */
	cl_object V17;                            /*  LET2611         */
	if((V8)==Cnil){
	goto L33;}
	V16= cl_list(3,VV[9],V8,VV[272])          /*  LIST            */;
	goto L31;
L33:;
	V16= VV[272];
	goto L31;
L31:;
	T0= cl_append(3,VV[273],V15,V10)          /*  APPEND          */;
	V17= cl_remove_duplicates(1,T0)           /*  REMOVE-DUPLICATES */;
	T0= cl_list(5,V4,ECL_SYM("LENGTH",1235),V16,VV[270],V17) /*  LIST */;
	T1= cl_list(2,VV[275],V4)                 /*  LIST            */;
	T2= cl_list(3,ECL_SYM("SETF",748),T1,VV[174]) /*  LIST        */;
	T3= cl_list(3,VV[44],MAKE_FIXNUM(0),V5)   /*  LIST            */;
	if((V14)==Cnil){
	goto L38;}
	T5= ecl_plus(V14,MAKE_FIXNUM(3));
	V14= ecl_boole(ECL_BOOLAND,(T5),(MAKE_FIXNUM(-4)));
	T5= ecl_ceiling2(V14,MAKE_FIXNUM(4));
	T6= cl_list(3,VV[39],MAKE_FIXNUM(2),T5)   /*  LIST            */;
	T7= cl_list(2,VV[174],V4)                 /*  LIST            */;
	T8= cl_list(3,VV[9],VV[174],V14)          /*  LIST            */;
	T9= cl_list(3,ECL_SYM("SETF",748),T7,T8)  /*  LIST            */;
	T4= cl_list(2,T6,T9)                      /*  LIST            */;
	goto L36;
L38:;
	T4= Cnil;
	goto L36;
L36:;
	T5= cl_list(2,VV[276],V4)                 /*  LIST            */;
	T6= ecl_list1(T5);
	T7= cl_append(3,V13,T4,T6)                /*  APPEND          */;
	value0=cl_listX(5,VV[274],T0,T2,T3,T7)    /*  LIST*           */;
	return value0;
	}}
	}
}}
/*	local function WITH-BUFFER-REQUEST                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC113with_buffer_request(cl_object V1, cl_object V2)
{ VT114 VLEX114 CLSR114 STCK114
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  BUFFER          */
	cl_object V5;                             /*  OPCODE          */
	cl_object V6;                             /*  OPTIONS         */
	cl_object V7;
	cl_object V8;
	cl_object V9;                             /*  INLINE          */
	cl_object V10;
	cl_object V11;                            /*  GC-FORCE        */
	cl_object V12;                            /*  TYPE-ARGS       */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((V3)==Cnil){
	goto L7;}
	V4= cl_car(V3)                            /*  CAR             */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdr(V3)                            /*  CDR             */)==Cnil){
	goto L11;}
	V5= cl_cadr(V3)                           /*  CADR            */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	V6= cl_cddr(V3)                           /*  CDDR            */;
	V7= cl_cddr(V3)                           /*  CDDR            */;
	V8= si_search_keyword(2,V7,VV[278])       /*  SEARCH-KEYWORD  */;
	if(!((V8)==(VV[108]))){
	goto L18;}
	V9= Cnil;
	goto L16;
L18:;
	V9= V8;
	goto L16;
L16:;
	V10= si_search_keyword(2,V7,VV[279])      /*  SEARCH-KEYWORD  */;
	if(!((V10)==(VV[108]))){
	goto L23;}
	V11= Cnil;
	goto L21;
L23:;
	V11= V10;
	goto L21;
L21:;
	V12= cl_cddr(V1)                          /*  CDDR            */;
	(void)si_check_keyword(3,V7,VV[280],Ct)   /*  CHECK-KEYWORD   */;
	if(!(V9==Cnil)){
	goto L28;}
	if((cl_macroexpand(2,VV[281],V2)          /*  MACROEXPAND     */)==Cnil){
	goto L28;}
	T0= cl_listX(3,VV[285],V5,V6)             /*  LIST*           */;
	T1= cl_listX(3,VV[277],T0,V12)            /*  LIST*           */;
	T2= cl_list(4,VV[282],VV[283],VV[284],T1) /*  LIST            */;
	T3= ecl_list1(T2);
	T5= cl_macroexpand(2,VV[287],V2)          /*  MACROEXPAND     */;
	T6= cl_car(T5)                            /*  CAR             */;
	if(!((T6)==(ECL_SYM("PROGN",669)))){
	goto L33;}
	T4= VV[288];
	goto L31;
L33:;
	T4= VV[289];
	goto L31;
L31:;
	T5= cl_list(4,T4,V4,V11,VV[290])          /*  LIST            */;
	value0=cl_list(4,ECL_SYM("FLET",371),T3,VV[286],T5) /*  LIST  */;
	return value0;
L28:;
	T0= cl_list(2,VV[285],V4)                 /*  LIST            */;
	T1= ecl_list1(T0);
	if((V11)==Cnil){
	goto L37;}
	T3= cl_list(2,VV[292],V11)                /*  LIST            */;
	T2= ecl_list1(T3);
	goto L35;
L37:;
	T2= Cnil;
	goto L35;
L35:;
	T3= cl_listX(3,VV[285],V5,V6)             /*  LIST*           */;
	T4= cl_listX(3,VV[277],T3,V12)            /*  LIST*           */;
	T5= cl_list(2,VV[293],T4)                 /*  LIST            */;
	T6= cl_list(3,ECL_SYM("MULTIPLE-VALUE-PROG1",573),T5,VV[294]) /*  LIST */;
	T7= ecl_list1(T6);
	T8= ecl_append(T2,T7);
	T9= cl_listX(3,VV[291],VV[283],T8)        /*  LIST*           */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,VV[284],T9) /*  LIST   */;
	return value0;
	}
}}
/*	local function WITH-BUFFER-REQUEST-AND-REPLY                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC114with_buffer_request_and_reply(cl_object V1, cl_object V2)
{ VT115 VLEX115 CLSR115 STCK115
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  BUFFER          */
	cl_object V5;                             /*  OPCODE          */
	cl_object V6;                             /*  REPLY-SIZE      */
	cl_object V7;
	cl_object V8;
	cl_object V9;                             /*  SIZES           */
	cl_object V10;
	cl_object V11;                            /*  MULTIPLE-REPLY  */
	cl_object V12;
	cl_object V13;                            /*  INLINE          */
	cl_object V14;                            /*  TYPE-ARGS       */
	cl_object V15;                            /*  REPLY-FORMS     */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((V3)==Cnil){
	goto L7;}
	V4= cl_car(V3)                            /*  CAR             */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdr(V3)                            /*  CDR             */)==Cnil){
	goto L11;}
	V5= cl_cadr(V3)                           /*  CADR            */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	if((cl_cddr(V3)                           /*  CDDR            */)==Cnil){
	goto L15;}
	V6= cl_caddr(V3)                          /*  CADDR           */;
	goto L13;
L15:;
	V6= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L13;
L13:;
	V7= cl_cdddr(V3)                          /*  CDDDR           */;
	V8= si_search_keyword(2,V7,VV[270])       /*  SEARCH-KEYWORD  */;
	if(!((V8)==(VV[108]))){
	goto L21;}
	V9= Cnil;
	goto L19;
L21:;
	V9= V8;
	goto L19;
L19:;
	V10= si_search_keyword(2,V7,VV[296])      /*  SEARCH-KEYWORD  */;
	if(!((V10)==(VV[108]))){
	goto L26;}
	V11= Cnil;
	goto L24;
L26:;
	V11= V10;
	goto L24;
L24:;
	V12= si_search_keyword(2,V7,VV[278])      /*  SEARCH-KEYWORD  */;
	if(!((V12)==(VV[108]))){
	goto L31;}
	V13= Cnil;
	goto L29;
L31:;
	V13= V12;
	goto L29;
L29:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L35;}
	V14= cl_caddr(V1)                         /*  CADDR           */;
	goto L33;
L35:;
	V14= si_dm_too_few_arguments(0)           /*  DM-TOO-FEW-ARGUMENTS */;
	goto L33;
L33:;
	V15= cl_cdddr(V1)                         /*  CDDDR           */;
	(void)si_check_keyword(2,V7,VV[297])      /*  CHECK-KEYWORD   */;
	{cl_object V16;                           /*  INNER-REPLY-BODY */
	cl_object V17;                            /*  REPLY-BODY      */
	if((V9)==Cnil){
	goto L42;}
	T0= cl_list(2,VV[270],V9)                 /*  LIST            */;
	goto L40;
L42:;
	T0= Cnil;
	goto L40;
L40:;
	T1= cl_listX(4,VV[299],VV[300],VV[285],T0) /*  LIST*          */;
	V16= cl_listX(4,VV[298],T1,Cnil,V15)      /*  LIST*           */;
	if(!(ECL_SYMBOLP(V6))){
	goto L48;}
	if((cl_constantp(1,V6)                    /*  CONSTANTP       */)==Cnil){
	goto L46;}
	goto L47;
L48:;
L47:;
	V17= V16;
	goto L44;
L46:;
	T0= cl_list(2,V6,VV[301])                 /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(3,ECL_SYM("TYPE",867),VV[8],V6) /*  LIST          */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	V17= cl_list(4,ECL_SYM("LET",475),T1,T3,V16) /*  LIST         */;
	goto L44;
L44:;
	if(!(V13==Cnil)){
	goto L51;}
	if((cl_macroexpand(2,VV[281],V2)          /*  MACROEXPAND     */)==Cnil){
	goto L51;}
	T0= cl_list(2,VV[285],V5)                 /*  LIST            */;
	T1= cl_listX(3,VV[277],T0,V14)            /*  LIST*           */;
	T2= cl_list(4,VV[282],VV[283],VV[284],T1) /*  LIST            */;
	T3= cl_list(5,VV[302],VV[303],VV[304],VV[305],V17) /*  LIST   */;
	T4= cl_list(2,T2,T3)                      /*  LIST            */;
	T5= cl_listX(4,VV[307],V4,V11,VV[308])    /*  LIST*           */;
	value0=cl_list(4,ECL_SYM("FLET",371),T4,VV[306],T5) /*  LIST  */;
	return value0;
L51:;
	T0= cl_list(2,VV[285],V4)                 /*  LIST            */;
	T1= CONS(T0,VV[309]);
	T2= cl_list(2,VV[285],V5)                 /*  LIST            */;
	T3= cl_listX(3,VV[277],T2,V14)            /*  LIST*           */;
	T4= cl_list(2,VV[293],T3)                 /*  LIST            */;
	T5= cl_listX(5,VV[291],VV[283],VV[311],T4,VV[312]) /*  LIST*  */;
	if((V11)==Cnil){
	goto L56;}
	T7= cl_list(3,ECL_SYM("WHEN",903),V17,VV[314]) /*  LIST       */;
	T8= cl_list(4,ECL_SYM("LOOP",510),VV[313],T7,VV[315]) /*  LIST */;
	T6= ecl_list1(T8);
	goto L54;
L56:;
	T6= cl_list(2,VV[313],V17)                /*  LIST            */;
	goto L54;
L54:;
	T7= cl_listX(3,ECL_SYM("PROGN",669),T5,T6) /*  LIST*          */;
	T8= cl_listX(3,ECL_SYM("UNWIND-PROTECT",886),T7,VV[316]) /*  LIST* */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,VV[310],T8) /*  LIST   */;
	return value0;
	}
	}
}}
/*	local function COMPARE-REQUEST                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC115compare_request(cl_object V1, cl_object V2)
{ VT116 VLEX116 CLSR116 STCK116
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  INDEX           */
	cl_object V5;                             /*  BODY            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((V3)==Cnil){
	goto L7;}
	V4= cl_car(V3)                            /*  CAR             */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cddr(V1)                           /*  CDDR            */;
	(void)si_check_arg_length(2,V3,MAKE_FIXNUM(1)) /*  CHECK-ARG-LENGTH */;
	T0= L111get_put_items(3,V4,V5,Ct)         /*  GET-PUT-ITEMS   */;
	T1= CONS(ECL_SYM("AND",85),T0);
	T2= cl_list(3,ECL_SYM("MACROLET",519),VV[319],T1) /*  LIST    */;
	value0=cl_list(3,ECL_SYM("MACROLET",519),VV[318],T2) /*  LIST */;
	return value0;
	}
}}
/*	local function PUT-ITEMS                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC116put_items(cl_object V1, cl_object V2)
{ VT117 VLEX117 CLSR117 STCK117
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  INDEX           */
	cl_object V5;                             /*  BODY            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((V3)==Cnil){
	goto L7;}
	V4= cl_car(V3)                            /*  CAR             */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cddr(V1)                           /*  CDDR            */;
	(void)si_check_arg_length(2,V3,MAKE_FIXNUM(1)) /*  CHECK-ARG-LENGTH */;
	T0= L111get_put_items(3,V4,V5,Ct)         /*  GET-PUT-ITEMS   */;
	value0=CONS(ECL_SYM("PROGN",669),T0); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function DECODE-TYPE                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC117decode_type(cl_object V1, cl_object V2)
{ VT118 VLEX118 CLSR118 STCK118
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  TYPE            */
	cl_object V4;                             /*  VALUE           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	{cl_object V5;                            /*  ARGS            */
	V5= Cnil;
	if(!(ECL_CONSP(V3))){
	goto L13;}
	V5= cl_cdr(V3)                            /*  CDR             */;
	V3= cl_car(V3)                            /*  CAR             */;
	goto L11;
L13:;
	goto L11;
L11:;
	T0= L6getify(V3)                          /*  GETIFY          */;
	T1= cl_listX(3,T0,V4,V5)                  /*  LIST*           */;
	value0=cl_list(3,ECL_SYM("MACROLET",519),VV[322],T1) /*  LIST */;
	return value0;
	}
	}
}}
/*	local function ENCODE-TYPE                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC118encode_type(cl_object V1, cl_object V2)
{ VT119 VLEX119 CLSR119 STCK119
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  TYPE            */
	cl_object V4;                             /*  VALUE           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	{cl_object V5;                            /*  ARGS            */
	V5= Cnil;
	if(!(ECL_CONSP(V3))){
	goto L13;}
	V5= cl_cdr(V3)                            /*  CDR             */;
	V3= cl_car(V3)                            /*  CAR             */;
	goto L11;
L13:;
	goto L11;
L11:;
	T0= cl_listX(5,VV[265],MAKE_FIXNUM(0),V4,V3,V5) /*  LIST*     */;
	value0=cl_list(3,ECL_SYM("MACROLET",519),VV[324],T0) /*  LIST */;
	return value0;
	}
	}
}}
/*	local function SET-DECODE-TYPE                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC119set_decode_type(cl_object V1, cl_object V2)
{ VT120 VLEX120 CLSR120 STCK120
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  TYPE            */
	cl_object V4;                             /*  ACCESSOR        */
	cl_object V5;                             /*  VALUE           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,VV[325],V3,V5)              /*  LIST            */;
	value0=cl_list(3,ECL_SYM("SETF",748),V4,T0) /*  LIST          */;
	return value0;
	}
}}
/*	local function THREADED-ATOMIC-PUSH                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC120threaded_atomic_push(cl_object V1, cl_object V2)
{ VT121 VLEX121 CLSR121 STCK121
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ITEM            */
	cl_object V4;                             /*  LIST            */
	cl_object V5;                             /*  NEXT            */
	cl_object V6;                             /*  TYPE            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	if((cl_cddddr(V1)                         /*  CDDDDR          */)==Cnil){
	goto L15;}
	T0= cl_cddddr(V1)                         /*  CDDDDR          */;
	V6= cl_car(T0)                            /*  CAR             */;
	goto L13;
L15:;
	V6= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L13;
L13:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(5)) /*  CHECK-ARG-LENGTH */;
	{cl_object V7;                            /*  LET2612         */
	cl_object V8;                             /*  LET2613         */
	V7= cl_gensym(0)                          /*  GENSYM          */;
	V8= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V7,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(3,ECL_SYM("TYPE",867),V6,V7)  /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_list(2,V8,V4)                      /*  LIST            */;
	T5= ecl_list1(T4);
	T6= cl_list(3,ECL_SYM("OR",612),ECL_SYM("NULL",603),V6) /*  LIST */;
	T7= cl_list(3,ECL_SYM("TYPE",867),T6,V8)  /*  LIST            */;
	T8= cl_list(3,ECL_SYM("DECLARE",272),T7,VV[448]) /*  LIST     */;
	T9= cl_list(2,V5,V7)                      /*  LIST            */;
	T10= cl_list(3,ECL_SYM("SETF",748),T9,V8) /*  LIST            */;
	T11= cl_list(4,VV[449],V4,V8,V7)          /*  LIST            */;
	T12= cl_list(2,ECL_SYM("RETURN",722),V7)  /*  LIST            */;
	T13= cl_list(3,ECL_SYM("WHEN",903),T11,T12) /*  LIST          */;
	T14= cl_list(5,ECL_SYM("LET",475),T5,T8,T10,T13) /*  LIST     */;
	T15= cl_list(2,ECL_SYM("LOOP",510),T14)   /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T15) /*  LIST       */;
	return value0;
	}
	}
}}
/*	local function THREADED-ATOMIC-POP                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC121threaded_atomic_pop(cl_object V1, cl_object V2)
{ VT122 VLEX122 CLSR122 STCK122
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LIST            */
	cl_object V4;                             /*  NEXT            */
	cl_object V5;                             /*  TYPE            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	{cl_object V6;                            /*  Y               */
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V6,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(3,ECL_SYM("OR",612),ECL_SYM("NULL",603),V5) /*  LIST */;
	T3= cl_list(3,ECL_SYM("TYPE",867),T2,V6)  /*  LIST            */;
	T4= cl_list(3,ECL_SYM("DECLARE",272),T3,VV[448]) /*  LIST     */;
	T5= cl_list(2,ECL_SYM("NULL",603),V6)     /*  LIST            */;
	T6= cl_list(3,ECL_SYM("THE",854),V5,V6)   /*  LIST            */;
	T7= cl_list(2,V4,T6)                      /*  LIST            */;
	T8= cl_list(4,VV[449],V3,V6,T7)           /*  LIST            */;
	T9= cl_list(3,ECL_SYM("THE",854),V5,V6)   /*  LIST            */;
	T10= cl_list(2,V4,T9)                     /*  LIST            */;
	T11= cl_list(3,ECL_SYM("SETF",748),T10,Cnil) /*  LIST         */;
	T12= cl_list(2,ECL_SYM("RETURN",722),V6)  /*  LIST            */;
	T13= cl_list(4,ECL_SYM("WHEN",903),T8,T11,T12) /*  LIST       */;
	T14= cl_list(4,ECL_SYM("IF",944),T5,VV[314],T13) /*  LIST     */;
	T15= cl_list(4,ECL_SYM("LET",475),T1,T4,T14) /*  LIST         */;
	value0=cl_list(2,ECL_SYM("LOOP",510),T15) /*  LIST            */;
	return value0;
	}
	}
}}
/*	local function THREADED-NCONC                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC122threaded_nconc(cl_object V1, cl_object V2)
{ VT123 VLEX123 CLSR123 STCK123
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ITEM            */
	cl_object V4;                             /*  LIST            */
	cl_object V5;                             /*  NEXT            */
	cl_object V6;                             /*  TYPE            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	if((cl_cddddr(V1)                         /*  CDDDDR          */)==Cnil){
	goto L15;}
	T0= cl_cddddr(V1)                         /*  CDDDDR          */;
	V6= cl_car(T0)                            /*  CAR             */;
	goto L13;
L15:;
	V6= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L13;
L13:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(5)) /*  CHECK-ARG-LENGTH */;
	{cl_object V7;                            /*  LET2614         */
	cl_object V8;                             /*  LET2615         */
	cl_object V9;                             /*  LET2616         */
	cl_object V10;                            /*  LET2617         */
	V7= cl_gensym(0)                          /*  GENSYM          */;
	V8= cl_gensym(0)                          /*  GENSYM          */;
	V9= cl_gensym(0)                          /*  GENSYM          */;
	V10= cl_gensym(0)                         /*  GENSYM          */;
	T0= cl_list(2,V10,V3)                     /*  LIST            */;
	T1= cl_list(2,V7,V4)                      /*  LIST            */;
	T2= cl_list(2,T0,T1)                      /*  LIST            */;
	T3= cl_list(3,ECL_SYM("TYPE",867),V6,V10) /*  LIST            */;
	T4= cl_list(3,ECL_SYM("OR",612),ECL_SYM("NULL",603),V6) /*  LIST */;
	T5= cl_list(3,ECL_SYM("TYPE",867),T4,V7)  /*  LIST            */;
	T6= cl_list(4,ECL_SYM("DECLARE",272),T3,T5,VV[448]) /*  LIST  */;
	T7= cl_list(2,ECL_SYM("NULL",603),V7)     /*  LIST            */;
	T8= cl_list(3,ECL_SYM("SETF",748),V4,V10) /*  LIST            */;
	T9= cl_list(3,V8,V7,V9)                   /*  LIST            */;
	T10= cl_list(2,V5,V8)                     /*  LIST            */;
	T11= cl_list(2,V5,V8)                     /*  LIST            */;
	T12= cl_list(3,V9,T10,T11)                /*  LIST            */;
	T13= cl_list(2,T9,T12)                    /*  LIST            */;
	T14= cl_list(2,ECL_SYM("NULL",603),V9)    /*  LIST            */;
	T15= cl_list(2,V5,V8)                     /*  LIST            */;
	T16= cl_list(3,ECL_SYM("SETF",748),T15,V10) /*  LIST          */;
	T17= cl_list(3,T14,T16,V7)                /*  LIST            */;
	T18= cl_list(3,ECL_SYM("TYPE",867),V6,V8) /*  LIST            */;
	T19= cl_list(3,ECL_SYM("OR",612),ECL_SYM("NULL",603),V6) /*  LIST */;
	T20= cl_list(3,ECL_SYM("TYPE",867),T19,V9) /*  LIST           */;
	T21= cl_list(3,ECL_SYM("DECLARE",272),T18,T20) /*  LIST       */;
	T22= cl_list(4,ECL_SYM("DO*",306),T13,T17,T21) /*  LIST       */;
	T23= cl_list(4,ECL_SYM("IF",944),T7,T8,T22) /*  LIST          */;
	value0=cl_list(4,ECL_SYM("LET",475),T2,T6,T23) /*  LIST       */;
	return value0;
	}
	}
}}
/*	local function THREADED-PUSH                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC123threaded_push(cl_object V1, cl_object V2)
{ VT124 VLEX124 CLSR124 STCK124
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ITEM            */
	cl_object V4;                             /*  LIST            */
	cl_object V5;                             /*  NEXT            */
	cl_object V6;                             /*  TYPE            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	if((cl_cddddr(V1)                         /*  CDDDDR          */)==Cnil){
	goto L15;}
	T0= cl_cddddr(V1)                         /*  CDDDDR          */;
	V6= cl_car(T0)                            /*  CAR             */;
	goto L13;
L15:;
	V6= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L13;
L13:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(5)) /*  CHECK-ARG-LENGTH */;
	{cl_object V7;                            /*  X               */
	V7= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V7,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(3,ECL_SYM("TYPE",867),V6,V7)  /*  LIST            */;
	T3= cl_list(3,ECL_SYM("DECLARE",272),T2,VV[448]) /*  LIST     */;
	T4= cl_list(2,V5,V7)                      /*  LIST            */;
	T5= cl_list(4,ECL_SYM("SHIFTF",753),T4,V4,V7) /*  LIST        */;
	value0=cl_list(5,ECL_SYM("LET",475),T1,T3,T5,V7) /*  LIST     */;
	return value0;
	}
	}
}}
/*	local function THREADED-POP                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC124threaded_pop(cl_object V1, cl_object V2)
{ VT125 VLEX125 CLSR125 STCK125
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LIST            */
	cl_object V4;                             /*  NEXT            */
	cl_object V5;                             /*  TYPE            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	{cl_object V6;                            /*  X               */
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V6,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(3,ECL_SYM("OR",612),ECL_SYM("NULL",603),V5) /*  LIST */;
	T3= cl_list(3,ECL_SYM("TYPE",867),T2,V6)  /*  LIST            */;
	T4= cl_list(3,ECL_SYM("DECLARE",272),T3,VV[448]) /*  LIST     */;
	T5= cl_list(3,ECL_SYM("THE",854),V5,V6)   /*  LIST            */;
	T6= cl_list(2,V4,T5)                      /*  LIST            */;
	T7= cl_list(4,ECL_SYM("SHIFTF",753),V3,T6,Cnil) /*  LIST      */;
	T8= cl_list(3,ECL_SYM("WHEN",903),V6,T7)  /*  LIST            */;
	value0=cl_list(5,ECL_SYM("LET",475),T1,T4,T8,V6) /*  LIST     */;
	return value0;
	}
	}
}}
/*	local function THREADED-ENQUEUE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC125threaded_enqueue(cl_object V1, cl_object V2)
{ VT126 VLEX126 CLSR126 STCK126
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ITEM            */
	cl_object V4;                             /*  HEAD            */
	cl_object V5;                             /*  TAIL            */
	cl_object V6;                             /*  NEXT            */
	cl_object V7;                             /*  TYPE            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	if((cl_cddddr(V1)                         /*  CDDDDR          */)==Cnil){
	goto L15;}
	T0= cl_cddddr(V1)                         /*  CDDDDR          */;
	V6= cl_car(T0)                            /*  CAR             */;
	goto L13;
L15:;
	V6= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L13;
L13:;
	T0= cl_cddddr(V1)                         /*  CDDDDR          */;
	if((cl_cdr(T0)                            /*  CDR             */)==Cnil){
	goto L19;}
	T0= cl_cddddr(V1)                         /*  CDDDDR          */;
	V7= cl_cadr(T0)                           /*  CADR            */;
	goto L17;
L19:;
	V7= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L17;
L17:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(6)) /*  CHECK-ARG-LENGTH */;
	{cl_object V8;                            /*  X               */
	V8= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V8,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(3,ECL_SYM("TYPE",867),V7,V8)  /*  LIST            */;
	T3= cl_list(3,ECL_SYM("DECLARE",272),T2,VV[448]) /*  LIST     */;
	T4= cl_list(2,ECL_SYM("NULL",603),V5)     /*  LIST            */;
	T5= cl_list(5,VV[452],V8,V4,V6,V7)        /*  LIST            */;
	T6= cl_list(3,ECL_SYM("THE",854),V7,V5)   /*  LIST            */;
	T7= cl_list(2,V6,T6)                      /*  LIST            */;
	T8= cl_list(5,VV[452],V8,T7,V6,V7)        /*  LIST            */;
	T9= cl_list(4,ECL_SYM("IF",944),T4,T5,T8) /*  LIST            */;
	T10= cl_list(3,ECL_SYM("SETF",748),V5,V8) /*  LIST            */;
	value0=cl_list(5,ECL_SYM("LET",475),T1,T3,T9,T10) /*  LIST    */;
	return value0;
	}
	}
}}
/*	local function THREADED-DEQUEUE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC126threaded_dequeue(cl_object V1, cl_object V2)
{ VT127 VLEX127 CLSR127 STCK127
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  HEAD            */
	cl_object V4;                             /*  TAIL            */
	cl_object V5;                             /*  NEXT            */
	cl_object V6;                             /*  TYPE            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	if((cl_cddddr(V1)                         /*  CDDDDR          */)==Cnil){
	goto L15;}
	T0= cl_cddddr(V1)                         /*  CDDDDR          */;
	V6= cl_car(T0)                            /*  CAR             */;
	goto L13;
L15:;
	V6= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L13;
L13:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(5)) /*  CHECK-ARG-LENGTH */;
	{cl_object V7;                            /*  X               */
	V7= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V7,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(3,ECL_SYM("OR",612),ECL_SYM("NULL",603),V6) /*  LIST */;
	T3= cl_list(3,ECL_SYM("TYPE",867),T2,V7)  /*  LIST            */;
	T4= cl_list(3,ECL_SYM("DECLARE",272),T3,VV[448]) /*  LIST     */;
	T5= cl_list(3,ECL_SYM("EQ",331),V7,V4)    /*  LIST            */;
	T6= cl_list(3,ECL_SYM("THE",854),V6,V7)   /*  LIST            */;
	T7= cl_list(2,V5,T6)                      /*  LIST            */;
	T8= cl_list(3,ECL_SYM("SETF",748),V4,T7)  /*  LIST            */;
	T9= cl_list(3,ECL_SYM("WHEN",903),T5,T8)  /*  LIST            */;
	T10= cl_list(3,ECL_SYM("THE",854),V6,V7)  /*  LIST            */;
	T11= cl_list(2,V5,T10)                    /*  LIST            */;
	T12= cl_list(3,ECL_SYM("SETF",748),V3,T11) /*  LIST           */;
	T13= cl_list(4,ECL_SYM("WHEN",903),V7,T9,T12) /*  LIST        */;
	value0=cl_list(5,ECL_SYM("LET",475),T1,T4,T13,V7) /*  LIST    */;
	return value0;
	}
	}
}}
/*	local function THREADED-REQUEUE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC127threaded_requeue(cl_object V1, cl_object V2)
{ VT128 VLEX128 CLSR128 STCK128
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ITEM            */
	cl_object V4;                             /*  HEAD            */
	cl_object V5;                             /*  TAIL            */
	cl_object V6;                             /*  NEXT            */
	cl_object V7;                             /*  TYPE            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	if((cl_cddddr(V1)                         /*  CDDDDR          */)==Cnil){
	goto L15;}
	T0= cl_cddddr(V1)                         /*  CDDDDR          */;
	V6= cl_car(T0)                            /*  CAR             */;
	goto L13;
L15:;
	V6= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L13;
L13:;
	T0= cl_cddddr(V1)                         /*  CDDDDR          */;
	if((cl_cdr(T0)                            /*  CDR             */)==Cnil){
	goto L19;}
	T0= cl_cddddr(V1)                         /*  CDDDDR          */;
	V7= cl_cadr(T0)                           /*  CADR            */;
	goto L17;
L19:;
	V7= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L17;
L17:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(6)) /*  CHECK-ARG-LENGTH */;
	{cl_object V8;                            /*  X               */
	V8= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V8,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(3,ECL_SYM("TYPE",867),V7,V8)  /*  LIST            */;
	T3= cl_list(3,ECL_SYM("DECLARE",272),T2,VV[448]) /*  LIST     */;
	T4= cl_list(2,ECL_SYM("NULL",603),V5)     /*  LIST            */;
	T5= cl_list(3,ECL_SYM("SETF",748),V4,V8)  /*  LIST            */;
	T6= cl_list(3,ECL_SYM("SETF",748),V5,T5)  /*  LIST            */;
	T7= cl_list(2,V6,V8)                      /*  LIST            */;
	T8= cl_list(4,ECL_SYM("SHIFTF",753),T7,V4,V8) /*  LIST        */;
	T9= cl_list(4,ECL_SYM("IF",944),T4,T6,T8) /*  LIST            */;
	value0=cl_list(5,ECL_SYM("LET",475),T1,T3,T9,V8) /*  LIST     */;
	return value0;
	}
	}
}}
/*	local function THREADED-DOLIST                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC128threaded_dolist(cl_object V1, cl_object V2)
{ VT129 VLEX129 CLSR129 STCK129
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  VARIABLE        */
	cl_object V5;                             /*  LIST            */
	cl_object V6;                             /*  NEXT            */
	cl_object V7;                             /*  TYPE            */
	cl_object V8;                             /*  BODY            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((V3)==Cnil){
	goto L7;}
	V4= cl_car(V3)                            /*  CAR             */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdr(V3)                            /*  CDR             */)==Cnil){
	goto L11;}
	V5= cl_cadr(V3)                           /*  CADR            */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	if((cl_cddr(V3)                           /*  CDDR            */)==Cnil){
	goto L15;}
	V6= cl_caddr(V3)                          /*  CADDR           */;
	goto L13;
L15:;
	V6= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L13;
L13:;
	if((cl_cdddr(V3)                          /*  CDDDR           */)==Cnil){
	goto L19;}
	V7= cl_cadddr(V3)                         /*  CADDDR          */;
	goto L17;
L19:;
	V7= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L17;
L17:;
	V8= cl_cddr(V1)                           /*  CDDR            */;
	(void)si_check_arg_length(2,V3,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,ECL_SYM("THE",854),V7,V4)   /*  LIST            */;
	T1= cl_list(2,V6,T0)                      /*  LIST            */;
	T2= cl_list(3,V4,V5,T1)                   /*  LIST            */;
	T3= ecl_list1(T2);
	T4= cl_list(2,ECL_SYM("NULL",603),V4)     /*  LIST            */;
	T5= ecl_list1(T4);
	T6= cl_list(3,ECL_SYM("OR",612),ECL_SYM("NULL",603),V7) /*  LIST */;
	T7= cl_list(3,ECL_SYM("TYPE",867),T6,V4)  /*  LIST            */;
	T8= cl_list(2,ECL_SYM("DECLARE",272),T7)  /*  LIST            */;
	T9= cl_listX(5,ECL_SYM("DO*",306),T3,T5,T8,V8) /*  LIST*      */;
	value0=cl_list(3,ECL_SYM("BLOCK",135),Cnil,T9) /*  LIST       */;
	return value0;
	}
}}
/*	local function THREADED-DELETE                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC129threaded_delete(cl_object V1, cl_object V2)
{ VT130 VLEX130 CLSR130 STCK130
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ITEM            */
	cl_object V4;                             /*  LIST            */
	cl_object V5;                             /*  NEXT            */
	cl_object V6;                             /*  TYPE            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	if((cl_cddddr(V1)                         /*  CDDDDR          */)==Cnil){
	goto L15;}
	T0= cl_cddddr(V1)                         /*  CDDDDR          */;
	V6= cl_car(T0)                            /*  CAR             */;
	goto L13;
L15:;
	V6= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L13;
L13:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(5)) /*  CHECK-ARG-LENGTH */;
	{cl_object V7;                            /*  LET2618         */
	cl_object V8;                             /*  LET2619         */
	cl_object V9;                             /*  LET2620         */
	cl_object V10;                            /*  LET2621         */
	V7= cl_gensym(0)                          /*  GENSYM          */;
	V8= cl_gensym(0)                          /*  GENSYM          */;
	V9= cl_gensym(0)                          /*  GENSYM          */;
	V10= cl_gensym(0)                         /*  GENSYM          */;
	T0= cl_list(2,V7,V3)                      /*  LIST            */;
	T1= cl_list(2,V10,V4)                     /*  LIST            */;
	T2= cl_list(2,T0,T1)                      /*  LIST            */;
	T3= cl_list(3,ECL_SYM("TYPE",867),V6,V7)  /*  LIST            */;
	T4= cl_list(3,ECL_SYM("OR",612),ECL_SYM("NULL",603),V6) /*  LIST */;
	T5= cl_list(3,ECL_SYM("TYPE",867),T4,V10) /*  LIST            */;
	T6= cl_list(4,ECL_SYM("DECLARE",272),T3,T5,VV[448]) /*  LIST  */;
	T7= cl_list(3,ECL_SYM("EQ",331),V10,V7)   /*  LIST            */;
	T8= cl_list(2,V5,V7)                      /*  LIST            */;
	T9= cl_list(3,ECL_SYM("SETF",748),V4,T8)  /*  LIST            */;
	T10= cl_list(3,ECL_SYM("SETF",748),V10,T9) /*  LIST           */;
	T11= cl_list(3,V8,V10,V9)                 /*  LIST            */;
	T12= cl_list(2,V5,V8)                     /*  LIST            */;
	T13= cl_list(2,V5,V8)                     /*  LIST            */;
	T14= cl_list(3,V9,T12,T13)                /*  LIST            */;
	T15= cl_list(2,T11,T14)                   /*  LIST            */;
	T16= cl_list(2,ECL_SYM("NULL",603),V9)    /*  LIST            */;
	T17= cl_list(3,ECL_SYM("EQ",331),V9,V7)   /*  LIST            */;
	T18= cl_list(3,ECL_SYM("OR",612),T16,T17) /*  LIST            */;
	T19= cl_list(3,ECL_SYM("EQ",331),V9,V7)   /*  LIST            */;
	T20= cl_list(2,V5,V8)                     /*  LIST            */;
	T21= cl_list(2,V5,V7)                     /*  LIST            */;
	T22= cl_list(3,ECL_SYM("SETF",748),T20,T21) /*  LIST          */;
	T23= cl_list(3,ECL_SYM("WHEN",903),T19,T22) /*  LIST          */;
	T24= cl_list(2,T18,T23)                   /*  LIST            */;
	T25= cl_list(3,ECL_SYM("TYPE",867),V6,V8) /*  LIST            */;
	T26= cl_list(2,ECL_SYM("DECLARE",272),T25) /*  LIST           */;
	T27= cl_list(3,ECL_SYM("OR",612),ECL_SYM("NULL",603),V6) /*  LIST */;
	T28= cl_list(3,ECL_SYM("TYPE",867),T27,V9) /*  LIST           */;
	T29= cl_list(2,ECL_SYM("DECLARE",272),T28) /*  LIST           */;
	T30= cl_list(5,ECL_SYM("DO*",306),T15,T24,T26,T29) /*  LIST   */;
	T31= cl_list(4,ECL_SYM("IF",944),T7,T10,T30) /*  LIST         */;
	T32= cl_list(3,ECL_SYM("WHEN",903),V10,T31) /*  LIST          */;
	T33= cl_list(2,V5,V7)                     /*  LIST            */;
	T34= cl_list(3,ECL_SYM("SETF",748),T33,Cnil) /*  LIST         */;
	value0=cl_list(6,ECL_SYM("LET",475),T2,T6,T32,T34,V10) /*  LIST */;
	return value0;
	}
	}
}}
/*	local function THREADED-LENGTH                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC130threaded_length(cl_object V1, cl_object V2)
{ VT131 VLEX131 CLSR131 STCK131
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LIST            */
	cl_object V4;                             /*  NEXT            */
	cl_object V5;                             /*  TYPE            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	{cl_object V6;                            /*  LET2622         */
	cl_object V7;                             /*  LET2623         */
	V6= cl_gensym(0)                          /*  GENSYM          */;
	V7= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(3,ECL_SYM("THE",854),V5,V6)   /*  LIST            */;
	T1= cl_list(2,V4,T0)                      /*  LIST            */;
	T2= cl_list(3,V6,V3,T1)                   /*  LIST            */;
	T3= cl_list(2,VV[460],V7)                 /*  LIST            */;
	T4= cl_list(3,V7,MAKE_FIXNUM(0),T3)       /*  LIST            */;
	T5= cl_list(2,T2,T4)                      /*  LIST            */;
	T6= cl_list(2,ECL_SYM("NULL",603),V6)     /*  LIST            */;
	T7= cl_list(2,T6,V7)                      /*  LIST            */;
	T8= cl_list(3,ECL_SYM("OR",612),ECL_SYM("NULL",603),V5) /*  LIST */;
	T9= cl_list(3,ECL_SYM("TYPE",867),T8,V6)  /*  LIST            */;
	T10= cl_list(3,ECL_SYM("TYPE",867),VV[8],V7) /*  LIST         */;
	T11= cl_list(4,ECL_SYM("DECLARE",272),T9,T10,VV[448]) /*  LIST */;
	value0=cl_list(4,ECL_SYM("DO",305),T5,T7,T11) /*  LIST        */;
	return value0;
	}
	}
}}
	
#include "clx/macros.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclRFM7HYZ7_a72tLD01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:CLX;MACROS.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclRFM7HYZ7_a72tLD01@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	ecl_cmp_defmacro(VV[462]);
	(void)si_Xmake_special(VV[3])             /*  *MAKE-SPECIAL   */;
	ecl_cmp_defmacro(VV[463]);
	ecl_cmp_defmacro(VV[464]);
	ecl_cmp_defmacro(VV[465]);
	ecl_cmp_defun(VV[466]);
	ecl_cmp_defun(VV[468]);
	ecl_cmp_defun(VV[469]);
	ecl_cmp_defmacro(VV[470]);
	(void)si_putprop(VV[26],MAKE_FIXNUM(4),VV[12]) /*  PUTPROP    */;
	ecl_cmp_defmacro(VV[471]);
	ecl_cmp_defmacro(VV[472]);
	(void)si_putprop(VV[31],MAKE_FIXNUM(4),VV[12]) /*  PUTPROP    */;
	ecl_cmp_defmacro(VV[473]);
	ecl_cmp_defmacro(VV[474]);
	(void)si_putprop(VV[36],MAKE_FIXNUM(2),VV[12]) /*  PUTPROP    */;
	ecl_cmp_defmacro(VV[475]);
	ecl_cmp_defmacro(VV[476]);
	(void)si_putprop(VV[41],MAKE_FIXNUM(1),VV[12]) /*  PUTPROP    */;
	ecl_cmp_defmacro(VV[477]);
	ecl_cmp_defmacro(VV[478]);
	(void)si_putprop(ECL_SYM("INTEGER",435),MAKE_FIXNUM(4),VV[12]) /*  PUTPROP */;
	ecl_cmp_defmacro(VV[479]);
	ecl_cmp_defmacro(VV[480]);
	(void)si_putprop(VV[50],MAKE_FIXNUM(2),VV[12]) /*  PUTPROP    */;
	ecl_cmp_defmacro(VV[481]);
	ecl_cmp_defmacro(VV[482]);
	(void)si_putprop(VV[55],MAKE_FIXNUM(2),VV[12]) /*  PUTPROP    */;
	ecl_cmp_defmacro(VV[483]);
	ecl_cmp_defmacro(VV[484]);
	(void)si_putprop(VV[60],MAKE_FIXNUM(2),VV[12]) /*  PUTPROP    */;
	ecl_cmp_defmacro(VV[485]);
	ecl_cmp_defmacro(VV[486]);
	(void)si_putprop(ECL_SYM("BIT",121),MAKE_FIXNUM(0),VV[12]) /*  PUTPROP */;
	ecl_cmp_defmacro(VV[487]);
	ecl_cmp_defmacro(VV[488]);
	(void)si_putprop(ECL_SYM("BOOLEAN",153),MAKE_FIXNUM(1),VV[12]) /*  PUTPROP */;
	ecl_cmp_defmacro(VV[489]);
	ecl_cmp_defmacro(VV[490]);
	(void)si_putprop(VV[70],MAKE_FIXNUM(4),VV[12]) /*  PUTPROP    */;
	ecl_cmp_defmacro(VV[491]);
	ecl_cmp_defmacro(VV[492]);
	(void)si_putprop(VV[76],MAKE_FIXNUM(4),VV[12]) /*  PUTPROP    */;
	ecl_cmp_defmacro(VV[493]);
	ecl_cmp_defmacro(VV[494]);
	(void)si_putprop(VV[81],MAKE_FIXNUM(4),VV[12]) /*  PUTPROP    */;
	ecl_cmp_defmacro(VV[495]);
	ecl_cmp_defmacro(VV[496]);
	(void)si_putprop(VV[86],MAKE_FIXNUM(4),VV[12]) /*  PUTPROP    */;
	ecl_cmp_defmacro(VV[497]);
	ecl_cmp_defmacro(VV[498]);
	(void)si_putprop(VV[91],MAKE_FIXNUM(4),VV[12]) /*  PUTPROP    */;
	ecl_cmp_defmacro(VV[499]);
	ecl_cmp_defmacro(VV[500]);
	(void)si_putprop(VV[96],MAKE_FIXNUM(4),VV[12]) /*  PUTPROP    */;
	ecl_cmp_defmacro(VV[501]);
	ecl_cmp_defmacro(VV[502]);
	(void)si_putprop(VV[101],MAKE_FIXNUM(4),VV[12]) /*  PUTPROP   */;
	ecl_cmp_defmacro(VV[503]);
	ecl_cmp_defmacro(VV[504]);
	(void)si_putprop(ECL_SYM("KEYWORD",447),MAKE_FIXNUM(4),VV[12]) /*  PUTPROP */;
	ecl_cmp_defmacro(VV[505]);
	ecl_cmp_defmacro(VV[506]);
	(void)si_putprop(VV[113],MAKE_FIXNUM(4),VV[12]) /*  PUTPROP   */;
	ecl_cmp_defmacro(VV[507]);
	ecl_cmp_defmacro(VV[508]);
	(void)si_putprop(VV[116],MAKE_FIXNUM(4),VV[12]) /*  PUTPROP   */;
	ecl_cmp_defmacro(VV[509]);
	ecl_cmp_defmacro(VV[510]);
	ecl_cmp_defmacro(VV[511]);
	(void)si_putprop(VV[127],MAKE_FIXNUM(1),VV[12]) /*  PUTPROP   */;
	ecl_cmp_defmacro(VV[512]);
	ecl_cmp_defmacro(VV[513]);
	(void)si_putprop(VV[127],Ct,VV[131])      /*  PUTPROP         */;
	ecl_cmp_defmacro(VV[514]);
	(void)si_putprop(VV[133],MAKE_FIXNUM(2),VV[12]) /*  PUTPROP   */;
	ecl_cmp_defmacro(VV[515]);
	ecl_cmp_defmacro(VV[516]);
	(void)si_putprop(VV[133],Ct,VV[131])      /*  PUTPROP         */;
	ecl_cmp_defmacro(VV[517]);
	(void)si_putprop(ECL_SYM("MEMBER",550),MAKE_FIXNUM(4),VV[12]) /*  PUTPROP */;
	ecl_cmp_defmacro(VV[518]);
	ecl_cmp_defmacro(VV[519]);
	(void)si_putprop(ECL_SYM("MEMBER",550),Ct,VV[131]) /*  PUTPROP */;
	ecl_cmp_defmacro(VV[520]);
	T0= ecl_make_cfun((cl_objectfn_fixed)LC59member_vector,Cnil,Cblock,1);
	(void)si_do_deftype(3,VV[140],VVtemp[0],T0) /*  DO-DEFTYPE    */;
	(void)si_putprop(VV[140],MAKE_FIXNUM(4),VV[12]) /*  PUTPROP   */;
	ecl_cmp_defmacro(VV[521]);
	ecl_cmp_defmacro(VV[522]);
	(void)si_putprop(VV[140],Ct,VV[131])      /*  PUTPROP         */;
	ecl_cmp_defmacro(VV[523]);
	(void)si_putprop(VV[144],MAKE_FIXNUM(2),VV[12]) /*  PUTPROP   */;
	ecl_cmp_defmacro(VV[524]);
	ecl_cmp_defmacro(VV[525]);
	(void)si_putprop(VV[144],Ct,VV[131])      /*  PUTPROP         */;
	ecl_cmp_defmacro(VV[526]);
	(void)si_putprop(VV[148],MAKE_FIXNUM(1),VV[12]) /*  PUTPROP   */;
	ecl_cmp_defmacro(VV[527]);
	ecl_cmp_defmacro(VV[528]);
	(void)si_putprop(VV[148],Ct,VV[131])      /*  PUTPROP         */;
	ecl_cmp_defmacro(VV[529]);
	(void)si_putprop(VV[152],MAKE_FIXNUM(4),VV[12]) /*  PUTPROP   */;
	ecl_cmp_defmacro(VV[530]);
	ecl_cmp_defmacro(VV[531]);
	(void)si_putprop(VV[152],Ct,VV[131])      /*  PUTPROP         */;
	ecl_cmp_defmacro(VV[532]);
	(void)si_putprop(ECL_SYM("NULL",603),MAKE_FIXNUM(4),VV[12]) /*  PUTPROP */;
	ecl_cmp_defmacro(VV[533]);
	ecl_cmp_defmacro(VV[534]);
	(void)si_putprop(VV[160],MAKE_FIXNUM(1),VV[12]) /*  PUTPROP   */;
	ecl_cmp_defmacro(VV[535]);
	ecl_cmp_defmacro(VV[536]);
	(void)si_putprop(VV[163],MAKE_FIXNUM(2),VV[12]) /*  PUTPROP   */;
	ecl_cmp_defmacro(VV[537]);
	ecl_cmp_defmacro(VV[538]);
	(void)si_putprop(VV[166],MAKE_FIXNUM(4),VV[12]) /*  PUTPROP   */;
	ecl_cmp_defmacro(VV[539]);
	ecl_cmp_defmacro(VV[540]);
	(void)si_putprop(VV[169],MAKE_FIXNUM(32),VV[12]) /*  PUTPROP  */;
	ecl_cmp_defmacro(VV[541]);
	ecl_cmp_defmacro(VV[542]);
	(void)si_putprop(ECL_SYM("STRING",803),Cnil,VV[12]) /*  PUTPROP */;
	ecl_cmp_defmacro(VV[543]);
	ecl_cmp_defmacro(VV[544]);
	(void)si_putprop(ECL_SYM("SEQUENCE",739),Cnil,VV[12]) /*  PUTPROP */;
	ecl_cmp_defmacro(VV[545]);
	ecl_cmp_defmacro(VV[546]);
	ecl_cmp_defmacro(VV[547]);
	ecl_cmp_defmacro(VV[548]);
	(void)si_putprop(VV[221],MAKE_FIXNUM(20),VV[12]) /*  PUTPROP  */;
	ecl_cmp_defmacro(VV[549]);
	ecl_cmp_defmacro(VV[550]);
	(void)si_putprop(VV[225],MAKE_FIXNUM(0),VV[12]) /*  PUTPROP   */;
	ecl_cmp_defmacro(VV[551]);
	ecl_cmp_defmacro(VV[552]);
	(void)si_putprop(VV[225],Ct,VV[131])      /*  PUTPROP         */;
	ecl_cmp_defmacro(VV[553]);
	(void)si_putprop(ECL_SYM("LENGTH",474),MAKE_FIXNUM(0),VV[12]) /*  PUTPROP */;
	ecl_cmp_defmacro(VV[554]);
	ecl_cmp_defmacro(VV[555]);
	(void)si_putprop(ECL_SYM("LENGTH",474),Ct,VV[131]) /*  PUTPROP */;
	ecl_cmp_defmacro(VV[556]);
	(void)si_do_deftype(3,VV[234],VVtemp[1],VV[41]) /*  DO-DEFTYPE */;
	(void)si_putprop(VV[234],MAKE_FIXNUM(0),VV[12]) /*  PUTPROP   */;
	ecl_cmp_defmacro(VV[557]);
	ecl_cmp_defmacro(VV[558]);
	(void)si_putprop(VV[234],Ct,VV[131])      /*  PUTPROP         */;
	ecl_cmp_defmacro(VV[559]);
	ecl_cmp_defmacro(VV[560]);
	(void)si_putprop(ECL_SYM("OR",612),MAKE_FIXNUM(4),VV[12]) /*  PUTPROP */;
	ecl_cmp_defmacro(VV[562]);
	ecl_cmp_defmacro(VV[563]);
	(void)si_putprop(VV[247],Cnil,VV[12])     /*  PUTPROP         */;
	ecl_cmp_defun(VV[564]);
	ecl_cmp_defun(VV[565]);
	(void)si_putprop(ECL_SYM("PROGN",669),Cnil,VV[12]) /*  PUTPROP */;
	ecl_cmp_defmacro(VV[566]);
	ecl_cmp_defmacro(VV[567]);
	ecl_cmp_defmacro(VV[568]);
	ecl_cmp_defun(VV[569]);
	ecl_cmp_defmacro(VV[570]);
	ecl_cmp_defmacro(VV[571]);
	ecl_cmp_defmacro(VV[572]);
	ecl_cmp_defmacro(VV[573]);
	ecl_cmp_defmacro(VV[574]);
	ecl_cmp_defmacro(VV[575]);
	ecl_cmp_defmacro(VV[576]);
	ecl_cmp_defmacro(VV[577]);
	(void)si_put_sysprop(VV[323],VV[327],VV[326]) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[323],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[323],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)si_Xmake_constant(VV[328],MAKE_FIXNUM(1)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[329],MAKE_FIXNUM(2)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[330],MAKE_FIXNUM(3)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[331],MAKE_FIXNUM(4)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[332],MAKE_FIXNUM(5)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[333],MAKE_FIXNUM(6)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[334],MAKE_FIXNUM(7)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[335],MAKE_FIXNUM(8)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[336],MAKE_FIXNUM(9)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[337],MAKE_FIXNUM(10)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[338],MAKE_FIXNUM(11)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[339],MAKE_FIXNUM(12)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[340],MAKE_FIXNUM(13)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[341],MAKE_FIXNUM(14)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[342],MAKE_FIXNUM(15)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[343],MAKE_FIXNUM(16)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[344],MAKE_FIXNUM(17)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[345],MAKE_FIXNUM(18)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[346],MAKE_FIXNUM(19)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[347],MAKE_FIXNUM(20)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[348],MAKE_FIXNUM(21)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[349],MAKE_FIXNUM(22)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[350],MAKE_FIXNUM(23)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[351],MAKE_FIXNUM(24)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[352],MAKE_FIXNUM(25)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[353],MAKE_FIXNUM(26)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[354],MAKE_FIXNUM(27)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[355],MAKE_FIXNUM(28)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[356],MAKE_FIXNUM(29)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[357],MAKE_FIXNUM(30)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[358],MAKE_FIXNUM(31)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[359],MAKE_FIXNUM(32)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[360],MAKE_FIXNUM(33)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[361],MAKE_FIXNUM(34)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[362],MAKE_FIXNUM(35)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[363],MAKE_FIXNUM(36)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[364],MAKE_FIXNUM(37)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[365],MAKE_FIXNUM(38)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[366],MAKE_FIXNUM(39)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[367],MAKE_FIXNUM(40)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[368],MAKE_FIXNUM(41)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[369],MAKE_FIXNUM(42)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[370],MAKE_FIXNUM(43)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[371],MAKE_FIXNUM(44)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[372],MAKE_FIXNUM(45)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[373],MAKE_FIXNUM(46)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[374],MAKE_FIXNUM(47)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[375],MAKE_FIXNUM(48)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[376],MAKE_FIXNUM(49)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[377],MAKE_FIXNUM(50)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[378],MAKE_FIXNUM(51)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[379],MAKE_FIXNUM(52)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[380],MAKE_FIXNUM(53)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[381],MAKE_FIXNUM(54)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[382],MAKE_FIXNUM(55)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[383],MAKE_FIXNUM(56)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[384],MAKE_FIXNUM(57)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[385],MAKE_FIXNUM(58)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[386],MAKE_FIXNUM(59)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[387],MAKE_FIXNUM(60)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[388],MAKE_FIXNUM(61)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[389],MAKE_FIXNUM(62)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[390],MAKE_FIXNUM(63)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[391],MAKE_FIXNUM(64)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[392],MAKE_FIXNUM(65)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[393],MAKE_FIXNUM(66)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[394],MAKE_FIXNUM(67)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[395],MAKE_FIXNUM(68)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[396],MAKE_FIXNUM(69)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[397],MAKE_FIXNUM(70)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[398],MAKE_FIXNUM(71)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[399],MAKE_FIXNUM(72)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[400],MAKE_FIXNUM(73)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[401],MAKE_FIXNUM(74)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[402],MAKE_FIXNUM(75)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[403],MAKE_FIXNUM(76)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[404],MAKE_FIXNUM(77)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[405],MAKE_FIXNUM(78)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[406],MAKE_FIXNUM(79)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[407],MAKE_FIXNUM(80)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[408],MAKE_FIXNUM(81)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[409],MAKE_FIXNUM(82)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[410],MAKE_FIXNUM(83)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[411],MAKE_FIXNUM(84)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[412],MAKE_FIXNUM(85)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[413],MAKE_FIXNUM(86)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[414],MAKE_FIXNUM(87)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[415],MAKE_FIXNUM(88)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[416],MAKE_FIXNUM(89)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[417],MAKE_FIXNUM(90)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[418],MAKE_FIXNUM(91)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[419],MAKE_FIXNUM(92)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[420],MAKE_FIXNUM(93)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[421],MAKE_FIXNUM(94)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[422],MAKE_FIXNUM(95)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[423],MAKE_FIXNUM(96)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[424],MAKE_FIXNUM(97)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[425],MAKE_FIXNUM(98)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[426],MAKE_FIXNUM(99)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[427],MAKE_FIXNUM(100)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[428],MAKE_FIXNUM(101)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[429],MAKE_FIXNUM(102)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[430],MAKE_FIXNUM(103)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[431],MAKE_FIXNUM(104)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[432],MAKE_FIXNUM(105)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[433],MAKE_FIXNUM(106)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[434],MAKE_FIXNUM(107)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[435],MAKE_FIXNUM(108)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[436],MAKE_FIXNUM(109)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[437],MAKE_FIXNUM(110)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[438],MAKE_FIXNUM(111)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[439],MAKE_FIXNUM(112)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[440],MAKE_FIXNUM(113)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[441],MAKE_FIXNUM(114)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[442],MAKE_FIXNUM(115)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[443],MAKE_FIXNUM(116)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[444],MAKE_FIXNUM(117)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[445],MAKE_FIXNUM(118)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[446],MAKE_FIXNUM(119)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[447],MAKE_FIXNUM(127)) /*  *MAKE-CONSTANT */;
	ecl_cmp_defmacro(VV[578]);
	ecl_cmp_defmacro(VV[579]);
	ecl_cmp_defmacro(VV[580]);
	ecl_cmp_defmacro(VV[581]);
	ecl_cmp_defmacro(VV[582]);
	ecl_cmp_defmacro(VV[583]);
	ecl_cmp_defmacro(VV[584]);
	ecl_cmp_defmacro(VV[585]);
	ecl_cmp_defmacro(VV[586]);
	ecl_cmp_defmacro(VV[587]);
	ecl_cmp_defmacro(VV[588]);
}
