/*	Compiler: ECL 11.1.1                                          */
/*	Source: EXT:DEFSYSTEM;DEFSYSTEM.LISP                          */
#include <ecl/ecl-cmp.h>
#include "ext/defsystem.h"
/*	function definition for HOME-SUBDIRECTORY                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1home_subdirectory(cl_object V1)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  HOMEDIR         */
	V2= cl_user_homedir_pathname(0)           /*  USER-HOMEDIR-PATHNAME */;
	if((V2)==Cnil){
	goto L7;}
	value0=cl_namestring(V2)                  /*  NAMESTRING      */;
	goto L5;
L7:;
	value0=Cnil;
	goto L5;
L5:;
	if((value0)!=Cnil){
	goto L4;}
	T0= _ecl_static_2;
	goto L1;
L4:;
	T0= value0;
	goto L1;
	}
L1:;
	value0=cl_concatenate(3,ECL_SYM("STRING",803),T0,V1) /*  CONCATENATE */;
	return value0;
}}
/*	function definition for ADD-REGISTRY-LOCATION                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2add_registry_location(cl_object V1)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_symbol_value(VV[9]);
	T1= (ECL_SYM("EQUAL",333)->symbol.gfdef);
	cl_set(VV[9],cl_adjoin(4,V1,T0,ECL_SYM("TEST",1286),T1) /*  ADJOIN */);
	value0=ecl_symbol_value(VV[9]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REGISTRY-PATHNAME                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3registry_pathname(cl_object V1)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_STRINGP(V1))){
	goto L2;}
	value0=cl_pathname(V1)                    /*  PATHNAME        */;
	return value0;
L2:;
	if((cl_pathnamep(V1)                      /*  PATHNAMEP       */)==Cnil){
	goto L5;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L5:;
	T0= cl_eval(V1)                           /*  EVAL            */;
	value0=cl_pathname(T0)                    /*  PATHNAME        */;
	return value0;
}}
/*	function definition for PRINT-CENTRAL-REGISTRY-DIRECTORIES    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4print_central_registry_directories(cl_narg narg, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",65));
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V2;                            /*  %DOLIST-VAR     */
	cl_object V3;                             /*  REGISTRY        */
	V2= ecl_symbol_value(VV[9]);
	V3= Cnil;
	goto L7;
L6:;
	V3= cl_first(V2)                          /*  FIRST           */;
	T0= L3registry_pathname(V3)               /*  REGISTRY-PATHNAME */;
	ecl_print(T0,V1);
	V2= CDR(V2);
L7:;
	if((V2)==Cnil){
	goto L16;}
	goto L6;
L16:;
	goto L14;
L14:;
	goto L4;
L4:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LIST-CENTRAL-REGISTRY-DIRECTORIES     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5list_central_registry_directories()
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  LET1868         */
	cl_object V2;
	cl_object V3;
	V1= ecl_symbol_value(VV[9]);
	V2= Cnil;
	V3= V1;
	{cl_object V4;
	cl_object V5;
	V4= ecl_list1(Cnil);
	V5= V4;
L7:;
	if(!(ecl_endp(V3))){
	goto L11;}
	goto L8;
L11:;
	goto L9;
L9:;
	V2= CAR(V3);
	V3= CDR(V3);
	T0= V5;
	T1= L3registry_pathname(V2)               /*  REGISTRY-PATHNAME */;
	V5= ecl_list1(T1);
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V5;
	goto L7;
L8:;
	value0=cl_cdr(V4)                         /*  CDR             */;
	return value0;
	}
	}
}}
/*	function definition for NON-EMPTY-LISTP                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6non_empty_listp(cl_object V1)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==Cnil){
	goto L2;}
	value0=ecl_make_bool(ECL_LISTP(V1)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for COMPONENT-OPERATION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7component_operation(cl_narg narg, cl_object V1, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V2)==Cnil){
	goto L3;}
	{cl_object V3;
	V3= ecl_symbol_value(VV[37]);
	value0=si_hash_set(V1,V3,V2)              /*  HASH-SET        */;
	return value0;
	}
L3:;
	value0=cl_gethash(2,V1,ecl_symbol_value(VV[37])) /*  GETHASH  */;
	return value0;
}}
/*	local function G17                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8__g17(cl_object V1, cl_object V2, cl_object V3)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_read(4,V1,Ct,Cnil,Ct)              /*  READ            */;
	value0=cl_list(2,VV[39],T0)               /*  LIST            */;
	return value0;
}}
/*	function definition for OPERATING-SYSTEM-VERSION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9operating_system_version()
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(cl_env_copy->function=(ECL_SYM("SOFTWARE-TYPE",782)->symbol.gfdef))->cfun.entry(0) /*  SOFTWARE-TYPE */;
	return value0;
}}
/*	function definition for COMPILER-VERSION                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10compiler_version()
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=_ecl_static_10; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AFS-BINARY-DIRECTORY                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11afs_binary_directory(cl_object V1)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  LET1869         */
	cl_object V3;                             /*  LET1870         */
	cl_object V4;                             /*  LET1871         */
	T0= (cl_env_copy->function=(ECL_SYM("MACHINE-TYPE",514)->symbol.gfdef))->cfun.entry(0) /*  MACHINE-TYPE */;
	V2= L16machine_type_translation(1,T0)     /*  MACHINE-TYPE-TRANSLATION */;
	T0= (cl_env_copy->function=(ECL_SYM("SOFTWARE-TYPE",782)->symbol.gfdef))->cfun.entry(0) /*  SOFTWARE-TYPE */;
	V3= L17software_type_translation(1,T0)    /*  SOFTWARE-TYPE-TRANSLATION */;
	T0= L10compiler_version()                 /*  COMPILER-VERSION */;
	V4= L18compiler_type_translation(1,T0)    /*  COMPILER-TYPE-TRANSLATION */;
	V1= cl_namestring(V1)                     /*  NAMESTRING      */;
	V1= L14ensure_trailing_slash(V1)          /*  ENSURE-TRAILING-SLASH */;
	T0= ecl_symbol_value(VV[14]);
	if((ecl_symbol_value(VV[7]))==Cnil){
	goto L10;}
	T1= L15afs_component(3,V2,V3,V4)          /*  AFS-COMPONENT   */;
	goto L8;
L10:;
	T1= L15afs_component(2,V2,V3)             /*  AFS-COMPONENT   */;
	goto L8;
L8:;
	value0=cl_format(5,Cnil,_ecl_static_11,V1,T0,T1) /*  FORMAT   */;
	return value0;
	}
}}
/*	function definition for AFS-SOURCE-DIRECTORY                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12afs_source_directory(cl_narg narg, cl_object V1, ...)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	V1= cl_namestring(V1)                     /*  NAMESTRING      */;
	V1= L14ensure_trailing_slash(V1)          /*  ENSURE-TRAILING-SLASH */;
	if((V2)==Cnil){
	goto L8;}
	T0= L68translate_version(ecl_symbol_value(VV[36])) /*  TRANSLATE-VERSION */;
	goto L6;
L8:;
	T0= Cnil;
	goto L6;
L6:;
	value0=cl_format(4,Cnil,_ecl_static_12,V1,T0) /*  FORMAT      */;
	return value0;
}}
/*	function definition for NULL-STRING                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13null_string(cl_object V1)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_STRINGP(V1))){
	goto L2;}
	value0=cl_string_equal(2,V1,_ecl_static_13) /*  STRING-EQUAL  */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ENSURE-TRAILING-SLASH                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14ensure_trailing_slash(cl_object V1)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==Cnil){
	goto L2;}
	if((L13null_string(V1)                    /*  NULL-STRING     */)!=Cnil){
	goto L2;}
	{cl_fixnum V2;
	V2= ecl_length(V1);
	T0= ecl_one_minus(MAKE_FIXNUM(V2));
	T1= cl_char(V1,T0)                        /*  CHAR            */;
	if((ecl_char_code(T1))==((ecl_character)('\57'))){
	goto L2;}}
	{cl_fixnum V2;
	V2= ecl_length(V1);
	T0= ecl_one_minus(MAKE_FIXNUM(V2));
	T1= cl_char(V1,T0)                        /*  CHAR            */;
	if((ecl_char_code(T1))==((ecl_character)('\134'))){
	goto L2;}}
	value0=cl_concatenate(3,ECL_SYM("STRING",803),V1,_ecl_static_14) /*  CONCATENATE */;
	return value0;
L2:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AFS-COMPONENT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15afs_component(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=V2;
	if((value0)!=Cnil){
	goto L4;}
	T0= _ecl_static_16;
	goto L2;
L4:;
	T0= value0;
	goto L2;
L2:;
	value0=cl_format(5,Cnil,_ecl_static_15,V1,T0,V3) /*  FORMAT   */;
	return value0;
}}
/*	function definition for MACHINE-TYPE-TRANSLATION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16machine_type_translation(cl_narg narg, cl_object V1, ...)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V2)==Cnil){
	goto L3;}
	{cl_object V3;
	cl_object V4;
	V3= cl_string_upcase(1,V1)                /*  STRING-UPCASE   */;
	V4= ecl_symbol_value(VV[48]);
	value0=si_hash_set(V3,V4,V2)              /*  HASH-SET        */;
	return value0;
	}
L3:;
	T0= cl_string_upcase(1,V1)                /*  STRING-UPCASE   */;
	value0=cl_gethash(2,T0,ecl_symbol_value(VV[48])) /*  GETHASH  */;
	return value0;
}}
/*	function definition for SOFTWARE-TYPE-TRANSLATION             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17software_type_translation(cl_narg narg, cl_object V1, ...)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V2)==Cnil){
	goto L3;}
	{cl_object V3;
	cl_object V4;
	V3= cl_string_upcase(1,V1)                /*  STRING-UPCASE   */;
	V4= ecl_symbol_value(VV[50]);
	value0=si_hash_set(V3,V4,V2)              /*  HASH-SET        */;
	return value0;
	}
L3:;
	T0= cl_string_upcase(1,V1)                /*  STRING-UPCASE   */;
	value0=cl_gethash(2,T0,ecl_symbol_value(VV[50])) /*  GETHASH  */;
	return value0;
}}
/*	function definition for COMPILER-TYPE-TRANSLATION             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18compiler_type_translation(cl_narg narg, cl_object V1, ...)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V2)==Cnil){
	goto L3;}
	{cl_object V3;
	cl_object V4;
	V3= cl_string_upcase(1,V1)                /*  STRING-UPCASE   */;
	V4= ecl_symbol_value(VV[52]);
	value0=si_hash_set(V3,V4,V2)              /*  HASH-SET        */;
	return value0;
	}
L3:;
	T0= cl_string_upcase(1,V1)                /*  STRING-UPCASE   */;
	value0=cl_gethash(2,T0,ecl_symbol_value(VV[52])) /*  GETHASH  */;
	return value0;
}}
/*	function definition for CANONICALIZE-SYSTEM-NAME              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19canonicalize_system_name(cl_object V1)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_STRINGP(V1))){
	goto L2;}
	value0=cl_string_upcase(1,V1)             /*  STRING-UPCASE   */;
	return value0;
L2:;
	T0= cl_string(V1)                         /*  STRING          */;
	value0=cl_string_upcase(1,T0)             /*  STRING-UPCASE   */;
	return value0;
}}
/*	function definition for GET-SYSTEM                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20get_system(cl_object V1)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L19canonicalize_system_name(V1)       /*  CANONICALIZE-SYSTEM-NAME */;
	value0=cl_gethash(2,T0,ecl_symbol_value(VV[55])) /*  GETHASH  */;
	return value0;
}}
/*	local function GET-SYSTEM                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21get_system(cl_object V1, cl_object V2)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,VV[54],V2)                  /*  LIST            */;
	T1= cl_list(3,ECL_SYM("GETHASH",411),T0,VV[55]) /*  LIST      */;
	value0=cl_list(3,ECL_SYM("SETF",748),T1,V1) /*  LIST          */;
	return value0;
}}
/*	function definition for UNDEFSYSTEM                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22undefsystem(cl_object V1)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L19canonicalize_system_name(V1)       /*  CANONICALIZE-SYSTEM-NAME */;
	value0=cl_remhash(T0,ecl_symbol_value(VV[55])) /*  REMHASH    */;
	return value0;
}}
/*	function definition for DEFINED-SYSTEMS                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24defined_systems()
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object env1 = env0;
	env1 = Cnil;
	CLV0=env1=CONS(Cnil,env1);                /*  RESULT          */
	T0= ecl_make_cclosure_va((cl_objectfn)LC23__g27,env1,Cblock);
	(void)cl_maphash(T0,ecl_symbol_value(VV[55])) /*  MAPHASH     */;
	value0=ECL_CONS_CAR(CLV0); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	closure G27                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23__g27(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV0=env0;                                /*  RESULT          */
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= CONS(V2,ECL_CONS_CAR(CLV0));
	value0=ECL_CONS_CAR(CLV0); cl_env_copy->nvalues=1;
	return value0;
}}}
/*	function definition for DEFINED-NAMES-AND-SYSTEMS             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25defined_names_and_systems()
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  LET1874         */
	cl_object V2;
	cl_object V3;                             /*  SNAME           */
	cl_object V4;                             /*  S               */
	V1= ecl_symbol_value(VV[55]);
	V2= Cnil;
	V3= Cnil;
	V4= Cnil;
	{cl_object V5;
	V5= si_hash_table_iterator(V1)            /*  HASH-TABLE-ITERATOR */;
	{cl_object V6;
	cl_object V7;
	V6= ecl_list1(Cnil);
	V7= V6;
L9:;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V5)(0);
	{
	cl_object V9;
	cl_object V10;
	cl_object V11;
	{int V12=cl_env_copy->nvalues-0;
	if (V12--<=0) goto L16;
	V9= cl_env_copy->values[0];
	if (V12--<=0) goto L17;
	V10= cl_env_copy->values[1];
	if (V12--<=0) goto L18;
	V11= cl_env_copy->values[2];
	goto L19;}
L16:;
	V9= Cnil;
L17:;
	V10= Cnil;
L18:;
	V11= Cnil;
L19:;
	if((V9)==Cnil){
	goto L22;}
	V4= V11;
	V3= V10;
	goto L20;
L22:;
	goto L20;
L20:;
	V2= V9;
	if((V2)!=Cnil){
	goto L13;}}
	goto L10;
L13:;
	goto L11;
L11:;
	T0= V7;
	T1= CONS(V3,V4);
	V7= ecl_list1(T1);
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V7;
	goto L9;
L10:;
	value0=cl_cdr(V6)                         /*  CDR             */;
	return value0;
	}
	}
	}
}}
/*	function definition for NEW-APPEND-DIRECTORIES                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27new_append_directories(cl_object volatile V1, cl_object volatile V2)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=V1;
	if((value0)!=Cnil){
	goto L5;}
	V1= _ecl_static_13;
	goto L3;
L5:;
	V1= value0;
	goto L3;
L3:;
	value0=V2;
	if((value0)!=Cnil){
	goto L9;}
	V2= _ecl_static_13;
	goto L7;
L9:;
	V2= value0;
	goto L7;
L7:;
	{volatile cl_object V3;                   /*  ABS-DIR         */
	volatile cl_object V4;                    /*  REL-DIR         */
	volatile cl_object V5;                    /*  HOST            */
	volatile cl_object V6;                    /*  DEVICE          */
	volatile cl_object V7;                    /*  ABS-DIRECTORY   */
	volatile cl_object V8;                    /*  ABS-KEYWORD     */
	volatile cl_object V9;                    /*  ABS-NAME        */
	volatile cl_object V10;                   /*  REL-DIRECTORY   */
	volatile cl_object V11;                   /*  REL-KEYWORD     */
	volatile cl_object V12;                   /*  REL-FILE        */
	volatile cl_object V13;                   /*  DIRECTORY       */
	V3= cl_pathname(V1)                       /*  PATHNAME        */;
	V4= cl_pathname(V2)                       /*  PATHNAME        */;
	V5= cl_pathname_host(1,V3)                /*  PATHNAME-HOST   */;
	if((L13null_string(V1)                    /*  NULL-STRING     */)==Cnil){
	goto L16;}
	V6= cl_pathname_device(1,V4)              /*  PATHNAME-DEVICE */;
	goto L14;
L16:;
	V6= cl_pathname_device(1,V3)              /*  PATHNAME-DEVICE */;
	goto L14;
L14:;
	T0= cl_pathname_directory(1,V3)           /*  PATHNAME-DIRECTORY */;
	V7= L28directory_to_list(T0)              /*  DIRECTORY-TO-LIST */;
	T0= cl_car(V7)                            /*  CAR             */;
	if((cl_keywordp(T0)                       /*  KEYWORDP        */)==Cnil){
	goto L21;}
	{cl_object V14;
	V14= cl_car(V7)                           /*  CAR             */;
	V7= cl_cdr(V7)                            /*  CDR             */;
	V8= V14;
	goto L19;
	}
L21:;
	V8= Cnil;
	goto L19;
L19:;
	{volatile cl_object env1 = env0;
	env1 = Cnil;
	CLV0=env1=CONS(Cnil,env1);
	{ volatile cl_object env2 = env1;
	CLV1=env2=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
	if (cl_env_copy->values[0]==MAKE_FIXNUM(0))goto L28;
	ecl_internal_error("GO found an inexistent tag");
	}
	T0= ecl_make_cclosure_va((cl_objectfn)LC26__g46,env2,Cblock);
	T1= CONS(ECL_SYM("ERROR",335),T0);
	T2= ecl_list1(T1);
	T3= CONS(T2,ecl_symbol_value(VV[61]));
	ecl_bds_bind(cl_env_copy,VV[61],T3);      /*  *HANDLER-CLUSTERS* */
	value0=cl_file_namestring(V3)             /*  FILE-NAMESTRING */;
	ecl_frs_pop(cl_env_copy);
	V9= value0;
	ecl_bds_unwind1(cl_env_copy);
	goto L26;
L28:;
	{cl_object V14;                           /*  CONDITION       */
	V14= ECL_CONS_CAR(CLV0);
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V14;
	cl_env_copy->values[0]=Cnil;
	value0=cl_env_copy->values[0];
	ecl_frs_pop(cl_env_copy);
	V9= value0;
	goto L26;
	}}
	}
L26:;
	T0= cl_pathname_directory(1,V4)           /*  PATHNAME-DIRECTORY */;
	V10= L28directory_to_list(T0)             /*  DIRECTORY-TO-LIST */;
	T0= cl_car(V10)                           /*  CAR             */;
	if((cl_keywordp(T0)                       /*  KEYWORDP        */)==Cnil){
	goto L36;}
	{cl_object V14;
	V14= cl_car(V10)                          /*  CAR             */;
	V10= cl_cdr(V10)                          /*  CDR             */;
	V11= V14;
	goto L34;
	}
L36:;
	V11= Cnil;
	goto L34;
L34:;
	V12= cl_file_namestring(V4)               /*  FILE-NAMESTRING */;
	V13= Cnil;
	if((V9)==Cnil){
	goto L45;}
	if((L13null_string(V9)                    /*  NULL-STRING     */)!=Cnil){
	goto L45;}
	if(!(V7==Cnil)){
	goto L49;}
	if(!(V8==Cnil)){
	goto L49;}
	V8= ECL_SYM("RELATIVE",1269);
	V7= ecl_list1(V9);
	goto L43;
L49:;
	T0= ecl_list1(V9);
	V7= ecl_append(V7,T0);
	goto L43;
L45:;
	goto L43;
L43:;
	if(!(V7==Cnil)){
	goto L58;}
	if(!(V8==Cnil)){
	goto L58;}
	if((V11)==Cnil){
	goto L58;}
	V8= V11;
	goto L56;
L58:;
	goto L56;
L56:;
	V13= ecl_append(V7,V10);
	if((V8)==Cnil){
	goto L67;}
	V13= CONS(V8,V13);
	goto L65;
L67:;
	goto L65;
L65:;
	T0= cl_make_pathname(8,ECL_SYM("HOST",1217),V5,ECL_SYM("DEVICE",1191),V6,ECL_SYM("DIRECTORY",1193),V13,ECL_SYM("NAME",1244),V12) /*  MAKE-PATHNAME */;
	value0=cl_namestring(T0)                  /*  NAMESTRING      */;
	return value0;
	}
}}
/*	closure G46                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26__g46(cl_narg narg, cl_object V1, ...)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),MAKE_FIXNUM(0));
}}}
/*	function definition for DIRECTORY-TO-LIST                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28directory_to_list(cl_object V1)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_LISTP(V1))){
	goto L2;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ECL_STRINGP(V1))){
	goto L5;}
	{cl_object V2;
	V2= si_make_seq_iterator(2,V1,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L12:;
	if((V2)!=Cnil){
	goto L16;}
	goto L8;
L16:;
	goto L14;
L14:;
	{cl_object V3;
	V3= si_seq_iterator_ref(V1,V2)            /*  SEQ-ITERATOR-REF */;
	if(!((CODE_CHAR((ecl_character)('\73'))==(V3)))){
	goto L21;}
	if((V3)==Cnil){
	goto L8;}
	goto L9;
L21:;
	goto L18;
	}
L18:;
	V2= si_seq_iterator_next(V1,V2)           /*  SEQ-ITERATOR-NEXT */;
	goto L12;
	}
L9:;
	value0=L84split_string(3,V1,VV[63],CODE_CHAR('\73')) /*  SPLIT-STRING */;
	return value0;
L8:;
	value0=L84split_string(3,V1,VV[63],CODE_CHAR('\57')) /*  SPLIT-STRING */;
	return value0;
L5:;
	value0=si_coerce_to_list(1,V1)            /*  COERCE-TO-LIST  */;
	return value0;
}}
/*	function definition for TEST-NEW-APPEND-DIRECTORIES           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29test_new_append_directories(cl_narg narg, ...)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ecl_symbol_value(VV[65]);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V2;                            /*  DIR-LIST        */
	cl_object V3;                             /*  ABS-DIR         */
	cl_object V4;                             /*  REL-DIR         */
	V2= V1;
	V3= cl_car(V2)                            /*  CAR             */;
	V4= cl_cadr(V2)                           /*  CADR            */;
	goto L8;
L7:;
	T0= L27new_append_directories(V3,V4)      /*  NEW-APPEND-DIRECTORIES */;
	(void)cl_format(5,Ct,_ecl_static_77,V3,V4,T0) /*  FORMAT      */;
	V2= cl_cddr(V2)                           /*  CDDR            */;
	V3= cl_car(V2)                            /*  CAR             */;
	V4= cl_cadr(V2)                           /*  CADR            */;
L8:;
	if(V2==Cnil){
	goto L19;}
	goto L7;
L19:;
	goto L17;
L17:;
	goto L5;
L5:;
	value0=Cnil; cl_env_copy->nvalues=0;
	return value0;
	}
}}
/*	function definition for APPEND-DIRECTORIES                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30append_directories(cl_object V1, cl_object V2)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)!=Cnil){
	goto L4;}
	if((V2)==Cnil){
	goto L2;}
	goto L3;
L4:;
L3:;
	if((L33namestring_probably_logical(V1)    /*  NAMESTRING-PROBABLY-LOGICAL */)==Cnil){
	goto L7;}
	value0=L34append_logical_pnames(V1,V2)    /*  APPEND-LOGICAL-PNAMES */;
	return value0;
L7:;
	value0=L27new_append_directories(V1,V2)   /*  NEW-APPEND-DIRECTORIES */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PATHNAME-LOGICAL-P                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L32pathname_logical_p(cl_object volatile V1)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((si_logical_pathname_p(V1)             /*  LOGICAL-PATHNAME-P */)==Cnil){
	goto L2;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ECL_STRINGP(V1))){
	goto L5;}
	T0= cl_count(2,CODE_CHAR('\72'),V1)       /*  COUNT           */;
	if(!((1)==(ecl_to_fixnum(T0)))){
	goto L8;}
	{volatile cl_object env1 = env0;
	env1 = Cnil;
	CLV0=env1=CONS(Cnil,env1);
	{ volatile cl_object env2 = env1;
	CLV1=env2=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
	if (cl_env_copy->values[0]==MAKE_FIXNUM(0))goto L12;
	ecl_internal_error("GO found an inexistent tag");
	}
	T0= ecl_make_cclosure_va((cl_objectfn)LC31__g69,env2,Cblock);
	T1= CONS(ECL_SYM("ERROR",335),T0);
	T2= ecl_list1(T1);
	T3= CONS(T2,ecl_symbol_value(VV[61]));
	ecl_bds_bind(cl_env_copy,VV[61],T3);      /*  *HANDLER-CLUSTERS* */
	if((cl_translate_logical_pathname(1,V1)   /*  TRANSLATE-LOGICAL-PATHNAME */)==Cnil){
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	goto L8;}
	value0=cl_translate_logical_pathname(1,V1) /*  TRANSLATE-LOGICAL-PATHNAME */;
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	goto L10;
L12:;
	{cl_object V2;                            /*  CONDITION       */
	V2= ECL_CONS_CAR(CLV0);
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V2;
	cl_env_copy->values[0]=Cnil;
	if((cl_env_copy->values[0])==Cnil){
	ecl_frs_pop(cl_env_copy);
	goto L8;}
	value0=cl_env_copy->values[0];
	ecl_frs_pop(cl_env_copy);
	goto L10;
	}}
	}
L10:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L8:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L5:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	closure G69                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31__g69(cl_narg narg, cl_object V1, ...)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),MAKE_FIXNUM(0));
}}}
/*	function definition for NAMESTRING-PROBABLY-LOGICAL           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L33namestring_probably_logical(cl_object V1)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_STRINGP(V1))){
	goto L2;}
	{cl_object V2;
	V2= si_make_seq_iterator(2,V1,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L6:;
	if((V2)!=Cnil){
	goto L10;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L10:;
	goto L8;
L8:;
	{cl_object V3;
	V3= si_seq_iterator_ref(V1,V2)            /*  SEQ-ITERATOR-REF */;
	if(!((CODE_CHAR((ecl_character)('\73'))==(V3)))){
	goto L15;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L15:;
	goto L12;
	}
L12:;
	V2= si_seq_iterator_next(V1,V2)           /*  SEQ-ITERATOR-NEXT */;
	goto L6;
	}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for APPEND-LOGICAL-PNAMES                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L34append_logical_pnames(cl_object V1, cl_object V2)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LET1876         */
	cl_object V4;                             /*  LET1877         */
	if((V1)==Cnil){
	goto L3;}
	V3= cl_pathname(V1)                       /*  PATHNAME        */;
	goto L1;
L3:;
	T0= ecl_list1(ECL_SYM("ABSOLUTE",1171));
	V3= cl_make_pathname(6,ECL_SYM("DIRECTORY",1193),T0,ECL_SYM("NAME",1244),Cnil,ECL_SYM("TYPE",1288),Cnil) /*  MAKE-PATHNAME */;
	goto L1;
L1:;
	if((V2)==Cnil){
	goto L7;}
	V4= cl_pathname(V2)                       /*  PATHNAME        */;
	goto L5;
L7:;
	T0= ecl_list1(ECL_SYM("RELATIVE",1269));
	V4= cl_make_pathname(6,ECL_SYM("DIRECTORY",1193),T0,ECL_SYM("NAME",1244),Cnil,ECL_SYM("TYPE",1288),Cnil) /*  MAKE-PATHNAME */;
	goto L5;
L5:;
	if((si_logical_pathname_p(V3)             /*  LOGICAL-PATHNAME-P */)==Cnil){
	goto L10;}
	if((si_logical_pathname_p(V4)             /*  LOGICAL-PATHNAME-P */)==Cnil){
	goto L13;}
	T0= cl_merge_pathnames(2,V4,V3)           /*  MERGE-PATHNAMES */;
	value0=cl_namestring(T0)                  /*  NAMESTRING      */;
	return value0;
L13:;
	if((cl_pathnamep(V4)                      /*  PATHNAMEP       */)==Cnil){
	goto L16;}
	T0= cl_translate_logical_pathname(1,V3)   /*  TRANSLATE-LOGICAL-PATHNAME */;
	T1= cl_merge_pathnames(2,V4,T0)           /*  MERGE-PATHNAMES */;
	value0=cl_namestring(T1)                  /*  NAMESTRING      */;
	return value0;
L16:;
	value0=si_etypecase_error(3,VV[70],V4,VV[71]) /*  ETYPECASE-ERROR */;
	return value0;
L10:;
	if((cl_pathnamep(V3)                      /*  PATHNAMEP       */)==Cnil){
	goto L19;}
	T0= cl_merge_pathnames(2,V4,V3)           /*  MERGE-PATHNAMES */;
	value0=cl_namestring(T0)                  /*  NAMESTRING      */;
	return value0;
L19:;
	value0=si_etypecase_error(3,ECL_SYM("ABS",76),V3,VV[71]) /*  ETYPECASE-ERROR */;
	return value0;
	}
}}
/*	function definition for NEW-FILE-TYPE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35new_file_type(cl_object V1, cl_object V2)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_pathname_host(1,V1)                /*  PATHNAME-HOST   */;
	T1= cl_pathname_device(1,V1)              /*  PATHNAME-DEVICE */;
	T2= cl_pathname_directory(1,V1)           /*  PATHNAME-DIRECTORY */;
	T3= cl_pathname_name(1,V1)                /*  PATHNAME-NAME   */;
	T4= cl_pathname_version(V1)               /*  PATHNAME-VERSION */;
	value0=cl_make_pathname(12,ECL_SYM("HOST",1217),T0,ECL_SYM("DEVICE",1191),T1,ECL_SYM("DIRECTORY",1193),T2,ECL_SYM("NAME",1244),T3,ECL_SYM("TYPE",1288),V2,ECL_SYM("VERSION",1295),T4) /*  MAKE-PATHNAME */;
	return value0;
}}
/*	function definition for MAKE-TOPOLOGICAL-SORT-NODE            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L36make_topological_sort_node(cl_narg narg, ...)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,L36make_topological_sort_nodekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[1]==Cnil){
	V1= VV[80];
	}else{
	V1= keyvars[0];}
	}
	if((cl_typep(2,V1,VV[81])                 /*  TYPEP           */)!=Cnil){
	goto L4;}
	(void)si_structure_type_error(4,V1,VV[81],VV[76],VV[82]) /*  STRUCTURE-TYPE-ERROR */;
	goto L2;
L4:;
	goto L2;
L2:;
	value0=si_make_structure(2,VV[83],V1)     /*  MAKE-STRUCTURE  */;
	return value0;
}}
/*	function definition for MAKE-COMPONENT                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L41make_component(cl_narg narg, ...)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_object V11;
	cl_object V12;
	cl_object V13;
	cl_object V14;
	cl_object V15;
	cl_object V16;
	cl_object V17;
	cl_object V18;
	cl_object V19;
	cl_object V20;
	cl_object V21;
	cl_object V22;
	cl_object V23;
	cl_object V24;
	cl_object V25;
	cl_object V26;
	cl_object V27;
	cl_object V28;
	cl_object V29;
	cl_object V30;
	cl_object V31;
	cl_object V32;
	cl_object V33;
	cl_object V34;
	cl_object V35;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[70];
	cl_parse_key(args,35,L41make_componentkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[35]==Cnil){
	V1= VV[80];
	}else{
	V1= keyvars[0];}
	if(keyvars[36]==Cnil){
	V2= ECL_SYM("FILE",1211);
	}else{
	V2= keyvars[1];}
	V3= keyvars[2];
	if(keyvars[38]==Cnil){
	V4= MAKE_FIXNUM(0);
	}else{
	V4= keyvars[3];}
	V5= keyvars[4];
	V6= keyvars[5];
	V7= keyvars[6];
	if(keyvars[42]==Cnil){
	V8= ecl_symbol_value(VV[74]);
	}else{
	V8= keyvars[7];}
	V9= keyvars[8];
	if(keyvars[44]==Cnil){
	V10= ecl_symbol_value(VV[75]);
	}else{
	V10= keyvars[9];}
	V11= keyvars[10];
	V12= keyvars[11];
	V13= keyvars[12];
	V14= keyvars[13];
	V15= keyvars[14];
	V16= keyvars[15];
	V17= keyvars[16];
	V18= keyvars[17];
	V19= keyvars[18];
	V20= keyvars[19];
	if(keyvars[55]==Cnil){
	V21= ecl_make_cfun((cl_objectfn_fixed)LC37__g80,Cnil,Cblock,0);
	}else{
	V21= keyvars[20];}
	if(keyvars[56]==Cnil){
	V22= ecl_make_cfun((cl_objectfn_fixed)LC38__g81,Cnil,Cblock,0);
	}else{
	V22= keyvars[21];}
	if(keyvars[57]==Cnil){
	V23= ecl_make_cfun((cl_objectfn_fixed)LC39__g82,Cnil,Cblock,0);
	}else{
	V23= keyvars[22];}
	if(keyvars[58]==Cnil){
	V24= ecl_make_cfun((cl_objectfn_fixed)LC40__g83,Cnil,Cblock,0);
	}else{
	V24= keyvars[23];}
	V25= keyvars[24];
	V26= keyvars[25];
	V27= keyvars[26];
	V28= keyvars[27];
	V29= keyvars[28];
	V30= keyvars[29];
	V31= keyvars[30];
	V32= keyvars[31];
	V33= keyvars[32];
	V34= keyvars[33];
	V35= keyvars[34];
	}
	if((cl_typep(2,V35,ECL_SYM("BOOLEAN",153)) /*  TYPEP          */)!=Cnil){
	goto L12;}
	(void)si_structure_type_error(4,V35,ECL_SYM("BOOLEAN",153),VV[87],VV[91]) /*  STRUCTURE-TYPE-ERROR */;
	goto L10;
L12:;
	goto L10;
L10:;
	if((cl_typep(2,V34,VV[92])                /*  TYPEP           */)!=Cnil){
	goto L16;}
	(void)si_structure_type_error(4,V34,VV[92],VV[87],VV[93]) /*  STRUCTURE-TYPE-ERROR */;
	goto L14;
L16:;
	goto L14;
L14:;
	if((cl_typep(2,V33,VV[92])                /*  TYPEP           */)!=Cnil){
	goto L20;}
	(void)si_structure_type_error(4,V33,VV[92],VV[87],VV[94]) /*  STRUCTURE-TYPE-ERROR */;
	goto L18;
L20:;
	goto L18;
L18:;
	if((cl_typep(2,V32,VV[92])                /*  TYPEP           */)!=Cnil){
	goto L24;}
	(void)si_structure_type_error(4,V32,VV[92],VV[87],VV[95]) /*  STRUCTURE-TYPE-ERROR */;
	goto L22;
L24:;
	goto L22;
L22:;
	if((cl_typep(2,V31,VV[92])                /*  TYPEP           */)!=Cnil){
	goto L28;}
	(void)si_structure_type_error(4,V31,VV[92],VV[87],VV[96]) /*  STRUCTURE-TYPE-ERROR */;
	goto L26;
L28:;
	goto L26;
L26:;
	if((cl_typep(2,V30,VV[92])                /*  TYPEP           */)!=Cnil){
	goto L32;}
	(void)si_structure_type_error(4,V30,VV[92],VV[87],VV[97]) /*  STRUCTURE-TYPE-ERROR */;
	goto L30;
L32:;
	goto L30;
L30:;
	if((cl_typep(2,V29,VV[92])                /*  TYPEP           */)!=Cnil){
	goto L36;}
	(void)si_structure_type_error(4,V29,VV[92],VV[87],ECL_SYM("DOCUMENTATION",310)) /*  STRUCTURE-TYPE-ERROR */;
	goto L34;
L36:;
	goto L34;
L34:;
	if((cl_typep(2,V28,VV[92])                /*  TYPEP           */)!=Cnil){
	goto L40;}
	(void)si_structure_type_error(4,V28,VV[92],VV[87],VV[98]) /*  STRUCTURE-TYPE-ERROR */;
	goto L38;
L40:;
	goto L38;
L38:;
	if(ECL_LISTP(V19)){
	goto L44;}
	(void)si_structure_type_error(4,V19,ECL_SYM("LIST",479),VV[87],VV[99]) /*  STRUCTURE-TYPE-ERROR */;
	goto L42;
L44:;
	goto L42;
L42:;
	if(ECL_LISTP(V18)){
	goto L48;}
	(void)si_structure_type_error(4,V18,ECL_SYM("LIST",479),VV[87],VV[100]) /*  STRUCTURE-TYPE-ERROR */;
	goto L46;
L48:;
	goto L46;
L46:;
	if(ECL_LISTP(V17)){
	goto L52;}
	(void)si_structure_type_error(4,V17,ECL_SYM("LIST",479),VV[87],VV[101]) /*  STRUCTURE-TYPE-ERROR */;
	goto L50;
L52:;
	goto L50;
L50:;
	if((cl_typep(2,V16,VV[102])               /*  TYPEP           */)!=Cnil){
	goto L56;}
	(void)si_structure_type_error(4,V16,VV[102],VV[87],VV[103]) /*  STRUCTURE-TYPE-ERROR */;
	goto L54;
L56:;
	goto L54;
L54:;
	if((cl_typep(2,V15,VV[102])               /*  TYPEP           */)!=Cnil){
	goto L60;}
	(void)si_structure_type_error(4,V15,VV[102],VV[87],VV[104]) /*  STRUCTURE-TYPE-ERROR */;
	goto L58;
L60:;
	goto L58;
L58:;
	if(ECL_SYMBOLP(V14)){
	goto L64;}
	(void)si_structure_type_error(4,V14,VV[105],VV[87],VV[106]) /*  STRUCTURE-TYPE-ERROR */;
	goto L62;
L64:;
	goto L62;
L62:;
	if((cl_typep(2,V4,VV[107])                /*  TYPEP           */)!=Cnil){
	goto L68;}
	(void)si_structure_type_error(4,V4,VV[107],VV[87],VV[108]) /*  STRUCTURE-TYPE-ERROR */;
	goto L66;
L68:;
	goto L66;
L66:;
	if((cl_typep(2,V3,VV[109])                /*  TYPEP           */)!=Cnil){
	goto L72;}
	(void)si_structure_type_error(4,V3,VV[109],VV[87],VV[110]) /*  STRUCTURE-TYPE-ERROR */;
	goto L70;
L72:;
	goto L70;
L70:;
	if((cl_typep(2,V2,VV[111])                /*  TYPEP           */)!=Cnil){
	goto L76;}
	(void)si_structure_type_error(4,V2,VV[111],VV[87],ECL_SYM("TYPE",867)) /*  STRUCTURE-TYPE-ERROR */;
	goto L74;
L76:;
	goto L74;
L74:;
	if((cl_typep(2,V1,VV[81])                 /*  TYPEP           */)!=Cnil){
	goto L80;}
	(void)si_structure_type_error(4,V1,VV[81],VV[87],VV[82]) /*  STRUCTURE-TYPE-ERROR */;
	goto L78;
L80:;
	goto L78;
L78:;
	value0=si_make_structure(36,VV[112],V1,V2,V3,V4,V5,V6,V7,V8,V9,V10,V11,V12,V13,V14,V15,V16,V17,V18,V19,V20,V21,V22,V23,V24,V25,V26,V27,V28,V29,V30,V31,V32,V33,V34,V35) /*  MAKE-STRUCTURE */;
	return value0;
}}
/*	local function G80                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC37__g80()
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G81                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38__g81()
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G82                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39__g82()
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G83                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC40__g83()
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAKE-FOREIGN-SYSTEM                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L46make_foreign_system(cl_narg narg, ...)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_object V11;
	cl_object V12;
	cl_object V13;
	cl_object V14;
	cl_object V15;
	cl_object V16;
	cl_object V17;
	cl_object V18;
	cl_object V19;
	cl_object V20;
	cl_object V21;
	cl_object V22;
	cl_object V23;
	cl_object V24;
	cl_object V25;
	cl_object V26;
	cl_object V27;
	cl_object V28;
	cl_object V29;
	cl_object V30;
	cl_object V31;
	cl_object V32;
	cl_object V33;
	cl_object V34;
	cl_object V35;
	cl_object V36;
	cl_object V37;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[74];
	cl_parse_key(args,37,L46make_foreign_systemkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[37]==Cnil){
	V1= VV[80];
	}else{
	V1= keyvars[0];}
	if(keyvars[38]==Cnil){
	V2= VV[117];
	}else{
	V2= keyvars[1];}
	V3= keyvars[2];
	if(keyvars[40]==Cnil){
	V4= MAKE_FIXNUM(0);
	}else{
	V4= keyvars[3];}
	V5= keyvars[4];
	V6= keyvars[5];
	V7= keyvars[6];
	if(keyvars[44]==Cnil){
	V8= ecl_symbol_value(VV[74]);
	}else{
	V8= keyvars[7];}
	V9= keyvars[8];
	if(keyvars[46]==Cnil){
	V10= ecl_symbol_value(VV[75]);
	}else{
	V10= keyvars[9];}
	V11= keyvars[10];
	V12= keyvars[11];
	V13= keyvars[12];
	V14= keyvars[13];
	V15= keyvars[14];
	V16= keyvars[15];
	V17= keyvars[16];
	V18= keyvars[17];
	V19= keyvars[18];
	V20= keyvars[19];
	if(keyvars[57]==Cnil){
	V21= ecl_make_cfun((cl_objectfn_fixed)LC42__g84,Cnil,Cblock,0);
	}else{
	V21= keyvars[20];}
	if(keyvars[58]==Cnil){
	V22= ecl_make_cfun((cl_objectfn_fixed)LC43__g85,Cnil,Cblock,0);
	}else{
	V22= keyvars[21];}
	if(keyvars[59]==Cnil){
	V23= ecl_make_cfun((cl_objectfn_fixed)LC44__g86,Cnil,Cblock,0);
	}else{
	V23= keyvars[22];}
	if(keyvars[60]==Cnil){
	V24= ecl_make_cfun((cl_objectfn_fixed)LC45__g87,Cnil,Cblock,0);
	}else{
	V24= keyvars[23];}
	V25= keyvars[24];
	V26= keyvars[25];
	V27= keyvars[26];
	V28= keyvars[27];
	V29= keyvars[28];
	V30= keyvars[29];
	V31= keyvars[30];
	V32= keyvars[31];
	V33= keyvars[32];
	V34= keyvars[33];
	V35= keyvars[34];
	V36= keyvars[35];
	V37= keyvars[36];
	}
	if((cl_typep(2,V35,ECL_SYM("BOOLEAN",153)) /*  TYPEP          */)!=Cnil){
	goto L12;}
	(void)si_structure_type_error(4,V35,ECL_SYM("BOOLEAN",153),VV[114],VV[91]) /*  STRUCTURE-TYPE-ERROR */;
	goto L10;
L12:;
	goto L10;
L10:;
	if((cl_typep(2,V34,VV[92])                /*  TYPEP           */)!=Cnil){
	goto L16;}
	(void)si_structure_type_error(4,V34,VV[92],VV[114],VV[93]) /*  STRUCTURE-TYPE-ERROR */;
	goto L14;
L16:;
	goto L14;
L14:;
	if((cl_typep(2,V33,VV[92])                /*  TYPEP           */)!=Cnil){
	goto L20;}
	(void)si_structure_type_error(4,V33,VV[92],VV[114],VV[94]) /*  STRUCTURE-TYPE-ERROR */;
	goto L18;
L20:;
	goto L18;
L18:;
	if((cl_typep(2,V32,VV[92])                /*  TYPEP           */)!=Cnil){
	goto L24;}
	(void)si_structure_type_error(4,V32,VV[92],VV[114],VV[95]) /*  STRUCTURE-TYPE-ERROR */;
	goto L22;
L24:;
	goto L22;
L22:;
	if((cl_typep(2,V31,VV[92])                /*  TYPEP           */)!=Cnil){
	goto L28;}
	(void)si_structure_type_error(4,V31,VV[92],VV[114],VV[96]) /*  STRUCTURE-TYPE-ERROR */;
	goto L26;
L28:;
	goto L26;
L26:;
	if((cl_typep(2,V30,VV[92])                /*  TYPEP           */)!=Cnil){
	goto L32;}
	(void)si_structure_type_error(4,V30,VV[92],VV[114],VV[97]) /*  STRUCTURE-TYPE-ERROR */;
	goto L30;
L32:;
	goto L30;
L30:;
	if((cl_typep(2,V29,VV[92])                /*  TYPEP           */)!=Cnil){
	goto L36;}
	(void)si_structure_type_error(4,V29,VV[92],VV[114],ECL_SYM("DOCUMENTATION",310)) /*  STRUCTURE-TYPE-ERROR */;
	goto L34;
L36:;
	goto L34;
L34:;
	if((cl_typep(2,V28,VV[92])                /*  TYPEP           */)!=Cnil){
	goto L40;}
	(void)si_structure_type_error(4,V28,VV[92],VV[114],VV[98]) /*  STRUCTURE-TYPE-ERROR */;
	goto L38;
L40:;
	goto L38;
L38:;
	if(ECL_LISTP(V19)){
	goto L44;}
	(void)si_structure_type_error(4,V19,ECL_SYM("LIST",479),VV[114],VV[99]) /*  STRUCTURE-TYPE-ERROR */;
	goto L42;
L44:;
	goto L42;
L42:;
	if(ECL_LISTP(V18)){
	goto L48;}
	(void)si_structure_type_error(4,V18,ECL_SYM("LIST",479),VV[114],VV[100]) /*  STRUCTURE-TYPE-ERROR */;
	goto L46;
L48:;
	goto L46;
L46:;
	if(ECL_LISTP(V17)){
	goto L52;}
	(void)si_structure_type_error(4,V17,ECL_SYM("LIST",479),VV[114],VV[101]) /*  STRUCTURE-TYPE-ERROR */;
	goto L50;
L52:;
	goto L50;
L50:;
	if((cl_typep(2,V16,VV[102])               /*  TYPEP           */)!=Cnil){
	goto L56;}
	(void)si_structure_type_error(4,V16,VV[102],VV[114],VV[103]) /*  STRUCTURE-TYPE-ERROR */;
	goto L54;
L56:;
	goto L54;
L54:;
	if((cl_typep(2,V15,VV[102])               /*  TYPEP           */)!=Cnil){
	goto L60;}
	(void)si_structure_type_error(4,V15,VV[102],VV[114],VV[104]) /*  STRUCTURE-TYPE-ERROR */;
	goto L58;
L60:;
	goto L58;
L58:;
	if(ECL_SYMBOLP(V14)){
	goto L64;}
	(void)si_structure_type_error(4,V14,VV[105],VV[114],VV[106]) /*  STRUCTURE-TYPE-ERROR */;
	goto L62;
L64:;
	goto L62;
L62:;
	if((cl_typep(2,V4,VV[107])                /*  TYPEP           */)!=Cnil){
	goto L68;}
	(void)si_structure_type_error(4,V4,VV[107],VV[114],VV[108]) /*  STRUCTURE-TYPE-ERROR */;
	goto L66;
L68:;
	goto L66;
L66:;
	if((cl_typep(2,V3,VV[109])                /*  TYPEP           */)!=Cnil){
	goto L72;}
	(void)si_structure_type_error(4,V3,VV[109],VV[114],VV[110]) /*  STRUCTURE-TYPE-ERROR */;
	goto L70;
L72:;
	goto L70;
L70:;
	if((cl_typep(2,V1,VV[81])                 /*  TYPEP           */)!=Cnil){
	goto L76;}
	(void)si_structure_type_error(4,V1,VV[81],VV[114],VV[82]) /*  STRUCTURE-TYPE-ERROR */;
	goto L74;
L76:;
	goto L74;
L74:;
	value0=si_make_structure(38,VV[118],V1,V2,V3,V4,V5,V6,V7,V8,V9,V10,V11,V12,V13,V14,V15,V16,V17,V18,V19,V20,V21,V22,V23,V24,V25,V26,V27,V28,V29,V30,V31,V32,V33,V34,V35,V36,V37) /*  MAKE-STRUCTURE */;
	return value0;
}}
/*	local function G84                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42__g84()
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G85                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43__g85()
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G86                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44__g86()
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G87                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45__g87()
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REGISTER-FOREIGN-SYSTEM               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L47register_foreign_system(cl_narg narg, cl_object V1, ...)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L47register_foreign_systemkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V2= keyvars[0];
	V3= keyvars[1];
	}
	{cl_object V4;                            /*  FS              */
	V4= L46make_foreign_system(6,ECL_SYM("NAME",1244),V1,VV[120],V3,ECL_SYM("OBJECT",1249),V2) /*  MAKE-FOREIGN-SYSTEM */;
	{cl_object V5;
	cl_object V6;
	V5= L19canonicalize_system_name(V1)       /*  CANONICALIZE-SYSTEM-NAME */;
	V6= ecl_symbol_value(VV[55]);
	value0=si_hash_set(V5,V6,V4)              /*  HASH-SET        */;
	return value0;
	}
	}
}}
/*	local function PRINT-OBJECT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC48print_object(cl_object V1, cl_object V2)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(ECL_SYM("*PRINT-ESCAPE*",46)))==Cnil){
	goto L2;}
	if((ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1435)))==Cnil){
	goto L5;}
	T0= cl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1435))) /*  CAR */;
	T1= cl_rest(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1435))) /*  REST */;
	value0=ecl_function_dispatch(cl_env_copy,T0)(2,ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1433)),T1);
	return value0;
L5:;
	value0=cl_error(1,_ecl_static_80)         /*  ERROR           */;
	return value0;
L2:;
	T0= ecl_function_dispatch(cl_env_copy,VV[482])(1,V1) /*  MISSING-COMPONENT-NAME */;
	T1= ecl_function_dispatch(cl_env_copy,VV[483])(1,V1) /*  MISSING-COMPONENT-COMPONENT */;
	value0=cl_format(4,V2,_ecl_static_81,T0,T1) /*  FORMAT        */;
	return value0;
}}
/*	local function PRINT-OBJECT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49print_object(cl_object V1, cl_object V2)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(ECL_SYM("*PRINT-ESCAPE*",46)))==Cnil){
	goto L2;}
	if((ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1435)))==Cnil){
	goto L5;}
	T0= cl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1435))) /*  CAR */;
	T1= cl_rest(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1435))) /*  REST */;
	value0=ecl_function_dispatch(cl_env_copy,T0)(2,ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1433)),T1);
	return value0;
L5:;
	value0=cl_error(1,_ecl_static_80)         /*  ERROR           */;
	return value0;
L2:;
	T0= ecl_function_dispatch(cl_env_copy,VV[482])(1,V1) /*  MISSING-COMPONENT-NAME */;
	T1= ecl_function_dispatch(cl_env_copy,VV[483])(1,V1) /*  MISSING-COMPONENT-COMPONENT */;
	value0=cl_format(4,V2,_ecl_static_82,T0,T1) /*  FORMAT        */;
	return value0;
}}
/*	local function PRINT-OBJECT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC50print_object(cl_object V1, cl_object V2)
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(ECL_SYM("*PRINT-ESCAPE*",46)))==Cnil){
	goto L2;}
	if((ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1435)))==Cnil){
	goto L5;}
	T0= cl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1435))) /*  CAR */;
	T1= cl_rest(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1435))) /*  REST */;
	value0=ecl_function_dispatch(cl_env_copy,T0)(2,ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1433)),T1);
	return value0;
L5:;
	value0=cl_error(1,_ecl_static_80)         /*  ERROR           */;
	return value0;
L2:;
	T0= ecl_function_dispatch(cl_env_copy,VV[482])(1,V1) /*  MISSING-COMPONENT-NAME */;
	T1= ecl_function_dispatch(cl_env_copy,VV[483])(1,V1) /*  MISSING-COMPONENT-COMPONENT */;
	value0=cl_format(4,V2,_ecl_static_83,T0,T1) /*  FORMAT        */;
	return value0;
}}
/*	function definition for COMPONENT-LOAD-TIME                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L51component_load_time(cl_object V1)
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==Cnil){
	goto L2;}
	if(!(ECL_STRINGP(V1))){
	goto L5;}
	value0=cl_gethash(2,V1,ecl_symbol_value(VV[126])) /*  GETHASH */;
	return value0;
L5:;
	if((cl_pathnamep(V1)                      /*  PATHNAMEP       */)==Cnil){
	goto L8;}
	T0= cl_namestring(V1)                     /*  NAMESTRING      */;
	value0=cl_gethash(2,T0,ecl_symbol_value(VV[126])) /*  GETHASH */;
	return value0;
L8:;
	if((si_of_class_p(2,V1,VV[87])            /*  OF-CLASS-P      */)==Cnil){
	goto L11;}
	{cl_object V2;
	V2= ecl_function_dispatch(cl_env_copy,VV[136])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V2,VV[127]))){
	goto L15;}
	{cl_object V3;                            /*  NAME            */
	cl_object V4;                             /*  PATH            */
	V3= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	if((V3)==Cnil){
	goto L20;}
	V4= L53compute_system_path(V3,Cnil)       /*  COMPUTE-SYSTEM-PATH */;
	goto L18;
L20:;
	V4= Cnil;
	goto L18;
L18:;
	if((V4)==Cnil){
	goto L23;}
	T0= cl_namestring(V4)                     /*  NAMESTRING      */;
	value0=cl_gethash(2,T0,ecl_symbol_value(VV[126])) /*  GETHASH */;
	return value0;
L23:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L15:;
	if(!(ecl_eql(V2,ECL_SYM("FILE",1211)))){
	goto L31;}
	goto L28;
	goto L29;
L31:;
	goto L29;
L29:;
	if(!(ecl_eql(V2,VV[129]))){
	goto L26;}
	goto L27;
L28:;
L27:;
	{cl_object V5;                            /*  PATH            */
	V5= L66component_full_pathname(2,V1,VV[131]) /*  COMPONENT-FULL-PATHNAME */;
	if((V5)==Cnil){
	goto L36;}
	value0=cl_gethash(2,V5,ecl_symbol_value(VV[126])) /*  GETHASH */;
	return value0;
L36:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L26:;
	value0=si_ecase_error(3,VV[132],V2,VV[133]) /*  ECASE-ERROR   */;
	return value0;
	}
L11:;
	value0=si_etypecase_error(3,VV[87],V1,VV[134]) /*  ETYPECASE-ERROR */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function COMPONENT-LOAD-TIME                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC52component_load_time(cl_object V1, cl_object V2)
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(3,ECL_SYM("GETHASH",411),V2,VV[126]) /*  LIST     */;
	T1= cl_list(3,ECL_SYM("SETF",748),T0,V1)  /*  LIST            */;
	T2= cl_list(2,ECL_SYM("STRING",803),T1)   /*  LIST            */;
	T3= cl_list(3,ECL_SYM("THE",854),ECL_SYM("PATHNAME",628),V2) /*  LIST */;
	T4= cl_list(2,ECL_SYM("NAMESTRING",577),T3) /*  LIST          */;
	T5= cl_list(3,ECL_SYM("GETHASH",411),T4,VV[126]) /*  LIST     */;
	T6= cl_list(3,ECL_SYM("SETF",748),T5,V1)  /*  LIST            */;
	T7= cl_list(2,ECL_SYM("PATHNAME",628),T6) /*  LIST            */;
	T8= cl_list(2,VV[136],V2)                 /*  LIST            */;
	T9= cl_list(2,VV[137],V2)                 /*  LIST            */;
	T10= cl_list(2,VV[110],T9)                /*  LIST            */;
	T11= cl_list(2,T10,VV[138])               /*  LIST            */;
	T12= cl_list(3,ECL_SYM("SETF",748),VV[141],V1) /*  LIST       */;
	T13= cl_list(3,ECL_SYM("WHEN",903),VV[140],T12) /*  LIST      */;
	T14= cl_list(4,ECL_SYM("LET*",476),T11,VV[139],T13) /*  LIST  */;
	T15= cl_list(2,VV[127],T14)               /*  LIST            */;
	T16= cl_list(3,VV[142],V2,VV[131])        /*  LIST            */;
	T17= cl_list(2,VV[140],T16)               /*  LIST            */;
	T18= ecl_list1(T17);
	T19= cl_list(3,ECL_SYM("SETF",748),VV[143],V1) /*  LIST       */;
	T20= cl_list(3,ECL_SYM("WHEN",903),VV[140],T19) /*  LIST      */;
	T21= cl_list(3,ECL_SYM("LET",475),T18,T20) /*  LIST           */;
	T22= cl_list(2,VV[128],T21)               /*  LIST            */;
	T23= cl_list(4,ECL_SYM("ECASE",319),T8,T15,T22) /*  LIST      */;
	T24= cl_list(2,VV[87],T23)                /*  LIST            */;
	T25= cl_list(5,ECL_SYM("ETYPECASE",336),V2,T2,T7,T24) /*  LIST */;
	value0=cl_list(4,ECL_SYM("WHEN",903),V2,T25,V1) /*  LIST      */;
	return value0;
}}
/*	function definition for COMPUTE-SYSTEM-PATH                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L53compute_system_path(cl_object V1, cl_object V2)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  MODULE-STRING-NAME */
	cl_object V4;                             /*  FILE-PATHNAME   */
	cl_object V5;                             /*  LIB-FILE-PATHNAME */
	if(!(ECL_SYMBOLP(V1))){
	goto L3;}
	T0= cl_string(V1)                         /*  STRING          */;
	V3= cl_string_downcase(1,T0)              /*  STRING-DOWNCASE */;
	goto L1;
L3:;
	if(!(ECL_STRINGP(V1))){
	goto L6;}
	V3= V1;
	goto L1;
L6:;
	V3= si_etypecase_error(3,VV[144],V1,VV[145]) /*  ETYPECASE-ERROR */;
	goto L1;
L1:;
	V4= cl_make_pathname(4,ECL_SYM("NAME",1244),V3,ECL_SYM("TYPE",1288),ecl_symbol_value(VV[31])) /*  MAKE-PATHNAME */;
	T0= cl_list(2,ECL_SYM("RELATIVE",1269),V3) /*  LIST           */;
	V5= cl_make_pathname(6,ECL_SYM("DIRECTORY",1193),T0,ECL_SYM("NAME",1244),V3,ECL_SYM("TYPE",1288),ecl_symbol_value(VV[31])) /*  MAKE-PATHNAME */;
	if((V2)==Cnil){
	goto L14;}
	value0=cl_probe_file(V2)                  /*  PROBE-FILE      */;
	goto L12;
L14:;
	value0=Cnil;
	goto L12;
L12:;
	if((value0)!=Cnil){
	goto L11;}
	if((ecl_symbol_value(VV[9]))==Cnil){
	goto L17;}
	if(!(ECL_LISTP(ecl_symbol_value(VV[9])))){
	goto L20;}
	{cl_object V6;                            /*  %DOLIST-VAR     */
	cl_object V7;                             /*  REGISTRY        */
	V6= ecl_symbol_value(VV[9]);
	V7= Cnil;
	goto L27;
L26:;
	V7= cl_first(V6)                          /*  FIRST           */;
	{cl_object V8;                            /*  REG-PATH        */
	cl_object V9;                             /*  FILE            */
	V8= L3registry_pathname(V7)               /*  REGISTRY-PATHNAME */;
	T0= L30append_directories(V8,V4)          /*  APPEND-DIRECTORIES */;
	value0=cl_probe_file(T0)                  /*  PROBE-FILE      */;
	if((value0)!=Cnil){
	goto L35;}
	T0= L30append_directories(V8,V5)          /*  APPEND-DIRECTORIES */;
	V9= cl_probe_file(T0)                     /*  PROBE-FILE      */;
	goto L33;
L35:;
	V9= value0;
	goto L33;
L33:;
	if((V9)==Cnil){
	goto L38;}
	value0=V9; cl_env_copy->nvalues=1;
	return value0;
L38:;
	goto L31;
	}
L31:;
	V6= CDR(V6);
L27:;
	if((V6)==Cnil){
	goto L44;}
	goto L26;
L44:;
	goto L42;
L42:;
	goto L24;
L24:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L20:;
	T0= L30append_directories(ecl_symbol_value(VV[9]),V4) /*  APPEND-DIRECTORIES */;
	value0=cl_probe_file(T0)                  /*  PROBE-FILE      */;
	if((value0)!=Cnil){
	goto L47;}
	T0= L30append_directories(ecl_symbol_value(VV[9]),V5) /*  APPEND-DIRECTORIES */;
	value0=cl_probe_file(T0)                  /*  PROBE-FILE      */;
	return value0;
L47:;
	cl_env_copy->nvalues=1;
	return value0;
L17:;
	value0=cl_probe_file(V4)                  /*  PROBE-FILE      */;
	if((value0)!=Cnil){
	goto L50;}
	value0=cl_probe_file(V5)                  /*  PROBE-FILE      */;
	return value0;
L50:;
	cl_env_copy->nvalues=1;
	return value0;
L11:;
	cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for SYSTEM-DEFINITION-PATHNAME            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L55system_definition_pathname(cl_object volatile V1)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V2;                   /*  SYSTEM          */
	{volatile cl_object env1 = env0;
	env1 = Cnil;
	CLV0=env1=CONS(Cnil,env1);
	{ volatile cl_object env2 = env1;
	CLV1=env2=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
	if (cl_env_copy->values[0]==MAKE_FIXNUM(0))goto L3;
	ecl_internal_error("GO found an inexistent tag");
	}
	T0= ecl_make_cclosure_va((cl_objectfn)LC54__g109,env2,Cblock);
	T1= CONS(ECL_SYM("ERROR",335),T0);
	T2= ecl_list1(T1);
	T3= CONS(T2,ecl_symbol_value(VV[61]));
	ecl_bds_bind(cl_env_copy,VV[61],T3);      /*  *HANDLER-CLUSTERS* */
	value0=L56find_system(2,V1,ECL_SYM("ERROR",1203)) /*  FIND-SYSTEM */;
	ecl_frs_pop(cl_env_copy);
	V2= value0;
	ecl_bds_unwind1(cl_env_copy);
	goto L1;
L3:;
	{cl_object V3;                            /*  CONDITION       */
	V3= ECL_CONS_CAR(CLV0);
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V3;
	cl_env_copy->values[0]=Cnil;
	value0=cl_env_copy->values[0];
	ecl_frs_pop(cl_env_copy);
	V2= value0;
	goto L1;
	}}
	}
L1:;
	if((V2)==Cnil){
	goto L9;}
	{cl_object V3;                            /*  SYSTEM-DEF-PATHNAME */
	T0= L66component_full_pathname(2,V2,VV[131]) /*  COMPONENT-FULL-PATHNAME */;
	T1= cl_pathname(T0)                       /*  PATHNAME        */;
	V3= cl_make_pathname(4,ECL_SYM("TYPE",1288),_ecl_static_8,ECL_SYM("DEFAULTS",1190),T1) /*  MAKE-PATHNAME */;
	T0= cl_probe_file(V3)                     /*  PROBE-FILE      */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=T0;
	cl_env_copy->values[0]=V3;
	return cl_env_copy->values[0];
	}
L9:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=Cnil;
	return cl_env_copy->values[0];
	}
}}
/*	closure G109                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC54__g109(cl_narg narg, cl_object V1, ...)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),MAKE_FIXNUM(0));
}}}
/*	function definition for FIND-SYSTEM                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L56find_system(cl_narg narg, cl_object V1, ...)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= VV[149];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!(ecl_eql(V2,VV[149]))){
	goto L4;}
	value0=L20get_system(V1)                  /*  GET-SYSTEM      */;
	if((value0)!=Cnil){
	goto L7;}
	if((L95y_or_n_p_wait(4,CODE_CHAR('\171'),MAKE_FIXNUM(20),_ecl_static_84,V1) /*  Y-OR-N-P-WAIT */)==Cnil){
	goto L10;}
	value0=L56find_system(3,V1,VV[150],V3)    /*  FIND-SYSTEM     */;
	return value0;
L10:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L7:;
	cl_env_copy->nvalues=1;
	return value0;
L4:;
	if(!(ecl_eql(V2,ECL_SYM("ERROR",1203)))){
	goto L13;}
	value0=L20get_system(V1)                  /*  GET-SYSTEM      */;
	if((value0)!=Cnil){
	goto L16;}
	value0=cl_error(3,VV[125],ECL_SYM("NAME",1244),V1) /*  ERROR  */;
	return value0;
L16:;
	cl_env_copy->nvalues=1;
	return value0;
L13:;
	if(!(ecl_eql(V2,VV[151]))){
	goto L19;}
	{cl_object V4;                            /*  SYSTEM          */
	V4= L20get_system(V1)                     /*  GET-SYSTEM      */;
	if((ecl_symbol_value(VV[148]))!=Cnil){
	goto L26;}
	value0=V4;
	goto L24;
L26:;
	value0=Cnil;
	goto L24;
L24:;
	if((value0)!=Cnil){
	goto L23;}
	if((ecl_function_dispatch(cl_env_copy,VV[116])(1,V4) /*  FOREIGN-SYSTEM-P */)==Cnil){
	goto L30;}
	(void)(cl_env_copy->function=(ECL_SYM("WARN",901)->symbol.gfdef))->cfun.entry(2,_ecl_static_85,V4) /*  WARN */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L30:;
	value0=Cnil;
	goto L28;
L28:;
	if((value0)!=Cnil){
	goto L23;}
	{cl_object V5;                            /*  PATH            */
	V5= L53compute_system_path(V1,V3)         /*  COMPUTE-SYSTEM-PATH */;
	if((V5)==Cnil){
	goto L37;}
	if(V4==Cnil){
	goto L40;}
	T0= L51component_load_time(V5)            /*  COMPONENT-LOAD-TIME */;
	if(T0==Cnil){
	goto L40;}
	T0= L51component_load_time(V5)            /*  COMPONENT-LOAD-TIME */;
	T1= cl_file_write_date(V5)                /*  FILE-WRITE-DATE */;
	if(!(ecl_number_compare(T0,T1)<0)){
	goto L37;}
	goto L38;
L40:;
L38:;
	T0= cl_format(4,Cnil,_ecl_static_86,V1,V5) /*  FORMAT         */;
	(void)L92tell_user_generic(T0)            /*  TELL-USER-GENERIC */;
	(void)cl_load(1,V5)                       /*  LOAD            */;
	V4= L20get_system(V1)                     /*  GET-SYSTEM      */;
	if((V4)==Cnil){
	goto L48;}
	{cl_object V6;
	V6= cl_file_write_date(V5)                /*  FILE-WRITE-DATE */;
	if((V5)==Cnil){
	goto L52;}
	if(!(ECL_STRINGP(V5))){
	goto L56;}
	{cl_object V7;
	V7= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V5,V7,V6)               /*  HASH-SET        */;
	goto L54;
	}
L56:;
	if((cl_pathnamep(V5)                      /*  PATHNAMEP       */)==Cnil){
	goto L60;}
	{cl_object V8;
	cl_object V9;
	V8= cl_namestring(V5)                     /*  NAMESTRING      */;
	V9= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V8,V9,V6)               /*  HASH-SET        */;
	goto L54;
	}
L60:;
	if((si_of_class_p(2,V5,VV[87])            /*  OF-CLASS-P      */)==Cnil){
	goto L65;}
	{cl_object V10;
	V10= ecl_function_dispatch(cl_env_copy,VV[136])(1,V5) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V10,VV[127]))){
	goto L69;}
	{cl_object V11;                           /*  NAME            */
	cl_object V12;                            /*  PATH            */
	V11= ecl_function_dispatch(cl_env_copy,VV[137])(1,V5) /*  COMPONENT-NAME */;
	if((V11)==Cnil){
	goto L74;}
	V12= L53compute_system_path(V11,Cnil)     /*  COMPUTE-SYSTEM-PATH */;
	goto L72;
L74:;
	V12= Cnil;
	goto L72;
L72:;
	if((V12)==Cnil){
	goto L77;}
	{cl_object V13;
	cl_object V14;
	V13= cl_namestring(V12)                   /*  NAMESTRING      */;
	V14= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V13,V14,V6)             /*  HASH-SET        */;
	goto L54;
	}
L77:;
	goto L54;
	}
L69:;
	if(!(ecl_eql(V10,ECL_SYM("FILE",1211)))){
	goto L87;}
	goto L84;
	goto L85;
L87:;
	goto L85;
L85:;
	if(!(ecl_eql(V10,VV[129]))){
	goto L82;}
	goto L83;
L84:;
L83:;
	{cl_object V15;                           /*  PATH            */
	V15= L66component_full_pathname(2,V5,VV[131]) /*  COMPONENT-FULL-PATHNAME */;
	if((V15)==Cnil){
	goto L92;}
	{cl_object V16;
	V16= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V15,V16,V6)             /*  HASH-SET        */;
	goto L54;
	}
L92:;
	goto L54;
	}
L82:;
	(void)si_ecase_error(3,VV[152],V10,VV[133]) /*  ECASE-ERROR   */;
	goto L54;
	}
L65:;
	(void)si_etypecase_error(3,VV[153],V5,VV[134]) /*  ETYPECASE-ERROR */;
	goto L54;
L54:;
	goto L35;
L52:;
	goto L35;
	}
L48:;
	goto L35;
L37:;
	goto L35;
L35:;
	value0=V4;
	}
	if((value0)!=Cnil){
	goto L23;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
L23:;
	cl_env_copy->nvalues=1;
	return value0;
	}
L19:;
	if(!(ecl_eql(V2,VV[150]))){
	goto L96;}
	if((ecl_symbol_value(VV[148]))!=Cnil){
	goto L102;}
	value0=L20get_system(V1)                  /*  GET-SYSTEM      */;
	goto L100;
L102:;
	value0=Cnil;
	goto L100;
L100:;
	if((value0)!=Cnil){
	goto L99;}
	T0= L20get_system(V1)                     /*  GET-SYSTEM      */;
	if((ecl_function_dispatch(cl_env_copy,VV[116])(1,T0) /*  FOREIGN-SYSTEM-P */)==Cnil){
	goto L106;}
	T0= L20get_system(V1)                     /*  GET-SYSTEM      */;
	(void)(cl_env_copy->function=(ECL_SYM("WARN",901)->symbol.gfdef))->cfun.entry(2,_ecl_static_85,T0) /*  WARN */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L106:;
	value0=Cnil;
	goto L104;
L104:;
	if((value0)!=Cnil){
	goto L99;}
	value0=L56find_system(3,V1,VV[151],V3)    /*  FIND-SYSTEM     */;
	if((value0)!=Cnil){
	goto L110;}
	value0=cl_error(2,_ecl_static_87,V1)      /*  ERROR           */;
	return value0;
L110:;
	cl_env_copy->nvalues=1;
	return value0;
L99:;
	cl_env_copy->nvalues=1;
	return value0;
L96:;
	value0=si_ecase_error(3,VV[154],V2,VV[155]) /*  ECASE-ERROR   */;
	return value0;
}}
/*	function definition for PRINT-COMPONENT                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L57print_component(cl_object V1, cl_object V2, cl_object V3)
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[136])(1,V1) /*  COMPONENT-TYPE */;
	T1= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	value0=cl_format(4,V2,_ecl_static_88,T0,T1) /*  FORMAT        */;
	return value0;
}}
/*	function definition for DESCRIBE-SYSTEM                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L58describe_system(cl_narg narg, cl_object V1, ...)
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",65));
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  SYSTEM          */
	if((si_of_class_p(2,V1,VV[87])            /*  OF-CLASS-P      */)==Cnil){
	goto L4;}
	V3= V1;
	goto L2;
L4:;
	V3= L56find_system(2,V1,VV[150])          /*  FIND-SYSTEM     */;
	goto L2;
L2:;
	T0= ecl_function_dispatch(cl_env_copy,VV[136])(1,V3) /*  COMPONENT-TYPE */;
	T1= ecl_function_dispatch(cl_env_copy,VV[137])(1,V3) /*  COMPONENT-NAME */;
	T2= ecl_function_dispatch(cl_env_copy,VV[490])(1,V3) /*  COMPONENT-HOST */;
	T3= ecl_function_dispatch(cl_env_copy,VV[491])(1,V3) /*  COMPONENT-DEVICE */;
	T4= ecl_function_dispatch(cl_env_copy,VV[492])(1,V3) /*  COMPONENT-PACKAGE */;
	T5= L63component_root_dir(V3,VV[131])     /*  COMPONENT-ROOT-DIR */;
	T6= L60component_pathname(V3,VV[131])     /*  COMPONENT-PATHNAME */;
	T7= L69component_extension(2,V3,VV[131])  /*  COMPONENT-EXTENSION */;
	T8= L63component_root_dir(V3,VV[158])     /*  COMPONENT-ROOT-DIR */;
	T9= L60component_pathname(V3,VV[158])     /*  COMPONENT-PATHNAME */;
	T10= L69component_extension(2,V3,VV[158]) /*  COMPONENT-EXTENSION */;
	T11= ecl_function_dispatch(cl_env_copy,VV[493])(1,V3) /*  COMPONENT-DEPENDS-ON */;
	T12= ecl_function_dispatch(cl_env_copy,VV[494])(1,V3) /*  COMPONENT-COMPONENTS */;
	(void)cl_format(15,V2,_ecl_static_89,T0,T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12) /*  FORMAT */;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CANONICALIZE-COMPONENT-NAME           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L59canonicalize_component_name(cl_object V1)
{ VT60 VLEX60 CLSR60 STCK60
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	if(!(ECL_STRINGP(T0))){
	goto L2;}
	value0=ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	return value0;
L2:;
	{cl_object V2;
	T0= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	T1= cl_string(T0)                         /*  STRING          */;
	V2= cl_string_downcase(1,T1)              /*  STRING-DOWNCASE */;
	value0=si_structure_set(V1,VV[87],MAKE_FIXNUM(2),V2) /*  STRUCTURE-SET */;
	return value0;
	}
}}
/*	function definition for COMPONENT-PATHNAME                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L60component_pathname(cl_object V1, cl_object V2)
{ VT61 VLEX61 CLSR61 STCK61
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==Cnil){
	goto L2;}
	if(!(ecl_eql(V2,VV[131]))){
	goto L5;}
	value0=ecl_function_dispatch(cl_env_copy,VV[164])(1,V1) /*  COMPONENT-SOURCE-PATHNAME */;
	return value0;
L5:;
	if(!(ecl_eql(V2,VV[158]))){
	goto L8;}
	value0=ecl_function_dispatch(cl_env_copy,VV[165])(1,V1) /*  COMPONENT-BINARY-PATHNAME */;
	return value0;
L8:;
	if(!(ecl_eql(V2,ECL_SYM("ERROR",1203)))){
	goto L11;}
	value0=L61component_error_pathname(V1)    /*  COMPONENT-ERROR-PATHNAME */;
	return value0;
L11:;
	value0=si_ecase_error(3,ECL_SYM("TYPE",867),V2,VV[161]) /*  ECASE-ERROR */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for COMPONENT-ERROR-PATHNAME              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L61component_error_pathname(cl_object V1)
{ VT62 VLEX62 CLSR62 STCK62
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  BINARY          */
	V2= L60component_pathname(V1,VV[158])     /*  COMPONENT-PATHNAME */;
	value0=L35new_file_type(V2,ecl_symbol_value(VV[26])) /*  NEW-FILE-TYPE */;
	return value0;
	}
}}
/*	local function COMPONENT-PATHNAME                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC62component_pathname(cl_object V1, cl_object V2, cl_object V3)
{ VT63 VLEX63 CLSR63 STCK63
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,VV[164],V2)                 /*  LIST            */;
	T1= cl_list(3,ECL_SYM("SETF",748),T0,V1)  /*  LIST            */;
	T2= cl_list(2,VV[131],T1)                 /*  LIST            */;
	T3= cl_list(2,VV[165],V2)                 /*  LIST            */;
	T4= cl_list(3,ECL_SYM("SETF",748),T3,V1)  /*  LIST            */;
	T5= cl_list(2,VV[158],T4)                 /*  LIST            */;
	T6= cl_list(4,ECL_SYM("ECASE",319),V3,T2,T5) /*  LIST         */;
	value0=cl_list(3,ECL_SYM("WHEN",903),V2,T6) /*  LIST          */;
	return value0;
}}
/*	function definition for COMPONENT-ROOT-DIR                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63component_root_dir(cl_object V1, cl_object V2)
{ VT64 VLEX64 CLSR64 STCK64
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==Cnil){
	goto L2;}
	if(!(ecl_eql(V2,VV[131]))){
	goto L5;}
	value0=ecl_function_dispatch(cl_env_copy,VV[170])(1,V1) /*  COMPONENT-SOURCE-ROOT-DIR */;
	return value0;
L5:;
	if(!(ecl_eql(V2,VV[158]))){
	goto L13;}
	goto L10;
	goto L11;
L13:;
	goto L11;
L11:;
	if(!(ecl_eql(V2,ECL_SYM("ERROR",1203)))){
	goto L8;}
	goto L9;
L10:;
L9:;
	value0=ecl_function_dispatch(cl_env_copy,VV[171])(1,V1) /*  COMPONENT-BINARY-ROOT-DIR */;
	return value0;
L8:;
	value0=si_ecase_error(3,ECL_SYM("TYPE",867),V2,VV[168]) /*  ECASE-ERROR */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function COMPONENT-ROOT-DIR                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC64component_root_dir(cl_object V1, cl_object V2, cl_object V3)
{ VT65 VLEX65 CLSR65 STCK65
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,VV[170],V2)                 /*  LIST            */;
	T1= cl_list(3,ECL_SYM("SETF",748),T0,V1)  /*  LIST            */;
	T2= cl_list(2,VV[131],T1)                 /*  LIST            */;
	T3= cl_list(2,VV[171],V2)                 /*  LIST            */;
	T4= cl_list(3,ECL_SYM("SETF",748),T3,V1)  /*  LIST            */;
	T5= cl_list(2,VV[158],T4)                 /*  LIST            */;
	T6= cl_list(4,ECL_SYM("ECASE",319),V3,T2,T5) /*  LIST         */;
	value0=cl_list(3,ECL_SYM("WHEN",903),V2,T6) /*  LIST          */;
	return value0;
}}
/*	function definition for CLEAR-FULL-PATHNAME-TABLES            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L65clear_full_pathname_tables()
{ VT66 VLEX66 CLSR66 STCK66
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)cl_clrhash(ecl_symbol_value(VV[172])) /*  CLRHASH       */;
	value0=cl_clrhash(ecl_symbol_value(VV[173])) /*  CLRHASH      */;
	return value0;
}}
/*	function definition for COMPONENT-FULL-PATHNAME               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L66component_full_pathname(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT67 VLEX67 CLSR67 STCK67
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_symbol_value(VV[36]);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V1)==Cnil){
	goto L3;}
	if(!(ecl_eql(V2,VV[131]))){
	goto L6;}
	{cl_object V4;                            /*  OLD             */
	V4= cl_gethash(2,V1,ecl_symbol_value(VV[172])) /*  GETHASH    */;
	value0=V4;
	if((value0)!=Cnil){
	goto L10;}
	{cl_object V5;                            /*  NEW             */
	V5= L67component_full_pathname_i(3,V1,V2,V3) /*  COMPONENT-FULL-PATHNAME-I */;
	{cl_object V6;
	V6= ecl_symbol_value(VV[172]);
	(void)si_hash_set(V1,V6,V5)               /*  HASH-SET        */;
	}
	value0=V5; cl_env_copy->nvalues=1;
	return value0;
	}
L10:;
	cl_env_copy->nvalues=1;
	return value0;
	}
L6:;
	if(!(ecl_eql(V2,VV[158]))){
	goto L16;}
	{cl_object V6;                            /*  OLD             */
	V6= cl_gethash(2,V1,ecl_symbol_value(VV[173])) /*  GETHASH    */;
	value0=V6;
	if((value0)!=Cnil){
	goto L20;}
	{cl_object V7;                            /*  NEW             */
	V7= L67component_full_pathname_i(3,V1,V2,V3) /*  COMPONENT-FULL-PATHNAME-I */;
	{cl_object V8;
	V8= ecl_symbol_value(VV[173]);
	(void)si_hash_set(V1,V8,V7)               /*  HASH-SET        */;
	}
	value0=V7; cl_env_copy->nvalues=1;
	return value0;
	}
L20:;
	cl_env_copy->nvalues=1;
	return value0;
	}
L16:;
	value0=L67component_full_pathname_i(3,V1,V2,V3) /*  COMPONENT-FULL-PATHNAME-I */;
	return value0;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for COMPONENT-FULL-PATHNAME-I             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L67component_full_pathname_i(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT68 VLEX68 CLSR68 STCK68
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= ecl_symbol_value(VV[36]);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  VERSION-DIR     */
	cl_object V5;                             /*  VERSION-REPLACE */
	V4= Cnil;
	V5= Cnil;
	if((V3)==Cnil){
	goto L6;}
	cl_env_copy->values[0]=L68translate_version(V3) /*  TRANSLATE-VERSION */;
	{int V6=cl_env_copy->nvalues-0;
	if (V6--<=0) goto L9;
	V4= cl_env_copy->values[0];
	if (V6--<=0) goto L10;
	V5= cl_env_copy->values[1];
	goto L11;}
L9:;
	V4= Cnil;
L10:;
	V5= Cnil;
L11:;
	goto L4;
L6:;
	V4= ecl_symbol_value(VV[34]);
	V5= ecl_symbol_value(VV[35]);
	goto L4;
L4:;
	{cl_object V6;                            /*  PATHNAME        */
	if((V5)==Cnil){
	goto L18;}
	T0= V4;
	goto L16;
L18:;
	T1= L63component_root_dir(V1,V2)          /*  COMPONENT-ROOT-DIR */;
	T0= L30append_directories(T1,V4)          /*  APPEND-DIRECTORIES */;
	goto L16;
L16:;
	T1= L60component_pathname(V1,V2)          /*  COMPONENT-PATHNAME */;
	V6= L30append_directories(T0,T1)          /*  APPEND-DIRECTORIES */;
	if((L32pathname_logical_p(V6)             /*  PATHNAME-LOGICAL-P */)==Cnil){
	goto L21;}
	T0= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	T1= L69component_extension(2,V1,V2)       /*  COMPONENT-EXTENSION */;
	T2= cl_make_pathname(4,ECL_SYM("NAME",1244),T0,ECL_SYM("TYPE",1288),T1) /*  MAKE-PATHNAME */;
	V6= cl_merge_pathnames(2,V6,T2)           /*  MERGE-PATHNAMES */;
	T0= cl_translate_logical_pathname(1,V6)   /*  TRANSLATE-LOGICAL-PATHNAME */;
	value0=cl_namestring(T0)                  /*  NAMESTRING      */;
	return value0;
L21:;
	value0=ecl_function_dispatch(cl_env_copy,VV[490])(1,V1) /*  COMPONENT-HOST */;
	if((value0)!=Cnil){
	goto L27;}
	T0= cl_pathname_host(1,V6)                /*  PATHNAME-HOST   */;
	goto L25;
L27:;
	T0= value0;
	goto L25;
L25:;
	T1= cl_pathname_directory(1,V6)           /*  PATHNAME-DIRECTORY */;
	value0=cl_pathname_name(1,V6)             /*  PATHNAME-NAME   */;
	if((value0)!=Cnil){
	goto L31;}
	T2= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	goto L29;
L31:;
	T2= value0;
	goto L29;
L29:;
	T3= L69component_extension(2,V1,V2)       /*  COMPONENT-EXTENSION */;
	value0=ecl_function_dispatch(cl_env_copy,VV[491])(1,V1) /*  COMPONENT-DEVICE */;
	if((value0)!=Cnil){
	goto L35;}
	T4= cl_pathname_device(1,V6)              /*  PATHNAME-DEVICE */;
	goto L33;
L35:;
	T4= value0;
	goto L33;
L33:;
	T5= cl_make_pathname(10,ECL_SYM("HOST",1217),T0,ECL_SYM("DIRECTORY",1193),T1,ECL_SYM("NAME",1244),T2,ECL_SYM("TYPE",1288),T3,ECL_SYM("DEVICE",1191),T4) /*  MAKE-PATHNAME */;
	value0=cl_namestring(T5)                  /*  NAMESTRING      */;
	return value0;
	}
	}
}}
/*	function definition for TRANSLATE-VERSION                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L68translate_version(cl_object V1)
{ VT69 VLEX69 CLSR69 STCK69
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==Cnil)){
	goto L2;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=_ecl_static_13;
	return cl_env_copy->values[0];
L2:;
	if(!(ECL_SYMBOLP(V1))){
	goto L5;}
	{cl_object V2;                            /*  SVERSION        */
	V2= cl_string(V1)                         /*  STRING          */;
	T1= (ECL_SYM("LOWER-CASE-P",512)->symbol.gfdef);
	if((cl_find_if(2,T1,V2)                   /*  FIND-IF         */)==Cnil){
	goto L10;}
	T0= V2;
	goto L7;
L10:;
	T0= cl_string_downcase(1,V2)              /*  STRING-DOWNCASE */;
	goto L7;
	}
L7:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
L5:;
	if(!(ECL_STRINGP(V1))){
	goto L14;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=V1;
	return cl_env_copy->values[0];
L14:;
	value0=cl_error(2,_ecl_static_90,V1)      /*  ERROR           */;
	return value0;
}}
/*	function definition for COMPONENT-EXTENSION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L69component_extension(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT70 VLEX70 CLSR70 STCK70
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,L69component_extensionkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	}
	if(!(ecl_eql(V2,VV[131]))){
	goto L2;}
	value0=ecl_function_dispatch(cl_env_copy,VV[180])(1,V1) /*  COMPONENT-SOURCE-EXTENSION */;
	if((value0)!=Cnil){
	goto L5;}
	if((V3)!=Cnil){
	goto L8;}
	value0=L117default_source_extension(V1)   /*  DEFAULT-SOURCE-EXTENSION */;
	return value0;
L8:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L5:;
	cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ecl_eql(V2,VV[158]))){
	goto L11;}
	value0=ecl_function_dispatch(cl_env_copy,VV[181])(1,V1) /*  COMPONENT-BINARY-EXTENSION */;
	if((value0)!=Cnil){
	goto L14;}
	if((V3)!=Cnil){
	goto L17;}
	value0=L118default_binary_extension(V1)   /*  DEFAULT-BINARY-EXTENSION */;
	return value0;
L17:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L14:;
	cl_env_copy->nvalues=1;
	return value0;
L11:;
	if(!(ecl_eql(V2,ECL_SYM("ERROR",1203)))){
	goto L20;}
	value0=ecl_symbol_value(VV[26]); cl_env_copy->nvalues=1;
	return value0;
L20:;
	value0=si_ecase_error(3,ECL_SYM("TYPE",867),V2,VV[161]) /*  ECASE-ERROR */;
	return value0;
}}
/*	local function COMPONENT-EXTENSION                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC70component_extension(cl_object V1, cl_object V2, cl_object V3)
{ VT71 VLEX71 CLSR71 STCK71
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,VV[180],V2)                 /*  LIST            */;
	T1= cl_list(3,ECL_SYM("SETF",748),T0,V1)  /*  LIST            */;
	T2= cl_list(2,VV[131],T1)                 /*  LIST            */;
	T3= cl_list(2,VV[181],V2)                 /*  LIST            */;
	T4= cl_list(3,ECL_SYM("SETF",748),T3,V1)  /*  LIST            */;
	T5= cl_list(2,VV[158],T4)                 /*  LIST            */;
	T6= cl_list(3,ECL_SYM("SETF",748),VV[26],V1) /*  LIST         */;
	T7= cl_list(2,ECL_SYM("ERROR",1203),T6)   /*  LIST            */;
	value0=cl_list(5,ECL_SYM("ECASE",319),V3,T2,T5,T7) /*  LIST   */;
	return value0;
}}
/*	function definition for CREATE-COMPONENT                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L71create_component(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT72 VLEX72 CLSR72 STCK72
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>5)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_object V5;
	va_list args; va_start(args,V3);
	{int i=3;
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V5= MAKE_FIXNUM(0);
	} else {
	i++;
	V5= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V6;                            /*  COMPONENT       */
	T0= ecl_fdefinition(VV[113]);
	V6= cl_apply(8,T0,ECL_SYM("TYPE",1288),V1,ECL_SYM("NAME",1244),V2,VV[182],V5,V3) /*  APPLY */;
	{cl_object V7;
	V7= si_make_seq_iterator(2,V3,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L11:;
	if((V7)!=Cnil){
	goto L15;}
	goto L8;
L15:;
	goto L13;
L13:;
	{cl_object V8;
	V8= si_seq_iterator_ref(V3,V7)            /*  SEQ-ITERATOR-REF */;
	if(!(ecl_eql(VV[183],V8))){
	goto L20;}
	if((V8)!=Cnil){
	goto L7;}
	goto L8;
L20:;
	goto L17;
	}
L17:;
	V7= si_seq_iterator_next(V3,V7)           /*  SEQ-ITERATOR-NEXT */;
	goto L11;
	}
L8:;
	{cl_object V7;
	if((V4)==Cnil){
	goto L26;}
	V7= ecl_function_dispatch(cl_env_copy,VV[506])(1,V4) /*  COMPONENT-LOAD-ONLY */;
	goto L24;
L26:;
	V7= Cnil;
	goto L24;
L24:;
	(void)si_structure_set(V6,VV[87],MAKE_FIXNUM(24),V7) /*  STRUCTURE-SET */;
	goto L5;
	}
L7:;
	goto L5;
L5:;
	{cl_object V7;
	V7= si_make_seq_iterator(2,V3,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L34:;
	if((V7)!=Cnil){
	goto L38;}
	goto L31;
L38:;
	goto L36;
L36:;
	{cl_object V8;
	V8= si_seq_iterator_ref(V3,V7)            /*  SEQ-ITERATOR-REF */;
	if(!(ecl_eql(VV[184],V8))){
	goto L43;}
	if((V8)!=Cnil){
	goto L30;}
	goto L31;
L43:;
	goto L40;
	}
L40:;
	V7= si_seq_iterator_next(V3,V7)           /*  SEQ-ITERATOR-NEXT */;
	goto L34;
	}
L31:;
	{cl_object V7;
	if((V4)==Cnil){
	goto L49;}
	V7= ecl_function_dispatch(cl_env_copy,VV[507])(1,V4) /*  COMPONENT-COMPILE-ONLY */;
	goto L47;
L49:;
	V7= Cnil;
	goto L47;
L47:;
	(void)si_structure_set(V6,VV[87],MAKE_FIXNUM(25),V7) /*  STRUCTURE-SET */;
	goto L28;
	}
L30:;
	goto L28;
L28:;
	{cl_object V7;
	V7= si_make_seq_iterator(2,V3,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L57:;
	if((V7)!=Cnil){
	goto L61;}
	goto L54;
L61:;
	goto L59;
L59:;
	{cl_object V8;
	V8= si_seq_iterator_ref(V3,V7)            /*  SEQ-ITERATOR-REF */;
	if(!(ecl_eql(VV[185],V8))){
	goto L66;}
	if((V8)!=Cnil){
	goto L53;}
	goto L54;
L66:;
	goto L63;
	}
L63:;
	V7= si_seq_iterator_next(V3,V7)           /*  SEQ-ITERATOR-NEXT */;
	goto L57;
	}
L54:;
	{cl_object V7;
	if((V4)==Cnil){
	goto L72;}
	V7= ecl_function_dispatch(cl_env_copy,VV[508])(1,V4) /*  COMPONENT-COMPILER-OPTIONS */;
	goto L70;
L72:;
	V7= Cnil;
	goto L70;
L70:;
	(void)si_structure_set(V6,VV[87],MAKE_FIXNUM(16),V7) /*  STRUCTURE-SET */;
	goto L51;
	}
L53:;
	goto L51;
L51:;
	{cl_object V7;
	V7= si_make_seq_iterator(2,V3,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L80:;
	if((V7)!=Cnil){
	goto L84;}
	goto L77;
L84:;
	goto L82;
L82:;
	{cl_object V8;
	V8= si_seq_iterator_ref(V3,V7)            /*  SEQ-ITERATOR-REF */;
	if(!(ecl_eql(VV[186],V8))){
	goto L89;}
	if((V8)!=Cnil){
	goto L76;}
	goto L77;
L89:;
	goto L86;
	}
L86:;
	V7= si_seq_iterator_next(V3,V7)           /*  SEQ-ITERATOR-NEXT */;
	goto L80;
	}
L77:;
	{cl_object V7;
	if((V4)==Cnil){
	goto L95;}
	V7= ecl_function_dispatch(cl_env_copy,VV[509])(1,V4) /*  COMPONENT-LOAD-ALWAYS */;
	goto L93;
L95:;
	V7= Cnil;
	goto L93;
L93:;
	(void)si_structure_set(V6,VV[87],MAKE_FIXNUM(26),V7) /*  STRUCTURE-SET */;
	goto L74;
	}
L76:;
	goto L74;
L74:;
	(void)L59canonicalize_component_name(V6)  /*  CANONICALIZE-COMPONENT-NAME */;
	{cl_object V7;
	value0=ecl_function_dispatch(cl_env_copy,VV[492])(1,V6) /*  COMPONENT-PACKAGE */;
	if((value0)!=Cnil){
	goto L101;}
	if((V4)==Cnil){
	goto L104;}
	V7= ecl_function_dispatch(cl_env_copy,VV[492])(1,V4) /*  COMPONENT-PACKAGE */;
	goto L99;
L104:;
	V7= Cnil;
	goto L99;
L101:;
	V7= value0;
	goto L99;
L99:;
	(void)si_structure_set(V6,VV[87],MAKE_FIXNUM(12),V7) /*  STRUCTURE-SET */;
	}
	if((V1)==(VV[127])){
	goto L110;}
	if((V1)==(VV[117])){
	goto L110;}
	if(!((V1)==(VV[187]))){
	goto L108;}
	goto L109;
L110:;
L109:;
	{cl_object V7;
	cl_object V8;
	V7= L19canonicalize_system_name(V2)       /*  CANONICALIZE-SYSTEM-NAME */;
	V8= ecl_symbol_value(VV[55]);
	(void)si_hash_set(V7,V8,V6)               /*  HASH-SET        */;
	goto L106;
	}
L108:;
	goto L106;
L106:;
	(void)L74create_component_pathnames(V6,V4) /*  CREATE-COMPONENT-PATHNAMES */;
	T0= ecl_plus(V5,MAKE_FIXNUM(2));
	(void)L76expand_component_components(2,V6,T0) /*  EXPAND-COMPONENT-COMPONENTS */;
	T0= ecl_function_dispatch(cl_env_copy,VV[494])(1,V6) /*  COMPONENT-COMPONENTS */;
	(void)L81link_component_depends_on(T0)    /*  LINK-COMPONENT-DEPENDS-ON */;
	{cl_object V7;
	T0= ecl_function_dispatch(cl_env_copy,VV[494])(1,V6) /*  COMPONENT-COMPONENTS */;
	V7= L83topological_sort(T0)               /*  TOPOLOGICAL-SORT */;
	(void)si_structure_set(V6,VV[87],MAKE_FIXNUM(17),V7) /*  STRUCTURE-SET */;
	}
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for PREPROCESS-COMPONENT-DEFINITION       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L72preprocess_component_definition(cl_object V1)
{ VT73 VLEX73 CLSR73 STCK73
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  LET1879         */
	cl_object V3;                             /*  SLOT            */
	cl_object V4;
	V2= ecl_symbol_value(VV[85]);
	V3= Cnil;
	V4= V2;
	{cl_object V5;                            /*  VALUE           */
	V5= Cnil;
	{cl_object V6;
	cl_object V7;
	V6= ecl_list1(Cnil);
	V7= V6;
L9:;
	if(!(ecl_endp(V4))){
	goto L13;}
	goto L10;
L13:;
	goto L11;
L11:;
	V3= CAR(V4);
	V4= CDR(V4);
	V5= cl_getf(2,V1,V3)                      /*  GETF            */;
	if((V5)==Cnil){
	goto L23;}
	cl_env_copy->values[0]=si_rem_f(V1,V3)    /*  REM-F           */;
	{
	cl_object V9;
	cl_object V10;                            /*  FLAG            */
	V9= cl_env_copy->values[0];
	V10= cl_env_copy->values[1];
	V1= V9;}
	{cl_object V8;
	V8= cl_list(2,V3,V5)                      /*  LIST            */;
	if (ecl_unlikely(ATOM(V7)))FEtype_error_cons(V7);
	ECL_CONS_CDR(V7) = V8;
	T1= V8;
	}
	V7= cl_cdr(T1)                            /*  CDR             */;
	goto L21;
L23:;
	goto L21;
L21:;
	goto L9;
L10:;
	T0= cl_cdr(V6)                            /*  CDR             */;
	goto L1;
	}
	}
	}
L1:;
	{cl_object V2;                            /*  LET1881         */
	cl_object V3;                             /*  SLOT            */
	cl_object V4;
	V2= ecl_symbol_value(VV[86]);
	V3= Cnil;
	V4= V2;
	{cl_object V5;
	cl_object V6;
	V5= ecl_list1(Cnil);
	V6= V5;
L42:;
	if(!(ecl_endp(V4))){
	goto L46;}
	goto L43;
L46:;
	goto L44;
L44:;
	V3= CAR(V4);
	V4= CDR(V4);
	cl_env_copy->values[0]=si_rem_f(V1,V3)    /*  REM-F           */;
	{
	cl_object V8;
	cl_object V9;                             /*  FLAG            */
	V8= cl_env_copy->values[0];
	V9= cl_env_copy->values[1];
	V1= V8;}
	{cl_object V7;
	T3= cl_getf(2,V1,V3)                      /*  GETF            */;
	T4= cl_list(3,ECL_SYM("LAMBDA",450),Cnil,T3) /*  LIST         */;
	V7= cl_list(2,V3,T4)                      /*  LIST            */;
	if (ecl_unlikely(ATOM(V6)))FEtype_error_cons(V6);
	ECL_CONS_CDR(V6) = V7;
	T2= V7;
	}
	V6= cl_cdr(T2)                            /*  CDR             */;
	goto L42;
L43:;
	T1= cl_cdr(V5)                            /*  CDR             */;
	goto L35;
	}
	}
L35:;
	T2= cl_list(2,ECL_SYM("QUOTE",677),V1)    /*  LIST            */;
	T3= ecl_list1(T2);
	T4= cl_append(3,T0,T1,T3)                 /*  APPEND          */;
	value0=CONS(ECL_SYM("LIST*",480),T4); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function DEFSYSTEM                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC73defsystem(cl_object V1, cl_object V2)
{ VT74 VLEX74 CLSR74 STCK74
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NAME            */
	cl_object V4;                             /*  DEFINITION-BODY */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;
	V5= si_make_seq_iterator(2,V4,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L12:;
	if((V5)!=Cnil){
	goto L16;}
	goto L9;
L16:;
	goto L14;
L14:;
	{cl_object V6;
	V6= si_seq_iterator_ref(V4,V5)            /*  SEQ-ITERATOR-REF */;
	if(!(ecl_eql(VV[190],V6))){
	goto L21;}
	if((V6)!=Cnil){
	goto L8;}
	goto L9;
L21:;
	goto L18;
	}
L18:;
	V5= si_seq_iterator_next(V4,V5)           /*  SEQ-ITERATOR-NEXT */;
	goto L12;
	}
L9:;
	V4= cl_listX(3,VV[190],VV[191],V4)        /*  LIST*           */;
	goto L6;
L8:;
	goto L6;
L6:;
	T0= cl_list(2,ECL_SYM("QUOTE",677),V3)    /*  LIST            */;
	T1= L72preprocess_component_definition(V4) /*  PREPROCESS-COMPONENT-DEFINITION */;
	value0=cl_listX(5,VV[188],VV[127],T0,T1,VV[192]) /*  LIST*    */;
	return value0;
	}
}}
/*	function definition for CREATE-COMPONENT-PATHNAMES            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L74create_component_pathnames(cl_object V1, cl_object V2)
{ VT75 VLEX75 CLSR75 STCK75
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	value0=ecl_function_dispatch(cl_env_copy,VV[513])(1,V1) /*  COMPONENT-LANGUAGE */;
	if((value0)!=Cnil){
	goto L4;}
	if((V2)==Cnil){
	goto L7;}
	V3= ecl_function_dispatch(cl_env_copy,VV[513])(1,V2) /*  COMPONENT-LANGUAGE */;
	goto L2;
L7:;
	V3= Cnil;
	goto L2;
L4:;
	V3= value0;
	goto L2;
L2:;
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(13),V3) /*  STRUCTURE-SET */;
	}
	{cl_object V3;
	value0=ecl_function_dispatch(cl_env_copy,VV[514])(1,V1) /*  COMPONENT-COMPILER */;
	if((value0)!=Cnil){
	goto L12;}
	if((V2)==Cnil){
	goto L15;}
	V3= ecl_function_dispatch(cl_env_copy,VV[514])(1,V2) /*  COMPONENT-COMPILER */;
	goto L10;
L15:;
	V3= Cnil;
	goto L10;
L12:;
	V3= value0;
	goto L10;
L10:;
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(14),V3) /*  STRUCTURE-SET */;
	}
	{cl_object V3;
	value0=ecl_function_dispatch(cl_env_copy,VV[515])(1,V1) /*  COMPONENT-LOADER */;
	if((value0)!=Cnil){
	goto L20;}
	if((V2)==Cnil){
	goto L23;}
	V3= ecl_function_dispatch(cl_env_copy,VV[515])(1,V2) /*  COMPONENT-LOADER */;
	goto L18;
L23:;
	V3= Cnil;
	goto L18;
L20:;
	V3= value0;
	goto L18;
L18:;
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(15),V3) /*  STRUCTURE-SET */;
	}
	{cl_object V3;
	T0= L63component_root_dir(V1,VV[131])     /*  COMPONENT-ROOT-DIR */;
	V3= cl_eval(T0)                           /*  EVAL            */;
	if((V1)==Cnil){
	goto L28;}
	if(!(ecl_eql(VV[131],VV[131]))){
	goto L31;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(6),V3) /*  STRUCTURE-SET */;
	goto L25;
L31:;
	if(!(ecl_eql(VV[131],VV[158]))){
	goto L34;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(10),V3) /*  STRUCTURE-SET */;
	goto L25;
L34:;
	(void)si_ecase_error(3,VV[131],VV[131],VV[194]) /*  ECASE-ERROR */;
	goto L25;
L28:;
	goto L25;
	}
L25:;
	{cl_object V3;
	T0= L63component_root_dir(V1,VV[158])     /*  COMPONENT-ROOT-DIR */;
	V3= cl_eval(T0)                           /*  EVAL            */;
	if((V1)==Cnil){
	goto L39;}
	if(!(ecl_eql(VV[158],VV[131]))){
	goto L42;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(6),V3) /*  STRUCTURE-SET */;
	goto L36;
L42:;
	if(!(ecl_eql(VV[158],VV[158]))){
	goto L45;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(10),V3) /*  STRUCTURE-SET */;
	goto L36;
L45:;
	(void)si_ecase_error(3,VV[158],VV[158],VV[194]) /*  ECASE-ERROR */;
	goto L36;
L39:;
	goto L36;
	}
L36:;
	{cl_object V3;
	T0= L60component_pathname(V1,VV[131])     /*  COMPONENT-PATHNAME */;
	V3= cl_eval(T0)                           /*  EVAL            */;
	if((V1)==Cnil){
	goto L50;}
	if(!(ecl_eql(VV[131],VV[131]))){
	goto L53;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(7),V3) /*  STRUCTURE-SET */;
	goto L47;
L53:;
	if(!(ecl_eql(VV[131],VV[158]))){
	goto L56;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(9),V3) /*  STRUCTURE-SET */;
	goto L47;
L56:;
	(void)si_ecase_error(3,VV[131],VV[131],VV[194]) /*  ECASE-ERROR */;
	goto L47;
L50:;
	goto L47;
	}
L47:;
	{cl_object V3;
	T0= L60component_pathname(V1,VV[158])     /*  COMPONENT-PATHNAME */;
	V3= cl_eval(T0)                           /*  EVAL            */;
	if((V1)==Cnil){
	goto L61;}
	if(!(ecl_eql(VV[158],VV[131]))){
	goto L64;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(7),V3) /*  STRUCTURE-SET */;
	goto L58;
L64:;
	if(!(ecl_eql(VV[158],VV[158]))){
	goto L67;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(9),V3) /*  STRUCTURE-SET */;
	goto L58;
L67:;
	(void)si_ecase_error(3,VV[158],VV[158],VV[194]) /*  ECASE-ERROR */;
	goto L58;
L61:;
	goto L58;
	}
L58:;
	{cl_object V3;
	value0=ecl_function_dispatch(cl_env_copy,VV[490])(1,V1) /*  COMPONENT-HOST */;
	if((value0)!=Cnil){
	goto L72;}
	if((V2)==Cnil){
	goto L76;}
	value0=ecl_function_dispatch(cl_env_copy,VV[490])(1,V2) /*  COMPONENT-HOST */;
	goto L74;
L76:;
	value0=Cnil;
	goto L74;
L74:;
	if((value0)!=Cnil){
	goto L72;}
	V3= cl_pathname_host(1,ecl_symbol_value(ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",30))) /*  PATHNAME-HOST */;
	goto L70;
L72:;
	V3= value0;
	goto L70;
L70:;
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(4),V3) /*  STRUCTURE-SET */;
	}
	{cl_object V3;
	value0=ecl_function_dispatch(cl_env_copy,VV[491])(1,V1) /*  COMPONENT-DEVICE */;
	if((value0)!=Cnil){
	goto L81;}
	if((V2)==Cnil){
	goto L84;}
	V3= ecl_function_dispatch(cl_env_copy,VV[491])(1,V2) /*  COMPONENT-DEVICE */;
	goto L79;
L84:;
	V3= Cnil;
	goto L79;
L81:;
	V3= value0;
	goto L79;
L79:;
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(5),V3) /*  STRUCTURE-SET */;
	}
	{cl_object V3;
	value0=L69component_extension(4,V1,VV[131],ECL_SYM("LOCAL",1240),Ct) /*  COMPONENT-EXTENSION */;
	if((value0)!=Cnil){
	goto L89;}
	if((ecl_function_dispatch(cl_env_copy,VV[513])(1,V1) /*  COMPONENT-LANGUAGE */)==Cnil){
	goto L93;}
	value0=L117default_source_extension(V1)   /*  DEFAULT-SOURCE-EXTENSION */;
	goto L91;
L93:;
	value0=Cnil;
	goto L91;
L91:;
	if((value0)!=Cnil){
	goto L89;}
	if((V2)==Cnil){
	goto L96;}
	V3= L69component_extension(2,V2,VV[131])  /*  COMPONENT-EXTENSION */;
	goto L87;
L96:;
	V3= Cnil;
	goto L87;
L89:;
	V3= value0;
	goto L87;
L87:;
	if(!(ecl_eql(VV[131],VV[131]))){
	goto L99;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(8),V3) /*  STRUCTURE-SET */;
	goto L86;
L99:;
	if(!(ecl_eql(VV[131],VV[158]))){
	goto L102;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(11),V3) /*  STRUCTURE-SET */;
	goto L86;
L102:;
	if(!(ecl_eql(VV[131],ECL_SYM("ERROR",1203)))){
	goto L105;}
	cl_set(VV[26],V3);
	goto L86;
L105:;
	(void)si_ecase_error(3,VV[131],VV[131],VV[161]) /*  ECASE-ERROR */;
	goto L86;
	}
L86:;
	{cl_object V3;
	value0=L69component_extension(4,V1,VV[158],ECL_SYM("LOCAL",1240),Ct) /*  COMPONENT-EXTENSION */;
	if((value0)!=Cnil){
	goto L111;}
	if((ecl_function_dispatch(cl_env_copy,VV[513])(1,V1) /*  COMPONENT-LANGUAGE */)==Cnil){
	goto L115;}
	value0=L118default_binary_extension(V1)   /*  DEFAULT-BINARY-EXTENSION */;
	goto L113;
L115:;
	value0=Cnil;
	goto L113;
L113:;
	if((value0)!=Cnil){
	goto L111;}
	if((V2)==Cnil){
	goto L118;}
	V3= L69component_extension(2,V2,VV[158])  /*  COMPONENT-EXTENSION */;
	goto L109;
L118:;
	V3= Cnil;
	goto L109;
L111:;
	V3= value0;
	goto L109;
L109:;
	if(!(ecl_eql(VV[158],VV[131]))){
	goto L121;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(8),V3) /*  STRUCTURE-SET */;
	goto L108;
L121:;
	if(!(ecl_eql(VV[158],VV[158]))){
	goto L124;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(11),V3) /*  STRUCTURE-SET */;
	goto L108;
L124:;
	if(!(ecl_eql(VV[158],ECL_SYM("ERROR",1203)))){
	goto L127;}
	cl_set(VV[26],V3);
	goto L108;
L127:;
	(void)si_ecase_error(3,VV[158],VV[158],VV[161]) /*  ECASE-ERROR */;
	goto L108;
	}
L108:;
	(void)L75generate_component_pathname(V1,V2,VV[131]) /*  GENERATE-COMPONENT-PATHNAME */;
	value0=L75generate_component_pathname(V1,V2,VV[158]) /*  GENERATE-COMPONENT-PATHNAME */;
	return value0;
}}
/*	function definition for GENERATE-COMPONENT-PATHNAME           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L75generate_component_pathname(cl_object V1, cl_object V2, cl_object V3)
{ VT76 VLEX76 CLSR76 STCK76
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;
	V4= ecl_function_dispatch(cl_env_copy,VV[136])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V4,VV[127]))){
	goto L8;}
	goto L5;
	goto L6;
L8:;
	goto L6;
L6:;
	if(!(ecl_eql(V4,VV[117]))){
	goto L3;}
	goto L4;
L5:;
L4:;
	{cl_object V5;
	value0=L60component_pathname(V1,V3)       /*  COMPONENT-PATHNAME */;
	if((value0)!=Cnil){
	goto L14;}
	if(!((V3)==(VV[158]))){
	goto L17;}
	V5= L63component_root_dir(V1,VV[131])     /*  COMPONENT-ROOT-DIR */;
	goto L12;
L17:;
	V5= Cnil;
	goto L12;
L14:;
	V5= value0;
	goto L12;
L12:;
	if((V1)==Cnil){
	goto L20;}
	if(!(ecl_eql(V3,VV[131]))){
	goto L23;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(6),V5) /*  STRUCTURE-SET */;
	goto L11;
L23:;
	if(!(ecl_eql(V3,VV[158]))){
	goto L26;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(10),V5) /*  STRUCTURE-SET */;
	goto L11;
L26:;
	(void)si_ecase_error(3,VV[198],V3,VV[194]) /*  ECASE-ERROR    */;
	goto L11;
L20:;
	goto L11;
	}
L11:;
	if((V1)==Cnil){
	goto L29;}
	if(!(ecl_eql(V3,VV[131]))){
	goto L32;}
	value0=si_structure_set(V1,VV[87],MAKE_FIXNUM(7),Cnil) /*  STRUCTURE-SET */;
	return value0;
L32:;
	if(!(ecl_eql(V3,VV[158]))){
	goto L35;}
	value0=si_structure_set(V1,VV[87],MAKE_FIXNUM(9),Cnil) /*  STRUCTURE-SET */;
	return value0;
L35:;
	value0=si_ecase_error(3,VV[199],V3,VV[194]) /*  ECASE-ERROR   */;
	return value0;
L29:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L3:;
	if(!(ecl_eql(V4,VV[129]))){
	goto L38;}
	if((V1)==Cnil){
	goto L42;}
	if(!(ecl_eql(V3,VV[131]))){
	goto L45;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(6),_ecl_static_13) /*  STRUCTURE-SET */;
	goto L40;
L45:;
	if(!(ecl_eql(V3,VV[158]))){
	goto L48;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(10),_ecl_static_13) /*  STRUCTURE-SET */;
	goto L40;
L48:;
	(void)si_ecase_error(3,VV[200],V3,VV[194]) /*  ECASE-ERROR    */;
	goto L40;
L42:;
	goto L40;
L40:;
	T0= L60component_pathname(V1,V3)          /*  COMPONENT-PATHNAME */;
	if((L13null_string(T0)                    /*  NULL-STRING     */)==Cnil){
	goto L52;}
	if((V1)==Cnil){
	goto L55;}
	if(!(ecl_eql(V3,VV[131]))){
	goto L58;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(7),Cnil) /*  STRUCTURE-SET */;
	goto L50;
L58:;
	if(!(ecl_eql(V3,VV[158]))){
	goto L61;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(9),Cnil) /*  STRUCTURE-SET */;
	goto L50;
L61:;
	(void)si_ecase_error(3,VV[201],V3,VV[194]) /*  ECASE-ERROR    */;
	goto L50;
L55:;
	goto L50;
L52:;
	goto L50;
L50:;
	{cl_object V5;
	if(!((V3)==(VV[158]))){
	goto L68;}
	T0= L60component_pathname(V1,VV[158])     /*  COMPONENT-PATHNAME */;
	if(!(T0==Cnil)){
	goto L68;}
	value0=L60component_pathname(V1,VV[131])  /*  COMPONENT-PATHNAME */;
	goto L66;
L68:;
	value0=Cnil;
	goto L66;
L66:;
	if((value0)!=Cnil){
	goto L65;}
	if((L60component_pathname(V1,V3)          /*  COMPONENT-PATHNAME */)==Cnil){
	goto L75;}
	value0=L60component_pathname(V1,V3)       /*  COMPONENT-PATHNAME */;
	goto L73;
L75:;
	value0=Cnil;
	goto L73;
L73:;
	if((value0)!=Cnil){
	goto L72;}
	V5= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	goto L63;
L72:;
	V5= value0;
	goto L63;
L65:;
	V5= value0;
	goto L63;
L63:;
	if((V1)==Cnil){
	goto L78;}
	if(!(ecl_eql(V3,VV[131]))){
	goto L81;}
	value0=si_structure_set(V1,VV[87],MAKE_FIXNUM(7),V5) /*  STRUCTURE-SET */;
	return value0;
L81:;
	if(!(ecl_eql(V3,VV[158]))){
	goto L84;}
	value0=si_structure_set(V1,VV[87],MAKE_FIXNUM(9),V5) /*  STRUCTURE-SET */;
	return value0;
L84:;
	value0=si_ecase_error(3,VV[202],V3,VV[194]) /*  ECASE-ERROR   */;
	return value0;
L78:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L38:;
	if(!(ecl_eql(V4,VV[203]))){
	goto L92;}
	goto L89;
	goto L90;
L92:;
	goto L90;
L90:;
	if(!(ecl_eql(V4,VV[187]))){
	goto L87;}
	goto L88;
L89:;
L88:;
	{cl_object V6;
	V6= L63component_root_dir(V2,V3)          /*  COMPONENT-ROOT-DIR */;
	if((V1)==Cnil){
	goto L98;}
	if(!(ecl_eql(V3,VV[131]))){
	goto L101;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(6),V6) /*  STRUCTURE-SET */;
	goto L95;
L101:;
	if(!(ecl_eql(V3,VV[158]))){
	goto L104;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(10),V6) /*  STRUCTURE-SET */;
	goto L95;
L104:;
	(void)si_ecase_error(3,VV[206],V3,VV[194]) /*  ECASE-ERROR    */;
	goto L95;
L98:;
	goto L95;
	}
L95:;
	{cl_object V6;
	if(!((V3)==(VV[158]))){
	goto L111;}
	T0= L60component_pathname(V1,VV[158])     /*  COMPONENT-PATHNAME */;
	if(!(T0==Cnil)){
	goto L111;}
	value0=L60component_pathname(V1,VV[131])  /*  COMPONENT-PATHNAME */;
	goto L109;
L111:;
	value0=Cnil;
	goto L109;
L109:;
	if((value0)!=Cnil){
	goto L108;}
	T0= L60component_pathname(V2,V3)          /*  COMPONENT-PATHNAME */;
	value0=L60component_pathname(V1,V3)       /*  COMPONENT-PATHNAME */;
	if((value0)!=Cnil){
	goto L116;}
	T1= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	goto L114;
L116:;
	T1= value0;
	goto L114;
L114:;
	V6= L30append_directories(T0,T1)          /*  APPEND-DIRECTORIES */;
	goto L106;
L108:;
	V6= value0;
	goto L106;
L106:;
	if((V1)==Cnil){
	goto L119;}
	if(!(ecl_eql(V3,VV[131]))){
	goto L122;}
	value0=si_structure_set(V1,VV[87],MAKE_FIXNUM(7),V6) /*  STRUCTURE-SET */;
	return value0;
L122:;
	if(!(ecl_eql(V3,VV[158]))){
	goto L125;}
	value0=si_structure_set(V1,VV[87],MAKE_FIXNUM(9),V6) /*  STRUCTURE-SET */;
	return value0;
L125:;
	value0=si_ecase_error(3,VV[207],V3,VV[194]) /*  ECASE-ERROR   */;
	return value0;
L119:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L87:;
	if(!(ecl_eql(V4,ECL_SYM("FILE",1211)))){
	goto L128;}
	{cl_object V7;
	V7= L63component_root_dir(V2,V3)          /*  COMPONENT-ROOT-DIR */;
	if((V1)==Cnil){
	goto L133;}
	if(!(ecl_eql(V3,VV[131]))){
	goto L136;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(6),V7) /*  STRUCTURE-SET */;
	goto L130;
L136:;
	if(!(ecl_eql(V3,VV[158]))){
	goto L139;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(10),V7) /*  STRUCTURE-SET */;
	goto L130;
L139:;
	(void)si_ecase_error(3,VV[208],V3,VV[194]) /*  ECASE-ERROR    */;
	goto L130;
L133:;
	goto L130;
	}
L130:;
	T0= L60component_pathname(V1,V3)          /*  COMPONENT-PATHNAME */;
	if((L13null_string(T0)                    /*  NULL-STRING     */)==Cnil){
	goto L143;}
	if((V1)==Cnil){
	goto L146;}
	if(!(ecl_eql(V3,VV[131]))){
	goto L149;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(7),Cnil) /*  STRUCTURE-SET */;
	goto L141;
L149:;
	if(!(ecl_eql(V3,VV[158]))){
	goto L152;}
	(void)si_structure_set(V1,VV[87],MAKE_FIXNUM(9),Cnil) /*  STRUCTURE-SET */;
	goto L141;
L152:;
	(void)si_ecase_error(3,VV[209],V3,VV[194]) /*  ECASE-ERROR    */;
	goto L141;
L146:;
	goto L141;
L143:;
	goto L141;
L141:;
	{cl_object V7;
	T0= L60component_pathname(V2,V3)          /*  COMPONENT-PATHNAME */;
	value0=L60component_pathname(V1,V3)       /*  COMPONENT-PATHNAME */;
	if((value0)!=Cnil){
	goto L157;}
	value0=ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	if((value0)!=Cnil){
	goto L157;}
	if(!((V3)==(VV[158]))){
	goto L161;}
	T1= L60component_pathname(V1,VV[131])     /*  COMPONENT-PATHNAME */;
	goto L155;
L161:;
	T1= Cnil;
	goto L155;
L157:;
	T1= value0;
	goto L155;
L155:;
	V7= L30append_directories(T0,T1)          /*  APPEND-DIRECTORIES */;
	if((V1)==Cnil){
	goto L164;}
	if(!(ecl_eql(V3,VV[131]))){
	goto L167;}
	value0=si_structure_set(V1,VV[87],MAKE_FIXNUM(7),V7) /*  STRUCTURE-SET */;
	return value0;
L167:;
	if(!(ecl_eql(V3,VV[158]))){
	goto L170;}
	value0=si_structure_set(V1,VV[87],MAKE_FIXNUM(9),V7) /*  STRUCTURE-SET */;
	return value0;
L170:;
	value0=si_ecase_error(3,VV[210],V3,VV[194]) /*  ECASE-ERROR   */;
	return value0;
L164:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L128:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for EXPAND-COMPONENT-COMPONENTS           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L76expand_component_components(cl_narg narg, cl_object V1, ...)
{ VT77 VLEX77 CLSR77 STCK77
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  DEFINITIONS     */
	V3= ecl_function_dispatch(cl_env_copy,VV[494])(1,V1) /*  COMPONENT-COMPONENTS */;
	T0= cl_car(V3)                            /*  CAR             */;
	if(!((T0)==(VV[212]))){
	goto L4;}
	{cl_object V4;
	T0= cl_cdr(V3)                            /*  CDR             */;
	V4= L78expand_serial_component_chain(3,T0,V1,V2) /*  EXPAND-SERIAL-COMPONENT-CHAIN */;
	value0=si_structure_set(V1,VV[87],MAKE_FIXNUM(17),V4) /*  STRUCTURE-SET */;
	return value0;
	}
L4:;
	{cl_object V5;
	V5= L77expand_component_definitions(3,V3,V1,V2) /*  EXPAND-COMPONENT-DEFINITIONS */;
	value0=si_structure_set(V1,VV[87],MAKE_FIXNUM(17),V5) /*  STRUCTURE-SET */;
	return value0;
	}
	}
}}
/*	function definition for EXPAND-COMPONENT-DEFINITIONS          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L77expand_component_definitions(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT78 VLEX78 CLSR78 STCK78
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  COMPONENTS      */
	V4= Cnil;
	{cl_object V5;                            /*  %DOLIST-VAR     */
	cl_object V6;                             /*  DEFINITION      */
	V5= V1;
	V6= Cnil;
	goto L9;
L8:;
	V6= cl_first(V5)                          /*  FIRST           */;
	{cl_object V7;                            /*  NEW             */
	V7= L80expand_component_definition(3,V6,V2,V3) /*  EXPAND-COMPONENT-DEFINITION */;
	if((V7)==Cnil){
	goto L16;}
	V4= CONS(V7,V4);
	goto L13;
L16:;
	goto L13;
	}
L13:;
	V5= CDR(V5);
L9:;
	if((V5)==Cnil){
	goto L23;}
	goto L8;
L23:;
	goto L21;
L21:;
	goto L6;
L6:;
	}
	value0=cl_nreverse(V4)                    /*  NREVERSE        */;
	return value0;
	}
}}
/*	function definition for EXPAND-SERIAL-COMPONENT-CHAIN         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L78expand_serial_component_chain(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT79 VLEX79 CLSR79 STCK79
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  PREVIOUS        */
	cl_object V5;                             /*  COMPONENTS      */
	V4= Cnil;
	V5= Cnil;
	{cl_object V6;                            /*  %DOLIST-VAR     */
	cl_object V7;                             /*  DEFINITION      */
	V6= V1;
	V7= Cnil;
	goto L10;
L9:;
	V7= cl_first(V6)                          /*  FIRST           */;
	{cl_object V8;                            /*  NEW             */
	V8= L80expand_component_definition(3,V7,V2,V3) /*  EXPAND-COMPONENT-DEFINITION */;
	if((V8)==Cnil){
	goto L17;}
	if((V4)==Cnil){
	goto L21;}
	{cl_object V9;
	T0= ecl_function_dispatch(cl_env_copy,VV[493])(1,V8) /*  COMPONENT-DEPENDS-ON */;
	V9= cl_adjoin(2,V4,T0)                    /*  ADJOIN          */;
	(void)si_structure_set(V8,VV[87],MAKE_FIXNUM(18),V9) /*  STRUCTURE-SET */;
	goto L19;
	}
L21:;
	goto L19;
L19:;
	V4= ecl_function_dispatch(cl_env_copy,VV[137])(1,V8) /*  COMPONENT-NAME */;
	V5= CONS(V8,V5);
	goto L14;
L17:;
	goto L14;
	}
L14:;
	V6= CDR(V6);
L10:;
	if((V6)==Cnil){
	goto L31;}
	goto L9;
L31:;
	goto L29;
L29:;
	goto L7;
L7:;
	}
	value0=cl_nreverse(V5)                    /*  NREVERSE        */;
	return value0;
	}
}}
/*	function definition for ABSOLUTE-FILE-NAMESTRING-P            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L79absolute_file_namestring_p(cl_object V1)
{ VT80 VLEX80 CLSR80 STCK80
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;
	V2= si_make_seq_iterator(2,V1,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L6:;
	if((V2)!=Cnil){
	goto L10;}
	value0=Cnil;
	goto L3;
L10:;
	goto L8;
L8:;
	{cl_object V3;
	V3= si_seq_iterator_ref(V1,V2)            /*  SEQ-ITERATOR-REF */;
	if(!(ecl_char_code(CODE_CHAR('\72'))==ecl_char_code(V3))){
	goto L15;}
	value0=V3;
	goto L3;
L15:;
	goto L12;
	}
L12:;
	V2= si_seq_iterator_next(V1,V2)           /*  SEQ-ITERATOR-NEXT */;
	goto L6;
	}
L3:;
	if((value0)!=Cnil){
	goto L2;}
	if((L13null_string(V1)                    /*  NULL-STRING     */)!=Cnil){
	goto L20;}
	{ecl_character V2;
	V2= ecl_char(V1,0);
	value0=ecl_make_bool((V2)==((ecl_character)('\57'))); cl_env_copy->nvalues=1;
	return value0;}
L20:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for EXPAND-COMPONENT-DEFINITION           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L80expand_component_definition(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT81 VLEX81 CLSR81 STCK81
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!(V1==Cnil)){
	goto L3;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L3:;
	if(!(ECL_STRINGP(V1))){
	goto L6;}
	if((ecl_symbol_value(VV[216]))==Cnil){
	goto L9;}
	if((L79absolute_file_namestring_p(V1)     /*  ABSOLUTE-FILE-NAMESTRING-P */)==Cnil){
	goto L9;}
	value0=L71create_component(5,VV[129],V1,Cnil,V2,V3) /*  CREATE-COMPONENT */;
	return value0;
L9:;
	value0=L71create_component(5,ECL_SYM("FILE",1211),V1,Cnil,V2,V3) /*  CREATE-COMPONENT */;
	return value0;
L6:;
	if(!(ECL_LISTP(V1))){
	goto L13;}
	T0= cl_car(V1)                            /*  CAR             */;
	if((ecl_memql(T0,VV[218]))!=Cnil){
	goto L13;}
	T0= cl_first(V1)                          /*  FIRST           */;
	T1= cl_rest(V1)                           /*  REST            */;
	value0=L71create_component(5,ECL_SYM("FILE",1211),T0,T1,V2,V3) /*  CREATE-COMPONENT */;
	return value0;
L13:;
	if(!(ECL_LISTP(V1))){
	goto L17;}
	T0= cl_first(V1)                          /*  FIRST           */;
	T1= cl_second(V1)                         /*  SECOND          */;
	T2= cl_cddr(V1)                           /*  CDDR            */;
	value0=L71create_component(5,T0,T1,T2,V2,V3) /*  CREATE-COMPONENT */;
	return value0;
L17:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LINK-COMPONENT-DEPENDS-ON             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L81link_component_depends_on(cl_object V1)
{ VT82 VLEX82 CLSR82 STCK82
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  %DOLIST-VAR     */
	cl_object V3;                             /*  COMPONENT       */
	V2= V1;
	V3= Cnil;
	goto L6;
L5:;
	V3= cl_first(V2)                          /*  FIRST           */;
	if((ecl_symbol_value(VV[32]))==Cnil){
	goto L15;}
	T0= ecl_function_dispatch(cl_env_copy,VV[136])(1,V3) /*  COMPONENT-TYPE */;
	if((T0)==(VV[127])){
	goto L12;}
	goto L13;
L15:;
	goto L13;
L13:;
	{cl_object V4;
	{cl_object V5;                            /*  LET1885         */
	cl_object V6;
	cl_object V7;
	V5= ecl_function_dispatch(cl_env_copy,VV[493])(1,V3) /*  COMPONENT-DEPENDS-ON */;
	V6= Cnil;
	V7= V5;
	{cl_object V8;
	cl_object V9;
	V8= ecl_list1(Cnil);
	V9= V8;
L24:;
	if(!(ecl_endp(V7))){
	goto L28;}
	goto L25;
L28:;
	goto L26;
L26:;
	V6= CAR(V7);
	V7= CDR(V7);
	T0= V9;
	{cl_object V10;                           /*  PARENT          */
	{cl_object V11;
	V11= cl_string(V6)                        /*  STRING          */;
	{cl_object V12;
	V12= si_make_seq_iterator(2,V1,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L41:;
	if((V12)!=Cnil){
	goto L45;}
	V10= Cnil;
	goto L37;
L45:;
	goto L43;
L43:;
	{cl_object V13;
	V13= si_seq_iterator_ref(V1,V12)          /*  SEQ-ITERATOR-REF */;
	T2= ecl_function_dispatch(cl_env_copy,VV[137])(1,V13) /*  COMPONENT-NAME */;
	if((cl_string_equal(2,V11,T2)             /*  STRING-EQUAL    */)==Cnil){
	goto L50;}
	V10= V13;
	goto L37;
L50:;
	goto L47;
	}
L47:;
	V12= si_seq_iterator_next(V1,V12)         /*  SEQ-ITERATOR-NEXT */;
	goto L41;
	}
	}
L37:;
	if((V10)==Cnil){
	goto L55;}
	T1= V10;
	goto L36;
L55:;
	T1= (cl_env_copy->function=(ECL_SYM("WARN",901)->symbol.gfdef))->cfun.entry(3,_ecl_static_91,V6,V3) /*  WARN */;
	goto L36;
	}
L36:;
	V9= ecl_list1(T1);
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V9;
	goto L24;
L25:;
	V4= cl_cdr(V8)                            /*  CDR             */;
	goto L17;
	}
	}
L17:;
	(void)si_structure_set(V3,VV[87],MAKE_FIXNUM(18),V4) /*  STRUCTURE-SET */;
	goto L10;
	}
L12:;
	goto L10;
L10:;
	V2= CDR(V2);
L6:;
	if((V2)==Cnil){
	goto L63;}
	goto L5;
L63:;
	goto L61;
L61:;
	goto L3;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for TOPOLOGICAL-SORT                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L83topological_sort(cl_object V1)
{ VT83 VLEX83 CLSR83 STCK83
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	lex0[0]= Cnil;                            /*  SORTED-LIST     */
	{cl_object V2;                            /*  %DOLIST-VAR     */
	cl_object V3;                             /*  ZNODE           */
	V2= V1;
	V3= Cnil;
	goto L7;
L6:;
	V3= cl_first(V2)                          /*  FIRST           */;
	(void)si_structure_set(V3,VV[76],MAKE_FIXNUM(0),VV[80]) /*  STRUCTURE-SET */;
	V2= CDR(V2);
L7:;
	if((V2)==Cnil){
	goto L16;}
	goto L6;
L16:;
	goto L14;
L14:;
	goto L4;
L4:;
	}
	{cl_object V2;                            /*  %DOLIST-VAR     */
	cl_object V3;                             /*  ZNODE           */
	V2= V1;
	V3= Cnil;
	goto L24;
L23:;
	V3= cl_first(V2)                          /*  FIRST           */;
	T0= ecl_function_dispatch(cl_env_copy,VV[524])(1,V3) /*  TOPSORT-COLOR */;
	if(!((T0)==(VV[80]))){
	goto L30;}
	(void)LC82dfs_visit(lex0,V3)              /*  DFS-VISIT       */;
	goto L28;
L30:;
	goto L28;
L28:;
	V2= CDR(V2);
L24:;
	if((V2)==Cnil){
	goto L36;}
	goto L23;
L36:;
	goto L34;
L34:;
	goto L21;
L21:;
	}
	value0=cl_nreverse(lex0[0])               /*  NREVERSE        */;
	return value0;
}}
/*	local function DFS-VISIT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC82dfs_visit(volatile cl_object *lex0, cl_object V1)
{ VT84 VLEX84 CLSR84 STCK84
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)si_structure_set(V1,VV[76],MAKE_FIXNUM(0),VV[221]) /*  STRUCTURE-SET */;
	if((ecl_symbol_value(VV[32]))==Cnil){
	goto L7;}
	T0= ecl_function_dispatch(cl_env_copy,VV[136])(1,V1) /*  COMPONENT-TYPE */;
	if((T0)==(VV[117])){
	goto L4;}
	goto L5;
L7:;
	goto L5;
L5:;
	{cl_object V2;                            /*  %DOLIST-VAR     */
	cl_object V3;                             /*  CHILD           */
	V2= ecl_function_dispatch(cl_env_copy,VV[493])(1,V1) /*  COMPONENT-DEPENDS-ON */;
	V3= Cnil;
	goto L14;
L13:;
	V3= cl_first(V2)                          /*  FIRST           */;
	T0= ecl_function_dispatch(cl_env_copy,VV[524])(1,V3) /*  TOPSORT-COLOR */;
	if(!((T0)==(VV[80]))){
	goto L20;}
	(void)LC82dfs_visit(lex0,V3)              /*  DFS-VISIT       */;
	goto L18;
L20:;
	T0= ecl_function_dispatch(cl_env_copy,VV[524])(1,V3) /*  TOPSORT-COLOR */;
	if(!((T0)==(VV[221]))){
	goto L23;}
	(void)cl_format(3,Ct,_ecl_static_92,V3)   /*  FORMAT          */;
	goto L18;
L23:;
	goto L18;
L18:;
	V2= CDR(V2);
L14:;
	if((V2)==Cnil){
	goto L29;}
	goto L13;
L29:;
	goto L27;
L27:;
	goto L11;
L11:;
	goto L2;
	}
L4:;
	goto L2;
L2:;
	(void)si_structure_set(V1,VV[76],MAKE_FIXNUM(0),VV[222]) /*  STRUCTURE-SET */;
	lex0[0]= CONS(V1,lex0[0]);
	value0=lex0[0]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SPLIT-STRING                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L84split_string(cl_narg narg, cl_object V1, ...)
{ VT85 VLEX85 CLSR85 STCK85
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L84split_stringkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[2]==Cnil){
	V2= CODE_CHAR('\40');
	}else{
	V2= keyvars[0];}
	if(keyvars[3]==Cnil){
	V3= (ECL_SYM("CHAR=",217)->symbol.gfdef);
	}else{
	V3= keyvars[1];}
	}
	{cl_fixnum V4;                            /*  LET1886         */
	cl_object V5;                             /*  INDEX           */
	cl_object V6;                             /*  RESULT          */
	V4= ecl_length(V1);
	V5= MAKE_FIXNUM(0);
	V6= Cnil;
	{cl_object V7;                            /*  I               */
	V7= MAKE_FIXNUM(0);
	goto L10;
L9:;
	T0= cl_char(V1,V7)                        /*  CHAR            */;
	if((ecl_function_dispatch(cl_env_copy,V3)(2,T0,V2))==Cnil){
	goto L14;}
	if(ecl_number_equalp(V5,V7)){
	goto L18;}
	T0= cl_subseq(3,V1,V5,V7)                 /*  SUBSEQ          */;
	V6= CONS(T0,V6);
	goto L16;
L18:;
	goto L16;
L16:;
	V5= ecl_one_plus(V7);
	goto L12;
L14:;
	goto L12;
L12:;
	V7= ecl_one_plus(V7);
L10:;
	if(!(ecl_number_compare(V7,MAKE_FIXNUM(V4))<0)){
	goto L26;}
	goto L9;
L26:;
	goto L24;
L24:;
	goto L6;
	}
L6:;
	if(ecl_number_equalp(V5,MAKE_FIXNUM(V4))){
	goto L30;}
	T0= cl_subseq(2,V1,V5)                    /*  SUBSEQ          */;
	V6= CONS(T0,V6);
	goto L28;
L30:;
	goto L28;
L28:;
	value0=cl_reverse(V6)                     /*  REVERSE         */;
	return value0;
	}
}}
/*	function definition for PROMPT-STRING                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L85prompt_string(cl_object V1)
{ VT86 VLEX86 CLSR86 STCK86
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_symbol_value(VV[17]);
	T1= ecl_function_dispatch(cl_env_copy,VV[529])(1,V1) /*  COMPONENT-INDENT */;
	value0=cl_format(4,Cnil,_ecl_static_93,T0,T1) /*  FORMAT      */;
	return value0;
}}
/*	function definition for FORMAT-JUSTIFIED-STRING               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L86format_justified_string(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT87 VLEX87 CLSR87 STCK87
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(80);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",65));
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V5;                            /*  PROMPT-LENGTH   */
	{cl_fixnum V6;
	V6= ecl_length(V1);
	V5= ecl_plus(MAKE_FIXNUM(2),MAKE_FIXNUM(V6));}
	{cl_fixnum V6;
	V6= ecl_length(V2);
	T0= ecl_plus(V5,MAKE_FIXNUM(V6));
	if(!(ecl_number_compare(T0,V3)<0)){
	goto L6;}}
	(void)cl_format(4,V4,_ecl_static_94,V1,V2) /*  FORMAT         */;
	goto L3;
L6:;
	(void)cl_format(3,V4,_ecl_static_95,V1)   /*  FORMAT          */;
	{cl_object V6;                            /*  CURSOR          */
	cl_object V7;                             /*  CONTENTS        */
	cl_object V8;                             /*  CONTENT         */
	cl_object V9;                             /*  CONTENT-LENGTH  */
	V6= V5;
	V7= L84split_string(1,V2)                 /*  SPLIT-STRING    */;
	V8= cl_car(V7)                            /*  CAR             */;
	{cl_fixnum V10;
	V10= ecl_length(V8);
	V9= ecl_one_plus(MAKE_FIXNUM(V10));}
	goto L16;
L15:;
	T0= ecl_plus(V6,V9);
	if(!(ecl_number_compare(T0,V3)<0)){
	goto L20;}
	V6= ecl_plus(V6,V9);
	(void)cl_format(3,V4,_ecl_static_96,V8)   /*  FORMAT          */;
	goto L18;
L20:;
	V6= ecl_plus(V5,V9);
	(void)cl_format(4,V4,_ecl_static_97,V1,V8) /*  FORMAT         */;
	goto L18;
L18:;
	V7= cl_cdr(V7)                            /*  CDR             */;
	V8= cl_car(V7)                            /*  CAR             */;
	{cl_fixnum V10;
	V10= ecl_length(V8);
	V9= ecl_one_plus(MAKE_FIXNUM(V10));}
L16:;
	if(V7==Cnil){
	goto L34;}
	goto L15;
L34:;
	goto L32;
L32:;
	goto L13;
L13:;
	goto L3;
	}
	}
L3:;
	value0=cl_finish_output(1,V4)             /*  FINISH-OUTPUT   */;
	return value0;
}}
/*	function definition for TELL-USER                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L87tell_user(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT88 VLEX88 CLSR88 STCK88
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>5)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V5= Cnil;
	} else {
	i++;
	V5= va_arg(args,cl_object);
	}}
	va_end(args);
	if((ecl_symbol_value(VV[16]))!=Cnil){
	goto L7;}
	if((V5)==Cnil){
	goto L5;}
	goto L6;
L7:;
L6:;
	T0= L85prompt_string(V2)                  /*  PROMPT-STRING   */;
	if(!((V1)==(ECL_SYM("COMPILE",231)))){
	goto L16;}
	goto L13;
	goto L14;
L16:;
	goto L14;
L14:;
	if(!(ecl_eql(V1,VV[228]))){
	goto L11;}
	goto L12;
L13:;
L12:;
	if((ecl_function_dispatch(cl_env_copy,VV[506])(1,V2) /*  COMPONENT-LOAD-ONLY */)==Cnil){
	goto L20;}
	T1= _ecl_static_99;
	goto L9;
L20:;
	T1= _ecl_static_100;
	goto L9;
L11:;
	if(!((V1)==(ECL_SYM("LOAD",485)))){
	goto L28;}
	goto L25;
	goto L26;
L28:;
	goto L26;
L26:;
	if(!(ecl_eql(V1,VV[150]))){
	goto L23;}
	goto L24;
L25:;
L24:;
	T1= _ecl_static_99;
	goto L9;
L23:;
	T1= V1;
	goto L9;
L9:;
	T2= ecl_function_dispatch(cl_env_copy,VV[136])(1,V2) /*  COMPONENT-TYPE */;
	if((V3)==Cnil){
	goto L36;}
	value0=L66component_full_pathname(2,V2,V3) /*  COMPONENT-FULL-PATHNAME */;
	goto L34;
L36:;
	value0=Cnil;
	goto L34;
L34:;
	if((value0)!=Cnil){
	goto L33;}
	T3= ecl_function_dispatch(cl_env_copy,VV[137])(1,V2) /*  COMPONENT-NAME */;
	goto L31;
L33:;
	T3= value0;
	goto L31;
L31:;
	if((ecl_symbol_value(VV[15]))==Cnil){
	goto L40;}
	T4= Null(V4)?Ct:Cnil;
	goto L38;
L40:;
	T4= Cnil;
	goto L38;
L38:;
	T5= cl_format(6,Cnil,_ecl_static_98,T1,T2,T3,T4) /*  FORMAT   */;
	value0=L86format_justified_string(2,T0,T5) /*  FORMAT-JUSTIFIED-STRING */;
	return value0;
L5:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TELL-USER-DONE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L88tell_user_done(cl_narg narg, cl_object V1, ...)
{ VT89 VLEX89 CLSR89 STCK89
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if((ecl_symbol_value(VV[15]))==Cnil){
	goto L4;}
	if((ecl_symbol_value(VV[16]))!=Cnil){
	goto L7;}
	if((V2)==Cnil){
	goto L4;}
	goto L5;
L7:;
L5:;
	T0= L85prompt_string(V1)                  /*  PROMPT-STRING   */;
	T1= Null(V3)?Ct:Cnil;
	(void)cl_format(4,Ct,_ecl_static_101,T0,T1) /*  FORMAT        */;
	value0=cl_finish_output(1,ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",65))) /*  FINISH-OUTPUT */;
	return value0;
L4:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function WITH-TELL-USER                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC89with_tell_user(cl_object V1, cl_object V2)
{ VT90 VLEX90 CLSR90 STCK90
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  WHAT            */
	cl_object V5;                             /*  COMPONENT       */
	cl_object V6;                             /*  TYPE            */
	cl_object V7;                             /*  NO-DOTS         */
	cl_object V8;                             /*  FORCE           */
	cl_object V9;                             /*  BODY            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((V3)==Cnil){
	goto L7;}
	V4= cl_car(V3)                            /*  CAR             */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdr(V3)                            /*  CDR             */)==Cnil){
	goto L11;}
	V5= cl_cadr(V3)                           /*  CADR            */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	if((cl_cddr(V3)                           /*  CDDR            */)==Cnil){
	goto L15;}
	V6= cl_caddr(V3)                          /*  CADDR           */;
	goto L13;
L15:;
	V6= Cnil;
	goto L13;
L13:;
	if((cl_cdddr(V3)                          /*  CDDDR           */)==Cnil){
	goto L19;}
	V7= cl_cadddr(V3)                         /*  CADDDR          */;
	goto L17;
L19:;
	V7= Cnil;
	goto L17;
L17:;
	if((cl_cddddr(V3)                         /*  CDDDDR          */)==Cnil){
	goto L23;}
	T0= cl_cddddr(V3)                         /*  CDDDDR          */;
	V8= cl_car(T0)                            /*  CAR             */;
	goto L21;
L23:;
	V8= Cnil;
	goto L21;
L21:;
	V9= cl_cddr(V1)                           /*  CDDR            */;
	(void)si_check_arg_length(2,V3,MAKE_FIXNUM(5)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(6,VV[232],V4,V5,V6,V7,V8)     /*  LIST            */;
	T1= cl_list(4,VV[233],V5,V8,V7)           /*  LIST            */;
	T2= ecl_list1(T1);
	T3= ecl_append(V9,T2);
	value0=cl_listX(3,ECL_SYM("PROGN",669),T0,T3) /*  LIST*       */;
	return value0;
	}
}}
/*	function definition for TELL-USER-NO-FILES                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L90tell_user_no_files(cl_narg narg, cl_object V1, ...)
{ VT91 VLEX91 CLSR91 STCK91
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if((ecl_symbol_value(VV[16]))!=Cnil){
	goto L5;}
	if((V2)==Cnil){
	goto L3;}
	goto L4;
L5:;
L4:;
	T0= L85prompt_string(V1)                  /*  PROMPT-STRING   */;
	T1= L66component_full_pathname(2,V1,VV[131]) /*  COMPONENT-FULL-PATHNAME */;
	value0=ecl_symbol_value(VV[18]);
	if((value0)!=Cnil){
	goto L9;}
	T2= ecl_symbol_value(VV[20]);
	goto L7;
L9:;
	T2= value0;
	goto L7;
L7:;
	T3= L66component_full_pathname(2,V1,VV[158]) /*  COMPONENT-FULL-PATHNAME */;
	T4= cl_format(5,Cnil,_ecl_static_102,T1,T2,T3) /*  FORMAT     */;
	value0=L86format_justified_string(2,T0,T4) /*  FORMAT-JUSTIFIED-STRING */;
	return value0;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TELL-USER-REQUIRE-SYSTEM              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L91tell_user_require_system(cl_object V1, cl_object V2)
{ VT92 VLEX92 CLSR92 STCK92
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[16]))==Cnil){
	goto L2;}
	T0= ecl_symbol_value(VV[17]);
	T1= ecl_function_dispatch(cl_env_copy,VV[137])(1,V2) /*  COMPONENT-NAME */;
	(void)cl_format(5,Ct,_ecl_static_103,T0,T1,V1) /*  FORMAT     */;
	value0=cl_finish_output(1,ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",65))) /*  FINISH-OUTPUT */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TELL-USER-GENERIC                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L92tell_user_generic(cl_object V1)
{ VT93 VLEX93 CLSR93 STCK93
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[16]))==Cnil){
	goto L2;}
	(void)cl_format(4,Ct,_ecl_static_104,ecl_symbol_value(VV[17]),V1) /*  FORMAT */;
	value0=cl_finish_output(1,ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",65))) /*  FINISH-OUTPUT */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for INTERNAL-REAL-TIME-IN-SECONDS         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L93internal_real_time_in_seconds()
{ VT94 VLEX94 CLSR94 STCK94
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_get_universal_time()            /*  GET-UNIVERSAL-TIME */;
	return value0;
}}
/*	function definition for READ-CHAR-WAIT                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L94read_char_wait(cl_narg narg, ...)
{ VT95 VLEX95 CLSR95 STCK95
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= MAKE_FIXNUM(20);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= Ct;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V5;                            /*  PEEK            */
	V5= Cnil;
	{cl_object V6;                            /*  START           */
	V6= L93internal_real_time_in_seconds()    /*  INTERNAL-REAL-TIME-IN-SECONDS */;
	goto L10;
L9:;
	if(ecl_zerop(ecl_symbol_value(VV[240]))){
	goto L14;}
	(void)cl_sleep(ecl_symbol_value(VV[240])) /*  SLEEP           */;
	goto L12;
L14:;
	goto L12;
L12:;
L10:;
	V5= cl_listen(1,V2)                       /*  LISTEN          */;
	if((V5)!=Cnil){
	goto L18;}
	T0= ecl_plus(V6,V1);
	T1= L93internal_real_time_in_seconds()    /*  INTERNAL-REAL-TIME-IN-SECONDS */;
	if(ecl_number_compare(T0,T1)<0){
	goto L18;}
	goto L9;
L18:;
	goto L16;
L16:;
	goto L7;
L7:;
	if((V5)==Cnil){
	goto L23;}
	value0=cl_read_char(3,V2,V3,V4)           /*  READ-CHAR       */;
	return value0;
L23:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for Y-OR-N-P-WAIT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L95y_or_n_p_wait(cl_narg narg, ...)
{ VT96 VLEX96 CLSR96 STCK96
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{int i=0;
	if (i >= narg) {
	V1= CODE_CHAR('\171');
	} else {
	i++;
	V1= cl_va_arg(args);
	}
	if (i >= narg) {
	V2= MAKE_FIXNUM(20);
	} else {
	i++;
	V2= cl_va_arg(args);
	}
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= cl_va_arg(args);
	}}
	V4=cl_grab_rest_args(args);
	cl_va_end(args);
	if((ecl_symbol_value(VV[239]))==Cnil){
	goto L6;}
	(void)cl_clear_input(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",57))) /*  CLEAR-INPUT */;
	goto L4;
L6:;
	goto L4;
L4:;
	if((V3)==Cnil){
	goto L10;}
	(void)cl_fresh_line(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",57))) /*  FRESH-LINE */;
	T0= (ECL_SYM("FORMAT",385)->symbol.gfdef);
	(void)cl_apply(4,T0,ecl_symbol_value(ECL_SYM("*QUERY-IO*",57)),V3,V4) /*  APPLY */;
	(void)cl_finish_output(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",57))) /*  FINISH-OUTPUT */;
	goto L8;
L10:;
	goto L8;
L8:;
L16:;
	{cl_object V5;                            /*  READ-CHAR       */
	cl_object V6;                             /*  CHAR            */
	if((ecl_symbol_value(VV[238]))==Cnil){
	goto L20;}
	V5= L94read_char_wait(4,V2,ecl_symbol_value(ECL_SYM("*QUERY-IO*",57)),Cnil,Cnil) /*  READ-CHAR-WAIT */;
	goto L18;
L20:;
	V5= cl_read_char(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",57))) /*  READ-CHAR */;
	goto L18;
L18:;
	value0=V5;
	if((value0)!=Cnil){
	goto L24;}
	V6= V1;
	goto L22;
L24:;
	V6= value0;
	goto L22;
L22:;
	{cl_object V7;
	V7= si_make_seq_iterator(2,VV[243],MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L31:;
	if((V7)!=Cnil){
	goto L35;}
	goto L28;
L35:;
	goto L33;
L33:;
	{cl_object V8;
	V8= si_seq_iterator_ref(VV[243],V7)       /*  SEQ-ITERATOR-REF */;
	if(!(ecl_eql(V6,V8))){
	goto L40;}
	if((V8)!=Cnil){
	goto L27;}
	goto L28;
L40:;
	goto L37;
	}
L37:;
	V7= si_seq_iterator_next(VV[243],V7)      /*  SEQ-ITERATOR-NEXT */;
	goto L31;
	}
L28:;
	if(!(V5==Cnil)){
	goto L46;}
	(void)cl_format(3,ecl_symbol_value(ECL_SYM("*QUERY-IO*",57)),_ecl_static_106,V1) /*  FORMAT */;
	(void)cl_finish_output(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",57))) /*  FINISH-OUTPUT */;
	goto L44;
L46:;
	goto L44;
L44:;
	if(!(V6==Cnil)){
	goto L50;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L50:;
	{cl_object V7;
	V7= si_make_seq_iterator(2,VV[244],MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L57:;
	if((V7)!=Cnil){
	goto L61;}
	goto L53;
L61:;
	goto L59;
L59:;
	{cl_object V8;
	V8= si_seq_iterator_ref(VV[244],V7)       /*  SEQ-ITERATOR-REF */;
	if(!(ecl_char_code(V6)==ecl_char_code(V8))){
	goto L66;}
	if((V8)==Cnil){
	goto L53;}
	goto L54;
L66:;
	goto L63;
	}
L63:;
	V7= si_seq_iterator_next(VV[244],V7)      /*  SEQ-ITERATOR-NEXT */;
	goto L57;
	}
L54:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L53:;
	{cl_object V7;
	V7= si_make_seq_iterator(2,VV[245],MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L75:;
	if((V7)!=Cnil){
	goto L79;}
	goto L71;
L79:;
	goto L77;
L77:;
	{cl_object V8;
	V8= si_seq_iterator_ref(VV[245],V7)       /*  SEQ-ITERATOR-REF */;
	if(!(ecl_char_code(V6)==ecl_char_code(V8))){
	goto L84;}
	if((V8)==Cnil){
	goto L71;}
	goto L72;
L84:;
	goto L81;
	}
L81:;
	V7= si_seq_iterator_next(VV[245],V7)      /*  SEQ-ITERATOR-NEXT */;
	goto L75;
	}
L72:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L71:;
	if((ecl_symbol_value(VV[239]))==Cnil){
	goto L90;}
	(void)cl_clear_input(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",57))) /*  CLEAR-INPUT */;
	goto L88;
L90:;
	goto L88;
L88:;
	(void)cl_format(2,ecl_symbol_value(ECL_SYM("*QUERY-IO*",57)),_ecl_static_107) /*  FORMAT */;
	if((V3)==Cnil){
	goto L95;}
	(void)cl_fresh_line(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",57))) /*  FRESH-LINE */;
	T0= (ECL_SYM("FORMAT",385)->symbol.gfdef);
	(void)cl_apply(4,T0,ecl_symbol_value(ECL_SYM("*QUERY-IO*",57)),V3,V4) /*  APPLY */;
	goto L93;
L95:;
	goto L93;
L93:;
	(void)cl_finish_output(1,ecl_symbol_value(ECL_SYM("*QUERY-IO*",57))) /*  FINISH-OUTPUT */;
	goto L17;
L27:;
	goto L17;
	}
L17:;
	goto L16;
}}
/*	local function WITH-SPECIAL-COMPONENT-VARS                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC96with_special_component_vars(cl_object V1, cl_object V2)
{ VT97 VLEX97 CLSR97 STCK97
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  C               */
	cl_object V5;                             /*  FORMS           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((V3)==Cnil){
	goto L7;}
	V4= cl_car(V3)                            /*  CAR             */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= cl_cddr(V1)                           /*  CDDR            */;
	(void)si_check_arg_length(2,V3,MAKE_FIXNUM(1)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,VV[247],V4)                 /*  LIST            */;
	T1= ecl_list1(T0);
	value0=cl_listX(4,ECL_SYM("LET",475),T1,VV[248],V5) /*  LIST* */;
	return value0;
	}
}}
/*	function definition for OPERATE-ON-SYSTEM                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L97operate_on_system(volatile cl_narg narg, cl_object volatile V1, cl_object volatile V2, ...)
{ VT98 VLEX98 CLSR98 STCK98
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V3;
	volatile cl_object V4;
	volatile cl_object V5;
	volatile cl_object V6;
	volatile cl_object V7;
	volatile cl_object V8;
	volatile cl_object V9;
	volatile cl_object V10;
	volatile cl_object V11;
	volatile cl_object V12;
	volatile cl_object V13;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[22];
	cl_parse_key(args,11,L97operate_on_systemkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	if(keyvars[12]==Cnil){
	V4= ecl_symbol_value(VV[36]);
	}else{
	V4= keyvars[1];}
	if(keyvars[13]==Cnil){
	V5= ecl_symbol_value(VV[17]);
	}else{
	V5= keyvars[2];}
	if(keyvars[14]==Cnil){
	V6= ecl_symbol_value(VV[16]);
	}else{
	V6= keyvars[3];}
	if(keyvars[15]==Cnil){
	V7= ecl_symbol_value(VV[20]);
	}else{
	V7= keyvars[4];}
	if(keyvars[16]==Cnil){
	V8= ecl_symbol_value(VV[18]);
	}else{
	V8= keyvars[5];}
	if(keyvars[17]==Cnil){
	V9= ecl_symbol_value(VV[19]);
	}else{
	V9= keyvars[6];}
	if(keyvars[18]==Cnil){
	V10= ecl_symbol_value(VV[21]);
	}else{
	V10= keyvars[7];}
	V11= keyvars[8];
	if(keyvars[20]==Cnil){
	V12= ecl_symbol_value(VV[23]);
	}else{
	V12= keyvars[9];}
	if(keyvars[21]==Cnil){
	V13= Ct;
	}else{
	V13= keyvars[10];}
	}
	{
	volatile bool unwinding = FALSE;
	cl_index V14=ECL_STACK_INDEX(cl_env_copy),V15;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	if((ecl_symbol_value(VV[174]))==Cnil){
	goto L13;}
	(void)L65clear_full_pathname_tables()     /*  CLEAR-FULL-PATHNAME-TABLES */;
	goto L11;
L13:;
	goto L11;
L11:;
	if((V11)==Cnil){
	goto L17;}
	(void)(cl_env_copy->function=(ECL_SYM("DRIBBLE",317)->symbol.gfdef))->cfun.entry(1,V11) /*  DRIBBLE */;
	goto L15;
L17:;
	goto L15;
L15:;
	if((V5)==Cnil){
	goto L21;}
	V6= Ct;
	goto L19;
L21:;
	goto L19;
L19:;
	if(!(V3==Cnil)){
	goto L26;}
	if(!((V2)==(ECL_SYM("LOAD",485)))){
	goto L34;}
	goto L31;
	goto L32;
L34:;
	goto L32;
L32:;
	if(!(ecl_eql(V2,VV[150]))){
	goto L29;}
	goto L30;
L31:;
L30:;
	V3= VV[250];
	goto L24;
L29:;
	if(!((V2)==(ECL_SYM("COMPILE",231)))){
	goto L44;}
	goto L41;
	goto L42;
L44:;
	goto L42;
L42:;
	if(!(ecl_eql(V2,VV[228]))){
	goto L39;}
	goto L40;
L41:;
L40:;
	V3= VV[251];
	goto L24;
L39:;
	V3= VV[250];
	goto L24;
L26:;
	goto L24;
L24:;
	cl_env_copy->values[0]=L68translate_version(V4) /*  TRANSLATE-VERSION */;
	{
	{int V17=cl_env_copy->nvalues-0;
	if (V17--<=0) goto L50;
	ecl_bds_bind(cl_env_copy,VV[34],cl_env_copy->values[0]); /*  *VERSION-DIR* */
	if (V17--<=0) goto L51;
	ecl_bds_bind(cl_env_copy,VV[35],cl_env_copy->values[1]); /*  *VERSION-REPLACE* */
	goto L52;}
L50:;
	ecl_bds_bind(cl_env_copy,VV[34],Cnil);    /*  *VERSION-DIR*   */
L51:;
	ecl_bds_bind(cl_env_copy,VV[35],Cnil);    /*  *VERSION-REPLACE* */
L52:;
	{cl_object V17;                           /*  LET1898         */
	if((ecl_function_dispatch(cl_env_copy,VV[90])(1,V1) /*  COMPONENT-P */)==Cnil){
	goto L55;}
	{cl_object V18;
	V18= ecl_function_dispatch(cl_env_copy,VV[136])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V18,VV[117]))){
	goto L62;}
	goto L59;
	goto L60;
L62:;
	goto L60;
L60:;
	if(!(ecl_eql(V18,VV[127]))){
	goto L66;}
	goto L59;
	goto L64;
L66:;
	goto L64;
L64:;
	if(!(ecl_eql(V18,VV[187]))){
	goto L55;}
	goto L56;
L59:;
	}
L56:;
	V17= V1;
	goto L53;
L55:;
	V17= L56find_system(2,V1,VV[150])         /*  FIND-SYSTEM     */;
	goto L53;
L53:;
	ecl_bds_bind(cl_env_copy,ECL_SYM("*LOAD-VERBOSE*",37),Ct); /*  *LOAD-VERBOSE* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*COMPILE-VERBOSE*",27),Ct); /*  *COMPILE-VERBOSE* */
	ecl_bds_bind(cl_env_copy,VV[36],V4);      /*  *VERSION*       */
	ecl_bds_bind(cl_env_copy,VV[16],V6);      /*  *OOS-VERBOSE*   */
	ecl_bds_bind(cl_env_copy,VV[17],V5);      /*  *OOS-TEST*      */
	ecl_bds_bind(cl_env_copy,VV[18],V8);      /*  *LOAD-SOURCE-IF-NO-BINARY* */
	ecl_bds_bind(cl_env_copy,VV[21],V10);     /*  *COMPILE-DURING-LOAD* */
	ecl_bds_bind(cl_env_copy,VV[19],V9);      /*  *BOTHER-USER-IF-NO-BINARY* */
	ecl_bds_bind(cl_env_copy,VV[20],V7);      /*  *LOAD-SOURCE-INSTEAD-OF-BINARY* */
	ecl_bds_bind(cl_env_copy,VV[23],V12);     /*  *MINIMAL-LOAD*  */
	if((L7component_operation(1,V2)           /*  COMPONENT-OPERATION */)!=Cnil){
	goto L71;}
	(void)cl_error(2,_ecl_static_108,V2)      /*  ERROR           */;
	goto L69;
L71:;
	goto L69;
L69:;
	cl_env_copy->values[0]=L104operate_on_component(V17,V2,V3) /*  OPERATE-ON-COMPONENT */;
	ecl_bds_unwind_n(cl_env_copy,12);
	}}
	}
	ecl_frs_pop(cl_env_copy);
	V15=ecl_stack_push_values(cl_env_copy);
	if((V11)==Cnil){
	goto L75;}
	(void)(cl_env_copy->function=(ECL_SYM("DRIBBLE",317)->symbol.gfdef))->cfun.entry(0) /*  DRIBBLE */;
	goto L73;
L75:;
	goto L73;
L73:;
	ecl_stack_pop_values(cl_env_copy,V15);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V14);
	return cl_env_copy->values[0];}
}}
/*	function definition for COMPILE-SYSTEM                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L98compile_system(cl_narg narg, cl_object V1, ...)
{ VT99 VLEX99 CLSR99 STCK99
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_object V11;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[20];
	cl_parse_key(args,10,L98compile_systemkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V2= keyvars[0];
	if(keyvars[11]==Cnil){
	V3= ecl_symbol_value(VV[36]);
	}else{
	V3= keyvars[1];}
	if(keyvars[12]==Cnil){
	V4= ecl_symbol_value(VV[17]);
	}else{
	V4= keyvars[2];}
	if(keyvars[13]==Cnil){
	V5= ecl_symbol_value(VV[16]);
	}else{
	V5= keyvars[3];}
	if(keyvars[14]==Cnil){
	V6= ecl_symbol_value(VV[20]);
	}else{
	V6= keyvars[4];}
	if(keyvars[15]==Cnil){
	V7= ecl_symbol_value(VV[18]);
	}else{
	V7= keyvars[5];}
	if(keyvars[16]==Cnil){
	V8= ecl_symbol_value(VV[19]);
	}else{
	V8= keyvars[6];}
	if(keyvars[17]==Cnil){
	V9= ecl_symbol_value(VV[21]);
	}else{
	V9= keyvars[7];}
	V10= keyvars[8];
	if(keyvars[19]==Cnil){
	V11= ecl_symbol_value(VV[23]);
	}else{
	V11= keyvars[9];}
	}
	value0=L97operate_on_system(22,V1,VV[228],VV[256],V2,ECL_SYM("VERSION",1295),V3,ECL_SYM("TEST",1286),V4,ECL_SYM("VERBOSE",1294),V5,VV[257],V6,VV[258],V7,VV[259],V8,VV[260],V9,VV[261],V10,VV[262],V11) /*  OPERATE-ON-SYSTEM */;
	return value0;
}}
/*	function definition for LOAD-SYSTEM                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L99load_system(cl_narg narg, cl_object V1, ...)
{ VT100 VLEX100 CLSR100 STCK100
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_object V11;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[20];
	cl_parse_key(args,10,L99load_systemkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V2= keyvars[0];
	if(keyvars[11]==Cnil){
	V3= ecl_symbol_value(VV[36]);
	}else{
	V3= keyvars[1];}
	if(keyvars[12]==Cnil){
	V4= ecl_symbol_value(VV[17]);
	}else{
	V4= keyvars[2];}
	if(keyvars[13]==Cnil){
	V5= ecl_symbol_value(VV[16]);
	}else{
	V5= keyvars[3];}
	if(keyvars[14]==Cnil){
	V6= ecl_symbol_value(VV[20]);
	}else{
	V6= keyvars[4];}
	if(keyvars[15]==Cnil){
	V7= ecl_symbol_value(VV[18]);
	}else{
	V7= keyvars[5];}
	if(keyvars[16]==Cnil){
	V8= ecl_symbol_value(VV[19]);
	}else{
	V8= keyvars[6];}
	if(keyvars[17]==Cnil){
	V9= ecl_symbol_value(VV[21]);
	}else{
	V9= keyvars[7];}
	V10= keyvars[8];
	if(keyvars[19]==Cnil){
	V11= ecl_symbol_value(VV[23]);
	}else{
	V11= keyvars[9];}
	}
	value0=L97operate_on_system(22,V1,VV[150],VV[256],V2,ECL_SYM("VERSION",1295),V3,ECL_SYM("TEST",1286),V4,ECL_SYM("VERBOSE",1294),V5,VV[257],V6,VV[258],V7,VV[259],V8,VV[260],V9,VV[261],V10,VV[262],V11) /*  OPERATE-ON-SYSTEM */;
	return value0;
}}
/*	function definition for CLEAN-SYSTEM                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L100clean_system(cl_narg narg, cl_object V1, ...)
{ VT101 VLEX101 CLSR101 STCK101
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,L100clean_systemkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[5]==Cnil){
	V2= VV[250];
	}else{
	V2= keyvars[0];}
	if(keyvars[6]==Cnil){
	V3= ecl_symbol_value(VV[36]);
	}else{
	V3= keyvars[1];}
	if(keyvars[7]==Cnil){
	V4= ecl_symbol_value(VV[17]);
	}else{
	V4= keyvars[2];}
	if(keyvars[8]==Cnil){
	V5= ecl_symbol_value(VV[16]);
	}else{
	V5= keyvars[3];}
	V6= keyvars[4];
	}
	value0=L97operate_on_system(12,V1,VV[265],VV[256],V2,ECL_SYM("VERSION",1295),V3,ECL_SYM("TEST",1286),V4,ECL_SYM("VERBOSE",1294),V5,VV[261],V6) /*  OPERATE-ON-SYSTEM */;
	return value0;
}}
/*	function definition for EDIT-SYSTEM                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L101edit_system(cl_narg narg, cl_object V1, ...)
{ VT102 VLEX102 CLSR102 STCK102
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,L101edit_systemkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V2= keyvars[0];
	if(keyvars[6]==Cnil){
	V3= ecl_symbol_value(VV[36]);
	}else{
	V3= keyvars[1];}
	if(keyvars[7]==Cnil){
	V4= ecl_symbol_value(VV[17]);
	}else{
	V4= keyvars[2];}
	if(keyvars[8]==Cnil){
	V5= ecl_symbol_value(VV[16]);
	}else{
	V5= keyvars[3];}
	V6= keyvars[4];
	}
	value0=L97operate_on_system(12,V1,VV[267],VV[256],V2,ECL_SYM("VERSION",1295),V3,ECL_SYM("TEST",1286),V4,ECL_SYM("VERBOSE",1294),V5,VV[261],V6) /*  OPERATE-ON-SYSTEM */;
	return value0;
}}
/*	function definition for HARDCOPY-SYSTEM                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L102hardcopy_system(cl_narg narg, cl_object V1, ...)
{ VT103 VLEX103 CLSR103 STCK103
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,L102hardcopy_systemkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V2= keyvars[0];
	if(keyvars[6]==Cnil){
	V3= ecl_symbol_value(VV[36]);
	}else{
	V3= keyvars[1];}
	if(keyvars[7]==Cnil){
	V4= ecl_symbol_value(VV[17]);
	}else{
	V4= keyvars[2];}
	if(keyvars[8]==Cnil){
	V5= ecl_symbol_value(VV[16]);
	}else{
	V5= keyvars[3];}
	V6= keyvars[4];
	}
	value0=L97operate_on_system(12,V1,VV[269],VV[256],V2,ECL_SYM("VERSION",1295),V3,ECL_SYM("TEST",1286),V4,ECL_SYM("VERBOSE",1294),V5,VV[261],V6) /*  OPERATE-ON-SYSTEM */;
	return value0;
}}
/*	function definition for ENSURE-EXTERNAL-SYSTEM-DEF-LOADED     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L103ensure_external_system_def_loaded(cl_object V1)
{ VT104 VLEX104 CLSR104 STCK104
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	goto L4;
L3:;
	(void)si_assert_failure(1,VV[271])        /*  ASSERT-FAILURE  */;
L4:;
	{cl_object V2;
	V2= ecl_function_dispatch(cl_env_copy,VV[136])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V2,VV[187]))){
	goto L14;}
	goto L9;
	goto L12;
L14:;
	goto L12;
L12:;
	if(!(ecl_eql(V2,VV[117]))){
	goto L17;}
	goto L9;
	goto L10;
L17:;
	goto L10;
	}
L10:;
	goto L3;
L9:;
	goto L7;
L7:;
	goto L1;
L1:;
	T0= ecl_function_dispatch(cl_env_copy,VV[494])(1,V1) /*  COMPONENT-COMPONENTS */;
	if(!(T0==Cnil)){
	goto L20;}
	{cl_object V2;                            /*  CNAME           */
	V2= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	(void)L22undefsystem(V2)                  /*  UNDEFSYSTEM     */;
	{cl_object V3;                            /*  SYSTEM-COMPONENT */
	ecl_bds_bind(cl_env_copy,VV[148],Ct);     /*  *RELOAD-SYSTEMS-FROM-DISK* */
	T0= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	V3= L56find_system(2,T0,VV[150])          /*  FIND-SYSTEM     */;
	{cl_object V4;
	V4= ecl_list1(V3);
	value0=si_structure_set(V1,VV[87],MAKE_FIXNUM(17),V4) /*  STRUCTURE-SET */;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
	}
	}
L20:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for OPERATE-ON-COMPONENT                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L104operate_on_component(cl_object volatile V1, cl_object volatile V2, cl_object volatile V3)
{ VT105 VLEX105 CLSR105 STCK105
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V4;                   /*  CHANGED         */
	V4= Cnil;
	{volatile cl_object V5;                   /*  LET1899         */
	volatile cl_object V6;                    /*  LET1900         */
	V5= ecl_function_dispatch(cl_env_copy,VV[136])(1,V1) /*  COMPONENT-TYPE */;
	V6= cl_package_name(ecl_symbol_value(ECL_SYM("*PACKAGE*",41))) /*  PACKAGE-NAME */;
	{
	volatile bool unwinding = FALSE;
	cl_index V7=ECL_STACK_INDEX(cl_env_copy),V8;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	if((ecl_function_dispatch(cl_env_copy,VV[492])(1,V1) /*  COMPONENT-PACKAGE */)==Cnil){
	goto L9;}
	T0= ecl_function_dispatch(cl_env_copy,VV[492])(1,V1) /*  COMPONENT-PACKAGE */;
	T1= cl_format(3,Cnil,_ecl_static_109,T0)  /*  FORMAT          */;
	(void)L92tell_user_generic(T1)            /*  TELL-USER-GENERIC */;
	if((ecl_symbol_value(VV[17]))!=Cnil){
	goto L13;}
	T0= ecl_function_dispatch(cl_env_copy,VV[492])(1,V1) /*  COMPONENT-PACKAGE */;
	if((cl_find_package(T0)                   /*  FIND-PACKAGE    */)!=Cnil){
	goto L17;}
	T0= ecl_function_dispatch(cl_env_copy,VV[492])(1,V1) /*  COMPONENT-PACKAGE */;
	T1= cl_string(T0)                         /*  STRING          */;
	T2= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	if((cl_string_equal(2,T1,T2)              /*  STRING-EQUAL    */)==Cnil){
	goto L21;}
	T0= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	(void)cl_format(3,Ct,_ecl_static_110,T0)  /*  FORMAT          */;
	T0= ecl_function_dispatch(cl_env_copy,VV[492])(1,V1) /*  COMPONENT-PACKAGE */;
	(void)cl_error(2,_ecl_static_111,T0)      /*  ERROR           */;
	goto L19;
L21:;
	goto L19;
L19:;
	T0= ecl_function_dispatch(cl_env_copy,VV[492])(1,V1) /*  COMPONENT-PACKAGE */;
	(void)L110new_require(1,T0)               /*  NEW-REQUIRE     */;
	goto L15;
L17:;
	goto L15;
L15:;
	{cl_object V9;                            /*  PACKAGE         */
	T0= ecl_function_dispatch(cl_env_copy,VV[492])(1,V1) /*  COMPONENT-PACKAGE */;
	V9= cl_find_package(T0)                   /*  FIND-PACKAGE    */;
	if((V9)==Cnil){
	goto L26;}
	cl_set(ECL_SYM("*PACKAGE*",41),V9);
	goto L7;
L26:;
	goto L7;
	}
L13:;
	goto L7;
L9:;
	goto L7;
L7:;
	if((V5)==(VV[117])){
	goto L33;}
	if(!((V5)==(VV[187]))){
	goto L31;}
	goto L32;
L33:;
L32:;
	(void)L103ensure_external_system_def_loaded(V1) /*  ENSURE-EXTERNAL-SYSTEM-DEF-LOADED */;
	goto L29;
L31:;
	goto L29;
L29:;
	if((V5)==(VV[127])){
	goto L39;}
	if(!((V5)==(VV[117]))){
	goto L37;}
	goto L38;
L39:;
L38:;
	(void)L105operate_on_system_dependencies(3,V1,V2,V3) /*  OPERATE-ON-SYSTEM-DEPENDENCIES */;
	goto L35;
L37:;
	goto L35;
L35:;
	if((ecl_function_dispatch(cl_env_copy,VV[565])(1,V1) /*  COMPONENT-PROCLAMATIONS */)==Cnil){
	goto L43;}
	T0= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	T1= cl_format(3,Cnil,_ecl_static_112,T0)  /*  FORMAT          */;
	(void)L92tell_user_generic(T1)            /*  TELL-USER-GENERIC */;
	if((ecl_symbol_value(VV[17]))!=Cnil){
	goto L47;}
	T0= ecl_function_dispatch(cl_env_copy,VV[565])(1,V1) /*  COMPONENT-PROCLAMATIONS */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,T0) /*  PROCLAIM */;
	goto L41;
L47:;
	goto L41;
L43:;
	goto L41;
L41:;
	if((ecl_function_dispatch(cl_env_copy,VV[566])(1,V1) /*  COMPONENT-INITIALLY-DO */)==Cnil){
	goto L51;}
	T0= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	T1= cl_format(3,Cnil,_ecl_static_113,T0)  /*  FORMAT          */;
	(void)L92tell_user_generic(T1)            /*  TELL-USER-GENERIC */;
	if((ecl_symbol_value(VV[17]))!=Cnil){
	goto L55;}
	ecl_bds_bind(cl_env_copy,VV[247],V1);     /*  %%COMPONENT%%   */
	{cl_object V9;                            /*  INITIALLY-DO    */
	V9= ecl_function_dispatch(cl_env_copy,VV[566])(1,V1) /*  COMPONENT-INITIALLY-DO */;
	if((cl_functionp(V9)                      /*  FUNCTIONP       */)==Cnil){
	goto L59;}
	(void)ecl_function_dispatch(cl_env_copy,V9)(0);
	ecl_bds_unwind1(cl_env_copy);
	goto L49;
L59:;
	(void)cl_eval(V9)                         /*  EVAL            */;
	ecl_bds_unwind1(cl_env_copy);
	goto L49;
	}
L55:;
	goto L49;
L51:;
	goto L49;
L49:;
	if(!(ecl_eql(V5,ECL_SYM("FILE",1211)))){
	goto L69;}
	goto L66;
	goto L67;
L69:;
	goto L67;
L67:;
	if(!(ecl_eql(V5,VV[129]))){
	goto L64;}
	goto L65;
L66:;
L65:;
	T0= L7component_operation(1,V2)           /*  COMPONENT-OPERATION */;
	V4= ecl_function_dispatch(cl_env_copy,T0)(2,V1,V3);
	goto L62;
L64:;
	if(!(ecl_eql(V5,VV[203]))){
	goto L79;}
	goto L76;
	goto L77;
L79:;
	goto L77;
L77:;
	if(!(ecl_eql(V5,VV[117]))){
	goto L83;}
	goto L76;
	goto L81;
L83:;
	goto L81;
L81:;
	if(!(ecl_eql(V5,VV[187]))){
	goto L87;}
	goto L76;
	goto L85;
L87:;
	goto L85;
L85:;
	if(!(ecl_eql(V5,VV[127]))){
	goto L74;}
	goto L75;
L76:;
L75:;
	V4= L107operate_on_components(V1,V2,V3,V4) /*  OPERATE-ON-COMPONENTS */;
	goto L62;
L74:;
	V4= Cnil;
	goto L62;
L62:;
	if((ecl_function_dispatch(cl_env_copy,VV[567])(1,V1) /*  COMPONENT-FINALLY-DO */)==Cnil){
	goto L91;}
	T0= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	T1= cl_format(3,Cnil,_ecl_static_114,T0)  /*  FORMAT          */;
	(void)L92tell_user_generic(T1)            /*  TELL-USER-GENERIC */;
	if((ecl_symbol_value(VV[17]))!=Cnil){
	goto L95;}
	ecl_bds_bind(cl_env_copy,VV[247],V1);     /*  %%COMPONENT%%   */
	{cl_object V9;                            /*  FINALLY-DO      */
	V9= ecl_function_dispatch(cl_env_copy,VV[567])(1,V1) /*  COMPONENT-FINALLY-DO */;
	if((cl_functionp(V9)                      /*  FUNCTIONP       */)==Cnil){
	goto L99;}
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V9)(0);
	ecl_bds_unwind1(cl_env_copy);
	goto L6;
L99:;
	cl_env_copy->values[0]=cl_eval(V9)        /*  EVAL            */;
	ecl_bds_unwind1(cl_env_copy);
	goto L6;
	}
L95:;
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	goto L6;
L91:;
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	goto L6;
L6:;
	}
	ecl_frs_pop(cl_env_copy);
	V8=ecl_stack_push_values(cl_env_copy);
	cl_set(ECL_SYM("*PACKAGE*",41),cl_find_package(V6) /*  FIND-PACKAGE */);
	ecl_stack_pop_values(cl_env_copy,V8);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V7);}
	if((V5)==(VV[127])){
	goto L106;}
	if((V5)==(VV[117])){
	goto L106;}
	if(!((V5)==(VV[187]))){
	goto L104;}
	goto L105;
L106:;
L105:;
	T0= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	T1= cl_format(3,Cnil,_ecl_static_115,T0)  /*  FORMAT          */;
	(void)L92tell_user_generic(T1)            /*  TELL-USER-GENERIC */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=Cnil){
	goto L111;}
	T0= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	T1= L19canonicalize_system_name(T0)       /*  CANONICALIZE-SYSTEM-NAME */;
	(void)cl_provide(T1)                      /*  PROVIDE         */;
	goto L2;
L111:;
	goto L2;
L104:;
	goto L2;
	}
L2:;
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for OPERATE-ON-SYSTEM-DEPENDENCIES        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L105operate_on_system_dependencies(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT106 VLEX106 CLSR106 STCK106
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if((ecl_symbol_value(VV[32]))==Cnil){
	goto L3;}
	ecl_bds_bind(cl_env_copy,VV[279],V3);     /*  *FORCE*         */
	{cl_object V4;                            /*  %DOLIST-VAR     */
	cl_object V5;                             /*  SYSTEM          */
	V4= ecl_function_dispatch(cl_env_copy,VV[493])(1,V1) /*  COMPONENT-DEPENDS-ON */;
	V5= Cnil;
	goto L10;
L9:;
	V5= cl_first(V4)                          /*  FIRST           */;
	if((ecl_symbol_value(VV[25]))==Cnil){
	goto L16;}
	if(ECL_LISTP(V5)){
	goto L16;}
	if(ECL_STRINGP(V5)){
	goto L21;}
	if(!(ECL_SYMBOLP(V5))){
	goto L16;}
	goto L20;
L21:;
L20:;
	if((L56find_system(2,V5,VV[151])          /*  FIND-SYSTEM     */)==Cnil){
	goto L16;}
	if((ecl_symbol_value(VV[280]))==Cnil){
	goto L27;}
	{cl_object V6;
	V6= si_make_seq_iterator(2,VV[230],MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L32:;
	if((V6)!=Cnil){
	goto L36;}
	goto L27;
L36:;
	goto L34;
L34:;
	{cl_object V7;
	V7= si_seq_iterator_ref(VV[230],V6)       /*  SEQ-ITERATOR-REF */;
	if(!(ecl_eql(V2,V7))){
	goto L41;}
	if((V7)==Cnil){
	goto L27;}
	goto L29;
L41:;
	goto L38;
	}
L38:;
	V6= si_seq_iterator_next(VV[230],V6)      /*  SEQ-ITERATOR-NEXT */;
	goto L32;
	}
L29:;
	{cl_object V6;
	V6= L19canonicalize_system_name(V5)       /*  CANONICALIZE-SYSTEM-NAME */;
	{cl_object V7;
	V7= si_make_seq_iterator(2,ecl_symbol_value(ECL_SYM("*MODULES*",39)),MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L48:;
	if((V7)!=Cnil){
	goto L52;}
	goto L25;
L52:;
	goto L50;
L50:;
	{cl_object V8;
	V8= si_seq_iterator_ref(ecl_symbol_value(ECL_SYM("*MODULES*",39)),V7) /*  SEQ-ITERATOR-REF */;
	if((cl_string_equal(2,V6,V8)              /*  STRING-EQUAL    */)==Cnil){
	goto L57;}
	if((V8)!=Cnil){
	goto L24;}
	goto L25;
L57:;
	goto L54;
	}
L54:;
	V7= si_seq_iterator_next(ecl_symbol_value(ECL_SYM("*MODULES*",39)),V7) /*  SEQ-ITERATOR-NEXT */;
	goto L48;
	}
	}
L27:;
	goto L25;
L25:;
	(void)L97operate_on_system(4,V5,V2,VV[256],V3) /*  OPERATE-ON-SYSTEM */;
	goto L14;
L24:;
	goto L14;
L16:;
	if(!(ECL_LISTP(V5))){
	goto L62;}
	{cl_object V6;                            /*  SYSTEM-NAME     */
	cl_object V7;                             /*  DEFINITION-PATHNAME */
	cl_object V8;                             /*  ACTION          */
	cl_object V9;                             /*  VERSION         */
	if((V5)==Cnil){
	goto L66;}
	V6= cl_car(V5)                            /*  CAR             */;
	goto L64;
L66:;
	V6= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L64;
L64:;
	if((cl_cdr(V5)                            /*  CDR             */)==Cnil){
	goto L70;}
	V7= cl_cadr(V5)                           /*  CADR            */;
	goto L68;
L70:;
	V7= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L68;
L68:;
	if((cl_cddr(V5)                           /*  CDDR            */)==Cnil){
	goto L74;}
	V8= cl_caddr(V5)                          /*  CADDR           */;
	goto L72;
L74:;
	V8= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L72;
L72:;
	if((cl_cdddr(V5)                          /*  CDDDR           */)==Cnil){
	goto L78;}
	V9= cl_cadddr(V5)                         /*  CADDDR          */;
	goto L76;
L78:;
	V9= Cnil;
	goto L76;
L76:;
	(void)si_check_arg_length(2,V5,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	if(!(V6==Cnil)){
	goto L84;}
	if(!(V7==Cnil)){
	goto L84;}
	T0= V8;
	goto L82;
L84:;
	T0= V5;
	goto L82;
L82:;
	(void)L91tell_user_require_system(T0,V1)  /*  TELL-USER-REQUIRE-SYSTEM */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=Cnil){
	goto L88;}
	T0= cl_eval(V7)                           /*  EVAL            */;
	value0=V9;
	if((value0)!=Cnil){
	goto L92;}
	T1= ecl_symbol_value(VV[36]);
	goto L90;
L92:;
	T1= value0;
	goto L90;
L90:;
	(void)L110new_require(5,V6,Cnil,T0,V8,T1) /*  NEW-REQUIRE     */;
	goto L14;
L88:;
	goto L14;
	}
L62:;
	{cl_object V10;
	if((ecl_function_dispatch(cl_env_copy,VV[90])(1,V5) /*  COMPONENT-P */)==Cnil){
	goto L96;}
	{cl_object V11;
	V11= ecl_function_dispatch(cl_env_copy,VV[136])(1,V5) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V11,VV[127]))){
	goto L104;}
	value0=VV[281];
	goto L102;
L104:;
	value0=Cnil;
	goto L102;
L102:;
	if((value0)!=Cnil){
	goto L101;}
	if(!(ecl_eql(V11,VV[187]))){
	goto L108;}
	value0=VV[272];
	goto L106;
L108:;
	value0=Cnil;
	goto L106;
L106:;
	if((value0)!=Cnil){
	goto L101;}
	if(!(ecl_eql(V11,VV[117]))){
	goto L111;}
	T0= VV[197];
	goto L98;
L111:;
	T0= Cnil;
	goto L98;
L101:;
	T0= value0;
	goto L98;
	}
L98:;
	V10= Null(T0)?Ct:Cnil;
	goto L94;
L96:;
	V10= Cnil;
	goto L94;
L94:;
	if((V10)==Cnil){
	goto L114;}
	goto L14;
L114:;
	(void)L91tell_user_require_system(V5,V1)  /*  TELL-USER-REQUIRE-SYSTEM */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=Cnil){
	goto L118;}
	(void)L110new_require(1,V5)               /*  NEW-REQUIRE     */;
	goto L14;
L118:;
	goto L14;
	}
L14:;
	V4= CDR(V4);
L10:;
	if((V4)==Cnil){
	goto L124;}
	goto L9;
L124:;
	goto L122;
L122:;
	goto L7;
L7:;
	value0=Cnil; cl_env_copy->nvalues=1;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MODULE-DEPENDS-ON-CHANGED             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L106module_depends_on_changed(cl_object V1, cl_object V2)
{ VT107 VLEX107 CLSR107 STCK107
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  %DOLIST-VAR     */
	cl_object V4;                             /*  DEPENDENT       */
	V3= ecl_function_dispatch(cl_env_copy,VV[493])(1,V1) /*  COMPONENT-DEPENDS-ON */;
	V4= Cnil;
	goto L6;
L5:;
	V4= cl_first(V3)                          /*  FIRST           */;
	if((ecl_memql(V4,V2))==Cnil){
	goto L12;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L12:;
	goto L10;
L10:;
	V3= CDR(V3);
L6:;
	if((V3)==Cnil){
	goto L18;}
	goto L5;
L18:;
	goto L16;
L16:;
	goto L3;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for OPERATE-ON-COMPONENTS                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L107operate_on_components(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT108 VLEX108 CLSR108 STCK108
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)L87tell_user(5,V2,V1,Cnil,Cnil,Cnil) /*  TELL-USER      */;
	if((ecl_function_dispatch(cl_env_copy,VV[494])(1,V1) /*  COMPONENT-COMPONENTS */)==Cnil){
	goto L5;}
	{cl_object V5;                            /*  %DOLIST-VAR     */
	cl_object V6;                             /*  MODULE          */
	V5= ecl_function_dispatch(cl_env_copy,VV[494])(1,V1) /*  COMPONENT-COMPONENTS */;
	V6= Cnil;
	goto L12;
L11:;
	V6= cl_first(V5)                          /*  FIRST           */;
	if((L106module_depends_on_changed(V6,V4)  /*  MODULE-DEPENDS-ON-CHANGED */)==Cnil){
	goto L22;}
	if((L6non_empty_listp(V3)                 /*  NON-EMPTY-LISTP */)!=Cnil){
	goto L25;}
	if(!((V3)==(VV[251]))){
	goto L22;}
	goto L23;
L25:;
L23:;
	if(!((V3)==(VV[251]))){
	goto L28;}
	T0= VV[284];
	goto L20;
L28:;
	T0= VV[250];
	goto L20;
L22:;
	if((L6non_empty_listp(V3)                 /*  NON-EMPTY-LISTP */)==Cnil){
	goto L31;}
	{cl_object V7;
	V7= ecl_function_dispatch(cl_env_copy,VV[137])(1,V6) /*  COMPONENT-NAME */;
	{cl_object V8;
	V8= V3;
	goto L39;
L38:;
	{cl_object V9;
	cl_object V10;
	if (ecl_unlikely(ATOM(V8))) FEtype_error_cons(V8);
	V9= V8;
	V10= ECL_CONS_CAR(V9);
	T1= cl_string(V10)                        /*  STRING          */;
	if((cl_string_equal(2,V7,T1)              /*  STRING-EQUAL    */)==Cnil){
	goto L46;}
	if((V9)==Cnil){
	goto L31;}
	goto L32;
L46:;
	goto L41;
	}
L41:;
	V8= ECL_CONS_CDR(V8);
L39:;
	if(V8==Cnil){
	goto L52;}
	goto L38;
L52:;
	goto L50;
L50:;
	goto L36;
L36:;
	goto L31;
	}
	}
L32:;
	T0= VV[250];
	goto L20;
L31:;
	T0= V3;
	goto L20;
L20:;
	if((L104operate_on_component(V6,V2,T0)    /*  OPERATE-ON-COMPONENT */)==Cnil){
	goto L18;}
	V4= CONS(V6,V4);
	goto L16;
L18:;
	goto L16;
L16:;
	V5= CDR(V5);
L12:;
	if((V5)==Cnil){
	goto L59;}
	goto L11;
L59:;
	goto L57;
L57:;
	goto L9;
L9:;
	goto L3;
	}
L5:;
	if(!((V2)==(ECL_SYM("COMPILE",231)))){
	goto L67;}
	goto L64;
	goto L65;
L67:;
	goto L65;
L65:;
	if(!(ecl_eql(V2,VV[228]))){
	goto L62;}
	goto L63;
L64:;
L63:;
	ecl_bds_bind(cl_env_copy,VV[247],V1);     /*  %%COMPONENT%%   */
	{cl_object V7;                            /*  COMPILE-FORM    */
	V7= ecl_function_dispatch(cl_env_copy,VV[571])(1,V1) /*  COMPONENT-COMPILE-FORM */;
	if((cl_functionp(V7)                      /*  FUNCTIONP       */)==Cnil){
	goto L72;}
	(void)ecl_function_dispatch(cl_env_copy,V7)(0);
	ecl_bds_unwind1(cl_env_copy);
	goto L3;
L72:;
	(void)cl_eval(V7)                         /*  EVAL            */;
	ecl_bds_unwind1(cl_env_copy);
	goto L3;
	}
L62:;
	if(!((V2)==(ECL_SYM("LOAD",485)))){
	goto L80;}
	goto L77;
	goto L78;
L80:;
	goto L78;
L78:;
	if(!(ecl_eql(V2,VV[150]))){
	goto L75;}
	goto L76;
L77:;
L76:;
	ecl_bds_bind(cl_env_copy,VV[247],V1);     /*  %%COMPONENT%%   */
	{cl_object V8;                            /*  LOAD-FORM       */
	V8= ecl_function_dispatch(cl_env_copy,VV[572])(1,V1) /*  COMPONENT-LOAD-FORM */;
	if((cl_functionp(V8)                      /*  FUNCTIONP       */)==Cnil){
	goto L85;}
	(void)ecl_function_dispatch(cl_env_copy,V8)(0);
	ecl_bds_unwind1(cl_env_copy);
	goto L3;
L85:;
	(void)cl_eval(V8)                         /*  EVAL            */;
	ecl_bds_unwind1(cl_env_copy);
	goto L3;
	}
L75:;
	goto L3;
L3:;
	(void)L88tell_user_done(3,V1,Cnil,Cnil)   /*  TELL-USER-DONE  */;
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NEW-REQUIRE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L110new_require(volatile cl_narg narg, cl_object volatile V1, ...)
{ VT109 VLEX109 CLSR109 STCK109
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>5)) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V2;
	volatile cl_object V3;
	volatile cl_object V4;
	volatile cl_object V5;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V5= ecl_symbol_value(VV[36]);
	} else {
	i++;
	V5= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V1)==Cnil){
	goto L9;}
	{cl_object V6;
	V6= cl_string(V1)                         /*  STRING          */;
	{cl_object V7;
	V7= si_make_seq_iterator(2,ecl_symbol_value(ECL_SYM("*MODULES*",39)),MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L14:;
	if((V7)!=Cnil){
	goto L18;}
	goto L7;
L18:;
	goto L16;
L16:;
	{cl_object V8;
	V8= si_seq_iterator_ref(ecl_symbol_value(ECL_SYM("*MODULES*",39)),V7) /*  SEQ-ITERATOR-REF */;
	if((cl_stringE(2,V6,V8)                   /*  STRING=         */)==Cnil){
	goto L23;}
	if((V8)!=Cnil){
	goto L6;}
	goto L7;
L23:;
	goto L20;
	}
L20:;
	V7= si_seq_iterator_next(ecl_symbol_value(ECL_SYM("*MODULES*",39)),V7) /*  SEQ-ITERATOR-NEXT */;
	goto L14;
	}
	}
L9:;
	goto L7;
L7:;
	{volatile cl_object env1 = env0;
	env1 = Cnil;
	CLV0=env1=CONS(Cnil,env1);
	{ volatile cl_object env2 = env1;
	CLV1=env2=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
	if (cl_env_copy->values[0]==MAKE_FIXNUM(0))goto L28;
	if (cl_env_copy->values[0]==MAKE_FIXNUM(1))goto L29;
	ecl_internal_error("GO found an inexistent tag");
	}
	T0= ecl_make_cclosure_va((cl_objectfn)LC108__g543,env2,Cblock);
	T1= CONS(VV[124],T0);
	T2= ecl_make_cclosure_va((cl_objectfn)LC109__g544,env2,Cblock);
	T3= CONS(ECL_SYM("ERROR",335),T2);
	T4= cl_list(2,T1,T3)                      /*  LIST            */;
	T5= CONS(T4,ecl_symbol_value(VV[61]));
	ecl_bds_bind(cl_env_copy,VV[61],T5);      /*  *HANDLER-CLUSTERS* */
	if((V2)==Cnil){
	goto L34;}
	value0=ecl_function_dispatch(cl_env_copy,ecl_symbol_value(VV[286]))(2,V1,V2);
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
L34:;
	if((L56find_system(3,V1,VV[151],V3)       /*  FIND-SYSTEM     */)==Cnil){
	goto L37;}
	value0=L97operate_on_system(20,V1,VV[150],VV[256],ecl_symbol_value(VV[279]),ECL_SYM("VERSION",1295),V5,ECL_SYM("TEST",1286),ecl_symbol_value(VV[17]),ECL_SYM("VERBOSE",1294),ecl_symbol_value(VV[16]),VV[258],ecl_symbol_value(VV[18]),VV[259],ecl_symbol_value(VV[19]),VV[260],ecl_symbol_value(VV[21]),VV[257],ecl_symbol_value(VV[20]),VV[262],ecl_symbol_value(VV[23])) /*  OPERATE-ON-SYSTEM */;
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
L37:;
	{cl_object V6;
	if((V4)==Cnil){
	goto L41;}
	V6= cl_eval(V4)                           /*  EVAL            */;
	goto L39;
L41:;
	V6= Cnil;
	goto L39;
L39:;
	if((V6)==Cnil){
	goto L44;}
	value0=V6; cl_env_copy->nvalues=1;
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
L44:;
	{cl_object V7;
	V7= ecl_function_dispatch(cl_env_copy,ecl_symbol_value(VV[286]))(1,V1);
	if((V7)==Cnil){
	goto L48;}
	value0=V7; cl_env_copy->nvalues=1;
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
L48:;
	value0=cl_error(3,VV[125],ECL_SYM("NAME",1244),V1) /*  ERROR  */;
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
	}
L28:;
	{cl_object V6;                            /*  MMC             */
	V6= ECL_CONS_CAR(CLV0);
	value0=(cl_env_copy->function=(ECL_SYM("SIGNAL",758)->symbol.gfdef))->cfun.entry(1,V6) /*  SIGNAL */;
	ecl_frs_pop(cl_env_copy);
	return value0;
	}
L29:;
	value0=cl_error(3,VV[125],ECL_SYM("NAME",1244),V1) /*  ERROR  */;
	ecl_frs_pop(cl_env_copy);
	return value0;}
	}
L6:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	closure G543                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC108__g543(cl_narg narg, cl_object V1, ...)
{ VT110 VLEX110 CLSR110 STCK110
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),MAKE_FIXNUM(0));
}}}
/*	closure G544                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC109__g544(cl_narg narg, cl_object V1, ...)
{ VT111 VLEX111 CLSR111 STCK111
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),MAKE_FIXNUM(1));
}}}
/*	function definition for CMUCL-MK-DEFSYSTEM-MODULE-PROVIDER    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L111cmucl_mk_defsystem_module_provider(cl_object V1)
{ VT112 VLEX112 CLSR112 STCK112
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  MODULE-NAME     */
	T0= cl_string(V1)                         /*  STRING          */;
	V2= cl_string_downcase(1,T0)              /*  STRING-DOWNCASE */;
	if((L56find_system(2,V2,VV[151])          /*  FIND-SYSTEM     */)==Cnil){
	goto L3;}
	value0=L99load_system(5,V2,VV[260],Ct,ECL_SYM("VERBOSE",1294),Cnil) /*  LOAD-SYSTEM */;
	return value0;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for FIND-LANGUAGE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L112find_language(cl_object V1)
{ VT113 VLEX113 CLSR113 STCK113
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_gethash(2,V1,ecl_symbol_value(VV[289])) /*  GETHASH */;
	return value0;
}}
/*	function definition for MAKE-LANGUAGE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L113make_language(cl_narg narg, ...)
{ VT114 VLEX114 CLSR114 STCK114
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,L113make_languagekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	V5= keyvars[4];
	}
	value0=si_make_structure(6,VV[294],V1,V2,V3,V4,V5) /*  MAKE-STRUCTURE */;
	return value0;
}}
/*	function definition for PRINT-LANGUAGE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L114print_language(cl_object V1, cl_object V2, cl_object V3)
{ VT115 VLEX115 CLSR115 STCK115
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[583])(1,V1) /*  LANGUAGE-NAME */;
	T1= ecl_function_dispatch(cl_env_copy,VV[584])(1,V1) /*  LANGUAGE-SOURCE-EXTENSION */;
	T2= ecl_function_dispatch(cl_env_copy,VV[585])(1,V1) /*  LANGUAGE-BINARY-EXTENSION */;
	value0=cl_format(5,V2,_ecl_static_118,T0,T1,T2) /*  FORMAT    */;
	return value0;
}}
/*	function definition for COMPILE-FUNCTION                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L115compile_function(cl_object V1)
{ VT116 VLEX116 CLSR116 STCK116
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_function_dispatch(cl_env_copy,VV[514])(1,V1) /*  COMPONENT-COMPILER */;
	if((value0)!=Cnil){
	goto L2;}
	{cl_object V2;                            /*  LANGUAGE        */
	value0=ecl_function_dispatch(cl_env_copy,VV[513])(1,V1) /*  COMPONENT-LANGUAGE */;
	if((value0)!=Cnil){
	goto L8;}
	T0= VV[297];
	goto L6;
L8:;
	T0= value0;
	goto L6;
L6:;
	V2= L112find_language(T0)                 /*  FIND-LANGUAGE   */;
	if((V2)==Cnil){
	goto L11;}
	value0=ecl_function_dispatch(cl_env_copy,VV[587])(1,V2) /*  LANGUAGE-COMPILER */;
	goto L4;
L11:;
	value0=Cnil;
	goto L4;
	}
L4:;
	if((value0)!=Cnil){
	goto L2;}
	value0=(ECL_SYM("COMPILE-FILE",232)->symbol.gfdef); cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOAD-FUNCTION                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L116load_function(cl_object V1)
{ VT117 VLEX117 CLSR117 STCK117
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_function_dispatch(cl_env_copy,VV[515])(1,V1) /*  COMPONENT-LOADER */;
	if((value0)!=Cnil){
	goto L2;}
	{cl_object V2;                            /*  LANGUAGE        */
	value0=ecl_function_dispatch(cl_env_copy,VV[513])(1,V1) /*  COMPONENT-LANGUAGE */;
	if((value0)!=Cnil){
	goto L8;}
	T0= VV[297];
	goto L6;
L8:;
	T0= value0;
	goto L6;
L6:;
	V2= L112find_language(T0)                 /*  FIND-LANGUAGE   */;
	if((V2)==Cnil){
	goto L11;}
	value0=ecl_function_dispatch(cl_env_copy,VV[589])(1,V2) /*  LANGUAGE-LOADER */;
	goto L4;
L11:;
	value0=Cnil;
	goto L4;
	}
L4:;
	if((value0)!=Cnil){
	goto L2;}
	value0=(ECL_SYM("LOAD",485)->symbol.gfdef); cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DEFAULT-SOURCE-EXTENSION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L117default_source_extension(cl_object V1)
{ VT118 VLEX118 CLSR118 STCK118
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  LANGUAGE        */
	value0=ecl_function_dispatch(cl_env_copy,VV[513])(1,V1) /*  COMPONENT-LANGUAGE */;
	if((value0)!=Cnil){
	goto L4;}
	T0= VV[297];
	goto L2;
L4:;
	T0= value0;
	goto L2;
L2:;
	V2= L112find_language(T0)                 /*  FIND-LANGUAGE   */;
	if((V2)==Cnil){
	goto L10;}
	value0=ecl_function_dispatch(cl_env_copy,VV[584])(1,V2) /*  LANGUAGE-SOURCE-EXTENSION */;
	goto L8;
L10:;
	value0=Cnil;
	goto L8;
L8:;
	if((value0)!=Cnil){
	goto L7;}
	value0=cl_car(ecl_symbol_value(VV[30]))   /*  CAR             */;
	return value0;
L7:;
	cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for DEFAULT-BINARY-EXTENSION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L118default_binary_extension(cl_object V1)
{ VT119 VLEX119 CLSR119 STCK119
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  LANGUAGE        */
	value0=ecl_function_dispatch(cl_env_copy,VV[513])(1,V1) /*  COMPONENT-LANGUAGE */;
	if((value0)!=Cnil){
	goto L4;}
	T0= VV[297];
	goto L2;
L4:;
	T0= value0;
	goto L2;
L2:;
	V2= L112find_language(T0)                 /*  FIND-LANGUAGE   */;
	if((V2)==Cnil){
	goto L10;}
	value0=ecl_function_dispatch(cl_env_copy,VV[585])(1,V2) /*  LANGUAGE-BINARY-EXTENSION */;
	goto L8;
L10:;
	value0=Cnil;
	goto L8;
L8:;
	if((value0)!=Cnil){
	goto L7;}
	value0=cl_cdr(ecl_symbol_value(VV[30]))   /*  CDR             */;
	return value0;
L7:;
	cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function DEFINE-LANGUAGE                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC119define_language(cl_object V1, cl_object V2)
{ VT120 VLEX120 CLSR120 STCK120
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NAME            */
	cl_object V4;
	cl_object V5;
	cl_object V6;                             /*  COMPILER        */
	cl_object V7;
	cl_object V8;                             /*  LOADER          */
	cl_object V9;
	cl_object V10;                            /*  SOURCE-EXTENSION */
	cl_object V11;
	cl_object V12;                            /*  BINARY-EXTENSION */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	V5= si_search_keyword(2,V4,VV[302])       /*  SEARCH-KEYWORD  */;
	if(!((V5)==(VV[303]))){
	goto L9;}
	V6= Cnil;
	goto L7;
L9:;
	V6= V5;
	goto L7;
L7:;
	V7= si_search_keyword(2,V4,VV[304])       /*  SEARCH-KEYWORD  */;
	if(!((V7)==(VV[303]))){
	goto L14;}
	V8= Cnil;
	goto L12;
L14:;
	V8= V7;
	goto L12;
L12:;
	V9= si_search_keyword(2,V4,VV[305])       /*  SEARCH-KEYWORD  */;
	if(!((V9)==(VV[303]))){
	goto L19;}
	V10= Cnil;
	goto L17;
L19:;
	V10= V9;
	goto L17;
L17:;
	V11= si_search_keyword(2,V4,VV[306])      /*  SEARCH-KEYWORD  */;
	if(!((V11)==(VV[303]))){
	goto L24;}
	V12= Cnil;
	goto L22;
L24:;
	V12= V11;
	goto L22;
L22:;
	(void)si_check_keyword(2,V4,VV[307])      /*  CHECK-KEYWORD   */;
	{cl_object V13;                           /*  LANGUAGE        */
	V13= cl_gensym(1,_ecl_static_119)         /*  GENSYM          */;
	T0= cl_list(11,VV[295],ECL_SYM("NAME",1244),V3,VV[302],V6,VV[304],V8,VV[305],V10,VV[306],V12) /*  LIST */;
	T1= cl_list(2,V13,T0)                     /*  LIST            */;
	T2= ecl_list1(T1);
	T3= cl_list(3,ECL_SYM("GETHASH",411),V3,VV[289]) /*  LIST     */;
	T4= cl_list(3,ECL_SYM("SETF",748),T3,V13) /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T2,T4,V3) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for SCHEME-COMPILE-FILE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L120scheme_compile_file(cl_narg narg, cl_object V1, ...)
{ VT121 VLEX121 CLSR121 STCK121
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V3;                            /*  SCHEME-PACKAGE  */
	V3= cl_find_package(VV[309])              /*  FIND-PACKAGE    */;
	T0= ecl_symbol_name(ECL_SYM("COMPILE-FILE",232));
	T1= cl_find_symbol(2,T0,V3)               /*  FIND-SYMBOL     */;
	T2= cl_symbol_function(T1)                /*  SYMBOL-FUNCTION */;
	T5= ecl_symbol_name(VV[310]);
	T6= cl_find_symbol(2,T5,V3)               /*  FIND-SYMBOL     */;
	T4= cl_symbol_function(T6)                /*  SYMBOL-FUNCTION */;
	T3= ecl_function_dispatch(cl_env_copy,T4)(0);
	value0=cl_apply(4,T2,V1,T3,V2)            /*  APPLY           */;
	return value0;
	}
}}
/*	function definition for RUN-UNIX-PROGRAM                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L121run_unix_program(cl_object V1, cl_object V2)
{ VT122 VLEX122 CLSR122 STCK122
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_format(4,Cnil,_ecl_static_123,V1,V2) /*  FORMAT        */;
	value0=ecl_function_dispatch(cl_env_copy,VV[595])(1,T0) /*  SYSTEM */;
	return value0;
}}
/*	function definition for RUN-SHELL-COMMAND                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L122run_shell_command(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT123 VLEX123 CLSR123 STCK123
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L122run_shell_commandkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[2]==Cnil){
	V3= ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",67));
	}else{
	V3= keyvars[0];}
	if(keyvars[3]==Cnil){
	V4= ecl_symbol_value(VV[315]);
	}else{
	V4= keyvars[1];}
	}
	{cl_object V5;                            /*  COMMAND         */
	T0= (ECL_SYM("FORMAT",385)->symbol.gfdef);
	V5= cl_apply(4,T0,Cnil,V1,V2)             /*  APPLY           */;
	value0=cl_error(1,_ecl_static_125)        /*  ERROR           */;
	return value0;
	}
}}
/*	function definition for DEFAULT-OUTPUT-PATHNAME               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L123default_output_pathname(cl_object V1, cl_object V2, cl_object V3)
{ VT124 VLEX124 CLSR124 STCK124
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(Ct))){
	goto L2;}
	T0= cl_make_pathname(2,ECL_SYM("TYPE",1288),V3) /*  MAKE-PATHNAME */;
	T1= cl_pathname(V2)                       /*  PATHNAME        */;
	T2= cl_merge_pathnames(2,T0,T1)           /*  MERGE-PATHNAMES */;
	value0=cl_translate_logical_pathname(1,T2) /*  TRANSLATE-LOGICAL-PATHNAME */;
	return value0;
L2:;
	T0= cl_pathname(V1)                       /*  PATHNAME        */;
	value0=cl_translate_logical_pathname(1,T0) /*  TRANSLATE-LOGICAL-PATHNAME */;
	return value0;
}}
/*	function definition for RUN-COMPILER                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L125run_compiler(cl_object volatile V1, cl_object volatile V2, cl_object volatile V3, cl_object volatile V4, cl_object volatile V5, cl_object volatile V6)
{ VT125 VLEX125 CLSR125 STCK125
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V7;                   /*  LET1902         */
	volatile cl_object V8;                    /*  VERBOSE-STREAM  */
	volatile cl_object V9;                    /*  FATAL-ERROR     */
	volatile cl_object V10;                   /*  OUTPUT-FILE-WRITTEN */
	V7= cl_file_write_date(V3)                /*  FILE-WRITE-DATE */;
	V8= Cnil;
	V9= Cnil;
	V10= Cnil;
	{
	volatile bool unwinding = FALSE;
	cl_index V11=ECL_STACK_INDEX(cl_env_copy),V12;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	if((V6)==Cnil){
	goto L10;}
	T0= ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",67));
	goto L8;
L10:;
	T0= Cnil;
	goto L8;
L8:;
	V8= LC124make_useable_stream(1,T0)        /*  MAKE-USEABLE-STREAM */;
	(void)cl_format(4,V8,_ecl_static_126,V1,V2) /*  FORMAT        */;
	if((L121run_unix_program(V1,V2)           /*  RUN-UNIX-PROGRAM */)==Cnil){
	goto L16;}
	V9= Cnil;
	goto L14;
L16:;
	V9= Cnil;
	goto L14;
L14:;
	if((cl_probe_file(V3)                     /*  PROBE-FILE      */)==Cnil){
	goto L21;}
	T0= cl_file_write_date(V3)                /*  FILE-WRITE-DATE */;
	{bool V13;
	V13= ecl_eql(V7,T0);
	V10= (V13)?Cnil:Ct;
	goto L19;}
L21:;
	V10= Cnil;
	goto L19;
L19:;
	if((V10)==Cnil){
	goto L25;}
	(void)cl_format(3,V8,_ecl_static_127,V3)  /*  FORMAT          */;
	goto L23;
L25:;
	goto L23;
L23:;
	(void)cl_format(3,V8,_ecl_static_128,V1)  /*  FORMAT          */;
	if((V10)==Cnil){
	goto L30;}
	T0= V3;
	goto L28;
L30:;
	T0= Cnil;
	goto L28;
L28:;
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=V9;
	cl_env_copy->values[1]=V9;
	cl_env_copy->values[0]=T0;
	}
	ecl_frs_pop(cl_env_copy);
	V12=ecl_stack_push_values(cl_env_copy);
	if((V10)==Cnil){
	goto L35;}
	goto L33;
L35:;
	goto L33;
L33:;
	ecl_stack_pop_values(cl_env_copy,V12);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V11);
	return cl_env_copy->values[0];}
	}
}}
/*	local function MAKE-USEABLE-STREAM                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC124make_useable_stream(cl_narg narg, ...)
{ VT126 VLEX126 CLSR126 STCK126
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= (ECL_SYM("MAKE-BROADCAST-STREAM",521)->symbol.gfdef);
	T1= cl_delete(2,Cnil,V1)                  /*  DELETE          */;
	value0=cl_apply(2,T0,T1)                  /*  APPLY           */;
	return value0;
}}
/*	function definition for C-COMPILE-FILE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L128c_compile_file(cl_narg narg, cl_object V1, ...)
{ VT127 VLEX127 CLSR127 STCK127
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_object V11;
	cl_object V12;
	cl_object V13;
	cl_object V14;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[26];
	cl_parse_key(args,13,L128c_compile_filekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[13]==Cnil){
	V2= Ct;
	}else{
	V2= keyvars[0];}
	if(keyvars[14]==Cnil){
	V3= Ct;
	}else{
	V3= keyvars[1];}
	if(keyvars[15]==Cnil){
	V4= Ct;
	}else{
	V4= keyvars[2];}
	if(keyvars[16]==Cnil){
	V5= ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",27));
	}else{
	V5= keyvars[3];}
	V6= keyvars[4];
	V7= keyvars[5];
	V8= keyvars[6];
	V9= keyvars[7];
	V10= keyvars[8];
	V11= keyvars[9];
	V12= keyvars[10];
	V13= keyvars[11];
	if(keyvars[25]==Cnil){
	V14= Ct;
	}else{
	V14= keyvars[12];}
	}
	{cl_object V15;                           /*  OUTPUT-FILE     */
	cl_object V16;                            /*  ARGUMENTS       */
	V15= L123default_output_pathname(V2,V1,_ecl_static_130) /*  DEFAULT-OUTPUT-PATHNAME */;
	if((V7)!=Cnil){
	goto L10;}
	T0= VV[319];
	goto L8;
L10:;
	T0= Cnil;
	goto L8;
L8:;
	if((V6)==Cnil){
	goto L14;}
	T1= VV[320];
	goto L12;
L14:;
	T1= Cnil;
	goto L12;
L12:;
	if((V8)==Cnil){
	goto L18;}
	T3= cl_format(3,Cnil,_ecl_static_131,V8)  /*  FORMAT          */;
	T2= ecl_list1(T3);
	goto L16;
L18:;
	T2= Cnil;
	goto L16;
L16:;
	T4= ecl_make_cfun((cl_objectfn_fixed)LC127__g579,Cnil,Cblock,1);
	T3= LC126map_options(3,_ecl_static_132,V10,T4) /*  MAP-OPTIONS */;
	T5= (ECL_SYM("TRUENAME",862)->symbol.gfdef);
	T4= LC126map_options(3,_ecl_static_134,V11,T5) /*  MAP-OPTIONS */;
	T5= cl_truename(V1)                       /*  TRUENAME        */;
	T6= cl_namestring(T5)                     /*  NAMESTRING      */;
	T7= cl_translate_logical_pathname(1,V15)  /*  TRANSLATE-LOGICAL-PATHNAME */;
	T8= cl_namestring(T7)                     /*  NAMESTRING      */;
	T10= (ECL_SYM("TRUENAME",862)->symbol.gfdef);
	T9= LC126map_options(3,_ecl_static_136,V12,T10) /*  MAP-OPTIONS */;
	T10= LC126map_options(2,_ecl_static_137,V13) /*  MAP-OPTIONS  */;
	T11= ecl_append(T9,T10);
	T12= cl_listX(4,T6,_ecl_static_135,T8,T11) /*  LIST*          */;
	V16= cl_append(7,T0,T1,T2,V9,T3,T4,T12)   /*  APPEND          */;
	cl_env_copy->values[0]=L125run_compiler(ecl_symbol_value(VV[313]),V16,V15,V3,V4,V5) /*  RUN-COMPILER */;
	{
	cl_object V18;                            /*  OUTPUT-FILE     */
	cl_object V19;                            /*  WARNINGS        */
	cl_object V20;                            /*  FATAL-ERRORS    */
	{int V21=cl_env_copy->nvalues-0;
	if (V21--<=0) goto L28;
	V18= cl_env_copy->values[0];
	if (V21--<=0) goto L29;
	V19= cl_env_copy->values[1];
	if (V21--<=0) goto L30;
	V20= cl_env_copy->values[2];
	goto L31;}
L28:;
	V18= Cnil;
L29:;
	V19= Cnil;
L30:;
	V20= Cnil;
L31:;
	if((V14)==Cnil){
	goto L33;}
	if((V18)==Cnil){
	goto L36;}
	if((V20)==Cnil){
	goto L33;}
	goto L34;
L36:;
L34:;
	value0=cl_error(1,_ecl_static_138)        /*  ERROR           */;
	return value0;
L33:;
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=V20;
	cl_env_copy->values[1]=V19;
	cl_env_copy->values[0]=V18;
	return cl_env_copy->values[0];}
	}
}}
/*	local function MAP-OPTIONS                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC126map_options(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT128 VLEX128 CLSR128 STCK128
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;
	cl_object V5;
	V4= Cnil;
	V5= V2;
	{cl_object V6;
	cl_object V7;
	V6= ecl_list1(Cnil);
	V7= V6;
L7:;
	if(!(ecl_endp(V5))){
	goto L11;}
	goto L8;
L11:;
	goto L9;
L9:;
	V4= CAR(V5);
	V5= CDR(V5);
	T0= V7;
	T2= ecl_function_dispatch(cl_env_copy,V3)(1,V4);
	T1= cl_format(4,Cnil,_ecl_static_129,V1,T2) /*  FORMAT        */;
	V7= ecl_list1(T1);
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V7;
	goto L7;
L8:;
	value0=cl_cdr(V6)                         /*  CDR             */;
	return value0;
	}
	}
}}
/*	local function G579                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC127__g579(cl_object V1)
{ VT129 VLEX129 CLSR129 STCK129
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_ATOM(V1))){
	goto L2;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L2:;
	T0= (ECL_SYM("FORMAT",385)->symbol.gfdef);
	value0=cl_apply(4,T0,Cnil,_ecl_static_133,V1) /*  APPLY       */;
	return value0;
}}
/*	function definition for FORTRAN-COMPILE-FILE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L129fortran_compile_file(cl_narg narg, cl_object V1, ...)
{ VT130 VLEX130 CLSR130 STCK130
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L129fortran_compile_filekeys,keyvars,NULL,TRUE);
	cl_va_end(args);
	V2= keyvars[0];
	V3= keyvars[1];
	}
	{cl_object V4;                            /*  ARG-LIST        */
	if((V2)==Cnil){
	goto L4;}
	T0= cl_list(2,_ecl_static_135,V2)         /*  LIST            */;
	goto L2;
L4:;
	T0= Cnil;
	goto L2;
L2:;
	T1= cl_listX(3,_ecl_static_141,V1,T0)     /*  LIST*           */;
	V4= ecl_append(ecl_symbol_value(VV[324]),T1);
	value0=L121run_unix_program(ecl_symbol_value(VV[323]),V4) /*  RUN-UNIX-PROGRAM */;
	return value0;
	}
}}
/*	function definition for BUILD-LIB                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L130build_lib(cl_object V1, cl_object V2)
{ VT131 VLEX131 CLSR131 STCK131
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARGS            */
	T0= cl_truename(V1)                       /*  TRUENAME        */;
	V3= cl_list(2,_ecl_static_144,T0)         /*  LIST            */;
	(void)cl_format(3,Ct,_ecl_static_145,V1)  /*  FORMAT          */;
	T0= ecl_symbol_value(VV[327]);
	{cl_object V4;                            /*  LET1908         */
	cl_object V5;
	cl_object V6;
	V4= cl_directory(1,V2)                    /*  DIRECTORY       */;
	V5= Cnil;
	V6= V4;
	{cl_object V7;
	cl_object V8;
	V7= ecl_list1(Cnil);
	V8= V7;
L10:;
	if(!(ecl_endp(V6))){
	goto L14;}
	goto L11;
L14:;
	goto L12;
L12:;
	V5= CAR(V6);
	V6= CDR(V6);
	T2= V8;
	T3= cl_truename(V5)                       /*  TRUENAME        */;
	V8= ecl_list1(T3);
	if (ecl_unlikely(ATOM(T2)))FEtype_error_cons(T2);
	ECL_CONS_CDR(T2) = V8;
	goto L10;
L11:;
	T1= cl_cdr(V7)                            /*  CDR             */;
	goto L3;
	}
	}
L3:;
	T2= ecl_append(V3,T1);
	value0=L121run_unix_program(T0,T2)        /*  RUN-UNIX-PROGRAM */;
	return value0;
	}
}}
/*	function definition for COMPILE-AND-LOAD-OPERATION            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L131compile_and_load_operation(cl_object V1, cl_object V2)
{ VT132 VLEX132 CLSR132 STCK132
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  CHANGED         */
	V3= L133compile_file_operation(V1,V2)     /*  COMPILE-FILE-OPERATION */;
	if((V3)==Cnil){
	goto L3;}
	if((ecl_function_dispatch(cl_env_copy,VV[507])(1,V1) /*  COMPONENT-COMPILE-ONLY */)==Cnil){
	goto L3;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L3:;
	if((L137load_file_operation(V1,V2)        /*  LOAD-FILE-OPERATION */)==Cnil){
	goto L7;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L7:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for UNMUNGE-LUCID                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L132unmunge_lucid(cl_object V1)
{ VT133 VLEX133 CLSR133 STCK133
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((L13null_string(V1)                    /*  NULL-STRING     */)==Cnil){
	goto L2;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L2:;
	{ecl_character V2;
	V2= ecl_char(V1,0);
	if(!((V2)==((ecl_character)('\57')))){
	goto L5;}}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L5:;
	value0=cl_concatenate(3,ECL_SYM("STRING",803),_ecl_static_146,V1) /*  CONCATENATE */;
	return value0;
}}
/*	function definition for COMPILE-FILE-OPERATION                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L133compile_file_operation(cl_object V1, cl_object V2)
{ VT134 VLEX134 CLSR134 STCK134
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LET1909         */
	cl_object V4;                             /*  LET1910         */
	T0= ecl_function_dispatch(cl_env_copy,VV[506])(1,V1) /*  COMPONENT-LOAD-ONLY */;
	if(!(T0==Cnil)){
	goto L3;}
	{cl_object V5;
	V5= si_make_seq_iterator(2,VV[333],MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L10:;
	if((V5)!=Cnil){
	goto L14;}
	value0=Cnil;
	goto L7;
L14:;
	goto L12;
L12:;
	{cl_object V6;
	V6= si_seq_iterator_ref(VV[333],V5)       /*  SEQ-ITERATOR-REF */;
	if(!((V2)==(V6))){
	goto L19;}
	value0=V6;
	goto L7;
L19:;
	goto L16;
	}
L16:;
	V5= si_seq_iterator_next(VV[333],V5)      /*  SEQ-ITERATOR-NEXT */;
	goto L10;
	}
L7:;
	if((value0)!=Cnil){
	goto L6;}
	{cl_object V5;
	V5= si_make_seq_iterator(2,VV[334],MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L28:;
	if((V5)!=Cnil){
	goto L32;}
	goto L24;
L32:;
	goto L30;
L30:;
	{cl_object V6;
	V6= si_seq_iterator_ref(VV[334],V5)       /*  SEQ-ITERATOR-REF */;
	if(!((V2)==(V6))){
	goto L37;}
	if((V6)==Cnil){
	goto L24;}
	goto L25;
L37:;
	goto L34;
	}
L34:;
	V5= si_seq_iterator_next(VV[334],V5)      /*  SEQ-ITERATOR-NEXT */;
	goto L28;
	}
L25:;
	V3= L135needs_compilation(V1,Cnil)        /*  NEEDS-COMPILATION */;
	goto L1;
L24:;
	V3= Cnil;
	goto L1;
L6:;
	V3= value0;
	goto L1;
L3:;
	V3= Cnil;
	goto L1;
L1:;
	V4= L66component_full_pathname(2,V1,VV[131]) /*  COMPONENT-FULL-PATHNAME */;
	if((V3)==Cnil){
	goto L43;}
	if((cl_probe_file(V4)                     /*  PROBE-FILE      */)==Cnil){
	goto L43;}
	(void)L87tell_user(5,_ecl_static_147,V1,VV[131],Cnil,Cnil) /*  TELL-USER */;
	{cl_object V5;                            /*  OUTPUT-FILE     */
	V5= L66component_full_pathname(2,V1,VV[158]) /*  COMPONENT-FULL-PATHNAME */;
	T0= cl_pathname_host(1,V5)                /*  PATHNAME-HOST   */;
	T1= cl_pathname_directory(1,V5)           /*  PATHNAME-DIRECTORY */;
	T2= cl_make_pathname(4,ECL_SYM("HOST",1217),T0,ECL_SYM("DIRECTORY",1193),T1) /*  MAKE-PATHNAME */;
	(void)cl_ensure_directories_exist(1,T2)   /*  ENSURE-DIRECTORIES-EXIST */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=Cnil){
	goto L52;}
	T0= L115compile_function(V1)              /*  COMPILE-FUNCTION */;
	T1= ecl_function_dispatch(cl_env_copy,VV[508])(1,V1) /*  COMPONENT-COMPILER-OPTIONS */;
	(void)cl_apply(5,T0,V4,VV[335],V5,T1)     /*  APPLY           */;
	goto L48;
L52:;
	goto L48;
	}
L48:;
	(void)L88tell_user_done(3,V1,Cnil,Cnil)   /*  TELL-USER-DONE  */;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L43:;
	if((V3)==Cnil){
	goto L55;}
	(void)L87tell_user(5,_ecl_static_148,V1,VV[131],VV[336],VV[256]) /*  TELL-USER */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L55:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for COMPILED-FILE-P                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L134compiled_file_p(cl_object V1)
{ VT135 VLEX135 CLSR135 STCK135
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NEEDS-COMPILATION                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L135needs_compilation(cl_object V1, cl_object V2)
{ VT136 VLEX136 CLSR136 STCK136
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LET1911         */
	cl_object V4;                             /*  LET1912         */
	V3= L66component_full_pathname(2,V1,VV[131]) /*  COMPONENT-FULL-PATHNAME */;
	V4= L66component_full_pathname(2,V1,VV[158]) /*  COMPONENT-FULL-PATHNAME */;
	if((cl_probe_file(V3)                     /*  PROBE-FILE      */)==Cnil){
	goto L4;}
	T0= cl_probe_file(V4)                     /*  PROBE-FILE      */;
	value0=ecl_make_bool(T0==Cnil);
	if((value0)!=Cnil){
	goto L7;}
	T0= cl_file_write_date(V4)                /*  FILE-WRITE-DATE */;
	T1= cl_file_write_date(V3)                /*  FILE-WRITE-DATE */;
	value0=ecl_make_bool(ecl_number_compare(T0,T1)<0);
	if((value0)!=Cnil){
	goto L7;}
	T0= L134compiled_file_p(V4)               /*  COMPILED-FILE-P */;
	value0=Null(T0)?Ct:Cnil; cl_env_copy->nvalues=1;
	return value0;
L7:;
	cl_env_copy->nvalues=1;
	return value0;
L4:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for NEEDS-LOADING                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L136needs_loading(cl_narg narg, cl_object V1, ...)
{ VT137 VLEX137 CLSR137 STCK137
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Ct;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= Ct;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  LET1913         */
	cl_object V5;                             /*  LET1914         */
	cl_object V6;                             /*  LET1915         */
	V4= L51component_load_time(V1)            /*  COMPONENT-LOAD-TIME */;
	V5= L66component_full_pathname(2,V1,VV[131]) /*  COMPONENT-FULL-PATHNAME */;
	V6= L66component_full_pathname(2,V1,VV[158]) /*  COMPONENT-FULL-PATHNAME */;
	value0=ecl_function_dispatch(cl_env_copy,VV[509])(1,V1) /*  COMPONENT-LOAD-ALWAYS */;
	if((value0)!=Cnil){
	goto L7;}
	value0=ecl_make_bool(V4==Cnil);
	if((value0)!=Cnil){
	goto L7;}
	if((V3)==Cnil){
	goto L12;}
	if((cl_probe_file(V6)                     /*  PROBE-FILE      */)==Cnil){
	goto L12;}
	T0= cl_file_write_date(V6)                /*  FILE-WRITE-DATE */;
	value0=ecl_make_bool(ecl_number_compare(V4,T0)<0);
	goto L10;
L12:;
	value0=Cnil;
	goto L10;
L10:;
	if((value0)!=Cnil){
	goto L7;}
	if((V2)==Cnil){
	goto L16;}
	if((cl_probe_file(V5)                     /*  PROBE-FILE      */)==Cnil){
	goto L16;}
	T0= cl_file_write_date(V5)                /*  FILE-WRITE-DATE */;
	value0=ecl_make_bool(ecl_number_compare(V4,T0)<0); cl_env_copy->nvalues=1;
	return value0;
L16:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L7:;
	cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOAD-FILE-OPERATION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L137load_file_operation(cl_object V1, cl_object V2)
{ VT138 VLEX138 CLSR138 STCK138
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  BINARY-PNAME    */
	cl_object V4;                             /*  SOURCE-PNAME    */
	cl_object V5;                             /*  BINARY-EXISTS   */
	cl_object V6;                             /*  SOURCE-EXISTS   */
	cl_object V7;                             /*  SOURCE-NEEDS-LOADING */
	cl_object V8;                             /*  BINARY-NEEDS-LOADING */
	cl_object V9;                             /*  NEEDS-COMPILATION */
	cl_object V10;                            /*  CHECK-FOR-NEW-SOURCE */
	cl_object V11;                            /*  LOAD-BINARY     */
	cl_object V12;                            /*  LOAD-SOURCE     */
	cl_object V13;                            /*  COMPILE-AND-LOAD */
	V3= L66component_full_pathname(2,V1,VV[158]) /*  COMPONENT-FULL-PATHNAME */;
	V4= L66component_full_pathname(2,V1,VV[131]) /*  COMPONENT-FULL-PATHNAME */;
	V5= cl_probe_file(V3)                     /*  PROBE-FILE      */;
	V6= cl_probe_file(V4)                     /*  PROBE-FILE      */;
	V7= L136needs_loading(3,V1,Ct,Cnil)       /*  NEEDS-LOADING   */;
	V8= L136needs_loading(3,V1,Cnil,Ct)       /*  NEEDS-LOADING   */;
	if((ecl_function_dispatch(cl_env_copy,VV[506])(1,V1) /*  COMPONENT-LOAD-ONLY */)==Cnil){
	goto L9;}
	V9= V7;
	goto L7;
L9:;
	V9= L135needs_compilation(V1,V2)          /*  NEEDS-COMPILATION */;
	goto L7;
L7:;
	{cl_object V14;
	V14= si_make_seq_iterator(2,VV[342],MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L14:;
	if((V14)!=Cnil){
	goto L18;}
	V10= Cnil;
	goto L11;
L18:;
	goto L16;
L16:;
	{cl_object V15;
	V15= si_seq_iterator_ref(VV[342],V14)     /*  SEQ-ITERATOR-REF */;
	if(!((V2)==(V15))){
	goto L23;}
	V10= V15;
	goto L11;
L23:;
	goto L20;
	}
L20:;
	V14= si_seq_iterator_next(VV[342],V14)    /*  SEQ-ITERATOR-NEXT */;
	goto L14;
	}
L11:;
	{cl_object V14;
	V14= si_make_seq_iterator(2,VV[333],MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L33:;
	if((V14)!=Cnil){
	goto L37;}
	value0=Cnil;
	goto L30;
L37:;
	goto L35;
L35:;
	{cl_object V15;
	V15= si_seq_iterator_ref(VV[333],V14)     /*  SEQ-ITERATOR-REF */;
	if(!((V2)==(V15))){
	goto L42;}
	value0=V15;
	goto L30;
L42:;
	goto L39;
	}
L39:;
	V14= si_seq_iterator_next(VV[333],V14)    /*  SEQ-ITERATOR-NEXT */;
	goto L33;
	}
L30:;
	if((value0)!=Cnil){
	goto L29;}
	V11= V8;
	goto L27;
L29:;
	V11= value0;
	goto L27;
L27:;
	value0=ecl_symbol_value(VV[20]);
	if((value0)!=Cnil){
	goto L48;}
	if((V11)==Cnil){
	goto L52;}
	value0=ecl_function_dispatch(cl_env_copy,VV[506])(1,V1) /*  COMPONENT-LOAD-ONLY */;
	goto L50;
L52:;
	value0=Cnil;
	goto L50;
L50:;
	if((value0)!=Cnil){
	goto L48;}
	if((V10)==Cnil){
	goto L55;}
	V12= V9;
	goto L46;
L55:;
	V12= Cnil;
	goto L46;
L48:;
	V12= value0;
	goto L46;
L46:;
	if((V9)==Cnil){
	goto L59;}
	if((V11)!=Cnil){
	goto L62;}
	if((V10)==Cnil){
	goto L59;}
	goto L61;
L62:;
L61:;
	V13= L140compile_and_load_source_if_no_binary(V1) /*  COMPILE-AND-LOAD-SOURCE-IF-NO-BINARY */;
	goto L57;
L59:;
	V13= Cnil;
	goto L57;
L57:;
	if((ecl_symbol_value(VV[23]))==Cnil){
	goto L66;}
	{cl_object V14;
	V14= si_make_seq_iterator(2,VV[343],MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L71:;
	if((V14)!=Cnil){
	goto L75;}
	goto L67;
L75:;
	goto L73;
L73:;
	{cl_object V15;
	V15= si_seq_iterator_ref(VV[343],V14)     /*  SEQ-ITERATOR-REF */;
	if(!((V2)==(V15))){
	goto L80;}
	if((V15)!=Cnil){
	goto L66;}
	goto L67;
L80:;
	goto L77;
	}
L77:;
	V14= si_seq_iterator_next(VV[343],V14)    /*  SEQ-ITERATOR-NEXT */;
	goto L71;
	}
L67:;
	if((V12)==Cnil){
	goto L86;}
	V12= V7;
	goto L84;
L86:;
	goto L84;
L84:;
	if((V11)==Cnil){
	goto L90;}
	V11= V8;
	goto L64;
L90:;
	goto L64;
L66:;
	goto L64;
L64:;
	if((V12)!=Cnil){
	goto L96;}
	if((V11)!=Cnil){
	goto L96;}
	if((V13)==Cnil){
	goto L94;}
	goto L95;
L96:;
L95:;
	if((V13)==Cnil){
	goto L100;}
	(void)L133compile_file_operation(V1,Ct)   /*  COMPILE-FILE-OPERATION */;
	(void)L87tell_user(5,_ecl_static_151,V1,VV[158],Cnil,Cnil) /*  TELL-USER */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=Cnil){
	goto L107;}
	T0= L116load_function(V1)                 /*  LOAD-FUNCTION   */;
	(void)ecl_function_dispatch(cl_env_copy,T0)(1,V3);
	{cl_object V14;
	V14= cl_file_write_date(V3)               /*  FILE-WRITE-DATE */;
	if((V1)==Cnil){
	goto L113;}
	if(!(ECL_STRINGP(V1))){
	goto L117;}
	{cl_object V15;
	V15= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V1,V15,V14)             /*  HASH-SET        */;
	goto L115;
	}
L117:;
	if((cl_pathnamep(V1)                      /*  PATHNAMEP       */)==Cnil){
	goto L121;}
	{cl_object V16;
	cl_object V17;
	V16= cl_namestring(V1)                    /*  NAMESTRING      */;
	V17= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V16,V17,V14)            /*  HASH-SET        */;
	goto L115;
	}
L121:;
	if((si_of_class_p(2,V1,VV[87])            /*  OF-CLASS-P      */)==Cnil){
	goto L126;}
	{cl_object V18;
	V18= ecl_function_dispatch(cl_env_copy,VV[136])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V18,VV[127]))){
	goto L130;}
	{cl_object V19;                           /*  NAME            */
	cl_object V20;                            /*  PATH            */
	V19= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	if((V19)==Cnil){
	goto L135;}
	V20= L53compute_system_path(V19,Cnil)     /*  COMPUTE-SYSTEM-PATH */;
	goto L133;
L135:;
	V20= Cnil;
	goto L133;
L133:;
	if((V20)==Cnil){
	goto L138;}
	{cl_object V21;
	cl_object V22;
	V21= cl_namestring(V20)                   /*  NAMESTRING      */;
	V22= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V21,V22,V14)            /*  HASH-SET        */;
	goto L115;
	}
L138:;
	goto L115;
	}
L130:;
	if(!(ecl_eql(V18,ECL_SYM("FILE",1211)))){
	goto L148;}
	goto L145;
	goto L146;
L148:;
	goto L146;
L146:;
	if(!(ecl_eql(V18,VV[129]))){
	goto L143;}
	goto L144;
L145:;
L144:;
	{cl_object V23;                           /*  PATH            */
	V23= L66component_full_pathname(2,V1,VV[131]) /*  COMPONENT-FULL-PATHNAME */;
	if((V23)==Cnil){
	goto L153;}
	{cl_object V24;
	V24= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V23,V24,V14)            /*  HASH-SET        */;
	goto L115;
	}
L153:;
	goto L115;
	}
L143:;
	(void)si_ecase_error(3,VV[344],V18,VV[133]) /*  ECASE-ERROR   */;
	goto L115;
	}
L126:;
	(void)si_etypecase_error(3,VV[345],V1,VV[134]) /*  ETYPECASE-ERROR */;
	goto L115;
L115:;
	goto L105;
L113:;
	goto L105;
	}
L107:;
	goto L105;
L105:;
	(void)L88tell_user_done(3,V1,Cnil,Cnil)   /*  TELL-USER-DONE  */;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L100:;
	if((V6)==Cnil){
	goto L157;}
	if((V12)==Cnil){
	goto L163;}
	if((ecl_symbol_value(VV[20]))!=Cnil){
	goto L160;}
	if((ecl_function_dispatch(cl_env_copy,VV[506])(1,V1) /*  COMPONENT-LOAD-ONLY */)!=Cnil){
	goto L160;}
	if((ecl_symbol_value(VV[21]))==Cnil){
	goto L160;}
	goto L161;
L163:;
	goto L161;
L161:;
	if((V11)==Cnil){
	goto L157;}
	if((V5)!=Cnil){
	goto L157;}
	if((L141load_source_if_no_binary(V1)      /*  LOAD-SOURCE-IF-NO-BINARY */)==Cnil){
	goto L157;}
	goto L158;
L160:;
L158:;
	(void)L87tell_user(5,_ecl_static_152,V1,VV[131],Cnil,Cnil) /*  TELL-USER */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=Cnil){
	goto L173;}
	T0= L116load_function(V1)                 /*  LOAD-FUNCTION   */;
	(void)ecl_function_dispatch(cl_env_copy,T0)(1,V4);
	{cl_object V14;
	V14= cl_file_write_date(V4)               /*  FILE-WRITE-DATE */;
	if((V1)==Cnil){
	goto L179;}
	if(!(ECL_STRINGP(V1))){
	goto L183;}
	{cl_object V15;
	V15= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V1,V15,V14)             /*  HASH-SET        */;
	goto L181;
	}
L183:;
	if((cl_pathnamep(V1)                      /*  PATHNAMEP       */)==Cnil){
	goto L187;}
	{cl_object V16;
	cl_object V17;
	V16= cl_namestring(V1)                    /*  NAMESTRING      */;
	V17= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V16,V17,V14)            /*  HASH-SET        */;
	goto L181;
	}
L187:;
	if((si_of_class_p(2,V1,VV[87])            /*  OF-CLASS-P      */)==Cnil){
	goto L192;}
	{cl_object V18;
	V18= ecl_function_dispatch(cl_env_copy,VV[136])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V18,VV[127]))){
	goto L196;}
	{cl_object V19;                           /*  NAME            */
	cl_object V20;                            /*  PATH            */
	V19= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	if((V19)==Cnil){
	goto L201;}
	V20= L53compute_system_path(V19,Cnil)     /*  COMPUTE-SYSTEM-PATH */;
	goto L199;
L201:;
	V20= Cnil;
	goto L199;
L199:;
	if((V20)==Cnil){
	goto L204;}
	{cl_object V21;
	cl_object V22;
	V21= cl_namestring(V20)                   /*  NAMESTRING      */;
	V22= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V21,V22,V14)            /*  HASH-SET        */;
	goto L181;
	}
L204:;
	goto L181;
	}
L196:;
	if(!(ecl_eql(V18,ECL_SYM("FILE",1211)))){
	goto L214;}
	goto L211;
	goto L212;
L214:;
	goto L212;
L212:;
	if(!(ecl_eql(V18,VV[129]))){
	goto L209;}
	goto L210;
L211:;
L210:;
	{cl_object V23;                           /*  PATH            */
	V23= L66component_full_pathname(2,V1,VV[131]) /*  COMPONENT-FULL-PATHNAME */;
	if((V23)==Cnil){
	goto L219;}
	{cl_object V24;
	V24= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V23,V24,V14)            /*  HASH-SET        */;
	goto L181;
	}
L219:;
	goto L181;
	}
L209:;
	(void)si_ecase_error(3,VV[346],V18,VV[133]) /*  ECASE-ERROR   */;
	goto L181;
	}
L192:;
	(void)si_etypecase_error(3,VV[347],V1,VV[134]) /*  ETYPECASE-ERROR */;
	goto L181;
L181:;
	goto L171;
L179:;
	goto L171;
	}
L173:;
	goto L171;
L171:;
	(void)L88tell_user_done(3,V1,Cnil,Cnil)   /*  TELL-USER-DONE  */;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L157:;
	if((V5)==Cnil){
	goto L223;}
	if((V11)==Cnil){
	goto L223;}
	(void)L87tell_user(5,_ecl_static_151,V1,VV[158],Cnil,Cnil) /*  TELL-USER */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=Cnil){
	goto L230;}
	T0= L116load_function(V1)                 /*  LOAD-FUNCTION   */;
	(void)ecl_function_dispatch(cl_env_copy,T0)(1,V3);
	{cl_object V14;
	V14= cl_file_write_date(V3)               /*  FILE-WRITE-DATE */;
	if((V1)==Cnil){
	goto L236;}
	if(!(ECL_STRINGP(V1))){
	goto L240;}
	{cl_object V15;
	V15= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V1,V15,V14)             /*  HASH-SET        */;
	goto L238;
	}
L240:;
	if((cl_pathnamep(V1)                      /*  PATHNAMEP       */)==Cnil){
	goto L244;}
	{cl_object V16;
	cl_object V17;
	V16= cl_namestring(V1)                    /*  NAMESTRING      */;
	V17= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V16,V17,V14)            /*  HASH-SET        */;
	goto L238;
	}
L244:;
	if((si_of_class_p(2,V1,VV[87])            /*  OF-CLASS-P      */)==Cnil){
	goto L249;}
	{cl_object V18;
	V18= ecl_function_dispatch(cl_env_copy,VV[136])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V18,VV[127]))){
	goto L253;}
	{cl_object V19;                           /*  NAME            */
	cl_object V20;                            /*  PATH            */
	V19= ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  COMPONENT-NAME */;
	if((V19)==Cnil){
	goto L258;}
	V20= L53compute_system_path(V19,Cnil)     /*  COMPUTE-SYSTEM-PATH */;
	goto L256;
L258:;
	V20= Cnil;
	goto L256;
L256:;
	if((V20)==Cnil){
	goto L261;}
	{cl_object V21;
	cl_object V22;
	V21= cl_namestring(V20)                   /*  NAMESTRING      */;
	V22= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V21,V22,V14)            /*  HASH-SET        */;
	goto L238;
	}
L261:;
	goto L238;
	}
L253:;
	if(!(ecl_eql(V18,ECL_SYM("FILE",1211)))){
	goto L271;}
	goto L268;
	goto L269;
L271:;
	goto L269;
L269:;
	if(!(ecl_eql(V18,VV[129]))){
	goto L266;}
	goto L267;
L268:;
L267:;
	{cl_object V23;                           /*  PATH            */
	V23= L66component_full_pathname(2,V1,VV[131]) /*  COMPONENT-FULL-PATHNAME */;
	if((V23)==Cnil){
	goto L276;}
	{cl_object V24;
	V24= ecl_symbol_value(VV[126]);
	(void)si_hash_set(V23,V24,V14)            /*  HASH-SET        */;
	goto L238;
	}
L276:;
	goto L238;
	}
L266:;
	(void)si_ecase_error(3,VV[348],V18,VV[133]) /*  ECASE-ERROR   */;
	goto L238;
	}
L249:;
	(void)si_etypecase_error(3,VV[349],V1,VV[134]) /*  ETYPECASE-ERROR */;
	goto L238;
L238:;
	goto L228;
L236:;
	goto L228;
	}
L230:;
	goto L228;
L228:;
	(void)L88tell_user_done(3,V1,Cnil,Cnil)   /*  TELL-USER-DONE  */;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L223:;
	if((V5)!=Cnil){
	goto L280;}
	if((V6)!=Cnil){
	goto L280;}
	(void)L90tell_user_no_files(2,V1,VV[256]) /*  TELL-USER-NO-FILES */;
	if((ecl_symbol_value(VV[24]))==Cnil){
	goto L286;}
	value0=ecl_symbol_value(VV[18]);
	if((value0)!=Cnil){
	goto L290;}
	T0= ecl_symbol_value(VV[20]);
	goto L288;
L290:;
	T0= value0;
	goto L288;
L288:;
	(void)cl_cerror(5,_ecl_static_153,_ecl_static_154,V4,T0,V3) /*  CERROR */;
	goto L284;
L286:;
	goto L284;
L284:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L280:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L94:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for DELETE-BINARIES-OPERATION             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L138delete_binaries_operation(cl_object V1, cl_object V2)
{ VT139 VLEX139 CLSR139 STCK139
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V2)==(VV[250])){
	goto L4;}
	if((V2)==(Ct)){
	goto L4;}
	{cl_object V3;
	V3= si_make_seq_iterator(2,VV[342],MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L10:;
	if((V3)!=Cnil){
	goto L14;}
	goto L2;
L14:;
	goto L12;
L12:;
	{cl_object V4;
	V4= si_seq_iterator_ref(VV[342],V3)       /*  SEQ-ITERATOR-REF */;
	if(!((V2)==(V4))){
	goto L19;}
	if((V4)==Cnil){
	goto L2;}
	goto L7;
L19:;
	goto L16;
	}
L16:;
	V3= si_seq_iterator_next(VV[342],V3)      /*  SEQ-ITERATOR-NEXT */;
	goto L10;
	}
L7:;
	if((L135needs_compilation(V1,Cnil)        /*  NEEDS-COMPILATION */)==Cnil){
	goto L2;}
	goto L3;
L4:;
L3:;
	{cl_object V3;                            /*  BINARY-PNAME    */
	V3= L66component_full_pathname(2,V1,VV[158]) /*  COMPONENT-FULL-PATHNAME */;
	if((cl_probe_file(V3)                     /*  PROBE-FILE      */)==Cnil){
	goto L25;}
	(void)L87tell_user(5,_ecl_static_155,V1,VV[158],Cnil,Cnil) /*  TELL-USER */;
	value0=ecl_symbol_value(VV[17]);
	if((value0)!=Cnil){
	goto L30;}
	(void)cl_delete_file(V3)                  /*  DELETE-FILE     */;
	goto L28;
L30:;
	goto L28;
L28:;
	value0=L88tell_user_done(3,V1,Cnil,Cnil)  /*  TELL-USER-DONE  */;
	return value0;
L25:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for BINARY-EXISTS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L139binary_exists(cl_object V1)
{ VT140 VLEX140 CLSR140 STCK140
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L66component_full_pathname(2,V1,VV[158]) /*  COMPONENT-FULL-PATHNAME */;
	value0=cl_probe_file(T0)                  /*  PROBE-FILE      */;
	return value0;
}}
/*	function definition for COMPILE-AND-LOAD-SOURCE-IF-NO-BINARY  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L140compile_and_load_source_if_no_binary(cl_object V1)
{ VT141 VLEX141 CLSR141 STCK141
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[20]))!=Cnil){
	goto L2;}
	if((ecl_symbol_value(VV[18]))==Cnil){
	goto L6;}
	if((L139binary_exists(V1)                 /*  BINARY-EXISTS   */)==Cnil){
	goto L2;}
	goto L3;
L6:;
	goto L3;
L3:;
	if((ecl_function_dispatch(cl_env_copy,VV[506])(1,V1) /*  COMPONENT-LOAD-ONLY */)==Cnil){
	goto L9;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L9:;
	if(!((ecl_symbol_value(VV[21]))==(VV[22]))){
	goto L12;}
	{cl_object V2;                            /*  PROMPT          */
	cl_object V3;                             /*  COMPILE-SOURCE  */
	V2= L85prompt_string(V1)                  /*  PROMPT-STRING   */;
	T0= L66component_full_pathname(2,V1,VV[158]) /*  COMPONENT-FULL-PATHNAME */;
	T1= L66component_full_pathname(2,V1,VV[131]) /*  COMPONENT-FULL-PATHNAME */;
	V3= L95y_or_n_p_wait(7,CODE_CHAR('\171'),MAKE_FIXNUM(30),_ecl_static_156,V2,T0,V2,T1) /*  Y-OR-N-P-WAIT */;
	if((L95y_or_n_p_wait(4,CODE_CHAR('\171'),MAKE_FIXNUM(30),_ecl_static_157,V2) /*  Y-OR-N-P-WAIT */)!=Cnil){
	goto L18;}
	cl_set(VV[21],L95y_or_n_p_wait(4,CODE_CHAR('\171'),MAKE_FIXNUM(30),_ecl_static_158,V2) /*  Y-OR-N-P-WAIT */);
	goto L16;
L18:;
	goto L16;
L16:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
L12:;
	if((ecl_symbol_value(VV[21]))==Cnil){
	goto L22;}
	value0=ecl_symbol_value(VV[21]); cl_env_copy->nvalues=1;
	return value0;
L22:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOAD-SOURCE-IF-NO-BINARY              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L141load_source_if_no_binary(cl_object V1)
{ VT142 VLEX142 CLSR142 STCK142
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[20]))!=Cnil){
	goto L2;}
	if((ecl_symbol_value(VV[18]))==Cnil){
	goto L8;}
	T0= L139binary_exists(V1)                 /*  BINARY-EXISTS   */;
	value0=Null(T0)?Ct:Cnil;
	goto L6;
L8:;
	value0=Cnil;
	goto L6;
L6:;
	if((value0)!=Cnil){
	goto L5;}
	value0=ecl_function_dispatch(cl_env_copy,VV[506])(1,V1) /*  COMPONENT-LOAD-ONLY */;
	if((value0)!=Cnil){
	goto L5;}
	if((ecl_symbol_value(VV[19]))==Cnil){
	goto L12;}
	{cl_object V2;                            /*  PROMPT          */
	cl_object V3;                             /*  LOAD-SOURCE     */
	V2= L85prompt_string(V1)                  /*  PROMPT-STRING   */;
	T0= L66component_full_pathname(2,V1,VV[158]) /*  COMPONENT-FULL-PATHNAME */;
	T1= L66component_full_pathname(2,V1,VV[131]) /*  COMPONENT-FULL-PATHNAME */;
	V3= L95y_or_n_p_wait(7,CODE_CHAR('\171'),MAKE_FIXNUM(30),_ecl_static_159,V2,T0,V2,T1) /*  Y-OR-N-P-WAIT */;
	cl_set(VV[19],L95y_or_n_p_wait(4,CODE_CHAR('\156'),MAKE_FIXNUM(30),_ecl_static_157,V2) /*  Y-OR-N-P-WAIT */);
	if((ecl_symbol_value(VV[19]))!=Cnil){
	goto L20;}
	cl_set(VV[18],V3);
	goto L18;
L20:;
	goto L18;
L18:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
L12:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L5:;
	cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for FILES-WHICH-NEED-COMPILATION          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L142files_which_need_compilation(cl_object V1)
{ VT143 VLEX143 CLSR143 STCK143
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  LET1917         */
	cl_object V3;
	cl_object V4;
	T0= L56find_system(2,V1,VV[150])          /*  FIND-SYSTEM     */;
	T1= L147file_components_in_component(2,T0,VV[359]) /*  FILE-COMPONENTS-IN-COMPONENT */;
	V2= cl_remove(2,Cnil,T1)                  /*  REMOVE          */;
	V3= Cnil;
	V4= V2;
	{cl_object V5;
	cl_object V6;
	V5= ecl_list1(Cnil);
	V6= V5;
L7:;
	if(!(ecl_endp(V4))){
	goto L11;}
	goto L8;
L11:;
	goto L9;
L9:;
	V3= CAR(V4);
	V4= CDR(V4);
	T0= V6;
	T1= L66component_full_pathname(2,V3,VV[131]) /*  COMPONENT-FULL-PATHNAME */;
	V6= ecl_list1(T1);
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V6;
	goto L7;
L8:;
	value0=cl_cdr(V5)                         /*  CDR             */;
	return value0;
	}
	}
}}
/*	function definition for FILES-IN-SYSTEM-AND-DEPENDENTS        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L143files_in_system_and_dependents(cl_narg narg, cl_object V1, ...)
{ VT144 VLEX144 CLSR144 STCK144
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= VV[250];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= VV[131];
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V5;                            /*  SYSTEM          */
	V5= L56find_system(2,V1,VV[150])          /*  FIND-SYSTEM     */;
	cl_env_copy->values[0]=L68translate_version(V4) /*  TRANSLATE-VERSION */;
	{
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L6;
	ecl_bds_bind(cl_env_copy,VV[34],cl_env_copy->values[0]); /*  *VERSION-DIR* */
	if (V7--<=0) goto L7;
	ecl_bds_bind(cl_env_copy,VV[35],cl_env_copy->values[1]); /*  *VERSION-REPLACE* */
	goto L8;}
L6:;
	ecl_bds_bind(cl_env_copy,VV[34],Cnil);    /*  *VERSION-DIR*   */
L7:;
	ecl_bds_bind(cl_env_copy,VV[35],Cnil);    /*  *VERSION-REPLACE* */
L8:;
	ecl_bds_bind(cl_env_copy,VV[36],V4);      /*  *VERSION*       */
	{cl_object V7;                            /*  RESULT          */
	V7= L145file_pathnames_in_component(3,V5,V3,V2) /*  FILE-PATHNAMES-IN-COMPONENT */;
	{cl_object V8;                            /*  %DOLIST-VAR     */
	cl_object V9;                             /*  DEPENDENT       */
	T0= ecl_function_dispatch(cl_env_copy,VV[493])(1,V5) /*  COMPONENT-DEPENDS-ON */;
	V8= cl_reverse(T0)                        /*  REVERSE         */;
	V9= Cnil;
	goto L16;
L15:;
	V9= cl_first(V8)                          /*  FIRST           */;
	T0= L143files_in_system_and_dependents(4,V9,V2,V3,V4) /*  FILES-IN-SYSTEM-AND-DEPENDENTS */;
	V7= ecl_append(T0,V7);
	V8= CDR(V8);
L16:;
	if((V8)==Cnil){
	goto L26;}
	goto L15;
L26:;
	goto L24;
L24:;
	goto L13;
L13:;
	}
	value0=V7; cl_env_copy->nvalues=1;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}}
	}
}}
/*	function definition for FILES-IN-SYSTEM                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L144files_in_system(cl_narg narg, cl_object V1, ...)
{ VT145 VLEX145 CLSR145 STCK145
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= VV[250];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= VV[131];
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V5;                            /*  SYSTEM          */
	if((ecl_function_dispatch(cl_env_copy,VV[90])(1,V1) /*  COMPONENT-P */)==Cnil){
	goto L6;}
	{cl_object V6;
	V6= ecl_function_dispatch(cl_env_copy,VV[136])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V6,VV[127]))){
	goto L13;}
	goto L10;
	goto L11;
L13:;
	goto L11;
L11:;
	if(!(ecl_eql(V6,VV[117]))){
	goto L17;}
	goto L10;
	goto L15;
L17:;
	goto L15;
L15:;
	if(!(ecl_eql(V6,VV[187]))){
	goto L6;}
	goto L7;
L10:;
	}
L7:;
	V5= V1;
	goto L4;
L6:;
	V5= L56find_system(2,V1,VV[150])          /*  FIND-SYSTEM     */;
	goto L4;
L4:;
	cl_env_copy->values[0]=L68translate_version(V4) /*  TRANSLATE-VERSION */;
	{
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L21;
	ecl_bds_bind(cl_env_copy,VV[34],cl_env_copy->values[0]); /*  *VERSION-DIR* */
	if (V7--<=0) goto L22;
	ecl_bds_bind(cl_env_copy,VV[35],cl_env_copy->values[1]); /*  *VERSION-REPLACE* */
	goto L23;}
L21:;
	ecl_bds_bind(cl_env_copy,VV[34],Cnil);    /*  *VERSION-DIR*   */
L22:;
	ecl_bds_bind(cl_env_copy,VV[35],Cnil);    /*  *VERSION-REPLACE* */
L23:;
	ecl_bds_bind(cl_env_copy,VV[36],V4);      /*  *VERSION*       */
	value0=L145file_pathnames_in_component(3,V5,V3,V2) /*  FILE-PATHNAMES-IN-COMPONENT */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;}
	}
}}
/*	function definition for FILE-PATHNAMES-IN-COMPONENT           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L145file_pathnames_in_component(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT146 VLEX146 CLSR146 STCK146
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= VV[250];
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  LET1919         */
	cl_object V5;
	cl_object V6;
	V4= L147file_components_in_component(2,V1,V3) /*  FILE-COMPONENTS-IN-COMPONENT */;
	V5= Cnil;
	V6= V4;
	{cl_object V7;
	cl_object V8;
	V7= ecl_list1(Cnil);
	V8= V7;
L8:;
	if(!(ecl_endp(V6))){
	goto L12;}
	goto L9;
L12:;
	goto L10;
L10:;
	V5= CAR(V6);
	V6= CDR(V6);
	T0= V8;
	T1= L66component_full_pathname(2,V5,V2)   /*  COMPONENT-FULL-PATHNAME */;
	V8= ecl_list1(T1);
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V8;
	goto L8;
L9:;
	value0=cl_cdr(V7)                         /*  CDR             */;
	return value0;
	}
	}
}}
/*	function definition for FILE-COMPONENTS-IN-COMPONENT          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L147file_components_in_component(cl_narg narg, cl_object V1, ...)
{ VT147 VLEX147 CLSR147 STCK147
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= VV[250];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  RESULT          */
	cl_object env1 = env0;
	V3= Cnil;
	env1 = Cnil;
	CLV0=env1=CONS(Cnil,env1);                /*  CHANGED         */
	{cl_object V4;
	V4= ecl_function_dispatch(cl_env_copy,VV[136])(1,V1) /*  COMPONENT-TYPE */;
	if(!(ecl_eql(V4,ECL_SYM("FILE",1211)))){
	goto L11;}
	goto L8;
	goto L9;
L11:;
	goto L9;
L9:;
	if(!(ecl_eql(V4,VV[129]))){
	goto L6;}
	goto L7;
L8:;
L7:;
	{cl_object V5;
	V5= si_make_seq_iterator(2,VV[366],MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L23:;
	if((V5)!=Cnil){
	goto L27;}
	value0=Cnil;
	goto L20;
L27:;
	goto L25;
L25:;
	{cl_object V6;
	V6= si_seq_iterator_ref(VV[366],V5)       /*  SEQ-ITERATOR-REF */;
	if(!((V2)==(V6))){
	goto L32;}
	value0=V6;
	goto L20;
L32:;
	goto L29;
	}
L29:;
	V5= si_seq_iterator_next(VV[366],V5)      /*  SEQ-ITERATOR-NEXT */;
	goto L23;
	}
L20:;
	if((value0)!=Cnil){
	goto L19;}
	if((L6non_empty_listp(V2)                 /*  NON-EMPTY-LISTP */)!=Cnil){
	goto L37;}
	ECL_CONS_CAR(CLV0)= L135needs_compilation(V1,Cnil) /*  NEEDS-COMPILATION */;
	goto L17;
L37:;
	ECL_CONS_CAR(CLV0)= Cnil;
	goto L17;
L19:;
	ECL_CONS_CAR(CLV0)= value0;
	goto L17;
L17:;
	if((ECL_CONS_CAR(CLV0))==Cnil){
	goto L15;}
	V3= ecl_list1(V1);
	goto L3;
L15:;
	goto L3;
L6:;
	if(!(ecl_eql(V4,VV[203]))){
	goto L46;}
	goto L43;
	goto L44;
L46:;
	goto L44;
L44:;
	if(!(ecl_eql(V4,VV[117]))){
	goto L50;}
	goto L43;
	goto L48;
L50:;
	goto L48;
L48:;
	if(!(ecl_eql(V4,VV[187]))){
	goto L54;}
	goto L43;
	goto L52;
L54:;
	goto L52;
L52:;
	if(!(ecl_eql(V4,VV[127]))){
	goto L41;}
	goto L42;
L43:;
L42:;
	{cl_object V5;                            /*  %DOLIST-VAR     */
	cl_object V6;                             /*  MODULE          */
	V5= ecl_function_dispatch(cl_env_copy,VV[494])(1,V1) /*  COMPONENT-COMPONENTS */;
	V6= Cnil;
	goto L62;
L61:;
	V6= cl_first(V5)                          /*  FIRST           */;
	T1= ecl_make_cclosure_va((cl_objectfn)LC146__g721,env1,Cblock);
	T2= ecl_function_dispatch(cl_env_copy,VV[493])(1,V6) /*  COMPONENT-DEPENDS-ON */;
	if((cl_some(2,T1,T2)                      /*  SOME            */)==Cnil){
	goto L70;}
	if((L6non_empty_listp(V2)                 /*  NON-EMPTY-LISTP */)!=Cnil){
	goto L74;}
	if(!((V2)==(VV[251]))){
	goto L70;}
	goto L71;
L74:;
L71:;
	T0= VV[250];
	goto L68;
L70:;
	if((L6non_empty_listp(V2)                 /*  NON-EMPTY-LISTP */)==Cnil){
	goto L77;}
	{cl_object V7;
	V7= ecl_function_dispatch(cl_env_copy,VV[137])(1,V6) /*  COMPONENT-NAME */;
	{cl_object V8;
	V8= V2;
	goto L85;
L84:;
	{cl_object V9;
	cl_object V10;
	if (ecl_unlikely(ATOM(V8))) FEtype_error_cons(V8);
	V9= V8;
	V10= ECL_CONS_CAR(V9);
	T1= cl_string(V10)                        /*  STRING          */;
	if((cl_string_equal(2,V7,T1)              /*  STRING-EQUAL    */)==Cnil){
	goto L92;}
	if((V9)==Cnil){
	goto L77;}
	goto L78;
L92:;
	goto L87;
	}
L87:;
	V8= ECL_CONS_CDR(V8);
L85:;
	if(V8==Cnil){
	goto L98;}
	goto L84;
L98:;
	goto L96;
L96:;
	goto L82;
L82:;
	goto L77;
	}
	}
L78:;
	T0= VV[250];
	goto L68;
L77:;
	T0= V2;
	goto L68;
L68:;
	cl_env_copy->values[0]=L147file_components_in_component(2,V6,T0) /*  FILE-COMPONENTS-IN-COMPONENT */;
	{
	cl_object V8;                             /*  R               */
	cl_object V9;                             /*  C               */
	{int V10=cl_env_copy->nvalues-0;
	if (V10--<=0) goto L100;
	V8= cl_env_copy->values[0];
	if (V10--<=0) goto L101;
	V9= cl_env_copy->values[1];
	goto L102;}
L100:;
	V8= Cnil;
L101:;
	V9= Cnil;
L102:;
	if((V9)==Cnil){
	goto L104;}
	ECL_CONS_CAR(CLV0)= CONS(V6,ECL_CONS_CAR(CLV0));
	V3= ecl_append(V3,V8);
	goto L66;
L104:;
	goto L66;}
L66:;
	V5= CDR(V5);
L62:;
	if((V5)==Cnil){
	goto L113;}
	goto L61;
L113:;
	goto L111;
L111:;
	goto L59;
L59:;
	goto L3;
	}
L41:;
	goto L3;
	}
L3:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=ECL_CONS_CAR(CLV0);
	cl_env_copy->values[0]=V3;
	return cl_env_copy->values[0];
	}
}}
/*	closure G721                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC146__g721(cl_narg narg, cl_object V1, ...)
{ VT148 VLEX148 CLSR148 STCK148
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV0=env0;                                /*  CHANGED         */
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=ecl_memql(V1,ECL_CONS_CAR(CLV0)); cl_env_copy->nvalues=1;
	return value0;
}}}
/*	function definition for SYSTEM-SOURCE-SIZE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L148system_source_size(cl_narg narg, cl_object V1, ...)
{ VT149 VLEX149 CLSR149 STCK149
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= VV[250];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  FILE-LIST       */
	cl_object V4;                             /*  TOTAL-SIZE      */
	V3= L144files_in_system(3,V1,V2,VV[131])  /*  FILES-IN-SYSTEM */;
	V4= L149file_list_size(V3)                /*  FILE-LIST-SIZE  */;
	{cl_fixnum V5;
	V5= ecl_length(V3);
	T0= ecl_round2(V4,MAKE_FIXNUM(1024));
	(void)cl_format(7,Ct,_ecl_static_161,V1,V2,MAKE_FIXNUM(V5),V4,T0) /*  FORMAT */;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for FILE-LIST-SIZE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L149file_list_size(cl_object volatile V1)
{ VT150 VLEX150 CLSR150 STCK150
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V2;                   /*  TOTAL-SIZE      */
	V2= MAKE_FIXNUM(0);
	{volatile cl_object V3;                   /*  %DOLIST-VAR     */
	volatile cl_object V4;                    /*  FILE            */
	V3= V1;
	V4= Cnil;
	goto L8;
L7:;
	V4= cl_first(V3)                          /*  FIRST           */;
	{volatile cl_object V5;                   /*  STREAM          */
	V5= cl_open(1,V4)                         /*  OPEN            */;
	{
	volatile bool unwinding = FALSE;
	cl_index V6=ECL_STACK_INDEX(cl_env_copy),V7;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V8;
	V8= _ecl_inner_frame;
	{cl_object V9;
	V9= cl_file_length(V5)                    /*  FILE-LENGTH     */;
	V2= ecl_plus(V2,V9);
	cl_env_copy->values[0]=V2; cl_env_copy->nvalues=1;
	}
	ecl_stack_frame_push_values(V8);
	if((V5)==Cnil){
	goto L23;}
	(void)cl_close(1,V5)                      /*  CLOSE           */;
	goto L21;
L23:;
	goto L21;
L21:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V8);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	ecl_frs_pop(cl_env_copy);
	V7=ecl_stack_push_values(cl_env_copy);
	if((V5)==Cnil){
	goto L27;}
	(void)cl_close(3,V5,ECL_SYM("ABORT",1170),Ct) /*  CLOSE       */;
	goto L25;
L27:;
	goto L25;
L25:;
	ecl_stack_pop_values(cl_env_copy,V7);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V6);}
	}
	V3= CDR(V3);
L8:;
	if((V3)==Cnil){
	goto L33;}
	goto L7;
L33:;
	goto L31;
L31:;
	goto L5;
L5:;
	}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
}}
	
#include "ext/defsystem.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclsgRSmra7_CsYrLD01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("EXT:DEFSYSTEM;DEFSYSTEM.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclsgRSmra7_CsYrLD01@";
	VVtemp = Cblock->cblock.temp_data;
	(void)ecl_function_dispatch(cl_env_copy,VV[372])(10,_ecl_static_0,VVtemp[0],Cnil,VVtemp[1],Cnil,Cnil,Cnil,Cnil,Cnil,Cnil) /*  DODEFPACKAGE */;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	(void)cl_provide(VV[0])                   /*  PROVIDE         */;
	cl_set(ECL_SYM("*FEATURES*",32),cl_adjoin(2,VV[1],ecl_symbol_value(ECL_SYM("*FEATURES*",32))) /*  ADJOIN */);
	(void)si_Xmake_special(VV[2])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[2])){
	goto L10;}
	cl_set(VV[2],Cnil);
	goto L8;
L10:;
	goto L8;
L8:;
	(void)si_Xmake_special(VV[3])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[3])){
	goto L19;}
	cl_set(VV[3],Cnil);
	goto L17;
L19:;
	goto L17;
L17:;
	(void)si_Xmake_special(VV[4])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[4])){
	goto L28;}
	cl_set(VV[4],Cnil);
	goto L26;
L28:;
	goto L26;
L26:;
	cl_set(VV[3],VVtemp[2]);
	(void)cl_export(1,VVtemp[2])              /*  EXPORT          */;
	cl_set(VV[2],Cnil);
	(void)cl_export(1,Cnil)                   /*  EXPORT          */;
	cl_set(VV[4],VVtemp[3]);
	(void)cl_export(1,VVtemp[3])              /*  EXPORT          */;
	(void)si_Xmake_special(VV[5])             /*  *MAKE-SPECIAL   */;
	cl_set(VV[5],_ecl_static_1);
	(void)si_Xmake_special(VV[6])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[6])){
	goto L49;}
	cl_set(VV[6],Cnil);
	goto L47;
L49:;
	goto L47;
L47:;
	(void)si_Xmake_special(VV[7])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[7])){
	goto L58;}
	cl_set(VV[7],Ct);
	goto L56;
L58:;
	goto L56;
L56:;
	ecl_cmp_defun(VV[373]);
	(void)si_Xmake_special(VV[9])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[9])){
	goto L69;}
	cl_set(VV[9],VVtemp[4]);
	goto L67;
L69:;
	goto L67;
L67:;
	ecl_cmp_defun(VV[374]);
	ecl_cmp_defun(VV[375]);
	ecl_cmp_defun(VV[376]);
	ecl_cmp_defun(VV[377]);
	(void)si_Xmake_special(VV[14])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[14])){
	goto L86;}
	cl_set(VV[14],_ecl_static_3);
	goto L84;
L86:;
	goto L84;
L84:;
	(void)si_Xmake_special(VV[15])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[15])){
	goto L95;}
	cl_set(VV[15],Cnil);
	goto L93;
L95:;
	goto L93;
L93:;
	(void)si_Xmake_special(VV[16])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[16])){
	goto L104;}
	cl_set(VV[16],Cnil);
	goto L102;
L104:;
	goto L102;
L102:;
	(void)si_Xmake_special(VV[17])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[17])){
	goto L113;}
	cl_set(VV[17],Cnil);
	goto L111;
L113:;
	goto L111;
L111:;
	(void)si_Xmake_special(VV[18])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[18])){
	goto L122;}
	cl_set(VV[18],Cnil);
	goto L120;
L122:;
	goto L120;
L120:;
	(void)si_Xmake_special(VV[19])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[19])){
	goto L131;}
	cl_set(VV[19],Ct);
	goto L129;
L131:;
	goto L129;
L129:;
	(void)si_Xmake_special(VV[20])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[20])){
	goto L140;}
	cl_set(VV[20],Cnil);
	goto L138;
L140:;
	goto L138;
L138:;
	(void)si_Xmake_special(VV[21])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[21])){
	goto L149;}
	cl_set(VV[21],VV[22]);
	goto L147;
L149:;
	goto L147;
L147:;
	(void)si_Xmake_special(VV[23])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[23])){
	goto L158;}
	cl_set(VV[23],Cnil);
	goto L156;
L158:;
	goto L156;
L156:;
	(void)si_Xmake_special(VV[24])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[24])){
	goto L167;}
	cl_set(VV[24],Ct);
	goto L165;
L167:;
	goto L165;
L165:;
	(void)si_Xmake_special(VV[25])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[25])){
	goto L176;}
	cl_set(VV[25],Ct);
	goto L174;
L176:;
	goto L174;
L174:;
	(void)si_Xmake_special(VV[26])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[26])){
	goto L185;}
	cl_set(VV[26],_ecl_static_4);
	goto L183;
L185:;
	goto L183;
L183:;
	(void)si_Xmake_special(VV[27])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[27])){
	goto L194;}
	cl_set(VV[27],Ct);
	goto L192;
L194:;
	goto L192;
L192:;
	(void)si_Xmake_special(VV[28])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[28])){
	goto L203;}
	cl_set(VV[28],Ct);
	goto L201;
L203:;
	goto L201;
L201:;
	{cl_object V1;                            /*  %DOLIST-VAR     */
	cl_object V2;                             /*  FEATURE         */
	V1= ecl_symbol_value(ECL_SYM("*FEATURES*",32));
	V2= Cnil;
	goto L215;
L214:;
	V2= cl_first(V1)                          /*  FIRST           */;
	if(!(ECL_SYMBOLP(V2))){
	goto L221;}
	T0= ecl_symbol_name(V2);
	if(!(ecl_equal(T0,_ecl_static_5))){
	goto L221;}
	cl_set(ECL_SYM("*FEATURES*",32),cl_adjoin(2,VV[29],ecl_symbol_value(ECL_SYM("*FEATURES*",32))) /*  ADJOIN */);
	goto L219;
L221:;
	goto L219;
L219:;
	V1= CDR(V1);
L215:;
	if((V1)==Cnil){
	goto L229;}
	goto L214;
L229:;
	goto L227;
L227:;
	goto L212;
L212:;
	}
	(void)si_Xmake_special(VV[30])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[30])){
	goto L234;}
	T0= (cl_env_copy->function=(ECL_SYM("COMPILE-FILE-PATHNAME",233)->symbol.gfdef))->cfun.entry(1,_ecl_static_7) /*  COMPILE-FILE-PATHNAME */;
	T1= cl_pathname_type(1,T0)                /*  PATHNAME-TYPE   */;
	T2= CONS(_ecl_static_6,T1);
	T3= cl_list(2,VVtemp[5],T2)               /*  LIST            */;
	cl_set(VV[30],cl_car(T3)                  /*  CAR             */);
	goto L232;
L234:;
	goto L232;
L232:;
	(void)si_Xmake_special(VV[31])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[31])){
	goto L243;}
	cl_set(VV[31],_ecl_static_8);
	goto L241;
L243:;
	goto L241;
L241:;
	(void)si_Xmake_special(VV[32])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[32])){
	goto L252;}
	cl_set(VV[32],Ct);
	goto L250;
L252:;
	goto L250;
L250:;
	ecl_cmp_defun(VV[378]);
	(void)si_Xmake_special(VV[34])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[34])){
	goto L263;}
	cl_set(VV[34],Cnil);
	goto L261;
L263:;
	goto L261;
L261:;
	(void)si_Xmake_special(VV[35])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[35])){
	goto L272;}
	cl_set(VV[35],Cnil);
	goto L270;
L272:;
	goto L270;
L270:;
	(void)si_Xmake_special(VV[36])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[36])){
	goto L281;}
	cl_set(VV[36],Cnil);
	goto L279;
L281:;
	goto L279;
L279:;
	(void)si_Xmake_special(VV[37])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[37])){
	goto L290;}
	T0= (ECL_SYM("EQUAL",333)->symbol.gfdef);
	cl_set(VV[37],cl_make_hash_table(2,ECL_SYM("TEST",1286),T0) /*  MAKE-HASH-TABLE */);
	goto L288;
L290:;
	goto L288;
L288:;
	ecl_cmp_defun(VV[379]);
	T0= ecl_make_cfun((cl_objectfn_fixed)LC8__g17,Cnil,Cblock,3);
	(void)cl_set_dispatch_macro_character(3,CODE_CHAR('\43'),CODE_CHAR('\100'),T0) /*  SET-DISPATCH-MACRO-CHARACTER */;
	(void)si_Xmake_special(VV[40])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[40])){
	goto L304;}
	cl_set(VV[40],_ecl_static_9);
	goto L302;
L304:;
	goto L302;
L302:;
	ecl_cmp_defun(VV[380]);
	ecl_cmp_defun(VV[381]);
	ecl_cmp_defun(VV[382]);
	ecl_cmp_defun(VV[383]);
	ecl_cmp_defun(VV[384]);
	ecl_cmp_defun(VV[385]);
	ecl_cmp_defun(VV[386]);
	(void)si_Xmake_special(VV[48])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[48])){
	goto L327;}
	T0= (ECL_SYM("EQUAL",333)->symbol.gfdef);
	cl_set(VV[48],cl_make_hash_table(2,ECL_SYM("TEST",1286),T0) /*  MAKE-HASH-TABLE */);
	goto L325;
L327:;
	goto L325;
L325:;
	ecl_cmp_defun(VV[387]);
	(void)L16machine_type_translation(2,_ecl_static_17,_ecl_static_18) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_19,_ecl_static_20) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_21,_ecl_static_22) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_23,_ecl_static_20) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_24,_ecl_static_25) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_26,_ecl_static_27) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_28,_ecl_static_29) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_30,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_32,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_33,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_34,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_35,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_36,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_37,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_38,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_39,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_40,_ecl_static_31) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_41,_ecl_static_41) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_42,_ecl_static_41) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_43,_ecl_static_41) /*  MACHINE-TYPE-TRANSLATION */;
	(void)L16machine_type_translation(2,_ecl_static_44,_ecl_static_41) /*  MACHINE-TYPE-TRANSLATION */;
	(void)si_Xmake_special(VV[50])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[50])){
	goto L360;}
	T0= (ECL_SYM("EQUAL",333)->symbol.gfdef);
	cl_set(VV[50],cl_make_hash_table(2,ECL_SYM("TEST",1286),T0) /*  MAKE-HASH-TABLE */);
	goto L358;
L360:;
	goto L358;
L358:;
	ecl_cmp_defun(VV[388]);
	(void)L17software_type_translation(2,_ecl_static_45,_ecl_static_16) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,_ecl_static_46,_ecl_static_16) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,_ecl_static_47,_ecl_static_47) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,_ecl_static_48,_ecl_static_16) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,_ecl_static_49,_ecl_static_50) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,_ecl_static_51,_ecl_static_52) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,_ecl_static_53,_ecl_static_52) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,_ecl_static_54,_ecl_static_52) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,_ecl_static_55,_ecl_static_52) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,_ecl_static_56,_ecl_static_52) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,_ecl_static_57,_ecl_static_58) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,_ecl_static_59,_ecl_static_58) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,_ecl_static_60,_ecl_static_61) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,_ecl_static_62,_ecl_static_61) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,_ecl_static_63,_ecl_static_64) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,_ecl_static_65,_ecl_static_64) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)L17software_type_translation(2,Cnil,_ecl_static_13) /*  SOFTWARE-TYPE-TRANSLATION */;
	(void)si_Xmake_special(VV[52])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[52])){
	goto L389;}
	T0= (ECL_SYM("EQUAL",333)->symbol.gfdef);
	cl_set(VV[52],cl_make_hash_table(2,ECL_SYM("TEST",1286),T0) /*  MAKE-HASH-TABLE */);
	goto L387;
L389:;
	goto L387;
L387:;
	ecl_cmp_defun(VV[389]);
	(void)L18compiler_type_translation(2,_ecl_static_66,_ecl_static_67) /*  COMPILER-TYPE-TRANSLATION */;
	(void)L18compiler_type_translation(2,_ecl_static_68,_ecl_static_67) /*  COMPILER-TYPE-TRANSLATION */;
	(void)L18compiler_type_translation(2,_ecl_static_69,_ecl_static_67) /*  COMPILER-TYPE-TRANSLATION */;
	(void)L18compiler_type_translation(2,_ecl_static_70,_ecl_static_71) /*  COMPILER-TYPE-TRANSLATION */;
	(void)L18compiler_type_translation(2,_ecl_static_72,_ecl_static_71) /*  COMPILER-TYPE-TRANSLATION */;
	(void)L18compiler_type_translation(2,_ecl_static_73,_ecl_static_74) /*  COMPILER-TYPE-TRANSLATION */;
	(void)L18compiler_type_translation(2,_ecl_static_75,_ecl_static_74) /*  COMPILER-TYPE-TRANSLATION */;
	(void)L18compiler_type_translation(2,_ecl_static_76,_ecl_static_74) /*  COMPILER-TYPE-TRANSLATION */;
	ecl_cmp_defun(VV[390]);
	(void)si_Xmake_special(VV[55])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[55])){
	goto L411;}
	T0= (ECL_SYM("EQUAL",333)->symbol.gfdef);
	cl_set(VV[55],cl_make_hash_table(2,ECL_SYM("TEST",1286),T0) /*  MAKE-HASH-TABLE */);
	goto L409;
L411:;
	goto L409;
L409:;
	ecl_cmp_defun(VV[391]);
	T0= ecl_make_cfun((cl_objectfn_fixed)LC21get_system,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[56],ECL_SYM("SETF-LAMBDA",1118),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[56],VV[57])       /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(VV[56],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	ecl_cmp_defun(VV[392]);
	ecl_cmp_defun(VV[393]);
	ecl_cmp_defun(VV[394]);
	ecl_cmp_defun(VV[395]);
	ecl_cmp_defun(VV[396]);
	(void)si_Xmake_special(VV[65])            /*  *MAKE-SPECIAL   */;
	cl_set(VV[65],VVtemp[6]);
	ecl_cmp_defun(VV[397]);
	ecl_cmp_defun(VV[398]);
	ecl_cmp_defun(VV[399]);
	ecl_cmp_defun(VV[400]);
	ecl_cmp_defun(VV[401]);
	ecl_cmp_defun(VV[402]);
	(void)si_Xmake_special(VV[74])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[74])){
	goto L456;}
	cl_set(VV[74],Cnil);
	goto L454;
L456:;
	goto L454;
L454:;
	(void)si_Xmake_special(VV[75])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[75])){
	goto L465;}
	cl_set(VV[75],Cnil);
	goto L463;
L465:;
	goto L463;
L463:;
	(void)si_define_structure(15,VV[76],VV[77],Cnil,Cnil,VVtemp[7],VVtemp[8],VV[78],Cnil,Cnil,Cnil,VVtemp[9],MAKE_FIXNUM(1),Cnil,Cnil,VV[79]) /*  DEFINE-STRUCTURE */;
	VV[83]= cl_find_class(1,VV[76])           /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[403]);
	(void)si_Xmake_special(VV[85])            /*  *MAKE-SPECIAL   */;
	cl_set(VV[85],VVtemp[10]);
	(void)si_Xmake_special(VV[86])            /*  *MAKE-SPECIAL   */;
	cl_set(VV[86],VVtemp[11]);
	(void)si_define_structure(15,VV[87],_ecl_static_78,Cnil,Cnil,VVtemp[12],VVtemp[13],VV[88],VV[76],VV[89],Cnil,VVtemp[14],MAKE_FIXNUM(35),Cnil,Cnil,VV[90]) /*  DEFINE-STRUCTURE */;
	VV[112]= cl_find_class(1,VV[87])          /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[405]);
	(void)si_define_structure(15,VV[114],_ecl_static_79,Cnil,Cnil,VVtemp[15],VVtemp[16],VV[115],VV[87],Cnil,Cnil,VVtemp[17],MAKE_FIXNUM(37),Cnil,Cnil,VV[116]) /*  DEFINE-STRUCTURE */;
	VV[118]= cl_find_class(1,VV[114])         /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[441]);
	ecl_cmp_defun(VV[479]);
	T0= ecl_fdefinition(ECL_SYM("CONSTANTLY-NIL",1624));
	T1= cl_list(3,VV[123],Cnil,T0)            /*  LIST            */;
	T2= ecl_list1(T1);
	(void)clos_ensure_class(7,VV[122],ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[18],ECL_SYM("DIRECT-SLOTS",985),VVtemp[19],ECL_SYM("DIRECT-DEFAULT-INITARGS",984),T2) /*  ENSURE-CLASS */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC48print_object,Cnil,Cblock,2);
	(void)clos_install_method(7,ECL_SYM("PRINT-OBJECT",959),Cnil,VVtemp[20],VVtemp[21],Cnil,VVtemp[22],T0) /*  INSTALL-METHOD */;
	(void)clos_ensure_class(5,VV[124],ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[23],ECL_SYM("DIRECT-SLOTS",985),Cnil) /*  ENSURE-CLASS */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC49print_object,Cnil,Cblock,2);
	(void)clos_install_method(7,ECL_SYM("PRINT-OBJECT",959),Cnil,VVtemp[24],VVtemp[21],Cnil,VVtemp[22],T0) /*  INSTALL-METHOD */;
	(void)clos_ensure_class(5,VV[125],ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[25],ECL_SYM("DIRECT-SLOTS",985),Cnil) /*  ENSURE-CLASS */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC50print_object,Cnil,Cblock,2);
	(void)clos_install_method(7,ECL_SYM("PRINT-OBJECT",959),Cnil,VVtemp[26],VVtemp[21],Cnil,VVtemp[22],T0) /*  INSTALL-METHOD */;
	(void)si_Xmake_special(VV[126])           /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[126])){
	goto L522;}
	T0= (ECL_SYM("EQUAL",333)->symbol.gfdef);
	cl_set(VV[126],cl_make_hash_table(2,ECL_SYM("TEST",1286),T0) /*  MAKE-HASH-TABLE */);
	goto L520;
L522:;
	goto L520;
L520:;
	ecl_cmp_defun(VV[484]);
	T0= ecl_make_cfun((cl_objectfn_fixed)LC52component_load_time,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[135],ECL_SYM("SETF-LAMBDA",1118),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[135],VV[57])      /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(VV[135],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	ecl_cmp_defun(VV[485]);
	ecl_cmp_defun(VV[486]);
	(void)si_Xmake_special(VV[148])           /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[148])){
	goto L543;}
	cl_set(VV[148],Ct);
	goto L541;
L543:;
	goto L541;
L541:;
	ecl_cmp_defun(VV[487]);
	ecl_cmp_defun(VV[488]);
	ecl_cmp_defun(VV[489]);
	ecl_cmp_defun(VV[495]);
	ecl_cmp_defun(VV[496]);
	ecl_cmp_defun(VV[497]);
	T0= ecl_make_cfun((cl_objectfn_fixed)LC62component_pathname,Cnil,Cblock,3);
	(void)si_put_sysprop(VV[162],ECL_SYM("SETF-LAMBDA",1118),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[162],VV[57])      /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(VV[162],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	ecl_cmp_defun(VV[498]);
	T0= ecl_make_cfun((cl_objectfn_fixed)LC64component_root_dir,Cnil,Cblock,3);
	(void)si_put_sysprop(VV[169],ECL_SYM("SETF-LAMBDA",1118),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[169],VV[57])      /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(VV[169],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)si_Xmake_special(VV[172])           /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[172])){
	goto L576;}
	T0= (ECL_SYM("EQUAL",333)->symbol.gfdef);
	cl_set(VV[172],cl_make_hash_table(2,ECL_SYM("TEST",1286),T0) /*  MAKE-HASH-TABLE */);
	goto L574;
L576:;
	goto L574;
L574:;
	(void)si_Xmake_special(VV[173])           /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[173])){
	goto L586;}
	T0= (ECL_SYM("EQUAL",333)->symbol.gfdef);
	cl_set(VV[173],cl_make_hash_table(2,ECL_SYM("TEST",1286),T0) /*  MAKE-HASH-TABLE */);
	goto L584;
L586:;
	goto L584;
L584:;
	(void)si_Xmake_special(VV[174])           /*  *MAKE-SPECIAL   */;
	cl_set(VV[174],Ct);
	ecl_cmp_defun(VV[499]);
	ecl_cmp_defun(VV[500]);
	ecl_cmp_defun(VV[501]);
	ecl_cmp_defun(VV[502]);
	ecl_cmp_defun(VV[503]);
	T0= ecl_make_cfun((cl_objectfn_fixed)LC70component_extension,Cnil,Cblock,3);
	(void)si_put_sysprop(VV[179],ECL_SYM("SETF-LAMBDA",1118),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[179],VV[57])      /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(VV[179],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	ecl_cmp_defun(VV[505]);
	ecl_cmp_defun(VV[510]);
	ecl_cmp_defmacro(VV[511]);
	ecl_cmp_defun(VV[512]);
	ecl_cmp_defun(VV[516]);
	ecl_cmp_defun(VV[517]);
	ecl_cmp_defun(VV[518]);
	ecl_cmp_defun(VV[519]);
	(void)si_Xmake_special(VV[216])           /*  *MAKE-SPECIAL   */;
	cl_set(VV[216],Cnil);
	ecl_cmp_defun(VV[520]);
	ecl_cmp_defun(VV[521]);
	ecl_cmp_defun(VV[522]);
	ecl_cmp_defun(VV[523]);
	ecl_cmp_defun(VV[525]);
	ecl_cmp_defun(VV[528]);
	ecl_cmp_defun(VV[530]);
	ecl_cmp_defun(VV[531]);
	ecl_cmp_defun(VV[532]);
	ecl_cmp_defmacro(VV[533]);
	ecl_cmp_defun(VV[534]);
	ecl_cmp_defun(VV[535]);
	ecl_cmp_defun(VV[536]);
	(void)si_Xmake_special(VV[238])           /*  *MAKE-SPECIAL   */;
	cl_set(VV[238],Ct);
	(void)si_Xmake_special(VV[239])           /*  *MAKE-SPECIAL   */;
	cl_set(VV[239],Ct);
	(void)si_Xmake_special(VV[240])           /*  *MAKE-SPECIAL   */;
	cl_set(VV[240],_ecl_static_105);
	ecl_cmp_defun(VV[537]);
	ecl_cmp_defun(VV[538]);
	ecl_cmp_defun(VV[539]);
	(void)si_Xmake_special(VV[247])           /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[247])){
	goto L689;}
	cl_set(VV[247],Cnil);
	goto L687;
L689:;
	goto L687;
L687:;
	(void)cl_export(1,VVtemp[27])             /*  EXPORT          */;
	ecl_cmp_defmacro(VV[540]);
	ecl_cmp_defun(VV[541]);
	ecl_cmp_defun(VV[553]);
	ecl_cmp_defun(VV[554]);
	ecl_cmp_defun(VV[555]);
	ecl_cmp_defun(VV[561]);
	ecl_cmp_defun(VV[562]);
	ecl_cmp_defun(VV[563]);
	ecl_cmp_defun(VV[564]);
	(void)si_Xmake_special(VV[279])           /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[279])){
	goto L717;}
	cl_set(VV[279],Cnil);
	goto L715;
L717:;
	goto L715;
L715:;
	(void)si_Xmake_special(VV[280])           /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[280])){
	goto L726;}
	cl_set(VV[280],Ct);
	goto L724;
L726:;
	goto L724;
L724:;
	ecl_cmp_defun(VV[568]);
	ecl_cmp_defun(VV[569]);
	ecl_cmp_defun(VV[570]);
	(void)si_Xmake_special(VV[286])           /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[286])){
	goto L741;}
	cl_set(VV[286],Cnil);
	goto L739;
L741:;
	goto L739;
L739:;
	ecl_cmp_defun(VV[573]);
	if((ecl_symbol_value(VV[286]))!=Cnil){
	goto L751;}
	cl_set(VV[286],cl_symbol_function(ECL_SYM("REQUIRE",716)) /*  SYMBOL-FUNCTION */);
	if((ecl_symbol_value(VV[6]))!=Cnil){
	goto L756;}
	(void)si_package_lock(_ecl_static_116,Cnil) /*  PACKAGE-LOCK  */;
	T0= cl_symbol_function(VV[287])           /*  SYMBOL-FUNCTION */;
	(void)si_fset(4,ECL_SYM("REQUIRE",716),T0,Cnil,Cnil) /*  FSET */;
	(void)si_package_lock(_ecl_static_116,Ct) /*  PACKAGE-LOCK    */;
	goto L749;
L756:;
	goto L749;
L751:;
	goto L749;
L749:;
	ecl_cmp_defun(VV[574]);
	cl_set(ECL_SYM("*MODULE-PROVIDER-FUNCTIONS*",40),cl_adjoin(2,VV[288],ecl_symbol_value(ECL_SYM("*MODULE-PROVIDER-FUNCTIONS*",40))) /*  ADJOIN */);
	(void)si_Xmake_special(VV[289])           /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[289])){
	goto L767;}
	T0= (ECL_SYM("EQUAL",333)->symbol.gfdef);
	cl_set(VV[289],cl_make_hash_table(2,ECL_SYM("TEST",1286),T0) /*  MAKE-HASH-TABLE */);
	goto L765;
L767:;
	goto L765;
L765:;
	ecl_cmp_defun(VV[575]);
	(void)si_define_structure(15,VV[106],_ecl_static_117,Cnil,Cnil,VVtemp[28],VVtemp[29],VV[291],Cnil,VV[292],Cnil,VVtemp[30],MAKE_FIXNUM(5),Cnil,Cnil,VV[293]) /*  DEFINE-STRUCTURE */;
	VV[294]= cl_find_class(1,VV[106])         /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[576]);
	ecl_cmp_defun(VV[582]);
	ecl_cmp_defun(VV[586]);
	ecl_cmp_defun(VV[588]);
	ecl_cmp_defun(VV[590]);
	ecl_cmp_defun(VV[591]);
	ecl_cmp_defmacro(VV[592]);
	{cl_object V3;
	T0= (ECL_SYM("COMPILE-FILE",232)->symbol.gfdef);
	T1= (ECL_SYM("LOAD",485)->symbol.gfdef);
	T2= cl_car(ecl_symbol_value(VV[30]))      /*  CAR             */;
	T3= cl_cdr(ecl_symbol_value(VV[30]))      /*  CDR             */;
	V3= L113make_language(10,ECL_SYM("NAME",1244),VV[297],VV[302],T0,VV[304],T1,VV[305],T2,VV[306],T3) /*  MAKE-LANGUAGE */;
	{cl_object V4;
	V4= ecl_symbol_value(VV[289]);
	(void)si_hash_set(VV[297],V4,V3)          /*  HASH-SET        */;
	}
	}
	ecl_cmp_defun(VV[593]);
	{cl_object V4;
	T0= ecl_fdefinition(VV[311]);
	T1= (ECL_SYM("LOAD",485)->symbol.gfdef);
	V4= L113make_language(10,ECL_SYM("NAME",1244),VV[312],VV[302],T0,VV[304],T1,VV[305],_ecl_static_120,VV[306],_ecl_static_121) /*  MAKE-LANGUAGE */;
	{cl_object V5;
	V5= ecl_symbol_value(VV[289]);
	(void)si_hash_set(VV[312],V5,V4)          /*  HASH-SET        */;
	}
	}
	(void)si_Xmake_special(VV[313])           /*  *MAKE-SPECIAL   */;
	cl_set(VV[313],_ecl_static_122);
	ecl_cmp_defun(VV[594]);
	(void)si_Xmake_special(VV[315])           /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[315])){
	goto L820;}
	cl_set(VV[315],_ecl_static_124);
	goto L818;
L820:;
	goto L818;
L818:;
	ecl_cmp_defun(VV[596]);
	ecl_cmp_defun(VV[599]);
	ecl_cmp_defun(VV[600]);
	ecl_cmp_defun(VV[601]);
	{cl_object V5;
	T0= ecl_fdefinition(VV[321]);
	T1= (ECL_SYM("LOAD",485)->symbol.gfdef);
	V5= L113make_language(10,ECL_SYM("NAME",1244),VV[322],VV[302],T0,VV[304],T1,VV[305],_ecl_static_139,VV[306],_ecl_static_130) /*  MAKE-LANGUAGE */;
	{cl_object V6;
	V6= ecl_symbol_value(VV[289]);
	(void)si_hash_set(VV[322],V6,V5)          /*  HASH-SET        */;
	}
	}
	(void)cl_export(1,VVtemp[31])             /*  EXPORT          */;
	(void)si_Xmake_special(VV[323])           /*  *MAKE-SPECIAL   */;
	cl_set(VV[323],_ecl_static_140);
	(void)si_Xmake_special(VV[324])           /*  *MAKE-SPECIAL   */;
	cl_set(VV[324],VVtemp[32]);
	ecl_cmp_defun(VV[615]);
	{cl_object V6;
	T0= ecl_fdefinition(VV[325]);
	T1= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	V6= L113make_language(10,ECL_SYM("NAME",1244),VV[326],VV[302],T0,VV[304],T1,VV[305],_ecl_static_142,VV[306],_ecl_static_130) /*  MAKE-LANGUAGE */;
	{cl_object V7;
	V7= ecl_symbol_value(VV[289]);
	(void)si_hash_set(VV[326],V7,V6)          /*  HASH-SET        */;
	}
	}
	(void)cl_export(1,VVtemp[33])             /*  EXPORT          */;
	(void)si_Xmake_special(VV[327])           /*  *MAKE-SPECIAL   */;
	cl_set(VV[327],_ecl_static_143);
	ecl_cmp_defun(VV[616]);
	(void)L7component_operation(2,VV[228],VV[329]) /*  COMPONENT-OPERATION */;
	(void)L7component_operation(2,ECL_SYM("COMPILE",231),VV[329]) /*  COMPONENT-OPERATION */;
	(void)L7component_operation(2,VV[150],VV[330]) /*  COMPONENT-OPERATION */;
	(void)L7component_operation(2,ECL_SYM("LOAD",485),VV[330]) /*  COMPONENT-OPERATION */;
	ecl_cmp_defun(VV[617]);
	ecl_cmp_defun(VV[618]);
	ecl_cmp_defun(VV[619]);
	if((cl_find_package(_ecl_static_149)      /*  FIND-PACKAGE    */)==Cnil){
	goto L882;}
	T0= cl_find_symbol(2,_ecl_static_150,_ecl_static_149) /*  FIND-SYMBOL */;
	(void)cl_import(1,T0)                     /*  IMPORT          */;
	goto L880;
L882:;
	goto L880;
L880:;
	if((cl_fboundp(VV[338])                   /*  FBOUNDP         */)!=Cnil){
	goto L886;}
	ecl_cmp_defun(VV[620]);
	goto L884;
L886:;
	goto L884;
L884:;
	ecl_cmp_defun(VV[621]);
	ecl_cmp_defun(VV[622]);
	ecl_cmp_defun(VV[623]);
	(void)L7component_operation(2,VV[351],VV[352]) /*  COMPONENT-OPERATION */;
	(void)L7component_operation(2,VV[353],VV[352]) /*  COMPONENT-OPERATION */;
	(void)L7component_operation(2,VV[265],VV[352]) /*  COMPONENT-OPERATION */;
	(void)L7component_operation(2,VV[354],VV[352]) /*  COMPONENT-OPERATION */;
	ecl_cmp_defun(VV[624]);
	ecl_cmp_defun(VV[625]);
	ecl_cmp_defun(VV[626]);
	ecl_cmp_defun(VV[627]);
	ecl_cmp_defun(VV[628]);
	ecl_cmp_defun(VV[629]);
	ecl_cmp_defun(VV[630]);
	ecl_cmp_defun(VV[631]);
	ecl_cmp_defun(VV[632]);
	T0= cl_symbol_function(VV[255])           /*  SYMBOL-FUNCTION */;
	(void)si_fset(4,VV[368],T0,Cnil,Cnil)     /*  FSET            */;
	(void)si_Xmake_special(VV[369])           /*  *MAKE-SPECIAL   */;
	cl_set(VV[369],_ecl_static_160);
	ecl_cmp_defun(VV[633]);
	ecl_cmp_defun(VV[634]);
}
