/*	Compiler: ECL 11.1.1                                          */
/*	Source: SRC:LSP;LOOP2.LSP                                     */
#include <ecl/ecl-cmp.h>
#include "lsp/loop2.h"
/*	local function LOOP-UNSAFE                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1loop_unsafe(cl_object V1, cl_object V2)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  X               */
	V3= cl_cdr(V1)                            /*  CDR             */;
	value0=cl_listX(3,ECL_SYM("LOCALLY",488),VV[0],V3) /*  LIST*  */;
	return value0;
	}
}}
/*	local function LOOP-COPYLIST*                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2loop_copylist_(cl_object V1, cl_object V2)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  L               */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(2,ECL_SYM("COPY-LIST",255),V3) /*  LIST        */;
	return value0;
	}
}}
/*	function definition for LOOP-OPTIMIZATION-QUANTITIES          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3loop_optimization_quantities(cl_object V1)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=MAKE_FIXNUM(1);
	cl_env_copy->values[3]=MAKE_FIXNUM(1);
	cl_env_copy->values[2]=MAKE_FIXNUM(1);
	cl_env_copy->values[1]=MAKE_FIXNUM(1);
	cl_env_copy->values[0]=MAKE_FIXNUM(1);
	return cl_env_copy->values[0];
}}
/*	function definition for HIDE-VARIABLE-REFERENCES              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4hide_variable_references(cl_object V1, cl_object V2)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for HIDE-VARIABLE-REFERENCE               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5hide_variable_reference(cl_object V1, cl_object V2, cl_object V3)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function WITH-LOOP-LIST-COLLECTION-HEAD                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6with_loop_list_collection_head(cl_object V1, cl_object V2)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  HEAD-VAR        */
	cl_object V5;                             /*  TAIL-VAR        */
	cl_object V6;                             /*  USER-HEAD-VAR   */
	cl_object V7;                             /*  BODY            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((V3)==Cnil){
	goto L7;}
	V4= cl_car(V3)                            /*  CAR             */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdr(V3)                            /*  CDR             */)==Cnil){
	goto L11;}
	V5= cl_cadr(V3)                           /*  CADR            */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	if((cl_cddr(V3)                           /*  CDDR            */)==Cnil){
	goto L15;}
	V6= cl_caddr(V3)                          /*  CADDR           */;
	goto L13;
L15:;
	V6= Cnil;
	goto L13;
L13:;
	V7= cl_cddr(V1)                           /*  CDDR            */;
	(void)si_check_arg_length(2,V3,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	{cl_object V8;                            /*  L               */
	if((V6)==Cnil){
	goto L21;}
	T0= cl_list(2,V6,Cnil)                    /*  LIST            */;
	V8= ecl_list1(T0);
	goto L19;
L21:;
	V8= Cnil;
	goto L19;
L19:;
	T0= cl_list(2,V4,VV[4])                   /*  LIST            */;
	T1= cl_list(2,V5,V4)                      /*  LIST            */;
	T2= cl_listX(3,T0,T1,V8)                  /*  LIST*           */;
	value0=cl_listX(3,ECL_SYM("LET*",476),T2,V7) /*  LIST*        */;
	return value0;
	}
	}
}}
/*	local function LOOP-COLLECT-RPLACD                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8loop_collect_rplacd(cl_object V1, cl_object V2)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  HEAD-VAR        */
	cl_object V5;                             /*  TAIL-VAR        */
	cl_object V6;                             /*  USER-HEAD-VAR   */
	cl_object V7;                             /*  FORM            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((V3)==Cnil){
	goto L7;}
	V4= cl_car(V3)                            /*  CAR             */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdr(V3)                            /*  CDR             */)==Cnil){
	goto L11;}
	V5= cl_cadr(V3)                           /*  CADR            */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	if((cl_cddr(V3)                           /*  CDDR            */)==Cnil){
	goto L15;}
	V6= cl_caddr(V3)                          /*  CADDR           */;
	goto L13;
L15:;
	V6= Cnil;
	goto L13;
L13:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L19;}
	V7= cl_caddr(V1)                          /*  CADDR           */;
	goto L17;
L19:;
	V7= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L17;
L17:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	(void)si_check_arg_length(2,V3,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	V7= cl_macroexpand(2,V7,V2)               /*  MACROEXPAND     */;
	{cl_object V8;                            /*  NCDRS           */
	V8= Cnil;
	if(!(ECL_CONSP(V7))){
	goto L28;}
	T0= cl_car(V7)                            /*  CAR             */;
	if(!((T0)==(ECL_SYM("LIST",479)))){
	goto L31;}
	T0= cl_cdr(V7)                            /*  CDR             */;
	{cl_fixnum V9;
	V9= ecl_length(T0);
	V8= ecl_one_minus(MAKE_FIXNUM(V9));}
	goto L26;
L31:;
	{cl_object V9;
	V9= cl_car(V7)                            /*  CAR             */;
	if(!((V9)==(ECL_SYM("LIST*",480)))){
	goto L41;}
	goto L38;
	goto L39;
L41:;
	goto L39;
L39:;
	if(!((V9)==(ECL_SYM("CONS",249)))){
	goto L35;}
	goto L36;
L38:;
	}
L36:;
	if((cl_cddr(V7)                           /*  CDDR            */)==Cnil){
	goto L45;}
	{cl_object V9;
	T0= ecl_last(V7,1);
	V9= cl_car(T0)                            /*  CAR             */;
	if(!((V9)==(Cnil))){
	goto L52;}
	goto L49;
	goto L50;
L52:;
	goto L50;
L50:;
	if(!(ecl_eql(V9,VV[9]))){
	goto L45;}
	goto L46;
L49:;
	}
L46:;
	T0= cl_cdr(V7)                            /*  CDR             */;
	{cl_fixnum V9;
	V9= ecl_length(T0);
	V8= ecl_minus(MAKE_FIXNUM(V9),MAKE_FIXNUM(2));}
	goto L26;
L45:;
	goto L26;
L35:;
	goto L26;
L28:;
	goto L26;
L26:;
	{cl_object V9;                            /*  ANSWER          */
	if(!(V8==Cnil)){
	goto L58;}
	T0= cl_list(2,ECL_SYM("CDR",196),V5)      /*  LIST            */;
	T1= cl_list(3,ECL_SYM("SETF",748),T0,V7)  /*  LIST            */;
	T2= cl_list(2,ECL_SYM("CDR",196),V5)      /*  LIST            */;
	T3= cl_list(2,ECL_SYM("LAST",453),T2)     /*  LIST            */;
	T4= cl_list(3,ECL_SYM("SETQ",749),V5,T3)  /*  LIST            */;
	V9= cl_list(3,ECL_SYM("WHEN",903),T1,T4)  /*  LIST            */;
	goto L56;
L58:;
	if(!(ecl_number_compare(V8,MAKE_FIXNUM(0))<0)){
	goto L61;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L61:;
	if(!(ecl_number_equalp(V8,MAKE_FIXNUM(0)))){
	goto L64;}
	T0= cl_list(3,ECL_SYM("SETQ",749),V5,V7)  /*  LIST            */;
	V9= cl_list(3,ECL_SYM("RPLACD",731),V5,T0) /*  LIST           */;
	goto L56;
L64:;
	T1= cl_list(2,ECL_SYM("CDR",196),V5)      /*  LIST            */;
	T2= cl_list(3,ECL_SYM("SETF",748),T1,V7)  /*  LIST            */;
	T0= LC7cdr_wrap(T2,V8)                    /*  CDR-WRAP        */;
	V9= cl_list(3,ECL_SYM("SETQ",749),V5,T0)  /*  LIST            */;
	goto L56;
L56:;
	if((V6)==Cnil){
	goto L69;}
	T0= cl_list(2,ECL_SYM("CDR",196),V4)      /*  LIST            */;
	T1= cl_list(3,ECL_SYM("SETQ",749),V6,T0)  /*  LIST            */;
	V9= cl_list(3,ECL_SYM("PROGN",669),V9,T1) /*  LIST            */;
	goto L67;
L69:;
	goto L67;
L67:;
	value0=V9; cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}
}}
/*	local function CDR-WRAP                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7cdr_wrap(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_fixnum V3;
	V3= ecl_to_fixnum(V2);
TTL:
	goto L4;
L3:;
	V1= cl_list(2,ECL_SYM("CDDDDR",193),V1)   /*  LIST            */;
	V3= ecl_to_fixnum(ecl_minus(MAKE_FIXNUM(V3),MAKE_FIXNUM(4)));
L4:;
	if((V3)<=(4)){
	goto L12;}
	goto L3;
L12:;
	goto L10;
L10:;
	goto L1;
L1:;
	if(!((V3)==(1))){
	goto L17;}
	T0= ECL_SYM("CDR",196);
	goto L15;
L17:;
	if(!((V3)==(2))){
	goto L20;}
	T0= ECL_SYM("CDDR",195);
	goto L15;
L20:;
	if(!((V3)==(3))){
	goto L23;}
	T0= ECL_SYM("CDDDR",194);
	goto L15;
L23:;
	if(!((V3)==(4))){
	goto L26;}
	T0= ECL_SYM("CDDDDR",193);
	goto L15;
L26:;
	T0= Cnil;
	goto L15;
L15:;
	V1= cl_list(2,T0,V1)                      /*  LIST            */;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function LOOP-COLLECT-ANSWER                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9loop_collect_answer(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  HEAD-VAR        */
	cl_object V4;                             /*  USER-HEAD-VAR   */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= Cnil;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	value0=V4;
	if((value0)!=Cnil){
	goto L11;}
	value0=cl_list(2,ECL_SYM("CDR",196),V3)   /*  LIST            */;
	return value0;
L11:;
	cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for MAKE-LOOP-MINIMAX-INTERNAL            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10make_loop_minimax_internal(cl_narg narg, ...)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[12];
	cl_parse_key(args,6,L10make_loop_minimax_internalkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	V5= keyvars[4];
	V6= keyvars[5];
	}
	T0= cl_list(6,V1,V2,V3,V4,V5,V6)          /*  LIST            */;
	value0=cl_make_array(5,VV[15],ECL_SYM("ELEMENT-TYPE",1198),Ct,ECL_SYM("INITIAL-CONTENTS",1224),T0) /*  MAKE-ARRAY */;
	return value0;
}}
/*	function definition for MAKE-LOOP-MINIMAX                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11make_loop_minimax(cl_object V1, cl_object V2)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  INFINITY-DATA   */
	{cl_object V4;
	V4= ecl_symbol_value(VV[17]);
	goto L7;
L6:;
	{cl_object V5;
	cl_object V6;
	if (ecl_unlikely(ATOM(V4))) FEtype_error_cons(V4);
	V5= V4;
	V6= ECL_CONS_CAR(V5);
	if((V6)==Cnil){
	goto L14;}
	{cl_object V7;
	if (ecl_unlikely(ATOM(V6))) FEtype_error_cons(V6);
	T1= V6;
	V7= ECL_CONS_CAR(T1);
	if((cl_subtypep(2,V2,V7)                  /*  SUBTYPEP        */)==Cnil){
	goto L20;}
	T0= V6;
	goto L2;
L20:;
	goto L9;
	}
L14:;
	goto L9;
	}
L9:;
	V4= ECL_CONS_CDR(V4);
L7:;
	if(V4==Cnil){
	goto L26;}
	goto L6;
L26:;
	goto L24;
L24:;
	goto L4;
L4:;
	T0= Cnil;
	}
L2:;
	V3= cl_cdr(T0)                            /*  CDR             */;
	T0= cl_gensym(1,_ecl_static_2)            /*  GENSYM          */;
	if((V3)!=Cnil){
	goto L30;}
	T1= cl_gensym(1,_ecl_static_3)            /*  GENSYM          */;
	goto L28;
L30:;
	T1= Cnil;
	goto L28;
L28:;
	value0=L10make_loop_minimax_internal(12,VV[18],V1,ECL_SYM("TYPE",1288),V2,VV[19],T0,VV[20],T1,VV[21],Cnil,VV[22],V3) /*  MAKE-LOOP-MINIMAX-INTERNAL */;
	return value0;
	}
}}
/*	function definition for LOOP-NOTE-MINIMAX-OPERATION           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12loop_note_minimax_operation(cl_object V1, cl_object V2)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	T0= ecl_function_dispatch(cl_env_copy,VV[231])(1,V2) /*  LOOP-MINIMAX-OPERATIONS */;
	V3= cl_adjoin(2,V1,T0)                    /*  ADJOIN          */;
	ecl_elt_set(V2,4,V3);
	}
	T0= ecl_function_dispatch(cl_env_copy,VV[231])(1,V2) /*  LOOP-MINIMAX-OPERATIONS */;
	if((cl_cdr(T0)                            /*  CDR             */)==Cnil){
	goto L5;}
	if((ecl_function_dispatch(cl_env_copy,VV[232])(1,V2) /*  LOOP-MINIMAX-FLAG-VARIABLE */)!=Cnil){
	goto L5;}
	{cl_object V3;
	V3= cl_gensym(1,_ecl_static_3)            /*  GENSYM          */;
	ecl_elt_set(V2,3,V3);
	goto L3;
	}
L5:;
	goto L3;
L3:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function WITH-MINIMAX-VALUE                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13with_minimax_value(cl_object V1, cl_object V2)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LM              */
	cl_object V4;                             /*  BODY            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  LET258          */
	cl_object V6;                             /*  LET259          */
	cl_object V7;                             /*  LET260          */
	cl_object V8;                             /*  LET261          */
	cl_object V9;                             /*  LET262          */
	cl_object V10;                            /*  LET263          */
	cl_object V11;                            /*  LET264          */
	T0= ecl_function_dispatch(cl_env_copy,VV[234])(1,V3) /*  LOOP-MINIMAX-TYPE */;
	V5= L59loop_typed_init(T0)                /*  LOOP-TYPED-INIT */;
	T0= ecl_function_dispatch(cl_env_copy,VV[231])(1,V3) /*  LOOP-MINIMAX-OPERATIONS */;
	V6= cl_car(T0)                            /*  CAR             */;
	V7= ecl_function_dispatch(cl_env_copy,VV[235])(1,V3) /*  LOOP-MINIMAX-INFINITY-DATA */;
	V8= ecl_function_dispatch(cl_env_copy,VV[236])(1,V3) /*  LOOP-MINIMAX-ANSWER-VARIABLE */;
	V9= ecl_function_dispatch(cl_env_copy,VV[237])(1,V3) /*  LOOP-MINIMAX-TEMP-VARIABLE */;
	V10= ecl_function_dispatch(cl_env_copy,VV[232])(1,V3) /*  LOOP-MINIMAX-FLAG-VARIABLE */;
	V11= ecl_function_dispatch(cl_env_copy,VV[234])(1,V3) /*  LOOP-MINIMAX-TYPE */;
	if((V10)==Cnil){
	goto L14;}
	T0= cl_list(2,V8,V5)                      /*  LIST            */;
	T1= cl_list(2,V9,V5)                      /*  LIST            */;
	T2= cl_list(2,V10,Cnil)                   /*  LIST            */;
	T3= cl_list(3,T0,T1,T2)                   /*  LIST            */;
	T4= cl_list(4,ECL_SYM("TYPE",867),V11,V8,V9) /*  LIST         */;
	T5= cl_list(2,ECL_SYM("DECLARE",272),T4)  /*  LIST            */;
	value0=cl_listX(4,ECL_SYM("LET",475),T3,T5,V4) /*  LIST*      */;
	return value0;
L14:;
	if(!((V6)==(ECL_SYM("MIN",555)))){
	goto L18;}
	T0= cl_first(V7)                          /*  FIRST           */;
	goto L16;
L18:;
	T0= cl_second(V7)                         /*  SECOND          */;
	goto L16;
L16:;
	T1= cl_list(2,V8,T0)                      /*  LIST            */;
	T2= cl_list(2,V9,V5)                      /*  LIST            */;
	T3= cl_list(2,T1,T2)                      /*  LIST            */;
	T4= cl_list(4,ECL_SYM("TYPE",867),V11,V8,V9) /*  LIST         */;
	T5= cl_list(2,ECL_SYM("DECLARE",272),T4)  /*  LIST            */;
	value0=cl_listX(4,ECL_SYM("LET",475),T3,T5,V4) /*  LIST*      */;
	return value0;
	}
	}
}}
/*	local function LOOP-ACCUMULATE-MINIMAX-VALUE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14loop_accumulate_minimax_value(cl_object V1, cl_object V2)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LM              */
	cl_object V4;                             /*  OPERATION       */
	cl_object V5;                             /*  FORM            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	{cl_object V6;                            /*  ANSWER-VAR      */
	cl_object V7;                             /*  TEMP-VAR        */
	cl_object V8;                             /*  FLAG-VAR        */
	cl_object V9;                             /*  TEST            */
	V6= ecl_function_dispatch(cl_env_copy,VV[236])(1,V3) /*  LOOP-MINIMAX-ANSWER-VARIABLE */;
	V7= ecl_function_dispatch(cl_env_copy,VV[237])(1,V3) /*  LOOP-MINIMAX-TEMP-VARIABLE */;
	V8= ecl_function_dispatch(cl_env_copy,VV[232])(1,V3) /*  LOOP-MINIMAX-FLAG-VARIABLE */;
	T0= ecl_function_dispatch(cl_env_copy,VV[236])(1,V3) /*  LOOP-MINIMAX-ANSWER-VARIABLE */;
	if(!((V4)==(ECL_SYM("MIN",555)))){
	goto L20;}
	T1= ECL_SYM("<",70);
	goto L18;
L20:;
	if(!((V4)==(ECL_SYM("MAX",549)))){
	goto L23;}
	T1= ECL_SYM(">",73);
	goto L18;
L23:;
	T1= si_ecase_error(3,VV[24],V4,VV[25])    /*  ECASE-ERROR     */;
	goto L18;
L18:;
	T2= cl_list(3,T1,V7,V6)                   /*  LIST            */;
	V9= L5hide_variable_reference(Ct,T0,T2)   /*  HIDE-VARIABLE-REFERENCE */;
	T0= cl_list(3,ECL_SYM("SETQ",749),V7,V5)  /*  LIST            */;
	if((V8)==Cnil){
	goto L27;}
	T2= cl_list(2,ECL_SYM("NOT",582),V8)      /*  LIST            */;
	T1= cl_list(3,ECL_SYM("OR",612),T2,V9)    /*  LIST            */;
	goto L25;
L27:;
	T1= V9;
	goto L25;
L25:;
	if((V8)==Cnil){
	goto L31;}
	T2= cl_list(2,V8,Ct)                      /*  LIST            */;
	goto L29;
L31:;
	T2= Cnil;
	goto L29;
L29:;
	T3= cl_list(2,V6,V7)                      /*  LIST            */;
	T4= ecl_append(T2,T3);
	T5= CONS(ECL_SYM("SETQ",749),T4);
	T6= cl_list(3,ECL_SYM("WHEN",903),T1,T5)  /*  LIST            */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T0,T6) /*  LIST         */;
	return value0;
	}
	}
}}
/*	function definition for LOOP-TEQUAL                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15loop_tequal(cl_object V1, cl_object V2)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_SYMBOLP(V1))){
	goto L2;}
	value0=cl_stringE(2,V1,V2)                /*  STRING=         */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-TASSOC                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16loop_tassoc(cl_object V1, cl_object V2)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_SYMBOLP(V1))){
	goto L2;}
	{cl_object V3;
	V3= V2;
	goto L8;
L7:;
	{cl_object V4;
	cl_object V5;
	if (ecl_unlikely(ATOM(V3))) FEtype_error_cons(V3);
	V4= V3;
	V5= ECL_CONS_CAR(V4);
	if((V5)==Cnil){
	goto L15;}
	{cl_object V6;
	if (ecl_unlikely(ATOM(V5))) FEtype_error_cons(V5);
	T0= V5;
	V6= ECL_CONS_CAR(T0);
	if((cl_stringE(2,V1,V6)                   /*  STRING=         */)==Cnil){
	goto L21;}
	value0=V5; cl_env_copy->nvalues=1;
	return value0;
L21:;
	goto L10;
	}
L15:;
	goto L10;
	}
L10:;
	V3= ECL_CONS_CDR(V3);
L8:;
	if(V3==Cnil){
	goto L27;}
	goto L7;
L27:;
	goto L25;
L25:;
	goto L5;
L5:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-TMEMBER                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17loop_tmember(cl_object V1, cl_object V2)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_SYMBOLP(V1))){
	goto L2;}
	{cl_object V3;
	V3= V2;
	goto L8;
L7:;
	{cl_object V4;
	cl_object V5;
	if (ecl_unlikely(ATOM(V3))) FEtype_error_cons(V3);
	V4= V3;
	V5= ECL_CONS_CAR(V4);
	if((cl_stringE(2,V1,V5)                   /*  STRING=         */)==Cnil){
	goto L15;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
L15:;
	goto L10;
	}
L10:;
	V3= ECL_CONS_CDR(V3);
L8:;
	if(V3==Cnil){
	goto L21;}
	goto L7;
L21:;
	goto L19;
L19:;
	goto L5;
L5:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-LOOKUP-KEYWORD                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18loop_lookup_keyword(cl_object V1, cl_object V2)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_SYMBOLP(V1))){
	goto L2;}
	T0= ecl_symbol_name(V1);
	value0=cl_gethash(2,T0,V2)                /*  GETHASH         */;
	cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function LOOP-STORE-TABLE-DATA                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19loop_store_table_data(cl_object V1, cl_object V2)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  SYMBOL          */
	cl_object V4;                             /*  TABLE           */
	cl_object V5;                             /*  DATUM           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,ECL_SYM("SYMBOL-NAME",841),V3) /*  LIST         */;
	T1= cl_list(3,ECL_SYM("GETHASH",411),T0,V4) /*  LIST          */;
	value0=cl_list(3,ECL_SYM("SETF",748),T1,V5) /*  LIST          */;
	return value0;
	}
}}
/*	function definition for MAKE-LOOP-UNIVERSE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20make_loop_universe(cl_narg narg, ...)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[16];
	cl_parse_key(args,8,L20make_loop_universekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	V5= keyvars[4];
	V6= keyvars[5];
	V7= keyvars[6];
	V8= keyvars[7];
	}
	T0= cl_list(8,V1,V2,V3,V4,V5,V6,V7,V8)    /*  LIST            */;
	value0=cl_make_array(5,VV[30],ECL_SYM("ELEMENT-TYPE",1198),Ct,ECL_SYM("INITIAL-CONTENTS",1224),T0) /*  MAKE-ARRAY */;
	return value0;
}}
/*	function definition for MAKE-STANDARD-LOOP-UNIVERSE           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22make_standard_loop_universe(cl_narg narg, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[14];
	cl_parse_key(args,7,L22make_standard_loop_universekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	V5= keyvars[4];
	V6= keyvars[5];
	V7= keyvars[6];
	}
	{cl_object V8;
	V8= V7;
	if((cl_typep(2,V8,VV[33])                 /*  TYPEP           */)!=Cnil){
	goto L5;}
	V7= si_do_check_type(4,V8,VV[33],Cnil,VV[34]) /*  DO-CHECK-TYPE */;
	goto L3;
L5:;
	goto L3;
L3:;
	}
	T0= LC21maketable(V1)                     /*  MAKETABLE       */;
	T1= LC21maketable(V2)                     /*  MAKETABLE       */;
	T2= LC21maketable(V3)                     /*  MAKETABLE       */;
	T3= LC21maketable(V4)                     /*  MAKETABLE       */;
	{bool V8;
	V8= V7==Cnil;
	T4= (V8)?Cnil:Ct;}
	T5= LC21maketable(V5)                     /*  MAKETABLE       */;
	{cl_fixnum V8;                            /*  SIZE            */
	cl_object V9;                             /*  HT              */
	V8= ecl_length(V6);
	{cl_fixnum V10;
	if(!((V8)<(10))){
	goto L19;}
	V10= 10;
	goto L17;
L19:;
	V10= V8;
	goto L17;
L17:;
	T7= (ECL_SYM("EQ",331)->symbol.gfdef);
	V9= cl_make_hash_table(4,ECL_SYM("SIZE",1278),MAKE_FIXNUM(V10),ECL_SYM("TEST",1286),T7) /*  MAKE-HASH-TABLE */;}
	{cl_object V10;                           /*  %DOLIST-VAR     */
	cl_object V11;                            /*  X               */
	V10= V6;
	V11= Cnil;
	goto L28;
L27:;
	V11= cl_first(V10)                        /*  FIRST           */;
	if(!(ECL_ATOM(V11))){
	goto L34;}
	(void)si_hash_set(V11,V9,V11)             /*  HASH-SET        */;
	goto L32;
L34:;
	{cl_object V12;
	V12= cl_car(V11)                          /*  CAR             */;
	{cl_object V13;
	V13= cl_cadr(V11)                         /*  CADR            */;
	(void)si_hash_set(V12,V9,V13)             /*  HASH-SET        */;
	goto L32;
	}
	}
L32:;
	V10= CDR(V10);
L28:;
	if((V10)==Cnil){
	goto L42;}
	goto L27;
L42:;
	goto L40;
L40:;
	goto L25;
L25:;
	}
	T6= V9;
	}
	value0=L20make_loop_universe(16,VV[35],T0,VV[36],T1,VV[37],T2,VV[38],T3,VV[39],V7,VV[40],T4,VV[41],T5,VV[42],T6) /*  MAKE-LOOP-UNIVERSE */;
	return value0;
}}
/*	local function MAKETABLE                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21maketable(cl_object V1)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_fixnum V2;                            /*  SIZE            */
	cl_object V3;                             /*  HT              */
	V2= ecl_length(V1);
	{cl_fixnum V4;
	if(!((V2)<(10))){
	goto L5;}
	V4= 10;
	goto L3;
L5:;
	V4= V2;
	goto L3;
L3:;
	T0= (ECL_SYM("EQUAL",333)->symbol.gfdef);
	V3= cl_make_hash_table(4,ECL_SYM("SIZE",1278),MAKE_FIXNUM(V4),ECL_SYM("TEST",1286),T0) /*  MAKE-HASH-TABLE */;}
	{cl_object V4;                            /*  %DOLIST-VAR     */
	cl_object V5;                             /*  X               */
	V4= V1;
	V5= Cnil;
	goto L14;
L13:;
	V5= cl_first(V4)                          /*  FIRST           */;
	{cl_object V6;
	T0= cl_car(V5)                            /*  CAR             */;
	V6= ecl_symbol_name(T0);
	{cl_object V7;
	V7= cl_cadr(V5)                           /*  CADR            */;
	(void)si_hash_set(V6,V3,V7)               /*  HASH-SET        */;
	}
	}
	V4= CDR(V4);
L14:;
	if((V4)==Cnil){
	goto L25;}
	goto L13;
L25:;
	goto L23;
L23:;
	goto L11;
L11:;
	}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-MAKE-PSETQ                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L23loop_make_psetq(cl_object V1)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==Cnil){
	goto L2;}
	T0= cl_car(V1)                            /*  CAR             */;
	T2= cl_cddr(V1)                           /*  CDDR            */;
	if(!(T2==Cnil)){
	goto L6;}
	T1= cl_cadr(V1)                           /*  CADR            */;
	goto L4;
L6:;
	T2= cl_cadr(V1)                           /*  CADR            */;
	T3= cl_cddr(V1)                           /*  CDDR            */;
	T4= L23loop_make_psetq(T3)                /*  LOOP-MAKE-PSETQ */;
	T1= cl_list(3,ECL_SYM("PROG1",667),T2,T4) /*  LIST            */;
	goto L4;
L4:;
	T2= cl_list(2,T0,T1)                      /*  LIST            */;
	value0=L24loop_make_desetq(T2)            /*  LOOP-MAKE-DESETQ */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-MAKE-DESETQ                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24loop_make_desetq(cl_object V1)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==Cnil)){
	goto L2;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((ecl_symbol_value(VV[43]))==Cnil){
	goto L6;}
	T0= cl_cadr(ecl_symbol_value(VV[43]))     /*  CADR            */;
	goto L4;
L6:;
	T0= VV[44];
	goto L4;
L4:;
	value0=CONS(T0,V1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function LOOP-REALLY-DESETQ                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27loop_really_desetq(cl_object V1, cl_object V2)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	lex0[0]= V2;                              /*  ENV             */
TTL:
	{cl_object V3;                            /*  VAR-VAL-PAIRS   */
	V3= cl_cdr(V1)                            /*  CDR             */;
	{cl_object V4;                            /*  ACTIONS         */
	V4= Cnil;
	goto L6;
L5:;
	{cl_object V5;
	V5= cl_car(V3)                            /*  CAR             */;
	V3= cl_cdr(V3)                            /*  CDR             */;
	T1= V5;
	}
	{cl_object V5;
	V5= cl_car(V3)                            /*  CAR             */;
	V3= cl_cdr(V3)                            /*  CDR             */;
	T2= V5;
	}
	T0= LC26loop_desetq_internal(2,lex0,T1,T2) /*  LOOP-DESETQ-INTERNAL */;
	V4= cl_revappend(T0,V4)                   /*  REVAPPEND       */;
L6:;
	if(V3==Cnil){
	goto L21;}
	goto L5;
L21:;
	goto L19;
L19:;
	goto L3;
L3:;
	T0= cl_cdr(V4)                            /*  CDR             */;
	if(!(T0==Cnil)){
	goto L24;}
	value0=cl_car(V4)                         /*  CAR             */;
	return value0;
L24:;
	T0= cl_nreverse(V4)                       /*  NREVERSE        */;
	value0=CONS(ECL_SYM("PROGN",669),T0); cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	local function LOOP-DESETQ-INTERNAL                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26loop_desetq_internal(cl_narg narg, volatile cl_object *lex0, cl_object V1, cl_object V2, ...)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!(V1==Cnil)){
	goto L3;}
	if(!(ECL_CONSP(V2))){
	goto L6;}
	T0= cl_car(V2)                            /*  CAR             */;
	if(!((T0)==(ECL_SYM("PROG1",667)))){
	goto L9;}
	{cl_object V4;                            /*  LET266          */
	cl_object V5;
	cl_object V6;
	V4= cl_cdr(V2)                            /*  CDR             */;
	V5= Cnil;
	V6= V4;
	{cl_object V7;
	cl_object V8;
	V7= ecl_list1(Cnil);
	V8= V7;
L17:;
	if(!(ecl_endp(V6))){
	goto L21;}
	goto L18;
L21:;
	goto L19;
L19:;
	V5= CAR(V6);
	V6= CDR(V6);
	{cl_object V9;
	{cl_object V10;                           /*  X               */
	V10= V5;
	if(!(ECL_CONSP(V10))){
	goto L34;}
	T0= cl_car(V10)                           /*  CAR             */;
	if(!((T0)==(ECL_SYM("CAR",178)))){
	goto L37;}
	T0= cl_cadr(V10)                          /*  CADR            */;
	if(!(ECL_SYMBOLP(T0))){
	goto L37;}
	V10= cl_macroexpand(2,V10,lex0[0])        /*  MACROEXPAND     */;
	if(ECL_SYMBOLP(V10)){
	goto L34;}
	goto L36;
L37:;
L36:;
	V9= CONS(V10,Cnil);
	goto L31;
L34:;
	V9= Cnil;
	goto L31;
	}
L31:;
	if (ecl_unlikely(ATOM(V8)))FEtype_error_cons(V8);
	ECL_CONS_CDR(V8) = V9;
	if((V9)==Cnil){
	goto L29;}
	}
	T0= cl_cdr(V8)                            /*  CDR             */;
	V8= ecl_last(T0,1);
	goto L27;
L29:;
	goto L27;
L27:;
	goto L17;
L18:;
	value0=cl_cdr(V7)                         /*  CDR             */;
	return value0;
	}
	}
L9:;
	value0=ecl_list1(V2); cl_env_copy->nvalues=1;
	return value0;
L6:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L3:;
	if(!(ECL_CONSP(V1))){
	goto L46;}
	{cl_object V9;                            /*  CAR             */
	cl_object V10;                            /*  CDR             */
	cl_object V11;                            /*  CAR-NON-NULL    */
	cl_object V12;                            /*  CDR-NON-NULL    */
	V9= cl_car(V1)                            /*  CAR             */;
	V10= cl_cdr(V1)                           /*  CDR             */;
	V11= LC25find_non_null(V9)                /*  FIND-NON-NULL   */;
	V12= LC25find_non_null(V10)               /*  FIND-NON-NULL   */;
	if((V11)!=Cnil){
	goto L55;}
	if((V12)==Cnil){
	goto L53;}
	goto L54;
L55:;
L54:;
	if((V12)==Cnil){
	goto L58;}
	{cl_object V13;                           /*  TEMP            */
	cl_object V14;                            /*  BODY            */
	value0=V3;
	if((value0)!=Cnil){
	goto L62;}
	V13= ecl_symbol_value(VV[45]);
	goto L60;
L62:;
	V13= value0;
	goto L60;
L60:;
	T1= cl_list(2,ECL_SYM("CAR",178),V13)     /*  LIST            */;
	T0= LC26loop_desetq_internal(2,lex0,V9,T1) /*  LOOP-DESETQ-INTERNAL */;
	T1= cl_list(2,ECL_SYM("CDR",196),V13)     /*  LIST            */;
	T2= cl_list(3,ECL_SYM("SETQ",749),V13,T1) /*  LIST            */;
	T3= LC26loop_desetq_internal(3,lex0,V10,V13,V13) /*  LOOP-DESETQ-INTERNAL */;
	T4= CONS(T2,T3);
	V14= ecl_append(T0,T4);
	if((V3)==Cnil){
	goto L68;}
	if((V13)==(V2)){
	goto L72;}
	T1= cl_list(3,ECL_SYM("SETQ",749),V13,V2) /*  LIST            */;
	T0= ecl_list1(T1);
	goto L70;
L72:;
	T0= Cnil;
	goto L70;
L70:;
	value0=ecl_append(T0,V14); cl_env_copy->nvalues=1;
	return value0;
L68:;
	T0= cl_list(2,V13,V2)                     /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_listX(3,ECL_SYM("LET",475),T1,V14) /*  LIST*           */;
	value0=ecl_list1(T2); cl_env_copy->nvalues=1;
	return value0;
	}
L58:;
	T0= cl_list(2,ECL_SYM("CAR",178),V2)      /*  LIST            */;
	value0=LC26loop_desetq_internal(3,lex0,V9,T0,V3) /*  LOOP-DESETQ-INTERNAL */;
	return value0;
L53:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L46:;
	if((V1)==(V2)){
	goto L75;}
	T0= cl_list(3,ECL_SYM("SETQ",749),V1,V2)  /*  LIST            */;
	value0=ecl_list1(T0); cl_env_copy->nvalues=1;
	return value0;
L75:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function FIND-NON-NULL                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25find_non_null(cl_object V1)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  TAIL            */
	V2= V1;
	goto L5;
L4:;
	{cl_object V3;
	V3= cl_car(V2)                            /*  CAR             */;
	V2= cl_cdr(V2)                            /*  CDR             */;
	T0= V3;
	}
	if((LC25find_non_null(T0)                 /*  FIND-NON-NULL   */)==Cnil){
	goto L9;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L9:;
	goto L7;
L7:;
L5:;
	if(!(ECL_CONSP(V2))){
	goto L17;}
	goto L4;
L17:;
	goto L15;
L15:;
	goto L2;
L2:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-CONSTANT-FOLD-IF-POSSIBLE        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28loop_constant_fold_if_possible(cl_narg narg, cl_object V1, ...)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  CONSTANTP       */
	cl_object V4;                             /*  CONSTANT-VALUE  */
	V3= Cnil;
	V4= Cnil;
	V3= cl_constantp(1,V1)                    /*  CONSTANTP       */;
	if((V3)==Cnil){
	goto L6;}
	V4= cl_eval(V1)                           /*  EVAL            */;
	goto L4;
L6:;
	goto L4;
L4:;
	if((V3)==Cnil){
	goto L12;}
	if((V2)==Cnil){
	goto L12;}
	if((cl_typep(2,V4,V2)                     /*  TYPEP           */)!=Cnil){
	goto L16;}
	(void)L42loop_warn(4,_ecl_static_6,V1,V4,V2) /*  LOOP-WARN    */;
	V3= Cnil;
	V4= Cnil;
	goto L10;
L16:;
	goto L10;
L12:;
	goto L10;
L10:;
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=V4;
	cl_env_copy->values[1]=V3;
	cl_env_copy->values[0]=V1;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for LOOP-CONSTANTP                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29loop_constantp(cl_object V1)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_constantp(1,V1)                 /*  CONSTANTP       */;
	return value0;
}}
/*	function definition for LOOP-CODE-DUPLICATION-THRESHOLD       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30loop_code_duplication_threshold(cl_object V1)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L3loop_optimization_quantities(V1) /*  LOOP-OPTIMIZATION-QUANTITIES */;
	{
	cl_object V3;                             /*  SPEED           */
	cl_object V4;                             /*  SPACE           */
	{int V5=cl_env_copy->nvalues-0;
	if (V5--<=0) goto L2;
	V3= cl_env_copy->values[0];
	if (V5--<=0) goto L3;
	V4= cl_env_copy->values[1];
	goto L4;}
L2:;
	V3= Cnil;
L3:;
	V4= Cnil;
L4:;
	T0= ecl_minus(V3,V4);
	T1= ecl_times(T0,MAKE_FIXNUM(10));
	value0=ecl_plus(MAKE_FIXNUM(40),T1); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function LOOP-BODY                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34loop_body(cl_object V1, cl_object V2)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  BEFORE-LOOP     */
	cl_object V4;                             /*  AFTER-LOOP      */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	T0= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	T0= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	lex0[0]= T0;                              /*  PROLOGUE        */
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V3= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	T0= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	T0= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	lex0[1]= T0;                              /*  MAIN-BODY       */
	if((cl_cddddr(V1)                         /*  CDDDDR          */)==Cnil){
	goto L15;}
	T0= cl_cddddr(V1)                         /*  CDDDDR          */;
	V4= cl_car(T0)                            /*  CAR             */;
	goto L13;
L15:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L13;
L13:;
	T1= cl_cddddr(V1)                         /*  CDDDDR          */;
	if((cl_cdr(T1)                            /*  CDR             */)==Cnil){
	goto L19;}
	T1= cl_cddddr(V1)                         /*  CDDDDR          */;
	T0= cl_cadr(T1)                           /*  CADR            */;
	goto L17;
L19:;
	T0= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L17;
L17:;
	lex0[2]= T0;                              /*  EPILOGUE        */
	lex0[3]= Cnil;                            /*  RBEFORE         */
	lex0[4]= Cnil;                            /*  RAFTER          */
	lex0[5]= Cnil;                            /*  FLAGVAR         */
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(6)) /*  CHECK-ARG-LENGTH */;
	{cl_fixnum V5;
	V5= ecl_length(V3);
	{cl_fixnum V6;
	V6= ecl_length(V4);
	if((V5)==(V6)){
	goto L24;}}}
	(void)cl_error(1,_ecl_static_8)           /*  ERROR           */;
	goto L22;
L24:;
	goto L22;
L22:;
	lex0[3]= cl_reverse(V3)                   /*  REVERSE         */;
	lex0[4]= cl_reverse(V4)                   /*  REVERSE         */;
	if((ecl_symbol_value(VV[73]))!=Cnil){
	goto L34;}
	if((lex0[3])!=Cnil){
	goto L32;}
	goto L33;
L34:;
L33:;
	value0=LC33makebody(lex0)                 /*  MAKEBODY        */;
	return value0;
L32:;
	goto L30;
L30:;
	{cl_fixnum V5;                            /*  THRESHOLD       */
	V5= ecl_to_fixnum(L30loop_code_duplication_threshold(V2) /*  LOOP-CODE-DUPLICATION-THRESHOLD */);
	goto L40;
L39:;
	goto L46;
L45:;
	{cl_object V6;
	V6= cl_car(lex0[3])                       /*  CAR             */;
	lex0[3]= cl_cdr(lex0[3])                  /*  CDR             */;
	T0= V6;
	}
	lex0[1]= CONS(T0,lex0[1]);
	{cl_object V6;
	V6= cl_car(lex0[4])                       /*  CAR             */;
	lex0[4]= cl_cdr(lex0[4])                  /*  CDR             */;
	}
L46:;
	if(lex0[3]==Cnil){
	goto L60;}
	T0= cl_car(lex0[3])                       /*  CAR             */;
	T1= cl_car(lex0[4])                       /*  CAR             */;
	if(!(ecl_equal(T0,T1))){
	goto L60;}
	goto L45;
L60:;
	goto L58;
L58:;
	goto L43;
L43:;
	if((lex0[3])!=Cnil){
	goto L65;}
	value0=LC33makebody(lex0)                 /*  MAKEBODY        */;
	return value0;
L65:;
	goto L63;
L63:;
	{cl_object V6;                            /*  LET270          */
	cl_object V7;                             /*  LET271          */
	cl_object V8;                             /*  BB              */
	cl_object V9;                             /*  AA              */
	cl_object V10;                            /*  LASTDIFF        */
	cl_object V11;                            /*  COUNT           */
	cl_object V12;                            /*  INC             */
	V6= lex0[3];
	V7= lex0[4];
	V8= V6;
	V9= V7;
	V10= Cnil;
	V11= MAKE_FIXNUM(0);
	V12= Cnil;
	goto L78;
L77:;
	T0= cl_car(V8)                            /*  CAR             */;
	T1= cl_car(V9)                            /*  CAR             */;
	if(ecl_equal(T0,T1)){
	goto L82;}
	V10= V8;
	V11= MAKE_FIXNUM(0);
	goto L80;
L82:;
	T0= cl_car(V8)                            /*  CAR             */;
	V12= L37estimate_code_size(T0,V2)         /*  ESTIMATE-CODE-SIZE */;
	if((V12)==Cnil){
	goto L90;}
	V11= ecl_plus(V11,V12);
	T0= V11;
	if(!(ecl_number_compare(T0,MAKE_FIXNUM(V5))>0)){
	goto L88;}
	goto L89;
L90:;
L89:;
	{cl_object V13;                           /*  THEN            */
	cl_object V14;                            /*  ELSE            */
	V13= Cnil;
	V14= Cnil;
	goto L102;
L101:;
	{cl_object V15;
	V15= cl_car(lex0[3])                      /*  CAR             */;
	lex0[3]= cl_cdr(lex0[3])                  /*  CDR             */;
	T0= V15;
	}
	V14= CONS(T0,V14);
	{cl_object V15;
	V15= cl_car(lex0[4])                      /*  CAR             */;
	lex0[4]= cl_cdr(lex0[4])                  /*  CDR             */;
	T0= V15;
	}
	V13= CONS(T0,V13);
	T0= cl_cdr(V10)                           /*  CDR             */;
	if(!((lex0[3])==(T0))){
	goto L118;}
	goto L98;
L118:;
	goto L116;
L116:;
L102:;
	goto L101;
L98:;
	if((lex0[5])!=Cnil){
	goto L123;}
	lex0[5]= ecl_symbol_value(VV[74]);
	T0= cl_list(3,ECL_SYM("SETQ",749),lex0[5],Ct) /*  LIST        */;
	V14= CONS(T0,V14);
	goto L121;
L123:;
	goto L121;
L121:;
	T1= LC31psimp(V13)                        /*  PSIMP           */;
	T0= LC32pify(T1)                          /*  PIFY            */;
	T2= LC31psimp(V14)                        /*  PSIMP           */;
	T1= LC32pify(T2)                          /*  PIFY            */;
	T2= cl_list(4,ECL_SYM("IF",944),lex0[5],T0,T1) /*  LIST       */;
	lex0[1]= CONS(T2,lex0[1]);
	}
	goto L136;
L135:;
	{cl_object V13;
	V13= cl_car(lex0[4])                      /*  CAR             */;
	lex0[4]= cl_cdr(lex0[4])                  /*  CDR             */;
	}
	{cl_object V13;
	V13= cl_car(lex0[3])                      /*  CAR             */;
	lex0[3]= cl_cdr(lex0[3])                  /*  CDR             */;
	T0= V13;
	}
	lex0[1]= CONS(T0,lex0[1]);
	T0= cl_cdr(V8)                            /*  CDR             */;
	if(!((lex0[3])==(T0))){
	goto L150;}
	goto L132;
L150:;
	goto L148;
L148:;
L136:;
	goto L135;
L132:;
	goto L67;
L88:;
	goto L80;
L80:;
	V8= cl_cdr(V8)                            /*  CDR             */;
	V9= cl_cdr(V9)                            /*  CDR             */;
L78:;
	if(V8==Cnil){
	goto L158;}
	goto L77;
L158:;
	goto L156;
L156:;
	goto L75;
L75:;
	value0=LC33makebody(lex0)                 /*  MAKEBODY        */;
	return value0;
	}
L67:;
L40:;
	goto L39;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	local function MAKEBODY                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33makebody(volatile cl_object *lex0)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  FORM            */
	T1= cl_nreverse(lex0[3])                  /*  NREVERSE        */;
	T2= ecl_append(lex0[0],T1);
	T0= LC31psimp(T2)                         /*  PSIMP           */;
	T2= cl_nreconc(lex0[4],VV[79])            /*  NRECONC         */;
	T3= ecl_append(lex0[1],T2);
	T1= LC31psimp(T3)                         /*  PSIMP           */;
	T2= LC31psimp(lex0[2])                    /*  PSIMP           */;
	T3= CONS(VV[80],T2);
	T4= ecl_append(T1,T3);
	T5= CONS(VV[78],T4);
	T6= ecl_append(T0,T5);
	V1= CONS(ECL_SYM("TAGBODY",848),T6);
	if((lex0[5])==Cnil){
	goto L6;}
	T0= cl_list(2,lex0[5],Cnil)               /*  LIST            */;
	T1= ecl_list1(T0);
	value0=cl_list(3,ECL_SYM("LET",475),T1,V1) /*  LIST           */;
	return value0;
L6:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function PIFY                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32pify(cl_object V1)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_cdr(V1)                            /*  CDR             */;
	if(!(T0==Cnil)){
	goto L2;}
	value0=cl_car(V1)                         /*  CAR             */;
	return value0;
L2:;
	value0=CONS(ECL_SYM("PROGN",669),V1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function PSIMP                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31psimp(cl_object V1)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  ANS             */
	V2= Cnil;
	{cl_object V3;                            /*  %DOLIST-VAR     */
	cl_object V4;                             /*  X               */
	V3= V1;
	V4= Cnil;
	goto L8;
L7:;
	V4= cl_first(V3)                          /*  FIRST           */;
	if((V4)==Cnil){
	goto L14;}
	V2= CONS(V4,V2);
	if(!(ECL_CONSP(V4))){
	goto L19;}
	{cl_object V5;
	V5= cl_car(V4)                            /*  CAR             */;
	if(!((V5)==(ECL_SYM("GO",412)))){
	goto L26;}
	goto L23;
	goto L24;
L26:;
	goto L24;
L24:;
	if(!((V5)==(ECL_SYM("RETURN",722)))){
	goto L30;}
	goto L23;
	goto L28;
L30:;
	goto L28;
L28:;
	if(!((V5)==(ECL_SYM("RETURN-FROM",723)))){
	goto L19;}
	goto L20;
L23:;
	}
L20:;
	goto L2;
L19:;
	goto L12;
L14:;
	goto L12;
L12:;
	V3= CDR(V3);
L8:;
	if((V3)==Cnil){
	goto L37;}
	goto L7;
L37:;
	goto L35;
L35:;
	goto L5;
L5:;
	}
L2:;
	value0=cl_nreverse(V2)                    /*  NREVERSE        */;
	return value0;
	}
}}
/*	function definition for DUPLICATABLE-CODE-P                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35duplicatable_code_p(cl_object V1, cl_object V2)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==Cnil)){
	goto L2;}
	value0=MAKE_FIXNUM(0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	{cl_fixnum V3;                            /*  ANS             */
	V3= ecl_to_fixnum(L37estimate_code_size(V1,V2) /*  ESTIMATE-CODE-SIZE */);
	value0=MAKE_FIXNUM(V3); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for DESTRUCTURING-SIZE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L36destructuring_size(cl_object V1)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  X               */
	cl_object V3;                             /*  N               */
	V2= V1;
	V3= MAKE_FIXNUM(0);
	goto L6;
L5:;
	{cl_object V4;
	V4= cl_cdr(V2)                            /*  CDR             */;
	T0= cl_car(V2)                            /*  CAR             */;
	T1= L36destructuring_size(T0)             /*  DESTRUCTURING-SIZE */;
	V3= ecl_plus(T1,V3);
	V2= V4;}
L6:;
	if(ECL_ATOM(V2)){
	goto L13;}
	goto L5;
L13:;
	goto L11;
L11:;
	goto L3;
L3:;
	{cl_fixnum V4;
	if(!(V2==Cnil)){
	goto L17;}
	V4= 0;
	goto L15;
L17:;
	V4= 1;
	goto L15;
L15:;
	value0=ecl_plus(V3,MAKE_FIXNUM(V4)); cl_env_copy->nvalues=1;
	return value0;}
	}
}}
/*	function definition for ESTIMATE-CODE-SIZE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37estimate_code_size(cl_object volatile V1, cl_object volatile V2)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[84];
	if (ecl_frs_push(cl_env_copy,value0)) {   /*  BEGIN CATCH 2   */
	value0=cl_env_copy->values[0];
	goto L3;
	}
	value0=L39estimate_code_size_1(V1,V2)     /*  ESTIMATE-CODE-SIZE-1 */;
L3:;
	ecl_frs_pop(cl_env_copy);                 /*  END CATCH 2     */
	return value0;
}}
/*	function definition for ESTIMATE-CODE-SIZE-1                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L39estimate_code_size_1(cl_object V1, cl_object V2)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	lex0[0]= V2;                              /*  ENV             */
TTL:
	if((cl_constantp(1,V1)                    /*  CONSTANTP       */)==Cnil){
	goto L2;}
	value0=MAKE_FIXNUM(1); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ECL_SYMBOLP(V1))){
	goto L5;}
	cl_env_copy->values[0]=cl_macroexpand_1(2,V1,lex0[0]) /*  MACROEXPAND-1 */;
	{
	cl_object V4;                             /*  NEW-FORM        */
	cl_object V5;                             /*  EXPANDED-P      */
	V4= cl_env_copy->values[0];
	V5= cl_env_copy->values[1];
	if((V5)==Cnil){
	goto L9;}
	V1= V4;
	goto TTL;
L9:;
	value0=MAKE_FIXNUM(1); cl_env_copy->nvalues=1;
	return value0;}
L5:;
	if(!(ECL_ATOM(V1))){
	goto L15;}
	value0=MAKE_FIXNUM(1); cl_env_copy->nvalues=1;
	return value0;
L15:;
	T0= cl_car(V1)                            /*  CAR             */;
	if(!(ECL_SYMBOLP(T0))){
	goto L18;}
	{cl_object V3;                            /*  LET279          */
	cl_object V4;                             /*  TEM             */
	cl_fixnum V5;                             /*  N               */
	V3= cl_car(V1)                            /*  CAR             */;
	V4= Cnil;
	V5= 0;
	V4= si_get_sysprop(V3,VV[84])             /*  GET-SYSPROP     */;
	if((V4)==Cnil){
	goto L24;}
	if(!(FIXNUMP(V4))){
	goto L28;}
	{cl_fixnum V6;
	T0= cl_cdr(V1)                            /*  CDR             */;
	V6= ecl_to_fixnum(LC38list_size(lex0,T0)  /*  LIST-SIZE       */);
	value0=ecl_plus(V4,MAKE_FIXNUM(V6)); cl_env_copy->nvalues=1;
	return value0;}
L28:;
	value0=ecl_function_dispatch(cl_env_copy,V4)(2,V1,lex0[0]);
	return value0;
L24:;
	V4= ecl_assql(V3,ecl_symbol_value(VV[82]));
	if((V4)==Cnil){
	goto L32;}
	T0= cl_second(V4)                         /*  SECOND          */;
	{cl_fixnum V7;
	T1= cl_cdr(V1)                            /*  CDR             */;
	V7= ecl_to_fixnum(LC38list_size(lex0,T1)  /*  LIST-SIZE       */);
	value0=ecl_plus(T0,MAKE_FIXNUM(V7)); cl_env_copy->nvalues=1;
	return value0;}
L32:;
	if(!((V3)==(ECL_SYM("COND",245)))){
	goto L37;}
	{cl_object V8;                            /*  %DOLIST-VAR     */
	cl_object V9;                             /*  CLAUSE          */
	V8= cl_cdr(V1)                            /*  CDR             */;
	V9= Cnil;
	goto L44;
L43:;
	V9= cl_first(V8)                          /*  FIRST           */;
	{cl_object V10;
	V10= LC38list_size(lex0,V9)               /*  LIST-SIZE       */;
	V5= ecl_to_fixnum(ecl_plus(MAKE_FIXNUM(V5),V10));
	}
	V5= ecl_to_fixnum(ecl_plus(MAKE_FIXNUM(V5),MAKE_FIXNUM(1)));
	V8= CDR(V8);
L44:;
	if((V8)==Cnil){
	goto L57;}
	goto L43;
L57:;
	goto L55;
L55:;
	goto L41;
L41:;
	V9= Cnil;
	value0=MAKE_FIXNUM(V5); cl_env_copy->nvalues=1;
	return value0;
	}
L37:;
	if(!((V3)==(VV[85]))){
	goto L62;}
	{cl_object V10;                           /*  L               */
	V10= cl_cdr(V1)                           /*  CDR             */;
	goto L68;
L67:;
	T0= cl_car(V10)                           /*  CAR             */;
	T1= L36destructuring_size(T0)             /*  DESTRUCTURING-SIZE */;
	T2= ecl_plus(MAKE_FIXNUM(V5),T1);
	T3= cl_cadr(V10)                          /*  CADR            */;
	T4= L39estimate_code_size_1(T3,lex0[0])   /*  ESTIMATE-CODE-SIZE-1 */;
	V5= ecl_to_fixnum(ecl_plus(T2,T4));
	V10= cl_cdr(V10)                          /*  CDR             */;
L68:;
	if(V10==Cnil){
	goto L76;}
	goto L67;
L76:;
	goto L74;
L74:;
	goto L65;
L65:;
	value0=MAKE_FIXNUM(V5); cl_env_copy->nvalues=1;
	return value0;
	}
L62:;
	if(!((V3)==(ECL_SYM("SETQ",749)))){
	goto L84;}
	goto L81;
	goto L82;
L84:;
	goto L82;
L82:;
	if(!((V3)==(ECL_SYM("PSETQ",674)))){
	goto L79;}
	goto L80;
L81:;
L80:;
	{cl_object V11;                           /*  L               */
	V11= cl_cdr(V1)                           /*  CDR             */;
	goto L91;
L90:;
	T0= cl_cadr(V11)                          /*  CADR            */;
	T1= L39estimate_code_size_1(T0,lex0[0])   /*  ESTIMATE-CODE-SIZE-1 */;
	T2= ecl_plus(MAKE_FIXNUM(V5),T1);
	V5= ecl_to_fixnum(ecl_plus(T2,MAKE_FIXNUM(1)));
	V11= cl_cdr(V11)                          /*  CDR             */;
L91:;
	if(V11==Cnil){
	goto L99;}
	goto L90;
L99:;
	goto L97;
L97:;
	goto L88;
L88:;
	value0=MAKE_FIXNUM(V5); cl_env_copy->nvalues=1;
	return value0;
	}
L79:;
	if(!((V3)==(ECL_SYM("GO",412)))){
	goto L102;}
	value0=MAKE_FIXNUM(1); cl_env_copy->nvalues=1;
	return value0;
L102:;
	if(!((V3)==(ECL_SYM("FUNCTION",394)))){
	goto L105;}
	T0= cl_cadr(V1)                           /*  CADR            */;
	if(ECL_SYMBOLP(T0)){
	goto L110;}
	T0= cl_cadr(V1)                           /*  CADR            */;
	if(!(ECL_CONSP(T0))){
	goto L108;}
	T0= cl_caadr(V1)                          /*  CAADR           */;
	if(!((T0)==(ECL_SYM("SETF",748)))){
	goto L108;}
	goto L109;
L110:;
L109:;
	value0=MAKE_FIXNUM(1); cl_env_copy->nvalues=1;
	return value0;
L108:;
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	cl_throw(VV[88]);
L105:;
	if(!((V3)==(ECL_SYM("MULTIPLE-VALUE-SETQ",574)))){
	goto L115;}
	T0= cl_second(V1)                         /*  SECOND          */;
	{cl_fixnum V12;
	V12= ecl_length(T0);
	{cl_fixnum V13;
	T1= cl_cddr(V1)                           /*  CDDR            */;
	V13= ecl_to_fixnum(LC38list_size(lex0,T1) /*  LIST-SIZE       */);
	value0=ecl_plus(MAKE_FIXNUM(V12),MAKE_FIXNUM(V13)); cl_env_copy->nvalues=1;
	return value0;}}
L115:;
	if(!((V3)==(ECL_SYM("RETURN-FROM",723)))){
	goto L119;}
	T0= cl_third(V1)                          /*  THIRD           */;
	T1= L39estimate_code_size_1(T0,lex0[0])   /*  ESTIMATE-CODE-SIZE-1 */;
	value0=ecl_one_plus(T1); cl_env_copy->nvalues=1;
	return value0;
L119:;
	if((cl_special_operator_p(V3)             /*  SPECIAL-OPERATOR-P */)!=Cnil){
	goto L124;}
	if((ecl_memql(V3,ecl_symbol_value(VV[83])))==Cnil){
	goto L122;}
	goto L123;
L124:;
L123:;
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	cl_throw(VV[84]);
L122:;
	cl_env_copy->values[0]=cl_macroexpand_1(2,V1,lex0[0]) /*  MACROEXPAND-1 */;
	{
	cl_object V15;                            /*  NEW-FORM        */
	cl_object V16;                            /*  EXPANDED-P      */
	V15= cl_env_copy->values[0];
	V16= cl_env_copy->values[1];
	if((V16)==Cnil){
	goto L129;}
	V1= V15;
	goto TTL;
L129:;
	{cl_fixnum V17;
	T0= cl_cdr(V1)                            /*  CDR             */;
	V17= ecl_to_fixnum(LC38list_size(lex0,T0) /*  LIST-SIZE       */);
	value0=ecl_plus(MAKE_FIXNUM(3),MAKE_FIXNUM(V17)); cl_env_copy->nvalues=1;
	return value0;}}
	}
L18:;
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	cl_throw(VV[84]);
}}
/*	local function LIST-SIZE                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38list_size(volatile cl_object *lex0, cl_object V1)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_fixnum V2;                            /*  N               */
	V2= 0;
	{cl_object V3;                            /*  %DOLIST-VAR     */
	cl_object V4;                             /*  X               */
	V3= V1;
	V4= Cnil;
	goto L7;
L6:;
	V4= cl_first(V3)                          /*  FIRST           */;
	{cl_object V5;
	V5= L39estimate_code_size_1(V4,lex0[0])   /*  ESTIMATE-CODE-SIZE-1 */;
	V2= ecl_to_fixnum(ecl_plus(MAKE_FIXNUM(V2),V5));
	}
	V3= CDR(V3);
L7:;
	if((V3)==Cnil){
	goto L18;}
	goto L6;
L18:;
	goto L16;
L16:;
	goto L4;
L4:;
	V4= Cnil;
	value0=MAKE_FIXNUM(V2); cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for LOOP-CONTEXT                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L40loop_context()
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  LET282          */
	cl_object V2;                             /*  L               */
	cl_object V3;                             /*  NEW             */
	V1= ecl_symbol_value(VV[49]);
	V2= V1;
	V3= Cnil;
	goto L7;
L6:;
	{cl_object V4;
	V4= cl_cdr(V2)                            /*  CDR             */;
	T0= cl_car(V2)                            /*  CAR             */;
	V3= CONS(T0,V3);
	V2= V4;}
L7:;
	T0= cl_cdr(ecl_symbol_value(VV[47]))      /*  CDR             */;
	if((V2)==(T0)){
	goto L14;}
	goto L6;
L14:;
	goto L12;
L12:;
	goto L4;
L4:;
	value0=cl_nreverse(V3)                    /*  NREVERSE        */;
	return value0;
	}
}}
/*	function definition for LOOP-ERROR                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L41loop_error(cl_narg narg, cl_object V1, ...)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= L40loop_context()                     /*  LOOP-CONTEXT    */;
	value0=si_simple_program_error(4,_ecl_static_9,V1,V2,T0) /*  SIMPLE-PROGRAM-ERROR */;
	return value0;
}}
/*	function definition for LOOP-WARN                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L42loop_warn(cl_narg narg, cl_object V1, ...)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= L40loop_context()                     /*  LOOP-CONTEXT    */;
	value0=(cl_env_copy->function=(ECL_SYM("WARN",901)->symbol.gfdef))->cfun.entry(4,_ecl_static_9,V1,V2,T0) /*  WARN */;
	return value0;
}}
/*	function definition for LOOP-CHECK-DATA-TYPE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L43loop_check_data_type(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= V2;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!(V1==Cnil)){
	goto L3;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L3:;
	cl_env_copy->values[0]=cl_subtypep(2,V1,V2) /*  SUBTYPEP      */;
	{
	cl_object V5;                             /*  A               */
	cl_object V6;                             /*  B               */
	V5= cl_env_copy->values[0];
	V6= cl_env_copy->values[1];
	if((V6)!=Cnil){
	goto L8;}
	(void)L42loop_warn(3,_ecl_static_10,V1,V2) /*  LOOP-WARN      */;
	goto L6;
L8:;
	if((V5)!=Cnil){
	goto L11;}
	(void)L41loop_error(3,_ecl_static_11,V1,V2) /*  LOOP-ERROR    */;
	goto L6;
L11:;
	goto L6;
L6:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function LOOP-FINISH                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44loop_finish(cl_object V1, cl_object V2)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(1)) /*  CHECK-ARG-LENGTH */;
	value0=VV[89]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUBST-GENSYMS-FOR-NIL                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L45subst_gensyms_for_nil(cl_object V1)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==Cnil)){
	goto L2;}
	T0= cl_gensym(0)                          /*  GENSYM          */;
	cl_set(VV[91],CONS(T0,ecl_symbol_value(VV[91])));
	value0=cl_car(ecl_symbol_value(VV[91]))   /*  CAR             */;
	return value0;
L2:;
	if(!(ECL_ATOM(V1))){
	goto L6;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L6:;
	T0= cl_car(V1)                            /*  CAR             */;
	T1= L45subst_gensyms_for_nil(T0)          /*  SUBST-GENSYMS-FOR-NIL */;
	T2= cl_cdr(V1)                            /*  CDR             */;
	T3= L45subst_gensyms_for_nil(T2)          /*  SUBST-GENSYMS-FOR-NIL */;
	value0=CONS(T1,T3); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-BUILD-DESTRUCTURING-BINDINGS     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L46loop_build_destructuring_bindings(cl_object V1, cl_object V2)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==Cnil){
	goto L2;}
	ecl_bds_bind(cl_env_copy,VV[91],Cnil);    /*  *IGNORES*       */
	T0= cl_car(V1)                            /*  CAR             */;
	T1= L45subst_gensyms_for_nil(T0)          /*  SUBST-GENSYMS-FOR-NIL */;
	T2= cl_cadr(V1)                           /*  CADR            */;
	T3= CONS(ECL_SYM("IGNORE",426),ecl_symbol_value(VV[91]));
	T4= cl_list(2,ECL_SYM("DECLARE",272),T3)  /*  LIST            */;
	T5= cl_cddr(V1)                           /*  CDDR            */;
	T6= L46loop_build_destructuring_bindings(T5,V2) /*  LOOP-BUILD-DESTRUCTURING-BINDINGS */;
	T7= cl_listX(5,ECL_SYM("DESTRUCTURING-BIND",298),T1,T2,T4,T6) /*  LIST* */;
	value0=ecl_list1(T7); cl_env_copy->nvalues=1;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
L2:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-TRANSLATE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L47loop_translate(cl_object V1, cl_object V2, cl_object V3)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	ecl_bds_bind(cl_env_copy,VV[47],V1);      /*  *LOOP-SOURCE-CODE* */
	ecl_bds_bind(cl_env_copy,VV[51],V2);      /*  *LOOP-MACRO-ENVIRONMENT* */
	ecl_bds_bind(cl_env_copy,VV[32],V3);      /*  *LOOP-UNIVERSE* */
TTL:
	{cl_object V4;                            /*  LET284          */
	V4= ecl_symbol_value(VV[47]);
	ecl_bds_bind(cl_env_copy,VV[48],V4);      /*  *LOOP-ORIGINAL-SOURCE-CODE* */
	ecl_bds_bind(cl_env_copy,VV[49],Cnil);    /*  *LOOP-SOURCE-CONTEXT* */
	ecl_bds_bind(cl_env_copy,VV[59],Cnil);    /*  *LOOP-ITERATION-VARIABLES* */
	ecl_bds_bind(cl_env_copy,VV[53],Cnil);    /*  *LOOP-VARIABLES* */
	ecl_bds_bind(cl_env_copy,VV[58],Cnil);    /*  *LOOP-NODECLARE* */
	ecl_bds_bind(cl_env_copy,VV[52],Cnil);    /*  *LOOP-NAMED-VARIABLES* */
	ecl_bds_bind(cl_env_copy,VV[54],Cnil);    /*  *LOOP-DECLARATIONS* */
	ecl_bds_bind(cl_env_copy,VV[55],Cnil);    /*  *LOOP-DESETQ-CROCKS* */
	ecl_bds_bind(cl_env_copy,VV[57],Cnil);    /*  *LOOP-BIND-STACK* */
	ecl_bds_bind(cl_env_copy,VV[60],Cnil);    /*  *LOOP-PROLOGUE* */
	ecl_bds_bind(cl_env_copy,VV[56],Cnil);    /*  *LOOP-WRAPPERS* */
	ecl_bds_bind(cl_env_copy,VV[61],Cnil);    /*  *LOOP-BEFORE-LOOP* */
	ecl_bds_bind(cl_env_copy,VV[62],Cnil);    /*  *LOOP-BODY*     */
	ecl_bds_bind(cl_env_copy,VV[64],Cnil);    /*  *LOOP-EMITTED-BODY* */
	ecl_bds_bind(cl_env_copy,VV[63],Cnil);    /*  *LOOP-AFTER-BODY* */
	ecl_bds_bind(cl_env_copy,VV[65],Cnil);    /*  *LOOP-EPILOGUE* */
	ecl_bds_bind(cl_env_copy,VV[66],Cnil);    /*  *LOOP-AFTER-EPILOGUE* */
	ecl_bds_bind(cl_env_copy,VV[67],Cnil);    /*  *LOOP-FINAL-VALUE-CULPRIT* */
	ecl_bds_bind(cl_env_copy,VV[68],Cnil);    /*  *LOOP-INSIDE-CONDITIONAL* */
	ecl_bds_bind(cl_env_copy,VV[69],Cnil);    /*  *LOOP-WHEN-IT-VARIABLE* */
	ecl_bds_bind(cl_env_copy,VV[70],Cnil);    /*  *LOOP-NEVER-STEPPED-VARIABLE* */
	ecl_bds_bind(cl_env_copy,VV[50],Cnil);    /*  *LOOP-NAMES*    */
	ecl_bds_bind(cl_env_copy,VV[71],Cnil);    /*  *LOOP-COLLECTION-CRUFT* */
	(void)L48loop_iteration_driver()          /*  LOOP-ITERATION-DRIVER */;
	(void)L63loop_bind_block()                /*  LOOP-BIND-BLOCK */;
	{cl_object V5;                            /*  ANSWER          */
	T0= cl_nreverse(ecl_symbol_value(VV[60])) /*  NREVERSE        */;
	T1= cl_nreverse(ecl_symbol_value(VV[61])) /*  NREVERSE        */;
	T2= cl_nreverse(ecl_symbol_value(VV[62])) /*  NREVERSE        */;
	T3= cl_nreverse(ecl_symbol_value(VV[63])) /*  NREVERSE        */;
	T4= ecl_symbol_value(VV[65]);
	T5= cl_nreverse(ecl_symbol_value(VV[66])) /*  NREVERSE        */;
	T6= cl_nreconc(T4,T5)                     /*  NRECONC         */;
	V5= cl_list(6,VV[81],T0,T1,T2,T3,T6)      /*  LIST            */;
	{cl_object V6;                            /*  %DOLIST-VAR     */
	cl_object V7;                             /*  ENTRY           */
	V6= ecl_symbol_value(VV[57]);
	V7= Cnil;
	goto L11;
L10:;
	V7= cl_first(V6)                          /*  FIRST           */;
	{cl_object V8;                            /*  LET307          */
	cl_object V9;                             /*  LET308          */
	cl_object V10;                            /*  LET309          */
	cl_object V11;                            /*  LET310          */
	V8= cl_first(V7)                          /*  FIRST           */;
	V9= cl_second(V7)                         /*  SECOND          */;
	V10= cl_third(V7)                         /*  THIRD           */;
	V11= cl_fourth(V7)                        /*  FOURTH          */;
	{cl_object V12;                           /*  %DOLIST-VAR     */
	cl_object V13;                            /*  W               */
	V12= V11;
	V13= Cnil;
	goto L26;
L25:;
	V13= cl_first(V12)                        /*  FIRST           */;
	T0= ecl_list1(V5);
	V5= ecl_append(V13,T0);
	V12= CDR(V12);
L26:;
	if((V12)==Cnil){
	goto L36;}
	goto L25;
L36:;
	goto L34;
L34:;
	goto L23;
L23:;
	}
	if((V8)!=Cnil){
	goto L41;}
	if((V9)!=Cnil){
	goto L41;}
	if((V10)==Cnil){
	goto L39;}
	goto L40;
L41:;
L40:;
	{cl_object V12;                           /*  FORMS           */
	V12= ecl_list1(V5);
	if((V9)==Cnil){
	goto L47;}
	T0= CONS(ECL_SYM("DECLARE",272),V9);
	V12= CONS(T0,V12);
	goto L45;
L47:;
	goto L45;
L45:;
	if((V8)!=Cnil){
	goto L53;}
	T0= ECL_SYM("LOCALLY",488);
	goto L51;
L53:;
	if((ecl_symbol_value(VV[43]))==Cnil){
	goto L56;}
	T0= cl_first(ecl_symbol_value(VV[43]))    /*  FIRST           */;
	goto L51;
L56:;
	T0= ECL_SYM("LET",475);
	goto L51;
L51:;
	T1= L46loop_build_destructuring_bindings(V10,V12) /*  LOOP-BUILD-DESTRUCTURING-BINDINGS */;
	V5= cl_listX(3,T0,V8,T1)                  /*  LIST*           */;
	goto L15;
	}
L39:;
	goto L15;
	}
L15:;
	V6= CDR(V6);
L11:;
	if((V6)==Cnil){
	goto L62;}
	goto L10;
L62:;
	goto L60;
L60:;
	goto L8;
L8:;
	}
	if((ecl_symbol_value(VV[50]))==Cnil){
	goto L65;}
	goto L70;
L69:;
	{cl_object V6;
	V6= cl_car(ecl_symbol_value(VV[50]))      /*  CAR             */;
	cl_set(VV[50],cl_cdr(ecl_symbol_value(VV[50])) /*  CDR        */);
	T0= V6;
	}
	V5= cl_list(3,ECL_SYM("BLOCK",135),T0,V5) /*  LIST            */;
L70:;
	T0= cl_car(ecl_symbol_value(VV[50]))      /*  CAR             */;
	if(T0==Cnil){
	goto L80;}
	goto L69;
L80:;
	goto L78;
L78:;
	goto L67;
L67:;
	value0=V5; cl_env_copy->nvalues=1;
	ecl_bds_unwind_n(cl_env_copy,26);
	return value0;
L65:;
	value0=cl_list(3,ECL_SYM("BLOCK",135),Cnil,V5) /*  LIST       */;
	ecl_bds_unwind_n(cl_env_copy,26);
	return value0;
	}
	}
}}
/*	function definition for LOOP-ITERATION-DRIVER                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L48loop_iteration_driver()
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	goto L4;
L3:;
	{cl_object V1;                            /*  LET311          */
	cl_object V2;                             /*  TEM             */
	V1= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	V2= Cnil;
	if(ECL_SYMBOLP(V1)){
	goto L10;}
	(void)L41loop_error(2,_ecl_static_12,V1)  /*  LOOP-ERROR      */;
	goto L6;
L10:;
	cl_set(VV[49],ecl_symbol_value(VV[47]));
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	T0= ecl_function_dispatch(cl_env_copy,VV[262])(1,ecl_symbol_value(VV[32])) /*  LOOP-UNIVERSE-KEYWORDS */;
	V2= L18loop_lookup_keyword(V1,T0)         /*  LOOP-LOOKUP-KEYWORD */;
	if((V2)==Cnil){
	goto L16;}
	T0= cl_first(V2)                          /*  FIRST           */;
	T1= cl_symbol_function(T0)                /*  SYMBOL-FUNCTION */;
	T2= cl_rest(V2)                           /*  REST            */;
	(void)cl_apply(2,T1,T2)                   /*  APPLY           */;
	goto L6;
L16:;
	T0= ecl_function_dispatch(cl_env_copy,VV[263])(1,ecl_symbol_value(VV[32])) /*  LOOP-UNIVERSE-ITERATION-KEYWORDS */;
	V2= L18loop_lookup_keyword(V1,T0)         /*  LOOP-LOOKUP-KEYWORD */;
	if((V2)==Cnil){
	goto L20;}
	(void)L86loop_hack_iteration(V2)          /*  LOOP-HACK-ITERATION */;
	goto L6;
L20:;
	if((L17loop_tmember(V1,VV[94])            /*  LOOP-TMEMBER    */)==Cnil){
	goto L24;}
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	T1= cl_cadr(ecl_symbol_value(VV[47]))     /*  CADR            */;
	(void)L41loop_error(4,_ecl_static_13,V1,T0,T1) /*  LOOP-ERROR */;
	goto L6;
L24:;
	(void)L41loop_error(2,_ecl_static_14,V1)  /*  LOOP-ERROR      */;
	goto L6;
	}
L6:;
L4:;
	if(ecl_symbol_value(VV[47])==Cnil){
	goto L28;}
	goto L3;
L28:;
	goto L26;
L26:;
	goto L1;
L1:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-POP-SOURCE                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L49loop_pop_source()
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[47]))==Cnil){
	goto L2;}
	{cl_object V1;
	V1= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	cl_set(VV[47],cl_cdr(ecl_symbol_value(VV[47])) /*  CDR        */);
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	value0=L41loop_error(1,_ecl_static_15)    /*  LOOP-ERROR      */;
	return value0;
}}
/*	function definition for LOOP-GET-COMPOUND-FORM                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L50loop_get_compound_form()
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  FORM            */
	V1= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	if(ECL_CONSP(V1)){
	goto L4;}
	(void)L41loop_error(2,_ecl_static_16,V1)  /*  LOOP-ERROR      */;
	goto L2;
L4:;
	goto L2;
L2:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-GET-PROGN                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L51loop_get_progn()
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  LET313          */
	cl_object V2;                             /*  LET314          */
	cl_object V3;                             /*  FORMS           */
	cl_object V4;                             /*  NEXTFORM        */
	T0= L50loop_get_compound_form()           /*  LOOP-GET-COMPOUND-FORM */;
	V1= ecl_list1(T0);
	V2= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	V3= V1;
	V4= V2;
	goto L8;
L7:;
	T0= L50loop_get_compound_form()           /*  LOOP-GET-COMPOUND-FORM */;
	V3= CONS(T0,V3);
	V4= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
L8:;
	if(ECL_ATOM(V4)){
	goto L15;}
	goto L7;
L15:;
	goto L13;
L13:;
	goto L5;
L5:;
	T0= cl_cdr(V3)                            /*  CDR             */;
	if(!(T0==Cnil)){
	goto L18;}
	value0=cl_car(V3)                         /*  CAR             */;
	return value0;
L18:;
	T0= cl_nreverse(V3)                       /*  NREVERSE        */;
	value0=CONS(ECL_SYM("PROGN",669),T0); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-GET-FORM                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L52loop_get_form()
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[47]))==Cnil){
	goto L2;}
	value0=L49loop_pop_source()               /*  LOOP-POP-SOURCE */;
	return value0;
L2:;
	value0=L41loop_error(1,_ecl_static_17)    /*  LOOP-ERROR      */;
	return value0;
}}
/*	function definition for LOOP-CONSTRUCT-RETURN                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L53loop_construct_return(cl_object V1)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_car(ecl_symbol_value(VV[50]))      /*  CAR             */;
	value0=cl_list(3,ECL_SYM("RETURN-FROM",723),T0,V1) /*  LIST   */;
	return value0;
}}
/*	function definition for LOOP-EMIT-BODY                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L54loop_emit_body(cl_object V1)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_set(VV[64],Ct);
	cl_set(VV[62],CONS(V1,ecl_symbol_value(VV[62])));
	value0=ecl_symbol_value(VV[62]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-EMIT-FINAL-VALUE                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L55loop_emit_final_value(cl_narg narg, ...)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	cl_object V2;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= Cnil;
	V2= Cnil;
	} else {
	i++;
	V1= va_arg(args,cl_object);
	V2= Ct;
	}}
	va_end(args);
	if((V2)==Cnil){
	goto L4;}
	T0= L53loop_construct_return(V1)          /*  LOOP-CONSTRUCT-RETURN */;
	cl_set(VV[66],CONS(T0,ecl_symbol_value(VV[66])));
	goto L2;
L4:;
	goto L2;
L2:;
	if((ecl_symbol_value(VV[67]))==Cnil){
	goto L9;}
	(void)L42loop_warn(2,_ecl_static_18,ecl_symbol_value(VV[67])) /*  LOOP-WARN */;
	goto L7;
L9:;
	goto L7;
L7:;
	cl_set(VV[67],cl_car(ecl_symbol_value(VV[49])) /*  CAR        */);
	value0=ecl_symbol_value(VV[67]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-DISALLOW-CONDITIONAL             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L56loop_disallow_conditional(cl_narg narg, ...)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= Cnil;
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if((ecl_symbol_value(VV[68]))==Cnil){
	goto L3;}
	value0=L41loop_error(2,_ecl_static_19,V1) /*  LOOP-ERROR      */;
	return value0;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-DISALLOW-ANONYMOUS-COLLECTORS    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L57loop_disallow_anonymous_collectors()
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_find_if_not(2,VV[95],ecl_symbol_value(VV[71])) /*  FIND-IF-NOT */)==Cnil){
	goto L2;}
	value0=L41loop_error(1,_ecl_static_20)    /*  LOOP-ERROR      */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-DISALLOW-AGGREGATE-BOOLEANS      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L58loop_disallow_aggregate_booleans()
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((L17loop_tmember(ecl_symbol_value(VV[67]),VV[97]) /*  LOOP-TMEMBER */)==Cnil){
	goto L2;}
	value0=L41loop_error(1,_ecl_static_21)    /*  LOOP-ERROR      */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-TYPED-INIT                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L59loop_typed_init(cl_object V1)
{ VT60 VLEX60 CLSR60 STCK60
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==Cnil)){
	goto L2;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((cl_subtypep(2,V1,ECL_SYM("CHARACTER",220)) /*  SUBTYPEP   */)==Cnil){
	goto L5;}
	value0=CODE_CHAR('\60'); cl_env_copy->nvalues=1;
	return value0;
L5:;
	if((cl_subtypep(2,V1,ECL_SYM("NUMBER",604)) /*  SUBTYPEP      */)!=Cnil){
	goto L8;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L8:;
	if((cl_subtypep(2,V1,VV[99])              /*  SUBTYPEP        */)==Cnil){
	goto L11;}
	value0=cl_coerce(MAKE_FIXNUM(0),V1)       /*  COERCE          */;
	return value0;
L11:;
	value0=MAKE_FIXNUM(0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-OPTIONAL-TYPE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L62loop_optional_type(cl_narg narg, ...)
{ VT61 VLEX61 CLSR61 STCK61
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	lex0[0]= Cnil;                            /*  VARIABLE        */
	} else {
	i++;
	lex0[0]= va_arg(args,cl_object);          /*  VARIABLE        */
	}}
	va_end(args);
	if((ecl_symbol_value(VV[47]))==Cnil){
	goto L2;}
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	lex0[1]= T0;                              /*  Z               */
	if((L15loop_tequal(lex0[1],VV[100])       /*  LOOP-TEQUAL     */)==Cnil){
	goto L5;}
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	value0=L49loop_pop_source()               /*  LOOP-POP-SOURCE */;
	return value0;
L5:;
	if(!(ECL_SYMBOLP(lex0[1]))){
	goto L9;}
	{cl_object V1;                            /*  TYPE-SPEC       */
	T0= ecl_function_dispatch(cl_env_copy,VV[266])(1,ecl_symbol_value(VV[32])) /*  LOOP-UNIVERSE-TYPE-SYMBOLS */;
	value0=cl_gethash(2,lex0[1],T0)           /*  GETHASH         */;
	if((value0)!=Cnil){
	goto L13;}
	T0= ecl_symbol_name(lex0[1]);
	T1= ecl_function_dispatch(cl_env_copy,VV[267])(1,ecl_symbol_value(VV[32])) /*  LOOP-UNIVERSE-TYPE-KEYWORDS */;
	V1= cl_gethash(2,T0,T1)                   /*  GETHASH         */;
	goto L11;
L13:;
	V1= value0;
	goto L11;
L11:;
	if((V1)==Cnil){
	goto L16;}
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L16:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L9:;
	if(!(ECL_CONSP(lex0[0]))){
	goto L21;}
	if(ECL_CONSP(lex0[1])){
	goto L24;}
	(void)L41loop_error(2,_ecl_static_22,lex0[1]) /*  LOOP-ERROR  */;
	goto L19;
L24:;
	goto L19;
L21:;
	(void)L41loop_error(2,_ecl_static_23,lex0[1]) /*  LOOP-ERROR  */;
	goto L19;
L19:;
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	value0=LC60translate(lex0,lex0[1],lex0[0]) /*  TRANSLATE      */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function REPLICATE                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC61replicate(cl_object V1, cl_object V2)
{ VT62 VLEX62 CLSR62 STCK62
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_ATOM(V2))){
	goto L2;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L2:;
	T1= cl_car(V2)                            /*  CAR             */;
	T0= LC61replicate(V1,T1)                  /*  REPLICATE       */;
	T2= cl_cdr(V2)                            /*  CDR             */;
	T1= LC61replicate(V1,T2)                  /*  REPLICATE       */;
	value0=CONS(T0,T1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function TRANSLATE                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC60translate(volatile cl_object *lex0, cl_object V1, cl_object V2)
{ VT63 VLEX63 CLSR63 STCK63
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==Cnil)){
	goto L2;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ECL_ATOM(V1))){
	goto L5;}
	T1= ecl_function_dispatch(cl_env_copy,VV[266])(1,ecl_symbol_value(VV[32])) /*  LOOP-UNIVERSE-TYPE-SYMBOLS */;
	value0=cl_gethash(2,V1,T1)                /*  GETHASH         */;
	if((value0)!=Cnil){
	goto L9;}
	T1= ecl_symbol_name(V1);
	T2= ecl_function_dispatch(cl_env_copy,VV[267])(1,ecl_symbol_value(VV[32])) /*  LOOP-UNIVERSE-TYPE-KEYWORDS */;
	value0=cl_gethash(2,T1,T2)                /*  GETHASH         */;
	if((value0)!=Cnil){
	goto L9;}
	T0= L41loop_error(3,_ecl_static_24,lex0[1],V1) /*  LOOP-ERROR */;
	goto L7;
L9:;
	T0= value0;
	goto L7;
L7:;
	value0=LC61replicate(T0,V2)               /*  REPLICATE       */;
	return value0;
L5:;
	if(!(ECL_ATOM(V2))){
	goto L13;}
	value0=L41loop_error(3,_ecl_static_25,lex0[1],lex0[0]) /*  LOOP-ERROR */;
	return value0;
L13:;
	T1= cl_car(V1)                            /*  CAR             */;
	T2= cl_car(V2)                            /*  CAR             */;
	T0= LC60translate(lex0,T1,T2)             /*  TRANSLATE       */;
	T2= cl_cdr(V1)                            /*  CDR             */;
	T3= cl_cdr(V2)                            /*  CDR             */;
	T1= LC60translate(lex0,T2,T3)             /*  TRANSLATE       */;
	value0=CONS(T0,T1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-BIND-BLOCK                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63loop_bind_block()
{ VT64 VLEX64 CLSR64 STCK64
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[53]))!=Cnil){
	goto L4;}
	if((ecl_symbol_value(VV[54]))!=Cnil){
	goto L4;}
	if((ecl_symbol_value(VV[56]))==Cnil){
	goto L2;}
	goto L3;
L4:;
L3:;
	T0= cl_nreverse(ecl_symbol_value(VV[53])) /*  NREVERSE        */;
	T1= cl_list(4,T0,ecl_symbol_value(VV[54]),ecl_symbol_value(VV[55]),ecl_symbol_value(VV[56])) /*  LIST */;
	cl_set(VV[57],CONS(T1,ecl_symbol_value(VV[57])));
	cl_set(VV[53],Cnil);
	cl_set(VV[54],Cnil);
	cl_set(VV[55],Cnil);
	cl_set(VV[56],Cnil);
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-VARIABLE-P                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L64loop_variable_p(cl_object V1)
{ VT65 VLEX65 CLSR65 STCK65
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  ENTRY           */
	V2= ecl_symbol_value(VV[57]);
	goto L5;
L4:;
	if(!(V2==Cnil)){
	goto L9;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L9:;
	T0= cl_caar(V2)                           /*  CAAR            */;
	if((ecl_assq(V1,T0))==Cnil){
	goto L12;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L12:;
	goto L7;
L7:;
	V2= cl_cdr(V2)                            /*  CDR             */;
L5:;
	goto L4;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-MAKE-VARIABLE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L65loop_make_variable(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT66 VLEX66 CLSR66 STCK66
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	va_list args; va_start(args,V3);
	{int i=3;
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!(V1==Cnil)){
	goto L4;}
	if(V2==Cnil){
	goto L7;}
	V1= cl_gensym(1,_ecl_static_26)           /*  GENSYM          */;
	T0= cl_list(2,V1,V2)                      /*  LIST            */;
	cl_set(VV[53],CONS(T0,ecl_symbol_value(VV[53])));
	T0= cl_list(2,ECL_SYM("IGNORE",426),V1)   /*  LIST            */;
	cl_set(VV[54],CONS(T0,ecl_symbol_value(VV[54])));
	goto L2;
L7:;
	goto L2;
L4:;
	if(!(ECL_ATOM(V1))){
	goto L14;}
	if((V4)==Cnil){
	goto L18;}
	if((ecl_memql(V1,ecl_symbol_value(VV[59])))==Cnil){
	goto L21;}
	(void)L41loop_error(2,_ecl_static_27,V1)  /*  LOOP-ERROR      */;
	goto L16;
L21:;
	cl_set(VV[59],CONS(V1,ecl_symbol_value(VV[59])));
	goto L16;
L18:;
	if((ecl_assql(V1,ecl_symbol_value(VV[53])))==Cnil){
	goto L25;}
	(void)L41loop_error(2,_ecl_static_28,V1)  /*  LOOP-ERROR      */;
	goto L16;
L25:;
	goto L16;
L16:;
	if(ECL_SYMBOLP(V1)){
	goto L29;}
	(void)L41loop_error(2,_ecl_static_29,V1)  /*  LOOP-ERROR      */;
	goto L27;
L29:;
	goto L27;
L27:;
	(void)L67loop_declare_variable(V1,V3)     /*  LOOP-DECLARE-VARIABLE */;
	value0=V2;
	if((value0)!=Cnil){
	goto L35;}
	T0= L59loop_typed_init(V3)                /*  LOOP-TYPED-INIT */;
	goto L33;
L35:;
	T0= value0;
	goto L33;
L33:;
	T1= cl_list(2,V1,T0)                      /*  LIST            */;
	cl_set(VV[53],CONS(T1,ecl_symbol_value(VV[53])));
	goto L2;
L14:;
	if((V2)==Cnil){
	goto L38;}
	if((ecl_symbol_value(VV[43]))==Cnil){
	goto L41;}
	(void)L67loop_declare_variable(V1,V3)     /*  LOOP-DECLARE-VARIABLE */;
	T0= cl_list(2,V1,V2)                      /*  LIST            */;
	cl_set(VV[53],CONS(T0,ecl_symbol_value(VV[53])));
	goto L2;
L41:;
	{cl_object V5;                            /*  NEWVAR          */
	V5= cl_gensym(1,_ecl_static_30)           /*  GENSYM          */;
	(void)L67loop_declare_variable(V1,V3)     /*  LOOP-DECLARE-VARIABLE */;
	T0= cl_list(2,V5,V2)                      /*  LIST            */;
	cl_set(VV[53],CONS(T0,ecl_symbol_value(VV[53])));
	cl_set(VV[55],cl_listX(3,V1,V5,ecl_symbol_value(VV[55])) /*  LIST* */);
	goto L2;
	}
L38:;
	{cl_object V6;                            /*  TCAR            */
	cl_object V7;                             /*  TCDR            */
	V6= Cnil;
	V7= Cnil;
	if(!(ECL_ATOM(V3))){
	goto L54;}
	V7= V3;
	V6= V7;
	goto L52;
L54:;
	V6= cl_car(V3)                            /*  CAR             */;
	V7= cl_cdr(V3)                            /*  CDR             */;
	goto L52;
L52:;
	T0= cl_car(V1)                            /*  CAR             */;
	(void)L65loop_make_variable(4,T0,Cnil,V6,V4) /*  LOOP-MAKE-VARIABLE */;
	T0= cl_cdr(V1)                            /*  CDR             */;
	(void)L65loop_make_variable(4,T0,Cnil,V7,V4) /*  LOOP-MAKE-VARIABLE */;
	goto L2;
	}
L2:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-MAKE-ITERATION-VARIABLE          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L66loop_make_iteration_variable(cl_object V1, cl_object V2, cl_object V3)
{ VT67 VLEX67 CLSR67 STCK67
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L65loop_make_variable(4,V1,V2,V3,Ct) /*  LOOP-MAKE-VARIABLE */;
	return value0;
}}
/*	function definition for LOOP-DECLARE-VARIABLE                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L67loop_declare_variable(cl_object V1, cl_object V2)
{ VT68 VLEX68 CLSR68 STCK68
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(V1==Cnil){
	goto L4;}
	if(V2==Cnil){
	goto L4;}
	if(!((V2)==(Ct))){
	goto L2;}
	goto L3;
L4:;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ECL_SYMBOLP(V1))){
	goto L8;}
	if((V2)==(Ct)){
	goto L11;}
	if((ecl_memql(V1,ecl_symbol_value(VV[58])))!=Cnil){
	goto L11;}
	{cl_object V3;                            /*  PREVIOUS        */
	{cl_object V4;
	V4= si_make_seq_iterator(2,ecl_symbol_value(VV[54]),MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L17:;
	if((V4)!=Cnil){
	goto L21;}
	V3= Cnil;
	goto L14;
L21:;
	goto L19;
L19:;
	{cl_object V5;
	V5= si_seq_iterator_ref(ecl_symbol_value(VV[54]),V4) /*  SEQ-ITERATOR-REF */;
	if(!(ECL_CONSP(V5))){
	goto L30;}
	{cl_fixnum V6;
	V6= ecl_length(V5);
	if(!((V6)==(3))){
	goto L30;}}
	T1= CAR(V5);
	if(!((T1)==(ECL_SYM("TYPE",867)))){
	goto L30;}
	T0= cl_third(V5)                          /*  THIRD           */;
	goto L28;
L30:;
	T0= Cnil;
	goto L28;
L28:;
	if(!(ecl_eql(V1,T0))){
	goto L26;}
	V3= V5;
	goto L14;
L26:;
	goto L23;
	}
L23:;
	V4= si_seq_iterator_next(ecl_symbol_value(VV[54]),V4) /*  SEQ-ITERATOR-NEXT */;
	goto L17;
	}
L14:;
	if((V3)==Cnil){
	goto L37;}
	{cl_object V4;
	V4= cl_cdr(V3)                            /*  CDR             */;
	if (ecl_unlikely(ATOM(V4))) FEtype_error_cons(V4);
	T0= V4;
	}
	(ECL_CONS_CAR(T0)=V2,T0);
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L37:;
	T0= cl_list(3,ECL_SYM("TYPE",867),V2,V1)  /*  LIST            */;
	cl_set(VV[54],CONS(T0,ecl_symbol_value(VV[54])));
	value0=ecl_symbol_value(VV[54]); cl_env_copy->nvalues=1;
	return value0;
	}
L11:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L8:;
	if(!(ECL_CONSP(V1))){
	goto L45;}
	if(!(ECL_CONSP(V2))){
	goto L48;}
	T0= cl_car(V1)                            /*  CAR             */;
	T1= cl_car(V2)                            /*  CAR             */;
	(void)L67loop_declare_variable(T0,T1)     /*  LOOP-DECLARE-VARIABLE */;
	V1= cl_cdr(V1)                            /*  CDR             */;
	V2= cl_cdr(V2)                            /*  CDR             */;
	goto TTL;
L48:;
	T0= cl_car(V1)                            /*  CAR             */;
	(void)L67loop_declare_variable(T0,V2)     /*  LOOP-DECLARE-VARIABLE */;
	V1= cl_cdr(V1)                            /*  CDR             */;
	goto TTL;
L45:;
	value0=cl_error(2,_ecl_static_31,V1)      /*  ERROR           */;
	return value0;
}}
/*	function definition for LOOP-MAYBE-BIND-FORM                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L68loop_maybe_bind_form(cl_object V1, cl_object V2)
{ VT69 VLEX69 CLSR69 STCK69
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((L29loop_constantp(V1)                 /*  LOOP-CONSTANTP  */)==Cnil){
	goto L2;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L2:;
	T0= cl_gensym(1,_ecl_static_32)           /*  GENSYM          */;
	value0=L65loop_make_variable(3,T0,V1,V2)  /*  LOOP-MAKE-VARIABLE */;
	return value0;
}}
/*	function definition for LOOP-DO-IF                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L70loop_do_if(cl_object V1, cl_object V2)
{ VT70 VLEX70 CLSR70 STCK70
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LET317          */
	cl_object V4;                             /*  FORM            */
	V3= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	V4= V3;
	ecl_bds_bind(cl_env_copy,VV[68],Ct);      /*  *LOOP-INSIDE-CONDITIONAL* */
	lex0[0]= Cnil;                            /*  IT-P            */
	lex0[1]= Ct;                              /*  FIRST-CLAUSE-P  */
	{cl_object V5;                            /*  LET323          */
	cl_object V6;                             /*  LET324          */
	V5= LC69get_clause(lex0,V1)               /*  GET-CLAUSE      */;
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	if((L15loop_tequal(T0,VV[104])            /*  LOOP-TEQUAL     */)==Cnil){
	goto L6;}
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	T0= LC69get_clause(lex0,VV[104])          /*  GET-CLAUSE      */;
	V6= ecl_list1(T0);
	goto L4;
L6:;
	V6= Cnil;
	goto L4;
L4:;
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	if((L15loop_tequal(T0,ECL_SYM("END",1199)) /*  LOOP-TEQUAL    */)==Cnil){
	goto L12;}
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	goto L10;
L12:;
	goto L10;
L10:;
	if((lex0[0])==Cnil){
	goto L16;}
	T0= lex0[0];
	V4= cl_list(3,ECL_SYM("SETQ",749),T0,V4)  /*  LIST            */;
	goto L14;
L16:;
	goto L14;
L14:;
	if((V2)==Cnil){
	goto L21;}
	T0= cl_list(2,ECL_SYM("NOT",582),V4)      /*  LIST            */;
	goto L19;
L21:;
	T0= V4;
	goto L19;
L19:;
	T1= cl_listX(4,ECL_SYM("IF",944),T0,V5,V6) /*  LIST*          */;
	value0=L54loop_emit_body(T1)              /*  LOOP-EMIT-BODY  */;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
	}
}}
/*	local function GET-CLAUSE                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC69get_clause(volatile cl_object *lex0, cl_object V1)
{ VT71 VLEX71 CLSR71 STCK71
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  BODY            */
	V2= Cnil;
	goto L5;
L4:;
	{cl_object V3;                            /*  LET321          */
	cl_object V4;                             /*  DATA            */
	V3= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	ecl_bds_bind(cl_env_copy,VV[62],Cnil);    /*  *LOOP-BODY*     */
	V4= Cnil;
	if(ECL_SYMBOLP(V3)){
	goto L11;}
	(void)L41loop_error(3,_ecl_static_33,V3,V1) /*  LOOP-ERROR    */;
	ecl_bds_unwind1(cl_env_copy);
	goto L7;
L11:;
	cl_set(VV[49],ecl_symbol_value(VV[47]));
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	if((L15loop_tequal(T0,VV[102])            /*  LOOP-TEQUAL     */)==Cnil){
	goto L18;}
	if((lex0[1])==Cnil){
	goto L18;}
	value0=lex0[0];
	if((value0)!=Cnil){
	goto L24;}
	lex0[0]= L89loop_when_it_variable()       /*  LOOP-WHEN-IT-VARIABLE */;
	T0= lex0[0];
	goto L22;
L24:;
	T0= value0;
	goto L22;
L22:;
	T1= cl_cdr(ecl_symbol_value(VV[47]))      /*  CDR             */;
	cl_set(VV[47],CONS(T0,T1));
	goto L16;
L18:;
	goto L16;
L16:;
	T0= ecl_function_dispatch(cl_env_copy,VV[262])(1,ecl_symbol_value(VV[32])) /*  LOOP-UNIVERSE-KEYWORDS */;
	V4= L18loop_lookup_keyword(V3,T0)         /*  LOOP-LOOKUP-KEYWORD */;
	if((V4)==Cnil){
	goto L30;}
	T0= cl_car(V4)                            /*  CAR             */;
	T1= cl_symbol_function(T0)                /*  SYMBOL-FUNCTION */;
	T2= cl_cdr(V4)                            /*  CDR             */;
	(void)cl_apply(2,T1,T2)                   /*  APPLY           */;
	if(!(ecl_symbol_value(VV[62])==Cnil)){
	goto L28;}
	goto L29;
L30:;
L29:;
	(void)L41loop_error(3,_ecl_static_34,V3,V1) /*  LOOP-ERROR    */;
	ecl_bds_unwind1(cl_env_copy);
	goto L7;
L28:;
	V2= cl_nreconc(ecl_symbol_value(VV[62]),V2) /*  NRECONC       */;
	ecl_bds_unwind1(cl_env_copy);
	goto L7;
	}
L7:;
	lex0[1]= Cnil;
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	if((L15loop_tequal(T0,VV[103])            /*  LOOP-TEQUAL     */)==Cnil){
	goto L39;}
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	goto L37;
L39:;
	if((cl_cdr(V2)                            /*  CDR             */)==Cnil){
	goto L42;}
	T0= cl_nreverse(V2)                       /*  NREVERSE        */;
	value0=CONS(ECL_SYM("PROGN",669),T0); cl_env_copy->nvalues=1;
	return value0;
L42:;
	value0=cl_car(V2)                         /*  CAR             */;
	return value0;
L37:;
L5:;
	goto L4;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-DO-INITIALLY                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L71loop_do_initially()
{ VT72 VLEX72 CLSR72 STCK72
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)L56loop_disallow_conditional(1,VV[106]) /*  LOOP-DISALLOW-CONDITIONAL */;
	T0= L51loop_get_progn()                   /*  LOOP-GET-PROGN  */;
	cl_set(VV[60],CONS(T0,ecl_symbol_value(VV[60])));
	value0=ecl_symbol_value(VV[60]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-DO-FINALLY                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L72loop_do_finally()
{ VT73 VLEX73 CLSR73 STCK73
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)L56loop_disallow_conditional(1,VV[108]) /*  LOOP-DISALLOW-CONDITIONAL */;
	T0= L51loop_get_progn()                   /*  LOOP-GET-PROGN  */;
	cl_set(VV[65],CONS(T0,ecl_symbol_value(VV[65])));
	value0=ecl_symbol_value(VV[65]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-DO-DO                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L73loop_do_do()
{ VT74 VLEX74 CLSR74 STCK74
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L51loop_get_progn()                   /*  LOOP-GET-PROGN  */;
	value0=L54loop_emit_body(T0)              /*  LOOP-EMIT-BODY  */;
	return value0;
}}
/*	function definition for LOOP-DO-NAMED                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L74loop_do_named()
{ VT75 VLEX75 CLSR75 STCK75
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  NAME            */
	V1= L49loop_pop_source()                  /*  LOOP-POP-SOURCE */;
	if(ECL_SYMBOLP(V1)){
	goto L4;}
	(void)L41loop_error(2,_ecl_static_35,V1)  /*  LOOP-ERROR      */;
	goto L2;
L4:;
	goto L2;
L2:;
	if((ecl_symbol_value(VV[61]))!=Cnil){
	goto L10;}
	if((ecl_symbol_value(VV[62]))!=Cnil){
	goto L10;}
	if((ecl_symbol_value(VV[66]))!=Cnil){
	goto L10;}
	if((ecl_symbol_value(VV[68]))==Cnil){
	goto L8;}
	goto L9;
L10:;
L9:;
	(void)L41loop_error(2,_ecl_static_36,V1)  /*  LOOP-ERROR      */;
	goto L6;
L8:;
	goto L6;
L6:;
	if((ecl_symbol_value(VV[50]))==Cnil){
	goto L16;}
	T0= cl_car(ecl_symbol_value(VV[50]))      /*  CAR             */;
	(void)L41loop_error(3,_ecl_static_37,T0,V1) /*  LOOP-ERROR    */;
	goto L14;
L16:;
	goto L14;
L14:;
	cl_set(VV[50],cl_list(2,V1,Cnil)          /*  LIST            */);
	value0=ecl_symbol_value(VV[50]); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-DO-RETURN                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L75loop_do_return()
{ VT76 VLEX76 CLSR76 STCK76
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	T1= L53loop_construct_return(T0)          /*  LOOP-CONSTRUCT-RETURN */;
	value0=L54loop_emit_body(T1)              /*  LOOP-EMIT-BODY  */;
	return value0;
}}
/*	function definition for MAKE-LOOP-COLLECTOR                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L76make_loop_collector(cl_narg narg, ...)
{ VT77 VLEX77 CLSR77 STCK77
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[12];
	cl_parse_key(args,6,L76make_loop_collectorkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	V5= keyvars[4];
	V6= keyvars[5];
	}
	T0= cl_list(6,V1,V2,V3,V4,V5,V6)          /*  LIST            */;
	value0=cl_make_array(5,VV[15],ECL_SYM("ELEMENT-TYPE",1198),Ct,ECL_SYM("INITIAL-CONTENTS",1224),T0) /*  MAKE-ARRAY */;
	return value0;
}}
/*	function definition for LOOP-GET-COLLECTION-INFO              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L77loop_get_collection_info(cl_object V1, cl_object V2, cl_object V3)
{ VT78 VLEX78 CLSR78 STCK78
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  LET325          */
	cl_object V5;                             /*  LET326          */
	cl_object V6;                             /*  LET327          */
	cl_object V7;                             /*  DTYPE           */
	V4= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	if((ecl_function_dispatch(cl_env_copy,VV[282])(1,ecl_symbol_value(VV[32])) /*  LOOP-UNIVERSE-ANSI */)!=Cnil){
	goto L4;}
	V5= L62loop_optional_type(0)              /*  LOOP-OPTIONAL-TYPE */;
	goto L2;
L4:;
	V5= Cnil;
	goto L2;
L2:;
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	if((L15loop_tequal(T0,VV[116])            /*  LOOP-TEQUAL     */)==Cnil){
	goto L8;}
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	V6= L49loop_pop_source()                  /*  LOOP-POP-SOURCE */;
	goto L6;
L8:;
	V6= Cnil;
	goto L6;
L6:;
	V7= V5;
	if(ECL_SYMBOLP(V6)){
	goto L14;}
	(void)L41loop_error(2,_ecl_static_39,V6)  /*  LOOP-ERROR      */;
	goto L12;
L14:;
	goto L12;
L12:;
	if((V6)!=Cnil){
	goto L18;}
	(void)L58loop_disallow_aggregate_booleans() /*  LOOP-DISALLOW-AGGREGATE-BOOLEANS */;
	goto L16;
L18:;
	goto L16;
L16:;
	if((V7)!=Cnil){
	goto L22;}
	value0=L62loop_optional_type(0)           /*  LOOP-OPTIONAL-TYPE */;
	if((value0)!=Cnil){
	goto L26;}
	V7= V3;
	goto L24;
L26:;
	V7= value0;
	goto L24;
L24:;
	goto L20;
L22:;
	goto L20;
L20:;
	{cl_object V8;                            /*  CRUFT           */
	{cl_object V9;
	cl_object V10;
	V9= ecl_symbol_value(VV[71]);
	V10= si_make_seq_iterator(2,V9,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L32:;
	if((V10)!=Cnil){
	goto L36;}
	V8= Cnil;
	goto L28;
L36:;
	goto L34;
L34:;
	{cl_object V11;
	V11= si_seq_iterator_ref(V9,V10)          /*  SEQ-ITERATOR-REF */;
	T0= ecl_function_dispatch(cl_env_copy,VV[95])(1,V11) /*  LOOP-COLLECTOR-NAME */;
	if(!((V6)==(T0))){
	goto L41;}
	V8= V11;
	goto L28;
L41:;
	goto L38;
	}
L38:;
	V10= si_seq_iterator_next(V9,V10)         /*  SEQ-ITERATOR-NEXT */;
	goto L32;
	}
L28:;
	if((V8)!=Cnil){
	goto L47;}
	if((V6)==Cnil){
	goto L51;}
	if((L64loop_variable_p(V6)                /*  LOOP-VARIABLE-P */)==Cnil){
	goto L51;}
	(void)L41loop_error(2,_ecl_static_40,V6)  /*  LOOP-ERROR      */;
	goto L49;
L51:;
	goto L49;
L49:;
	T0= ecl_list1(V1);
	V8= L76make_loop_collector(8,ECL_SYM("NAME",1244),V6,VV[117],V2,VV[118],T0,VV[119],V7) /*  MAKE-LOOP-COLLECTOR */;
	cl_set(VV[71],CONS(V8,ecl_symbol_value(VV[71])));
	goto L45;
L47:;
	T0= ecl_function_dispatch(cl_env_copy,VV[283])(1,V8) /*  LOOP-COLLECTOR-CLASS */;
	if((T0)==(V2)){
	goto L58;}
	T0= ecl_function_dispatch(cl_env_copy,VV[284])(1,V8) /*  LOOP-COLLECTOR-HISTORY */;
	T1= cl_car(T0)                            /*  CAR             */;
	(void)L41loop_error(4,_ecl_static_41,V6,T1,V1) /*  LOOP-ERROR */;
	goto L56;
L58:;
	goto L56;
L56:;
	T0= ecl_function_dispatch(cl_env_copy,VV[285])(1,V8) /*  LOOP-COLLECTOR-DTYPE */;
	if(ecl_equal(V7,T0)){
	goto L62;}
	T0= ecl_function_dispatch(cl_env_copy,VV[285])(1,V8) /*  LOOP-COLLECTOR-DTYPE */;
	(void)L42loop_warn(4,_ecl_static_42,V6,V7,T0) /*  LOOP-WARN   */;
	T0= ecl_function_dispatch(cl_env_copy,VV[285])(1,V8) /*  LOOP-COLLECTOR-DTYPE */;
	if(!((T0)==(Ct))){
	goto L66;}
	ecl_elt_set(V8,4,V7);
	goto L60;
L66:;
	goto L60;
L62:;
	goto L60;
L60:;
	{cl_object V9;
	T0= ecl_function_dispatch(cl_env_copy,VV[284])(1,V8) /*  LOOP-COLLECTOR-HISTORY */;
	V9= CONS(V1,T0);
	ecl_elt_set(V8,2,V9);
	goto L45;
	}
L45:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V4;
	cl_env_copy->values[0]=V8;
	return cl_env_copy->values[0];
	}
	}
}}
/*	function definition for LOOP-LIST-COLLECTION                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L78loop_list_collection(cl_object V1)
{ VT79 VLEX79 CLSR79 STCK79
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L77loop_get_collection_info(V1,ECL_SYM("LIST",479),ECL_SYM("LIST",479)) /*  LOOP-GET-COLLECTION-INFO */;
	{
	cl_object V3;                             /*  LC              */
	cl_object V4;                             /*  FORM            */
	{int V5=cl_env_copy->nvalues-0;
	if (V5--<=0) goto L2;
	V3= cl_env_copy->values[0];
	if (V5--<=0) goto L3;
	V4= cl_env_copy->values[1];
	goto L4;}
L2:;
	V3= Cnil;
L3:;
	V4= Cnil;
L4:;
	{cl_object V5;                            /*  TEMPVARS        */
	V5= ecl_function_dispatch(cl_env_copy,VV[287])(1,V3) /*  LOOP-COLLECTOR-TEMPVARS */;
	if((V5)!=Cnil){
	goto L8;}
	{cl_object V6;
	T0= cl_gensym(1,_ecl_static_43)           /*  GENSYM          */;
	T1= cl_gensym(1,_ecl_static_44)           /*  GENSYM          */;
	if((ecl_function_dispatch(cl_env_copy,VV[95])(1,V3) /*  LOOP-COLLECTOR-NAME */)==Cnil){
	goto L15;}
	T3= ecl_function_dispatch(cl_env_copy,VV[95])(1,V3) /*  LOOP-COLLECTOR-NAME */;
	T2= ecl_list1(T3);
	goto L13;
L15:;
	T2= Cnil;
	goto L13;
L13:;
	V5= cl_listX(3,T0,T1,T2)                  /*  LIST*           */;
	V6= V5;
	ecl_elt_set(V3,3,V6);
	}
	T0= cl_list(2,VV[5],V5)                   /*  LIST            */;
	cl_set(VV[56],CONS(T0,ecl_symbol_value(VV[56])));
	if((ecl_function_dispatch(cl_env_copy,VV[95])(1,V3) /*  LOOP-COLLECTOR-NAME */)!=Cnil){
	goto L20;}
	T0= cl_car(V5)                            /*  CAR             */;
	T1= cl_cddr(V5)                           /*  CDDR            */;
	T2= cl_listX(3,VV[12],T0,T1)              /*  LIST*           */;
	(void)L55loop_emit_final_value(1,T2)      /*  LOOP-EMIT-FINAL-VALUE */;
	goto L6;
L20:;
	goto L6;
L8:;
	goto L6;
L6:;
	if(!((V1)==(ECL_SYM("LIST",479)))){
	goto L24;}
	V4= cl_list(2,ECL_SYM("LIST",479),V4)     /*  LIST            */;
	goto L22;
L24:;
	if(!((V1)==(ECL_SYM("NCONC",579)))){
	goto L28;}
	goto L22;
L28:;
	if(!((V1)==(ECL_SYM("APPEND",86)))){
	goto L31;}
	if(!(ECL_CONSP(V4))){
	goto L37;}
	T0= cl_car(V4)                            /*  CAR             */;
	if((T0)==(ECL_SYM("LIST",479))){
	goto L34;}
	goto L35;
L37:;
	goto L35;
L35:;
	V4= cl_list(2,VV[2],V4)                   /*  LIST            */;
	goto L22;
L34:;
	goto L22;
L31:;
	(void)si_ecase_error(3,VV[120],V1,VV[121]) /*  ECASE-ERROR    */;
	goto L22;
L22:;
	T0= cl_list(3,VV[11],V5,V4)               /*  LIST            */;
	value0=L54loop_emit_body(T0)              /*  LOOP-EMIT-BODY  */;
	return value0;
	}}
}}
/*	function definition for LOOP-SUM-COLLECTION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L79loop_sum_collection(cl_object V1, cl_object V2, cl_object V3)
{ VT80 VLEX80 CLSR80 STCK80
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L77loop_get_collection_info(V1,VV[123],V3) /*  LOOP-GET-COLLECTION-INFO */;
	{
	cl_object V5;                             /*  LC              */
	cl_object V6;                             /*  FORM            */
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L2;
	V5= cl_env_copy->values[0];
	if (V7--<=0) goto L3;
	V6= cl_env_copy->values[1];
	goto L4;}
L2:;
	V5= Cnil;
L3:;
	V6= Cnil;
L4:;
	T0= ecl_function_dispatch(cl_env_copy,VV[285])(1,V5) /*  LOOP-COLLECTOR-DTYPE */;
	(void)L43loop_check_data_type(2,T0,V2)    /*  LOOP-CHECK-DATA-TYPE */;
	{cl_object V7;                            /*  TEMPVARS        */
	V7= ecl_function_dispatch(cl_env_copy,VV[287])(1,V5) /*  LOOP-COLLECTOR-TEMPVARS */;
	if((V7)!=Cnil){
	goto L9;}
	{cl_object V8;
	value0=ecl_function_dispatch(cl_env_copy,VV[95])(1,V5) /*  LOOP-COLLECTOR-NAME */;
	if((value0)!=Cnil){
	goto L16;}
	T0= cl_gensym(1,_ecl_static_45)           /*  GENSYM          */;
	goto L14;
L16:;
	T0= value0;
	goto L14;
L14:;
	T1= ecl_function_dispatch(cl_env_copy,VV[285])(1,V5) /*  LOOP-COLLECTOR-DTYPE */;
	T2= L65loop_make_variable(3,T0,Cnil,T1)   /*  LOOP-MAKE-VARIABLE */;
	V7= ecl_list1(T2);
	V8= V7;
	ecl_elt_set(V5,3,V8);
	}
	if((ecl_function_dispatch(cl_env_copy,VV[95])(1,V5) /*  LOOP-COLLECTOR-NAME */)!=Cnil){
	goto L19;}
	T0= ecl_function_dispatch(cl_env_copy,VV[287])(1,V5) /*  LOOP-COLLECTOR-TEMPVARS */;
	T1= cl_car(T0)                            /*  CAR             */;
	(void)L55loop_emit_final_value(1,T1)      /*  LOOP-EMIT-FINAL-VALUE */;
	goto L7;
L19:;
	goto L7;
L9:;
	goto L7;
L7:;
	if(!((V1)==(ECL_SYM("COUNT",264)))){
	goto L23;}
	T1= cl_car(V7)                            /*  CAR             */;
	T2= cl_car(V7)                            /*  CAR             */;
	T3= cl_car(V7)                            /*  CAR             */;
	T4= cl_list(2,ECL_SYM("1+",68),T3)        /*  LIST            */;
	T5= L5hide_variable_reference(Ct,T2,T4)   /*  HIDE-VARIABLE-REFERENCE */;
	T6= cl_list(3,ECL_SYM("SETQ",749),T1,T5)  /*  LIST            */;
	T0= cl_list(3,ECL_SYM("WHEN",903),V6,T6)  /*  LIST            */;
	goto L21;
L23:;
	T1= cl_car(V7)                            /*  CAR             */;
	T2= cl_car(V7)                            /*  CAR             */;
	T3= cl_car(V7)                            /*  CAR             */;
	T4= L5hide_variable_reference(Ct,T2,T3)   /*  HIDE-VARIABLE-REFERENCE */;
	T5= cl_list(3,ECL_SYM("+",12),T4,V6)      /*  LIST            */;
	T0= cl_list(3,ECL_SYM("SETQ",749),T1,T5)  /*  LIST            */;
	goto L21;
L21:;
	value0=L54loop_emit_body(T0)              /*  LOOP-EMIT-BODY  */;
	return value0;
	}}
}}
/*	function definition for LOOP-MAXMIN-COLLECTION                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L80loop_maxmin_collection(cl_object V1)
{ VT81 VLEX81 CLSR81 STCK81
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L77loop_get_collection_info(V1,VV[125],ecl_symbol_value(VV[3])) /*  LOOP-GET-COLLECTION-INFO */;
	{
	cl_object V3;                             /*  LC              */
	cl_object V4;                             /*  FORM            */
	{int V5=cl_env_copy->nvalues-0;
	if (V5--<=0) goto L2;
	V3= cl_env_copy->values[0];
	if (V5--<=0) goto L3;
	V4= cl_env_copy->values[1];
	goto L4;}
L2:;
	V3= Cnil;
L3:;
	V4= Cnil;
L4:;
	T0= ecl_function_dispatch(cl_env_copy,VV[285])(1,V3) /*  LOOP-COLLECTOR-DTYPE */;
	(void)L43loop_check_data_type(2,T0,ecl_symbol_value(VV[3])) /*  LOOP-CHECK-DATA-TYPE */;
	{cl_object V5;                            /*  DATA            */
	V5= ecl_function_dispatch(cl_env_copy,VV[290])(1,V3) /*  LOOP-COLLECTOR-DATA */;
	if((V5)!=Cnil){
	goto L9;}
	{cl_object V6;
	value0=ecl_function_dispatch(cl_env_copy,VV[95])(1,V3) /*  LOOP-COLLECTOR-NAME */;
	if((value0)!=Cnil){
	goto L16;}
	T0= cl_gensym(1,_ecl_static_46)           /*  GENSYM          */;
	goto L14;
L16:;
	T0= value0;
	goto L14;
L14:;
	T1= ecl_function_dispatch(cl_env_copy,VV[285])(1,V3) /*  LOOP-COLLECTOR-DTYPE */;
	V5= L11make_loop_minimax(T0,T1)           /*  MAKE-LOOP-MINIMAX */;
	V6= V5;
	ecl_elt_set(V3,5,V6);
	}
	if((ecl_function_dispatch(cl_env_copy,VV[95])(1,V3) /*  LOOP-COLLECTOR-NAME */)!=Cnil){
	goto L19;}
	T0= ecl_function_dispatch(cl_env_copy,VV[236])(1,V5) /*  LOOP-MINIMAX-ANSWER-VARIABLE */;
	(void)L55loop_emit_final_value(1,T0)      /*  LOOP-EMIT-FINAL-VALUE */;
	goto L7;
L19:;
	goto L7;
L9:;
	goto L7;
L7:;
	(void)L12loop_note_minimax_operation(V1,V5) /*  LOOP-NOTE-MINIMAX-OPERATION */;
	T0= cl_list(2,VV[23],V5)                  /*  LIST            */;
	cl_set(VV[56],CONS(T0,ecl_symbol_value(VV[56])));
	T0= cl_list(4,VV[26],V5,V1,V4)            /*  LIST            */;
	value0=L54loop_emit_body(T0)              /*  LOOP-EMIT-BODY  */;
	return value0;
	}}
}}
/*	function definition for LOOP-DO-ALWAYS                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L81loop_do_always(cl_object V1, cl_object V2)
{ VT82 VLEX82 CLSR82 STCK82
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  FORM            */
	V3= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	if((V1)==Cnil){
	goto L4;}
	(void)L56loop_disallow_conditional(0)     /*  LOOP-DISALLOW-CONDITIONAL */;
	goto L2;
L4:;
	goto L2;
L2:;
	(void)L57loop_disallow_anonymous_collectors() /*  LOOP-DISALLOW-ANONYMOUS-COLLECTORS */;
	if((V2)==Cnil){
	goto L10;}
	T0= ECL_SYM("WHEN",903);
	goto L8;
L10:;
	T0= ECL_SYM("UNLESS",881);
	goto L8;
L8:;
	T1= L53loop_construct_return(Cnil)        /*  LOOP-CONSTRUCT-RETURN */;
	T2= cl_list(3,T0,V3,T1)                   /*  LIST            */;
	(void)L54loop_emit_body(T2)               /*  LOOP-EMIT-BODY  */;
	value0=L55loop_emit_final_value(1,Ct)     /*  LOOP-EMIT-FINAL-VALUE */;
	return value0;
	}
}}
/*	function definition for LOOP-DO-THEREIS                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L82loop_do_thereis(cl_object V1)
{ VT83 VLEX83 CLSR83 STCK83
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==Cnil){
	goto L3;}
	(void)L56loop_disallow_conditional(0)     /*  LOOP-DISALLOW-CONDITIONAL */;
	goto L1;
L3:;
	goto L1;
L1:;
	(void)L57loop_disallow_anonymous_collectors() /*  LOOP-DISALLOW-ANONYMOUS-COLLECTORS */;
	(void)L55loop_emit_final_value(0)         /*  LOOP-EMIT-FINAL-VALUE */;
	T0= L89loop_when_it_variable()            /*  LOOP-WHEN-IT-VARIABLE */;
	T1= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	T2= cl_list(3,ECL_SYM("SETQ",749),T0,T1)  /*  LIST            */;
	T3= L53loop_construct_return(ecl_symbol_value(VV[69])) /*  LOOP-CONSTRUCT-RETURN */;
	T4= cl_list(3,ECL_SYM("WHEN",903),T2,T3)  /*  LIST            */;
	value0=L54loop_emit_body(T4)              /*  LOOP-EMIT-BODY  */;
	return value0;
}}
/*	function definition for LOOP-DO-WHILE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L83loop_do_while(cl_object V1, cl_object V2)
{ VT84 VLEX84 CLSR84 STCK84
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  FORM            */
	V3= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	(void)L56loop_disallow_conditional(1,V2)  /*  LOOP-DISALLOW-CONDITIONAL */;
	if((V1)==Cnil){
	goto L5;}
	T0= ECL_SYM("WHEN",903);
	goto L3;
L5:;
	T0= ECL_SYM("UNLESS",881);
	goto L3;
L3:;
	T1= cl_list(3,T0,V3,VV[89])               /*  LIST            */;
	value0=L54loop_emit_body(T1)              /*  LOOP-EMIT-BODY  */;
	return value0;
	}
}}
/*	function definition for LOOP-DO-WITH                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L84loop_do_with()
{ VT85 VLEX85 CLSR85 STCK85
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)L56loop_disallow_conditional(1,VV[130]) /*  LOOP-DISALLOW-CONDITIONAL */;
	{cl_object V1;                            /*  VAR             */
	cl_object V2;                             /*  VAL             */
	cl_object V3;                             /*  DTYPE           */
	V1= Cnil;
	V2= Cnil;
	V3= Cnil;
	goto L8;
L7:;
	V1= L49loop_pop_source()                  /*  LOOP-POP-SOURCE */;
	V3= L62loop_optional_type(1,V1)           /*  LOOP-OPTIONAL-TYPE */;
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	if((L15loop_tequal(T0,VV[131])            /*  LOOP-TEQUAL     */)==Cnil){
	goto L17;}
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	V2= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	goto L15;
L17:;
	V2= Cnil;
	goto L15;
L15:;
	if((V1)==Cnil){
	goto L22;}
	if((L64loop_variable_p(V1)                /*  LOOP-VARIABLE-P */)==Cnil){
	goto L22;}
	(void)L41loop_error(2,_ecl_static_47,V1)  /*  LOOP-ERROR      */;
	goto L20;
L22:;
	goto L20;
L20:;
	(void)L65loop_make_variable(3,V1,V2,V3)   /*  LOOP-MAKE-VARIABLE */;
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	if((L15loop_tequal(T0,VV[103])            /*  LOOP-TEQUAL     */)==Cnil){
	goto L28;}
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	goto L26;
L28:;
	value0=L63loop_bind_block()               /*  LOOP-BIND-BLOCK */;
	return value0;
L26:;
L8:;
	goto L7;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-HACK-ITERATION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L86loop_hack_iteration(cl_object V1)
{ VT86 VLEX86 CLSR86 STCK86
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  PRE-STEP-TESTS  */
	cl_object V3;                             /*  STEPS           */
	cl_object V4;                             /*  POST-STEP-TESTS */
	cl_object V5;                             /*  PSEUDO-STEPS    */
	cl_object V6;                             /*  PRE-LOOP-PRE-STEP-TESTS */
	cl_object V7;                             /*  PRE-LOOP-STEPS  */
	cl_object V8;                             /*  PRE-LOOP-POST-STEP-TESTS */
	cl_object V9;                             /*  PRE-LOOP-PSEUDO-STEPS */
	cl_object V10;                            /*  TEM             */
	cl_object V11;                            /*  DATA            */
	V2= Cnil;
	V3= Cnil;
	V4= Cnil;
	V5= Cnil;
	V6= Cnil;
	V7= Cnil;
	V8= Cnil;
	V9= Cnil;
	V10= Cnil;
	V11= Cnil;
	goto L14;
L13:;
	T0= cl_first(V1)                          /*  FIRST           */;
	T1= cl_symbol_function(T0)                /*  SYMBOL-FUNCTION */;
	T2= cl_rest(V1)                           /*  REST            */;
	V11= cl_apply(2,T1,T2)                    /*  APPLY           */;
	V10= V11;
	if((cl_car(V10)                           /*  CAR             */)==Cnil){
	goto L21;}
	T0= cl_car(V10)                           /*  CAR             */;
	V2= CONS(T0,V2);
	goto L19;
L21:;
	goto L19;
L19:;
	V10= cl_cdr(V10)                          /*  CDR             */;
	T0= cl_car(V10)                           /*  CAR             */;
	T1= cl_copy_list(T0)                      /*  COPY-LIST       */;
	V3= ecl_nconc(V3,T1);
	V10= cl_cdr(V10)                          /*  CDR             */;
	if((cl_car(V10)                           /*  CAR             */)==Cnil){
	goto L29;}
	T0= cl_car(V10)                           /*  CAR             */;
	V4= CONS(T0,V4);
	goto L27;
L29:;
	goto L27;
L27:;
	V10= cl_cdr(V10)                          /*  CDR             */;
	T0= cl_car(V10)                           /*  CAR             */;
	T1= cl_copy_list(T0)                      /*  COPY-LIST       */;
	V5= ecl_nconc(V5,T1);
	V10= cl_cdr(V10)                          /*  CDR             */;
	if((ecl_symbol_value(VV[64]))==Cnil){
	goto L40;}
	(void)L41loop_error(1,_ecl_static_48)     /*  LOOP-ERROR      */;
	goto L38;
L40:;
	goto L38;
L38:;
	if((V10)!=Cnil){
	goto L44;}
	V10= V11;
	goto L42;
L44:;
	goto L42;
L42:;
	if((cl_car(V10)                           /*  CAR             */)==Cnil){
	goto L49;}
	T0= cl_car(V10)                           /*  CAR             */;
	V6= CONS(T0,V6);
	goto L47;
L49:;
	goto L47;
L47:;
	V10= cl_cdr(V10)                          /*  CDR             */;
	T0= cl_car(V10)                           /*  CAR             */;
	T1= cl_copy_list(T0)                      /*  COPY-LIST       */;
	V7= ecl_nconc(V7,T1);
	V10= cl_cdr(V10)                          /*  CDR             */;
	if((cl_car(V10)                           /*  CAR             */)==Cnil){
	goto L57;}
	T0= cl_car(V10)                           /*  CAR             */;
	V8= CONS(T0,V8);
	goto L55;
L57:;
	goto L55;
L55:;
	T0= cl_cadr(V10)                          /*  CADR            */;
	T1= cl_copy_list(T0)                      /*  COPY-LIST       */;
	V9= ecl_nconc(V9,T1);
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	if((L15loop_tequal(T0,VV[103])            /*  LOOP-TEQUAL     */)!=Cnil){
	goto L65;}
	T0= L24loop_make_desetq(V9)               /*  LOOP-MAKE-DESETQ */;
	T1= LC85make_endtest(V8)                  /*  MAKE-ENDTEST    */;
	T2= L23loop_make_psetq(V7)                /*  LOOP-MAKE-PSETQ */;
	T3= LC85make_endtest(V6)                  /*  MAKE-ENDTEST    */;
	cl_set(VV[61],cl_listX(5,T0,T1,T2,T3,ecl_symbol_value(VV[61])) /*  LIST* */);
	T0= L24loop_make_desetq(V5)               /*  LOOP-MAKE-DESETQ */;
	T1= LC85make_endtest(V4)                  /*  MAKE-ENDTEST    */;
	T2= L23loop_make_psetq(V3)                /*  LOOP-MAKE-PSETQ */;
	T3= LC85make_endtest(V2)                  /*  MAKE-ENDTEST    */;
	cl_set(VV[63],cl_listX(5,T0,T1,T2,T3,ecl_symbol_value(VV[63])) /*  LIST* */);
	(void)L63loop_bind_block()                /*  LOOP-BIND-BLOCK */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L65:;
	goto L63;
L63:;
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	if((ecl_function_dispatch(cl_env_copy,VV[295])(1,ecl_symbol_value(VV[32])) /*  LOOP-UNIVERSE-IMPLICIT-FOR-REQUIRED */)!=Cnil){
	goto L79;}
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	T1= ecl_function_dispatch(cl_env_copy,VV[263])(1,ecl_symbol_value(VV[32])) /*  LOOP-UNIVERSE-ITERATION-KEYWORDS */;
	V10= L18loop_lookup_keyword(T0,T1)        /*  LOOP-LOOKUP-KEYWORD */;
	if((V10)==Cnil){
	goto L79;}
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	V1= V10;
	goto L77;
L79:;
	goto L77;
L77:;
L14:;
	goto L13;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function MAKE-ENDTEST                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC85make_endtest(cl_object V1)
{ VT87 VLEX87 CLSR87 STCK87
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==Cnil)){
	goto L2;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((ecl_memql(Ct,V1))==Cnil){
	goto L5;}
	value0=VV[89]; cl_env_copy->nvalues=1;
	return value0;
L5:;
	V1= cl_nreverse(V1)                       /*  NREVERSE        */;
	T1= cl_cdr(V1)                            /*  CDR             */;
	if(!(T1==Cnil)){
	goto L9;}
	T0= cl_car(V1)                            /*  CAR             */;
	goto L7;
L9:;
	T0= CONS(ECL_SYM("OR",612),V1);
	goto L7;
L7:;
	value0=cl_list(3,ECL_SYM("WHEN",903),T0,VV[89]) /*  LIST      */;
	return value0;
}}
/*	function definition for LOOP-DO-FOR                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L87loop_do_for()
{ VT88 VLEX88 CLSR88 STCK88
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  VAR             */
	cl_object V2;                             /*  DATA-TYPE       */
	cl_object V3;                             /*  KEYWORD         */
	cl_object V4;                             /*  FIRST-ARG       */
	cl_object V5;                             /*  TEM             */
	V1= L49loop_pop_source()                  /*  LOOP-POP-SOURCE */;
	V2= L62loop_optional_type(1,V1)           /*  LOOP-OPTIONAL-TYPE */;
	V3= L49loop_pop_source()                  /*  LOOP-POP-SOURCE */;
	V4= Cnil;
	V5= Cnil;
	V4= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	if(!(ECL_SYMBOLP(V3))){
	goto L13;}
	T0= ecl_function_dispatch(cl_env_copy,VV[297])(1,ecl_symbol_value(VV[32])) /*  LOOP-UNIVERSE-FOR-KEYWORDS */;
	V5= L18loop_lookup_keyword(V3,T0)         /*  LOOP-LOOKUP-KEYWORD */;
	if((V5)!=Cnil){
	goto L10;}
	goto L11;
L13:;
	goto L11;
L11:;
	(void)L41loop_error(2,_ecl_static_49,V3)  /*  LOOP-ERROR      */;
	goto L8;
L10:;
	goto L8;
L8:;
	T0= cl_car(V5)                            /*  CAR             */;
	T1= cl_cdr(V5)                            /*  CDR             */;
	value0=cl_apply(5,T0,V1,V4,V2,T1)         /*  APPLY           */;
	return value0;
	}
}}
/*	function definition for LOOP-DO-REPEAT                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L88loop_do_repeat()
{ VT89 VLEX89 CLSR89 STCK89
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)L56loop_disallow_conditional(1,VV[134]) /*  LOOP-DISALLOW-CONDITIONAL */;
	{cl_object V1;                            /*  FORM            */
	cl_object V2;                             /*  TYPE            */
	cl_object V3;                             /*  VAR             */
	cl_object V4;                             /*  FORM            */
	V1= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	if(!(FIXNUMP(V1))){
	goto L5;}
	V2= ECL_SYM("FIXNUM",370);
	goto L3;
L5:;
	V2= ECL_SYM("REAL",701);
	goto L3;
L3:;
	T0= cl_gensym(0)                          /*  GENSYM          */;
	V3= L65loop_make_variable(3,T0,V1,V2)     /*  LOOP-MAKE-VARIABLE */;
	T0= cl_list(2,ECL_SYM("DECF",269),V3)     /*  LIST            */;
	T1= cl_list(2,ECL_SYM("MINUSP",556),T0)   /*  LIST            */;
	T2= cl_list(3,ECL_SYM("WHEN",903),T1,VV[89]) /*  LIST         */;
	V4= cl_list(2,VV[1],T2)                   /*  LIST            */;
	cl_set(VV[61],CONS(V4,ecl_symbol_value(VV[61])));
	cl_set(VV[63],CONS(V4,ecl_symbol_value(VV[63])));
	value0=ecl_symbol_value(VV[63]); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-WHEN-IT-VARIABLE                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L89loop_when_it_variable()
{ VT90 VLEX90 CLSR90 STCK90
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_symbol_value(VV[69]);
	if((value0)!=Cnil){
	goto L2;}
	T0= cl_gensym(1,_ecl_static_50)           /*  GENSYM          */;
	cl_set(VV[69],L65loop_make_variable(3,T0,Cnil,Cnil) /*  LOOP-MAKE-VARIABLE */);
	value0=ecl_symbol_value(VV[69]); cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOOP-ANSI-FOR-EQUALS                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L90loop_ansi_for_equals(cl_object V1, cl_object V2, cl_object V3)
{ VT91 VLEX91 CLSR91 STCK91
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)L66loop_make_iteration_variable(V1,Cnil,V3) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	if((L15loop_tequal(T0,VV[136])            /*  LOOP-TEQUAL     */)==Cnil){
	goto L3;}
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	T0= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	T1= cl_list(2,V1,T0)                      /*  LIST            */;
	T2= cl_list(2,V1,V2)                      /*  LIST            */;
	value0=cl_listX(7,Cnil,T1,Cnil,Cnil,Cnil,T2,VV[137]) /*  LIST* */;
	return value0;
L3:;
	T0= cl_list(2,V1,V2)                      /*  LIST            */;
	value0=cl_listX(3,Cnil,T0,VV[137])        /*  LIST*           */;
	return value0;
}}
/*	function definition for LOOP-FOR-ACROSS                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L91loop_for_across(cl_object V1, cl_object V2, cl_object V3)
{ VT92 VLEX92 CLSR92 STCK92
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)L66loop_make_iteration_variable(V1,Cnil,V3) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	{cl_object V4;                            /*  LET341          */
	cl_object V5;                             /*  LET342          */
	V4= cl_gensym(1,_ecl_static_51)           /*  GENSYM          */;
	V5= cl_gensym(1,_ecl_static_52)           /*  GENSYM          */;
	cl_env_copy->values[0]=L28loop_constant_fold_if_possible(2,V2,ECL_SYM("VECTOR",896)) /*  LOOP-CONSTANT-FOLD-IF-POSSIBLE */;
	{
	cl_object V7;                             /*  VECTOR-FORM     */
	cl_object V8;                             /*  CONSTANTP       */
	cl_object V9;                             /*  VECTOR-VALUE    */
	{int V10=cl_env_copy->nvalues-0;
	if (V10--<=0) goto L5;
	V7= cl_env_copy->values[0];
	if (V10--<=0) goto L6;
	V8= cl_env_copy->values[1];
	if (V10--<=0) goto L7;
	V9= cl_env_copy->values[2];
	goto L8;}
L5:;
	V7= Cnil;
L6:;
	V8= Cnil;
L7:;
	V9= Cnil;
L8:;
	if(!(ECL_CONSP(V7))){
	goto L12;}
	T1= cl_car(V7)                            /*  CAR             */;
	if(!((T1)==(ECL_SYM("THE",854)))){
	goto L12;}
	T0= cl_cadr(V7)                           /*  CADR            */;
	goto L10;
L12:;
	T0= ECL_SYM("VECTOR",896);
	goto L10;
L10:;
	(void)L65loop_make_variable(3,V4,V7,T0)   /*  LOOP-MAKE-VARIABLE */;
	(void)L65loop_make_variable(3,V5,MAKE_FIXNUM(0),ECL_SYM("FIXNUM",370)) /*  LOOP-MAKE-VARIABLE */;
	{cl_fixnum V10;                           /*  LENGTH          */
	cl_object V11;                            /*  LENGTH-FORM     */
	cl_object V12;                            /*  FIRST-TEST      */
	cl_object V13;                            /*  OTHER-TEST      */
	cl_object V14;                            /*  STEP            */
	cl_object V15;                            /*  PSTEP           */
	V10= 0;
	if((V8)!=Cnil){
	goto L19;}
	{cl_object V16;                           /*  V               */
	V16= cl_gensym(1,_ecl_static_53)          /*  GENSYM          */;
	T0= cl_list(2,ECL_SYM("LENGTH",474),V4)   /*  LIST            */;
	T1= cl_list(3,ECL_SYM("SETQ",749),V16,T0) /*  LIST            */;
	cl_set(VV[60],CONS(T1,ecl_symbol_value(VV[60])));
	V11= L65loop_make_variable(3,V16,MAKE_FIXNUM(0),ECL_SYM("FIXNUM",370)) /*  LOOP-MAKE-VARIABLE */;
	goto L17;
	}
L19:;
	V10= ecl_length(V9);
	V11= MAKE_FIXNUM(V10);
	goto L17;
L17:;
	V12= cl_list(3,ECL_SYM(">=",74),V5,V11)   /*  LIST            */;
	V13= V12;
	T0= cl_list(3,ECL_SYM("AREF",90),V4,V5)   /*  LIST            */;
	V14= cl_list(2,V1,T0)                     /*  LIST            */;
	T0= cl_list(2,ECL_SYM("1+",68),V5)        /*  LIST            */;
	V15= cl_list(2,V5,T0)                     /*  LIST            */;
	if((V8)==Cnil){
	goto L31;}
	V12= ecl_make_bool((V10)==(0));
	if(!((V10)<=(1))){
	goto L36;}
	V13= Ct;
	goto L29;
L36:;
	goto L29;
L31:;
	goto L29;
L29:;
	if((V12)==(V13)){
	goto L41;}
	T0= cl_list(4,V12,V14,Cnil,V15)           /*  LIST            */;
	goto L39;
L41:;
	T0= Cnil;
	goto L39;
L39:;
	value0=cl_listX(5,V13,V14,Cnil,V15,T0)    /*  LIST*           */;
	return value0;
	}}
	}
}}
/*	function definition for LOOP-LIST-STEP                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L92loop_list_step(cl_object V1)
{ VT93 VLEX93 CLSR93 STCK93
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  STEPPER         */
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	if((L15loop_tequal(T0,VV[140])            /*  LOOP-TEQUAL     */)==Cnil){
	goto L3;}
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	V2= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	goto L1;
L3:;
	V2= VV[141];
	goto L1;
L1:;
	if(!(ECL_CONSP(V2))){
	goto L7;}
	T0= cl_car(V2)                            /*  CAR             */;
	if(!((T0)==(ECL_SYM("QUOTE",677)))){
	goto L7;}
	(void)L42loop_warn(1,_ecl_static_54)      /*  LOOP-WARN       */;
	T0= cl_list(3,ECL_SYM("FUNCALL",392),V2,V1) /*  LIST          */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
L7:;
	if(!(ECL_CONSP(V2))){
	goto L12;}
	T0= cl_car(V2)                            /*  CAR             */;
	if(!((T0)==(ECL_SYM("FUNCTION",394)))){
	goto L12;}
	T0= cl_cadr(V2)                           /*  CADR            */;
	T1= cl_list(2,T0,V1)                      /*  LIST            */;
	T2= cl_cadr(V2)                           /*  CADR            */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T1;
	return cl_env_copy->values[0];
L12:;
	T0= cl_gensym(1,_ecl_static_55)           /*  GENSYM          */;
	T1= L65loop_make_variable(3,T0,V2,ECL_SYM("FUNCTION",394)) /*  LOOP-MAKE-VARIABLE */;
	T2= cl_list(3,ECL_SYM("FUNCALL",392),T1,V1) /*  LIST          */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=T2;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for LOOP-FOR-ON                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L93loop_for_on(cl_object V1, cl_object V2, cl_object V3)
{ VT94 VLEX94 CLSR94 STCK94
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L28loop_constant_fold_if_possible(1,V2) /*  LOOP-CONSTANT-FOLD-IF-POSSIBLE */;
	{
	cl_object V5;                             /*  LIST            */
	cl_object V6;                             /*  CONSTANTP       */
	cl_object V7;                             /*  LIST-VALUE      */
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L2;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L3;
	V6= cl_env_copy->values[1];
	if (V8--<=0) goto L4;
	V7= cl_env_copy->values[2];
	goto L5;}
L2:;
	V5= Cnil;
L3:;
	V6= Cnil;
L4:;
	V7= Cnil;
L5:;
	{cl_object V8;                            /*  LISTVAR         */
	V8= V1;
	if((V1)==Cnil){
	goto L9;}
	if(!(ECL_SYMBOLP(V1))){
	goto L9;}
	(void)L66loop_make_iteration_variable(V1,V5,V3) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	goto L7;
L9:;
	V8= cl_gensym(0)                          /*  GENSYM          */;
	(void)L65loop_make_variable(3,V8,V5,ECL_SYM("LIST",479)) /*  LOOP-MAKE-VARIABLE */;
	(void)L66loop_make_iteration_variable(V1,Cnil,V3) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	goto L7;
L7:;
	cl_env_copy->values[0]=L92loop_list_step(V8) /*  LOOP-LIST-STEP */;
	{
	cl_object V10;                            /*  LIST-STEP       */
	cl_object V11;                            /*  STEP-FUNCTION   */
	{int V12=cl_env_copy->nvalues-0;
	if (V12--<=0) goto L15;
	V10= cl_env_copy->values[0];
	if (V12--<=0) goto L16;
	V11= cl_env_copy->values[1];
	goto L17;}
L15:;
	V10= Cnil;
L16:;
	V11= Cnil;
L17:;
	{cl_object V12;                           /*  FIRST-ENDTEST   */
	cl_object V13;                            /*  OTHER-ENDTEST   */
	{bool V14;
	V14= (V1)==(V8);
	T0= cl_list(2,ECL_SYM("ATOM",117),V8)     /*  LIST            */;
	V12= L5hide_variable_reference(ecl_make_bool(V14),V8,T0) /*  HIDE-VARIABLE-REFERENCE */;}
	V13= V12;
	if((V6)==Cnil){
	goto L22;}
	if(!(ECL_LISTP(V7))){
	goto L22;}
	V12= ecl_make_bool(V7==Cnil);
	goto L20;
L22:;
	goto L20;
L20:;
	if(!((V1)==(V8))){
	goto L27;}
	T0= L5hide_variable_reference(Ct,V8,V10)  /*  HIDE-VARIABLE-REFERENCE */;
	T1= cl_list(2,V8,T0)                      /*  LIST            */;
	value0=cl_list(8,Cnil,T1,V13,Cnil,Cnil,Cnil,V12,Cnil) /*  LIST */;
	return value0;
L27:;
	{cl_object V14;                           /*  LET343          */
	cl_object V15;                            /*  LET344          */
	V14= cl_list(2,V1,V8)                     /*  LIST            */;
	V15= cl_list(2,V8,V10)                    /*  LIST            */;
	if((V12)==(V13)){
	goto L33;}
	T0= cl_list(4,V12,V14,Cnil,V15)           /*  LIST            */;
	goto L31;
L33:;
	T0= Cnil;
	goto L31;
L31:;
	value0=cl_listX(5,V13,V14,Cnil,V15,T0)    /*  LIST*           */;
	return value0;
	}
	}}
	}}
}}
/*	function definition for LOOP-FOR-IN                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L94loop_for_in(cl_object V1, cl_object V2, cl_object V3)
{ VT95 VLEX95 CLSR95 STCK95
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L28loop_constant_fold_if_possible(1,V2) /*  LOOP-CONSTANT-FOLD-IF-POSSIBLE */;
	{
	cl_object V5;                             /*  LIST            */
	cl_object V6;                             /*  CONSTANTP       */
	cl_object V7;                             /*  LIST-VALUE      */
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L2;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L3;
	V6= cl_env_copy->values[1];
	if (V8--<=0) goto L4;
	V7= cl_env_copy->values[2];
	goto L5;}
L2:;
	V5= Cnil;
L3:;
	V6= Cnil;
L4:;
	V7= Cnil;
L5:;
	{cl_object V8;                            /*  LISTVAR         */
	V8= cl_gensym(1,_ecl_static_56)           /*  GENSYM          */;
	(void)L66loop_make_iteration_variable(V1,Cnil,V3) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	(void)L65loop_make_variable(3,V8,V5,ECL_SYM("LIST",479)) /*  LOOP-MAKE-VARIABLE */;
	cl_env_copy->values[0]=L92loop_list_step(V8) /*  LOOP-LIST-STEP */;
	{
	cl_object V10;                            /*  LIST-STEP       */
	cl_object V11;                            /*  STEP-FUNCTION   */
	{int V12=cl_env_copy->nvalues-0;
	if (V12--<=0) goto L10;
	V10= cl_env_copy->values[0];
	if (V12--<=0) goto L11;
	V11= cl_env_copy->values[1];
	goto L12;}
L10:;
	V10= Cnil;
L11:;
	V11= Cnil;
L12:;
	{cl_object V12;                           /*  FIRST-ENDTEST   */
	cl_object V13;                            /*  OTHER-ENDTEST   */
	cl_object V14;                            /*  STEP            */
	cl_object V15;                            /*  PSEUDO-STEP     */
	V12= cl_list(2,ECL_SYM("ENDP",328),V8)    /*  LIST            */;
	V13= V12;
	T0= cl_list(2,ECL_SYM("CONS-CAR",1722),V8) /*  LIST           */;
	V14= cl_list(2,V1,T0)                     /*  LIST            */;
	V15= cl_list(2,V8,V10)                    /*  LIST            */;
	if((V6)==Cnil){
	goto L19;}
	if(!(ECL_LISTP(V7))){
	goto L19;}
	V12= ecl_make_bool(V7==Cnil);
	goto L17;
L19:;
	goto L17;
L17:;
	if((V12)==(V13)){
	goto L25;}
	T0= cl_list(4,V12,V14,Cnil,V15)           /*  LIST            */;
	goto L23;
L25:;
	T0= Cnil;
	goto L23;
L23:;
	value0=cl_listX(5,V13,V14,Cnil,V15,T0)    /*  LIST*           */;
	return value0;
	}}
	}}
}}
/*	function definition for MAKE-LOOP-PATH                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L95make_loop_path(cl_narg narg, ...)
{ VT96 VLEX96 CLSR96 STCK96
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,L95make_loop_pathkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	V5= keyvars[4];
	}
	T0= cl_list(5,V1,V2,V3,V4,V5)             /*  LIST            */;
	value0=cl_make_array(5,VV[146],ECL_SYM("ELEMENT-TYPE",1198),Ct,ECL_SYM("INITIAL-CONTENTS",1224),T0) /*  MAKE-ARRAY */;
	return value0;
}}
/*	function definition for ADD-LOOP-PATH                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L96add_loop_path(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT97 VLEX97 CLSR97 STCK97
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_va_list args; cl_va_start(args,V3,narg,3);
	{ cl_object keyvars[6];
	cl_parse_key(args,3,L96add_loop_pathkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V4= keyvars[0];
	V5= keyvars[1];
	V6= keyvars[2];
	}
	if(ECL_LISTP(V1)){
	goto L3;}
	V1= ecl_list1(V1);
	goto L1;
L3:;
	goto L1;
L1:;
	{cl_object V7;                            /*  LET345          */
	cl_object V8;                             /*  LET346          */
	V7= ecl_function_dispatch(cl_env_copy,VV[312])(1,V3) /*  LOOP-UNIVERSE-PATH-KEYWORDS */;
	{cl_object V9;
	cl_object V10;
	V9= Cnil;
	V10= V1;
	{cl_object V11;
	cl_object V12;
	V11= ecl_list1(Cnil);
	V12= V11;
L14:;
	if(!(ecl_endp(V10))){
	goto L18;}
	goto L15;
L18:;
	goto L16;
L16:;
	V9= CAR(V10);
	V10= CDR(V10);
	T1= V12;
	T2= ecl_symbol_name(V9);
	V12= ecl_list1(T2);
	if (ecl_unlikely(ATOM(T1)))FEtype_error_cons(T1);
	ECL_CONS_CDR(T1) = V12;
	goto L14;
L15:;
	T0= cl_cdr(V11)                           /*  CDR             */;
	goto L8;
	}
	}
L8:;
	{cl_object V9;
	cl_object V10;
	V9= Cnil;
	V10= V4;
	{cl_object V11;
	cl_object V12;
	V11= ecl_list1(Cnil);
	V12= V11;
L34:;
	if(!(ecl_endp(V10))){
	goto L38;}
	goto L35;
L38:;
	goto L36;
L36:;
	V9= CAR(V10);
	V10= CDR(V10);
	T2= V12;
	if(!(ECL_LISTP(V9))){
	goto L48;}
	T3= V9;
	goto L46;
L48:;
	T3= ecl_list1(V9);
	goto L46;
L46:;
	V12= ecl_list1(T3);
	if (ecl_unlikely(ATOM(T2)))FEtype_error_cons(T2);
	ECL_CONS_CDR(T2) = V12;
	goto L34;
L35:;
	T1= cl_cdr(V11)                           /*  CDR             */;
	goto L28;
	}
	}
L28:;
	V8= L95make_loop_path(10,VV[148],T0,ECL_SYM("FUNCTION",1215),V2,VV[149],V6,VV[150],T1,VV[151],V5) /*  MAKE-LOOP-PATH */;
	{cl_object V9;                            /*  %DOLIST-VAR     */
	cl_object V10;                            /*  NAME            */
	V9= V1;
	V10= Cnil;
	goto L58;
L57:;
	V10= cl_first(V9)                         /*  FIRST           */;
	{cl_object V11;
	V11= ecl_symbol_name(V10);
	(void)si_hash_set(V11,V7,V8)              /*  HASH-SET        */;
	}
	V9= CDR(V9);
L58:;
	if((V9)==Cnil){
	goto L68;}
	goto L57;
L68:;
	goto L66;
L66:;
	goto L55;
L55:;
	}
	value0=V8; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-FOR-BEING                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L97loop_for_being(cl_object V1, cl_object V2, cl_object V3)
{ VT98 VLEX98 CLSR98 STCK98
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  PATH            */
	cl_object V5;                             /*  DATA            */
	cl_object V6;                             /*  INCLUSIVE       */
	cl_object V7;                             /*  STUFF           */
	cl_object V8;                             /*  INITIAL-PREPOSITIONS */
	V4= Cnil;
	V5= Cnil;
	V6= Cnil;
	V7= Cnil;
	V8= Cnil;
	if((L17loop_tmember(V2,VV[152])           /*  LOOP-TMEMBER    */)==Cnil){
	goto L8;}
	V4= L49loop_pop_source()                  /*  LOOP-POP-SOURCE */;
	goto L6;
L8:;
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	if((L15loop_tequal(T0,VV[103])            /*  LOOP-TEQUAL     */)==Cnil){
	goto L12;}
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	V6= Ct;
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	if((L17loop_tmember(T0,VV[153])           /*  LOOP-TMEMBER    */)!=Cnil){
	goto L19;}
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	(void)L41loop_error(2,_ecl_static_58,T0)  /*  LOOP-ERROR      */;
	goto L17;
L19:;
	goto L17;
L17:;
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	V4= L49loop_pop_source()                  /*  LOOP-POP-SOURCE */;
	T0= cl_list(2,VV[154],V2)                 /*  LIST            */;
	V8= ecl_list1(T0);
	goto L6;
L12:;
	(void)L41loop_error(1,_ecl_static_59)     /*  LOOP-ERROR      */;
	goto L6;
L6:;
	if(ECL_SYMBOLP(V4)){
	goto L27;}
	(void)L41loop_error(2,_ecl_static_60,V4)  /*  LOOP-ERROR      */;
	goto L25;
L27:;
	T0= ecl_function_dispatch(cl_env_copy,VV[312])(1,ecl_symbol_value(VV[32])) /*  LOOP-UNIVERSE-PATH-KEYWORDS */;
	V5= L18loop_lookup_keyword(V4,T0)         /*  LOOP-LOOKUP-KEYWORD */;
	if((V5)!=Cnil){
	goto L30;}
	(void)L41loop_error(2,_ecl_static_61,V4)  /*  LOOP-ERROR      */;
	goto L25;
L30:;
	if((V6)==Cnil){
	goto L34;}
	if((ecl_function_dispatch(cl_env_copy,VV[314])(1,V5) /*  LOOP-PATH-INCLUSIVE-PERMITTED */)!=Cnil){
	goto L34;}
	(void)L41loop_error(2,_ecl_static_62,V4)  /*  LOOP-ERROR      */;
	goto L25;
L34:;
	goto L25;
L25:;
	{cl_object V9;                            /*  LET356          */
	cl_object V10;                            /*  LET357          */
	cl_object V11;                            /*  LET358          */
	cl_object V12;                            /*  FUN             */
	V9= ecl_function_dispatch(cl_env_copy,VV[315])(1,V5) /*  LOOP-PATH-FUNCTION */;
	T0= ecl_function_dispatch(cl_env_copy,VV[316])(1,V5) /*  LOOP-PATH-PREPOSITION-GROUPS */;
	T1= L100loop_collect_prepositional_phrases(2,T0,Ct) /*  LOOP-COLLECT-PREPOSITIONAL-PHRASES */;
	V10= ecl_nconc(V8,T1);
	V11= ecl_function_dispatch(cl_env_copy,VV[317])(1,V5) /*  LOOP-PATH-USER-DATA */;
	V12= V9;
	if(!(ECL_SYMBOLP(V12))){
	goto L44;}
	V12= cl_symbol_function(V12)              /*  SYMBOL-FUNCTION */;
	goto L42;
L44:;
	goto L42;
L42:;
	if((V6)==Cnil){
	goto L49;}
	V7= cl_apply(7,V12,V1,V3,V10,VV[155],Ct,V11) /*  APPLY        */;
	goto L47;
L49:;
	V7= cl_apply(5,V12,V1,V3,V10,V11)         /*  APPLY           */;
	goto L47;
L47:;
	}
	if((ecl_symbol_value(VV[52]))==Cnil){
	goto L53;}
	(void)L41loop_error(2,_ecl_static_63,ecl_symbol_value(VV[52])) /*  LOOP-ERROR */;
	goto L51;
L53:;
	goto L51;
L51:;
	{cl_fixnum V9;
	V9= ecl_length(V7);
	if(!((V9)==(6))){
	goto L62;}
	goto L57;
	goto L60;
L62:;
	goto L60;
L60:;
	if(!((V9)==(10))){
	goto L65;}
	goto L57;
	goto L58;
L65:;
	goto L58;
	}
L58:;
	(void)L41loop_error(2,_ecl_static_64,V4)  /*  LOOP-ERROR      */;
	goto L55;
L57:;
	goto L55;
L55:;
	{cl_object V9;                            /*  LET359          */
	cl_object V10;                            /*  L               */
	cl_object V11;                            /*  X               */
	V9= cl_car(V7)                            /*  CAR             */;
	V10= V9;
	V11= Cnil;
	goto L74;
L73:;
	V11= cl_car(V10)                          /*  CAR             */;
	if(!(ECL_ATOM(V11))){
	goto L78;}
	(void)L66loop_make_iteration_variable(V11,Cnil,Cnil) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	goto L76;
L78:;
	T0= cl_car(V11)                           /*  CAR             */;
	T1= cl_cadr(V11)                          /*  CADR            */;
	T2= cl_caddr(V11)                         /*  CADDR           */;
	(void)L66loop_make_iteration_variable(T0,T1,T2) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	goto L76;
L76:;
	V10= cl_cdr(V10)                          /*  CDR             */;
L74:;
	if(V10==Cnil){
	goto L85;}
	goto L73;
L85:;
	goto L83;
L83:;
	goto L71;
L71:;
	}
	T0= cl_cadr(V7)                           /*  CADR            */;
	T1= cl_reverse(T0)                        /*  REVERSE         */;
	cl_set(VV[60],ecl_nconc(T1,ecl_symbol_value(VV[60])));
	value0=cl_cddr(V7)                        /*  CDDR            */;
	return value0;
	}
}}
/*	function definition for NAMED-VARIABLE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L98named_variable(cl_object V1)
{ VT99 VLEX99 CLSR99 STCK99
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  TEM             */
	V2= L16loop_tassoc(V1,ecl_symbol_value(VV[52])) /*  LOOP-TASSOC */;
	if(!(V2==Cnil)){
	goto L3;}
	T0= cl_gensym(0)                          /*  GENSYM          */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
L3:;
	cl_set(VV[52],cl_delete(2,V2,ecl_symbol_value(VV[52])) /*  DELETE */);
	T0= cl_cdr(V2)                            /*  CDR             */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for LOOP-COLLECT-PREPOSITIONAL-PHRASES    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L100loop_collect_prepositional_phrases(cl_narg narg, cl_object V1, ...)
{ VT100 VLEX100 CLSR100 STCK100
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  LET365          */
	cl_object V5;                             /*  LET366          */
	cl_object V6;                             /*  TOKEN           */
	cl_object V7;                             /*  PREPOSITIONAL-PHRASES */
	cl_object V8;                             /*  THIS-GROUP      */
	cl_object V9;                             /*  THIS-PREP       */
	cl_object V10;                            /*  USED-PREPOSITIONS */
	{cl_object V11;
	cl_object V12;
	V11= Cnil;
	V12= V3;
	{cl_object V13;
	cl_object V14;
	V13= ecl_list1(Cnil);
	V14= V13;
L9:;
	if(!(ecl_endp(V12))){
	goto L13;}
	goto L10;
L13:;
	goto L11;
L11:;
	V11= CAR(V12);
	V12= CDR(V12);
	{cl_object V15;
	{cl_object V16;
	V16= cl_car(V11)                          /*  CAR             */;
	{cl_object V17;
	V17= si_make_seq_iterator(2,V1,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L28:;
	if((V17)!=Cnil){
	goto L32;}
	T0= Cnil;
	goto L24;
L32:;
	goto L30;
L30:;
	{cl_object V18;
	V18= si_seq_iterator_ref(V1,V17)          /*  SEQ-ITERATOR-REF */;
	if((LC99in_group_p(V16,V18)               /*  IN-GROUP-P      */)==Cnil){
	goto L37;}
	T0= V18;
	goto L24;
L37:;
	goto L34;
	}
L34:;
	V17= si_seq_iterator_next(V1,V17)         /*  SEQ-ITERATOR-NEXT */;
	goto L28;
	}
	}
L24:;
	V15= cl_copy_list(T0)                     /*  COPY-LIST       */;
	if (ecl_unlikely(ATOM(V14)))FEtype_error_cons(V14);
	ECL_CONS_CDR(V14) = V15;
	if((V15)==Cnil){
	goto L21;}
	}
	T0= cl_cdr(V14)                           /*  CDR             */;
	V14= ecl_last(T0,1);
	goto L19;
L21:;
	goto L19;
L19:;
	goto L9;
L10:;
	V4= cl_cdr(V13)                           /*  CDR             */;
	goto L3;
	}
	}
L3:;
	{cl_object V11;
	cl_object V12;
	V11= Cnil;
	V12= V3;
	{cl_object V13;
	cl_object V14;
	V13= ecl_list1(Cnil);
	V14= V13;
L51:;
	if(!(ecl_endp(V12))){
	goto L55;}
	goto L52;
L55:;
	goto L53;
L53:;
	V11= CAR(V12);
	V12= CDR(V12);
	T0= V14;
	T1= cl_car(V11)                           /*  CAR             */;
	V14= ecl_list1(T1);
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V14;
	goto L51;
L52:;
	V5= cl_cdr(V13)                           /*  CDR             */;
	goto L45;
	}
	}
L45:;
	V6= Cnil;
	V7= V3;
	V8= Cnil;
	V9= Cnil;
	V10= V5;
	goto L73;
L72:;
	V6= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	{cl_object V11;                           /*  %DOLIST-VAR     */
	cl_object V12;                            /*  GROUP           */
	V11= V1;
	V12= Cnil;
	goto L83;
L82:;
	V12= cl_first(V11)                        /*  FIRST           */;
	V9= LC99in_group_p(V6,V12)                /*  IN-GROUP-P      */;
	if((V9)==Cnil){
	goto L89;}
	V8= V12;
	goto L77;
L89:;
	goto L87;
L87:;
	V11= CDR(V11);
L83:;
	if((V11)==Cnil){
	goto L97;}
	goto L82;
L97:;
	goto L95;
L95:;
	goto L80;
L80:;
	}
L77:;
	if((V8)==Cnil){
	goto L101;}
	if((ecl_memql(V9,V4))==Cnil){
	goto L105;}
	if((ecl_memql(V9,V10))==Cnil){
	goto L109;}
	T0= _ecl_static_65;
	goto L107;
L109:;
	T0= _ecl_static_66;
	goto L107;
L107:;
	(void)L41loop_error(2,T0,V6)              /*  LOOP-ERROR      */;
	goto L103;
L105:;
	goto L103;
L103:;
	if(!(ECL_LISTP(V8))){
	goto L114;}
	V10= ecl_append(V8,V10);
	goto L112;
L114:;
	V10= CONS(V8,V10);
	goto L112;
L112:;
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	T0= L52loop_get_form()                    /*  LOOP-GET-FORM   */;
	T1= cl_list(2,V9,T0)                      /*  LIST            */;
	V7= CONS(T1,V7);
	goto L99;
L101:;
	if((V2)==Cnil){
	goto L119;}
	if((L15loop_tequal(V6,VV[159])            /*  LOOP-TEQUAL     */)==Cnil){
	goto L119;}
	(void)L49loop_pop_source()                /*  LOOP-POP-SOURCE */;
	{cl_object V11;                           /*  LET371          */
	cl_object V12;                            /*  Z               */
	cl_object V13;                            /*  TEM             */
	V11= L49loop_pop_source()                 /*  LOOP-POP-SOURCE */;
	V12= V11;
	V13= Cnil;
	goto L129;
L128:;
	if((cl_cadr(V12)                          /*  CADR            */)==Cnil){
	goto L133;}
	T0= cl_car(V12)                           /*  CAR             */;
	V13= L16loop_tassoc(T0,ecl_symbol_value(VV[52])) /*  LOOP-TASSOC */;
	if((V13)==Cnil){
	goto L136;}
	T0= cl_car(V12)                           /*  CAR             */;
	T1= cl_cadr(V12)                          /*  CADR            */;
	T2= cl_cadr(V13)                          /*  CADR            */;
	(void)L41loop_error(4,_ecl_static_67,T0,T1,T2) /*  LOOP-ERROR */;
	goto L131;
L136:;
	T0= cl_car(V12)                           /*  CAR             */;
	T1= cl_cadr(V12)                          /*  CADR            */;
	T2= CONS(T0,T1);
	cl_set(VV[52],CONS(T2,ecl_symbol_value(VV[52])));
	goto L131;
L133:;
	goto L131;
L131:;
	if(ecl_symbol_value(VV[47])==Cnil){
	goto L144;}
	T0= cl_car(ecl_symbol_value(VV[47]))      /*  CAR             */;
	if(!(ECL_SYMBOLP(T0))){
	goto L142;}
	goto L143;
L144:;
L143:;
	goto L99;
L142:;
	goto L140;
L140:;
	V12= L49loop_pop_source()                 /*  LOOP-POP-SOURCE */;
L129:;
	goto L128;
	goto L99;
	}
L119:;
	value0=cl_nreverse(V7)                    /*  NREVERSE        */;
	return value0;
L99:;
	V8= Cnil;
	V9= Cnil;
L73:;
	if(ecl_symbol_value(VV[47])==Cnil){
	goto L154;}
	goto L72;
L154:;
	goto L152;
L152:;
	goto L70;
L70:;
	value0=cl_nreverse(V7)                    /*  NREVERSE        */;
	return value0;
	}
}}
/*	local function IN-GROUP-P                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC99in_group_p(cl_object V1, cl_object V2)
{ VT101 VLEX101 CLSR101 STCK101
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L17loop_tmember(V1,V2)                /*  LOOP-TMEMBER    */;
	value0=cl_car(T0)                         /*  CAR             */;
	return value0;
}}
/*	function definition for LOOP-SEQUENCER                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L101loop_sequencer(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10)
{ VT102 VLEX102 CLSR102 STCK102
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V11;                           /*  LET377          */
	cl_object V12;                            /*  ENDFORM         */
	cl_object V13;                            /*  SEQUENCEP       */
	cl_object V14;                            /*  TESTFN          */
	cl_object V15;                            /*  TEST            */
	cl_object V16;                            /*  STEPBY          */
	cl_object V17;                            /*  STEPBY-CONSTANTP */
	cl_object V18;                            /*  STEP            */
	cl_object V19;                            /*  DIR             */
	cl_object V20;                            /*  INCLUSIVE-ITERATION */
	cl_object V21;                            /*  START-GIVEN     */
	cl_object V22;                            /*  START-VALUE     */
	cl_object V23;                            /*  START-CONSTANTP */
	cl_object V24;                            /*  LIMIT-GIVEN     */
	cl_object V25;                            /*  LIMIT-CONSTANTP */
	cl_object V26;                            /*  LIMIT-VALUE     */
	value0=L59loop_typed_init(V2)             /*  LOOP-TYPED-INIT */;
	if((value0)!=Cnil){
	goto L4;}
	T0= MAKE_FIXNUM(0);
	goto L2;
L4:;
	T0= value0;
	goto L2;
L2:;
	V11= ecl_one_plus(T0);
	V12= Cnil;
	V13= Cnil;
	V14= Cnil;
	V15= Cnil;
	V16= V11;
	V17= Ct;
	V18= Cnil;
	V19= Cnil;
	V20= Cnil;
	V21= Cnil;
	V22= Cnil;
	V23= Cnil;
	V24= Cnil;
	V25= Cnil;
	V26= Cnil;
	if((V4)==Cnil){
	goto L23;}
	(void)L66loop_make_iteration_variable(V4,Cnil,V5) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	goto L21;
L23:;
	goto L21;
L21:;
	{cl_object V27;                           /*  L               */
	cl_object V28;                            /*  PREP            */
	cl_object V29;                            /*  FORM            */
	cl_object V30;                            /*  ODIR            */
	V27= V10;
	V28= Cnil;
	V29= Cnil;
	V30= Cnil;
	goto L33;
L32:;
	V28= cl_caar(V27)                         /*  CAAR            */;
	V29= cl_cadar(V27)                        /*  CADAR           */;
	if(!(ecl_eql(V28,VV[160]))){
	goto L46;}
	goto L43;
	goto L44;
L46:;
	goto L44;
L44:;
	if(!(ecl_eql(V28,VV[154]))){
	goto L41;}
	goto L42;
L43:;
L42:;
	V13= Ct;
	(void)L65loop_make_variable(3,V6,V29,V7)  /*  LOOP-MAKE-VARIABLE */;
	goto L39;
L41:;
	if(!(ecl_eql(V28,VV[163]))){
	goto L57;}
	goto L54;
	goto L55;
L57:;
	goto L55;
L55:;
	if(!(ecl_eql(V28,VV[165]))){
	goto L61;}
	goto L54;
	goto L59;
L61:;
	goto L59;
L59:;
	if(!(ecl_eql(V28,VV[167]))){
	goto L52;}
	goto L53;
L54:;
L53:;
	V21= Ct;
	if(!((V28)==(VV[165]))){
	goto L68;}
	V19= VV[169];
	goto L66;
L68:;
	if(!((V28)==(VV[167]))){
	goto L72;}
	V19= ECL_SYM("UP",1290);
	goto L66;
L72:;
	goto L66;
L66:;
	cl_env_copy->values[0]=L28loop_constant_fold_if_possible(2,V29,V2) /*  LOOP-CONSTANT-FOLD-IF-POSSIBLE */;
	{int V31=cl_env_copy->nvalues-0;
	if (V31--<=0) goto L77;
	V29= cl_env_copy->values[0];
	if (V31--<=0) goto L78;
	V23= cl_env_copy->values[1];
	if (V31--<=0) goto L79;
	V22= cl_env_copy->values[2];
	goto L80;}
L77:;
	V29= Cnil;
L78:;
	V23= Cnil;
L79:;
	V22= Cnil;
L80:;
	(void)L66loop_make_iteration_variable(V1,V29,V2) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	goto L39;
L52:;
	if((ecl_memql(V28,VV[170]))==Cnil){
	goto L82;}
	if((L15loop_tequal(V28,VV[171])           /*  LOOP-TEQUAL     */)==Cnil){
	goto L86;}
	V19= ECL_SYM("UP",1290);
	V20= ECL_SYM("UP",1290);
	goto L84;
L86:;
	if((L15loop_tequal(V28,VV[172])           /*  LOOP-TEQUAL     */)==Cnil){
	goto L91;}
	V20= Ct;
	goto L84;
L91:;
	if((L15loop_tequal(V28,VV[173])           /*  LOOP-TEQUAL     */)==Cnil){
	goto L95;}
	V19= VV[169];
	V20= VV[169];
	goto L84;
L95:;
	if((L15loop_tequal(V28,VV[174])           /*  LOOP-TEQUAL     */)==Cnil){
	goto L100;}
	V19= VV[169];
	goto L84;
L100:;
	if((L15loop_tequal(V28,VV[175])           /*  LOOP-TEQUAL     */)==Cnil){
	goto L104;}
	V19= ECL_SYM("UP",1290);
	goto L84;
L104:;
	goto L84;
L84:;
	V24= Ct;
	cl_env_copy->values[0]=L28loop_constant_fold_if_possible(2,V29,V2) /*  LOOP-CONSTANT-FOLD-IF-POSSIBLE */;
	{int V31=cl_env_copy->nvalues-0;
	if (V31--<=0) goto L111;
	V29= cl_env_copy->values[0];
	if (V31--<=0) goto L112;
	V25= cl_env_copy->values[1];
	if (V31--<=0) goto L113;
	V26= cl_env_copy->values[2];
	goto L114;}
L111:;
	V29= Cnil;
L112:;
	V25= Cnil;
L113:;
	V26= Cnil;
L114:;
	if((V25)==Cnil){
	goto L117;}
	V12= cl_list(2,ECL_SYM("QUOTE",677),V26)  /*  LIST            */;
	goto L115;
L117:;
	T0= cl_gensym(1,_ecl_static_68)           /*  GENSYM          */;
	V12= L65loop_make_variable(3,T0,V29,V2)   /*  LOOP-MAKE-VARIABLE */;
	goto L115;
L115:;
	goto L39;
L82:;
	if(!(ecl_eql(V28,VV[140]))){
	goto L120;}
	cl_env_copy->values[0]=L28loop_constant_fold_if_possible(2,V29,V2) /*  LOOP-CONSTANT-FOLD-IF-POSSIBLE */;
	{int V31=cl_env_copy->nvalues-0;
	if (V31--<=0) goto L124;
	V29= cl_env_copy->values[0];
	if (V31--<=0) goto L125;
	V17= cl_env_copy->values[1];
	if (V31--<=0) goto L126;
	V16= cl_env_copy->values[2];
	goto L127;}
L124:;
	V29= Cnil;
L125:;
	V17= Cnil;
L126:;
	V16= Cnil;
L127:;
	if((V17)!=Cnil){
	goto L129;}
	V16= cl_gensym(1,_ecl_static_69)          /*  GENSYM          */;
	(void)L65loop_make_variable(3,V16,V29,V2) /*  LOOP-MAKE-VARIABLE */;
	goto L39;
L129:;
	goto L39;
L120:;
	(void)L41loop_error(2,_ecl_static_70,V28) /*  LOOP-ERROR      */;
	goto L39;
L39:;
	if((V30)==Cnil){
	goto L134;}
	if((V19)==Cnil){
	goto L134;}
	if((V19)==(V30)){
	goto L134;}
	(void)L41loop_error(1,_ecl_static_71)     /*  LOOP-ERROR      */;
	goto L132;
L134:;
	goto L132;
L132:;
	V30= V19;
	V27= cl_cdr(V27)                          /*  CDR             */;
L33:;
	if(V27==Cnil){
	goto L144;}
	goto L32;
L144:;
	goto L142;
L142:;
	goto L30;
L30:;
	}
	if((V6)==Cnil){
	goto L148;}
	if((V13)!=Cnil){
	goto L148;}
	(void)L41loop_error(1,_ecl_static_72)     /*  LOOP-ERROR      */;
	goto L146;
L148:;
	goto L146;
L146:;
	if((V21)!=Cnil){
	goto L153;}
	V23= Ct;
	value0=L59loop_typed_init(V2)             /*  LOOP-TYPED-INIT */;
	if((value0)!=Cnil){
	goto L159;}
	V22= MAKE_FIXNUM(0);
	goto L157;
L159:;
	V22= value0;
	goto L157;
L157:;
	(void)L66loop_make_iteration_variable(V1,V22,V2) /*  LOOP-MAKE-ITERATION-VARIABLE */;
	goto L151;
L153:;
	goto L151;
L151:;
	if(!((V19)==(Cnil))){
	goto L168;}
	goto L165;
	goto L166;
L168:;
	goto L166;
L166:;
	if(!(ecl_eql(V19,ECL_SYM("UP",1290)))){
	goto L163;}
	goto L164;
L165:;
L164:;
	if((V24)!=Cnil){
	goto L175;}
	if((V9)==Cnil){
	goto L173;}
	goto L174;
L175:;
L174:;
	if((V24)!=Cnil){
	goto L179;}
	V12= cl_gensym(1,_ecl_static_73)          /*  GENSYM          */;
	(void)L65loop_make_variable(3,V12,Cnil,V2) /*  LOOP-MAKE-VARIABLE */;
	T0= cl_list(3,ECL_SYM("SETQ",749),V12,V9) /*  LIST            */;
	cl_set(VV[60],CONS(T0,ecl_symbol_value(VV[60])));
	goto L177;
L179:;
	goto L177;
L177:;
	if((V20)==Cnil){
	goto L186;}
	V14= ECL_SYM(">",73);
	goto L184;
L186:;
	V14= ECL_SYM(">=",74);
	goto L184;
L184:;
	goto L171;
L173:;
	goto L171;
L171:;
	if(!((V16)==(MAKE_FIXNUM(1)))){
	goto L190;}
	V18= cl_list(2,ECL_SYM("1+",68),V1)       /*  LIST            */;
	goto L188;
L190:;
	V18= cl_list(3,ECL_SYM("+",12),V1,V16)    /*  LIST            */;
	goto L188;
L188:;
	goto L161;
L163:;
	if((V21)!=Cnil){
	goto L194;}
	if((V9)!=Cnil){
	goto L198;}
	(void)L41loop_error(1,_ecl_static_74)     /*  LOOP-ERROR      */;
	goto L196;
L198:;
	goto L196;
L196:;
	T0= cl_list(2,ECL_SYM("1-",69),V9)        /*  LIST            */;
	T1= cl_list(3,ECL_SYM("SETQ",749),V1,T0)  /*  LIST            */;
	cl_set(VV[60],CONS(T1,ecl_symbol_value(VV[60])));
	goto L192;
L194:;
	goto L192;
L192:;
	if((V9)==Cnil){
	goto L203;}
	if((V12)!=Cnil){
	goto L203;}
	V12= L59loop_typed_init(V2)               /*  LOOP-TYPED-INIT */;
	V20= Ct;
	goto L201;
L203:;
	goto L201;
L201:;
	if((V12)==Cnil){
	goto L211;}
	if((V20)==Cnil){
	goto L215;}
	V14= ECL_SYM("<",70);
	goto L213;
L215:;
	V14= ECL_SYM("<=",71);
	goto L213;
L213:;
	goto L209;
L211:;
	goto L209;
L209:;
	if(!((V16)==(MAKE_FIXNUM(1)))){
	goto L219;}
	V18= cl_list(2,ECL_SYM("1-",69),V1)       /*  LIST            */;
	goto L217;
L219:;
	V18= cl_list(3,ECL_SYM("-",15),V1,V16)    /*  LIST            */;
	goto L217;
L217:;
	goto L161;
L161:;
	V18= cl_list(2,VV[1],V18)                 /*  LIST            */;
	if((V14)==Cnil){
	goto L225;}
	T0= cl_list(3,V14,V1,V12)                 /*  LIST            */;
	V15= L5hide_variable_reference(Ct,V1,T0)  /*  HIDE-VARIABLE-REFERENCE */;
	goto L223;
L225:;
	goto L223;
L223:;
	if((V8)==Cnil){
	goto L230;}
	T0= L5hide_variable_reference(V3,V1,V8)   /*  HIDE-VARIABLE-REFERENCE */;
	V8= cl_list(2,V4,T0)                      /*  LIST            */;
	goto L228;
L230:;
	goto L228;
L228:;
	{cl_object V27;                           /*  FIRST-TEST      */
	cl_object V28;                            /*  REMAINING-TESTS */
	V27= V15;
	V28= V15;
	if((V17)==Cnil){
	goto L237;}
	if((V23)==Cnil){
	goto L237;}
	if((V25)==Cnil){
	goto L237;}
	{cl_object V29;                           /*  NEW-TYPE        */
	{cl_object V30;
	T0= ecl_plus(V22,V16);
	V30= ecl_plus(T0,V26);
	if(!(ECL_FIXNUMP(V30)||ECL_BIGNUMP(V30))){
	goto L245;}
	if(!(FIXNUMP(V22))){
	goto L248;}
	if(!(FIXNUMP(V26))){
	goto L248;}
	V29= ECL_SYM("FIXNUM",370);
	goto L242;
L248:;
	V29= V2;
	goto L242;
L245:;
	if(!(ECL_SINGLE_FLOAT_P(V30))){
	goto L252;}
	V29= ECL_SYM("SINGLE-FLOAT",776);
	goto L242;
L252:;
	if(!(ECL_DOUBLE_FLOAT_P(V30))){
	goto L255;}
	V29= ECL_SYM("DOUBLE-FLOAT",313);
	goto L242;
L255:;
	if(!(ECL_LONG_FLOAT_P(V30))){
	goto L258;}
	V29= ECL_SYM("LONG-FLOAT",506);
	goto L242;
L258:;
	if(!(ECL_SINGLE_FLOAT_P(V30))){
	goto L261;}
	V29= ECL_SYM("SHORT-FLOAT",754);
	goto L242;
L261:;
	V29= V2;
	goto L242;
	}
L242:;
	if((cl_subtypep(2,V2,V29)                 /*  SUBTYPEP        */)!=Cnil){
	goto L264;}
	(void)L67loop_declare_variable(V1,V29)    /*  LOOP-DECLARE-VARIABLE */;
	goto L241;
L264:;
	goto L241;
	}
L241:;
	T0= cl_symbol_function(V14)               /*  SYMBOL-FUNCTION */;
	V27= ecl_function_dispatch(cl_env_copy,T0)(2,V22,V26);
	if((V27)==Cnil){
	goto L267;}
	V28= Ct;
	goto L235;
L267:;
	goto L235;
L237:;
	goto L235;
L235:;
	T0= L5hide_variable_reference(Ct,V1,V18)  /*  HIDE-VARIABLE-REFERENCE */;
	T1= cl_list(2,V1,T0)                      /*  LIST            */;
	value0=cl_list(8,Cnil,T1,V28,V8,Cnil,Cnil,V27,V8) /*  LIST    */;
	return value0;
	}
	}
}}
/*	function definition for LOOP-FOR-ARITHMETIC                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L102loop_for_arithmetic(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT103 VLEX103 CLSR103 STCK103
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)!=Cnil){
	goto L3;}
	V1= cl_gensym(0)                          /*  GENSYM          */;
	goto L1;
L3:;
	goto L1;
L1:;
	T0= L43loop_check_data_type(2,V3,ecl_symbol_value(VV[3])) /*  LOOP-CHECK-DATA-TYPE */;
	T1= cl_list(2,V4,V2)                      /*  LIST            */;
	T2= ecl_list1(T1);
	T3= L100loop_collect_prepositional_phrases(3,VV[178],Cnil,T2) /*  LOOP-COLLECT-PREPOSITIONAL-PHRASES */;
	value0=L101loop_sequencer(V1,T0,Ct,Cnil,Cnil,Cnil,Cnil,Cnil,Cnil,T3) /*  LOOP-SEQUENCER */;
	return value0;
}}
/*	function definition for LOOP-HASH-TABLE-ITERATION-PATH        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L103loop_hash_table_iteration_path(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT104 VLEX104 CLSR104 STCK104
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_va_list args; cl_va_start(args,V3,narg,3);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,L103loop_hash_table_iteration_pathkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V4= keyvars[0];
	}
	{cl_object V5;
	V5= V4;
	if((cl_typep(2,V5,VV[180])                /*  TYPEP           */)!=Cnil){
	goto L5;}
	V4= si_do_check_type(4,V5,VV[180],Cnil,VV[181]) /*  DO-CHECK-TYPE */;
	goto L3;
L5:;
	goto L3;
L3:;
	}
	if((cl_cdr(V3)                            /*  CDR             */)!=Cnil){
	goto L12;}
	{cl_object V5;
	V5= cl_caar(V3)                           /*  CAAR            */;
	if(!(ecl_eql(V5,VV[154]))){
	goto L17;}
	goto L10;
	goto L15;
L17:;
	goto L15;
L15:;
	if(!(ecl_eql(V5,VV[160]))){
	goto L20;}
	goto L10;
	goto L11;
L20:;
	goto L11;
	}
L12:;
L11:;
	(void)L41loop_error(1,_ecl_static_75)     /*  LOOP-ERROR      */;
	goto L8;
L10:;
	if(!(V3==Cnil)){
	goto L23;}
	(void)L41loop_error(1,_ecl_static_76)     /*  LOOP-ERROR      */;
	goto L8;
L23:;
	goto L8;
L8:;
	{cl_object V5;                            /*  LET394          */
	cl_object V6;                             /*  LET395          */
	cl_object V7;                             /*  DUMMY-PREDICATE-VAR */
	cl_object V8;                             /*  POST-STEPS      */
	V5= cl_gensym(1,_ecl_static_77)           /*  GENSYM          */;
	V6= cl_gensym(1,_ecl_static_78)           /*  GENSYM          */;
	V7= Cnil;
	V8= Cnil;
	if(!((V4)==(VV[184]))){
	goto L32;}
	T0= VV[185];
	goto L30;
L32:;
	T0= VV[184];
	goto L30;
L30:;
	cl_env_copy->values[0]=L98named_variable(T0) /*  NAMED-VARIABLE */;
	{
	cl_object V10;                            /*  OTHER-VAR       */
	cl_object V11;                            /*  OTHER-P         */
	{int V12=cl_env_copy->nvalues-0;
	if (V12--<=0) goto L34;
	V10= cl_env_copy->values[0];
	if (V12--<=0) goto L35;
	V11= cl_env_copy->values[1];
	goto L36;}
L34:;
	V10= Cnil;
L35:;
	V11= Cnil;
L36:;
	V11= Ct;
	V7= L89loop_when_it_variable()            /*  LOOP-WHEN-IT-VARIABLE */;
	{cl_object V12;                           /*  KEY-VAR         */
	cl_object V13;                            /*  VAL-VAR         */
	cl_object V14;                            /*  TEMP-VAL-VAR    */
	cl_object V15;                            /*  TEMP-KEY-VAR    */
	cl_object V16;                            /*  TEMP-PREDICATE-VAR */
	cl_object V17;                            /*  VARIABLE        */
	cl_object V18;                            /*  BINDINGS        */
	V12= Cnil;
	V13= Cnil;
	V14= cl_gensym(1,_ecl_static_79)          /*  GENSYM          */;
	V15= cl_gensym(1,_ecl_static_80)          /*  GENSYM          */;
	V16= cl_gensym(1,_ecl_static_81)          /*  GENSYM          */;
	value0=V1;
	if((value0)!=Cnil){
	goto L48;}
	V17= cl_gensym(0)                         /*  GENSYM          */;
	goto L46;
L48:;
	V17= value0;
	goto L46;
L46:;
	T0= cl_list(3,V17,Cnil,V2)                /*  LIST            */;
	T1= cl_cadar(V3)                          /*  CADAR           */;
	T2= cl_list(2,V5,T1)                      /*  LIST            */;
	if((V11)==Cnil){
	goto L53;}
	if((V10)==Cnil){
	goto L53;}
	T4= cl_list(2,V10,Cnil)                   /*  LIST            */;
	T3= ecl_list1(T4);
	goto L51;
L53:;
	T3= Cnil;
	goto L51;
L51:;
	V18= cl_listX(3,T0,T2,T3)                 /*  LIST*           */;
	if(!((V4)==(VV[184]))){
	goto L58;}
	V12= V17;
	if((V11)==Cnil){
	goto L64;}
	V13= V10;
	goto L62;
L64:;
	V13= Cnil;
	goto L62;
L62:;
	goto L56;
L58:;
	if((V11)==Cnil){
	goto L69;}
	V12= V10;
	goto L67;
L69:;
	V12= Cnil;
	goto L67;
L67:;
	V13= V17;
	goto L56;
L56:;
	T0= cl_list(2,V6,V5)                      /*  LIST            */;
	T1= cl_list(2,ECL_SYM("WITH-HASH-TABLE-ITERATOR",907),T0) /*  LIST */;
	cl_set(VV[56],CONS(T1,ecl_symbol_value(VV[56])));
	if(!(ECL_CONSP(V12))){
	goto L76;}
	T0= V12;
	V12= cl_gensym(1,_ecl_static_80)          /*  GENSYM          */;
	V8= cl_listX(3,T0,V12,V8)                 /*  LIST*           */;
	T0= cl_list(2,V12,Cnil)                   /*  LIST            */;
	V18= CONS(T0,V18);
	goto L74;
L76:;
	goto L74;
L74:;
	if(!(ECL_CONSP(V13))){
	goto L84;}
	T0= V13;
	V13= cl_gensym(1,_ecl_static_79)          /*  GENSYM          */;
	V8= cl_listX(3,T0,V13,V8)                 /*  LIST*           */;
	T0= cl_list(2,V13,Cnil)                   /*  LIST            */;
	V18= CONS(T0,V18);
	goto L82;
L84:;
	goto L82;
L82:;
	T0= cl_list(3,V16,V15,V14)                /*  LIST            */;
	T1= ecl_list1(V6);
	T2= cl_list(3,ECL_SYM("SETQ",749),V13,V14) /*  LIST           */;
	T3= cl_list(3,ECL_SYM("SETQ",749),V12,V15) /*  LIST           */;
	T4= cl_list(4,ECL_SYM("WHEN",903),V16,T2,T3) /*  LIST         */;
	T5= cl_list(3,ECL_SYM("SETQ",749),V7,V16) /*  LIST            */;
	T6= cl_list(5,ECL_SYM("MULTIPLE-VALUE-BIND",570),T0,T1,T4,T5) /*  LIST */;
	T7= cl_list(2,ECL_SYM("NOT",582),T6)      /*  LIST            */;
	value0=cl_list(6,V18,Cnil,Cnil,Cnil,T7,V8) /*  LIST           */;
	return value0;
	}}
	}
}}
/*	function definition for LOOP-PACKAGE-SYMBOLS-ITERATION-PATH   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L104loop_package_symbols_iteration_path(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT105 VLEX105 CLSR105 STCK105
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_va_list args; cl_va_start(args,V3,narg,3);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,L104loop_package_symbols_iteration_pathkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V4= keyvars[0];
	}
	if((V3)==Cnil){
	goto L3;}
	if((cl_cdr(V3)                            /*  CDR             */)==Cnil){
	goto L3;}
	(void)L41loop_error(1,_ecl_static_75)     /*  LOOP-ERROR      */;
	goto L1;
L3:;
	if((V3)==Cnil){
	goto L7;}
	{cl_object V5;
	V5= cl_caar(V3)                           /*  CAAR            */;
	if(!(ecl_eql(V5,VV[154]))){
	goto L13;}
	goto L7;
	goto L11;
L13:;
	goto L11;
L11:;
	if(!(ecl_eql(V5,VV[160]))){
	goto L16;}
	goto L7;
	goto L8;
L16:;
	goto L8;
	}
L8:;
	T0= cl_caar(V3)                           /*  CAAR            */;
	(void)L41loop_error(2,_ecl_static_82,T0)  /*  LOOP-ERROR      */;
	goto L1;
L7:;
	goto L1;
L1:;
	if(ECL_SYMBOLP(V1)){
	goto L20;}
	(void)L41loop_error(1,_ecl_static_83)     /*  LOOP-ERROR      */;
	goto L18;
L20:;
	goto L18;
L18:;
	{cl_object V5;                            /*  LET398          */
	cl_object V6;                             /*  LET399          */
	cl_object V7;                             /*  LET400          */
	cl_object V8;                             /*  LET401          */
	V5= cl_gensym(1,_ecl_static_84)           /*  GENSYM          */;
	V6= cl_gensym(1,_ecl_static_85)           /*  GENSYM          */;
	value0=V1;
	if((value0)!=Cnil){
	goto L26;}
	V7= cl_gensym(0)                          /*  GENSYM          */;
	goto L24;
L26:;
	V7= value0;
	goto L24;
L24:;
	value0=cl_cadar(V3)                       /*  CADAR           */;
	if((value0)!=Cnil){
	goto L30;}
	V8= ECL_SYM("*PACKAGE*",41);
	goto L28;
L30:;
	V8= value0;
	goto L28;
L28:;
	T0= cl_listX(3,V6,V5,V4)                  /*  LIST*           */;
	T1= cl_list(2,ECL_SYM("WITH-PACKAGE-ITERATOR",912),T0) /*  LIST */;
	cl_set(VV[56],CONS(T1,ecl_symbol_value(VV[56])));
	T0= cl_list(3,V7,Cnil,V2)                 /*  LIST            */;
	T1= cl_list(2,V5,V8)                      /*  LIST            */;
	T2= cl_list(2,T0,T1)                      /*  LIST            */;
	T3= L89loop_when_it_variable()            /*  LOOP-WHEN-IT-VARIABLE */;
	T4= cl_list(2,T3,V7)                      /*  LIST            */;
	T5= ecl_list1(V6);
	T6= cl_list(3,ECL_SYM("MULTIPLE-VALUE-SETQ",574),T4,T5) /*  LIST */;
	T7= cl_list(2,ECL_SYM("NOT",582),T6)      /*  LIST            */;
	value0=cl_list(6,T2,Cnil,Cnil,Cnil,T7,Cnil) /*  LIST          */;
	return value0;
	}
}}
/*	function definition for MAKE-ANSI-LOOP-UNIVERSE               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L105make_ansi_loop_universe(cl_object V1)
{ VT106 VLEX106 CLSR106 STCK106
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  W               */
	T0= cl_list(4,VV[124],ECL_SYM("COUNT",264),ecl_symbol_value(VV[3]),ECL_SYM("FIXNUM",370)) /*  LIST */;
	T1= cl_list(2,ECL_SYM("COUNT",264),T0)    /*  LIST            */;
	T2= cl_list(4,VV[124],ECL_SYM("COUNT",264),ecl_symbol_value(VV[3]),ECL_SYM("FIXNUM",370)) /*  LIST */;
	T3= cl_list(2,VV[200],T2)                 /*  LIST            */;
	T4= cl_listX(15,VV[188],VV[189],VV[190],VV[191],VV[192],VV[193],VV[194],VV[195],VV[196],VV[197],VV[198],VV[199],T1,T3,VV[201]) /*  LIST* */;
	if((V1)==Cnil){
	goto L4;}
	T5= VV[205];
	goto L2;
L4:;
	T5= Ct;
	goto L2;
L2:;
	V2= L22make_standard_loop_universe(12,VV[35],T4,VV[36],VV[202],VV[37],VV[203],VV[42],VV[204],VV[41],Cnil,VV[39],T5) /*  MAKE-STANDARD-LOOP-UNIVERSE */;
	(void)L96add_loop_path(9,VV[206],VV[186],V2,VV[150],VV[207],VV[151],Cnil,VV[149],VV[208]) /*  ADD-LOOP-PATH */;
	(void)L96add_loop_path(9,VV[209],VV[186],V2,VV[150],VV[207],VV[151],Cnil,VV[149],VV[210]) /*  ADD-LOOP-PATH */;
	(void)L96add_loop_path(9,VV[211],VV[187],V2,VV[150],VV[207],VV[151],Cnil,VV[149],VV[212]) /*  ADD-LOOP-PATH */;
	(void)L96add_loop_path(9,VV[213],VV[187],V2,VV[150],VV[207],VV[151],Cnil,VV[149],VV[214]) /*  ADD-LOOP-PATH */;
	(void)L96add_loop_path(9,VV[215],VV[187],V2,VV[150],VV[207],VV[151],Cnil,VV[149],VV[216]) /*  ADD-LOOP-PATH */;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOP-STANDARD-EXPANSION               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L106loop_standard_expansion(cl_object V1, cl_object V2, cl_object V3)
{ VT107 VLEX107 CLSR107 STCK107
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==Cnil){
	goto L2;}
	T0= cl_car(V1)                            /*  CAR             */;
	if(!(ECL_SYMBOLP(T0))){
	goto L2;}
	value0=L47loop_translate(V1,V2,V3)        /*  LOOP-TRANSLATE  */;
	return value0;
L2:;
	{cl_object V4;                            /*  TAG             */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	T0= CONS(ECL_SYM("PROGN",669),V1);
	T1= cl_list(2,ECL_SYM("GO",412),V4)       /*  LIST            */;
	T2= cl_list(4,ECL_SYM("TAGBODY",848),V4,T0,T1) /*  LIST       */;
	value0=cl_list(3,ECL_SYM("BLOCK",135),Cnil,T2) /*  LIST       */;
	return value0;
	}
}}
/*	local function LOOP                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC107loop(cl_object V1, cl_object V2)
{ VT108 VLEX108 CLSR108 STCK108
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  KEYWORDS-AND-FORMS */
	V3= cl_cdr(V1)                            /*  CDR             */;
	value0=L106loop_standard_expansion(V3,V2,ecl_symbol_value(VV[217])) /*  LOOP-STANDARD-EXPANSION */;
	return value0;
	}
}}
	
#include "lsp/loop2.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclRuMWDWa7_NtWoLD01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:LSP;LOOP2.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclRuMWDWa7_NtWoLD01@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	ecl_cmp_defmacro(VV[219]);
	ecl_cmp_defmacro(VV[220]);
	(void)si_Xmake_special(VV[3])             /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[3])){
	goto L10;}
	cl_set(VV[3],ECL_SYM("REAL",701));
	goto L8;
L10:;
	goto L8;
L8:;
	(void)0; /* No entry created for LOOP-OPTIMIZATION-QUANTITIES */
	(void)0; /* No entry created for HIDE-VARIABLE-REFERENCES */
	(void)0; /* No entry created for HIDE-VARIABLE-REFERENCE */
	ecl_cmp_defmacro(VV[221]);
	ecl_cmp_defmacro(VV[222]);
	ecl_cmp_defmacro(VV[223]);
	(void)si_define_structure(15,VV[13],_ecl_static_1,ECL_SYM("VECTOR",896),Cnil,VVtemp[0],VVtemp[1],VV[14],Cnil,Cnil,Cnil,VVtemp[2],MAKE_FIXNUM(6),Cnil,Cnil,Cnil) /*  DEFINE-STRUCTURE */;
	ecl_cmp_defun(VV[224]);
	(void)si_Xmake_special(VV[17])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[17])){
	goto L37;}
	cl_set(VV[17],VVtemp[3]);
	goto L35;
L37:;
	goto L35;
L35:;
	(void)0; /* No entry created for MAKE-LOOP-MINIMAX */
	(void)0; /* No entry created for LOOP-NOTE-MINIMAX-OPERATION */
	ecl_cmp_defmacro(VV[233]);
	ecl_cmp_defmacro(VV[238]);
	(void)0; /* No entry created for LOOP-TEQUAL */
	(void)0; /* No entry created for LOOP-TASSOC */
	(void)0; /* No entry created for LOOP-TMEMBER */
	(void)0; /* No entry created for LOOP-LOOKUP-KEYWORD */
	ecl_cmp_defmacro(VV[239]);
	(void)si_define_structure(15,VV[28],_ecl_static_4,ECL_SYM("VECTOR",896),Cnil,VVtemp[4],VVtemp[5],VV[29],Cnil,Cnil,Cnil,VVtemp[6],MAKE_FIXNUM(8),Cnil,Cnil,Cnil) /*  DEFINE-STRUCTURE */;
	ecl_cmp_defun(VV[240]);
	(void)si_Xmake_special(VV[32])            /*  *MAKE-SPECIAL   */;
	(void)0; /* No entry created for MAKE-STANDARD-LOOP-UNIVERSE */
	(void)si_Xmake_special(VV[43])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[43])){
	goto L76;}
	cl_set(VV[43],Cnil);
	goto L74;
L76:;
	goto L74;
L74:;
	(void)0; /* No entry created for LOOP-MAKE-PSETQ */
	(void)0; /* No entry created for LOOP-MAKE-DESETQ */
	(void)si_Xmake_special(VV[45])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[45])){
	goto L89;}
	cl_set(VV[45],cl_make_symbol(_ecl_static_5) /*  MAKE-SYMBOL   */);
	goto L87;
L89:;
	goto L87;
L87:;
	ecl_cmp_defmacro(VV[256]);
	(void)si_Xmake_special(VV[47])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[48])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[49])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[50])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[51])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[52])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[53])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[54])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[55])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[56])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[57])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[58])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[59])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[60])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[61])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[62])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[63])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[64])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[65])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[66])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[67])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[68])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[69])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[70])            /*  *MAKE-SPECIAL   */;
	(void)si_Xmake_special(VV[71])            /*  *MAKE-SPECIAL   */;
	(void)0; /* No entry created for LOOP-CONSTANT-FOLD-IF-POSSIBLE */
	ecl_cmp_defun(VV[257]);
	(void)si_Xmake_special(VV[73])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[73])){
	goto L204;}
	cl_set(VV[73],Cnil);
	goto L202;
L204:;
	goto L202;
L202:;
	(void)si_Xmake_special(VV[74])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[74])){
	goto L213;}
	cl_set(VV[74],cl_make_symbol(_ecl_static_7) /*  MAKE-SYMBOL   */);
	goto L211;
L213:;
	goto L211;
L211:;
	(void)0; /* No entry created for LOOP-CODE-DUPLICATION-THRESHOLD */
	ecl_cmp_defmacro(VV[258]);
	(void)0; /* No entry created for DUPLICATABLE-CODE-P */
	(void)si_Xmake_special(VV[82])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[82])){
	goto L228;}
	cl_set(VV[82],VVtemp[7]);
	goto L226;
L228:;
	goto L226;
L226:;
	(void)si_Xmake_special(VV[83])            /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[83])){
	goto L237;}
	cl_set(VV[83],VVtemp[8]);
	goto L235;
L237:;
	goto L235;
L235:;
	(void)0; /* No entry created for DESTRUCTURING-SIZE */
	(void)0; /* No entry created for ESTIMATE-CODE-SIZE */
	(void)0; /* No entry created for ESTIMATE-CODE-SIZE-1 */
	(void)0; /* No entry created for LOOP-CONTEXT */
	(void)0; /* No entry created for LOOP-ERROR */
	(void)0; /* No entry created for LOOP-WARN */
	(void)0; /* No entry created for LOOP-CHECK-DATA-TYPE */
	ecl_cmp_defmacro(VV[259]);
	ecl_cmp_defun(VV[260]);
	ecl_cmp_defun(VV[261]);
	(void)0; /* No entry created for LOOP-TRANSLATE */
	(void)0; /* No entry created for LOOP-ITERATION-DRIVER */
	(void)0; /* No entry created for LOOP-POP-SOURCE */
	(void)0; /* No entry created for LOOP-GET-COMPOUND-FORM */
	(void)0; /* No entry created for LOOP-GET-PROGN */
	(void)0; /* No entry created for LOOP-GET-FORM */
	(void)0; /* No entry created for LOOP-CONSTRUCT-RETURN */
	(void)0; /* No entry created for LOOP-EMIT-BODY */
	(void)0; /* No entry created for LOOP-EMIT-FINAL-VALUE */
	(void)0; /* No entry created for LOOP-DISALLOW-CONDITIONAL */
	ecl_cmp_defun(VV[264]);
	ecl_cmp_defun(VV[265]);
	(void)0; /* No entry created for LOOP-TYPED-INIT */
	(void)0; /* No entry created for LOOP-OPTIONAL-TYPE */
	(void)0; /* No entry created for LOOP-BIND-BLOCK */
	ecl_cmp_defun(VV[268]);
	(void)0; /* No entry created for LOOP-MAKE-VARIABLE */
	(void)0; /* No entry created for LOOP-MAKE-ITERATION-VARIABLE */
	(void)0; /* No entry created for LOOP-DECLARE-VARIABLE */
	(void)0; /* No entry created for LOOP-MAYBE-BIND-FORM */
	ecl_cmp_defun(VV[269]);
	ecl_cmp_defun(VV[270]);
	ecl_cmp_defun(VV[271]);
	ecl_cmp_defun(VV[272]);
	ecl_cmp_defun(VV[273]);
	ecl_cmp_defun(VV[274]);
	(void)si_define_structure(15,VV[113],_ecl_static_38,ECL_SYM("VECTOR",896),Cnil,VVtemp[9],VVtemp[10],VV[114],Cnil,Cnil,Cnil,VVtemp[11],MAKE_FIXNUM(6),Cnil,Cnil,Cnil) /*  DEFINE-STRUCTURE */;
	ecl_cmp_defun(VV[275]);
	(void)0; /* No entry created for LOOP-GET-COLLECTION-INFO */
	ecl_cmp_defun(VV[286]);
	ecl_cmp_defun(VV[288]);
	ecl_cmp_defun(VV[289]);
	ecl_cmp_defun(VV[291]);
	ecl_cmp_defun(VV[292]);
	ecl_cmp_defun(VV[293]);
	ecl_cmp_defun(VV[294]);
	(void)0; /* No entry created for LOOP-HACK-ITERATION */
	ecl_cmp_defun(VV[296]);
	ecl_cmp_defun(VV[298]);
	(void)0; /* No entry created for LOOP-WHEN-IT-VARIABLE */
	ecl_cmp_defun(VV[299]);
	ecl_cmp_defun(VV[300]);
	(void)0; /* No entry created for LOOP-LIST-STEP */
	ecl_cmp_defun(VV[301]);
	ecl_cmp_defun(VV[302]);
	(void)si_define_structure(15,VV[144],_ecl_static_57,ECL_SYM("VECTOR",896),Cnil,VVtemp[12],VVtemp[13],VV[145],Cnil,Cnil,Cnil,VVtemp[14],MAKE_FIXNUM(5),Cnil,Cnil,Cnil) /*  DEFINE-STRUCTURE */;
	ecl_cmp_defun(VV[303]);
	(void)0; /* No entry created for ADD-LOOP-PATH */
	ecl_cmp_defun(VV[313]);
	(void)0; /* No entry created for NAMED-VARIABLE */
	(void)0; /* No entry created for LOOP-COLLECT-PREPOSITIONAL-PHRASES */
	(void)0; /* No entry created for LOOP-SEQUENCER */
	ecl_cmp_defun(VV[318]);
	ecl_cmp_defun(VV[319]);
	ecl_cmp_defun(VV[321]);
	(void)0; /* No entry created for MAKE-ANSI-LOOP-UNIVERSE */
	(void)si_Xmake_special(VV[217])           /*  *MAKE-SPECIAL   */;
	cl_set(VV[217],L105make_ansi_loop_universe(Cnil) /*  MAKE-ANSI-LOOP-UNIVERSE */);
	(void)0; /* No entry created for LOOP-STANDARD-EXPANSION */
	ecl_cmp_defmacro(VV[323]);
}
